/**
  ******************************************************************************
  * @file    k_modules_res.c
  * @author  MCD Application Team
  * @brief   This file contains the Hex dumps of the images available 
  ******************************************************************************
  * @attention
  *
  * Copyright (c) 2019 STMicroelectronics.
  * All rights reserved.
  *
  * This software is licensed under terms that can be found in the LICENSE file
  * in the root directory of this software component.
  * If no LICENSE file comes with this software, it is provided AS-IS.
  *
  ******************************************************************************
  */

/* Includes ------------------------------------------------------------------*/  
#include "k_modules_res.h"

/** @addtogroup CORE
  * @{
  */

/** @defgroup KERNEL_MODULES_RES
  * @brief Kernel modules resources 
  * @{
  */

/* External variables --------------------------------------------------------*/
/* Private typedef -----------------------------------------------------------*/
/* Private defines -----------------------------------------------------------*/
/* Private macros ------------------------------------------------------------*/
/* Private variables ---------------------------------------------------------*/
/* Private function prototypes -----------------------------------------------*/
/* Private functions ---------------------------------------------------------*/

/* Include generated files for the Menu */ 
/* Idle one's */
#include "generated/menu/idle/audio_player_idle_210x210.c"
#include "generated/menu/idle/clock_date_idle_210x210.c"
#include "generated/menu/idle/graphic_effects_idle_210x210.c"
#include "generated/menu/idle/video_game_idle_210x210.c"
#include "generated/menu/idle/video_player_idle_210x210.c"
#include "generated/menu/idle/Dual_core_idle_210x210.c"
/* Clicked one's */
#include "generated/menu/clicked/audio_player_clicked_210x210.c"
#include "generated/menu/clicked/clock_date_clicked_210x210.c"
#include "generated/menu/clicked/graphic_effects_clicked_210x210.c"
#include "generated/menu/clicked/video_game_clicked_210x210.c"
#include "generated/menu/clicked/video_player_clicked_210x210.c"
#include "generated/menu/clicked/Dual_core_clicked_210x210.c"

/* Background and info images */
extern GUI_CONST_STORAGE GUI_BITMAP bmbkc_16bit;
extern GUI_CONST_STORAGE GUI_BITMAP bminfo;

#if defined ( __ICCARM__ )
#pragma location="ExtQSPIFlashSection" 
#else
__attribute__((section(".ExtQSPIFlashSection")))  
#endif
static GUI_CONST_STORAGE unsigned short _acbkc_16bit[] = {
  0x4228, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 
        0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x3A08, 0x3A08, 
        0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A09, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 
        0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 
        0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 
        0x4A49, 0x4A49, 0x4A49, 0x4A69, 0x4A69, 0x4A69, 0x4A69, 0x4A69, 0x4A69, 0x4A69, 0x4A69, 0x4A69, 0x4A69, 0x4A69, 0x4A6A, 0x4A69, 0x4A69, 0x4A69, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A69, 0x4A69, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A69, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 
        0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A69, 0x4A69, 0x4A69, 0x4A69, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A69, 0x4A69, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A69, 0x4A69, 
        0x4A69, 0x4A69, 0x4A69, 0x4A69, 0x4A69, 0x4A69, 0x4A69, 0x4A69, 0x4A69, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A69, 0x4A69, 
        0x4A69, 0x4A69, 0x4A49, 0x4A49, 0x4A49, 0x4249, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 
        0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x3A49, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 
        0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 
        0x4A49, 0x4A49, 0x4A49, 0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229,
  0x4208, 0x2966, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2946, 0x2946, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2946, 0x2946, 0x2946, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2987, 0x2987, 0x2987, 0x2988, 0x2988, 0x2988, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x31A8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 
        0x31E9, 0x31E9, 0x39E9, 0x39E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E8, 0x31E9, 0x31E9, 
        0x31E9, 0x31E9, 0x31E9, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 
        0x4249, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 
        0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 
        0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x3208, 0x3208, 0x3208, 0x3208, 0x3208, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x21C8, 0x29C8, 0x29A8, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x21A7, 
        0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 
        0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 
        0x29A7, 0x29C7, 0x29C7, 0x29C7, 0x29C7, 0x29C7, 0x29C7, 0x29C7, 0x29C7, 0x29C7, 0x29C7, 0x29C7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29C7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 
        0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2987, 0x2987, 0x2987, 0x2987, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x29A7, 
        0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 
        0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x31C9, 0x31C8, 0x31C8, 0x31C8, 0x29A8, 0x29A8, 0x29A8, 0x2988, 0x2988, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 
        0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 
        0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 
        0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967,
  0x3A08, 0x2986, 0x2146, 0x2145, 0x2146, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2126, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2147, 0x2167, 0x2167, 0x2167, 0x2967, 0x2167, 0x2967, 0x2967, 0x2967, 0x2987, 0x2987, 0x2987, 0x2987, 0x2988, 0x2988, 0x2988, 0x2988, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x31C8, 0x31C8, 0x31C8, 0x31C9, 0x31C9, 0x31C9, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 
        0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 
        0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 
        0x4249, 0x4249, 0x4249, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 
        0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A4A, 0x4A49, 0x4A49, 0x4A49, 0x4A4A, 0x424A, 0x424A, 0x424A, 0x4249, 0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 
        0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x29E8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 
        0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 
        0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21C8, 0x21C8, 0x21C8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x21A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x31C8, 0x31C8, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x39E9, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x39E9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167,
  0x4208, 0x2986, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2987, 0x2988, 0x2988, 0x2988, 0x2988, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x31A8, 0x31A8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C9, 0x31C9, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 
        0x31E9, 0x31E9, 0x31E9, 0x39E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 
        0x4249, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 
        0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 
        0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4A49, 0x4A49, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A49, 0x4A49, 0x4A49, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 
        0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3208, 0x3208, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x29E8, 0x29E8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 
        0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 
        0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A8, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x21A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2987, 0x2987, 0x2987, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x31C8, 0x31C8, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x39E9, 0x39E9, 0x39E9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2988, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 
        0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 
        0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2187, 0x2187, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2967, 0x2967, 0x2967, 0x2967, 
        0x2967, 0x2967, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2967, 0x2967, 0x2967,
  0x4208, 0x2987, 0x2966, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2167, 0x2167, 0x2167, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2968, 0x2968, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 
        0x31E9, 0x31E9, 0x39E9, 0x39E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 
        0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 
        0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4A4A, 0x4A4A, 0x424A, 0x4249, 0x4249, 0x4249, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 
        0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3208, 0x3208, 0x3209, 0x3209, 0x3209, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x31E8, 0x31E8, 0x31E8, 0x29E9, 0x29E9, 0x29E8, 0x29E8, 0x29E8, 
        0x29E8, 0x29E8, 0x29E8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x21C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x21C8, 0x21C8, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 
        0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2188, 0x2188, 0x2188, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C9, 0x31C8, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x29C9, 0x29C9, 0x29A9, 0x29A8, 0x29A8, 0x29A8, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 
        0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2187, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 
        0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2967, 0x2967, 0x2967, 0x2967, 
        0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967,
  0x4208, 0x2987, 0x2966, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2167, 0x2167, 0x2167, 0x2167, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2987, 0x2987, 0x2987, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 
        0x31E9, 0x31E9, 0x31E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x424A, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 
        0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 
        0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 
        0x4249, 0x4249, 0x4249, 0x4249, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x29E9, 0x29E8, 
        0x29E8, 0x29E8, 0x29E8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x21C8, 0x21C8, 0x21A8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 
        0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29A8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 
        0x21A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2987, 0x2987, 0x2987, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x31C8, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x4209, 0x4209, 0x4209, 0x4209, 0x4209, 0x4209, 0x4209, 0x4209, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x39E9, 0x39E9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x29C9, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2188, 0x2987, 0x2987, 0x2987, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 
        0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2987, 0x2987, 0x2987, 0x2987, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187,
  0x4208, 0x2987, 0x2966, 0x2146, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2187, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2988, 0x2988, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2987, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x31A8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 
        0x31E9, 0x31E9, 0x31E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 
        0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 
        0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 
        0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3208, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x29E8, 0x29E8, 
        0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x21C8, 
        0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C7, 0x21C7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 
        0x21C7, 0x21C7, 0x21C7, 0x21C7, 0x21C7, 0x21C7, 0x21C7, 0x21C7, 0x21C7, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 
        0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2987, 0x2988, 0x2988, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x39E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x39E9, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x29C9, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2988, 0x2988, 0x2988, 0x2987, 0x2987, 
        0x2987, 0x2987, 0x2987, 0x2987, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 
        0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 
        0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987,
  0x4208, 0x2987, 0x2966, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2187, 0x2188, 0x2188, 0x2988, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x2188, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 
        0x2147, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 
        0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31E9, 0x31E9, 0x31E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 
        0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 
        0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x424A, 0x424A, 0x424A, 0x424A, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x31E9, 0x31E8, 0x31E8, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E8, 0x31E8, 
        0x31E8, 0x31E8, 0x31E8, 0x29E8, 0x29E8, 0x29E8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 
        0x21A7, 0x21A7, 0x21A7, 0x21C7, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A7, 0x21A7, 
        0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2188, 0x2188, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29C8, 0x29C8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x39E9, 0x39E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x29C9, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2988, 0x2988, 
        0x2988, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2187, 0x2187, 0x2187, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 
        0x2987, 0x2987, 0x2987, 0x2988, 0x2988, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2988, 0x2988, 0x2988, 0x2988, 0x2987, 0x2987, 0x2987, 0x2987, 0x2187, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 
        0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987,
  0x4208, 0x2987, 0x2967, 0x2167, 0x2166, 0x2167, 0x2187, 0x2187, 0x2187, 0x2188, 0x2188, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2987, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 
        0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31E9, 0x31E9, 0x31E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x31E9, 0x31E9, 
        0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 
        0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x31E9, 0x31E8, 0x31E8, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E8, 0x31E8, 
        0x31E8, 0x31E8, 0x31E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21C7, 0x21C7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21C8, 
        0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 
        0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2188, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29C8, 0x29C8, 0x29C8, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x2988, 0x2988, 0x2988, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 
        0x2988, 0x2988, 0x2988, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2988, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x29A7, 0x29A8, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 
        0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987,
  0x4208, 0x2987, 0x2967, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2188, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C9, 0x29C9, 0x29C9, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2188, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 
        0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31E9, 0x31E9, 0x31E9, 0x39E9, 0x39E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x31E9, 0x31E9, 
        0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 
        0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 
        0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x31E9, 0x31E8, 0x31E8, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E8, 0x31E8, 
        0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21A8, 0x21C8, 0x21C8, 
        0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A7, 0x29A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 
        0x29C8, 0x29C8, 0x31C8, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x39E9, 0x39E9, 0x39E9, 0x31E9, 0x31E9, 0x31C9, 0x29C9, 0x29C8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x2988, 0x2987, 0x2987, 0x2987, 0x2987, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2987, 0x2987, 
        0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987,
  0x4208, 0x29A7, 0x2967, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2188, 0x2988, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29A9, 0x29A8, 0x21A8, 0x21A8, 0x2188, 0x2188, 
        0x2188, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2967, 0x2968, 0x2968, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 
        0x31A8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31E9, 0x31E9, 0x31E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4229, 0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 
        0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 
        0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 
        0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x31E9, 0x31E9, 0x31E8, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E8, 0x31E8, 
        0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 
        0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x29A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x21A7, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 
        0x29C8, 0x31C8, 0x31C8, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x39E9, 0x39E9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2987, 0x2987, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 
        0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987,
  0x4228, 0x29A7, 0x2987, 0x2187, 0x2187, 0x2188, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C9, 0x29C9, 0x29C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29A8, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x21A8, 0x2188, 0x2188, 0x2188, 0x2188, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2967, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 
        0x31C8, 0x31C9, 0x31C9, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x3A09, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 
        0x3209, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 
        0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 
        0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 
        0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 
        0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x31E8, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E8, 0x31E8, 
        0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x29E8, 0x29C8, 0x29C8, 0x29E8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 
        0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x21A7, 0x21A7, 0x21A8, 0x29A8, 0x29A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 
        0x31C8, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x39E9, 0x39E9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 
        0x31C9, 0x29C9, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2987, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 
        0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x31C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x2988, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987,
  0x3A28, 0x29A8, 0x2987, 0x2188, 0x2188, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A9, 0x29C9, 0x29C9, 0x29C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x29C9, 0x29A8, 0x29A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x2188, 0x2188, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2968, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 
        0x2988, 0x2988, 0x2988, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31C9, 
        0x31C9, 0x31C9, 0x31C9, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 
        0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 
        0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 
        0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 
        0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 
        0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x3209, 
        0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3208, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x31E9, 0x31E9, 0x31E8, 0x31E8, 0x31E8, 0x31E9, 0x31E9, 0x31E8, 0x31E8, 0x31E8, 
        0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x29E8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 
        0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x31C8, 
        0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x39E9, 0x39E9, 0x39E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x39E9, 0x39E9, 0x39E9, 0x31E9, 
        0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x3A09, 0x3A09, 0x39E9, 0x31E9, 0x31E9, 0x31C9, 0x31C8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2988, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987,
  0x3A28, 0x29C8, 0x29A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A9, 0x29C9, 0x29C9, 0x29C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x2188, 0x2188, 0x2188, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 
        0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x29A8, 0x2988, 0x2988, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 
        0x31C9, 0x31C9, 0x31C9, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 
        0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 
        0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 
        0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 
        0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 
        0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 
        0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 
        0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3208, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 
        0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 
        0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x31C9, 
        0x31C9, 0x31C9, 0x31E9, 0x39E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x39E9, 
        0x39E9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x31C8, 0x31C8, 0x31C8, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 
        0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x39E9, 0x39E9, 0x31E9, 0x31C9, 
        0x31C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2988, 0x2988, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987,
  0x4228, 0x31C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A9, 0x29A9, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C9, 0x29C9, 0x29C9, 0x31C8, 0x31C8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 
        0x29C9, 0x29C9, 0x29C9, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x21A8, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2188, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x29A8, 0x29A8, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 
        0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 
        0x31A8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31A8, 0x31C8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31C8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x39E9, 0x31E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 
        0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 
        0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 
        0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 
        0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x424A, 0x424A, 0x424A, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 
        0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 
        0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 
        0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3208, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 
        0x31E8, 0x31E8, 0x29E8, 0x29E8, 0x29E8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29E8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x29A7, 0x29A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x29A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x2188, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x31C9, 0x31C9, 
        0x31C9, 0x31E9, 0x31E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x39E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C8, 0x31C8, 0x31C8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x39E9, 
        0x31E9, 0x31C9, 0x31C9, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2187, 0x2987, 0x2987, 0x2987,
  0x4229, 0x31C8, 0x29C8, 0x29A9, 0x29A8, 0x29C9, 0x29C9, 0x29C9, 0x29A9, 0x29A9, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C9, 0x29C9, 0x29C9, 0x31C9, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 
        0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2188, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x29A8, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 
        0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x31A8, 
        0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C8, 
        0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 
        0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 
        0x3209, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 
        0x4249, 0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 
        0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x424A, 0x424A, 0x424A, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 
        0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 
        0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x31E9, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x29E8, 0x31E8, 
        0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x21A7, 0x21A7, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C9, 0x29C9, 0x31C9, 0x31C9, 
        0x31E9, 0x31E9, 0x31E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 
        0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x39E9, 0x39E9, 0x3A09, 0x3A09, 0x39E9, 0x39E9, 0x39E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x39E9, 0x3A09, 0x39E9, 0x39E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x31E9, 0x31E9, 0x31C9, 0x29C9, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x29A7, 0x2187, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987,
  0x4229, 0x31E8, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C8, 0x29C9, 0x29C9, 0x29C9, 0x31C9, 0x31C9, 0x31C8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 
        0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x29C9, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 
        0x2188, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2188, 0x2188, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x29A8, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 
        0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x31A8, 
        0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C8, 
        0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 
        0x3209, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 
        0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 
        0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 
        0x3A09, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 
        0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x31E9, 0x31E9, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 
        0x29E8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 
        0x29C8, 0x29C8, 0x29C8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x21A7, 0x21A7, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 
        0x31E9, 0x31E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 
        0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x424A, 0x424A, 0x424A, 0x424A, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x3A29, 
        0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x39E9, 0x31E9, 0x31C9, 0x31C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2987, 0x2987, 0x2987, 0x2987,
  0x4229, 0x31C8, 0x29C8, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C8, 0x29C8, 0x29C8, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x31C8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 
        0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x2188, 0x2188, 0x2188, 0x2188, 
        0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x29A8, 0x29A8, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 
        0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 
        0x31C8, 0x31C8, 0x29A8, 0x29A8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x39E9, 0x39E9, 0x39E9, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3209, 
        0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 
        0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 
        0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 
        0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 
        0x29E8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 
        0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 
        0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x39E9, 0x31E9, 0x31C9, 0x31C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2988, 0x2988, 0x2988,
  0x4229, 0x31C8, 0x29C9, 0x29A9, 0x29A9, 0x29A8, 0x29A8, 0x29A9, 0x29A9, 0x29C9, 0x29C9, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 
        0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x2188, 
        0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 
        0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31C8, 0x31C8, 0x31C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 
        0x39E9, 0x39E9, 0x39E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 
        0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 
        0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x424A, 0x424A, 0x424A, 0x4249, 
        0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 
        0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x31E8, 0x31E8, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x31E8, 0x31E9, 0x31E9, 0x31E8, 0x29E8, 
        0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 
        0x29E8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4249, 
        0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4A49, 0x4A49, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4209, 0x4209, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x39E9, 0x31C9, 0x31C9, 0x31C9, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2988,
  0x4229, 0x31C8, 0x29C8, 0x29A9, 0x29A8, 0x29A8, 0x29A8, 0x29A9, 0x29A9, 0x29C9, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 
        0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29A8, 0x29A9, 0x29A9, 0x29A9, 0x29A9, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 
        0x21A8, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 
        0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x39E9, 0x39E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 
        0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 
        0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 
        0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 
        0x3209, 0x3209, 0x3209, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E8, 0x31E8, 0x31E9, 0x31E9, 0x31E9, 0x29E9, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x21C8, 0x21C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x31E8, 0x31E8, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 
        0x31E9, 0x31E9, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x3209, 0x3209, 0x31E9, 
        0x31E8, 0x31E8, 0x31E8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 
        0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 
        0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A49, 0x4A49, 0x4249, 0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x39E9, 0x31E9, 0x31C9, 0x31C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8,
  0x4229, 0x31C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29A9, 0x29A9, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2988, 0x2988, 0x2988, 0x2988, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x31A8, 0x31A8, 0x29A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 
        0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x39E9, 0x39E9, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 
        0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 
        0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 
        0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 
        0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 
        0x3209, 0x3209, 0x3209, 0x31E9, 0x31E9, 0x31E8, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x29E8, 0x29E8, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x31E8, 0x31E8, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 
        0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E8, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E8, 0x31E8, 0x31E9, 0x3209, 0x3209, 0x31E9, 0x3209, 0x3209, 0x3209, 0x3209, 0x31E9, 
        0x31E9, 0x31E9, 0x31E9, 0x31E8, 0x31C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x21A7, 0x21A7, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x31C8, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 
        0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 
        0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A49, 0x4A49, 0x4A49, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x29C8,
  0x4229, 0x31E8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x31C9, 
        0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29A9, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2988, 0x2988, 0x2988, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A9, 0x29A9, 
        0x29A9, 0x29A9, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x39E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 
        0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 
        0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 
        0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 
        0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E8, 0x31E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x21C8, 
        0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E9, 0x31E9, 
        0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E8, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E9, 0x31E9, 
        0x31E9, 0x31E9, 0x31E9, 0x31E8, 0x31E8, 0x31C8, 0x31C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 
        0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 
        0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x39E9, 0x31E9, 0x31E9,
  0x4229, 0x31E8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 
        0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x39E9, 0x39E9, 0x39E9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2988, 0x2988, 0x2188, 0x2188, 0x2988, 0x2988, 0x2988, 0x2988, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A9, 0x29A9, 
        0x29A9, 0x29A9, 0x29A9, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A9, 0x29A9, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x39E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3209, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 
        0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 
        0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 
        0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 
        0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x29E9, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 
        0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E9, 
        0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E8, 0x31E8, 0x31E8, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 
        0x31E9, 0x31E9, 0x31E9, 0x31E8, 0x31E8, 0x31E8, 0x31C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A8, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C9, 0x29C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x39E9, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 
        0x4249, 0x4249, 0x4249, 0x4249, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 
        0x4A49, 0x4A49, 0x4A49, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4249, 0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09,
  0x4229, 0x31E9, 0x29C9, 0x29C9, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C9, 
        0x29C9, 0x29C9, 0x29C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x39E9, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29A9, 0x29A9, 0x29A9, 0x29A9, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2988, 0x2988, 0x2988, 0x2988, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A9, 0x29A9, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A9, 0x29A9, 0x29A9, 
        0x31A9, 0x31A9, 0x31A9, 0x31A9, 0x31A9, 0x31A9, 0x31A9, 0x31A9, 0x31A9, 0x31A9, 0x31A9, 0x31A9, 0x31A9, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 
        0x31C8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x39E9, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x4229, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x39E9, 0x31E9, 
        0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 
        0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 
        0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 
        0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x31E8, 0x31E8, 0x3208, 0x3208, 0x3208, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 
        0x31E9, 0x31E9, 0x29E9, 0x29E9, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x21C8, 0x21C8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 
        0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E8, 0x31E8, 0x31E8, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 
        0x31E8, 0x31E9, 0x31E9, 0x31E8, 0x31E8, 0x31E8, 0x31C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x39E9, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 
        0x4249, 0x4249, 0x4249, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x424A, 0x424A, 0x424A, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A09, 0x3A09,
  0x4229, 0x31E9, 0x31C9, 0x29C9, 0x29A8, 0x29A9, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x2188, 0x2188, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 
        0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29A9, 0x29A8, 
        0x29A8, 0x29A9, 0x29A9, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2988, 0x2988, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31A9, 0x31A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 
        0x31C8, 0x31C8, 0x31C8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x39E9, 0x39E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 
        0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 
        0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 
        0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 
        0x3209, 0x3209, 0x3209, 0x3209, 0x31E9, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x3209, 0x3209, 0x3209, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x29E9, 
        0x29E9, 0x29E9, 0x29E9, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x21C8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 
        0x31E8, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E8, 0x31E8, 0x31E8, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 
        0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x39E9, 0x39E9, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 
        0x4249, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 
        0x4249, 0x4249, 0x4249, 0x4229, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4A49, 0x4A49, 0x4A49, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x424A, 0x4249, 
        0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 
        0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29,
  0x4229, 0x31E8, 0x31C9, 0x29C9, 0x29C8, 0x29C9, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x2188, 0x2188, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 
        0x29C8, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x29C8, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29A9, 
        0x29A9, 0x29A9, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C9, 0x29C9, 0x29A9, 0x31C9, 
        0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2988, 0x2988, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x39E9, 0x39E9, 0x39E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 
        0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 
        0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 
        0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 
        0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 
        0x29E8, 0x29E8, 0x29E8, 0x29C8, 0x29C8, 0x29E8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29E8, 0x29E8, 0x29C8, 0x29C8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 
        0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 
        0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 
        0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x39E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 
        0x4249, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4249, 0x4249, 0x4249, 
        0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x424A, 0x4249, 
        0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 
        0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229,
  0x4229, 0x31E8, 0x31C9, 0x29C9, 0x29C8, 0x29C9, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2988, 0x2988, 0x2988, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x29C8, 0x29C8, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 
        0x29A9, 0x29A9, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C9, 0x29C9, 0x29C9, 0x31C9, 0x31A9, 
        0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31A8, 0x31A8, 0x31A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2187, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2988, 0x2988, 0x2988, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C9, 0x29C9, 0x29C8, 0x29C8, 0x31C9, 0x31C8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x3A09, 0x3A09, 0x39E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x29E9, 0x29E9, 0x29E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 
        0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 
        0x31E9, 0x31E9, 0x31E8, 0x31E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E9, 0x29E9, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21C8, 0x21C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 
        0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 
        0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31C8, 0x31C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C9, 0x29C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 
        0x4A49, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A4A, 0x4A4A, 0x4A49, 0x4A49, 0x4A49, 
        0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 
        0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4A49, 0x4A49, 0x4A49, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 
        0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4A49, 0x4A49, 0x4249, 0x4249, 0x424A, 0x424A, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229,
  0x4229, 0x31E8, 0x31C8, 0x29C8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 
        0x29C9, 0x29C9, 0x29A9, 0x29A9, 0x29A9, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x39C9, 0x39C9, 0x39C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31A8, 0x31A8, 0x31A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2988, 0x2988, 
        0x2988, 0x2988, 0x2988, 0x2987, 0x2987, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2987, 0x2987, 0x2987, 0x2987, 0x2988, 0x2988, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x31C8, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 
        0x31C8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x29E9, 0x29C9, 0x29C9, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29E8, 0x29E8, 0x29E8, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x31E8, 0x31E8, 
        0x31E8, 0x31E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E9, 0x29E8, 0x29E8, 0x29E8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 
        0x21A7, 0x21A7, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29E8, 0x29C8, 0x29C8, 0x29C8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x31E8, 0x29E8, 
        0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 
        0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 
        0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4A49, 0x4A49, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4A49, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A49, 0x4A49, 0x4A4A, 0x4A4A, 0x4A49, 0x4A49, 0x4A49, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A4A, 0x4A4A, 0x4249, 0x4249, 0x4249, 
        0x4A49, 0x4A49, 0x4A49, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4A49, 0x4A49, 0x4A49, 0x4249, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 
        0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229,
  0x4229, 0x31C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2988, 0x2988, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A9, 0x29C9, 0x29C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x29A8, 
        0x29A8, 0x29A9, 0x29A9, 0x29A9, 0x29A9, 0x29A9, 0x29A9, 0x29A9, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A9, 0x31C9, 
        0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x39C9, 0x39C9, 0x39C9, 0x39C9, 0x39C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31A9, 0x31A9, 0x31A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 
        0x2988, 0x2987, 0x2987, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2987, 
        0x2988, 0x2988, 0x2988, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x31C8, 0x31C9, 0x31E9, 0x31E9, 0x31C9, 0x31C8, 0x31C9, 0x31C9, 0x31C8, 0x31C8, 0x31C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29E8, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29E8, 0x29E8, 
        0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29E8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 
        0x21A7, 0x21A7, 0x21A7, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29E8, 0x29C8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 
        0x29E8, 0x29E9, 0x29E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x3209, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 
        0x31E8, 0x31E8, 0x31E8, 0x29E8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x31C8, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x39E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 
        0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 
        0x4A4A, 0x4A4A, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A49, 0x4A4A, 0x4A4A, 0x4A49, 0x4A49, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 
        0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A49, 0x4A49, 0x4A49, 
        0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x424A, 0x4249, 0x4249, 0x4249, 0x4249,
  0x4229, 0x31C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2988, 0x2988, 0x2988, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A9, 0x29A9, 0x29A8, 0x29C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x29C9, 
        0x29A9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29A9, 0x29A9, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x31C9, 
        0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x39C9, 0x39C9, 0x39C9, 0x39C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2987, 
        0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2987, 0x2987, 0x2987, 0x2988, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x31C8, 0x31C9, 0x31C9, 0x31C8, 0x31C9, 0x31C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x21C8, 0x21C8, 0x21C8, 
        0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 
        0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 
        0x29E8, 0x29E9, 0x29E9, 0x29E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 
        0x29E8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x31C8, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x4229, 
        0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 
        0x4A4A, 0x4A4A, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A49, 0x4A49, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A49, 0x4A49, 0x4A49, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 
        0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A49, 0x4A49, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A49, 0x4A49, 0x4A49, 
        0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4249, 0x4249, 0x4249, 0x4249,
  0x4228, 0x31C8, 0x29A7, 0x29A8, 0x2988, 0x29A8, 0x2988, 0x2988, 0x29A8, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x29A7, 0x29A7, 0x29A7, 0x29A8, 0x2988, 0x2988, 0x2988, 0x2987, 0x2987, 0x2988, 0x2988, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 
        0x29A8, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29A9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x39C9, 0x39C9, 0x39C9, 0x39C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31A9, 0x31A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2987, 0x2987, 0x2987, 0x2967, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2987, 0x2988, 0x2988, 0x2988, 0x2988, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x31C8, 0x31C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x39E9, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 
        0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x21C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 
        0x21C8, 0x21C8, 0x21A8, 0x21C8, 0x21C8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 
        0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29E8, 0x29E8, 0x29C8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 
        0x29E8, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x29E8, 0x29E8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A49, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A49, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 
        0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A49, 0x4A49, 0x4A49, 
        0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A4A, 0x4A49, 0x4A49, 0x4249, 0x4249,
  0x3A08, 0x29A7, 0x2987, 0x2187, 0x2187, 0x2987, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2987, 0x2987, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x2188, 0x2187, 0x2988, 0x2988, 0x2988, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C9, 0x29C9, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x39C9, 0x39C9, 0x39C9, 0x39C9, 0x39C9, 0x39C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31A9, 0x31A9, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2987, 0x2987, 0x2987, 0x2967, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 
        0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 
        0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x21C8, 0x21C8, 
        0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21A8, 0x21A8, 0x21C8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21C8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 
        0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 
        0x21C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29E8, 0x29C8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 
        0x29E8, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E8, 0x31E8, 0x31E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A4A, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A49, 0x4A49, 0x4A49, 
        0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A49, 0x4A49,
  0x4208, 0x29A7, 0x2967, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2188, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x31C8, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x29C9, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x39C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31A9, 0x31A9, 0x31A9, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2988, 0x2988, 0x29A8, 0x29A8, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2987, 0x2987, 0x2987, 0x2987, 0x2967, 0x2967, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 
        0x29A7, 0x29A7, 0x29A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C9, 0x29C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x39E9, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x29C9, 0x29C9, 0x29C8, 0x29C8, 0x29C8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x21C8, 0x21C8, 0x21C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 
        0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 
        0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 
        0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 
        0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x31E9, 0x31E9, 0x31E9, 0x31E8, 0x31E8, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C9, 0x29C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A4A, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A49, 0x4A49, 0x4A49, 
        0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A49, 
        0x4A49, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A49,
  0x4208, 0x29A7, 0x2966, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2967, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2967, 0x2967, 0x2967, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2988, 0x2988, 0x2988, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x31A9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31A9, 0x31A9, 0x31A9, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2987, 0x2987, 0x2987, 0x2987, 0x2967, 0x2967, 0x2967, 0x2967, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2967, 0x2967, 0x2967, 0x2987, 0x2187, 0x2187, 0x2987, 0x2987, 0x2988, 0x29A8, 0x29A8, 0x29A8, 0x2987, 0x2987, 0x2987, 0x2987, 
        0x2987, 0x2987, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2987, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x31C9, 0x31C9, 0x31C9, 0x31C8, 0x31C8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x29C9, 0x29C9, 0x29C9, 0x29C8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 
        0x21C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 
        0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 
        0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 
        0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 
        0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E9, 0x31E9, 0x31E9, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E8, 0x31E8, 0x31E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C9, 0x29C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x424A, 0x4A4A, 0x4A49, 0x4A4A, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A4A, 
        0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A49, 0x4A49, 
        0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A49,
  0x4208, 0x2986, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2188, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2988, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2988, 0x2988, 
        0x2988, 0x2988, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x31A8, 0x31C8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31A9, 0x31A9, 0x31A9, 0x29A9, 0x29A9, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2987, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2967, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2188, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C9, 0x29C9, 0x29C9, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x39E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x29C9, 0x29C9, 0x29C9, 0x29C8, 0x29C8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21C8, 0x21C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21C8, 0x21C8, 
        0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 
        0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21C8, 
        0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29E8, 
        0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x29E8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A49, 0x4A49, 0x4A49, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A4A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A49, 
        0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A,
  0x4208, 0x2986, 0x2946, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2987, 0x29A8, 0x2988, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x2988, 0x2188, 0x2188, 0x2188, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2188, 0x2188, 0x2188, 0x2188, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2988, 0x2988, 
        0x2988, 0x2988, 0x2988, 0x2988, 0x29A8, 0x29A8, 0x29A8, 0x31A8, 0x31A8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31A9, 0x31A9, 0x31A9, 0x31A8, 0x31A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2987, 0x2987, 0x2987, 0x2967, 0x2967, 0x2967, 0x2967, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2187, 
        0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2188, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x39E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x21C8, 0x21C8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 
        0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A8, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x31C9, 0x31C9, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x31C9, 0x29C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4A49, 0x4A49, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A49, 0x4A49, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A49, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 
        0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A,
  0x4208, 0x2966, 0x2945, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2987, 0x2988, 0x2988, 0x2988, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2188, 0x21A8, 0x21A8, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x29A8, 0x2988, 0x2988, 0x2188, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2987, 0x2987, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x29A8, 0x29A8, 0x31A8, 0x31A8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31A9, 0x31A9, 0x31A9, 0x31A9, 0x31A9, 0x31A9, 0x31A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2167, 0x2167, 0x2167, 0x2147, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2967, 0x2967, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2987, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 
        0x29C8, 0x29C9, 0x29C9, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C9, 0x29C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x39E9, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x39E9, 0x39E9, 0x39E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 
        0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A7, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x21C8, 0x21C8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A7, 
        0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 
        0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x31E8, 0x31E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A49, 0x4A49, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A49, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 
        0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A,
  0x4208, 0x2966, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2987, 0x2988, 0x2988, 0x2988, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x2187, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2187, 0x2987, 0x2987, 0x2988, 0x2988, 0x2988, 0x2988, 0x29A8, 0x29A8, 0x29A8, 0x31A8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31A8, 0x31A8, 0x31A8, 0x31A9, 0x31A9, 0x31A9, 0x31A9, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2968, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2167, 0x2167, 0x2167, 0x2167, 0x2147, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2988, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C9, 0x29C9, 0x29C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 
        0x31E9, 0x31E9, 0x39E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x39E9, 0x39E9, 0x39E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 
        0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x29C9, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x29C8, 0x29C8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x21C8, 0x21C8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A7, 
        0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 
        0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 
        0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x31C8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 
        0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A,
  0x4208, 0x2966, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 
        0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2967, 0x2987, 0x2987, 0x2988, 0x2988, 0x2988, 0x29A8, 0x29A8, 0x29A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x29A8, 0x29A8, 0x29A9, 0x29A9, 0x31A9, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2167, 0x2167, 0x2167, 0x2167, 0x2147, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2987, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 
        0x21A7, 0x21A7, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 
        0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 
        0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29E8, 0x29E8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 
        0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A,
  0x4208, 0x2965, 0x2925, 0x2124, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2167, 0x2167, 0x2166, 
        0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2967, 0x2967, 0x2967, 0x2967, 0x2987, 0x2987, 0x2988, 0x2988, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2967, 0x2967, 0x2167, 0x2167, 0x2967, 0x2967, 0x2967, 0x2967, 0x2167, 0x2147, 0x2147, 0x2147, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2126, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2188, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 
        0x21A7, 0x21A7, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 
        0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 
        0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 
        0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x31E9, 
        0x31E9, 0x31E9, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4A49, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 
        0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A69, 0x4A69, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A,
  0x4208, 0x2965, 0x2125, 0x2124, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2124, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2166, 0x2166, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 
        0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2967, 0x2967, 0x2988, 0x2988, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2967, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2147, 0x2147, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2188, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C9, 0x29C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x2188, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 
        0x21A7, 0x21A7, 0x21A7, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 
        0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 
        0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 
        0x31E9, 0x31E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x422A, 0x424A, 0x424A, 0x424A, 0x4249, 0x4249, 0x4249, 0x4249, 0x4A49, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A,
  0x4208, 0x2965, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2104, 0x2104, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2167, 0x2167, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2967, 0x2987, 0x2987, 0x2988, 0x2988, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x2988, 0x2988, 0x29A8, 0x29A8, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2987, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2147, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2188, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C9, 0x29C9, 0x31C8, 0x31C8, 0x31C8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 
        0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x29A9, 0x29C9, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x21A7, 
        0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 
        0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 
        0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 
        0x31E9, 0x31E9, 0x39E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 
        0x4249, 0x424A, 0x424A, 0x424A, 0x424A, 0x4249, 0x4249, 0x4249, 0x4249, 0x4A49, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A,
  0x4208, 0x2966, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2967, 0x2967, 0x2987, 0x2988, 0x2988, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2188, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2147, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2188, 0x2988, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C9, 0x29C9, 0x29C8, 0x31C8, 0x31C8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 
        0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x29C9, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 
        0x2188, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 
        0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 
        0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A8, 0x21A7, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 
        0x39E9, 0x39E9, 0x39E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4249, 0x424A, 0x424A, 0x4249, 0x4249, 0x4249, 0x4249, 0x4A49, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A,
  0x4208, 0x2966, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 
        0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2167, 0x2167, 0x2167, 0x2967, 0x2967, 0x2987, 0x2987, 0x2987, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2188, 0x2188, 0x2188, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2147, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2987, 0x29A7, 0x2988, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x31C9, 0x31C8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 
        0x2188, 0x2188, 0x2188, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x21A7, 0x21A7, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 
        0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 
        0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21C8, 0x21C8, 
        0x21C8, 0x21C8, 0x21C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C9, 
        0x29C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x424A, 0x424A, 0x424A, 0x4249, 0x4A49, 0x4A49, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A,
  0x4208, 0x2966, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 
        0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2125, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2987, 0x2988, 0x2988, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2188, 
        0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2147, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2126, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2987, 0x2987, 0x2988, 0x2988, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x31C8, 0x31C8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x21A8, 0x2188, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x21A7, 0x21A7, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 
        0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 
        0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21C8, 
        0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C9, 0x29C9, 
        0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x424A, 0x424A, 0x424A, 0x4249, 0x4A49, 0x4A49, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A,
  0x4208, 0x2966, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 
        0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2987, 0x2988, 0x2988, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 
        0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2987, 0x2987, 0x2987, 0x2988, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x31C8, 0x31C9, 0x31C9, 0x31C9, 0x31C8, 0x31C8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x2188, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x21A7, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 
        0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 
        0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x424A, 0x424A, 0x424A, 0x4249, 0x4A49, 0x4A49, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A,
  0x4208, 0x2966, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2124, 
        0x2124, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2187, 0x2987, 0x2988, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 
        0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2987, 0x2988, 0x2988, 0x2988, 0x2988, 0x2987, 0x2988, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C9, 
        0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29A8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x2188, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x21A7, 0x21A7, 
        0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 
        0x21A8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x3209, 0x31E9, 0x31E9, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A,
  0x4208, 0x2966, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 
        0x2104, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2988, 0x2988, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 
        0x21A8, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2987, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x31C8, 0x31C9, 0x31C9, 0x31C9, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 
        0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C8, 0x29C8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 
        0x21A8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x31E9, 0x31E9, 0x39E9, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A,
  0x4208, 0x2966, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 
        0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2167, 0x2167, 0x2187, 0x2987, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2987, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 
        0x31C8, 0x31C8, 0x31C8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C8, 0x29C8, 0x29C9, 
        0x29C9, 0x29C9, 0x29A9, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x2188, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x31E9, 0x31E9, 0x39E9, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A,
  0x4208, 0x2966, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 
        0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2104, 0x2124, 
        0x2125, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2146, 0x2146, 0x2166, 0x2167, 0x2167, 0x2987, 0x2987, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C9, 0x29C9, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 
        0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2987, 0x2187, 0x2187, 0x2187, 0x2187, 0x2987, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 
        0x31C8, 0x31C8, 0x31C8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C8, 0x29C9, 0x29C9, 
        0x29C9, 0x29C9, 0x29C9, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x2188, 0x2188, 0x2188, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2188, 0x2188, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21C8, 0x21C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 
        0x29C8, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3A09, 0x3A09, 0x39E9, 0x39E9, 0x39E9, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x4249, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A,
  0x4208, 0x2965, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2146, 0x2146, 0x2166, 0x2167, 0x2167, 0x2987, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x31C9, 0x29C9, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x2188, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 
        0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 
        0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 
        0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x29C9, 
        0x29C9, 0x29C9, 0x29C9, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2188, 0x2188, 0x2188, 0x2188, 0x2988, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 
        0x29C9, 0x29C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C8, 0x31C8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3A09, 0x39E9, 0x39E9, 0x39E9, 0x3A09, 0x39E9, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x4249, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A,
  0x4208, 0x2965, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2146, 0x2146, 0x2166, 0x2167, 0x2167, 0x2987, 0x29A8, 0x29A8, 0x29C8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 
        0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 
        0x2145, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2987, 0x2987, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x31C8, 0x31C8, 0x31C8, 0x29C8, 
        0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 
        0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x2188, 0x2188, 0x2188, 0x2188, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2188, 0x2188, 0x2188, 0x2188, 0x2988, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21C8, 0x21A8, 0x21C8, 0x21C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C9, 0x31C9, 0x31C9, 0x31C9, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3A09, 0x39E9, 0x3A09, 0x3A09, 0x3A09, 0x39E9, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x4249, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A,
  0x4208, 0x2966, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2146, 0x2146, 0x2167, 0x2167, 0x2167, 0x2987, 0x2987, 0x29A8, 0x29C8, 0x31C9, 0x31C9, 0x31C9, 0x31C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x2188, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 
        0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 
        0x2145, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2987, 0x2987, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x31C8, 0x31C8, 0x29C8, 0x29C8, 0x31C8, 0x31C8, 0x31C8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 
        0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x29C9, 0x29C8, 0x29C8, 0x29C9, 0x29C9, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2988, 0x2188, 0x2188, 0x2188, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2188, 0x2188, 0x2188, 0x2988, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21C8, 0x21A8, 0x21A8, 0x21A8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 
        0x29C8, 0x29C9, 0x29C9, 0x31C9, 0x31C9, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x39E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A,
  0x4208, 0x2966, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2167, 0x2167, 0x2967, 0x2987, 0x29A7, 0x29A8, 0x29C8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 
        0x2145, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2987, 0x2987, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x31C8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 
        0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x31C9, 0x29C8, 0x29C8, 0x29C9, 0x29C9, 0x29C9, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2188, 0x2188, 0x2188, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2188, 0x2988, 0x2988, 0x2988, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 
        0x21A7, 0x21A7, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 
        0x29C8, 0x29C9, 0x29C9, 0x29C9, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3A09, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x4249, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A,
  0x4208, 0x2966, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2146, 0x2146, 0x2166, 0x2167, 0x2167, 0x2987, 0x2987, 0x2987, 0x29A8, 0x29A8, 0x31C8, 0x31C9, 0x31C9, 0x31C9, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2987, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x31C8, 0x31C8, 0x31C9, 0x31C9, 0x31C8, 0x31C8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 
        0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x29C8, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29A8, 0x29A8, 0x29A9, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2188, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2188, 0x2188, 0x2188, 0x2988, 0x2988, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 
        0x21A7, 0x21A7, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29C8, 
        0x29C8, 0x29C9, 0x29C9, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C9, 0x29C9, 0x29C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x39E9, 0x39E9, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A,
  0x4208, 0x2966, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2146, 0x2146, 0x2166, 0x2166, 0x2167, 0x2167, 0x2987, 0x2987, 0x29A7, 0x29A8, 0x29C8, 0x31C8, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2987, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x31C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 
        0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x31C9, 0x29C9, 0x29C9, 0x29C9, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x2188, 0x2188, 0x2188, 0x2188, 
        0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2988, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 
        0x21A7, 0x21A7, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C8, 0x31C8, 0x31C8, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 
        0x39E9, 0x39E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A,
  0x4208, 0x2966, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2146, 0x2146, 0x2166, 0x2167, 0x2167, 0x2987, 0x2987, 0x29A7, 0x29A8, 0x29A8, 0x31C8, 0x31C8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x31C8, 0x31C9, 
        0x31C9, 0x31C9, 0x31C9, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x31C8, 0x31C8, 0x31C8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 
        0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x31C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x2188, 
        0x2188, 0x2188, 0x2188, 0x2188, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x2188, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 
        0x21A7, 0x21A7, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x31C8, 0x31C9, 0x31C9, 0x31E9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 
        0x31E9, 0x31E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x424A, 0x424A, 0x424A, 0x424A, 0x4249, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A,
  0x4208, 0x2966, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2146, 0x2146, 0x2146, 0x2166, 0x2167, 0x2167, 0x2167, 0x2987, 0x2987, 0x29A7, 0x29A8, 0x29A8, 0x31C8, 0x31C8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x31C8, 0x31C9, 
        0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 
        0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x2188, 0x2988, 0x2988, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2988, 0x2987, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x21A8, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x31C8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 
        0x31E9, 0x31E9, 0x31E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A,
  0x4208, 0x2966, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2146, 0x2146, 0x2166, 0x2167, 0x2167, 0x2167, 0x2187, 0x2987, 0x29A8, 0x29A8, 0x29A8, 0x31C8, 0x31C8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x31C8, 0x31C8, 0x31C9, 0x31C9, 
        0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x31C8, 0x31C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 
        0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2988, 0x2987, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x21A7, 0x21A7, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29C8, 
        0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x31C8, 0x31C8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 
        0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4A49, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A,
  0x4208, 0x2966, 0x2145, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2967, 0x2967, 0x2167, 0x2167, 0x2187, 0x2987, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x31C8, 0x31C8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2146, 
        0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x21A7, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x31C8, 0x31C8, 0x31C9, 0x31C9, 
        0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 
        0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x31C9, 0x31C9, 
        0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x31C8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x29C8, 0x29C9, 0x29C9, 0x29C8, 0x29C8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2988, 0x2987, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x21A7, 0x21A7, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29C8, 
        0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 
        0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x39E9, 0x39E9, 0x39E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A,
  0x4208, 0x2966, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2145, 0x2146, 0x2946, 0x2966, 0x2966, 0x2967, 0x2987, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x2988, 0x29A8, 0x29A8, 0x29C8, 0x31C8, 0x31C8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x29C8, 0x29C8, 0x29A8, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x21A7, 0x21A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 
        0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 
        0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C8, 0x31C8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x29C9, 
        0x29C9, 0x29C9, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2988, 0x2988, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x21A7, 0x21A7, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 
        0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x39E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x424A, 0x424A, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4A4A, 0x4A49, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A,
  0x4208, 0x2966, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2145, 0x2145, 0x2146, 0x2946, 0x2966, 0x2966, 0x2967, 0x2987, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x31C8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21C8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 
        0x31E9, 0x31E9, 0x3A09, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 
        0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2988, 0x2988, 0x2988, 0x2988, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x424A, 0x424A, 0x4249, 0x4249, 0x4249, 0x424A, 0x424A, 0x4249, 0x4249, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A,
  0x4208, 0x2986, 0x2945, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 
        0x2145, 0x2146, 0x2146, 0x2946, 0x2966, 0x2967, 0x2967, 0x2967, 0x2987, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x31C8, 0x31C8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 
        0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x3209, 
        0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2988, 0x2988, 0x2988, 0x2988, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2188, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x21A7, 0x21A7, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x31C8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x39E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x424A, 0x424A, 0x4249, 0x4249, 0x4249, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A,
  0x4208, 0x2986, 0x2145, 0x2145, 0x2145, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 
        0x2146, 0x2946, 0x2946, 0x2946, 0x2966, 0x2967, 0x2967, 0x2987, 0x2987, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x31C8, 0x31C8, 0x29C8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 
        0x21A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 
        0x3209, 0x3209, 0x3A09, 0x3A09, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x29C9, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x31C8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 
        0x29C9, 0x29C9, 0x29C8, 0x29C8, 0x29C8, 0x29C9, 0x29C9, 0x29A8, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2988, 0x2988, 0x2988, 0x2988, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2188, 0x2188, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x39E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x422A, 0x424A, 0x424A, 0x4249, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x424A, 0x424A, 0x4249, 0x4249, 0x4249, 0x424A, 0x424A, 0x424A, 0x424A, 0x4249, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A,
  0x3A08, 0x2986, 0x2146, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 
        0x2146, 0x2946, 0x2946, 0x2946, 0x2966, 0x2967, 0x2967, 0x2987, 0x2987, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x31C8, 0x31C8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x29C8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21C8, 0x21C8, 0x21C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x21A7, 0x21A7, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x29C9, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x31C8, 0x31C8, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x29C9, 
        0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2988, 0x2988, 0x2988, 0x2987, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2987, 0x2987, 0x2987, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x21A7, 0x21A8, 0x21A8, 0x29A8, 
        0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C9, 0x29C8, 
        0x29C8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x424A, 0x424A, 0x424A, 0x4249, 0x4249, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 
        0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A,
  0x3A08, 0x2986, 0x2146, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2125, 0x2125, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 
        0x2946, 0x2946, 0x2946, 0x2946, 0x2966, 0x2967, 0x2967, 0x2987, 0x2987, 0x29A7, 0x29A8, 0x29A8, 0x31C8, 0x31C8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x29C8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29E9, 0x29E9, 0x29C8, 0x29C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21A8, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x21A7, 0x21A7, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C9, 0x29C9, 0x29E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x31E9, 0x31E9, 0x29E9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 
        0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x29C9, 
        0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x29C9, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2988, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2987, 0x2987, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A8, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x2188, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x39E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x424A, 0x4249, 0x4249, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A,
  0x4208, 0x2986, 0x2945, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2966, 0x2967, 0x2146, 0x2166, 0x2167, 0x2167, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 
        0x2946, 0x2946, 0x2946, 0x2966, 0x2967, 0x2967, 0x2967, 0x2987, 0x2987, 0x29A8, 0x29A8, 0x29A8, 0x31C8, 0x31C8, 0x31C9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x29C8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21C8, 
        0x29C8, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29E9, 0x29E9, 0x31E9, 0x31E9, 0x31E9, 0x29E9, 0x29E9, 0x29C9, 0x29C9, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 
        0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29C8, 0x29C8, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x29C9, 
        0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C8, 0x29C8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2987, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 
        0x21A7, 0x21A7, 0x21A8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x2188, 0x2188, 0x2188, 0x2188, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x424A, 0x424A, 0x424A, 0x4249, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A49, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A,
  0x4208, 0x2986, 0x2945, 0x2145, 0x2145, 0x2146, 0x2967, 0x31A7, 0x31E8, 0x3A09, 0x4229, 0x3A09, 0x31E9, 0x31C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2987, 0x2967, 0x2967, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2946, 0x2966, 0x2966, 0x2967, 0x2967, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A8, 0x29A8, 0x29A8, 0x31C8, 0x31C8, 0x31C9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x29C9, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21C8, 0x29C8, 
        0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x29E9, 0x29E9, 0x29E9, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 
        0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x21A7, 0x21A7, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x29E8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x31C8, 0x31C8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x31C9, 0x29C8, 0x29C8, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x31C8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2987, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x21A8, 0x21A8, 0x21A8, 0x21A7, 0x2187, 0x2187, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2187, 0x2187, 0x21A8, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x2187, 0x2187, 0x2187, 0x2187, 0x2188, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x31C8, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x424A, 0x424A, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A,
  0x4208, 0x2966, 0x2945, 0x2145, 0x2146, 0x2146, 0x2966, 0x29A7, 0x3A09, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4249, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A2A, 0x3A09, 0x31E9, 0x31C9, 0x31C8, 0x31C8, 0x31C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2987, 
        0x2987, 0x2987, 0x2967, 0x2967, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2966, 0x2966, 0x2967, 0x2967, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x31C8, 0x31C9, 0x31E9, 0x39E9, 0x31E9, 0x31E9, 0x31C9, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21C8, 0x29C8, 
        0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x29E9, 0x29E9, 0x29C9, 0x29C9, 0x21C9, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x29C8, 0x21C8, 
        0x21C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29E9, 0x29E9, 0x29E9, 0x29C9, 0x29C8, 0x21C8, 0x21A8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C9, 0x29C9, 0x29C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 
        0x31E9, 0x31C9, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x31C8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2187, 0x2187, 
        0x2188, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2987, 0x29A8, 0x29A8, 0x29A8, 0x2987, 0x2987, 0x2187, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2187, 0x2987, 0x29A8, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x21A7, 0x21A7, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2188, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A,
  0x4208, 0x2966, 0x2945, 0x2145, 0x2146, 0x2146, 0x2966, 0x2987, 0x31A8, 0x3A09, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A4A, 0x3A09, 0x3A09, 0x3A29, 0x3A2A, 0x3A2A, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A0A, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3209, 
        0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x2987, 0x2987, 0x2987, 0x2167, 0x2167, 0x2967, 0x2967, 0x2987, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2966, 0x2967, 0x2967, 0x2987, 0x29A7, 0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x31C8, 0x31C9, 0x31C9, 0x39E9, 0x31E9, 0x31E9, 0x31C9, 0x29C9, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29C8, 0x29C9, 
        0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29C9, 0x29C9, 0x29E9, 0x29C9, 0x29C9, 0x29C9, 0x29E9, 
        0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x3209, 0x2A09, 0x29E9, 0x29E9, 0x29C8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A8, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29C8, 0x29C8, 0x29C8, 0x29C9, 0x29C8, 0x29C8, 0x29C8, 0x29C9, 0x29C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x31E9, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x31E9, 0x31E9, 
        0x31E9, 0x31E9, 0x31E9, 0x29E9, 0x29E8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x31C8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C8, 0x29C8, 0x29C8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x29C9, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29C8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 
        0x21A8, 0x2188, 0x2188, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 
        0x2987, 0x2987, 0x2988, 0x2988, 0x2988, 0x2987, 0x2987, 0x2987, 0x2988, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2988, 0x2987, 0x2987, 0x2988, 0x2987, 0x2987, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x21A8, 0x21A8, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2188, 0x29A8, 0x29A8, 0x2988, 0x2988, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A,
  0x4208, 0x2966, 0x2945, 0x2145, 0x2146, 0x2146, 0x2966, 0x2967, 0x2967, 0x2967, 0x29A7, 0x3A08, 0x4249, 0x4A8A, 0x4A8A, 0x4A4A, 0x4249, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A0A, 0x3A0A, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x31E9, 0x31E9, 0x31E9, 0x29C9, 0x29C9, 0x29C9, 0x31E9, 0x31E9, 0x29C9, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2987, 
        0x2987, 0x2987, 0x2987, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2167, 0x2967, 0x2987, 0x2987, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31C9, 0x29C9, 0x29C8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21C8, 0x29C8, 0x29C9, 0x29C9, 
        0x29C9, 0x29C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x2A09, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 
        0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x2A09, 0x29E9, 0x29C8, 0x21C8, 0x21C8, 0x21A8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 
        0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29C8, 0x29C8, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x31E9, 
        0x31E9, 0x31E9, 0x31E9, 0x29E9, 0x29E9, 0x29E8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x31C8, 0x31C8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x21A8, 0x21A8, 0x21A8, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 
        0x2987, 0x2987, 0x2988, 0x2988, 0x2988, 0x2987, 0x2987, 0x2987, 0x2988, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2988, 0x2988, 0x29A8, 0x29A8, 0x2988, 0x2987, 0x2987, 0x2987, 0x2987, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2188, 0x29A8, 0x29A8, 0x2988, 0x2988, 0x2988, 0x2988, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x422A, 
        0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A,
  0x4208, 0x2966, 0x2946, 0x2125, 0x2145, 0x2146, 0x2966, 0x2966, 0x2966, 0x2146, 0x2146, 0x2166, 0x29A7, 0x3A09, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A4A, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A2A, 0x3A2A, 0x3A09, 0x3A09, 0x31E9, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x31E9, 0x31E9, 0x3A09, 0x3A09, 0x3A09, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x31E9, 0x31C9, 0x31C9, 0x31E9, 0x29C9, 0x29C9, 
        0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x2187, 0x2187, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2187, 
        0x2187, 0x2987, 0x2987, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C9, 0x29C9, 0x29C8, 0x29A8, 0x21A8, 0x21A8, 0x2187, 0x2187, 0x2188, 0x2188, 0x21A8, 0x21A8, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x31E9, 
        0x31E9, 0x31E9, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3209, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 
        0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x29C9, 0x29C9, 0x21C8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 
        0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 
        0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x29E8, 0x29E8, 0x29E8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 
        0x29A7, 0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 
        0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C8, 0x31C8, 0x29C8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x2988, 0x2988, 0x2188, 0x2188, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2987, 0x2987, 0x2987, 0x2987, 
        0x2987, 0x2987, 0x2987, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2988, 0x2987, 0x2987, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2188, 0x29A8, 0x29A8, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x39E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x422A, 
        0x424A, 0x424A, 0x424A, 0x4229, 0x424A, 0x424A, 0x424A, 0x4249, 0x4249, 0x4249, 0x4249, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4249, 0x4249, 0x4249, 0x4249, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A,
  0x4208, 0x2966, 0x2946, 0x2146, 0x2146, 0x2146, 0x2966, 0x2966, 0x2966, 0x2145, 0x2146, 0x2146, 0x2146, 0x2966, 0x31A7, 0x4229, 0x4A6A, 0x4A8A, 0x4A6A, 0x4A49, 0x4229, 0x422A, 0x422A, 0x422A, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x39E9, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x39E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3A09, 0x39E9, 0x39E9, 0x3A09, 0x3A09, 0x3A2A, 0x3A09, 0x31E9, 0x31E9, 0x31E9, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x31E9, 0x3209, 
        0x31E9, 0x31E9, 0x31C9, 0x29C9, 0x29C8, 0x29A8, 0x29A8, 0x2187, 0x2167, 0x2167, 0x2166, 0x2166, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2187, 0x2987, 
        0x29A7, 0x29A8, 0x29C8, 0x29C9, 0x29C8, 0x29A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29A8, 0x29A8, 0x21A8, 0x2187, 0x2187, 0x2187, 0x2187, 0x2188, 0x21A8, 0x29A8, 0x29C9, 0x29C9, 0x31E9, 0x3209, 0x3209, 0x3A09, 
        0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 
        0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x31E9, 0x29C9, 0x29C9, 0x21C8, 0x21C8, 0x21C8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A7, 
        0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 
        0x21C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 
        0x3209, 0x3209, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x29E9, 0x29E9, 0x29E8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x29A7, 
        0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C9, 0x29C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C8, 0x29C8, 0x29C8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x2988, 0x2188, 0x2188, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 
        0x2987, 0x2987, 0x2987, 0x2988, 0x2988, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2988, 0x2987, 0x2987, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2188, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x39E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x424A, 0x422A, 0x422A, 0x4229, 0x424A, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4249, 0x4249, 0x4249, 0x4249, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A,
  0x4208, 0x2986, 0x2946, 0x2146, 0x2146, 0x2166, 0x2966, 0x2966, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2966, 0x31C7, 0x4229, 0x4A8A, 0x4A8A, 0x4A6A, 0x424A, 0x4229, 0x4229, 0x4229, 0x422A, 0x3A2A, 0x3A0A, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x3A09, 0x3A09, 0x3A09, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3209, 0x31E9, 0x31C9, 0x29C9, 0x29A8, 0x29A8, 0x2187, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2987, 0x2987, 0x29A8, 0x29A8, 0x29C8, 
        0x31C8, 0x31C9, 0x31E9, 0x3209, 0x3209, 0x31C9, 0x29C8, 0x29A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x2187, 0x2187, 0x2187, 0x2187, 0x2188, 0x29A8, 0x29C8, 0x29C9, 0x3209, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x422A, 
        0x422A, 0x422A, 0x422A, 0x424A, 0x424A, 0x424A, 0x422A, 0x4229, 0x3A29, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x31E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 
        0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x3209, 0x31E9, 0x29E9, 0x29C9, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21C8, 
        0x29C8, 0x29C9, 0x29C9, 0x29C8, 0x29C8, 0x29C9, 0x29C9, 0x29C9, 0x29E9, 0x29C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 
        0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x29E9, 0x29E9, 0x29C9, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 
        0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2988, 0x2988, 0x2188, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 
        0x2987, 0x2987, 0x2987, 0x2988, 0x2988, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2988, 0x2987, 0x2987, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2188, 0x2988, 0x2188, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2988, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A,
  0x4208, 0x2987, 0x2946, 0x2146, 0x2166, 0x2966, 0x2966, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2966, 0x31C7, 0x4229, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A4A, 0x422A, 0x424A, 0x3A2A, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3A0A, 0x3A0A, 0x3A09, 0x3A09, 0x3A2A, 0x3A0A, 0x3A0A, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x39E9, 0x39E9, 0x39E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x39E9, 0x3A09, 0x3A0A, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x31E9, 0x31C9, 0x29C9, 0x29A8, 0x2988, 0x2187, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2987, 0x2987, 0x29A8, 0x29C8, 0x29C8, 0x31C9, 
        0x31E9, 0x39E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x31E9, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x2187, 0x2187, 0x2167, 0x2167, 0x2187, 0x29A8, 0x29C9, 0x31E9, 0x3A2A, 0x422A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x3A29, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x31E9, 0x31E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 
        0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x3209, 0x3209, 0x31E9, 0x29E9, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29C8, 
        0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 
        0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x29E9, 0x29E9, 0x29E9, 0x29E8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x29C9, 0x29C9, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2988, 0x2188, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 
        0x2987, 0x2987, 0x2987, 0x2988, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2988, 0x2987, 0x2987, 0x2987, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2988, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A,
  0x4208, 0x3187, 0x2967, 0x2967, 0x2987, 0x2966, 0x2166, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2966, 0x39E8, 0x4A4A, 0x4A8A, 0x4A8A, 0x4A4A, 0x39E8, 0x31C8, 0x31C9, 0x39E9, 0x3A09, 0x31E9, 
        0x39E9, 0x3A09, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x39E9, 0x39E9, 0x3A09, 0x3A09, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A0A, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A2A, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x31E9, 0x31C9, 0x29A8, 0x29A8, 0x2988, 0x2187, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2967, 0x2987, 0x2987, 0x29A8, 0x29C8, 0x31C8, 0x31C8, 
        0x31E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x3A09, 0x31E9, 0x31E9, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x2187, 0x2187, 0x2167, 0x2167, 0x2187, 0x2188, 0x29C8, 0x31E9, 0x3A2A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A49, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 0x4229, 0x3A29, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x31E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 
        0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x29E9, 0x29E9, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 
        0x21C8, 0x21C8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21C8, 0x21C8, 0x21A8, 0x21C8, 0x21C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29E9, 0x29E9, 0x29E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 
        0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x29E9, 0x29E9, 0x29E8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x29C9, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2188, 0x2188, 0x2188, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 
        0x2987, 0x2987, 0x2987, 0x2988, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2988, 0x2987, 0x2987, 0x2987, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2987, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2987, 
        0x2988, 0x2988, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x31C8, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A,
  0x4208, 0x31A7, 0x2987, 0x29A8, 0x29C8, 0x2987, 0x2966, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2946, 0x31A7, 0x3A09, 0x4A4A, 0x4A8A, 0x4A6A, 0x3A09, 0x31C8, 0x29A8, 0x31C8, 0x31C8, 
        0x31C9, 0x31C9, 0x31C9, 0x29A9, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2988, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x3A09, 0x3A09, 0x31E9, 0x31E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x39E9, 0x3A09, 0x3A09, 0x3A2A, 
        0x3A2A, 0x3A2A, 0x3A2A, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x31E9, 0x31C9, 0x29C9, 0x29A8, 0x2187, 0x2167, 0x2167, 0x2166, 0x2166, 0x2167, 0x2167, 0x2967, 0x2967, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29A8, 0x31C8, 0x31E9, 
        0x31E9, 0x39E9, 0x39E9, 0x39E9, 0x31E9, 0x31E9, 0x39E9, 0x3A09, 0x31E9, 0x29C9, 0x29C8, 0x29A8, 0x29A8, 0x21A8, 0x2187, 0x2167, 0x2167, 0x2167, 0x2187, 0x29A8, 0x29C9, 0x3A09, 0x422A, 0x424A, 0x4249, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 0x4229, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x3209, 0x31E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 
        0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x29E9, 0x29C9, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 
        0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x29C8, 0x29C8, 0x29C9, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C9, 0x29E9, 
        0x29E9, 0x29E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 
        0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x29E9, 0x29E9, 0x29E9, 0x29C9, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x31C8, 0x31C8, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x2988, 0x2988, 0x2188, 0x2188, 0x2188, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 
        0x2987, 0x2987, 0x2988, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2988, 0x2987, 0x2987, 0x2987, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2988, 0x2988, 0x2988, 0x2988, 0x2188, 0x2188, 0x2188, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2988, 0x2988, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x31C8, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A,
  0x4208, 0x31A7, 0x29A8, 0x29A8, 0x29C8, 0x2987, 0x2966, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2945, 0x2145, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2966, 0x31A7, 0x3A09, 0x4A8A, 0x4A8A, 0x4A6A, 0x4229, 0x31C8, 0x29A8, 
        0x29A8, 0x29C8, 0x29C8, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C9, 0x31C9, 0x29C9, 0x29C8, 0x29C9, 0x31C9, 0x31C9, 0x31E9, 0x3209, 
        0x3A09, 0x3A09, 0x3A09, 0x31E9, 0x3A09, 0x3A09, 0x39E9, 0x31E9, 0x3209, 0x3A09, 0x39E9, 0x31E9, 0x31E9, 0x31C9, 0x29C9, 0x29A8, 0x2988, 0x2967, 0x2167, 0x2166, 0x2167, 0x2967, 0x2967, 0x2967, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29A8, 0x31C8, 
        0x31E9, 0x31E9, 0x39E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x39E9, 0x3A09, 0x29E9, 0x29C9, 0x29A8, 0x21A8, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2188, 0x29A8, 0x31E9, 0x3A29, 0x422A, 0x4249, 0x4249, 0x4249, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 0x4229, 0x4229, 0x3A29, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 
        0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x2A09, 0x29E9, 0x29E9, 0x21C9, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 
        0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x29C8, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29E9, 
        0x29C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 
        0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x29A7, 0x21A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x31C8, 0x31C9, 
        0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 
        0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x2988, 0x2988, 0x2188, 0x2988, 0x2188, 0x2188, 0x2188, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 
        0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2988, 0x2987, 0x2987, 0x2987, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2987, 0x2987, 0x2988, 0x2988, 0x2988, 0x2988, 0x2188, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2988, 0x2988, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x31C8, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A,
  0x4228, 0x39C8, 0x31C8, 0x31C8, 0x31A7, 0x2966, 0x2946, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2946, 0x2946, 0x31C8, 0x4229, 0x4A8A, 0x528A, 0x4A8A, 0x3A09, 
        0x31C8, 0x31C8, 0x31C9, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29C9, 0x31C9, 0x31E9, 0x31E9, 0x31C9, 0x29C9, 0x29C9, 0x29C9, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2188, 0x21A8, 0x29A8, 0x29A8, 0x29A9, 0x29C9, 
        0x29C8, 0x29C8, 0x29C9, 0x31C9, 0x39E9, 0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x29C8, 0x29A8, 0x2167, 0x2167, 0x2167, 0x2967, 0x2967, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A8, 0x31C8, 
        0x31E9, 0x31E9, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x31E9, 0x29C8, 0x21A8, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x21A8, 0x29C9, 0x3A09, 0x422A, 0x424A, 0x4249, 0x4249, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 
        0x4A4A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4249, 0x4229, 0x4229, 0x3A29, 0x3A09, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x29E9, 0x29C9, 0x29C9, 0x29C8, 0x29C8, 0x29E9, 
        0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x2A09, 0x29E9, 0x29E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 
        0x21C9, 0x21C9, 0x21C9, 0x21C8, 0x21C9, 0x21E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x29C9, 0x29E9, 0x29E9, 
        0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 
        0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x29E9, 0x29E8, 0x29E9, 0x29C9, 0x29C9, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x2988, 0x2988, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 
        0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2987, 0x2987, 0x2987, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2187, 0x2187, 0x2187, 0x2187, 0x2987, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x422A, 0x422A, 0x422A, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A,
  0x4229, 0x3A08, 0x39E9, 0x31C8, 0x2987, 0x2946, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2967, 0x31C8, 0x4229, 0x4A8A, 0x4A8A, 
        0x424A, 0x3A09, 0x31C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2188, 0x2188, 0x29A8, 0x29A8, 0x29C9, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x31E9, 0x3209, 0x3A09, 0x3A09, 0x31E9, 0x31E9, 0x29A8, 0x29A8, 0x2988, 0x29A8, 0x29A8, 0x31C9, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x31E9, 0x29C9, 0x29A8, 0x29A8, 0x29A8, 0x29A9, 0x29A8, 0x29A9, 0x29C9, 0x29C9, 0x29C9, 0x29A8, 0x29A8, 0x2987, 0x2167, 0x2167, 0x2967, 0x2967, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A8, 0x29A8, 
        0x31C8, 0x31C9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x29C9, 0x29A8, 0x2187, 0x2187, 0x2167, 0x2167, 0x2187, 0x21A8, 0x29A8, 0x31E9, 0x3A29, 0x422A, 0x424A, 0x4249, 0x4A49, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x422A, 0x4229, 0x3A29, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29C9, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C9, 0x29C9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x2A09, 0x29E9, 0x29E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E8, 0x21E8, 0x21E8, 0x21E8, 0x21E9, 
        0x21E9, 0x21E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x2A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 
        0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 
        0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29C9, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C9, 0x29C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x2988, 0x2988, 0x2188, 0x2188, 0x2188, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2987, 0x2987, 0x2987, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2188, 0x2988, 0x2988, 0x2188, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2987, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x422A, 0x422A, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A,
  0x4229, 0x3A09, 0x39E9, 0x31C8, 0x2967, 0x2946, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2966, 0x2987, 0x39C8, 0x4A4A, 
        0x4A8A, 0x4A6A, 0x4229, 0x31C8, 0x31C9, 0x31E9, 0x31E9, 0x29C9, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x31C9, 0x31C9, 0x29C9, 0x29A8, 0x29A8, 0x31C9, 0x3A09, 0x3A2A, 0x3A2A, 0x3A29, 0x3A09, 0x31E9, 0x31C9, 0x31C8, 0x29C8, 0x31E9, 
        0x3209, 0x31C9, 0x29A8, 0x29A8, 0x29C9, 0x31E9, 0x31E9, 0x29C9, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x21A8, 0x2188, 0x2188, 0x2187, 0x2167, 0x2167, 0x2967, 0x2967, 0x2967, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x31C8, 0x31C9, 0x31E9, 0x29C9, 0x29A8, 0x21A7, 0x2187, 0x2187, 0x2187, 0x21A7, 0x29A8, 0x29C8, 0x3A09, 0x422A, 0x424A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x424A, 0x424A, 0x3A29, 0x3A09, 0x3209, 0x31E9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C9, 0x29C9, 0x29C9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x2A09, 0x29E9, 0x29E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E8, 0x21E8, 0x21E8, 0x21E9, 0x21E9, 
        0x21E9, 0x29E9, 0x29E9, 0x2A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 
        0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3209, 0x3209, 
        0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 
        0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C9, 0x29C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29A9, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2988, 
        0x2188, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2987, 0x2987, 0x2987, 0x2987, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2988, 0x2988, 0x2988, 0x2188, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2987, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2987, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x422A, 0x422A, 0x422A, 0x422A, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x4249, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A49, 0x4A49, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A,
  0x4229, 0x4229, 0x39E9, 0x29A7, 0x2966, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2145, 0x2145, 0x2145, 0x2146, 0x2946, 0x31A7, 
        0x3A09, 0x4A4A, 0x4A8A, 0x4A6A, 0x3A09, 0x31A8, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2187, 0x2188, 0x29A8, 0x29A8, 0x31C9, 0x31E9, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x422A, 0x3A29, 0x3A09, 0x31C9, 0x31C8, 0x31E9, 
        0x3A09, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x29C9, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2188, 0x2988, 0x29A8, 0x2988, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29A7, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x31C8, 0x31E9, 0x29C9, 0x29C8, 0x21A8, 0x21A7, 0x21A7, 0x21A8, 0x21A8, 0x29C8, 0x31E9, 0x3A2A, 0x422A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x424A, 0x3A29, 0x3A09, 0x3209, 0x29E9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C9, 0x29C9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x3209, 0x2A09, 0x2A09, 0x2A09, 0x29E9, 0x21E9, 0x21E9, 0x21E9, 0x21E8, 0x21C9, 0x21E9, 0x21E8, 0x21E8, 0x21E8, 0x21E9, 0x21E9, 
        0x29E9, 0x29E9, 0x2A09, 0x3209, 0x3209, 0x3209, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x3209, 0x31E9, 
        0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 
        0x3209, 0x3209, 0x3209, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 
        0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29C9, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x31C8, 0x31C8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2988, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2988, 0x2987, 0x2987, 0x2987, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2987, 0x2987, 0x2988, 0x2188, 0x2188, 0x2187, 0x2187, 0x2187, 0x2187, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2187, 
        0x2187, 0x2987, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x422A, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x4249, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A49, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A,
  0x4229, 0x4229, 0x31C8, 0x2987, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 
        0x2966, 0x31C7, 0x3A09, 0x4A4A, 0x528A, 0x4A4A, 0x3A09, 0x29A7, 0x2987, 0x29A8, 0x29A8, 0x29C8, 0x29C9, 0x29A8, 0x29A8, 0x2188, 0x2187, 0x2987, 0x29A8, 0x31C9, 0x31E9, 0x31E9, 0x3209, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2187, 0x2167, 0x2187, 0x2987, 0x2987, 0x2167, 0x2187, 0x2987, 0x2987, 0x2987, 0x29A8, 0x29A7, 
        0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x31C8, 0x29C9, 0x29C9, 0x29A8, 0x21A8, 0x21A7, 0x21A8, 0x21A8, 0x29A8, 0x29C9, 0x3209, 0x422A, 0x424A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x528A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x424A, 0x3A29, 0x3209, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 
        0x21C8, 0x29C8, 0x29C8, 0x29C9, 0x29C9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x2A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x29E9, 0x21E9, 0x21E9, 0x21E9, 0x21E8, 0x21C9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x29E9, 
        0x2A09, 0x2A09, 0x3209, 0x3229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 
        0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29E9, 0x29E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 
        0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 
        0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x29C9, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2988, 0x2988, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2987, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2988, 0x2987, 0x2987, 0x2987, 0x2987, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2987, 0x2987, 0x2988, 0x2988, 0x2188, 0x2187, 0x2187, 0x2187, 0x2187, 0x2987, 0x2987, 0x2987, 0x2987, 0x2187, 
        0x2187, 0x2187, 0x2188, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 
        0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A,
  0x4229, 0x3A08, 0x31A7, 0x2966, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2146, 0x2946, 0x2967, 0x31A8, 0x4229, 0x4A4A, 0x4A6A, 0x424A, 0x3A09, 0x29A7, 0x2987, 0x2988, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2187, 0x2187, 0x29A8, 0x29A8, 0x29C9, 0x29C9, 0x29C8, 0x31C8, 0x31C9, 0x31C8, 0x29A8, 0x29A8, 0x31C9, 
        0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x3A0A, 0x3A0A, 0x3A2A, 0x3209, 0x31E9, 0x29C9, 0x29A8, 0x2188, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x2187, 0x2167, 0x2187, 0x2987, 0x29A8, 0x31C8, 0x29A8, 
        0x2987, 0x2987, 0x2987, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x31C9, 0x31C9, 0x29C9, 0x29C8, 0x29A8, 0x21A8, 0x21A7, 0x21A8, 0x21A8, 0x29C8, 0x29E9, 0x3A09, 0x424A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x528A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x528A, 0x528A, 0x528A, 0x4A8A, 0x4A6A, 0x424A, 0x3A09, 0x31E9, 0x29C9, 0x29C9, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 
        0x21C8, 0x29C8, 0x29C8, 0x29C9, 0x29C9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x2A09, 0x2A09, 0x3209, 0x3209, 0x2A09, 0x2A09, 0x2A09, 0x29E9, 0x29E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x29E9, 0x2A09, 
        0x2A09, 0x3209, 0x3209, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 
        0x3A09, 0x3209, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x31C9, 0x31C9, 0x31C9, 0x29E9, 0x29C9, 
        0x29E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 
        0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x29E9, 0x29E9, 0x29E9, 0x29E8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2988, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2988, 0x2987, 0x2987, 0x2987, 0x2987, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2987, 0x2988, 0x2988, 0x2987, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2188, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 
        0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A,
  0x4229, 0x39E8, 0x2987, 0x2166, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2146, 0x2946, 0x2967, 0x2987, 0x31C8, 0x3A29, 0x4A4A, 0x4A6A, 0x4A8A, 0x4A4A, 0x39E9, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2188, 0x2988, 0x29A8, 0x29A9, 0x29C9, 0x31E9, 0x3209, 0x3A09, 0x3A09, 0x31E9, 0x31C9, 
        0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x2988, 0x2988, 0x2988, 0x2188, 0x29A8, 0x29A9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x29C9, 0x29C8, 0x29A8, 0x29A8, 0x2188, 0x2187, 0x2987, 0x2987, 0x2987, 0x2187, 0x2187, 0x2167, 0x2167, 0x29A7, 0x29C8, 0x29A8, 
        0x2987, 0x2187, 0x2187, 0x2987, 0x29A8, 0x29A8, 0x29C8, 0x29C9, 0x31C9, 0x29C9, 0x29C8, 0x21A8, 0x21A8, 0x21A7, 0x21A8, 0x21A8, 0x29C8, 0x31E9, 0x3A2A, 0x424A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x528A, 0x528A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x528A, 0x528A, 0x528A, 0x4A8A, 0x424A, 0x3A29, 0x31E9, 0x29C9, 0x29C8, 0x21A8, 0x21A8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 
        0x21C8, 0x21C8, 0x21C8, 0x29C9, 0x29C9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x2A09, 0x2A09, 0x3209, 0x3209, 0x2A09, 0x2A09, 0x2A09, 0x29E9, 0x29E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x29E9, 0x21E9, 0x21E9, 0x29E9, 0x29E9, 0x2A09, 0x2A09, 
        0x3209, 0x3209, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A2A, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x422A, 0x422A, 0x422A, 0x422A, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 
        0x3A09, 0x3A09, 0x3209, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 
        0x29C9, 0x29C9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 
        0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x29E9, 0x29E8, 0x29E8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 
        0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x29C9, 0x29C9, 0x29C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29A9, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2988, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2987, 0x2987, 0x2987, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2988, 0x2987, 0x2987, 0x2987, 0x2987, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2188, 0x2987, 0x2987, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2188, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A,
  0x4228, 0x31C7, 0x2966, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2146, 0x2946, 0x2966, 0x2966, 0x31A7, 0x39E9, 0x3A09, 0x4229, 0x424A, 0x4A8A, 0x4A8A, 0x4249, 0x39E9, 0x31A8, 0x29A8, 0x29C8, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29A8, 0x29A8, 0x2988, 0x29A8, 0x29A8, 0x29C8, 0x31C8, 0x31C9, 0x31E9, 0x31C9, 
        0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x3209, 0x31C9, 0x29C8, 0x29A8, 0x29C9, 0x29A9, 0x29C9, 0x29C8, 0x29C9, 0x31E9, 0x29A8, 0x2988, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x29A8, 0x2987, 
        0x29A7, 0x29A7, 0x29A7, 0x2187, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C9, 0x29C8, 0x29A8, 0x21A7, 0x21A7, 0x21A7, 0x21A8, 0x21A8, 0x29C8, 0x31E9, 0x3A29, 0x424A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x528A, 0x528A, 0x528A, 0x528A, 0x4A8A, 0x4A8A, 0x4A8A, 0x528A, 0x528A, 0x4A8A, 0x4A8A, 0x4A4A, 0x3A29, 0x31E9, 0x29C9, 0x21C8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 
        0x21C8, 0x29C8, 0x29C8, 0x29C9, 0x29C9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x2A09, 0x3209, 0x3209, 0x3209, 0x29E9, 0x2A09, 0x29E9, 0x29E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21C9, 0x21C9, 0x21E9, 0x21E9, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 
        0x3229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4249, 0x424A, 0x4229, 0x424A, 0x424A, 0x424A, 0x422A, 0x4229, 0x4229, 0x4229, 0x4229, 0x422A, 0x422A, 0x422A, 0x422A, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 
        0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29E9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 
        0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x29E9, 
        0x29E9, 0x29E9, 0x29E8, 0x29E8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 
        0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 
        0x29C9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2988, 0x2988, 0x2188, 0x2188, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2988, 0x2988, 0x2988, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2987, 0x2988, 0x29A8, 0x2188, 0x2187, 0x2187, 0x2187, 0x2187, 0x2188, 
        0x2988, 0x2988, 0x2988, 0x2988, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x422A, 0x422A, 0x422A, 0x422A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A,
  0x4228, 0x31A7, 0x2966, 0x2146, 0x2145, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2946, 0x2966, 0x2967, 0x2987, 0x2966, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2966, 0x2966, 0x2987, 0x31A7, 0x4229, 0x4A4A, 0x4A8A, 0x4A8A, 0x424A, 0x31C8, 0x31C8, 0x31C8, 0x29C8, 0x29A8, 0x29C9, 0x29C9, 0x29C9, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x31C9, 0x31E9, 0x3A09, 0x31C9, 
        0x29A8, 0x29A8, 0x31C9, 0x3A09, 0x3A2A, 0x3A2A, 0x3A2A, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x29C9, 0x29C8, 0x29C8, 0x29A8, 0x2987, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2187, 0x2987, 0x29A8, 0x29A8, 0x29A8, 0x2988, 0x2167, 
        0x2167, 0x2187, 0x29A7, 0x29A7, 0x2187, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29A8, 0x21A7, 0x21A7, 0x21A7, 0x2187, 0x21A8, 0x21A8, 0x29C8, 0x31E9, 0x3A29, 0x424A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x528A, 0x528A, 0x528A, 0x528A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x3A2A, 0x3209, 0x29C9, 0x21C8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 
        0x29C8, 0x29C9, 0x29C9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x2A09, 0x29E9, 0x29E9, 0x21E9, 0x21E8, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x29E9, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3229, 
        0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x422A, 0x424A, 0x424A, 0x424A, 0x424A, 0x422A, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x422A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 
        0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C8, 0x29C8, 0x21C8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C9, 0x29C9, 0x29C8, 0x29C8, 
        0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29E9, 0x29E9, 0x29E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 
        0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 
        0x29E9, 0x29E9, 0x29E9, 0x29E8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x29A7, 
        0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x31C8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 
        0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 
        0x29C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2988, 0x2188, 0x2188, 0x2188, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2988, 0x2988, 0x2988, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2988, 0x29A8, 0x21A8, 0x2187, 0x2187, 0x2187, 0x21A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x422A, 0x422A, 0x422A, 0x422A, 0x424A, 0x424A, 0x4249, 0x4249, 0x4249, 0x4249, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 
        0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A,
  0x4208, 0x2987, 0x2966, 0x2146, 0x2145, 0x2146, 0x2946, 0x2946, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2946, 0x2966, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2946, 0x2987, 0x39E8, 0x4229, 0x4A6A, 0x4A8A, 0x4A6A, 0x4229, 0x39E9, 0x31C8, 0x31C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x31E9, 
        0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A2A, 0x3A29, 0x3A09, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29A8, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x29A8, 0x29A8, 0x2987, 0x2987, 0x2987, 0x2987, 0x29C8, 0x31C9, 0x31C9, 0x29A8, 0x29A8, 
        0x2987, 0x2167, 0x2167, 0x2187, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x21A8, 0x29C8, 0x29E9, 0x3A09, 0x424A, 0x4A4A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x528A, 0x528A, 0x528A, 0x528A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x424A, 0x3A29, 0x29E9, 0x21C8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21C8, 0x21C8, 0x21C8, 0x29C8, 0x29C9, 
        0x29C9, 0x29C9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x21E9, 0x21E9, 0x21E8, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x29E9, 0x29E9, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3209, 0x3229, 
        0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4249, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x422A, 0x422A, 0x4229, 0x4229, 
        0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3209, 0x31E9, 0x31E9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29E9, 0x29E9, 0x29E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 
        0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 
        0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x29E8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 
        0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x31C8, 0x31C8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 
        0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 
        0x29C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2188, 0x2188, 0x2188, 0x2188, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x29A7, 
        0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2988, 0x2988, 0x2988, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2188, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x422A, 0x422A, 0x422A, 0x424A, 0x424A, 0x424A, 0x4249, 0x4249, 0x4249, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A,
  0x4228, 0x31A7, 0x2966, 0x2146, 0x2145, 0x2946, 0x2946, 0x2946, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2946, 0x2967, 0x31C8, 0x3A09, 0x4A4A, 0x4A8A, 0x528A, 0x4A6A, 0x4229, 0x31C8, 0x29A7, 0x29C8, 0x29C8, 0x29C8, 0x29C9, 0x29C8, 0x29A8, 0x2988, 0x2188, 0x29A8, 0x29A8, 
        0x29A8, 0x29C8, 0x31C9, 0x31C8, 0x31C9, 0x31C8, 0x31C8, 0x31C9, 0x3209, 0x3A0A, 0x3A0A, 0x3A0A, 0x3A0A, 0x3A09, 0x3A09, 0x3A0A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A0A, 0x3A09, 0x31E9, 0x31E9, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x2188, 0x2988, 
        0x2988, 0x2987, 0x2167, 0x2167, 0x2187, 0x29A7, 0x29A8, 0x29A8, 0x21A8, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x29C8, 0x29C9, 0x3A09, 0x424A, 0x4A4A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x528A, 0x528A, 0x528A, 0x528A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x424A, 0x3A29, 0x29E9, 0x21C8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21C8, 0x21C8, 0x29C8, 0x29C9, 
        0x29E9, 0x29E9, 0x29E9, 0x29C9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x29E9, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3209, 0x3229, 0x3A29, 
        0x3A29, 0x3A29, 0x3A29, 0x424A, 0x4249, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x422A, 0x422A, 0x422A, 0x4229, 
        0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3209, 0x31E9, 0x31E9, 0x31C9, 0x29C9, 0x29C9, 0x29C9, 0x29C8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C9, 0x29C9, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x3209, 
        0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 
        0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x29E9, 0x29E8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x31C8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 
        0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2188, 0x2188, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2987, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x29A7, 
        0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2987, 0x2987, 0x2988, 0x2987, 0x2987, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x422A, 0x422A, 0x422A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A,
  0x4229, 0x3A09, 0x31A7, 0x2966, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2966, 0x2967, 0x31A7, 0x4209, 0x4A49, 0x4A6A, 0x4A8A, 0x4A8A, 0x3A29, 0x31C8, 0x29C8, 0x29A8, 0x29A8, 0x29A9, 0x29A9, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 
        0x21A8, 0x29A8, 0x29A8, 0x29C9, 0x29A8, 0x29A8, 0x2988, 0x2987, 0x2187, 0x2187, 0x2988, 0x2988, 0x2988, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x31C8, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x3A09, 0x3A0A, 0x3A0A, 0x3A2A, 0x3A09, 0x31E9, 0x29C8, 0x31C9, 
        0x29C9, 0x29C8, 0x29A8, 0x2987, 0x2167, 0x2167, 0x2187, 0x21A7, 0x21A7, 0x2187, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x21A7, 0x29C8, 0x29C9, 0x3A09, 0x424A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x424A, 0x3A29, 0x29E9, 0x29C8, 0x21C8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21C8, 0x21C8, 
        0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x21C9, 0x21C9, 0x21C9, 0x21C9, 0x21C9, 0x21C9, 0x21C9, 0x21C8, 0x21C9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x29E9, 0x2A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A29, 0x3A29, 
        0x3A2A, 0x422A, 0x4249, 0x4249, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4249, 0x4249, 0x4249, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x422A, 0x422A, 0x422A, 0x422A, 
        0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3209, 0x31E9, 0x31E9, 0x29C9, 0x29C9, 0x29C8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A7, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 
        0x21A8, 0x29A8, 0x29A8, 0x29C8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21C8, 0x29C8, 0x29C8, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 
        0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x31E9, 0x31E9, 
        0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x29E8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x31C8, 0x31C8, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 
        0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2187, 0x2187, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x29A7, 
        0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2988, 0x2988, 0x29A8, 0x29A8, 0x2988, 0x2987, 0x2987, 0x2988, 0x2987, 0x2987, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x422A, 0x422A, 0x422A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A,
  0x4A49, 0x4A4A, 0x4229, 0x3A08, 0x31A7, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2946, 0x2987, 0x39C8, 0x4229, 0x4A49, 0x4A6A, 0x4A8A, 0x4A6A, 0x3A29, 0x31C8, 0x31C8, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x29C9, 0x29C8, 0x29C9, 0x31C9, 0x31E9, 0x29C8, 0x29A8, 0x2987, 0x2187, 0x2187, 0x2988, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2988, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x3A09, 
        0x3209, 0x31C9, 0x2988, 0x2987, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x21A8, 0x29A8, 0x29C9, 0x3A09, 0x424A, 0x424A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x424A, 0x3229, 0x2A09, 0x29C9, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21C8, 
        0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21E9, 0x21E9, 0x21E9, 0x29E9, 0x2A09, 0x2A09, 0x3209, 0x3209, 0x3229, 0x3A29, 0x3A29, 0x3A2A, 
        0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 0x422A, 0x422A, 0x422A, 0x4229, 
        0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x31E9, 0x31E9, 0x29C9, 0x29C8, 0x29C8, 0x21A8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21C8, 0x21C8, 0x29C8, 0x29C8, 0x29C8, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 
        0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 
        0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x31C8, 0x31C8, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x29C8, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 
        0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x2188, 0x2188, 0x2188, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2987, 0x2987, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 
        0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2988, 0x2988, 0x2988, 0x2988, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2988, 0x2987, 0x2987, 0x2988, 0x2987, 0x2987, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x422A, 0x422A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A,
  0x4229, 0x4229, 0x424A, 0x426A, 0x4249, 0x2987, 0x2966, 0x2945, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2946, 0x2966, 0x31A7, 0x39E8, 0x4229, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4229, 0x31C8, 0x31C8, 0x31C8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x2188, 0x29A8, 0x29A9, 0x29C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x31E9, 0x3A09, 0x3209, 0x3209, 0x31E9, 0x31C9, 0x29C8, 0x29A8, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2187, 0x2187, 0x2187, 0x2187, 0x29A8, 
        0x31C9, 0x31C9, 0x29A8, 0x2987, 0x2167, 0x2987, 0x2987, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x21A7, 0x29A8, 0x29C9, 0x3A09, 0x422A, 0x424A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x424A, 0x3A2A, 0x3209, 0x29E9, 0x29E9, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 
        0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C9, 0x21C9, 0x21E9, 0x21E9, 0x29E9, 0x29E9, 0x2A09, 0x3209, 0x3209, 0x3209, 0x3A29, 0x3A29, 0x3A2A, 0x424A, 
        0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x422A, 0x422A, 0x4229, 0x4229, 
        0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x31E9, 0x29C9, 0x29C8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A7, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21C8, 0x21C8, 0x21C8, 0x29C8, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29E9, 0x29C9, 0x29E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 
        0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 
        0x3209, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x31C8, 0x31C8, 
        0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x29C9, 
        0x29C9, 0x29C9, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x2188, 0x2188, 0x2188, 0x2188, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 
        0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2988, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2988, 0x2987, 0x2987, 0x2988, 0x2987, 0x2987, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2188, 0x2988, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A,
  0x4208, 0x31A7, 0x31C7, 0x3A29, 0x4A6A, 0x4249, 0x39E8, 0x3187, 0x2946, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2946, 0x2966, 0x31A7, 0x4229, 0x424A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A49, 0x39E8, 0x31C8, 0x31A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2988, 0x2988, 0x2988, 0x2988, 0x29A8, 0x29A8, 0x29A8, 0x29C9, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x320A, 0x3209, 0x31E9, 0x31C9, 0x31C9, 0x29A8, 0x2988, 0x2987, 0x2187, 0x2987, 0x29A8, 
        0x29A8, 0x31C8, 0x31C8, 0x29A8, 0x2167, 0x2167, 0x2967, 0x2987, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x29A8, 0x29C9, 0x3209, 0x3A2A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x528A, 0x528A, 0x528A, 0x528A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x424A, 0x3A2A, 0x3209, 0x29E9, 0x29E9, 0x21C9, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 
        0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C9, 0x21E9, 0x21E9, 0x29E9, 0x29E9, 0x2A09, 0x3209, 0x3209, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x424A, 0x424A, 
        0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x31C9, 0x29C9, 0x29A8, 0x21A8, 0x21A8, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x21A7, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21C8, 0x21C8, 0x21C8, 0x29C9, 0x29C9, 0x29C9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x31E9, 0x31E9, 
        0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 
        0x3209, 0x3209, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 
        0x31C8, 0x31C8, 0x31C8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x29C9, 0x29C9, 0x29C9, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x2188, 0x2188, 0x2188, 0x2188, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2987, 0x2987, 0x2987, 0x2987, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2988, 0x2987, 0x2987, 0x2987, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C9, 0x31C9, 0x31E9, 0x31E9, 0x39E9, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A,
  0x4208, 0x2986, 0x2946, 0x2967, 0x31A7, 0x422A, 0x424A, 0x3A09, 0x31A7, 0x2946, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2966, 0x31A7, 0x39E8, 0x4229, 0x424A, 0x4A8A, 0x4A8A, 0x4A4A, 0x3A29, 0x31C8, 0x31C8, 
        0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2988, 0x2187, 0x2967, 0x2967, 0x2167, 0x2988, 0x2988, 0x29A8, 0x29A8, 0x29C9, 0x31E9, 0x31E9, 0x3A09, 0x3A09, 0x31E9, 0x31C9, 0x31C9, 
        0x3A09, 0x422A, 0x424A, 0x424A, 0x3A09, 0x31C8, 0x29A7, 0x2987, 0x2987, 0x2988, 0x2187, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x29A8, 0x29C8, 0x29E9, 0x3A2A, 0x422A, 0x424A, 0x4249, 0x4249, 0x4A49, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x424A, 0x3A2A, 0x3229, 0x3209, 0x29E9, 0x21E9, 0x21E9, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 
        0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C9, 0x21E9, 0x29E9, 0x2A09, 0x3209, 0x3229, 0x3A29, 0x3A2A, 0x3A2A, 0x3A2A, 0x422A, 0x424A, 0x424A, 0x424A, 
        0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 0x4249, 0x4249, 0x4249, 0x4249, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 
        0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x31E9, 0x31C9, 0x29C9, 0x29A8, 0x21A8, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21C8, 0x29C8, 0x29C8, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29E9, 0x29E9, 0x31E9, 
        0x31E9, 0x31E9, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 
        0x3209, 0x3209, 0x3209, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29C8, 0x31C8, 0x31C8, 0x31C8, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2188, 0x2188, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2987, 0x2988, 0x2988, 0x2988, 0x2988, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2988, 0x2987, 0x2987, 0x2987, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4249, 0x424A, 0x424A, 0x424A,
  0x4208, 0x2986, 0x2146, 0x2146, 0x2967, 0x2987, 0x39E9, 0x4229, 0x422A, 0x3A09, 0x2967, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2946, 0x2967, 0x31C8, 0x3A09, 0x424A, 0x4A4A, 0x4A6A, 0x4A8A, 0x4A6A, 0x3A09, 
        0x39E9, 0x31E9, 0x31C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29A8, 0x29A8, 0x2988, 0x2187, 0x2188, 0x2188, 0x2988, 0x29A8, 0x29A8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x3A09, 
        0x3A09, 0x3A29, 0x422A, 0x424A, 0x422A, 0x3A2A, 0x3A09, 0x31E9, 0x29A8, 0x2987, 0x2987, 0x2987, 0x2987, 0x2187, 0x2167, 0x2187, 0x21A8, 0x29A8, 0x29C8, 0x3209, 0x3A29, 0x422A, 0x424A, 0x4249, 0x4249, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x424A, 0x3A29, 0x3209, 0x2A09, 0x29E9, 0x21E9, 0x21E8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 
        0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21E9, 0x21E9, 0x29E9, 0x29E9, 0x2A09, 0x3209, 0x3A29, 0x3A2A, 0x3A2A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 0x4249, 0x4249, 0x4249, 0x4249, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x422A, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x29C9, 0x29A8, 0x29A8, 0x2187, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21C8, 0x21C8, 0x29C8, 0x29C8, 0x29C8, 0x29C9, 0x29C9, 0x29E9, 0x31E9, 
        0x31E9, 0x31E9, 0x3209, 0x31E9, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 
        0x3209, 0x3209, 0x3209, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x31C8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x29C9, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2188, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2988, 0x2987, 0x2987, 0x2987, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C9, 0x31C9, 0x31C9, 0x31E9, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229,
  0x4208, 0x2986, 0x2946, 0x2146, 0x2146, 0x2146, 0x2966, 0x29A7, 0x31E8, 0x422A, 0x3A09, 0x31A7, 0x2967, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2946, 0x2966, 0x29A7, 0x3A09, 0x4229, 0x4A4A, 0x4A6A, 0x4A8A, 0x4A8A, 
        0x4A4A, 0x3A29, 0x3A09, 0x31C8, 0x29C8, 0x29C8, 0x29C9, 0x29C9, 0x29C9, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x31C9, 0x31C9, 0x31C9, 0x29A8, 0x2988, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2988, 0x2187, 0x2988, 
        0x29A8, 0x29A8, 0x31C8, 0x31C9, 0x3A09, 0x3A2A, 0x424A, 0x424A, 0x3A2A, 0x31C9, 0x29A8, 0x2987, 0x2987, 0x29A8, 0x21A8, 0x2187, 0x2187, 0x21A8, 0x29A8, 0x29C9, 0x3209, 0x3A29, 0x3A29, 0x4249, 0x4249, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x424A, 0x3A29, 0x3229, 0x3209, 0x2A09, 0x29E9, 0x21E9, 0x21E9, 0x21E8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 
        0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21E9, 0x21E9, 0x29E9, 0x29E9, 0x2A09, 0x3209, 0x3A2A, 0x422A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x422A, 0x422A, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x29C9, 0x29C9, 0x29C8, 0x29A8, 0x2187, 0x2167, 0x2167, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21C8, 0x29C8, 0x29C9, 0x29C9, 0x29C9, 0x29E9, 
        0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x3209, 
        0x3209, 0x3209, 0x3209, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x29C9, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2988, 0x2188, 0x2188, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2987, 0x2987, 0x2987, 0x2987, 0x2988, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2988, 0x2987, 0x2987, 0x2987, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C9, 0x31C9, 0x31E9, 0x3209, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x424A, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x424A, 0x4249, 0x4229, 0x4229, 0x4229,
  0x4208, 0x2986, 0x2946, 0x2146, 0x2146, 0x2145, 0x2146, 0x2166, 0x2967, 0x29A7, 0x3A29, 0x424A, 0x3A29, 0x31C8, 0x2987, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2946, 0x2967, 0x31C8, 0x3A09, 0x4229, 0x4A4A, 0x4A6A, 
        0x4A8A, 0x4A8A, 0x4A4A, 0x4229, 0x39E8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x3A09, 0x3A2A, 0x3A2A, 0x3A09, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2988, 
        0x2988, 0x2988, 0x2988, 0x2987, 0x2987, 0x2988, 0x31C8, 0x31E9, 0x3A09, 0x29C8, 0x2987, 0x2167, 0x2167, 0x2187, 0x21A8, 0x2187, 0x2187, 0x2187, 0x2187, 0x29C8, 0x31E9, 0x3209, 0x3A09, 0x3A29, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x424A, 0x424A, 0x3A29, 0x3209, 0x2A09, 0x29E9, 0x29E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21C8, 
        0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C9, 0x21C9, 0x21E9, 0x21E9, 0x21E9, 0x2A09, 0x2A09, 0x3209, 0x3A29, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x422A, 0x422A, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x39E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x29C9, 0x29C9, 0x29C9, 0x29C8, 0x29A8, 0x2187, 0x2167, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21C8, 0x29C8, 0x29C8, 0x29C9, 0x29E9, 
        0x29E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 
        0x31C8, 0x31C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 
        0x2987, 0x2987, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x31C8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x2188, 0x2188, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 
        0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2987, 0x2988, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2988, 0x2987, 0x2987, 0x2987, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x31C9, 0x31E9, 
        0x31E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4249, 0x4229,
  0x4208, 0x2986, 0x2946, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2966, 0x2987, 0x39E8, 0x4229, 0x4A6A, 0x4249, 0x29A7, 0x2966, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2945, 0x2946, 0x2966, 0x2987, 0x31C8, 0x3A09, 0x424A, 
        0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A4A, 0x4229, 0x3A09, 0x3A09, 0x3A2A, 0x3A09, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x31E9, 0x3209, 0x3A29, 0x3A2A, 0x3A2A, 0x3A0A, 0x3A0A, 0x3A0A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A0A, 0x3209, 0x31E9, 0x31E9, 
        0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x29A8, 0x2988, 0x2987, 0x2967, 0x2987, 0x2987, 0x2167, 0x2167, 0x2167, 0x2987, 0x29A8, 0x2187, 0x2167, 0x2167, 0x2187, 0x2187, 0x29A8, 0x31C9, 0x3209, 0x3A29, 0x422A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x424A, 0x424A, 0x3A2A, 0x3A29, 0x3209, 0x2A09, 0x2A09, 0x2A09, 0x2209, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 
        0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x29E9, 0x2A09, 0x3209, 0x3A29, 0x3A2A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x422A, 0x422A, 0x422A, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x39E9, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x29C8, 0x29A8, 0x29A8, 0x21A8, 0x2187, 0x2167, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x21A7, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21C8, 0x29C8, 0x29C8, 0x29C9, 
        0x29E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x31E9, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x31E9, 0x31E9, 0x31C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x2987, 
        0x2987, 0x2987, 0x2987, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x2188, 0x2188, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2987, 
        0x2987, 0x2987, 0x2988, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2988, 0x2987, 0x2987, 0x2987, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x31C9, 
        0x31E9, 0x31E9, 0x31E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4249,
  0x4208, 0x2986, 0x2946, 0x2146, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2146, 0x2966, 0x2987, 0x31C8, 0x4229, 0x424A, 0x3A08, 0x31A7, 0x2946, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2946, 0x2967, 0x31A7, 0x3A09, 
        0x4229, 0x4A4A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4249, 0x4229, 0x3A09, 0x31E9, 0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x3A09, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x29A8, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x3209, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x31E9, 0x31C9, 0x29A8, 0x2988, 0x2988, 0x2987, 0x2987, 0x2987, 0x2988, 0x2187, 0x2187, 0x2987, 0x29A8, 0x29C8, 0x29A8, 0x2988, 0x2988, 0x31C9, 0x3A09, 0x422A, 0x424A, 0x424A, 0x424A, 0x4A4A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A4A, 0x424A, 0x424A, 0x4249, 0x3A29, 0x3A29, 0x3229, 0x3209, 0x2A09, 0x2A09, 0x2A09, 0x2209, 0x2209, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 
        0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x2A09, 0x2A09, 0x3209, 0x3A29, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x422A, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x39E9, 
        0x39E9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x2187, 0x2167, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21C8, 0x29C8, 0x29C9, 0x29C9, 
        0x29C9, 0x29C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 
        0x3A29, 0x3A09, 0x3A09, 0x31E9, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 
        0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x31C8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x2188, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2987, 0x2987, 0x2988, 0x2988, 0x2988, 0x2988, 0x29A8, 0x29A8, 0x2988, 0x2987, 0x2987, 0x2987, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2167, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2188, 0x21A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 
        0x31C9, 0x31E9, 0x31E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4249,
  0x4208, 0x2987, 0x2166, 0x2146, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2946, 0x2966, 0x31A7, 0x3A09, 0x422A, 0x3A29, 0x31C8, 0x2966, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2946, 0x2987, 
        0x31C8, 0x3A09, 0x422A, 0x4A4A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4229, 0x39E9, 0x31C9, 0x31C9, 0x29C8, 0x29C9, 0x29C9, 0x29C9, 0x31C9, 0x31C9, 0x29C9, 0x31C9, 0x31C9, 0x29C9, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 
        0x31C9, 0x31E9, 0x31E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x31E9, 0x31C9, 0x29C9, 0x29C9, 0x29A8, 0x29A8, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2187, 0x29A8, 0x31E9, 0x3A2A, 0x424A, 0x424A, 0x424A, 
        0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x424A, 0x4249, 0x4249, 0x3A49, 0x3A29, 0x3A29, 0x3229, 0x3209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2209, 0x2209, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 
        0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x29E9, 0x2A09, 0x2A09, 0x3209, 0x3A29, 0x3A29, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x424A, 0x424A, 0x4249, 0x4249, 0x422A, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x31E9, 
        0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x21A8, 0x21A8, 0x2187, 0x2187, 0x2187, 0x2167, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29C8, 0x29C9, 0x29C9, 
        0x29E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x422A, 0x424A, 0x424A, 0x424A, 0x424A, 0x422A, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x3A29, 0x3A09, 0x3A09, 0x31E9, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 
        0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x2188, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2188, 0x29A8, 0x29A8, 0x29C8, 
        0x29C8, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x4249, 0x424A, 0x4249, 
        0x424A, 0x4A4A, 0x4A49, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x4249, 0x4249,
  0x4208, 0x31A7, 0x2967, 0x2146, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2146, 0x2146, 0x2967, 0x31C8, 0x3A29, 0x424A, 0x4229, 0x31A7, 0x2966, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2966, 0x31A7, 0x39C8, 0x3A09, 0x424A, 0x4A4A, 0x4A6A, 0x4A8A, 0x528A, 0x4A6A, 0x424A, 0x3A09, 0x31C9, 0x31C8, 0x29C8, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29A9, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C9, 0x29C9, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29C9, 0x29C9, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x29C8, 0x29A8, 0x21A8, 0x29A8, 0x29C8, 0x29A8, 0x2188, 0x2187, 0x2987, 0x2988, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2988, 0x2988, 0x2187, 0x29A8, 0x31C8, 0x3A29, 0x424A, 
        0x424A, 0x424A, 0x424A, 0x424A, 0x4249, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3229, 0x3209, 0x3209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 
        0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x29E9, 0x2A09, 0x2A09, 0x3209, 0x3229, 0x3A29, 0x4229, 0x424A, 0x424A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x424A, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x39E9, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 
        0x31C9, 0x31C9, 0x31C9, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x21A8, 0x21A8, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29C8, 0x29C9, 0x29C9, 
        0x29C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A2A, 0x422A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4249, 0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x3A29, 0x3A09, 0x39E9, 0x31E9, 0x31C9, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 
        0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29A9, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A8, 0x29A8, 0x29A8, 
        0x29C8, 0x29C8, 0x31C8, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 
        0x4249, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4249, 0x4249, 0x4249, 0x4249, 0x424A, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4249, 0x4249,
  0x4208, 0x31A7, 0x2967, 0x2946, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2966, 0x2987, 0x39C8, 0x4229, 0x4A6A, 0x3A09, 0x31A7, 0x2966, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2946, 0x2966, 0x31A7, 0x3A09, 0x4229, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A8A, 0x528A, 0x4A8A, 0x4A4A, 0x3A09, 0x31C8, 0x31C8, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29A9, 0x29A9, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x29A8, 0x21A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x2188, 0x2188, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2188, 0x21A8, 0x29A8, 0x29A8, 0x2988, 0x2987, 0x2167, 0x2167, 0x2167, 0x2987, 0x31E8, 
        0x3A29, 0x3A2A, 0x3A2A, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x3209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 
        0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3A2A, 0x3A4A, 0x424A, 0x424A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x528A, 
        0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A4A, 0x424A, 0x424A, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x39E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 
        0x29C9, 0x29C9, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A7, 0x2187, 0x2167, 0x2167, 0x2167, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x21A7, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29C8, 0x29C9, 
        0x29C9, 0x29C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x4229, 0x422A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4249, 0x4229, 0x4229, 
        0x4229, 0x422A, 0x422A, 0x4229, 0x3A29, 0x3A09, 0x3A09, 0x31E9, 0x31C9, 0x31C9, 0x31C8, 0x31C8, 0x31C8, 0x31C9, 0x31C8, 0x31C8, 0x31C9, 0x31C9, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x29C8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x31C8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x29C9, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x2188, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2188, 0x21A8, 0x29A8, 
        0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x31C8, 0x31C9, 0x31C9, 0x31E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 
        0x4249, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x424A,
  0x4208, 0x2987, 0x2946, 0x2146, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2946, 0x2987, 0x39C8, 0x4229, 0x4229, 0x3A09, 0x2987, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 
        0x2145, 0x2146, 0x2146, 0x2946, 0x2967, 0x31C8, 0x3A09, 0x4229, 0x4229, 0x4A4A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A6A, 0x3A09, 0x31C8, 0x29A8, 0x29A8, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2988, 0x2188, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2188, 0x2987, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2987, 0x29C8, 0x31E9, 0x3209, 0x3209, 0x29E9, 0x29E9, 0x2A09, 0x2A09, 0x2A09, 0x29E9, 0x29E9, 0x29E9, 0x21E8, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 
        0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3A29, 0x3A2A, 0x424A, 0x424A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 
        0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x4A6A, 0x4A6A, 0x4A4A, 0x424A, 0x422A, 0x4229, 0x3A2A, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x29C8, 
        0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x2187, 0x2187, 0x2167, 0x2167, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29C8, 0x29C9, 
        0x29C9, 0x29C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x4229, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4249, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A09, 0x3A09, 0x39E9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x39E9, 0x39E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x29C8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2988, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x31C8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 
        0x21A8, 0x2188, 0x2188, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A8, 0x29A8, 
        0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x31C8, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 
        0x4249, 0x4249, 0x4249, 0x4249, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 0x424A, 
        0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x424A,
  0x4208, 0x2986, 0x2946, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2146, 0x2966, 0x31A7, 0x39E8, 0x4229, 0x424A, 0x39C8, 0x2966, 0x2945, 0x2125, 0x2145, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2966, 0x2967, 0x2967, 0x2946, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2146, 0x2946, 0x2966, 0x2987, 0x31C8, 0x3A09, 0x4229, 0x424A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x3A09, 0x31C8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x2188, 0x2188, 0x2188, 0x21A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C9, 0x29A9, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A8, 0x21A8, 0x2188, 0x2188, 0x2188, 0x2188, 0x29A8, 0x29C8, 0x29A8, 0x2987, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2187, 0x29A8, 0x29C8, 0x29C9, 0x29E9, 0x29E9, 0x29E9, 0x21C9, 0x21C9, 0x21C9, 0x21C8, 0x21C8, 0x21E8, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x2209, 0x2209, 0x2209, 0x2209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2209, 
        0x2209, 0x2209, 0x2209, 0x2209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3209, 0x3A29, 0x3A2A, 0x424A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 
        0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x52AA, 0x528A, 0x528A, 0x4A8A, 0x4A6A, 0x4A6A, 0x424A, 0x422A, 0x3A2A, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29C9, 
        0x29C9, 0x29C9, 0x31C9, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 
        0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4249, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 0x4249, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x39E9, 0x31E9, 0x31E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x31E9, 0x31E9, 0x31E9, 0x31C8, 0x31C8, 
        0x31C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 
        0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x424A, 0x424A, 
        0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 
        0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A,
  0x4208, 0x2986, 0x2946, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2946, 0x3187, 0x39C8, 0x4229, 0x424A, 0x4229, 0x31C7, 0x2966, 0x2145, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2966, 0x2966, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2946, 0x2966, 0x2967, 0x31C7, 0x39E8, 0x3A09, 0x4229, 0x4229, 0x3A09, 0x31C8, 0x29A7, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x29A7, 0x2187, 0x2187, 0x2187, 0x2987, 0x2987, 0x2987, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2188, 0x21A8, 0x29A8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29C9, 0x29C9, 0x29C9, 0x29A8, 0x2187, 0x2187, 0x2187, 0x2188, 0x29A8, 0x29A8, 0x29C9, 0x29C9, 0x31C9, 0x29C9, 0x29C8, 0x29C9, 0x29C9, 0x29C8, 0x29A8, 0x2187, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x21A7, 0x21A8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2A09, 
        0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3209, 0x3A29, 0x424A, 0x424A, 0x4A6A, 0x4A8A, 0x4A8A, 0x528A, 0x528A, 0x528A, 0x528A, 0x52AA, 0x52AA, 0x528A, 0x528A, 0x528A, 0x528A, 
        0x528A, 0x528A, 0x528A, 0x528A, 0x52AA, 0x52AA, 0x528A, 0x528A, 0x528A, 0x4A8A, 0x4A6A, 0x424A, 0x3A29, 0x3A29, 0x3209, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x29C9, 0x29C9, 0x29C9, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29C8, 
        0x29C8, 0x29C9, 0x29C9, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 
        0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 
        0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x422A, 0x422A, 0x4229, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A09, 0x31E9, 0x31E9, 0x31C9, 
        0x31C9, 0x31C8, 0x31C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2988, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x29C9, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x2188, 0x2188, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C9, 0x29C9, 0x29C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x39E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 
        0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 
        0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 
        0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A,
  0x4208, 0x2986, 0x2945, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2946, 0x2987, 0x39E8, 0x4229, 0x4229, 0x4229, 0x39C8, 0x2946, 
        0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2946, 0x2966, 0x2966, 0x2966, 0x2946, 0x2946, 0x2946, 0x2946, 0x2946, 0x2946, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2966, 0x2966, 0x2966, 0x2966, 0x2146, 0x2146, 
        0x2166, 0x2966, 0x2967, 0x2967, 0x2987, 0x2987, 0x2987, 0x2987, 0x2167, 0x2187, 0x2987, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x2987, 0x2987, 0x2987, 0x29A8, 0x29C8, 0x29C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x29C8, 0x29A8, 
        0x2987, 0x2987, 0x2187, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 
        0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3229, 0x3A29, 0x424A, 0x426A, 0x4A6A, 0x4A8A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 
        0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x528A, 0x528A, 0x528A, 0x528A, 0x4A6A, 0x424A, 0x3A29, 0x3209, 0x3209, 0x29E9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29C8, 
        0x29C9, 0x29C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 
        0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x422A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 
        0x424A, 0x424A, 0x4249, 0x4229, 0x424A, 0x424A, 0x424A, 0x424A, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4229, 0x3A29, 0x3A09, 0x39E9, 0x31E9, 
        0x31E9, 0x31C9, 0x31C8, 0x31C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2988, 0x2988, 0x2988, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 
        0x29C8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 
        0x29C9, 0x29C9, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x2188, 0x2188, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x21A8, 0x29A8, 0x29A8, 0x29C8, 0x29C9, 0x29C9, 0x29C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x39E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 
        0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x424A, 0x424A, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x424A, 0x4249, 0x4249, 0x4249, 0x4249, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 
        0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4249, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 
        0x424A, 0x424A, 0x424A, 0x424A, 0x4249, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A,
  0x4208, 0x2986, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2146, 0x2966, 0x31A7, 0x31C8, 0x39E9, 0x3A29, 0x39E9, 
        0x2987, 0x2946, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2966, 0x2966, 0x2166, 0x2166, 0x2166, 0x2966, 0x2967, 0x2987, 0x29A8, 0x31C8, 0x3209, 0x3A09, 0x39E9, 0x31C8, 0x29A8, 0x29A7, 0x2987, 
        0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2187, 0x2187, 0x2187, 0x2987, 0x21A7, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21E8, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 
        0x2209, 0x2209, 0x2209, 0x2209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3A29, 0x3A2A, 0x424A, 0x4A6A, 0x4A8A, 0x4A8A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 
        0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x4A8A, 0x4A4A, 0x3A29, 0x3209, 0x29C9, 0x29C9, 0x29C9, 0x21C8, 0x21A8, 0x21A8, 0x21C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29C8, 0x29C9, 
        0x29C9, 0x29C9, 0x31C9, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 
        0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x424A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 
        0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4229, 0x4229, 0x3A09, 0x39E9, 
        0x31E9, 0x31C9, 0x31C9, 0x31C8, 0x31C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 
        0x29C9, 0x29C9, 0x29C9, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x2188, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x21A7, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x39E9, 0x39E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4249, 0x424A, 0x424A, 0x424A, 0x424A, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 
        0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4249, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 
        0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A,
  0x4208, 0x2986, 0x2946, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2946, 0x2987, 0x31C8, 0x3A09, 0x422A, 
        0x4229, 0x39E8, 0x2987, 0x2945, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2946, 0x2946, 0x2946, 0x2146, 0x2166, 0x2166, 
        0x2967, 0x2967, 0x2967, 0x2967, 0x2167, 0x2187, 0x2987, 0x29A7, 0x29C8, 0x29C8, 0x29A7, 0x21A7, 0x21A8, 0x21A8, 0x21A8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 
        0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3229, 0x3A29, 0x3A2A, 0x424A, 0x4A6A, 0x4A8A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 
        0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x4A6A, 0x422A, 0x3209, 0x29C9, 0x29C8, 0x21C8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21C8, 0x21C8, 0x29C8, 0x21C8, 0x21C8, 0x21C8, 0x21A8, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29C8, 0x29C9, 
        0x29C9, 0x29C9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 
        0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4249, 0x424A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A09, 
        0x39E9, 0x31E9, 0x31E9, 0x31C9, 0x31C8, 0x31C8, 0x31C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C8, 0x31C9, 
        0x29C9, 0x29C9, 0x29C9, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2188, 0x2188, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x21A7, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29C8, 0x29C9, 0x29C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x39E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x422A, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x424A, 0x424A, 0x424A, 0x424A, 0x4249, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 
        0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4249, 
        0x4249, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A,
  0x4208, 0x2986, 0x2946, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2146, 0x2966, 0x2967, 0x39E8, 
        0x3A09, 0x4229, 0x4229, 0x39C8, 0x2946, 0x2945, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2166, 0x2167, 0x21A7, 0x21A8, 0x21A8, 0x21A8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x2209, 0x2209, 0x2209, 
        0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3A29, 0x424A, 0x424A, 0x4A6A, 0x4A8A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 
        0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x4A8A, 0x424A, 0x3A09, 0x29C8, 0x21C8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21C8, 0x21C8, 0x21A8, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29C9, 0x29C9, 
        0x29C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 
        0x3A29, 0x3A29, 0x3A29, 0x4229, 0x424A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 
        0x3A09, 0x39E9, 0x31E9, 0x31C9, 0x31C8, 0x31C8, 0x31C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 
        0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x31C8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x29C9, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x2188, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C9, 0x29C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31C9, 0x31E9, 0x31E9, 0x39E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 
        0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 
        0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4249, 
        0x4249, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A,
  0x4208, 0x2986, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2146, 0x2966, 
        0x31A7, 0x39C8, 0x3A29, 0x424A, 0x4229, 0x31C8, 0x2966, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2104, 0x2104, 0x2124, 0x2124, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2166, 0x2187, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x2209, 0x2209, 
        0x2209, 0x2209, 0x2209, 0x2209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3A29, 0x424A, 0x424A, 0x4A6A, 0x4A8A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 
        0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x528A, 0x528A, 0x4A8A, 0x426A, 0x3A29, 0x29C9, 0x29C8, 0x21C8, 0x21A8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x21A7, 0x21A7, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21C8, 0x29C8, 0x29C9, 0x29C9, 
        0x29C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 
        0x3A29, 0x3A29, 0x4229, 0x424A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x3A09, 0x3A09, 0x31E9, 0x31E9, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 
        0x2987, 0x2987, 0x2987, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x31C8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C8, 0x29A8, 0x29C9, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x2188, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2188, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C9, 0x29C9, 0x29C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 
        0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x422A, 0x422A, 0x422A, 0x424A, 0x424A, 0x424A, 
        0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4249, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4249, 
        0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A,
  0x4208, 0x2986, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 
        0x2946, 0x2987, 0x31C8, 0x3A09, 0x3A29, 0x424A, 0x3A09, 0x31A8, 0x2946, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2124, 0x2124, 0x2124, 0x2124, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 
        0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2146, 0x2166, 0x2187, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x2209, 0x2209, 
        0x2209, 0x2209, 0x2209, 0x2209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3229, 0x3A29, 0x424A, 0x4A6A, 0x4A6A, 0x528A, 0x528A, 0x528A, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 
        0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x4A8A, 0x4A6A, 0x3A2A, 0x29E9, 0x29C8, 0x21C8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29C8, 0x29C8, 0x29C9, 0x29C9, 
        0x29C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 
        0x3A29, 0x4229, 0x4229, 0x424A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x3A29, 0x3A09, 0x39E9, 0x31E8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 
        0x2987, 0x2987, 0x2987, 0x2987, 0x2988, 0x2988, 0x2988, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x31C8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2188, 0x2188, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x31C9, 0x31C9, 0x31E9, 0x31C9, 0x31E9, 0x31E9, 0x3209, 0x3A09, 0x3A09, 0x3A09, 
        0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x422A, 0x422A, 0x422A, 0x422A, 0x424A, 
        0x424A, 0x424A, 0x424A, 0x4229, 0x4229, 0x4229, 0x422A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x422A, 0x422A, 0x422A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 
        0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A,
  0x4208, 0x2986, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 
        0x2146, 0x2146, 0x2966, 0x2987, 0x31C8, 0x31E9, 0x3A09, 0x3A09, 0x39E9, 0x2966, 0x2946, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2946, 0x2946, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2146, 0x2167, 0x21A7, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C9, 0x21E9, 0x21E9, 0x21E9, 0x2209, 0x2209, 
        0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3229, 0x3A2A, 0x424A, 0x4A6A, 0x4A8A, 0x528A, 0x528A, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 
        0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x4A8A, 0x426A, 0x3A4A, 0x2A09, 0x29E9, 0x21C8, 0x21C8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 
        0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21C8, 0x29C8, 0x29C8, 0x29C9, 0x29C9, 
        0x29C9, 0x29C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 
        0x3A29, 0x4229, 0x424A, 0x424A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x3A29, 0x3A09, 0x31E8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 
        0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2988, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C8, 0x29C9, 0x29C9, 0x29C9, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x2188, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2188, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3A09, 
        0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x422A, 0x422A, 0x422A, 0x422A, 
        0x422A, 0x422A, 0x422A, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x422A, 0x424A, 0x424A, 0x424A, 0x424A, 0x422A, 0x422A, 0x422A, 0x422A, 0x422A, 0x422A, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x424A, 0x424A, 0x424A, 0x424A, 0x4249, 0x4249, 0x4249, 0x4249, 0x424A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A,
  0x4208, 0x2986, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2125, 0x2125, 0x2125, 0x2145, 
        0x2145, 0x2146, 0x2146, 0x2146, 0x2167, 0x29A7, 0x29C8, 0x31C8, 0x31E9, 0x3A29, 0x39C8, 0x3187, 0x2946, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2945, 0x2945, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2124, 0x2125, 0x2125, 0x2125, 0x2125, 0x2146, 0x2187, 0x29A8, 0x21C8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x2209, 
        0x2209, 0x2A09, 0x2A09, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3229, 0x3A29, 0x424A, 0x4A6A, 0x4A8A, 0x528A, 0x528A, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 
        0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x4A6A, 0x424A, 0x3A2A, 0x2A09, 0x29E9, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21C8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21C8, 0x29C8, 0x29C8, 0x29C9, 0x29C9, 
        0x29C9, 0x29C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 
        0x3A29, 0x4229, 0x424A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x3A29, 0x3A09, 0x39E9, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 
        0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2988, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C9, 0x29C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C8, 0x29C8, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x2188, 0x2188, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2188, 0x2188, 0x2188, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C9, 0x29C9, 0x29C9, 0x31C9, 0x31C9, 0x31E9, 
        0x31E9, 0x39E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x422A, 0x422A, 0x4229, 0x4229, 0x4229, 0x422A, 0x422A, 0x422A, 0x422A, 0x422A, 0x422A, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x424A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A,
  0x4208, 0x2986, 0x2946, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2967, 0x2987, 0x31C8, 0x3A09, 0x3A29, 0x3A29, 0x39E8, 0x2987, 0x2946, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2945, 0x2945, 0x2125, 0x2125, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2104, 0x2105, 0x2125, 0x2146, 0x2187, 0x29A8, 0x21C8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C9, 0x21C9, 0x21E9, 0x21E9, 0x2209, 
        0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3A29, 0x424A, 0x4A6A, 0x4A8A, 0x528A, 0x528A, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 
        0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x4A8A, 0x4A6A, 0x424A, 0x3A29, 0x2A09, 0x29E9, 0x21C9, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 
        0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21A8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21C8, 0x29C8, 0x29C8, 0x29C9, 0x29C9, 
        0x29C9, 0x29C9, 0x29C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 
        0x4229, 0x422A, 0x424A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4249, 0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x3A29, 0x3A09, 0x39E9, 0x31E9, 0x31C9, 0x31C9, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 
        0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C9, 0x29C9, 0x29C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C8, 0x29C9, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x2188, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29C8, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 
        0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x422A, 0x422A, 0x422A, 0x422A, 0x422A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A,
  0x4208, 0x2986, 0x2946, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2146, 0x2967, 0x29A7, 0x31C8, 0x31C9, 0x39E9, 0x3A29, 0x3A09, 0x31A7, 0x2966, 0x2946, 0x2945, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 
        0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 
        0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2125, 0x2145, 0x2166, 0x2187, 0x21A8, 0x21C8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C9, 0x21E9, 0x21E9, 0x21E9, 
        0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3209, 0x3A2A, 0x424A, 0x4A6A, 0x4A8A, 0x528A, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 
        0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x4A6A, 0x424A, 0x3A2A, 0x3229, 0x2A09, 0x29E9, 0x29E9, 0x21E8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 
        0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21C8, 0x29C8, 0x29C8, 0x29C8, 0x29C9, 
        0x29C9, 0x29C9, 0x29C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 
        0x4229, 0x424A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x39E9, 0x39E9, 0x31E9, 0x39E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31C8, 0x31C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 
        0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C9, 0x29C9, 0x29C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 
        0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x2188, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2188, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 
        0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 
        0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x422A, 0x422A, 0x422A, 0x422A, 0x424A, 0x424A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A,
  0x4208, 0x2986, 0x2946, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2945, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2146, 0x2987, 0x31C8, 0x39E9, 0x3A09, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x31C7, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 
        0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 
        0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2125, 0x2146, 0x2167, 0x21A7, 0x21A8, 0x21C8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C9, 0x21E9, 0x21E9, 0x21E9, 
        0x2209, 0x2209, 0x2209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3209, 0x3A29, 0x3A2A, 0x424A, 0x4A6A, 0x4A8A, 0x528A, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 
        0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x528A, 0x528A, 0x528A, 0x528A, 0x4A8A, 0x4A6A, 0x424A, 0x3A29, 0x3209, 0x2A09, 0x29E9, 0x29E9, 0x21E9, 0x21E9, 0x21E9, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 
        0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 
        0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21C8, 0x21C8, 0x29C8, 0x29C8, 0x29C8, 0x29C9, 
        0x29C9, 0x29C9, 0x29C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 
        0x422A, 0x424A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x528A, 0x528A, 
        0x528A, 0x528A, 0x528A, 0x528A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x39E9, 0x39E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x39E9, 0x31E9, 0x31C8, 0x31C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x2987, 
        0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C9, 0x29C8, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 
        0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x2188, 0x2187, 0x2187, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2188, 0x2188, 0x2188, 0x21A8, 0x21A8, 0x29A8, 
        0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C9, 0x29C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 
        0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x422A, 0x422A, 0x422A, 0x424A, 0x424A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A,
  0x4208, 0x2986, 0x2946, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2146, 0x2946, 0x2967, 0x29A7, 0x31E9, 0x424A, 0x424A, 0x422A, 0x4229, 0x424A, 0x3A09, 0x31A7, 0x2966, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 
        0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 
        0x2105, 0x2105, 0x2105, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2146, 0x2187, 0x29A8, 0x29C8, 0x21C8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C9, 0x21C9, 0x21E9, 0x21E9, 
        0x2209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3209, 0x3A29, 0x3A2A, 0x424A, 0x4A6A, 0x528A, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x528A, 0x528A, 0x528A, 0x528A, 
        0x528A, 0x528A, 0x528A, 0x52AA, 0x52AA, 0x528A, 0x528A, 0x528A, 0x4A8A, 0x4A6A, 0x424A, 0x3A2A, 0x3229, 0x3209, 0x2A09, 0x29E9, 0x29E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21C9, 0x21C9, 0x21C9, 0x21C9, 
        0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 
        0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C9, 
        0x29C9, 0x29C9, 0x29C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 
        0x422A, 0x424A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x528A, 0x528A, 
        0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x3A09, 0x3A09, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x39E9, 0x31E9, 0x31C8, 0x31C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 
        0x29A7, 0x2987, 0x2987, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2988, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C9, 0x29C9, 
        0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x2187, 
        0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C9, 0x29C9, 0x29C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x422A, 0x424A, 0x424A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A,
  0x4208, 0x2986, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2966, 0x2987, 0x31A7, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x39E8, 0x31A7, 0x2966, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 
        0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 
        0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2166, 0x29A8, 0x29C8, 0x29C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21A8, 0x21A8, 0x21A8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C9, 0x21C9, 0x21E9, 0x21E9, 
        0x2209, 0x2209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3209, 0x3229, 0x3A29, 0x3A49, 0x424A, 0x4A8A, 0x4A8A, 0x528A, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x528A, 0x528A, 0x528A, 0x528A, 
        0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x4A8A, 0x4A8A, 0x4A6A, 0x424A, 0x3A2A, 0x3229, 0x3209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 
        0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 
        0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C9, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C9, 
        0x29C9, 0x29C9, 0x31C9, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x422A, 
        0x424A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x528A, 0x528A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x528A, 0x528A, 0x528A, 0x528A, 
        0x528A, 0x528A, 0x528A, 0x528A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x3A09, 0x3A09, 0x3A09, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x3A09, 0x3A09, 0x3A09, 0x39E9, 0x31C8, 0x31C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 
        0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C9, 
        0x29C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x29C9, 0x29C8, 0x29C8, 0x29C8, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 
        0x2188, 0x2188, 0x2188, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 
        0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4249, 0x424A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A,
  0x4208, 0x2987, 0x2166, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2966, 0x2967, 0x29A7, 0x31A8, 0x31C8, 0x3A09, 0x3A29, 0x4229, 0x4229, 0x31A7, 0x2946, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 
        0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 
        0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2145, 0x2187, 0x29C8, 0x29C9, 0x29C9, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C9, 0x21E9, 0x21E9, 0x21E9, 
        0x2209, 0x2209, 0x2209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3209, 0x3229, 0x3A29, 0x3A29, 0x3A4A, 0x424A, 0x4A6A, 0x4A8A, 0x528A, 0x528A, 0x52AA, 0x52AA, 0x528A, 0x528A, 0x528A, 0x528A, 
        0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x424A, 0x3A2A, 0x3A29, 0x3229, 0x3209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 
        0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21C9, 0x21C9, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 
        0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C9, 0x29C9, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 
        0x29C9, 0x31C9, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x422A, 
        0x424A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x528A, 0x528A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x528A, 0x528A, 0x528A, 0x528A, 
        0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x31E9, 0x31C9, 0x31C8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 
        0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 
        0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x2188, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2188, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 
        0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x422A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A,
  0x4208, 0x3187, 0x2966, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2946, 0x2966, 0x2987, 0x31C8, 0x3A09, 0x3A29, 0x424A, 0x424A, 0x424A, 0x39E8, 0x31A7, 0x2946, 0x2145, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 
        0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 
        0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2146, 0x29A7, 0x29C9, 0x29E9, 0x29E9, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C9, 0x21C9, 0x21E9, 0x21E9, 0x21E9, 
        0x2209, 0x2209, 0x2209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3209, 0x3229, 0x3229, 0x3A29, 0x3A29, 0x3A49, 0x424A, 0x4A6A, 0x4A8A, 0x4A8A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 
        0x528A, 0x528A, 0x528A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x426A, 0x424A, 0x3A29, 0x3A29, 0x3229, 0x3229, 0x3209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x21E9, 
        0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29C9, 0x21C9, 
        0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C9, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 
        0x29C9, 0x31C9, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x422A, 
        0x424A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 
        0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4249, 0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x39E8, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x3A09, 0x3A09, 0x39E9, 0x31C9, 0x31C9, 0x31C8, 0x29A8, 0x29A8, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 
        0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2187, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2988, 0x2988, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C9, 0x29C9, 0x29C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2188, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 
        0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 
        0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x422A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A,
  0x4229, 0x39C8, 0x2987, 0x2967, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2987, 0x31A8, 0x31C9, 0x3A09, 0x3A09, 0x422A, 0x426A, 0x424A, 0x3A09, 0x31A7, 0x2946, 
        0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 
        0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x29A8, 0x29C9, 0x29E9, 0x29E9, 0x21C9, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 
        0x21E9, 0x21E9, 0x2209, 0x2209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3229, 0x3229, 0x3229, 0x3A29, 0x3A29, 0x424A, 0x424A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x424A, 0x424A, 0x424A, 0x3A29, 0x3A29, 0x3229, 0x3229, 0x3209, 0x3209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 
        0x2A09, 0x2A09, 0x2209, 0x2209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29C9, 0x29C9, 
        0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C8, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 
        0x29C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x4229, 
        0x424A, 0x424A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x528A, 0x528A, 0x528A, 0x528A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 
        0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A49, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 
        0x4229, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x39E8, 0x39E8, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x31E9, 0x31C9, 0x31C8, 0x29A8, 0x29A8, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 
        0x2987, 0x2987, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2187, 0x21A8, 
        0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C8, 
        0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2188, 0x2188, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x31E9, 
        0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x422A, 0x422A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A,
  0x4A49, 0x4A6A, 0x4229, 0x31E8, 0x29A7, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2145, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2146, 0x2967, 0x2987, 0x31C8, 0x31E9, 0x3A09, 0x3A29, 0x3A2A, 0x424A, 0x422A, 0x31C8, 
        0x2966, 0x2946, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 
        0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2166, 0x29C8, 0x29E9, 0x2A09, 0x29E9, 0x29E9, 0x21C9, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C9, 0x21C9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 
        0x29E9, 0x29E9, 0x2209, 0x2209, 0x21E9, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3229, 0x3229, 0x3229, 0x3229, 0x3A29, 0x3A29, 0x3A29, 0x424A, 0x424A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x424A, 
        0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x3A4A, 0x3A2A, 0x3A29, 0x3A29, 0x3229, 0x3229, 0x3229, 0x3209, 0x3209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 
        0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29C9, 
        0x29C8, 0x29C8, 0x21C8, 0x21C8, 0x21C8, 0x29C8, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 
        0x29C9, 0x29C9, 0x29C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 
        0x422A, 0x424A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x528A, 0x528A, 0x528A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 
        0x528A, 0x528A, 0x528A, 0x528A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4249, 0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 
        0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x31E9, 0x31E8, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x31C9, 0x31C9, 0x31C8, 0x29A8, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 
        0x2987, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2187, 0x2187, 
        0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x31C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 
        0x29C9, 0x29C9, 0x29C9, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C9, 0x29C9, 0x29C9, 0x29C8, 
        0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x422A, 0x422A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A,
  0x4A49, 0x528A, 0x528A, 0x4A8A, 0x4A6A, 0x31C7, 0x2966, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2146, 0x2946, 0x2967, 0x29A8, 0x31C9, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x422A, 
        0x3A09, 0x31C7, 0x2966, 0x2146, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 
        0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2167, 0x29C8, 0x29E9, 0x2A09, 0x2A09, 0x29E9, 0x29E9, 0x21C9, 0x21C9, 0x21C9, 0x21C8, 0x21C8, 0x21C9, 0x21C9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x29E9, 0x2A09, 
        0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x29E9, 0x29E9, 0x29E9, 0x2A09, 0x2A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3229, 0x3229, 0x3A29, 0x3A29, 0x3A29, 0x3229, 0x3229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 
        0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3229, 0x3229, 0x3229, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 
        0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 
        0x29C9, 0x29C9, 0x21C8, 0x21C8, 0x29C8, 0x29C8, 0x29C9, 0x29C9, 0x29E9, 0x29E9, 0x31E9, 0x31E9, 0x31E9, 0x29E9, 0x29E9, 0x29E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x29E9, 0x29E9, 0x29E9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 
        0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x3209, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 
        0x422A, 0x424A, 0x424A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x528A, 0x528A, 0x4A8A, 0x4A8A, 0x4A8A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 
        0x528A, 0x528A, 0x528A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x424A, 0x424A, 0x424A, 0x4249, 0x4229, 
        0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x31E9, 0x39E9, 0x31E9, 0x31E8, 0x31E8, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x31E9, 0x31C9, 0x31C8, 0x29A8, 0x29A8, 0x29A7, 0x29A7, 0x2987, 0x2987, 
        0x2987, 0x2987, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2187, 
        0x2187, 0x2187, 0x2188, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 
        0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x422A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A,
  0x4A49, 0x528A, 0x52AA, 0x52AA, 0x52AA, 0x4A6A, 0x39E8, 0x2987, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2146, 0x2966, 0x2987, 0x31C8, 0x31C8, 0x31C8, 0x31E9, 0x3209, 
        0x3A2A, 0x3A2A, 0x31E9, 0x2967, 0x2146, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 
        0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2146, 0x2167, 0x29C8, 0x29C9, 0x29C9, 0x29C9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x29E9, 0x2A09, 0x2A09, 0x2A09, 
        0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x29E9, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3209, 0x3209, 0x3229, 0x3229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3229, 0x3229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 
        0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3209, 0x3209, 0x3209, 0x3209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 
        0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 
        0x29C9, 0x29C9, 0x29C8, 0x21C8, 0x29C8, 0x29C8, 0x29C9, 0x29C9, 0x29E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x29E9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 
        0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3A29, 0x3A29, 
        0x3A2A, 0x424A, 0x424A, 0x424A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 
        0x528A, 0x528A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x4229, 
        0x4229, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x39E9, 0x39E9, 0x39E9, 0x31E9, 0x31E9, 0x31E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x31E9, 0x31E9, 0x31C9, 0x31C8, 0x29A8, 0x29A8, 0x29A7, 0x29A7, 0x2987, 0x2987, 
        0x2987, 0x2987, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 
        0x2987, 0x2987, 0x2987, 0x2988, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 
        0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 
        0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A49, 0x4249, 0x4A49, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A,
  0x4A49, 0x528A, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x4A6A, 0x3A09, 0x2987, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2946, 0x2966, 0x2987, 0x29A7, 0x29A8, 0x29C8, 
        0x29C9, 0x29C9, 0x29C9, 0x29C8, 0x2967, 0x2146, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 
        0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2146, 0x2167, 0x29A8, 0x29C9, 0x29C9, 0x21C9, 0x29C9, 0x29E9, 0x2A09, 0x2A09, 0x2A09, 0x29E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x2209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 
        0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3209, 0x3209, 0x3229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3229, 0x3229, 0x3209, 0x3229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 
        0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 
        0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 
        0x29E9, 0x29C9, 0x29C9, 0x29C8, 0x29C8, 0x29C8, 0x29C9, 0x29C9, 0x29E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x29C9, 0x29C9, 
        0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3A09, 0x3A29, 
        0x3A2A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x424A, 0x4249, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x39E9, 0x39E9, 0x31E9, 0x31E9, 0x31E9, 0x31E8, 0x31E9, 0x31E9, 0x39E9, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x31C8, 0x29A8, 0x29A8, 0x29A7, 0x29A7, 0x2987, 0x2987, 
        0x2987, 0x2987, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 
        0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x29C9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 
        0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2188, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 
        0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x422A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A,
  0x4A49, 0x528A, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x528A, 0x4A4A, 0x3A09, 0x31A8, 0x2967, 0x2966, 0x2966, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2166, 0x2167, 0x2987, 
        0x2987, 0x2987, 0x2987, 0x2987, 0x2966, 0x2146, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 
        0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2146, 0x2167, 0x29C8, 0x29C9, 0x21C9, 0x21A9, 0x29C9, 0x29E9, 0x29E9, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x29E9, 0x29E9, 0x29E9, 0x21E9, 0x2209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 
        0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3209, 0x3209, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3229, 0x3209, 0x3209, 0x3209, 0x3229, 0x3229, 0x3209, 0x3209, 0x3229, 
        0x3229, 0x3229, 0x3229, 0x3229, 0x3209, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 
        0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x29E9, 0x29E9, 
        0x29E9, 0x29E9, 0x29E9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x29C9, 
        0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29E9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3A09, 
        0x3A2A, 0x3A2A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x528A, 0x528A, 0x528A, 0x4A8A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x424A, 
        0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4229, 0x4229, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x39E9, 0x39E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x31C8, 0x31C8, 0x29A8, 0x29A8, 0x29A7, 0x29A7, 0x2987, 0x2987, 
        0x2987, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 
        0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x29C9, 
        0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 
        0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x2188, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x31C9, 
        0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x422A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A,
  0x4A49, 0x528A, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x528A, 0x4A4A, 0x3A09, 0x39E9, 0x31C8, 0x29A7, 0x2987, 0x2987, 0x2967, 0x2966, 0x2166, 0x2166, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 
        0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2146, 0x2167, 0x29C9, 0x29C9, 0x21A9, 0x21A8, 0x21A8, 0x29C9, 0x29C9, 0x29E9, 0x29E9, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 
        0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3229, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 
        0x3209, 0x3229, 0x3229, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 
        0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x29E9, 0x29E9, 
        0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 
        0x31E9, 0x31E9, 0x29E9, 0x29E9, 0x29E9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x31E9, 0x31E9, 0x31C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 
        0x3A29, 0x3A29, 0x4229, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x424A, 
        0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x422A, 0x422A, 0x4229, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x39E9, 0x31E9, 0x31E8, 0x31C8, 0x31C8, 0x31E8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x29C8, 0x29A8, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 
        0x2987, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2187, 0x2187, 0x2187, 
        0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C9, 0x29C9, 0x29C8, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 
        0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 
        0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x2188, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2167, 0x2167, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2188, 0x2188, 0x2188, 0x2188, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C9, 
        0x29C9, 0x29C9, 0x29C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3A09, 0x3A09, 0x3A29, 0x422A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A6A,
  0x4A49, 0x528A, 0x528A, 0x528A, 0x528A, 0x4A8A, 0x4A6A, 0x424A, 0x3A29, 0x3A09, 0x3A09, 0x31E9, 0x31C9, 0x31C8, 0x29A8, 0x29A8, 0x2987, 0x2967, 0x2166, 0x2166, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2146, 0x2987, 0x29C8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29C9, 0x29C9, 0x29C9, 0x29E9, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 
        0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3209, 
        0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 
        0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x2A09, 0x29E9, 
        0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x31E9, 
        0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 
        0x3209, 0x3A09, 0x3A29, 0x422A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x424A, 
        0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4229, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x39E9, 0x31E8, 0x31E8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x29A8, 0x29A8, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 
        0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2187, 0x2987, 
        0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2988, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 
        0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x29C9, 0x31C9, 0x31C9, 0x29C9, 0x29C9, 
        0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2188, 0x2188, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x31C9, 0x31C9, 0x31E9, 0x3209, 0x3A09, 0x3A29, 0x3A29, 0x4229, 0x422A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 
        0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A,
  0x4A49, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A4A, 0x4A49, 0x424A, 0x424A, 0x422A, 0x3A29, 0x3A29, 0x3A09, 0x31E9, 0x31C9, 0x29C9, 0x29C8, 0x29A8, 0x29A7, 0x2987, 0x2166, 0x2166, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2124, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2167, 0x2187, 0x21A8, 0x21A8, 0x21A8, 0x2188, 0x2188, 0x21A9, 0x21A9, 0x21C9, 0x21C9, 0x21C9, 0x29E9, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x29E9, 0x2A09, 0x2A09, 0x2A09, 0x2209, 0x2A09, 
        0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3209, 0x3209, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3229, 0x3209, 0x3209, 0x3229, 0x3229, 0x3229, 0x3209, 
        0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 
        0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x2A09, 0x29E9, 
        0x29E9, 0x29E9, 0x2A09, 0x29E9, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 
        0x3209, 0x3209, 0x3A29, 0x3A2A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 
        0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4229, 0x4229, 0x3A09, 0x3A09, 0x3A09, 0x31E9, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x29C8, 0x29A8, 0x29A8, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 
        0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 
        0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 
        0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x29C8, 0x29C9, 0x29C9, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2988, 0x2988, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x3A09, 0x3A09, 0x3A29, 0x4229, 0x422A, 0x422A, 0x422A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 
        0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A,
  0x4A49, 0x528A, 0x528A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x4249, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x31E9, 0x31E9, 0x31C9, 0x29C8, 0x29A8, 0x2987, 0x2967, 0x2966, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 
        0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2146, 0x2966, 0x2987, 0x29C8, 0x29C9, 0x29C9, 0x29C9, 0x29A9, 0x29A9, 0x29A9, 0x21A9, 0x21A9, 0x21C9, 0x21C9, 0x21C9, 0x29E9, 0x29E9, 0x3209, 0x3209, 0x320A, 0x3209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 
        0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3209, 0x3209, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 
        0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 
        0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x2A09, 0x2A09, 0x2A09, 
        0x2A09, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x29C8, 0x29C8, 0x29C8, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29E9, 0x29E9, 
        0x31E9, 0x31E9, 0x3209, 0x3A09, 0x3A2A, 0x422A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4229, 0x3A29, 0x3A09, 0x3A09, 0x31E9, 0x31E8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2967, 0x2987, 
        0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 
        0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C9, 0x29C9, 
        0x29C9, 0x29C9, 0x29C9, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29C9, 0x29C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x29C8, 0x29C9, 0x29C9, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2188, 0x2188, 0x21A7, 0x21A7, 0x21A8, 0x21A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x31C9, 0x31C9, 0x31E9, 0x3A09, 0x3A09, 0x3A29, 0x422A, 0x422A, 0x422A, 0x422A, 0x4229, 0x4249, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 
        0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A,
  0x4A49, 0x528A, 0x528A, 0x528A, 0x4A8A, 0x4A6A, 0x4A4A, 0x424A, 0x422A, 0x4229, 0x4229, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x31E9, 0x31E9, 0x31C9, 0x29C9, 0x29A8, 0x2987, 0x2967, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 
        0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2146, 0x2946, 0x29A7, 0x31E9, 0x3A29, 0x3A2A, 0x3A2A, 0x3A09, 0x3A09, 0x3A0A, 0x320A, 0x31E9, 0x29C9, 0x29C9, 0x29E9, 0x29E9, 0x2A09, 0x3209, 0x3209, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A29, 0x3209, 0x2A09, 0x2A09, 0x2A09, 
        0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3209, 0x3209, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A29, 0x3A29, 0x3A29, 0x3229, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 
        0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3229, 0x3229, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 
        0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 
        0x3209, 0x3209, 0x3209, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x422A, 0x3A2A, 0x3A2A, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 
        0x3209, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29C8, 0x29C9, 0x29C9, 0x29C9, 0x29E9, 
        0x29E9, 0x29E9, 0x31E9, 0x3209, 0x3A09, 0x3A2A, 0x422A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 
        0x4A4A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4229, 0x3A29, 0x3A09, 0x3A09, 0x31E9, 0x31C9, 0x31C9, 0x31C8, 0x29C8, 0x29A8, 0x29A8, 0x29A7, 0x2987, 0x2987, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 
        0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 
        0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x29C9, 0x29C8, 0x29C8, 0x29C9, 0x29C9, 0x29C9, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2988, 0x2188, 0x2188, 0x2188, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x21A7, 0x21A7, 0x21A8, 0x21A8, 
        0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x3A09, 0x3A2A, 0x3A2A, 0x422A, 0x422A, 0x422A, 0x4249, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 
        0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x424A,
  0x4A49, 0x528A, 0x52AA, 0x528A, 0x528A, 0x4A6A, 0x4A49, 0x4249, 0x4229, 0x4229, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x29C9, 0x29A8, 0x29A8, 0x2987, 0x2967, 0x2166, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2946, 0x2966, 0x31A7, 0x39E9, 0x422A, 0x424A, 0x424A, 0x424A, 0x422A, 0x422A, 0x422A, 0x422A, 0x422A, 0x3A2A, 0x3A0A, 0x3A09, 0x3209, 0x3A09, 0x3A09, 0x3A2A, 0x3A2A, 0x422A, 0x424A, 0x424A, 0x424A, 0x424A, 0x3A2A, 0x3229, 0x3209, 0x2A09, 
        0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3209, 0x3209, 0x3229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A29, 0x3A29, 0x3229, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 
        0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 
        0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 
        0x3209, 0x3209, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x422A, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 
        0x3A09, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x29C9, 0x29C9, 0x29C8, 0x29A8, 0x29A8, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C8, 0x29A8, 0x21A8, 0x21A8, 0x2188, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29C9, 0x29C9, 0x29C9, 
        0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x31E9, 0x3209, 0x3A29, 0x3A2A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x424A, 0x422A, 0x4229, 0x3A29, 0x3A09, 0x39E9, 0x31E9, 0x31C9, 0x29C8, 0x29A8, 0x29A8, 0x29A7, 0x2987, 0x2987, 0x2967, 0x2967, 0x2966, 0x2966, 0x2966, 0x2967, 
        0x2967, 0x2967, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 
        0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2988, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C9, 0x29C9, 0x29C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x31C9, 0x29C8, 0x29C8, 0x29C8, 0x29C9, 0x29C9, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2988, 0x2988, 0x2188, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 
        0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C9, 0x29C9, 0x29C9, 0x31C9, 0x31C9, 0x31E9, 0x3A09, 0x3A2A, 0x3A2A, 0x422A, 0x422A, 0x4229, 0x4229, 0x422A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 
        0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x424A, 0x424A, 0x424A,
  0x4A49, 0x528A, 0x528A, 0x52AA, 0x528A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4249, 0x4229, 0x3A09, 0x3A09, 0x39E9, 0x39E9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x31C8, 0x29A8, 0x29A8, 0x2987, 0x2987, 0x2987, 0x2966, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 
        0x2946, 0x2987, 0x31C8, 0x3A2A, 0x422A, 0x424A, 0x424A, 0x424A, 0x424A, 0x422A, 0x424A, 0x424A, 0x424A, 0x424A, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x422A, 0x422A, 0x424A, 0x4A4A, 0x4A4A, 0x424A, 0x3A2A, 0x3A2A, 0x3229, 0x2A09, 
        0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3209, 0x3209, 0x3229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A2A, 0x3A29, 0x3A29, 0x3229, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 
        0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3229, 0x3229, 0x3229, 0x3209, 0x3209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 
        0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2209, 0x2209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 
        0x3209, 0x3209, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x422A, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 
        0x3A09, 0x39E9, 0x31E9, 0x31E9, 0x31C9, 0x29C9, 0x29C9, 0x29C8, 0x29A8, 0x29A8, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C8, 0x29A8, 0x29A8, 0x21A8, 0x2188, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29C9, 
        0x29C9, 0x29C9, 0x21A8, 0x29A8, 0x29C8, 0x29C9, 0x31E9, 0x3A09, 0x3A2A, 0x422A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 
        0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x424A, 0x4229, 0x4229, 0x3A09, 0x3A09, 0x31E9, 0x31C9, 0x29C8, 0x29A8, 0x29A8, 0x2987, 0x2187, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2966, 0x2966, 
        0x2967, 0x2967, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 
        0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A8, 0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C8, 0x29C8, 0x29C8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x29C9, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2988, 0x2987, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x21A7, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C9, 0x29C9, 0x31C9, 0x31E9, 0x3A09, 0x3A2A, 0x3A2A, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 
        0x422A, 0x422A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x424A, 0x424A, 0x422A,
  0x4A49, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x4A8A, 0x4A6A, 0x4A4A, 0x4229, 0x4229, 0x3A09, 0x39E9, 0x39E9, 0x31C9, 0x31C9, 0x31C9, 0x31C8, 0x29A8, 0x29A8, 0x29A8, 0x2987, 0x2987, 0x2967, 0x2966, 0x2966, 0x2966, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 
        0x2146, 0x2967, 0x29A8, 0x31C9, 0x31E9, 0x3209, 0x3A09, 0x3A0A, 0x3A2A, 0x3A29, 0x422A, 0x424A, 0x424A, 0x422A, 0x3A09, 0x3A0A, 0x3A0A, 0x3A0A, 0x3A09, 0x3A09, 0x3A2A, 0x422A, 0x424A, 0x424A, 0x424A, 0x422A, 0x3A2A, 0x3A2A, 0x3209, 0x2A09, 
        0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3209, 0x3209, 0x3229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 
        0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3229, 0x3229, 0x3209, 0x3209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 
        0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 
        0x3209, 0x3A29, 0x3A2A, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x422A, 0x422A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x424A, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 
        0x3A09, 0x3A09, 0x3209, 0x31E9, 0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x2188, 0x2187, 0x2187, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29C8, 0x29C9, 0x31E9, 0x3209, 0x3A2A, 0x422A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 
        0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x424A, 0x422A, 0x3A29, 0x3A09, 0x31E9, 0x29C9, 0x29A8, 0x29A8, 0x2187, 0x2187, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2966, 
        0x2967, 0x2967, 0x2967, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 
        0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x29A8, 
        0x21A8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x29C9, 0x29C8, 0x29C8, 0x29C9, 0x29C9, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2988, 0x2188, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C9, 0x29C9, 0x31C9, 0x31E9, 0x3A09, 0x3A09, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x422A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 
        0x422A, 0x422A, 0x422A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x424A, 0x422A, 0x422A, 0x4229,
  0x4A49, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x4A8A, 0x4A6A, 0x424A, 0x4229, 0x3A29, 0x3A09, 0x39E9, 0x31C9, 0x31C9, 0x31C8, 0x31A8, 0x31A8, 0x29A8, 0x29A8, 0x29A7, 0x2987, 0x2987, 0x2967, 0x2967, 0x2966, 0x2146, 0x2146, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2146, 0x2146, 0x2167, 0x2167, 0x2167, 0x2187, 0x2987, 0x2988, 0x29A8, 0x29C8, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x3A09, 0x3A2A, 0x3A2A, 0x422A, 0x422A, 0x3A29, 0x3A09, 0x3209, 0x29E9, 0x29C9, 
        0x29E9, 0x29E9, 0x29E9, 0x2A09, 0x2A09, 0x3209, 0x3209, 0x3209, 0x3229, 0x3229, 0x3229, 0x3229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 
        0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 
        0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 
        0x3229, 0x3A2A, 0x3A2A, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A2A, 0x422A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x424A, 0x422A, 0x422A, 0x3A29, 0x3A29, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3209, 0x31E9, 0x31C9, 0x29C9, 0x29C9, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2188, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x21A8, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29C8, 0x29C9, 0x3209, 0x3A2A, 0x424A, 0x424A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x424A, 0x3A2A, 0x3A09, 0x31E9, 0x29C9, 0x29A8, 0x21A8, 0x2187, 0x2187, 0x2167, 0x2167, 0x2966, 0x2966, 0x2166, 0x2166, 0x2966, 
        0x2967, 0x2967, 0x2967, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29A8, 0x29A8, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 
        0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2988, 0x29A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x2188, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C9, 0x31C9, 0x31E9, 0x3A09, 0x3A09, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x422A, 0x422A, 0x424A, 0x424A, 0x422A, 
        0x422A, 0x422A, 0x422A, 0x422A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A4A, 0x424A, 0x424A, 0x422A, 0x4229, 0x4229,
  0x4A49, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x4A8A, 0x4A6A, 0x4A4A, 0x424A, 0x4229, 0x3A09, 0x39E9, 0x39E9, 0x31C9, 0x31C9, 0x31C9, 0x31C8, 0x31C8, 0x31C8, 0x29C8, 0x29A8, 0x29A8, 0x29A7, 0x2987, 0x2987, 0x2966, 
        0x2946, 0x2946, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 
        0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2167, 0x2167, 0x2987, 0x2988, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2988, 0x29A8, 0x29C8, 0x29C8, 0x31C9, 0x31C9, 0x31E9, 0x29C9, 0x29C8, 0x29A8, 0x21C8, 
        0x21C8, 0x21C9, 0x21E9, 0x2A09, 0x3209, 0x3209, 0x3229, 0x3229, 0x3229, 0x3209, 0x3209, 0x3229, 0x3229, 0x3229, 0x3A29, 0x3A29, 0x3229, 0x3229, 0x3229, 0x3229, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x2A09, 0x2A09, 0x2A09, 
        0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x2A09, 0x2A09, 0x3209, 0x3209, 0x3209, 0x3209, 
        0x3209, 0x3209, 0x3209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2209, 0x2209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 
        0x3229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A2A, 0x3A2A, 0x3A2A, 0x422A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A8A, 0x528A, 0x528A, 0x528A, 0x528A, 0x4A8A, 0x4A6A, 0x4A6A, 0x424A, 0x422A, 0x4229, 0x3A29, 
        0x3A09, 0x3A09, 0x3209, 0x31E9, 0x31E9, 0x31C9, 0x29C9, 0x29C9, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x2188, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2188, 0x21A8, 
        0x21A8, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A8, 0x29A8, 0x29C9, 0x3209, 0x3A29, 0x3A2A, 0x422A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 
        0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 0x3A2A, 0x3A09, 0x31E9, 0x29C8, 0x21A8, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2966, 0x2966, 0x2966, 0x2967, 
        0x2967, 0x2967, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 
        0x29A7, 0x29A7, 0x29A7, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A9, 0x29A9, 0x29A9, 0x29A8, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x2188, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C9, 0x31C9, 0x31E9, 0x3209, 0x3A09, 0x3A2A, 0x3A2A, 0x4229, 0x4229, 0x4229, 0x4229, 0x422A, 0x422A, 0x422A, 0x422A, 
        0x422A, 0x422A, 0x4229, 0x422A, 0x422A, 0x422A, 0x422A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x424A, 0x424A, 0x422A, 0x422A, 0x4229, 0x3A29,
  0x4A49, 0x4A8A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x4A8A, 0x4A6A, 0x4A4A, 0x4229, 0x4229, 0x3A09, 0x3A09, 0x39E9, 0x39E9, 0x31C9, 0x31C9, 0x31C9, 0x31C8, 0x31C8, 0x31A8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 
        0x2987, 0x2966, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2166, 0x2967, 0x2967, 0x2967, 0x2167, 0x2187, 0x2987, 0x2987, 0x2987, 0x2187, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2126, 0x2126, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2147, 0x2147, 0x2147, 0x2147, 0x2147, 0x2147, 0x2147, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2987, 0x2187, 0x2167, 0x2167, 0x2187, 0x21A8, 
        0x21A8, 0x21C8, 0x21E9, 0x2A09, 0x2A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3229, 0x3229, 0x3229, 0x3229, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x2A09, 0x3209, 0x3209, 
        0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3209, 
        0x3209, 0x3209, 0x3209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2209, 0x2209, 0x2209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3209, 
        0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A2A, 0x3A2A, 0x422A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A8A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x4A8A, 0x4A6A, 0x4A4A, 0x424A, 0x422A, 
        0x3A29, 0x3A09, 0x3A09, 0x31E9, 0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2167, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x21A8, 0x29A8, 0x29C9, 0x29C9, 0x31E9, 0x3209, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x424A, 0x424A, 
        0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 
        0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x424A, 0x3A2A, 0x3209, 0x29E9, 0x29A8, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2187, 0x2987, 
        0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 
        0x2987, 0x2987, 0x2987, 0x29A7, 0x2187, 0x2188, 0x2188, 0x2188, 0x2188, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x29C9, 
        0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C9, 0x31C9, 0x31E9, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x422A, 
        0x422A, 0x422A, 0x422A, 0x422A, 0x4229, 0x4229, 0x422A, 0x422A, 0x424A, 0x4249, 0x4249, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A4A, 0x424A, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29,
  0x4A49, 0x4A6A, 0x4A8A, 0x4A8A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x4A8A, 0x4A6A, 0x4A4A, 0x4229, 0x4229, 0x3A09, 0x3A09, 0x3A09, 0x39E9, 0x39E9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x31C8, 0x31C8, 0x31C8, 
        0x31A8, 0x29A7, 0x2967, 0x2966, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2146, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2166, 0x2146, 0x2145, 0x2125, 0x2145, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2126, 0x2126, 0x2146, 0x2146, 0x2146, 0x2146, 0x2126, 0x2126, 0x2126, 0x2126, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2167, 
        0x2187, 0x21C8, 0x29E8, 0x2A09, 0x2A09, 0x3209, 0x3209, 0x3209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 
        0x3209, 0x3209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3209, 
        0x3209, 0x3209, 0x3209, 0x3209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A29, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2209, 0x2209, 0x2209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3209, 0x3229, 
        0x3A2A, 0x3A2A, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A2A, 0x422A, 0x422A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x528A, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x528A, 0x4A8A, 0x4A6A, 0x4A4A, 0x424A, 
        0x422A, 0x3A2A, 0x3A09, 0x3A09, 0x31E9, 0x31C9, 0x29C9, 0x29C9, 0x29A9, 0x21A8, 0x21A8, 0x2188, 0x2187, 0x2187, 0x2167, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29C8, 0x29C9, 0x29E9, 0x29E9, 0x29E9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x31E9, 0x31E9, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 
        0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x424A, 0x3A2A, 0x3209, 0x29C8, 0x21A8, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 
        0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2187, 0x2187, 0x2187, 0x2187, 0x2988, 0x2988, 0x2988, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 
        0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2188, 0x2188, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C9, 0x31E9, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 
        0x422A, 0x422A, 0x422A, 0x422A, 0x4229, 0x4229, 0x4229, 0x4229, 0x422A, 0x4229, 0x4249, 0x4249, 0x4249, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09,
  0x4A49, 0x4A49, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A49, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x39E9, 0x39E9, 0x31E9, 0x31E9, 
        0x31E9, 0x31C9, 0x31C8, 0x2987, 0x2966, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 
        0x2145, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2146, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2126, 0x2126, 0x2146, 0x2146, 0x2146, 0x2146, 0x2126, 0x2126, 0x2126, 0x2126, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2167, 
        0x2187, 0x21C8, 0x29E8, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3209, 0x3209, 0x3209, 
        0x3209, 0x3209, 0x3209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x29E9, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 
        0x3209, 0x3229, 0x3229, 0x3209, 0x3209, 0x2A09, 0x2A09, 0x2A09, 0x2A29, 0x2A29, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3209, 0x3229, 
        0x3A2A, 0x3A2A, 0x3A2A, 0x3A29, 0x3A29, 0x422A, 0x422A, 0x422A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A8A, 0x4A8A, 0x528A, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x528A, 0x528A, 0x4A8A, 0x4A6A, 0x4A6A, 
        0x4A4A, 0x424A, 0x422A, 0x3A09, 0x39E9, 0x31C9, 0x29C9, 0x29C9, 0x29C8, 0x21A8, 0x21A8, 0x2187, 0x2187, 0x2167, 0x2167, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29C9, 0x29C9, 0x29C9, 0x31E9, 0x3209, 0x3209, 0x3A29, 0x3A29, 0x3A29, 
        0x3A2A, 0x3A2A, 0x422A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 0x422A, 0x3A09, 0x29E9, 0x29C8, 0x21A8, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2987, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29C8, 0x29C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 
        0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2988, 0x2188, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C8, 
        0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C9, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x2188, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2188, 0x2188, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29C8, 0x29C9, 0x31E9, 0x31E9, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 
        0x422A, 0x422A, 0x422A, 0x422A, 0x422A, 0x4229, 0x422A, 0x422A, 0x422A, 0x4229, 0x4229, 0x422A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 0x422A, 0x4229, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09,
  0x4A49, 0x4A49, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A8A, 0x4A8A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x52AA, 0x528A, 0x528A, 0x528A, 0x528A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x424A, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 
        0x3A09, 0x3A09, 0x3A09, 0x31C8, 0x2987, 0x2967, 0x2967, 0x2966, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2946, 0x2966, 0x2166, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2145, 
        0x2145, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2987, 0x2987, 0x29A7, 0x2987, 0x2146, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2126, 0x2126, 0x2146, 0x2126, 0x2125, 0x2125, 0x2126, 0x2126, 0x2126, 0x2146, 0x2146, 0x2146, 0x2126, 0x2126, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2167, 
        0x21A7, 0x21C8, 0x29E9, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3209, 0x3209, 0x3209, 
        0x3209, 0x3209, 0x3209, 0x3209, 0x2A09, 0x2A09, 0x2A09, 0x29E9, 0x29E9, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 
        0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3229, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3229, 
        0x3A29, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A29, 0x422A, 0x422A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x528A, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x528A, 0x528A, 0x4A8A, 0x4A6A, 0x4A6A, 
        0x4A4A, 0x424A, 0x424A, 0x422A, 0x3A09, 0x3209, 0x31E9, 0x29C9, 0x29A8, 0x21A8, 0x2187, 0x2187, 0x2167, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 
        0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A8, 0x21A8, 0x21A8, 0x29C8, 0x29C9, 0x29E9, 0x31E9, 0x3209, 0x3209, 0x3A29, 
        0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4249, 0x422A, 0x422A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 0x3A2A, 0x3209, 0x29C9, 0x21A8, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 
        0x21A7, 0x21A7, 0x21A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 
        0x31C8, 0x31C8, 0x31C8, 0x29C8, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 
        0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2988, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x2188, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2188, 0x21A8, 0x29A8, 0x29C8, 0x29C9, 0x31C9, 0x31E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 
        0x3A29, 0x3A29, 0x3A29, 0x422A, 0x422A, 0x422A, 0x422A, 0x422A, 0x422A, 0x4229, 0x4229, 0x422A, 0x422A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 
        0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x422A, 0x422A, 0x3A2A, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09,
  0x4229, 0x4229, 0x4A2A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x528A, 0x528A, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x528A, 0x528A, 0x528A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A4A, 0x424A, 0x422A, 0x422A, 0x4229, 0x4229, 
        0x4229, 0x3A29, 0x3A09, 0x31E9, 0x31C8, 0x29A8, 0x29A7, 0x2987, 0x2987, 0x2967, 0x2166, 0x2166, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2145, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2187, 0x29A7, 0x29A8, 0x29A8, 0x2187, 0x2146, 0x2125, 0x2125, 0x2145, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2126, 0x2126, 0x2126, 0x2126, 0x2126, 0x2126, 0x2126, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2187, 
        0x21A8, 0x29C8, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3209, 0x3209, 0x3209, 
        0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x2A09, 0x2A09, 0x2A09, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x2A09, 0x2A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3209, 
        0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3229, 0x3229, 0x3229, 0x3229, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 
        0x3229, 0x3A29, 0x3A29, 0x3A49, 0x3A4A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A8A, 0x4A8A, 0x528A, 0x528A, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x528A, 0x528A, 0x4A8A, 0x4A6A, 0x4A6A, 
        0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x422A, 0x3A29, 0x31E9, 0x29C8, 0x29A8, 0x2187, 0x2167, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x21A8, 0x21C8, 0x29C8, 0x29C9, 0x29E9, 0x3209, 0x3209, 
        0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A2A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 0x3A2A, 0x31E9, 0x29C9, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 
        0x21A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 
        0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x29C7, 0x29C7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 
        0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2988, 0x2988, 0x2988, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x2188, 0x2188, 0x2188, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2166, 0x2166, 0x2167, 0x2167, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2188, 0x29A8, 0x29A8, 0x29A8, 0x29C9, 0x31E9, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x422A, 0x422A, 0x422A, 0x422A, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x422A, 0x422A, 0x422A, 0x422A, 0x422A, 0x422A, 0x422A, 0x422A, 0x422A, 0x422A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 
        0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4229, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09,
  0x4228, 0x39E8, 0x39E9, 0x4229, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A8A, 0x528A, 0x528A, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x528A, 0x528A, 0x4A8A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 0x424A, 
        0x422A, 0x422A, 0x3A29, 0x3A09, 0x31E9, 0x31C9, 0x31C8, 0x31C8, 0x29A8, 0x29A7, 0x2987, 0x2967, 0x2166, 0x2166, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2105, 0x2105, 0x2125, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2187, 0x29A7, 0x29A8, 0x29A8, 0x2187, 0x2146, 0x2125, 0x2125, 0x2145, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2126, 0x2126, 0x2126, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x21A7, 
        0x21C8, 0x21C8, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3209, 0x3209, 0x3209, 
        0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x2A09, 0x29E9, 0x21E9, 0x21E9, 0x29E9, 0x29E9, 0x2A09, 0x2A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3209, 0x3209, 0x3209, 
        0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3229, 0x3229, 0x3229, 0x3209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3209, 0x3209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3209, 
        0x3229, 0x3229, 0x3A29, 0x3A29, 0x3A4A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x528A, 0x528A, 0x528A, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x528A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A4A, 
        0x4A4A, 0x424A, 0x424A, 0x424A, 0x422A, 0x3A29, 0x31E9, 0x29C8, 0x21A8, 0x2167, 0x2167, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2167, 0x2167, 0x2187, 0x21A7, 0x21A8, 0x21C8, 0x29C8, 0x29C9, 0x29E9, 0x3209, 
        0x3209, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4249, 0x424A, 0x424A, 0x424A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x424A, 0x424A, 0x3A29, 0x29E9, 0x29C8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 
        0x21A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 
        0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x29C7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 
        0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2988, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2188, 0x2188, 0x21A8, 0x29A8, 0x29C8, 0x29C9, 0x31E9, 0x3209, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x422A, 0x422A, 0x422A, 0x4229, 0x4229, 0x4229, 0x4229, 0x422A, 0x422A, 0x422A, 0x4229, 0x422A, 0x422A, 0x422A, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x422A, 0x422A, 0x422A, 0x422A, 0x422A, 0x424A, 
        0x424A, 0x424A, 0x424A, 0x422A, 0x422A, 0x4229, 0x422A, 0x424A, 0x4229, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09,
  0x4208, 0x31A7, 0x31A7, 0x39C8, 0x4209, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A8A, 0x528A, 0x528A, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x528A, 0x528A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x424A, 
        0x422A, 0x4229, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x31E9, 0x31C9, 0x31C9, 0x29C8, 0x29A8, 0x29A8, 0x2987, 0x2167, 0x2166, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2124, 0x2104, 0x2104, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2187, 0x2187, 0x29A7, 0x2987, 0x2166, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2126, 0x2126, 0x2146, 0x2146, 0x2126, 0x2126, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2167, 0x21A8, 
        0x21C8, 0x21E9, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3209, 0x3209, 0x3209, 
        0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x2A09, 0x21E9, 0x21E9, 0x21E9, 0x29E9, 0x29E9, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3209, 
        0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3209, 0x3209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 
        0x3229, 0x3229, 0x3A29, 0x3A29, 0x3A49, 0x3A4A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x528A, 0x528A, 0x528A, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x528A, 0x528A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A4A, 
        0x424A, 0x424A, 0x424A, 0x424A, 0x422A, 0x3A29, 0x3209, 0x29C9, 0x29A8, 0x2167, 0x2166, 0x2146, 0x2145, 0x2145, 0x2125, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2167, 0x2187, 0x21A8, 0x21A8, 0x21A8, 0x29C8, 0x29C9, 0x29E9, 
        0x29E9, 0x3209, 0x3229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A2A, 0x424A, 0x424A, 0x424A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x424A, 0x422A, 0x3209, 0x29E9, 0x29C8, 0x21C8, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21C7, 0x21C7, 
        0x29C7, 0x29C7, 0x29C7, 0x29C7, 0x29C7, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x31C8, 0x31C8, 0x31C8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 
        0x31E8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x29C8, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 
        0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2988, 0x2988, 0x2988, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A8, 0x21A8, 0x29A8, 0x29C9, 0x29C9, 0x31E9, 0x31E9, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x422A, 0x422A, 0x422A, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x422A, 0x422A, 0x422A, 0x422A, 0x422A, 
        0x422A, 0x422A, 0x422A, 0x4229, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x39E9, 0x31E9, 0x3209, 0x3209, 0x3A09, 0x3A09,
  0x4208, 0x31A7, 0x2966, 0x2987, 0x31A8, 0x4209, 0x4A2A, 0x4A6A, 0x4A8A, 0x528A, 0x528A, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x528A, 0x528A, 0x4A6A, 0x4A6A, 0x4A4A, 0x424A, 
        0x422A, 0x422A, 0x4229, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x31E9, 0x31E9, 0x31C9, 0x29C9, 0x29C8, 0x29A8, 0x2988, 0x2167, 0x2167, 0x2166, 0x2146, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2124, 0x2124, 0x2124, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2166, 0x2966, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2987, 0x29C8, 0x29C8, 0x29A7, 0x2146, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2126, 0x2126, 0x2126, 0x2126, 0x2126, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2167, 0x2187, 0x21A8, 
        0x21C8, 0x21E9, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3209, 0x3209, 
        0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x2A09, 0x29E9, 0x21E9, 0x21E9, 0x29E9, 0x29E9, 0x29E9, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3209, 0x3209, 0x3209, 
        0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3229, 0x3229, 0x3209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 
        0x3229, 0x3229, 0x3229, 0x3A29, 0x3A29, 0x3A4A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x528A, 0x528A, 0x528A, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x528A, 0x528A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A4A, 0x4A4A, 
        0x424A, 0x424A, 0x4249, 0x422A, 0x422A, 0x3A2A, 0x3A2A, 0x31E9, 0x29C8, 0x2187, 0x2166, 0x2146, 0x2146, 0x2145, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2167, 0x2187, 0x21A7, 0x21A8, 0x21A8, 0x21A8, 0x21C8, 
        0x29C9, 0x29E9, 0x29E9, 0x3209, 0x3229, 0x3229, 0x3229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A49, 0x424A, 0x424A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x424A, 0x3A2A, 0x3209, 0x29E9, 0x21C8, 0x21C8, 0x21C8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x21C7, 0x21C7, 0x21C7, 0x21C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31E8, 0x31E8, 0x31E8, 0x39E8, 0x39E8, 0x39E8, 0x3A08, 0x3A08, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 
        0x31E8, 0x31E8, 0x31E8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x29C7, 0x29C7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 
        0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2988, 0x2988, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x2188, 0x2188, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A8, 0x21A8, 0x29A8, 0x29C8, 0x29C9, 0x31E9, 
        0x31E9, 0x39E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3A09,
  0x4208, 0x3187, 0x2966, 0x2966, 0x2987, 0x31A8, 0x4209, 0x4A4A, 0x4A6A, 0x4A8A, 0x528A, 0x528A, 0x528A, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x528A, 0x528A, 0x4A8A, 0x4A6A, 0x4A4A, 0x424A, 
        0x422A, 0x422A, 0x422A, 0x422A, 0x3A09, 0x3A09, 0x3A09, 0x31E9, 0x31E9, 0x31C9, 0x29C9, 0x29C9, 0x29A8, 0x29A8, 0x2187, 0x2167, 0x2167, 0x2166, 0x2146, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2987, 0x29A8, 0x29A8, 0x29A8, 0x2987, 0x2946, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2126, 0x2126, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2187, 0x21A8, 
        0x21C8, 0x29E9, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3209, 
        0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x2A09, 0x29E9, 0x21E9, 0x21E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3209, 
        0x3209, 0x3209, 0x3209, 0x3209, 0x3229, 0x3209, 0x3209, 0x3209, 0x3209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 
        0x3229, 0x3229, 0x3229, 0x3A29, 0x3A29, 0x3A2A, 0x3A4A, 0x424A, 0x424A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x528A, 0x528A, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x528A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 
        0x424A, 0x424A, 0x424A, 0x422A, 0x4229, 0x3A2A, 0x3A2A, 0x3209, 0x29E9, 0x21A7, 0x2167, 0x2166, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2167, 0x2187, 0x2187, 0x21A7, 0x21A8, 0x21A8, 
        0x21C8, 0x21C8, 0x21C9, 0x29E9, 0x29E9, 0x2A09, 0x2A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A29, 0x3A29, 0x3A29, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x424A, 0x424A, 0x3A29, 0x3209, 0x29E9, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x31C8, 0x31C8, 0x31C8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x31E8, 
        0x31E8, 0x31E8, 0x31E8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x29C8, 0x29A8, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 
        0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x2188, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2188, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29C9, 
        0x31C9, 0x31E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x31E9, 
        0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3A09,
  0x4208, 0x2987, 0x2966, 0x2966, 0x2966, 0x2987, 0x31C8, 0x3A09, 0x4A4A, 0x4A8A, 0x528A, 0x528A, 0x528A, 0x528A, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x528A, 0x528A, 0x4A8A, 0x4A6A, 0x4A4A, 0x424A, 
        0x422A, 0x422A, 0x422A, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x31E9, 0x31E9, 0x31C9, 0x29C9, 0x29C9, 0x29A8, 0x29A8, 0x2188, 0x2187, 0x2167, 0x2166, 0x2146, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2987, 0x2987, 0x29A8, 0x29C8, 0x3209, 0x31E8, 0x2987, 0x2946, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2126, 0x2146, 0x2146, 0x2166, 0x2167, 0x21A8, 
        0x29C8, 0x29E9, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2209, 0x2209, 0x2209, 0x2209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3209, 
        0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x2A09, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 
        0x3229, 0x3229, 0x3209, 0x3209, 0x3229, 0x3209, 0x3209, 0x3209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3209, 0x3209, 0x3229, 0x3209, 0x3209, 0x3209, 0x2A09, 0x2A09, 0x3209, 
        0x3229, 0x3229, 0x3229, 0x3229, 0x3A29, 0x3A29, 0x3A2A, 0x424A, 0x424A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x528A, 0x528A, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x528A, 0x528A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x424A, 
        0x424A, 0x424A, 0x424A, 0x424A, 0x4229, 0x3A29, 0x3A29, 0x3209, 0x31E9, 0x29A8, 0x2187, 0x2167, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2167, 0x2167, 0x2187, 0x2187, 0x21A7, 0x21A8, 
        0x21A8, 0x21C8, 0x21C8, 0x21C9, 0x21C9, 0x29E9, 0x29E9, 0x29E9, 0x2A09, 0x3209, 0x3209, 0x3229, 0x3A29, 0x3A29, 0x3A29, 0x424A, 0x424A, 0x424A, 0x426A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x424A, 0x422A, 0x3A29, 0x3209, 0x29E9, 0x29C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29E8, 0x29E8, 0x29E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A08, 0x3A08, 0x3A08, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 
        0x39E8, 0x31E8, 0x31E8, 0x31E8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x29C7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x2987, 
        0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2188, 0x21A8, 0x29A8, 
        0x29C9, 0x29C9, 0x29C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 
        0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3A09,
  0x4208, 0x2987, 0x2966, 0x2166, 0x2966, 0x2987, 0x2987, 0x31C8, 0x3A09, 0x424A, 0x4A6A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x528A, 0x528A, 0x4A8A, 0x4A6A, 0x424A, 0x4229, 0x3A29, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x29C9, 0x29A8, 0x29A8, 0x21A8, 0x2187, 0x2187, 0x2167, 0x2166, 0x2146, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2187, 0x2987, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29A7, 0x2966, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2126, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2966, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2146, 0x2146, 0x2166, 0x21A7, 
        0x29C8, 0x29E9, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 
        0x3209, 0x3209, 0x3209, 0x3229, 0x3229, 0x3209, 0x3209, 0x3209, 0x3209, 0x2A09, 0x2A09, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3209, 
        0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3229, 0x3209, 0x3209, 0x3209, 0x2A09, 0x3209, 0x3229, 
        0x3229, 0x3229, 0x3229, 0x3229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x424A, 0x424A, 0x426A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x424A, 
        0x424A, 0x424A, 0x424A, 0x424A, 0x4229, 0x3A29, 0x3A29, 0x3209, 0x29E9, 0x29A8, 0x21A7, 0x2187, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2167, 0x2167, 0x2187, 0x2187, 0x21A8, 
        0x21A8, 0x21C8, 0x21C8, 0x21C9, 0x21C9, 0x21C9, 0x29C9, 0x29E9, 0x29E9, 0x2A09, 0x3209, 0x3209, 0x3209, 0x3A29, 0x3A29, 0x3A4A, 0x424A, 0x424A, 0x424A, 0x426A, 0x426A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x424A, 0x424A, 0x424A, 0x3A2A, 0x3A29, 0x3209, 0x29E9, 0x29E9, 0x29E8, 0x21C8, 0x21C8, 0x21C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29E8, 0x29E8, 0x29E8, 
        0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x3208, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x39E8, 0x39E8, 
        0x39E8, 0x39E8, 0x39E8, 0x31E8, 0x31E8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 
        0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2967, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A8, 
        0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C8, 0x29C8, 
        0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3A09,
  0x4208, 0x2987, 0x2966, 0x2166, 0x2166, 0x2966, 0x2967, 0x2987, 0x31A7, 0x39E8, 0x4229, 0x4A4A, 0x4A8A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x52AA, 0x528A, 0x528A, 0x4A6A, 0x424A, 0x4229, 0x3A09, 0x39E9, 
        0x39E9, 0x31E9, 0x31E9, 0x31C9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x2187, 0x2187, 0x2167, 0x2166, 0x2166, 0x2146, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2167, 0x2187, 0x2987, 0x29A8, 0x29A8, 0x29C8, 0x29A8, 0x31C8, 0x31C8, 0x31E9, 0x29A8, 0x2966, 0x2146, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2146, 0x2146, 0x2146, 0x2966, 0x2966, 0x2966, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2146, 0x2146, 0x2145, 0x2145, 0x2146, 0x2166, 0x2187, 
        0x21C8, 0x29E9, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2A09, 0x2A09, 0x2209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 
        0x3229, 0x3229, 0x3229, 0x3209, 0x3229, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x2A09, 0x2A09, 0x2A09, 0x29E9, 0x2A09, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3209, 0x3209, 0x3229, 0x3A29, 
        0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3229, 0x3229, 0x3209, 0x3209, 0x3209, 0x3209, 0x3229, 
        0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3A2A, 0x3A29, 0x3A29, 0x3A29, 0x3A2A, 0x424A, 0x424A, 0x4A4A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x424A, 
        0x424A, 0x424A, 0x424A, 0x424A, 0x4229, 0x3A29, 0x3A29, 0x3209, 0x29E9, 0x21A8, 0x21A8, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2167, 0x2167, 0x2187, 0x2187, 0x21A8, 
        0x21A8, 0x21C8, 0x21C8, 0x21C9, 0x29C9, 0x29E9, 0x29E9, 0x29E9, 0x2A09, 0x3209, 0x3209, 0x3209, 0x3229, 0x3A2A, 0x3A29, 0x3A29, 0x3A4A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x426A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x426A, 0x424A, 0x424A, 0x424A, 0x3A2A, 0x3A29, 0x3A29, 0x3209, 0x3209, 0x29E9, 0x29E9, 0x29E9, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x31E8, 0x31E8, 
        0x3209, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 
        0x3A08, 0x39E8, 0x39E8, 0x39E8, 0x31E8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 
        0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2967, 0x2967, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x29A7, 
        0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 
        0x2187, 0x2187, 0x2188, 0x2188, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x2188, 0x2188, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9,
  0x4208, 0x2987, 0x2966, 0x2166, 0x2166, 0x2966, 0x2967, 0x2987, 0x2987, 0x31A7, 0x39C8, 0x3A09, 0x4229, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x4A6A, 0x4A4A, 0x4229, 0x3A09, 0x39E9, 0x31C8, 0x31A8, 
        0x31A8, 0x31A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2987, 0x2987, 0x2987, 0x2987, 0x2167, 0x2167, 0x2166, 0x2166, 0x2146, 0x2146, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2167, 0x2987, 0x29A8, 0x29A8, 0x29A8, 0x31E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x29A7, 0x2966, 0x2145, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2146, 0x2146, 0x2146, 0x2966, 0x2966, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2946, 0x2187, 
        0x29A8, 0x29C9, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 
        0x3229, 0x3229, 0x3229, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x2A09, 0x2A09, 0x2A09, 0x3229, 0x3229, 0x3A29, 0x3A4A, 0x424A, 
        0x424A, 0x3A2A, 0x3A2A, 0x3209, 0x3209, 0x3209, 0x3229, 0x3229, 0x3229, 0x3229, 0x3209, 0x3229, 0x3229, 0x3229, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3229, 0x3229, 0x3229, 0x3229, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 
        0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x424A, 0x424A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x424A, 
        0x424A, 0x424A, 0x424A, 0x424A, 0x4229, 0x3A29, 0x3A29, 0x3209, 0x29E9, 0x21C8, 0x21A8, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2187, 0x21A7, 0x21A8, 
        0x21C8, 0x21C8, 0x29C8, 0x29C9, 0x29E9, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3229, 0x3A2A, 0x3A29, 0x3A29, 0x3A2A, 0x3A4A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x3A2A, 0x3A2A, 0x3A29, 0x3A29, 0x3209, 0x3209, 0x2A09, 0x2A09, 0x2A09, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 
        0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A08, 0x3A08, 
        0x3A08, 0x3A08, 0x3A08, 0x39E8, 0x39E8, 0x31E8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C7, 0x31C7, 0x31C7, 0x29C7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 
        0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x29A7, 
        0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2967, 0x2167, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x31C8, 0x31C8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9,
  0x4208, 0x2986, 0x2966, 0x2166, 0x2166, 0x2166, 0x2967, 0x2967, 0x2987, 0x2987, 0x29A7, 0x31A8, 0x39C8, 0x3A09, 0x4229, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4229, 0x4209, 0x39C8, 0x31C8, 0x31A8, 0x29A7, 0x2987, 0x2987, 
        0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2967, 0x2967, 0x2967, 0x2967, 0x2167, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2124, 0x2124, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2146, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2167, 0x2967, 0x2988, 0x31A8, 0x31E9, 0x3A09, 0x424A, 0x424A, 0x424A, 0x39E8, 0x2966, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2966, 0x2966, 0x2967, 0x2967, 0x2967, 0x2967, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2167, 
        0x29A7, 0x29C8, 0x29E9, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 
        0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x29E9, 0x2A09, 0x2A09, 0x29E9, 0x29E9, 0x29E9, 0x3209, 0x3209, 0x3A29, 0x3A29, 0x424A, 0x424A, 
        0x424A, 0x424A, 0x424A, 0x3A29, 0x3A29, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3209, 
        0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A4A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 
        0x424A, 0x424A, 0x424A, 0x424A, 0x3A29, 0x3A29, 0x3A29, 0x3209, 0x29C9, 0x21C8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x21A7, 0x21A8, 
        0x21C8, 0x29C8, 0x29C8, 0x29E9, 0x29E9, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A4A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x426A, 0x426A, 0x4A6A, 0x426A, 
        0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x3A4A, 0x3A29, 0x3A29, 0x3A29, 0x3209, 0x3209, 0x3209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A09, 0x3A09, 0x3A08, 
        0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x39E8, 0x31E8, 0x31E8, 0x31E8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C7, 0x31C7, 0x31C7, 0x31C7, 0x29C7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 
        0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x29A7, 
        0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2967, 0x2966, 0x2966, 0x2966, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x31C8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9,
  0x4208, 0x2986, 0x2966, 0x2166, 0x2166, 0x2166, 0x2967, 0x2967, 0x2987, 0x2987, 0x2987, 0x29A7, 0x31A8, 0x31C8, 0x39C8, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x39E9, 0x39C8, 0x31C8, 0x31C8, 0x31A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 
        0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2166, 0x2167, 0x2167, 0x2166, 0x2166, 0x2146, 0x2146, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2967, 0x29A8, 0x31C8, 0x3A09, 0x3A29, 0x3A29, 0x3A09, 0x31C8, 0x2987, 0x2146, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2167, 
        0x29A7, 0x29C8, 0x29C8, 0x29E9, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 
        0x2A09, 0x3209, 0x3209, 0x3229, 0x3229, 0x3229, 0x3229, 0x3209, 0x3229, 0x3209, 0x3209, 0x3209, 0x3209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x29E9, 0x29E9, 0x29E9, 0x2A09, 0x3209, 0x3A29, 0x3A29, 0x4249, 0x4249, 
        0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3229, 0x3229, 0x3209, 0x2A09, 0x2A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3209, 
        0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A2A, 0x3A2A, 0x3A2A, 0x424A, 0x424A, 0x424A, 0x426A, 0x4A6A, 0x4A6A, 0x4A4A, 0x424A, 0x4A4A, 0x4A4A, 0x424A, 0x424A, 
        0x424A, 0x424A, 0x424A, 0x424A, 0x3A4A, 0x3A2A, 0x3229, 0x2A09, 0x29C9, 0x21C8, 0x21C8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x21A8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 
        0x21A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x21A8, 
        0x21C8, 0x21C8, 0x29C8, 0x29E9, 0x29E9, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A2A, 0x3A2A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 
        0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x3A4A, 0x3A4A, 0x3A29, 0x3A29, 0x3A29, 0x3209, 0x3209, 0x3209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3A09, 
        0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A09, 
        0x3A09, 0x3A09, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x39E8, 0x39E8, 0x31E8, 0x31E8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C7, 0x31C7, 0x31C7, 0x31C7, 0x29C7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 
        0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x29A7, 
        0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2967, 0x2966, 0x2966, 0x2966, 0x2166, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x31C8, 0x31C8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9,
  0x4208, 0x2986, 0x2966, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2187, 0x2187, 0x2987, 0x2987, 0x2987, 0x29A8, 0x29A8, 0x31C8, 0x31C8, 0x31C8, 0x31A8, 0x29A8, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 
        0x2987, 0x2987, 0x2987, 0x2987, 0x2967, 0x2967, 0x2967, 0x2967, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2166, 0x2166, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2126, 0x2126, 0x2126, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2967, 0x29A8, 0x31E9, 0x3A29, 0x422A, 0x3A29, 0x31C8, 0x29A7, 0x2967, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2166, 
        0x2187, 0x21A7, 0x21C8, 0x21C8, 0x29C9, 0x29E9, 0x29E9, 0x21E9, 0x21E9, 0x29E9, 0x29E9, 0x2A09, 0x3209, 0x3209, 0x3229, 0x3209, 0x3209, 0x3209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 
        0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3229, 0x3229, 0x3229, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3A29, 0x3A29, 0x4229, 0x4A49, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3209, 
        0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A4A, 0x424A, 0x424A, 0x426A, 0x426A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 
        0x424A, 0x424A, 0x424A, 0x424A, 0x3A2A, 0x3A2A, 0x3229, 0x2A09, 0x29E9, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21A8, 0x21C8, 0x21C8, 0x21C8, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A8, 0x21A8, 
        0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x29E8, 0x29E9, 0x29E9, 0x2A09, 0x3209, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3209, 0x3209, 0x3229, 0x3229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A2A, 0x3A2A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 
        0x424A, 0x424A, 0x4249, 0x424A, 0x424A, 0x3A4A, 0x3A4A, 0x3A4A, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3229, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x2A09, 0x2A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3A29, 0x3A29, 
        0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x3A29, 0x3A29, 0x3A29, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31C8, 0x31C8, 0x31C8, 0x31C7, 0x31C7, 0x31C7, 0x31C7, 0x29C7, 0x29C7, 0x29C7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 
        0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x2987, 
        0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2967, 0x2966, 0x2966, 0x2966, 0x2966, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9,
  0x4208, 0x2986, 0x2966, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2987, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 
        0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2967, 0x2967, 0x2967, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2166, 0x2167, 0x2187, 0x2187, 0x2167, 0x2166, 0x2146, 0x2146, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2126, 0x2126, 0x2146, 0x2146, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2126, 0x2126, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2967, 0x29A7, 0x31C8, 0x424A, 0x424A, 0x3A09, 0x2987, 0x2146, 0x2125, 0x2125, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 
        0x2166, 0x2187, 0x2187, 0x21A8, 0x29A8, 0x29C8, 0x29C8, 0x21C8, 0x21C8, 0x21C8, 0x29C9, 0x3209, 0x3A2A, 0x4A6A, 0x4A8A, 0x4A6A, 0x424A, 0x3A2A, 0x3209, 0x2A09, 0x29E9, 0x29E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 
        0x29E9, 0x29E9, 0x29E9, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x21E9, 0x29E9, 0x3209, 0x3A29, 0x422A, 0x424A, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x2A09, 0x29E9, 0x29E9, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3209, 
        0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3A29, 0x3A29, 0x3A29, 0x3A2A, 0x3A4A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 
        0x424A, 0x3A4A, 0x3A4A, 0x3A2A, 0x3A2A, 0x3229, 0x3209, 0x29E9, 0x21E9, 0x21E9, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 
        0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21A8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A8, 0x21A8, 0x21A8, 
        0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21E8, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3209, 0x3229, 0x3229, 0x3229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A4A, 0x3A4A, 0x3A4A, 0x3A2A, 0x3A2A, 
        0x3A2A, 0x3A2A, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 
        0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x31E8, 0x31E8, 0x31E8, 0x31C8, 0x31C8, 0x31C8, 0x31C7, 0x31C7, 0x31C7, 0x31C7, 0x29C7, 0x29C7, 0x29C7, 0x29C7, 0x29C7, 0x29C7, 0x29C7, 0x29A7, 0x29A7, 0x29A7, 
        0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 
        0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2967, 0x2967, 0x2967, 0x2966, 0x2966, 0x2966, 0x2966, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2987, 0x2987, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x31C9, 0x31C9, 0x31C9, 0x31C9,
  0x4208, 0x2986, 0x2966, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x29A7, 0x29A8, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2145, 0x2146, 0x2166, 0x2166, 0x2167, 0x2167, 0x2166, 0x2166, 0x2146, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2126, 0x2126, 0x2146, 0x2126, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2126, 0x2126, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2946, 0x2146, 0x2146, 0x2126, 0x2146, 0x2946, 0x2967, 0x31C8, 0x31E9, 0x31C8, 0x2967, 0x2146, 0x2125, 0x2145, 0x2166, 0x2987, 0x29A8, 0x29A7, 0x2187, 0x2187, 0x2166, 0x2166, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 
        0x2146, 0x2166, 0x2167, 0x2167, 0x2987, 0x29A7, 0x29A7, 0x21A8, 0x21A8, 0x21C8, 0x29C8, 0x3209, 0x424A, 0x4A8A, 0x528A, 0x52AA, 0x528A, 0x4A8A, 0x424A, 0x3229, 0x29E9, 0x29C8, 0x21C8, 0x21C8, 0x21C8, 0x29C8, 0x29C8, 0x21C8, 0x21C8, 0x21C8, 
        0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x29E9, 0x29E9, 0x29E9, 0x3209, 0x3A2A, 0x3A2A, 0x424A, 0x424A, 0x3A4A, 0x3A29, 0x3209, 0x29E9, 0x29E9, 0x29C9, 0x21C9, 0x21C9, 0x21E9, 0x21C9, 0x29C8, 0x29E9, 0x3A29, 0x424A, 0x424A, 0x424A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x29E9, 0x29E9, 0x29E9, 0x21E9, 0x21C8, 0x21C9, 0x21E9, 0x21E9, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 
        0x3209, 0x3209, 0x3209, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A2A, 0x3A4A, 0x3A4A, 0x3A4A, 0x424A, 0x424A, 0x3A4A, 
        0x3A2A, 0x3A2A, 0x3A29, 0x3A29, 0x3229, 0x2A09, 0x2A09, 0x2A09, 0x21E9, 0x21E9, 0x21E9, 0x21C9, 0x21C9, 0x21C8, 0x21C8, 0x21C8, 0x21C9, 0x21E9, 0x21E9, 0x21E9, 0x21C9, 0x21C9, 0x21C9, 0x21C9, 0x21C9, 0x21C9, 0x21C9, 0x21C9, 0x21C9, 0x21C9, 
        0x21C9, 0x21C9, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21C8, 
        0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21E9, 0x21E9, 0x21E9, 0x29E9, 0x29E9, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3209, 0x3229, 0x3229, 0x3229, 0x3229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A29, 0x3A29, 
        0x3A29, 0x3A2A, 0x3A2A, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3229, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 
        0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x31E8, 0x31E8, 0x31E8, 0x31C8, 0x31C8, 0x31C7, 0x31C7, 0x31C7, 0x31C7, 0x31C7, 0x31C7, 0x29C7, 0x29C7, 0x29C7, 0x29C7, 0x29C7, 0x29C7, 0x29C7, 0x29A7, 
        0x29C7, 0x29C7, 0x29C7, 0x29C7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 
        0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2967, 0x2967, 0x2967, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2946, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x31C9, 0x31C9, 0x31C9,
  0x4208, 0x2986, 0x2966, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x21A7, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2966, 0x2166, 0x2146, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2145, 0x2145, 0x2146, 0x2166, 0x2987, 0x2167, 0x2166, 0x2146, 0x2146, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2126, 0x2126, 0x2126, 0x2146, 0x2126, 0x2125, 0x2125, 0x2125, 0x2146, 0x2146, 0x2987, 0x29A8, 0x2987, 0x2166, 0x2146, 0x2145, 0x2166, 0x29C7, 0x2A09, 0x2A09, 0x2A09, 0x29E8, 0x29C8, 0x21C8, 0x21A8, 0x21A7, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x21A8, 0x29C8, 0x3209, 0x424A, 0x4A8A, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x528A, 0x424A, 0x3A29, 0x31E8, 0x29C8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 
        0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x29C9, 0x29E9, 0x3209, 0x424A, 0x4A6A, 0x4A8A, 0x528A, 0x4A8A, 0x4A6A, 0x3A4A, 0x3209, 0x31E9, 0x29E9, 0x29E9, 0x29C9, 0x29C9, 0x29C9, 0x29C8, 0x29C9, 0x31E9, 0x3A09, 0x3A4A, 0x424A, 
        0x424A, 0x424A, 0x424A, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A2A, 0x3A09, 0x3A09, 0x31E9, 0x31E9, 0x31E9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21E9, 0x21E9, 0x29E9, 0x29E9, 0x2A09, 0x2A09, 0x2A09, 
        0x2A09, 0x3209, 0x3209, 0x3229, 0x3229, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3A2A, 0x3A29, 0x3A29, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A29, 
        0x3A29, 0x3229, 0x3229, 0x3209, 0x2A09, 0x2A09, 0x2A09, 0x2209, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 
        0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 
        0x21C8, 0x21C8, 0x21C8, 0x21C9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3229, 0x3229, 0x3229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 
        0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3209, 0x3209, 0x3209, 0x3229, 0x3229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 
        0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x31E8, 0x31E8, 0x31E8, 0x31C8, 0x31C8, 0x31C8, 0x31C7, 0x31C7, 0x31C7, 0x31C7, 0x31C7, 0x31C7, 0x31C7, 0x31C7, 0x31C7, 0x29C7, 0x29C7, 
        0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 
        0x2987, 0x2987, 0x2987, 0x2987, 0x2967, 0x2967, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2946, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2104, 0x2104, 0x2104, 0x2125, 0x2125, 
        0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2987, 0x2987, 
        0x2987, 0x2987, 0x2987, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8,
  0x4208, 0x2986, 0x2966, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x21A7, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x31C8, 0x31C9, 0x31C9, 0x31C9, 0x31C8, 0x31C8, 
        0x31C8, 0x31C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A7, 0x29A7, 0x2987, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2187, 0x2987, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x2966, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2145, 0x2145, 0x2146, 0x2146, 0x2166, 0x2146, 0x2146, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2126, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2967, 0x2987, 0x2987, 0x2166, 0x2966, 0x29A7, 0x29E8, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x29E9, 0x29E9, 
        0x29E9, 0x29C9, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x21A8, 0x29C9, 0x3A09, 0x424A, 0x4A6A, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x4A8A, 0x426A, 0x3A29, 0x29C8, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x21A7, 0x21A7, 0x21A8, 0x29C8, 0x3A29, 0x424A, 0x4A6A, 0x528A, 0x528A, 0x528A, 0x528A, 0x4A8A, 0x424A, 0x3A29, 0x3209, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29C9, 0x31C8, 0x31E9, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x31E9, 0x31E9, 0x31C9, 0x29C8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21C8, 0x21C8, 0x21C9, 0x21E9, 0x29E9, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 
        0x3209, 0x3209, 0x3209, 0x3229, 0x3229, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3229, 0x3209, 0x3209, 0x3209, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 
        0x3229, 0x3229, 0x3209, 0x3209, 0x2A09, 0x2A09, 0x2A09, 0x2209, 0x2209, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x29E9, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 
        0x2A09, 0x2A09, 0x2A09, 0x29E9, 0x29E9, 0x21E9, 0x21E9, 0x21E8, 0x21E8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 
        0x21C8, 0x21C9, 0x21C9, 0x21C9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x2209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3229, 0x3229, 0x3229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3229, 0x3229, 
        0x3229, 0x3229, 0x3229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 
        0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 
        0x4249, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A08, 0x3A08, 0x3208, 0x31E8, 0x31E8, 0x31E8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 
        0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 
        0x2987, 0x2967, 0x2967, 0x2967, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2946, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2104, 0x2104, 0x2104, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 
        0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8,
  0x4208, 0x2986, 0x2966, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x21A7, 0x21A7, 0x29A7, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x31C8, 0x31C8, 0x31C8, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31C9, 
        0x31C9, 0x31C9, 0x31C8, 0x29A8, 0x29A8, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x21A7, 0x21A8, 0x21A8, 0x29A8, 0x29C8, 0x31E8, 0x29A7, 0x2966, 0x2146, 0x2125, 0x2125, 0x2125, 
        0x2145, 0x2146, 0x2146, 0x2146, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2126, 0x2146, 
        0x2146, 0x2126, 0x2126, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2967, 0x2967, 0x2967, 0x2146, 0x2166, 0x2987, 0x29A8, 0x29C8, 0x29E9, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 
        0x2A09, 0x29E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21C9, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A8, 0x29A8, 0x31E9, 0x3A09, 0x4229, 0x3A29, 0x4A6A, 0x4A8A, 0x528A, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x4A8A, 0x424A, 0x31E9, 0x29A8, 0x2167, 0x2167, 0x2166, 0x2146, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2187, 0x29A8, 0x3209, 0x424A, 0x4A8A, 0x528A, 0x52AA, 0x52AA, 0x52AA, 0x528A, 0x4A8A, 0x4A6A, 0x3A29, 0x3A29, 0x3A29, 0x3A2A, 0x3A2A, 0x424A, 0x424A, 0x3A2A, 0x3A29, 0x3209, 0x31E9, 
        0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x31E9, 0x31C9, 0x29C9, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x21A8, 0x21C8, 0x21C8, 0x21C8, 0x29E9, 0x29E9, 0x2A09, 0x3209, 0x3209, 0x3209, 
        0x3209, 0x3209, 0x3209, 0x3209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3209, 0x3209, 0x3209, 
        0x3209, 0x3209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 
        0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21C9, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C9, 0x21C9, 0x21C9, 0x21C9, 
        0x21C9, 0x21C9, 0x21C9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x2209, 0x2209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3229, 0x3229, 0x3229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 
        0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 
        0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 
        0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A08, 0x3A08, 0x39E8, 0x39E8, 0x31E8, 0x31E8, 0x31E8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 
        0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 
        0x2967, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2946, 0x2946, 0x2945, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2104, 0x2104, 0x2104, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 
        0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 
        0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8,
  0x4208, 0x2987, 0x2966, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x21A7, 0x29A7, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x31C8, 0x31C8, 0x31C8, 0x31E9, 0x31E9, 0x39E9, 0x39E9, 0x3A09, 0x31E9, 0x31E9, 
        0x31C9, 0x31C8, 0x29C8, 0x29A8, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2187, 0x2187, 0x21A7, 0x21A7, 0x21A7, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x29A8, 0x29C8, 0x31C8, 0x29A8, 0x2967, 0x2146, 0x2146, 
        0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2126, 
        0x2126, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2166, 0x2166, 0x2146, 0x2125, 0x2145, 0x2166, 0x2166, 0x2187, 0x21A8, 0x21C8, 0x29E9, 0x29E9, 0x2A09, 0x2A09, 0x2209, 
        0x2A09, 0x2A09, 0x2A09, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x21E9, 0x21E9, 0x21E9, 0x29E9, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x29E9, 0x29E9, 0x21E9, 0x21C9, 0x21C8, 0x21C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x21C8, 0x21C8, 
        0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x29C8, 0x29C8, 0x3209, 0x3A29, 0x3A29, 0x4229, 0x424A, 0x424A, 0x424A, 0x4A6A, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x528A, 0x4A6A, 0x3A09, 0x31C8, 0x2987, 0x2167, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2167, 0x2187, 0x29A8, 0x29C9, 0x3A2A, 0x4A6A, 0x4A8A, 0x528A, 0x52AA, 0x52AA, 0x528A, 0x528A, 0x528A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x426A, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A2A, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x31E9, 0x31E9, 0x31C9, 0x29C9, 0x31E9, 0x3209, 0x3A09, 0x3A2A, 0x3A2A, 0x3209, 0x29E9, 0x29C8, 0x29E9, 0x2A09, 0x3209, 0x3209, 0x3209, 0x3A29, 0x3A2A, 
        0x3229, 0x3229, 0x3209, 0x3209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3229, 0x3229, 0x3229, 0x3209, 0x3209, 0x3209, 
        0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 
        0x3209, 0x3209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21C9, 0x21C9, 0x21C9, 0x21C9, 0x21E9, 0x21E9, 0x21E9, 
        0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x2209, 0x2209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3209, 0x3229, 0x3229, 0x3A29, 0x3A29, 0x3A29, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 
        0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 
        0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4A49, 0x4A49, 0x4A49, 0x4249, 0x4249, 0x4249, 
        0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x39E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 
        0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 
        0x2967, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2946, 0x2946, 0x2946, 0x2945, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2104, 0x2104, 0x2104, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 
        0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 
        0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2188, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8,
  0x4208, 0x31A7, 0x2966, 0x2966, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x21A7, 0x29A7, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x31C8, 0x31E9, 0x31E9, 0x31E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x31E9, 
        0x31C8, 0x31C8, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2187, 0x2187, 0x21A7, 0x21A7, 0x21A8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x29E9, 0x29E9, 0x2A09, 0x2A09, 0x29C9, 0x29C9, 0x29C9, 0x29C8, 0x29A7, 0x2966, 
        0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2166, 0x2167, 0x21A7, 0x21A8, 0x29C8, 0x29E9, 0x2A09, 0x2209, 
        0x2209, 0x2A09, 0x2A09, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2A09, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x29E9, 0x21E9, 0x21C9, 0x21C8, 0x21C8, 0x29C9, 0x29C9, 0x29E9, 0x2A09, 0x2209, 
        0x2209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x3209, 0x3A29, 0x422A, 0x422A, 0x422A, 0x3A29, 0x3A09, 0x31E9, 0x3A09, 0x424A, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x4A8A, 0x424A, 0x31E9, 0x2987, 0x2167, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2967, 0x29A8, 0x29C8, 0x29A8, 0x29C8, 0x3A09, 0x424A, 0x4A8A, 0x4A8A, 0x4A8A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x4A8A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x4AAA, 0x424A, 
        0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A2A, 0x3A2A, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x3A09, 0x3A29, 0x424A, 0x4A6A, 0x4A8A, 0x4A8A, 0x424A, 0x3A29, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A2A, 
        0x3A29, 0x3229, 0x3209, 0x3209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3209, 0x3209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 
        0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2209, 0x2209, 0x2209, 0x2209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3209, 0x3229, 0x3229, 0x3229, 0x3209, 0x3209, 0x3209, 0x3209, 0x3229, 0x3229, 
        0x3209, 0x3209, 0x3209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x21E9, 0x21E9, 0x21E9, 0x2209, 0x2209, 0x2209, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 
        0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x2209, 0x2209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3209, 0x3209, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 
        0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 
        0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4A49, 0x4A49, 0x4A49, 0x4249, 0x4249, 0x4249, 
        0x4249, 0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 
        0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x29C8, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 
        0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2946, 0x2946, 0x2946, 0x2946, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2104, 0x2104, 0x2104, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 
        0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 
        0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2987, 0x2987, 0x29A8, 0x29A8,
  0x4229, 0x39C8, 0x31A7, 0x2966, 0x2967, 0x2166, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x21A7, 0x29A7, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x31C8, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x31E8, 
        0x31C8, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2187, 0x2187, 0x21A7, 0x21A8, 0x21A8, 0x21C8, 0x21C8, 0x21C8, 0x21E8, 0x29E9, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3209, 0x2A09, 0x29C8, 0x21A8, 0x2987, 0x2966, 
        0x2946, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2146, 0x2166, 0x2187, 0x21A7, 0x21C8, 0x29C8, 0x21E9, 
        0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x29E9, 0x21C8, 0x21A8, 0x21A8, 0x21A8, 0x21C8, 0x21C8, 0x21E9, 0x2A09, 
        0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A29, 0x426A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x424A, 0x3A29, 0x3A2A, 0x3A2A, 0x3A29, 0x424A, 0x424A, 0x424A, 0x424A, 0x426A, 0x3A29, 0x31C8, 0x2987, 0x2167, 0x2166, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2987, 0x29A8, 0x31C9, 0x29C8, 0x29A8, 0x29A7, 0x29C8, 0x3A09, 0x424A, 0x4A4A, 0x4A6A, 0x4A8A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x52AA, 0x4A8A, 
        0x4A4A, 0x422A, 0x422A, 0x3A2A, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A29, 0x3A29, 0x424A, 0x4A6A, 0x4A6A, 0x4A6A, 0x528A, 0x4A8A, 0x4A6A, 0x4229, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 
        0x3A29, 0x3229, 0x3209, 0x3209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 
        0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3209, 0x3229, 0x3229, 0x3229, 0x3209, 0x3209, 0x3229, 0x3229, 0x3229, 0x3229, 
        0x3209, 0x3209, 0x3209, 0x3209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 
        0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x2209, 0x2209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3209, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 
        0x3229, 0x3229, 0x3209, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3209, 0x3209, 0x3229, 0x3229, 0x3229, 0x3229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 
        0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 
        0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 
        0x3A08, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x29C8, 0x29C8, 0x29C7, 0x29C7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 
        0x2987, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2946, 0x2946, 0x2946, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 
        0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 
        0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187,
  0x4A49, 0x4A49, 0x3A09, 0x31A7, 0x2967, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x21A7, 0x29A7, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x31C8, 0x31C8, 0x31E9, 0x31E9, 0x31E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x31C8, 
        0x31C8, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2187, 0x2187, 0x21A7, 0x21A8, 0x21A8, 0x21C8, 0x21C8, 0x21C8, 0x29E9, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x2A09, 0x29E9, 0x29C8, 0x21A8, 0x2187, 0x2166, 
        0x2166, 0x2146, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2146, 0x2146, 0x2946, 0x2146, 0x2146, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2945, 0x2945, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2166, 0x2187, 0x21A7, 0x21C8, 
        0x21C8, 0x21E9, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2A09, 0x2A09, 0x2A09, 0x29E9, 0x29C9, 0x21C8, 0x21A8, 0x21A8, 0x21A8, 0x21C8, 0x21C8, 0x2A09, 
        0x3209, 0x3229, 0x322A, 0x3A2A, 0x3A29, 0x3A29, 0x3A29, 0x424A, 0x4A6A, 0x528A, 0x52AA, 0x52AA, 0x52AA, 0x528A, 0x4A6A, 0x424A, 0x424A, 0x3A2A, 0x3A09, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29A7, 0x2167, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2967, 0x2987, 0x29A8, 0x29A8, 0x2987, 0x2167, 0x2167, 0x2187, 0x29A8, 0x31C9, 0x3A29, 0x424A, 0x4A6A, 0x4A8A, 0x528A, 0x528A, 0x528A, 0x4A6A, 0x4A49, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 
        0x4A6A, 0x424A, 0x422A, 0x422A, 0x3A29, 0x3A09, 0x39E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3A09, 0x3A09, 0x3A2A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A8A, 0x4A6A, 0x424A, 0x39E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3209, 
        0x31E9, 0x29E9, 0x29E9, 0x29E9, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A29, 0x2A29, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 
        0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3209, 0x3229, 0x3229, 0x3229, 0x3229, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 
        0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 
        0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3209, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 
        0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 
        0x3A29, 0x3A29, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x424A, 0x424A, 0x424A, 0x424A, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 
        0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 
        0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x39E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31C8, 0x31C8, 0x29C8, 0x29C8, 0x29C8, 0x29C7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x2987, 
        0x2987, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2946, 0x2946, 0x2946, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 
        0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 
        0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187,
  0x4A49, 0x4A8A, 0x4A6A, 0x3A29, 0x29A7, 0x2987, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x21A7, 0x29A7, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x31C8, 0x31C8, 0x31C8, 0x31E8, 0x31E9, 0x31E9, 0x3A09, 0x3A09, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x31E8, 0x31C8, 
        0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x21A7, 0x21A7, 0x21A8, 0x21A8, 0x21C8, 0x21C8, 0x29C9, 0x29E9, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3209, 0x3209, 0x29E9, 0x29C9, 0x29C8, 0x21C8, 0x29A8, 0x29A8, 
        0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2945, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2146, 0x2146, 0x2966, 0x2967, 0x29A8, 0x31E9, 0x31C8, 0x29A7, 0x2967, 0x2166, 0x2966, 0x2966, 0x2146, 0x2146, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2146, 0x2166, 0x21A7, 
        0x21A8, 0x21C8, 0x21C9, 0x21E9, 0x2A09, 0x2A09, 0x2A09, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x29E9, 0x29C8, 0x21C8, 0x21C8, 0x21C8, 0x29C8, 0x3209, 
        0x3209, 0x3229, 0x3A2A, 0x426A, 0x426A, 0x424A, 0x4A6A, 0x4A8A, 0x528A, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x528A, 0x426A, 0x3A29, 0x31E9, 0x29A8, 0x2167, 0x2167, 0x2167, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2987, 0x2987, 0x2967, 0x2167, 0x2167, 0x2167, 0x2187, 0x2987, 0x29A8, 0x31C8, 0x3A09, 0x424A, 0x4A6A, 0x4A8A, 0x4A6A, 0x4249, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x4249, 0x424A, 
        0x424A, 0x3A29, 0x31E9, 0x31C8, 0x31A8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x29A8, 0x29A8, 0x31C8, 0x31C8, 0x31C9, 0x31C9, 0x31C9, 0x31C8, 0x31C8, 0x31A7, 0x31A7, 0x31C8, 0x31C8, 0x29A7, 0x2967, 0x2167, 0x2167, 0x2967, 0x2967, 0x2987, 0x2987, 
        0x2987, 0x2987, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29E9, 0x29E9, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A29, 0x2A29, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 
        0x2A09, 0x2A29, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x322A, 0x3229, 0x3229, 0x3229, 0x2A09, 0x2A09, 0x2A09, 0x2209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3229, 0x3229, 0x3229, 0x3229, 0x3209, 
        0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 
        0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 
        0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 
        0x3A29, 0x3A29, 0x3A49, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4249, 
        0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x39E8, 0x39E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31C8, 0x31C8, 0x31C8, 0x29C8, 0x29C8, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x2987, 
        0x2987, 0x2987, 0x2987, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2946, 0x2946, 0x2946, 0x2946, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 
        0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 
        0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167,
  0x4A49, 0x4A6A, 0x4A8A, 0x424A, 0x31C8, 0x2987, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x21A7, 0x29A7, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x31C8, 0x31C8, 0x31E9, 0x31E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x39E9, 0x31C8, 0x31A8, 
        0x29A8, 0x29A7, 0x2987, 0x2987, 0x2967, 0x2967, 0x2967, 0x2967, 0x2987, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x21C8, 0x21C8, 0x29C8, 0x29E9, 0x29E9, 0x2A09, 0x2A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 
        0x3209, 0x31E9, 0x3209, 0x3A29, 0x3A09, 0x2987, 0x2946, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2146, 0x2146, 0x2146, 0x2967, 0x2987, 0x29A8, 0x31E9, 0x31E9, 0x31E9, 0x29C8, 0x29A8, 0x2988, 0x29A8, 0x29A7, 0x2987, 0x2966, 0x2146, 
        0x2146, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2146, 0x2166, 
        0x2167, 0x21A7, 0x21C8, 0x21C8, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2A09, 0x2A09, 0x2A29, 0x2A29, 0x2A29, 0x2A09, 0x29E9, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 
        0x3209, 0x3A29, 0x3A4A, 0x428A, 0x4A8A, 0x4A6A, 0x4A8A, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x528A, 0x424A, 0x3209, 0x29A7, 0x2167, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2167, 0x2967, 0x2166, 0x2166, 0x2166, 0x2166, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2966, 0x2967, 0x2187, 0x2187, 0x2187, 0x29A8, 0x31C8, 0x3A09, 0x3A09, 0x39E9, 0x29A8, 0x29A8, 0x31C9, 0x31E9, 0x3A09, 0x3A09, 0x31C8, 
        0x31C8, 0x31C8, 0x29A8, 0x2987, 0x2987, 0x2967, 0x2967, 0x2167, 0x2167, 0x2167, 0x2967, 0x2967, 0x2987, 0x2987, 0x2988, 0x29A8, 0x2987, 0x2987, 0x2987, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2187, 0x21A8, 0x29C8, 0x29C8, 0x29C9, 0x21E9, 0x21E9, 0x2209, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 
        0x2A09, 0x2A29, 0x2A29, 0x3229, 0x3229, 0x3229, 0x3229, 0x3A29, 0x3A29, 0x3A2A, 0x3229, 0x3229, 0x2A29, 0x2A09, 0x2A09, 0x2209, 0x2209, 0x2209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x2A09, 
        0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2209, 0x2209, 0x2209, 
        0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 
        0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 
        0x3A29, 0x3A2A, 0x3A2A, 0x3A29, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4249, 
        0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A08, 0x3A08, 0x3A08, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31C8, 0x31C8, 0x31C8, 0x29C8, 0x29C7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 
        0x2987, 0x2987, 0x2987, 0x2986, 0x2966, 0x2966, 0x2966, 0x2966, 0x2946, 0x2946, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 
        0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167,
  0x4A49, 0x4A49, 0x4A4A, 0x4229, 0x31C8, 0x2987, 0x2987, 0x2187, 0x2187, 0x21A7, 0x21A7, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x31C8, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3A09, 0x3A09, 0x3A09, 0x39E9, 0x31E9, 0x31C8, 0x31A8, 
        0x29A8, 0x29A7, 0x2987, 0x2987, 0x2967, 0x2967, 0x2967, 0x2967, 0x2187, 0x21A7, 0x29A8, 0x29C8, 0x29C8, 0x21C8, 0x21C8, 0x29E9, 0x2A09, 0x2A09, 0x3209, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3209, 0x3209, 0x3209, 0x3209, 0x3229, 0x3A29, 
        0x3A29, 0x3A29, 0x3A29, 0x424A, 0x4A6A, 0x3A29, 0x31A7, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2946, 0x2946, 0x2967, 0x2967, 0x29A8, 0x31C8, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x29C9, 0x31C9, 0x31C9, 0x31C9, 0x31A8, 0x2967, 
        0x2166, 0x2146, 0x2146, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2146, 
        0x2146, 0x2166, 0x2187, 0x21A7, 0x21C8, 0x29E9, 0x29E9, 0x2209, 0x2209, 0x2209, 0x2A09, 0x2A09, 0x2209, 0x2209, 0x2A09, 0x2A09, 0x2A29, 0x2A09, 0x29E9, 0x21C9, 0x21C9, 0x21C9, 0x21C8, 0x21E9, 0x2A09, 0x2A09, 0x3229, 0x3229, 0x3209, 0x3209, 
        0x3229, 0x3229, 0x3A2A, 0x424A, 0x426A, 0x4A6A, 0x4A8A, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x4A8A, 0x3A29, 0x31C8, 0x2967, 0x2146, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2966, 0x2966, 0x2967, 0x2967, 0x2967, 0x2967, 0x2966, 0x2166, 0x2166, 0x2166, 0x2966, 0x2967, 0x2967, 0x2967, 0x2987, 0x2987, 0x29A7, 0x29A8, 0x2987, 0x2187, 0x2167, 0x2187, 0x29A8, 0x31C9, 0x31C8, 0x29A7, 0x2967, 
        0x2967, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2167, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2146, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2166, 0x2146, 0x2146, 0x2166, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x29A7, 0x29A8, 0x21C8, 0x21C8, 0x21C8, 0x29C9, 0x29C9, 
        0x29E9, 0x29E9, 0x3209, 0x3209, 0x3229, 0x3229, 0x322A, 0x3A2A, 0x3A2A, 0x322A, 0x322A, 0x322A, 0x3229, 0x2A09, 0x2A09, 0x2A09, 0x2209, 0x2209, 0x2209, 0x2209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 
        0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 
        0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 
        0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A29, 0x2A29, 0x2A29, 0x3209, 0x3209, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 
        0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 
        0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 
        0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A08, 0x3A08, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31C8, 0x31C8, 0x29C8, 0x29C8, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 
        0x2987, 0x2987, 0x2987, 0x2986, 0x2966, 0x2966, 0x2966, 0x2966, 0x2946, 0x2946, 0x2945, 0x2945, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 
        0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 
        0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 
        0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166,
  0x4A49, 0x4A4A, 0x4249, 0x3A09, 0x29A7, 0x2987, 0x2987, 0x2187, 0x2187, 0x21A7, 0x21A7, 0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x31C8, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x3A09, 0x31E9, 0x31E9, 0x31C8, 0x29A8, 
        0x29A8, 0x29A8, 0x2987, 0x2987, 0x2967, 0x2967, 0x2967, 0x2987, 0x2987, 0x21A7, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29E9, 0x29E9, 0x3209, 0x3209, 0x3229, 0x3A29, 0x3A29, 0x3229, 0x3229, 0x3229, 0x3229, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A29, 
        0x3A2A, 0x3A2A, 0x3A4A, 0x3A2A, 0x3A29, 0x31C8, 0x2987, 0x2146, 0x2125, 0x2125, 0x2145, 0x2146, 0x2146, 0x2946, 0x2967, 0x2967, 0x29A8, 0x31C8, 0x31C9, 0x31E9, 0x3209, 0x3209, 0x3A0A, 0x3A09, 0x31E9, 0x31E9, 0x3A09, 0x3A09, 0x3A09, 0x2987, 
        0x2967, 0x2167, 0x2166, 0x2146, 0x2146, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2146, 0x2146, 0x2166, 0x2187, 0x29A8, 0x29C8, 0x29E9, 0x2A09, 0x2A09, 0x2209, 0x2209, 0x2209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x21E9, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21E9, 0x29E9, 0x2A09, 0x3209, 0x3209, 0x3209, 
        0x3209, 0x3229, 0x3229, 0x3A29, 0x3A29, 0x424A, 0x4A6A, 0x528A, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x4A8A, 0x3A09, 0x29A7, 0x2967, 0x2146, 0x2146, 0x2967, 0x2966, 0x2166, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2967, 0x2967, 0x2967, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2967, 0x2967, 0x2967, 0x2987, 0x2987, 0x2987, 0x2187, 0x2167, 0x2167, 0x2166, 0x2167, 0x29A7, 0x29A8, 0x29A7, 0x2967, 0x2166, 
        0x2166, 0x2166, 0x2147, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2167, 0x2166, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2167, 0x2167, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2167, 0x2167, 0x2187, 0x2187, 
        0x2167, 0x2167, 0x2167, 0x2967, 0x2987, 0x29A7, 0x29A8, 0x29C8, 0x29C8, 0x29A7, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C9, 0x29E9, 0x29E9, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 
        0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 
        0x2A09, 0x2A09, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 
        0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 
        0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4249, 0x424A, 0x424A, 0x424A, 0x424A, 0x4249, 0x4249, 0x4249, 0x4249, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4249, 
        0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A08, 0x3A08, 0x3208, 0x3208, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31C8, 0x29C8, 0x29C8, 0x29C8, 0x29C7, 0x29C7, 0x29A7, 0x29A7, 0x29A7, 
        0x29A7, 0x2987, 0x2987, 0x2987, 0x2986, 0x2966, 0x2966, 0x2966, 0x2966, 0x2946, 0x2945, 0x2945, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 
        0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 
        0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 
        0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166,
  0x4A49, 0x4249, 0x3A09, 0x31C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2987, 0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x31C8, 0x31C8, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x29C8, 0x29A8, 
        0x29A8, 0x29A7, 0x2987, 0x2967, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x29A7, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29E9, 0x3209, 0x3209, 0x3229, 0x3A29, 0x3A2A, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3229, 0x3229, 0x3229, 0x3209, 0x3209, 0x3209, 
        0x3209, 0x3209, 0x3209, 0x29E8, 0x29A8, 0x2987, 0x2167, 0x2146, 0x2146, 0x2145, 0x2145, 0x2146, 0x2946, 0x2966, 0x2987, 0x2987, 0x31A8, 0x31C9, 0x31E9, 0x3209, 0x3A09, 0x3A0A, 0x3A0A, 0x3A09, 0x3A09, 0x3A09, 0x3A2A, 0x3A2A, 0x3A09, 0x29A8, 
        0x2967, 0x2167, 0x2166, 0x2166, 0x2146, 0x2146, 0x2145, 0x2125, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2166, 0x2146, 0x2146, 0x2146, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2126, 0x2146, 0x2146, 0x2166, 0x2167, 0x2987, 0x29A8, 0x29E9, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x29E9, 0x2A09, 0x2A09, 0x3209, 0x3229, 0x3229, 
        0x3229, 0x3229, 0x3229, 0x3229, 0x3A29, 0x424A, 0x4A6A, 0x528A, 0x528A, 0x52AA, 0x52AA, 0x52AA, 0x528A, 0x424A, 0x2967, 0x2967, 0x2987, 0x31A7, 0x31A8, 0x31C8, 0x29A7, 0x2967, 0x2967, 0x2967, 0x2987, 0x2966, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2167, 0x2166, 0x2166, 0x2166, 0x2167, 0x2987, 0x2987, 0x2987, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2967, 0x2987, 0x2987, 0x2167, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x29A8, 0x29A8, 0x21A8, 0x29A8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 
        0x29C8, 0x29C8, 0x29E9, 0x2A09, 0x2A09, 0x29E9, 0x29E9, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 
        0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2A09, 0x2A09, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 
        0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3A29, 0x3A29, 0x3A29, 
        0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x422A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4249, 
        0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x424A, 0x424A, 0x424A, 0x424A, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3208, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x29E8, 0x29E8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C7, 0x29C7, 0x29A7, 0x29A7, 
        0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2966, 0x2966, 0x2966, 0x2966, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2124, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 
        0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 
        0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 
        0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 
        0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146,
  0x4229, 0x3A09, 0x31E9, 0x31C8, 0x31C8, 0x31C8, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E8, 0x31C8, 0x31C8, 0x29A8, 0x29A7, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C9, 0x31C9, 0x31C9, 0x29C8, 0x29A8, 0x29A8, 
        0x29A7, 0x2987, 0x2987, 0x2967, 0x2166, 0x2166, 0x2167, 0x2167, 0x2187, 0x29A7, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29E9, 0x3209, 0x3209, 0x3229, 0x3A29, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A29, 0x3A29, 0x3A29, 0x3209, 0x3209, 0x2A09, 0x29E9, 0x29E8, 
        0x29C8, 0x29C8, 0x29C8, 0x21A8, 0x21A7, 0x2187, 0x2167, 0x2166, 0x2146, 0x2145, 0x2145, 0x2146, 0x2946, 0x2946, 0x2987, 0x31A8, 0x31C8, 0x31C9, 0x31E9, 0x31E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x31C9, 0x29A8, 
        0x2987, 0x2967, 0x2166, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2167, 0x2166, 0x2166, 0x2146, 0x2146, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2167, 0x2167, 0x2187, 0x21A8, 0x29C8, 0x29E9, 0x2A09, 0x2A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x2A09, 0x2A09, 0x3229, 0x3229, 0x322A, 0x3229, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3209, 0x3209, 
        0x3209, 0x3209, 0x3209, 0x3229, 0x3A29, 0x424A, 0x4A8A, 0x528A, 0x52AA, 0x52AA, 0x52AA, 0x528A, 0x4A8A, 0x4249, 0x2987, 0x31C8, 0x3A29, 0x4A6A, 0x4A8A, 0x424A, 0x4209, 0x4229, 0x4A4A, 0x4A6A, 0x4A6A, 0x4229, 0x3A08, 0x31C8, 0x2987, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2167, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2167, 0x2987, 0x2967, 0x2166, 0x2146, 0x2145, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2967, 0x29A8, 0x29A8, 0x2967, 0x2166, 0x2146, 0x2146, 0x2166, 0x2167, 0x2967, 0x29A8, 0x2987, 0x2167, 0x2146, 0x2146, 0x2147, 0x2967, 0x2966, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x21A7, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29E9, 0x29E9, 0x29C9, 0x29C9, 0x29E9, 0x29E9, 0x29E9, 0x2A09, 0x29E9, 0x29E9, 0x29E9, 0x2A09, 
        0x2A09, 0x2A09, 0x2A09, 0x2209, 0x2A09, 0x2A09, 0x2A09, 0x2A29, 0x2A09, 0x2A09, 0x2209, 0x2209, 0x2209, 0x2209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 
        0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 
        0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A2A, 0x3A2A, 0x422A, 0x422A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4249, 
        0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3208, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x29E8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C7, 0x29A7, 0x29A7, 
        0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2966, 0x2966, 0x2966, 0x2166, 0x2166, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2105, 0x2104, 0x2125, 0x2125, 
        0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2124, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 
        0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 
        0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 
        0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146,
  0x4229, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A2A, 0x3A2A, 0x424A, 0x424A, 0x424A, 0x422A, 0x3A29, 0x31E8, 0x31C8, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C9, 0x29C9, 0x29A8, 0x29A8, 0x2987, 
        0x2987, 0x2967, 0x2967, 0x2966, 0x2966, 0x2967, 0x2967, 0x2167, 0x2987, 0x21A7, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29E9, 0x3209, 0x3209, 0x3229, 0x3A29, 0x3A2A, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3229, 0x3229, 0x2A09, 0x29E9, 0x29C8, 0x21A8, 
        0x21A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2167, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2966, 0x2967, 0x2987, 0x29A8, 0x29C8, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x31A8, 0x29A8, 0x2987, 
        0x2987, 0x2967, 0x2966, 0x2146, 0x2145, 0x2145, 0x2125, 0x2125, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 
        0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2187, 0x29A7, 0x29C8, 0x29E8, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x3209, 0x29E9, 0x29E9, 0x31E9, 0x31E9, 0x29C9, 0x29C9, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29E9, 
        0x29E9, 0x29E9, 0x3209, 0x3209, 0x426A, 0x4A8A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x4A8A, 0x426A, 0x31C8, 0x31C8, 0x31A8, 0x31C8, 0x39C8, 0x422A, 0x4229, 0x4A4A, 0x4A6A, 0x52AA, 0x52AA, 0x52AA, 0x4A6A, 0x4229, 0x3A09, 0x3209, 
        0x31C8, 0x29A7, 0x2967, 0x2166, 0x2166, 0x2966, 0x31C7, 0x3A09, 0x4229, 0x3A09, 0x3A08, 0x39E8, 0x39E8, 0x39E8, 0x31C8, 0x29A8, 0x2987, 0x2967, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2967, 0x2987, 0x2967, 0x2146, 0x2146, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2125, 0x2125, 
        0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2167, 0x2166, 0x2166, 0x2146, 0x2146, 0x2987, 0x31A8, 0x31C8, 0x29A8, 0x3209, 0x29A8, 0x2966, 0x2146, 0x2146, 0x2946, 0x2946, 0x2926, 0x2125, 0x2946, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2125, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2987, 0x2987, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 
        0x21A7, 0x29A7, 0x29A8, 0x21A8, 0x29A8, 0x29C8, 0x29E9, 0x3209, 0x3209, 0x29C8, 0x29C8, 0x21C8, 0x21C8, 0x21E9, 0x21E9, 0x21E9, 0x29E9, 0x29E9, 0x29E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2209, 
        0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 
        0x3229, 0x3229, 0x3229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4249, 
        0x4249, 0x4249, 0x4249, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4249, 0x4249, 0x4249, 0x4249, 0x424A, 0x424A, 0x424A, 0x424A, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 
        0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3208, 0x3208, 0x31E8, 0x31E8, 0x31E8, 0x29E8, 0x29E8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C7, 0x21A7, 0x21A7, 
        0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2104, 0x2125, 0x2125, 
        0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 
        0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 
        0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 
        0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146,
  0x4229, 0x3A29, 0x3A29, 0x3A2A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A6A, 0x4A8A, 0x4A6A, 0x424A, 0x3A09, 0x29A7, 0x29A7, 0x2987, 0x2187, 0x2187, 0x2187, 0x2987, 0x2987, 0x2987, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29A8, 0x2987, 0x2987, 
        0x2987, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2987, 0x2987, 0x29A7, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29E9, 0x2A09, 0x3209, 0x3229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3229, 0x3229, 0x2A09, 0x29C8, 0x21A7, 0x2187, 
        0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2987, 0x2987, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x31C9, 0x31C9, 0x31C9, 0x31C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2987, 
        0x2967, 0x2967, 0x2966, 0x2166, 0x2146, 0x2145, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 
        0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2187, 0x2987, 0x29A7, 0x29A8, 0x2987, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 
        0x2187, 0x2187, 0x29A7, 0x29A8, 0x3A29, 0x4A8A, 0x528A, 0x52AA, 0x528A, 0x528A, 0x528A, 0x4A8A, 0x4A6A, 0x424A, 0x31C8, 0x2987, 0x2967, 0x2987, 0x31A8, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x4229, 0x4229, 0x4209, 0x31C7, 0x2967, 0x2987, 0x31A8, 
        0x29A8, 0x29A8, 0x29A7, 0x2987, 0x2166, 0x2987, 0x31C8, 0x4229, 0x424A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x424A, 0x3A2A, 0x31E9, 0x29C8, 0x2967, 0x2166, 0x2146, 0x2146, 0x2166, 0x31C8, 0x31C8, 0x2987, 0x2146, 0x2146, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2125, 0x2125, 
        0x2125, 0x2126, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2146, 0x2146, 0x2967, 0x2987, 0x29A7, 0x2967, 0x31C8, 0x31C8, 0x29A7, 0x2946, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2966, 0x2966, 0x2946, 0x2946, 0x2946, 0x2146, 0x2125, 0x2145, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2146, 0x2145, 0x2145, 0x2146, 0x2146, 0x2946, 0x2966, 0x2946, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2966, 0x2966, 0x2966, 0x2146, 0x2146, 0x2166, 0x2967, 0x2987, 0x2987, 0x2167, 0x2187, 0x2187, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 
        0x21E8, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x2A09, 0x29E9, 0x29E9, 0x21E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3209, 0x3229, 0x3229, 0x3229, 0x3229, 
        0x3229, 0x3229, 0x3229, 0x3229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A2A, 0x3A2A, 0x3A4A, 0x3A4A, 0x3A4A, 0x3A4A, 0x3A4A, 0x3A4A, 0x3A4A, 0x3A4A, 0x3A4A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 
        0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4249, 0x4249, 0x4249, 0x4249, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 
        0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3208, 0x31E8, 0x29E8, 0x29E8, 0x29C8, 0x29C8, 0x29C8, 0x21C8, 0x21C8, 0x21C7, 0x21C7, 0x21A7, 0x21A7, 
        0x21A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2186, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 
        0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 
        0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 
        0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145,
  0x4229, 0x4249, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A6A, 0x3A09, 0x31C8, 0x29A7, 0x2987, 0x2167, 0x2167, 0x2187, 0x2987, 0x2987, 0x2987, 0x29A8, 0x29A8, 0x29A7, 0x29A7, 0x2987, 0x2987, 
        0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 0x31A8, 0x31A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29E9, 0x3209, 0x3209, 0x3209, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3229, 0x3209, 0x29E9, 0x29C8, 0x29A8, 0x2187, 
        0x2167, 0x2167, 0x2187, 0x2187, 0x21A8, 0x29C8, 0x29C8, 0x29C8, 0x21C8, 0x21C8, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x2187, 0x29A8, 0x29A8, 0x29A8, 0x29C9, 0x29C9, 0x29C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 
        0x2987, 0x2987, 0x2167, 0x2166, 0x2146, 0x2146, 0x2146, 0x2145, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2146, 0x2946, 0x2946, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 
        0x2146, 0x2166, 0x2167, 0x2987, 0x31A8, 0x4229, 0x4A8A, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x528A, 0x4A8A, 0x4229, 0x2987, 0x2967, 0x2967, 0x2987, 0x31C8, 0x3A09, 0x3A09, 0x31C9, 0x29A8, 0x2987, 0x29A8, 0x2967, 0x2946, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2145, 0x2145, 0x2146, 0x2166, 0x2967, 0x29A7, 0x31C8, 0x31C8, 0x39E8, 0x39E9, 0x3A09, 0x3A09, 0x4229, 0x31E8, 0x31C8, 0x29A7, 0x2987, 0x2987, 0x29A7, 0x2987, 0x2966, 0x2146, 0x2966, 0x2987, 0x2987, 0x2967, 0x2146, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2167, 0x2967, 0x2967, 0x2146, 0x2146, 0x2125, 0x2145, 0x2125, 0x2126, 0x2146, 0x2166, 
        0x2967, 0x2966, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2125, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2946, 0x2967, 0x2967, 0x2145, 0x2145, 0x2146, 0x2146, 0x2125, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2125, 0x2126, 0x2126, 0x2126, 0x2146, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2146, 0x2166, 0x2166, 0x2167, 0x2167, 0x2187, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21C8, 0x21C8, 0x29C8, 0x29C8, 0x29E8, 0x29E9, 0x29C9, 0x21C9, 0x21C8, 0x21C8, 0x21C9, 0x21C9, 0x21C9, 0x21C9, 0x21E9, 0x21E9, 0x21C9, 0x29C9, 0x29C9, 0x29E9, 0x29E9, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 
        0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3229, 0x3229, 0x3229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A4A, 0x4249, 0x4249, 0x4249, 0x4249, 0x424A, 
        0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4249, 0x4249, 0x4249, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4249, 
        0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29C8, 0x21C8, 0x21C8, 0x21C7, 0x21C7, 0x21A7, 0x21A7, 
        0x21A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2186, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2966, 0x2966, 0x2966, 0x2966, 0x2967, 0x2967, 0x2987, 0x2987, 0x2987, 
        0x2987, 0x2987, 0x2987, 0x2987, 0x2967, 0x2166, 0x2146, 0x2146, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 
        0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 
        0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125,
  0x4249, 0x4249, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x3A09, 0x31C8, 0x2987, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2167, 0x2967, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 
        0x2987, 0x2987, 0x2988, 0x29A8, 0x29A8, 0x31C8, 0x31C9, 0x31E9, 0x3209, 0x3209, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A49, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3209, 0x3209, 0x29E9, 0x29E8, 0x21C8, 
        0x21A8, 0x21A7, 0x21A7, 0x21A8, 0x21C8, 0x29C8, 0x29E9, 0x2A09, 0x29E9, 0x29E9, 0x29C9, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29C8, 0x29C8, 0x29C9, 0x29C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x29A8, 
        0x29A8, 0x2987, 0x2187, 0x2167, 0x2167, 0x2167, 0x2966, 0x2966, 0x2946, 0x2946, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2145, 0x2146, 0x2946, 0x31A7, 0x4229, 0x528A, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x4A8A, 0x31A7, 0x2987, 0x2987, 0x29C8, 0x31E9, 0x3A09, 0x3A09, 0x31C9, 0x29A8, 0x2987, 0x2967, 0x2967, 0x2967, 0x2966, 0x2146, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2145, 0x2125, 0x2145, 0x2146, 0x2146, 0x2146, 0x2946, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2167, 
        0x2987, 0x2987, 0x2967, 0x2146, 0x2946, 0x2946, 0x2946, 0x2146, 0x2946, 0x2946, 0x2126, 0x2126, 0x2126, 0x2146, 0x2146, 0x2146, 0x2966, 0x2967, 0x2987, 0x2967, 0x2146, 0x2946, 0x2966, 0x2967, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2967, 
        0x2967, 0x2966, 0x2966, 0x2946, 0x2145, 0x2946, 0x2966, 0x2967, 0x2146, 0x2987, 0x29A7, 0x2987, 0x2167, 0x2967, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2187, 0x2987, 0x29A8, 0x29C8, 0x29C8, 0x29A8, 0x29A7, 0x2187, 0x21A7, 0x21A8, 0x21A8, 0x29A8, 0x29C8, 0x29C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C9, 0x21C9, 0x21C9, 0x21C9, 0x29C9, 0x29C9, 
        0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x2A09, 0x2A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 
        0x3A29, 0x3A2A, 0x3A2A, 0x3A29, 0x3A29, 0x3A49, 0x3A4A, 0x3A4A, 0x3A2A, 0x422A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 
        0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3208, 0x29E8, 0x29E8, 0x29E8, 0x29C8, 0x29C8, 0x21C8, 0x21C8, 0x21C8, 0x21A7, 0x21A7, 
        0x21A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2186, 0x2186, 0x2186, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2146, 0x2146, 0x2966, 0x2967, 0x2967, 0x2967, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 
        0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2967, 0x2167, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125,
  0x4A49, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x3A2A, 0x31C8, 0x2987, 0x2167, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 
        0x2987, 0x2987, 0x2988, 0x29A8, 0x29A8, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3229, 0x3209, 0x3209, 0x3209, 0x29E9, 
        0x29C9, 0x29C8, 0x29C8, 0x21C8, 0x21C8, 0x29C8, 0x29C9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x29C8, 
        0x29C8, 0x29A8, 0x29A8, 0x29A7, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x2987, 0x2167, 0x2167, 0x2167, 0x2967, 0x2167, 0x2166, 0x2146, 0x2146, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2966, 0x31A7, 0x4209, 0x4A49, 0x528A, 0x52AA, 0x52AA, 0x52AA, 0x4A8A, 0x31C8, 0x2987, 0x2987, 0x29A8, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x29A8, 0x2987, 0x2167, 0x2967, 0x2987, 0x2987, 0x2966, 
        0x2146, 0x2125, 0x2125, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2966, 0x2946, 0x2946, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2946, 0x2967, 0x2966, 0x2966, 0x2966, 0x2967, 0x2146, 0x2987, 0x2987, 0x2967, 0x2146, 0x2125, 0x2145, 0x2946, 0x2946, 0x2946, 0x39E9, 
        0x31C8, 0x2987, 0x2946, 0x2146, 0x2125, 0x2146, 0x2967, 0x29A7, 0x2967, 0x2146, 0x2146, 0x2146, 0x2166, 0x2967, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2967, 0x2987, 0x29A7, 0x2967, 0x2166, 0x2146, 0x2166, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x21A7, 0x2187, 0x2187, 0x2187, 0x21A7, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 
        0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x2A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 
        0x3A29, 0x3A2A, 0x3A2A, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 
        0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3208, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29C8, 0x29C8, 0x21C8, 0x21C7, 0x21C7, 0x21A7, 0x21A7, 
        0x21A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2186, 0x2186, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2146, 0x2966, 0x2967, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 
        0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2967, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2146, 
        0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125,
  0x4A49, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x424A, 0x3A09, 0x31C8, 0x2987, 0x2967, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2167, 0x2187, 
        0x2987, 0x2988, 0x29A8, 0x29A8, 0x29A8, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x3A09, 0x3A0A, 0x3A2A, 0x3A2A, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3229, 0x3209, 0x3209, 0x3209, 
        0x3209, 0x29E9, 0x29E9, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x21C8, 0x29C8, 0x29E9, 0x29E9, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x29C9, 0x29C9, 0x29C8, 0x29C8, 0x31C9, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x3209, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 
        0x29C9, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2167, 0x2167, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2145, 0x2946, 0x2966, 0x2966, 0x2987, 0x2987, 
        0x2987, 0x2967, 0x2966, 0x2946, 0x2146, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2945, 0x2946, 0x2966, 0x39C8, 0x4229, 0x4A6A, 0x4A4A, 0x3A08, 0x2166, 0x2167, 0x2987, 0x29A8, 0x29C9, 0x31E9, 0x31E9, 0x31E9, 0x29C9, 0x29C8, 0x29A8, 0x2988, 0x2987, 0x2187, 0x2987, 0x2987, 
        0x2967, 0x2946, 0x2125, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2167, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2966, 0x2967, 0x2967, 0x2146, 0x2145, 0x2946, 0x2946, 0x2146, 0x2146, 0x2966, 0x2946, 0x2146, 0x2125, 0x2125, 0x2146, 0x2946, 0x2946, 0x2946, 0x2125, 0x2125, 0x2946, 0x2966, 0x2967, 0x2946, 0x2967, 
        0x2967, 0x2966, 0x2946, 0x2145, 0x2145, 0x2146, 0x2967, 0x31A7, 0x31C8, 0x2146, 0x2126, 0x2146, 0x2146, 0x2987, 0x2966, 0x2146, 0x2146, 0x2966, 0x2966, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2946, 0x2966, 
        0x2946, 0x2946, 0x2146, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2167, 0x2166, 0x2166, 0x2146, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2187, 0x21A7, 0x21A8, 0x21A8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29C8, 0x21C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C9, 0x29E9, 0x29E9, 0x29E9, 0x2A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 
        0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 
        0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x3208, 0x31E8, 0x31E8, 0x29E8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x21C8, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2966, 0x2967, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 
        0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2967, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125,
  0x4A49, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x3A29, 0x31C8, 0x29A7, 0x2967, 0x2166, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2146, 0x2166, 0x2166, 0x2166, 0x2167, 0x2187, 
        0x2987, 0x2988, 0x29A8, 0x29A8, 0x29C8, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x3A09, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3209, 0x3209, 
        0x3209, 0x3209, 0x3209, 0x29E9, 0x29E9, 0x29E9, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C9, 0x31E9, 0x3209, 0x3209, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x31E9, 0x31E9, 
        0x31E9, 0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x2188, 0x2188, 0x21A8, 0x2187, 0x2167, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2987, 0x29A7, 0x29C8, 0x29C8, 0x31E9, 
        0x31E9, 0x31E9, 0x31C9, 0x31C8, 0x2987, 0x2966, 0x2146, 0x2146, 0x2146, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2146, 0x2946, 0x31A7, 0x39C8, 0x31C8, 0x2966, 0x2146, 0x2167, 0x2987, 0x29A8, 0x29C8, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C8, 0x29A8, 0x29A8, 0x2987, 0x2187, 0x2167, 
        0x2167, 0x2166, 0x2146, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2145, 
        0x2125, 0x2125, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2966, 0x31A7, 0x39E9, 0x39E9, 0x2967, 0x2146, 
        0x2146, 0x2967, 0x2987, 0x2946, 0x2946, 0x2146, 0x2146, 0x2146, 0x2146, 0x2125, 0x2946, 0x2946, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2967, 0x2987, 0x2966, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2946, 
        0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2166, 0x2167, 0x2187, 0x2187, 0x21A8, 0x21A8, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C9, 
        0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x31E9, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2946, 0x2967, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 
        0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A8, 0x2987, 0x2967, 0x2967, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2167, 
        0x2167, 0x2967, 0x2987, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125,
  0x4A49, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x424A, 0x31E8, 0x29A7, 0x2987, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2145, 0x2146, 0x2146, 0x2146, 0x2166, 0x2167, 0x2167, 0x2987, 
        0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x3A09, 0x3A0A, 0x3A2A, 0x3A2A, 0x422A, 0x422A, 0x3A2A, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3209, 
        0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3A09, 0x3A2A, 0x3A09, 0x31E9, 0x31C9, 0x31C8, 0x31C8, 0x31E9, 0x31E9, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x31E9, 
        0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x29C8, 0x29C8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x2188, 0x2167, 0x2167, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2987, 0x29A8, 0x29C8, 0x29C9, 0x29C9, 0x29E9, 
        0x31E9, 0x3209, 0x3A0A, 0x3A29, 0x31E9, 0x29A7, 0x2967, 0x2166, 0x2146, 0x2146, 0x2146, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2166, 0x2967, 0x2987, 0x29A7, 0x3187, 0x2967, 0x2967, 0x2946, 0x2146, 0x2146, 0x2145, 0x2145, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2946, 0x2946, 0x2946, 0x2946, 0x2946, 0x2946, 0x2966, 0x2946, 0x2146, 0x2146, 0x2146, 0x2166, 0x2987, 0x29A8, 0x29C9, 0x29C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x29C9, 0x29A8, 0x29A8, 0x2188, 
        0x2187, 0x2187, 0x2167, 0x2967, 0x2146, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2125, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2167, 0x2167, 0x2167, 0x2187, 0x2167, 0x2167, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2946, 0x2946, 0x2146, 0x2146, 0x2146, 0x2125, 0x2925, 0x2925, 0x2945, 0x2966, 0x2946, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2966, 0x2967, 0x2966, 
        0x2146, 0x2166, 0x2166, 0x2966, 0x29A7, 0x2966, 0x2146, 0x2125, 0x2925, 0x2125, 0x2146, 0x2146, 0x2146, 0x2125, 0x2146, 0x2946, 0x2946, 0x2146, 0x2146, 0x2146, 0x2966, 0x2946, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2146, 0x2146, 0x2966, 0x2146, 0x2146, 0x2126, 0x2125, 0x2125, 0x2125, 0x2125, 0x2126, 0x2146, 0x2146, 0x2145, 0x2125, 0x2125, 0x2125, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 
        0x2145, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2167, 0x2187, 0x2187, 0x2167, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x31C8, 0x31C8, 0x31C9, 0x31C9, 0x31C9, 0x31C8, 0x31C8, 0x31C8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3208, 0x3208, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A7, 0x29A7, 0x21A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2146, 0x2166, 0x2966, 0x2966, 0x2166, 0x2166, 0x2166, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2166, 0x2967, 0x2967, 0x2987, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 
        0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x2987, 0x2967, 0x2167, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2987, 0x2987, 
        0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125,
  0x4249, 0x4249, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A4A, 0x424A, 0x424A, 0x3A09, 0x29C8, 0x29A7, 0x2187, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2966, 0x2967, 0x2987, 0x2987, 
        0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x31C9, 0x31E9, 0x3A09, 0x3A09, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x422A, 0x422A, 0x422A, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3229, 0x3229, 0x3229, 0x3209, 
        0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A2A, 0x422A, 0x424A, 0x4229, 0x3A09, 0x39E9, 0x39E9, 0x39E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x3A09, 0x3A09, 
        0x3209, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x21A8, 0x21A8, 0x21A8, 0x2188, 0x2167, 0x2167, 0x2146, 0x2146, 0x2146, 0x2167, 0x2967, 0x29A8, 0x29C8, 0x29C9, 0x31C9, 0x31E9, 0x3209, 
        0x3209, 0x3A2A, 0x3A4A, 0x424A, 0x424A, 0x31E9, 0x29A8, 0x2167, 0x2167, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2167, 0x2987, 0x29A7, 0x29A8, 0x31C9, 0x39E9, 0x39E9, 0x31C9, 0x29A8, 0x2967, 0x2166, 0x2166, 0x2166, 0x2146, 0x2145, 
        0x2125, 0x2125, 0x2125, 0x2146, 0x2967, 0x2987, 0x31A7, 0x31A8, 0x31A8, 0x31A7, 0x2967, 0x2966, 0x2966, 0x2946, 0x2146, 0x2146, 0x2166, 0x2167, 0x2988, 0x29A8, 0x29C9, 0x29C9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29A9, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x2987, 0x2967, 0x2966, 0x2946, 0x31A7, 0x31C7, 0x31A7, 0x3186, 0x2945, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2167, 0x2167, 0x2167, 0x2187, 0x2167, 0x2167, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2967, 0x2966, 0x2166, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2967, 0x2967, 0x2167, 0x2167, 0x2146, 0x2146, 0x2146, 0x2146, 0x2946, 0x2946, 0x2946, 0x2146, 0x2966, 0x2167, 0x2967, 0x2946, 0x2946, 0x2967, 0x2166, 
        0x2146, 0x2166, 0x2966, 0x2146, 0x2146, 0x2146, 0x2126, 0x2125, 0x2126, 0x2146, 0x2966, 0x2966, 0x2146, 0x2146, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2946, 0x2946, 0x2946, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2145, 
        0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2126, 0x2126, 0x2146, 0x2946, 0x2146, 0x2146, 0x2146, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2145, 0x2145, 0x2145, 0x2146, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2167, 0x2167, 0x2166, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x29A8, 0x29A7, 0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 
        0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x21A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2966, 0x2966, 0x2966, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2166, 0x2167, 0x2987, 0x2987, 0x29A8, 0x29A8, 0x31A8, 0x31A8, 0x31A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x2987, 0x2967, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2987, 0x2987, 0x2987, 0x2987, 
        0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125,
  0x4249, 0x4249, 0x4249, 0x424A, 0x424A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x424A, 0x4249, 0x424A, 0x3A2A, 0x3A29, 0x31E9, 0x29A8, 0x21A7, 0x2187, 0x2167, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2966, 0x2967, 0x2987, 0x2987, 0x29A7, 
        0x29A8, 0x29A8, 0x31C9, 0x31C9, 0x31E9, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x422A, 0x422A, 0x422A, 0x422A, 0x4229, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A29, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 
        0x3209, 0x3209, 0x3209, 0x3209, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x424A, 0x4229, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3209, 
        0x3209, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x29C9, 0x29C9, 0x29C9, 0x29A8, 0x29A8, 0x2188, 0x2167, 0x2167, 0x2146, 0x2146, 0x2146, 0x2166, 0x2167, 0x2987, 0x29A8, 0x29C9, 0x31C9, 0x31E9, 0x3A09, 0x3A09, 
        0x3A2A, 0x422A, 0x424A, 0x424A, 0x422A, 0x31E9, 0x29A8, 0x2987, 0x2167, 0x2167, 0x2146, 0x2146, 0x2166, 0x2967, 0x2987, 0x29A7, 0x29A8, 0x29C8, 0x29C9, 0x31E9, 0x3209, 0x3A2A, 0x3A2A, 0x3A09, 0x29A8, 0x2987, 0x2167, 0x2167, 0x2166, 0x2146, 
        0x2146, 0x2146, 0x2166, 0x2167, 0x29A8, 0x31C8, 0x31E9, 0x3A09, 0x422A, 0x424A, 0x3A09, 0x39E9, 0x31A8, 0x2987, 0x2967, 0x2987, 0x2987, 0x2987, 0x2988, 0x29A8, 0x29A8, 0x29C9, 0x29C9, 0x31C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 
        0x29A8, 0x29C9, 0x29C9, 0x31C9, 0x31E9, 0x3A09, 0x4229, 0x4229, 0x4229, 0x4249, 0x4A6A, 0x4A8A, 0x4A6A, 0x4229, 0x31C8, 0x29A7, 0x2987, 0x2987, 0x2967, 0x2146, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2167, 0x2187, 0x2987, 0x2987, 0x2987, 0x2987, 0x2967, 0x2146, 0x2145, 0x2145, 0x2146, 0x2146, 0x2167, 0x2167, 0x2967, 0x2166, 0x2166, 0x2967, 0x2166, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2946, 0x2946, 0x2146, 0x2946, 0x2967, 0x2967, 0x2946, 0x2146, 0x2126, 0x2945, 0x2946, 0x2146, 0x2125, 0x2145, 0x2145, 0x2945, 0x2945, 0x2945, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 
        0x2145, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2167, 0x2166, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2967, 0x2987, 0x2967, 0x2967, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x29A7, 
        0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A8, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x21A7, 0x2987, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2166, 0x2166, 0x2167, 0x2987, 0x29A7, 0x29A8, 0x29C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31A8, 0x31A8, 
        0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31C8, 0x31C8, 0x31A8, 0x2987, 0x2967, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 
        0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145,
  0x4249, 0x4249, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x3A29, 0x3A29, 0x3A4A, 0x3A29, 0x3209, 0x29E8, 0x21A8, 0x21A7, 0x21A7, 0x2187, 0x2186, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2966, 0x2967, 0x2987, 0x29A7, 0x29A8, 
        0x29A8, 0x31C8, 0x31C9, 0x31E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x3209, 
        0x3209, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x424A, 0x424A, 0x424A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x528A, 0x52AA, 0x52AA, 0x52AA, 0x4A6A, 0x4229, 0x4229, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 
        0x3209, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x31C8, 0x29A8, 0x2987, 0x2967, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2966, 0x2967, 0x29A8, 0x31C8, 0x31E9, 0x3209, 0x3A0A, 0x3A2A, 
        0x3A2A, 0x424A, 0x424A, 0x424A, 0x3A29, 0x31C8, 0x2987, 0x2967, 0x2167, 0x2166, 0x2146, 0x2146, 0x2166, 0x2166, 0x29A7, 0x29A8, 0x29C8, 0x29C9, 0x31E9, 0x320A, 0x3A2A, 0x3A2A, 0x424A, 0x3A2A, 0x31C9, 0x29A8, 0x2987, 0x2187, 0x2167, 0x2166, 
        0x2146, 0x2166, 0x2967, 0x29A8, 0x3A09, 0x3A09, 0x3A29, 0x3A2A, 0x424A, 0x4A8A, 0x4A8A, 0x4A6A, 0x3A29, 0x31E9, 0x29C8, 0x29C9, 0x29C9, 0x29A8, 0x29A8, 0x29C9, 0x29C9, 0x29C9, 0x29C8, 0x29C8, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C8, 
        0x29C9, 0x29C9, 0x31C9, 0x31C9, 0x3A0A, 0x3A2A, 0x424A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x424A, 0x3A09, 0x3A09, 0x31E9, 0x31E9, 0x29A8, 0x2167, 0x2146, 0x2146, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x29A8, 0x29C8, 0x2987, 0x2146, 0x2145, 0x2145, 0x2146, 0x2166, 0x2167, 0x2167, 0x2967, 0x2967, 0x2967, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2946, 0x2146, 0x2146, 0x2146, 0x2125, 0x2146, 0x2946, 0x2946, 0x2946, 0x2125, 0x2946, 0x2946, 0x2946, 0x2125, 0x2925, 0x2125, 0x2125, 0x2125, 0x2146, 0x2946, 0x2146, 0x2125, 0x2125, 0x2125, 0x2145, 0x2946, 
        0x2146, 0x2146, 0x2145, 0x2125, 0x2146, 0x2946, 0x2946, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2946, 0x2946, 0x2966, 0x2966, 0x2946, 0x2946, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2966, 0x2966, 0x2967, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2966, 0x2967, 
        0x2967, 0x2967, 0x2967, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2187, 0x2187, 0x2987, 0x2987, 0x2987, 0x2967, 0x2167, 0x2967, 0x2967, 0x2967, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2145, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2167, 0x29A7, 0x29A8, 0x29C8, 0x31C8, 0x31C8, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x31C8, 0x31C8, 
        0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x29A8, 0x2987, 0x2167, 0x2166, 0x2146, 0x2146, 0x2146, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2987, 0x2987, 0x2987, 0x2987, 
        0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145,
  0x4249, 0x4249, 0x424A, 0x424A, 0x424A, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3229, 0x3209, 0x29E9, 0x29C8, 0x21C8, 0x21A8, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2966, 0x2967, 0x2987, 0x29A8, 0x31C8, 
        0x31E9, 0x31E9, 0x39E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x3209, 
        0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x424A, 0x424A, 0x426A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x528A, 0x528A, 0x528A, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x528A, 0x4A6A, 0x424A, 0x4229, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 
        0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x31C8, 0x29C8, 0x29A7, 0x2987, 0x2167, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2966, 0x2967, 0x29A8, 0x31C8, 0x31E9, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x39E9, 0x31C8, 0x2987, 0x2967, 0x2966, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2167, 0x29A7, 0x29C8, 0x31C9, 0x31E9, 0x3A09, 0x3A2A, 0x3A2A, 0x3A29, 0x3A09, 0x29A8, 0x2987, 0x2967, 0x2167, 0x2167, 0x2166, 
        0x2146, 0x2166, 0x2967, 0x31C8, 0x3A09, 0x422A, 0x424A, 0x426A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A6A, 0x422A, 0x3209, 0x31C9, 0x29C9, 0x29C9, 0x29C9, 0x21A8, 0x21A9, 0x29C9, 0x29C9, 0x29C8, 0x29A8, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 
        0x29C9, 0x29C9, 0x29C9, 0x31C9, 0x31C9, 0x31C8, 0x31C8, 0x31C7, 0x31A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2967, 0x2967, 0x2967, 0x2967, 0x2987, 0x2187, 0x2166, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2146, 0x2166, 0x2167, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2125, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2146, 0x2966, 0x2967, 0x29A8, 0x2167, 0x2967, 0x2967, 0x2967, 0x2146, 0x2126, 
        0x2125, 0x2125, 0x2126, 0x2146, 0x2967, 0x2966, 0x2146, 0x2146, 0x2966, 0x2966, 0x2146, 0x2146, 0x2146, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2925, 0x2945, 0x2125, 0x2125, 0x2125, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2146, 0x2967, 
        0x2967, 0x2946, 0x2946, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2125, 0x2126, 0x2126, 0x2145, 0x2146, 0x2146, 0x2966, 0x2946, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2966, 0x2966, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2987, 0x29A8, 0x29C8, 0x31E9, 0x3209, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x39E9, 0x31C9, 
        0x31C8, 0x31C8, 0x31C8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31A8, 0x2987, 0x2967, 0x2167, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2187, 0x2987, 0x2987, 0x2187, 0x2187, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 
        0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x29A8, 0x21A8, 0x21A7, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2988, 0x21A8, 0x21A8, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146,
  0x4249, 0x4249, 0x424A, 0x424A, 0x424A, 0x4249, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3229, 0x3209, 0x3209, 0x29E9, 0x29E8, 0x21C8, 0x21C8, 0x21C8, 0x21A8, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2167, 0x2187, 0x2987, 0x2987, 0x29A8, 0x31A8, 0x39E9, 
        0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 
        0x3A29, 0x3A29, 0x3A29, 0x4229, 0x424A, 0x424A, 0x4A6A, 0x4A6A, 0x4A8A, 0x528A, 0x528A, 0x528A, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x528A, 0x4A6A, 0x424A, 0x4229, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x29C9, 0x29C8, 0x29A8, 0x29A7, 0x2987, 0x2967, 0x2966, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2966, 0x2967, 0x2987, 0x29A8, 0x31C8, 0x31C8, 
        0x31A8, 0x31A7, 0x31A7, 0x2987, 0x2966, 0x2966, 0x2946, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2967, 0x29A7, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x29A7, 0x2967, 0x2966, 0x2166, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2966, 0x31A7, 0x39E8, 0x3A09, 0x3A29, 0x4229, 0x4249, 0x3A29, 0x3A09, 0x31C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2988, 0x2187, 0x29A8, 0x29A8, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 
        0x29C9, 0x29C9, 0x29C9, 0x29C8, 0x29A8, 0x29A8, 0x2987, 0x2967, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2146, 0x2146, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2967, 0x2987, 0x2987, 0x2967, 0x2146, 0x2146, 0x2146, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2946, 0x2966, 0x2966, 0x2946, 0x2125, 0x2125, 0x2146, 0x2946, 0x2946, 0x2146, 0x2987, 
        0x29A8, 0x2967, 0x2125, 0x2125, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2146, 0x2126, 0x2125, 0x2125, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2126, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2145, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2966, 0x2967, 0x2966, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2187, 0x2188, 0x29A8, 0x29C9, 0x3209, 0x3A29, 0x3A2A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x422A, 0x3A29, 0x3A09, 0x39E9, 
        0x31C9, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x29A8, 0x2987, 0x2967, 0x2966, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 
        0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146,
  0x4249, 0x4249, 0x424A, 0x424A, 0x424A, 0x4249, 0x3A49, 0x3A29, 0x3A29, 0x3A29, 0x3229, 0x3209, 0x3209, 0x2A09, 0x29E9, 0x21E8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x31C8, 0x31C9, 0x3A09, 
        0x3A09, 0x3A29, 0x4229, 0x422A, 0x422A, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 
        0x3A29, 0x3A29, 0x3A29, 0x4249, 0x424A, 0x4A6A, 0x4A6A, 0x4A8A, 0x528A, 0x528A, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x4A8A, 0x4A6A, 0x424A, 0x422A, 0x422A, 0x3A29, 0x3A09, 0x3A09, 
        0x3A09, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x29C8, 0x29A8, 0x29A8, 0x2987, 0x2967, 0x2966, 0x2966, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2966, 0x2966, 0x2967, 0x2987, 0x2987, 
        0x2967, 0x2967, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2946, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2166, 0x2966, 0x2967, 0x2967, 0x2966, 0x2966, 0x2966, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2145, 0x2946, 0x2966, 0x2966, 0x2987, 0x2987, 0x2987, 0x2966, 0x2966, 0x2966, 0x2166, 0x2146, 0x2146, 0x2966, 0x2966, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2187, 0x2988, 0x29A8, 0x29C9, 0x29C9, 0x29C9, 
        0x31C9, 0x31C9, 0x29C9, 0x29C8, 0x29C8, 0x29A8, 0x2987, 0x2967, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2167, 0x2167, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2145, 0x2125, 0x2125, 0x2145, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2966, 0x2966, 0x2966, 0x2946, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2146, 0x29A7, 0x29A7, 0x2967, 0x2126, 0x2146, 0x2946, 0x2966, 0x2967, 0x2987, 0x2987, 
        0x2987, 0x2967, 0x2146, 0x2125, 0x2146, 0x2126, 0x2126, 0x2146, 0x2125, 0x2146, 0x2146, 0x2146, 0x2145, 0x2125, 0x2146, 0x2966, 0x2967, 0x2987, 0x2946, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2966, 0x2966, 0x2966, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 
        0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2187, 0x2187, 0x29A8, 0x29C9, 0x3209, 0x3A2A, 0x424A, 0x424A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x422A, 0x4229, 0x3A09, 
        0x3A09, 0x31E9, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x29C8, 0x29A8, 0x2187, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 
        0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146,
  0x4249, 0x4249, 0x424A, 0x424A, 0x424A, 0x4249, 0x4249, 0x3A29, 0x3A29, 0x3A29, 0x3229, 0x3229, 0x3209, 0x2A09, 0x2A09, 0x29E9, 0x29C9, 0x29C8, 0x21C8, 0x21C8, 0x21C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3A09, 
        0x3A29, 0x3A2A, 0x422A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4229, 0x3A09, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 
        0x3A29, 0x3A29, 0x4229, 0x4229, 0x424A, 0x4A4A, 0x4A6A, 0x4A8A, 0x528A, 0x528A, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x528A, 0x4A8A, 0x4A6A, 0x4A4A, 0x422A, 0x422A, 0x3A09, 0x3A09, 
        0x3A09, 0x39E9, 0x31E9, 0x31E9, 0x31C9, 0x31C8, 0x29C8, 0x29A8, 0x29A8, 0x2987, 0x2967, 0x2967, 0x2966, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2966, 0x2966, 0x2966, 0x2967, 0x2967, 0x2967, 
        0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2966, 0x2946, 0x2946, 0x2946, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2945, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2166, 0x2167, 0x2987, 0x29A8, 0x29C9, 0x29C9, 0x29C9, 
        0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x29C8, 0x29A8, 0x2987, 0x2967, 0x2966, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2167, 0x2167, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2166, 0x2167, 
        0x2167, 0x2166, 0x2146, 0x2146, 0x2146, 0x2966, 0x2946, 0x2146, 0x2146, 0x2146, 0x2146, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2966, 0x2967, 0x2967, 0x2946, 0x2126, 0x2125, 0x2125, 0x2125, 0x2126, 0x2146, 
        0x2946, 0x2946, 0x2946, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2946, 0x2146, 0x2146, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2966, 0x2967, 0x2946, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2946, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2167, 0x2187, 0x21A7, 0x29A8, 0x29E9, 0x3A2A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 0x4229, 
        0x3A29, 0x3A09, 0x39E9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x29C8, 0x29A8, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2987, 0x2987, 0x2987, 0x2987, 
        0x2987, 0x2987, 0x29A7, 0x29A7, 0x29A8, 0x29A7, 0x29A7, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2946, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146,
  0x4249, 0x4249, 0x4249, 0x424A, 0x424A, 0x4249, 0x4249, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3229, 0x3229, 0x3209, 0x2A09, 0x2A09, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x31E9, 0x31E9, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 
        0x3A2A, 0x422A, 0x424A, 0x424A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A4A, 0x424A, 0x3A09, 0x39E9, 0x39E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x4229, 0x422A, 
        0x422A, 0x422A, 0x422A, 0x424A, 0x424A, 0x4A4A, 0x4A6A, 0x4A8A, 0x528A, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x528A, 0x4A8A, 0x4A8A, 0x4A6A, 0x424A, 0x4229, 0x3A09, 
        0x3A09, 0x3A09, 0x3209, 0x31E9, 0x31C9, 0x31C9, 0x29C8, 0x29C8, 0x29A8, 0x2987, 0x2987, 0x2967, 0x2967, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2966, 0x2166, 0x2967, 0x2967, 0x2967, 0x2987, 0x2987, 
        0x2987, 0x2987, 0x2187, 0x2187, 0x2187, 0x2987, 0x2987, 0x2987, 0x2987, 0x2967, 0x2967, 0x2967, 0x2966, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2146, 0x2146, 0x2167, 0x2187, 0x29A8, 0x29C8, 0x29C9, 0x29C9, 
        0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x29C8, 0x29A8, 0x2987, 0x2967, 0x2166, 0x2146, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2145, 
        0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2946, 0x2966, 0x2987, 0x29A8, 
        0x2987, 0x2967, 0x2146, 0x2146, 0x2967, 0x29A7, 0x2987, 0x2966, 0x2146, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2946, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2125, 
        0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2966, 0x2966, 0x2966, 0x2946, 0x2946, 0x2146, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2146, 0x2146, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2126, 0x2125, 0x2125, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 
        0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2147, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 
        0x2145, 0x2146, 0x2146, 0x2146, 0x2166, 0x2167, 0x2187, 0x21A8, 0x29C8, 0x3A2A, 0x424A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 
        0x422A, 0x3A29, 0x3A09, 0x39E9, 0x31E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x31E9, 0x31E9, 0x31E9, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29C8, 0x29A8, 0x29A8, 0x2987, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2987, 
        0x2987, 0x2987, 0x2187, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x2188, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2966, 0x2966, 0x2966, 0x2967, 0x2966, 0x2966, 0x2966, 0x2146, 0x2146,
  0x4249, 0x4249, 0x4249, 0x4249, 0x424A, 0x4249, 0x4249, 0x3A49, 0x3A49, 0x3A49, 0x3A29, 0x3A29, 0x3229, 0x3209, 0x3209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x422A, 
        0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A6A, 0x424A, 0x4229, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x4229, 0x424A, 
        0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A8A, 0x528A, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x528A, 0x528A, 0x528A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A4A, 0x424A, 0x4229, 
        0x3A29, 0x3A09, 0x3A09, 0x31E9, 0x31E9, 0x31C9, 0x29C8, 0x29C8, 0x29A8, 0x29A7, 0x2987, 0x2967, 0x2967, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2967, 0x2967, 0x2967, 0x2967, 0x2987, 0x2987, 0x2988, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2987, 0x2987, 0x2967, 0x2166, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2146, 0x2946, 0x2946, 0x2166, 0x2167, 0x2187, 0x21A8, 0x29A8, 0x29A8, 0x29C9, 
        0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x29A8, 0x29A8, 0x2987, 0x2166, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 
        0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2167, 0x2987, 0x2987, 
        0x2166, 0x2146, 0x2146, 0x2946, 0x29A7, 0x31E9, 0x3209, 0x31C8, 0x2166, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2946, 0x2966, 0x2146, 0x2966, 0x2966, 0x2966, 0x2146, 0x2146, 
        0x2145, 0x2125, 0x2125, 0x2146, 0x2946, 0x2987, 0x2967, 0x2146, 0x2146, 0x2946, 0x2126, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2966, 
        0x2966, 0x2966, 0x2946, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2946, 0x2966, 0x2966, 0x2166, 0x2146, 0x2146, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2167, 0x2167, 0x2187, 0x2188, 0x2188, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2188, 0x2188, 0x2167, 0x2167, 0x2167, 0x2147, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2167, 0x2187, 0x29A8, 0x29E9, 0x3A4A, 0x424A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x424A, 
        0x424A, 0x422A, 0x3A29, 0x3A09, 0x3A09, 0x39E9, 0x39E9, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A2A, 0x424A, 0x424A, 0x424A, 0x424A, 0x3A4A, 0x3A2A, 0x3209, 0x29C9, 0x29A8, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 
        0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 
        0x2188, 0x2188, 0x2188, 0x2188, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2966, 0x2966, 0x2967, 0x2967, 0x2967, 0x2967, 0x2966, 0x2966, 0x2166,
  0x4249, 0x4249, 0x4249, 0x4249, 0x424A, 0x4249, 0x4249, 0x3A49, 0x3A49, 0x3A49, 0x3A29, 0x3A29, 0x3229, 0x3229, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x422A, 0x422A, 0x424A, 0x4A4A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x528A, 0x528A, 0x528A, 0x528A, 0x4A8A, 0x4A6A, 0x4A4A, 0x4249, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x422A, 0x424A, 
        0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x528A, 0x528A, 0x528A, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x528A, 0x528A, 0x528A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A4A, 0x4229, 
        0x4229, 0x3A09, 0x3A09, 0x31E9, 0x31E9, 0x31C9, 0x31C8, 0x29C8, 0x29A8, 0x29A8, 0x2987, 0x2987, 0x2987, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2167, 0x2167, 0x2167, 0x2967, 0x2967, 0x2967, 0x2967, 0x2987, 0x2987, 0x29A7, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2167, 0x2166, 0x2166, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2946, 0x2966, 0x2966, 0x2987, 0x2966, 0x2167, 0x2167, 0x2187, 0x21A8, 0x29A8, 0x29C9, 
        0x29C9, 0x29C9, 0x31C9, 0x29C9, 0x29A8, 0x29A7, 0x2167, 0x2166, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2167, 0x2167, 0x2167, 0x2166, 0x2146, 
        0x2146, 0x2145, 0x2145, 0x2146, 0x2987, 0x29A8, 0x29C8, 0x29A7, 0x2167, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2146, 0x2966, 0x2966, 0x2146, 0x2146, 
        0x2125, 0x2925, 0x2925, 0x2125, 0x2146, 0x2966, 0x2966, 0x2146, 0x2125, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2966, 0x2987, 0x2966, 0x2126, 0x2146, 0x2966, 0x2966, 0x2946, 0x2125, 0x2125, 0x2145, 0x2125, 0x2125, 0x2145, 0x2146, 0x2966, 
        0x2966, 0x2946, 0x2146, 0x2146, 0x2146, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2967, 0x2987, 0x2966, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 
        0x2125, 0x2125, 0x2125, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2146, 
        0x2146, 0x2146, 0x2167, 0x2167, 0x2187, 0x21A8, 0x21A8, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C8, 0x29A8, 0x21A8, 0x2188, 0x2188, 0x2167, 0x2167, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2166, 0x2166, 0x2166, 0x2167, 0x2187, 0x21A8, 0x29C9, 0x3209, 0x424A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 
        0x4A4A, 0x424A, 0x424A, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x422A, 0x424A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x424A, 0x3A2A, 0x31E9, 0x29A8, 0x2988, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2987, 0x2987, 0x2987, 0x2987, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x2188, 0x2188, 0x2188, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2966, 0x2966, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967,
  0x4249, 0x4249, 0x4249, 0x4249, 0x424A, 0x4249, 0x4249, 0x3A49, 0x3A49, 0x3A49, 0x3A29, 0x3A29, 0x3229, 0x3229, 0x3229, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A6A, 0x4A6A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x4A8A, 0x4A6A, 0x4A6A, 0x424A, 0x4249, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A2A, 0x3A2A, 0x422A, 0x424A, 
        0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x528A, 0x528A, 0x528A, 0x528A, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x424A, 
        0x4229, 0x3A09, 0x3A09, 0x31E9, 0x31C9, 0x31C9, 0x31C8, 0x29C8, 0x29A8, 0x29A8, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C8, 0x29A8, 0x2987, 0x2966, 0x2966, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2146, 0x39C8, 0x4229, 0x4A6A, 0x4A6A, 0x424A, 0x31C8, 0x2987, 0x2967, 0x2987, 0x21A8, 0x21A8, 
        0x29A8, 0x29C9, 0x29C9, 0x29A8, 0x21A8, 0x2187, 0x2166, 0x2146, 0x2146, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2146, 0x2166, 0x2967, 0x2167, 0x2166, 0x2166, 0x2146, 0x2146, 0x2125, 0x2125, 0x2145, 0x2146, 0x2966, 0x2987, 0x2146, 
        0x2145, 0x2125, 0x2125, 0x2125, 0x2946, 0x2946, 0x2946, 0x2146, 0x2146, 0x2145, 0x2145, 0x2125, 0x2126, 0x2146, 0x29A7, 0x31A7, 0x2967, 0x2946, 0x2145, 0x2966, 0x2966, 0x2946, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2967, 0x2966, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2966, 0x2966, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2145, 0x2125, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2166, 0x2167, 0x2167, 0x2188, 0x29A8, 0x29C9, 0x29C9, 0x31E9, 0x3209, 0x3209, 0x3209, 0x3209, 0x31E9, 0x31E9, 0x29C9, 0x29C9, 0x29A9, 0x29A8, 0x2188, 0x2167, 0x2167, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2166, 0x2166, 0x2166, 0x2167, 0x2187, 0x29C8, 0x3209, 0x3A2A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x4229, 0x4229, 0x424A, 0x4A6A, 0x4A8A, 0x4A8A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x424A, 0x3A09, 0x31C9, 0x29A8, 0x29A8, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2987, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2987, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x2188, 0x2188, 0x2188, 0x2188, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2946, 0x2946, 0x2946, 0x2946, 0x2946, 0x2966, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967,
  0x4249, 0x4249, 0x4249, 0x4249, 0x424A, 0x424A, 0x4249, 0x3A49, 0x3A49, 0x3A49, 0x3A29, 0x3A29, 0x3A29, 0x3229, 0x3229, 0x3229, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x528A, 0x528A, 0x528A, 0x528A, 0x52AA, 0x52AA, 0x528A, 0x528A, 0x528A, 0x528A, 0x4A8A, 0x4A6A, 0x4A6A, 0x424A, 0x424A, 0x4229, 0x4229, 0x3A29, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A2A, 0x3A2A, 0x3A2A, 0x422A, 0x424A, 
        0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A4A, 
        0x422A, 0x3A29, 0x3A09, 0x31E9, 0x31C9, 0x31C8, 0x31C8, 0x29C8, 0x29A8, 0x29A8, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C8, 0x29A8, 0x2987, 0x2967, 0x2966, 0x2146, 0x2146, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2946, 0x31A7, 0x4209, 0x4A4A, 0x4A8A, 0x4A8A, 0x4A8A, 0x3A29, 0x31C8, 0x2987, 0x2967, 0x2188, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2187, 0x2167, 0x2166, 0x2146, 0x2146, 0x2166, 0x2167, 0x2167, 0x2167, 0x2187, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2166, 0x2167, 0x2167, 0x2187, 0x2987, 0x2988, 0x2187, 0x2187, 0x2167, 
        0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2125, 0x2146, 0x2146, 0x2166, 0x2167, 0x2167, 0x2167, 0x2987, 0x2987, 0x2966, 0x2146, 0x2125, 0x2125, 0x2146, 0x2966, 0x31C8, 0x31A7, 
        0x2966, 0x2146, 0x2125, 0x2145, 0x2946, 0x2946, 0x2146, 0x2125, 0x2146, 0x2946, 0x2145, 0x2145, 0x2146, 0x2146, 0x2966, 0x2146, 0x2146, 0x2146, 0x2145, 0x2125, 0x2125, 0x2125, 0x2146, 0x2946, 0x2966, 0x2946, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2146, 0x2946, 0x2946, 0x2966, 0x2967, 0x2946, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2966, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2167, 0x2167, 0x2167, 0x21A8, 0x29A8, 0x29C9, 0x31E9, 0x3209, 0x3A09, 0x3A09, 0x3A0A, 0x3A0A, 0x3A0A, 0x3A0A, 0x3A0A, 0x3209, 0x31E9, 0x29C9, 0x29A8, 0x29A8, 0x2188, 0x2167, 0x2167, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 
        0x2166, 0x2166, 0x2146, 0x2146, 0x2167, 0x2967, 0x29C8, 0x3209, 0x426A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x424A, 0x424A, 0x4A6A, 0x4A6A, 0x4A8A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x426A, 0x3A4A, 0x3209, 0x31C8, 0x29A8, 0x21A8, 
        0x2188, 0x2187, 0x2187, 0x2987, 0x2187, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2988, 0x2987, 0x2987, 0x2187, 0x2187, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2188, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x2188, 0x2188, 0x2188, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2946, 0x2946, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967,
  0x4249, 0x4249, 0x4249, 0x4249, 0x424A, 0x424A, 0x4249, 0x3A49, 0x3A49, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3229, 0x3229, 0x3229, 0x3209, 0x3229, 0x3229, 0x3209, 0x3A29, 0x3A29, 0x3A2A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 
        0x4A8A, 0x528A, 0x528A, 0x528A, 0x528A, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x528A, 0x528A, 0x528A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A4A, 0x424A, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A2A, 0x3A2A, 0x422A, 0x422A, 0x424A, 
        0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A4A, 
        0x422A, 0x3A29, 0x3A09, 0x39E9, 0x31C9, 0x31C8, 0x31C8, 0x29A8, 0x29A8, 0x29A8, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2967, 0x2967, 0x2967, 0x2967, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x29C9, 0x29C8, 0x29A8, 0x2987, 0x2967, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2946, 0x2966, 0x31A7, 0x3A09, 0x4A4A, 0x4A8A, 0x4A6A, 0x4A4A, 0x4229, 0x31C8, 0x2987, 
        0x2987, 0x29A7, 0x29A8, 0x21A8, 0x2187, 0x2166, 0x2146, 0x2146, 0x2146, 0x2166, 0x2167, 0x2167, 0x2167, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2166, 0x2167, 0x2167, 0x2187, 0x2188, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 
        0x21A8, 0x21A8, 0x2188, 0x2188, 0x2188, 0x2987, 0x2987, 0x2987, 0x2987, 0x2167, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2167, 0x2146, 0x2166, 0x2166, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2946, 
        0x2946, 0x2145, 0x2145, 0x2146, 0x2145, 0x2145, 0x2125, 0x2125, 0x2145, 0x2146, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2146, 0x2966, 0x2146, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2125, 0x2125, 0x2125, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2966, 0x2966, 0x2946, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2167, 0x2167, 0x2187, 0x21A8, 0x29A8, 0x29C9, 0x31E9, 0x3209, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x422A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x320A, 0x29E9, 0x29C9, 0x29A8, 0x2188, 0x2167, 0x2147, 0x2146, 0x2146, 0x2146, 0x2146, 0x2167, 
        0x2167, 0x2166, 0x2166, 0x2146, 0x2167, 0x2167, 0x2988, 0x31C9, 0x424A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x4A8A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x4A8A, 0x4A8A, 0x424A, 0x3A2A, 0x3209, 0x29C8, 
        0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A7, 0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x2987, 0x2187, 0x2167, 0x2167, 0x2167, 0x2166, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2145, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 
        0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2188, 0x2188, 0x2188, 0x21A8, 0x21A8, 0x2188, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x2188, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2946, 0x2966, 0x2966, 0x2966, 0x2966, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2987, 0x2967,
  0x4249, 0x4249, 0x4249, 0x4249, 0x424A, 0x424A, 0x4249, 0x4249, 0x3A49, 0x3A29, 0x3A29, 0x3A29, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3A29, 0x3A29, 0x422A, 0x424A, 0x424A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 
        0x528A, 0x528A, 0x528A, 0x528A, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x4A8A, 0x4A6A, 0x4A4A, 0x4A4A, 0x422A, 0x4229, 0x4229, 0x4229, 0x422A, 0x422A, 0x422A, 0x422A, 0x424A, 
        0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 
        0x422A, 0x3A29, 0x3A09, 0x31E9, 0x31C9, 0x31C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2967, 0x2967, 0x2967, 0x2967, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C9, 
        0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x29C8, 0x29A8, 0x2987, 0x2967, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2146, 0x2966, 0x2966, 0x31A7, 0x3A09, 0x4229, 0x4A6A, 0x4A8A, 0x4A8A, 0x4229, 
        0x31C8, 0x29A7, 0x2987, 0x2187, 0x2187, 0x2166, 0x2146, 0x2145, 0x2146, 0x2166, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2167, 0x2167, 0x2167, 0x2188, 0x21A8, 0x21A8, 0x21A9, 0x21A9, 0x21A9, 0x21C9, 
        0x21C9, 0x21C9, 0x21A9, 0x29C9, 0x29C9, 0x29C9, 0x31E9, 0x3209, 0x31E9, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x29A8, 0x2187, 0x2167, 0x2167, 0x2167, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2125, 0x2125, 0x2146, 0x2146, 0x2966, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2966, 0x2146, 0x2125, 0x2145, 0x2146, 0x2146, 0x2146, 0x2125, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2125, 
        0x2125, 0x2125, 0x2145, 0x2145, 0x2146, 0x2967, 0x2967, 0x2966, 0x2966, 0x2946, 0x2146, 0x2126, 0x2146, 0x2146, 0x2946, 0x2966, 0x2946, 0x2146, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2126, 0x2126, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2967, 0x2967, 0x2967, 0x2967, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2167, 0x2167, 0x21A8, 0x29A8, 0x29C9, 0x31E9, 0x3209, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A2A, 0x3A2A, 0x3A09, 0x31E9, 0x29C9, 0x29A9, 0x29A8, 0x2187, 0x2167, 0x2147, 0x2146, 0x2146, 0x2166, 0x2167, 
        0x2167, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x29A8, 0x31E9, 0x424A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x4A8A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x4A8A, 0x4A8A, 0x426A, 0x3A2A, 0x31E9, 
        0x29C9, 0x29C8, 0x29A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x2987, 0x2187, 0x2167, 0x2167, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x21A8, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x2188, 0x2188, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2946, 0x2966, 0x2966, 0x2966, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2987, 0x2987, 0x2987, 0x2987,
  0x4249, 0x4249, 0x4249, 0x4249, 0x424A, 0x424A, 0x424A, 0x424A, 0x3A4A, 0x3A4A, 0x3A29, 0x3A29, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3A29, 0x3A29, 0x424A, 0x4A4A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 
        0x528A, 0x528A, 0x528A, 0x528A, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x4A8A, 0x4A8A, 0x4A6A, 0x424A, 0x4229, 0x4229, 0x422A, 0x422A, 0x422A, 0x422A, 
        0x422A, 0x422A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x424A, 
        0x4229, 0x3A29, 0x3A09, 0x31E9, 0x31C8, 0x31C8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x31C9, 
        0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C8, 0x29C8, 0x29A8, 0x2987, 0x2187, 0x2167, 0x2166, 0x2166, 0x2146, 0x2146, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2146, 0x2146, 0x2966, 0x2967, 0x29A7, 0x39E9, 0x424A, 0x4A8A, 0x528A, 0x52AA, 
        0x4A8A, 0x4229, 0x39C8, 0x2987, 0x2966, 0x2146, 0x2145, 0x2125, 0x2145, 0x2146, 0x2146, 0x2166, 0x2167, 0x2187, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2167, 0x2167, 0x2187, 0x2188, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21C9, 
        0x21C9, 0x29C9, 0x29C9, 0x29C9, 0x29E9, 0x320A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3209, 0x31E9, 0x29E9, 0x29C9, 0x21A8, 0x21A8, 0x2188, 0x2188, 0x2187, 0x2167, 0x2167, 0x2167, 0x2146, 0x2146, 0x2167, 0x2987, 0x29A8, 0x31C8, 0x31E9, 0x31E9, 
        0x29C8, 0x2987, 0x2967, 0x2146, 0x2145, 0x2125, 0x2125, 0x2125, 0x2146, 0x2146, 0x2967, 0x31C8, 0x3A09, 0x31E9, 0x2967, 0x2966, 0x2146, 0x2146, 0x2146, 0x2146, 0x2167, 0x2966, 0x2946, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 
        0x2125, 0x2125, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2967, 0x31C8, 0x2987, 0x2966, 0x2946, 0x2946, 0x2146, 0x2946, 0x31A8, 0x31A7, 0x2966, 0x2146, 0x2145, 0x2946, 0x2946, 0x2946, 0x2146, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2967, 0x2987, 0x2987, 0x2967, 0x2146, 0x2146, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2167, 0x2187, 0x29A8, 0x29A8, 0x29C9, 0x31C9, 0x3209, 0x3A0A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A29, 0x3A2A, 0x3A2A, 0x3A09, 0x3A09, 0x31E9, 0x29C9, 0x29A8, 0x29A8, 0x2988, 0x2167, 0x2167, 0x2146, 0x2146, 0x2166, 0x2166, 
        0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2187, 0x29A8, 0x31E9, 0x3A29, 0x422A, 0x424A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x528A, 0x528A, 0x528A, 0x528A, 0x4A8A, 0x4A8A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x4A8A, 0x4A4A, 0x3A2A, 
        0x3209, 0x29E9, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A7, 0x2187, 0x2187, 0x2167, 0x2167, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 
        0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x2188, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2946, 0x2946, 
        0x2966, 0x2966, 0x2966, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987,
  0x4249, 0x4249, 0x4249, 0x4249, 0x424A, 0x424A, 0x424A, 0x3A4A, 0x3A49, 0x3A49, 0x3A29, 0x3A29, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3A29, 0x3A29, 0x3A2A, 0x424A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x528A, 
        0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x528A, 0x528A, 0x528A, 0x528A, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x528A, 0x4A8A, 0x4A4A, 0x4229, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A29, 0x4229, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4229, 
        0x4229, 0x3A09, 0x39E9, 0x31C9, 0x31C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C9, 0x31C9, 
        0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x39E9, 0x39E9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A7, 0x2187, 0x2187, 0x2166, 0x2166, 0x2166, 0x2146, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2146, 0x2166, 0x2167, 0x2167, 0x2967, 0x2987, 0x31C8, 0x4229, 0x4A6A, 0x528A, 
        0x52AA, 0x52AA, 0x528A, 0x4A49, 0x3187, 0x2946, 0x2125, 0x2125, 0x2125, 0x2125, 0x2146, 0x2146, 0x2166, 0x2987, 0x21A8, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2147, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 
        0x2187, 0x2188, 0x29A8, 0x29A8, 0x31C9, 0x320A, 0x3A0A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3209, 0x31E9, 0x29C9, 0x29A8, 0x2988, 0x2187, 0x2187, 0x2167, 0x2967, 0x2167, 0x2167, 0x2146, 0x2146, 0x2167, 0x29C9, 0x3A0A, 0x424A, 0x424A, 0x424A, 
        0x3A2A, 0x31C9, 0x2967, 0x2146, 0x2146, 0x2125, 0x2125, 0x2126, 0x2146, 0x2967, 0x29C8, 0x31E9, 0x3A09, 0x3A09, 0x29A7, 0x2987, 0x2967, 0x2967, 0x2987, 0x29A8, 0x29A8, 0x2987, 0x2967, 0x2146, 0x2146, 0x2946, 0x2146, 0x2146, 0x2146, 0x2966, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2966, 0x2966, 0x2966, 0x2146, 0x2988, 0x29A8, 0x29A8, 0x2987, 0x2146, 0x2126, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2146, 0x2146, 0x2146, 0x2126, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2966, 0x2946, 0x2146, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2167, 0x2167, 0x2987, 0x29A8, 0x29A8, 0x29C9, 0x29C9, 0x31E9, 0x3209, 0x3A09, 0x3A09, 0x3A0A, 0x3A0A, 0x3A09, 0x31E9, 0x31C9, 0x29C9, 0x29A8, 0x21A8, 0x2988, 0x2167, 0x2167, 0x2146, 0x2146, 0x2146, 0x2166, 
        0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2987, 0x29A8, 0x31C9, 0x3A09, 0x3A2A, 0x424A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x528A, 0x528A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x4A8A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x4A8A, 0x4A6A, 0x424A, 
        0x3A2A, 0x3209, 0x31E9, 0x29C9, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x21A7, 0x2187, 0x2187, 0x2167, 0x2167, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2188, 0x2188, 
        0x2188, 0x2188, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x2188, 0x2188, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2946, 0x2946, 0x2966, 0x2966, 
        0x2966, 0x2966, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987,
  0x4249, 0x4249, 0x4249, 0x424A, 0x4249, 0x424A, 0x424A, 0x3A4A, 0x3A4A, 0x3A4A, 0x3A29, 0x3A29, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3A29, 0x3A29, 0x424A, 0x4A4A, 0x4A6A, 0x4A8A, 0x4A8A, 0x528A, 
        0x528A, 0x528A, 0x528A, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x4A8A, 0x4A4A, 0x4229, 0x3A09, 0x3A09, 0x31E9, 
        0x31E9, 0x31E9, 0x39E9, 0x3A09, 0x4229, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x424A, 0x4229, 
        0x3A09, 0x39E9, 0x31C9, 0x31C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2987, 0x2987, 0x2987, 0x29A8, 0x29A8, 0x31C8, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x2187, 0x2187, 0x2167, 0x2166, 0x2166, 0x2166, 0x2146, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2146, 0x2166, 0x2167, 0x2167, 0x2167, 0x2967, 0x2967, 0x31A8, 0x3A09, 0x4A8A, 
        0x528A, 0x52AA, 0x52AA, 0x52AA, 0x4208, 0x2986, 0x2945, 0x2145, 0x2125, 0x2125, 0x2145, 0x2146, 0x2166, 0x2987, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x2187, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 
        0x2167, 0x2167, 0x2167, 0x2187, 0x29A8, 0x31C9, 0x31E9, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x31E9, 0x31C9, 0x29C9, 0x2988, 0x2967, 0x2167, 0x2167, 0x2167, 0x2967, 0x2166, 0x2146, 0x2146, 0x2146, 0x2967, 0x29A8, 0x31E9, 0x3A2A, 0x3A2A, 0x3A2A, 
        0x31E9, 0x29A8, 0x2967, 0x2146, 0x2146, 0x2145, 0x2145, 0x2146, 0x2146, 0x2967, 0x29A8, 0x31C9, 0x31E9, 0x3A09, 0x3A2A, 0x3A4A, 0x3A2A, 0x3A09, 0x31C8, 0x2987, 0x2967, 0x2967, 0x2967, 0x2146, 0x2146, 0x2946, 0x2946, 0x2146, 0x2167, 0x31C8, 
        0x31C8, 0x39E9, 0x3A09, 0x3A09, 0x3A09, 0x31E9, 0x31E9, 0x31E9, 0x31A8, 0x31A8, 0x31A8, 0x31C8, 0x31A8, 0x2967, 0x2146, 0x2967, 0x2967, 0x2946, 0x2146, 0x2125, 0x2125, 0x2125, 0x2146, 0x2125, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2167, 0x29A7, 0x29A7, 0x2167, 0x2146, 0x2146, 0x2146, 0x2126, 0x2126, 0x2126, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2125, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2167, 0x2167, 0x2167, 0x2988, 0x29A8, 0x29A8, 0x29C9, 0x29C9, 0x31E9, 0x31E9, 0x320A, 0x31EA, 0x31E9, 0x29C9, 0x29A9, 0x29A8, 0x2188, 0x2187, 0x2167, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2166, 0x2167, 0x2987, 0x29A8, 0x31C8, 0x3209, 0x3A29, 0x422A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x4A8A, 0x4A8A, 0x4A6A, 
        0x422A, 0x3A2A, 0x3A09, 0x31E9, 0x29C9, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x29C8, 0x29C8, 0x31C8, 0x31C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x2987, 0x2187, 0x2187, 0x2167, 
        0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2987, 0x2987, 
        0x2187, 0x2987, 0x2988, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x2188, 0x2187, 0x2187, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2946, 0x2946, 0x2946, 0x2946, 0x2946, 0x2946, 0x2946, 0x2966, 0x2966, 0x2966, 0x2966, 0x2967, 
        0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2987, 0x2987, 0x2987, 0x2987, 0x2988, 0x2988, 0x2987, 0x2987, 0x2987,
  0x4249, 0x4249, 0x4249, 0x424A, 0x4249, 0x4249, 0x3A4A, 0x3A4A, 0x3A49, 0x3A29, 0x3A29, 0x3A29, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3A29, 0x3A29, 0x4249, 0x424A, 0x4A4A, 0x4A6A, 0x4A8A, 0x528A, 
        0x528A, 0x528A, 0x528A, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x4A8A, 0x4A4A, 0x4229, 0x39E9, 0x31C8, 
        0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x3A09, 0x3A29, 0x4229, 0x424A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x424A, 0x4229, 0x3A09, 
        0x3A09, 0x31C9, 0x31C8, 0x31A8, 0x29A8, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2987, 0x2987, 0x29A7, 0x29A8, 0x31C8, 0x31C9, 
        0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C8, 0x29A8, 0x29A8, 0x2988, 0x2187, 0x2187, 0x2167, 0x2166, 0x2166, 0x2166, 0x2146, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2146, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2967, 0x2987, 0x29A8, 0x4229, 
        0x4A6A, 0x528A, 0x528A, 0x528A, 0x3A08, 0x2987, 0x2966, 0x2145, 0x2125, 0x2125, 0x2146, 0x2146, 0x2167, 0x2187, 0x21C8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x2187, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2966, 0x2966, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2167, 0x2167, 0x2167, 0x2187, 0x29A8, 0x29A8, 0x29C9, 0x31C9, 0x31E9, 0x3209, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x29C9, 0x29A8, 0x29A8, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2167, 0x2167, 0x2987, 0x29A8, 0x29C9, 0x31E9, 
        0x31C9, 0x29C9, 0x29A8, 0x2187, 0x2167, 0x2146, 0x2166, 0x2166, 0x2167, 0x29A8, 0x31C9, 0x31C9, 0x31C8, 0x2987, 0x2987, 0x29A8, 0x31C8, 0x3A09, 0x3A29, 0x3A09, 0x3A09, 0x31E9, 0x29A8, 0x2966, 0x2146, 0x2146, 0x2146, 0x2967, 0x31C8, 0x426A, 
        0x4A6A, 0x424A, 0x3A29, 0x3A09, 0x31E9, 0x31E9, 0x31E9, 0x3A09, 0x3A09, 0x424A, 0x422A, 0x4229, 0x3A29, 0x3A09, 0x39E8, 0x31A8, 0x2967, 0x2946, 0x2146, 0x2146, 0x2125, 0x2125, 0x2125, 0x2145, 0x2966, 0x2146, 0x2166, 0x2966, 0x2987, 0x31A8, 
        0x29A8, 0x29A8, 0x29A7, 0x29A7, 0x29A8, 0x2987, 0x2987, 0x2987, 0x2988, 0x2967, 0x2987, 0x2987, 0x29A7, 0x31E9, 0x31E9, 0x29A8, 0x2167, 0x2167, 0x2146, 0x2147, 0x2147, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2167, 0x2167, 0x2167, 0x2188, 0x2988, 0x29A8, 0x29A8, 0x29C9, 0x29C9, 0x29C9, 0x29A8, 0x2188, 0x2188, 0x2167, 0x2167, 0x2167, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2166, 0x2167, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2167, 0x2167, 0x2187, 0x2987, 0x29C8, 0x31E8, 0x3A09, 0x4229, 0x424A, 0x4A4A, 0x4A4A, 0x424A, 0x4249, 0x4249, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 
        0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x4A8A, 0x4A8A, 0x4A6A, 
        0x424A, 0x422A, 0x3A2A, 0x3A09, 0x31E9, 0x31C9, 0x29C9, 0x29C9, 0x29C8, 0x29C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x2187, 0x2187, 0x2167, 
        0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2987, 0x2987, 
        0x2987, 0x2987, 0x2988, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x2188, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2966, 0x2966, 0x2966, 0x2966, 0x2946, 0x2946, 0x2966, 0x2966, 0x2966, 0x2966, 0x2967, 0x2967, 
        0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2987, 0x2987, 0x2987, 0x2987, 0x2988, 0x2988, 0x2988, 0x2988, 0x2987,
  0x4249, 0x4249, 0x4249, 0x424A, 0x424A, 0x424A, 0x3A4A, 0x3A2A, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3A29, 0x3A29, 0x3A29, 0x422A, 0x424A, 0x426A, 0x4A6A, 0x4A8A, 
        0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x4A8A, 0x4A6A, 0x3A29, 0x31C8, 
        0x29C8, 0x29C8, 0x29C8, 0x31C8, 0x31E9, 0x39E9, 0x3A09, 0x4229, 0x422A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 0x4229, 0x3A09, 0x39E9, 
        0x31C9, 0x31C8, 0x31A8, 0x29A8, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2967, 0x2967, 0x2987, 0x29A7, 0x31A8, 
        0x31C8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C8, 0x29A8, 0x29A8, 0x2987, 0x2987, 0x2187, 0x2167, 0x2167, 0x2166, 0x2166, 0x2146, 0x2146, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2146, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2188, 0x2187, 0x29A8, 
        0x31E9, 0x3A09, 0x3A09, 0x31C8, 0x2966, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2146, 0x2166, 0x2167, 0x29A8, 0x29C8, 0x29C8, 0x29A8, 0x2187, 0x2187, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2966, 0x2966, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2167, 0x2167, 0x2167, 0x2188, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x320A, 0x31E9, 0x29C9, 0x29C9, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x2188, 0x2187, 0x2167, 0x2167, 0x2988, 0x29C9, 
        0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29A8, 0x21A8, 0x2188, 0x29A8, 0x3209, 0x3A2A, 0x424A, 0x3A2A, 0x3A09, 0x29A8, 0x2987, 0x2987, 0x2987, 0x29A8, 0x3A09, 0x424A, 0x424A, 0x3A09, 0x31A7, 0x2146, 0x2146, 0x2146, 0x2966, 0x29A8, 0x424A, 
        0x4A6A, 0x4A6A, 0x424A, 0x31C8, 0x2967, 0x2967, 0x2967, 0x2966, 0x2146, 0x2967, 0x2967, 0x2967, 0x2967, 0x2987, 0x39E8, 0x3A09, 0x4229, 0x3A09, 0x39C8, 0x2987, 0x2987, 0x2966, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2987, 0x39E9, 
        0x3A2A, 0x3A2A, 0x3A2A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x422A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A29, 0x3A2A, 0x3A2A, 0x3A09, 0x3A09, 0x3209, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2988, 0x2988, 0x2988, 0x2988, 0x29A8, 0x2988, 0x2987, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2147, 0x2147, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2125, 
        0x2125, 0x2125, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2147, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2188, 0x2187, 0x2167, 0x2167, 0x2167, 0x2147, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2167, 0x2967, 0x2987, 0x29A8, 0x31E9, 0x3A2A, 0x422A, 0x424A, 0x424A, 0x4249, 0x4249, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 
        0x4A6A, 0x4A6A, 0x4A8A, 0x528A, 0x52AA, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x4A8A, 0x4A6A, 
        0x4A6A, 0x424A, 0x3A2A, 0x3A29, 0x3A09, 0x31E9, 0x31C9, 0x29C9, 0x29C9, 0x29C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x2987, 0x2187, 0x2187, 
        0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2987, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x2188, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2967, 0x2967, 0x2967, 
        0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988,
  0x4249, 0x4249, 0x3A49, 0x3A4A, 0x3A49, 0x424A, 0x3A4A, 0x3A2A, 0x3A29, 0x3A29, 0x3A29, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A2A, 0x3A2A, 0x424A, 0x426A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x4A8A, 0x4249, 0x31E9, 
        0x31C8, 0x29C8, 0x29C8, 0x29C8, 0x31C8, 0x31C8, 0x31C9, 0x39E9, 0x3A09, 0x4229, 0x4229, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 0x422A, 0x422A, 0x422A, 0x424A, 0x424A, 0x4229, 0x4229, 0x3A09, 0x3A09, 0x31C9, 
        0x31C8, 0x29A8, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2967, 0x2967, 0x2967, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2967, 0x2987, 
        0x29A8, 0x31A8, 0x31C8, 0x31C8, 0x29C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x2987, 0x2187, 0x2187, 0x2167, 0x2167, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2146, 0x2167, 0x2167, 0x2987, 0x2188, 0x2187, 0x2187, 0x2188, 0x21A8, 0x2187, 
        0x2187, 0x2967, 0x2967, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2167, 0x2187, 0x2987, 0x2967, 0x2967, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2146, 
        0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2167, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2166, 0x2167, 0x2167, 0x2187, 0x21A8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x29C9, 0x29C9, 0x31E9, 0x31EA, 0x3A0A, 0x320A, 0x3209, 0x31E9, 0x31E9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29A9, 0x21A8, 0x2188, 0x2167, 0x2167, 0x2167, 
        0x2987, 0x29A8, 0x29C9, 0x29C9, 0x21C9, 0x21C9, 0x21C9, 0x21C9, 0x29C9, 0x3A0A, 0x3A2A, 0x424A, 0x424A, 0x422A, 0x3A0A, 0x3A09, 0x320A, 0x31E9, 0x31C9, 0x31E9, 0x3A2A, 0x424A, 0x4A6A, 0x424A, 0x31C8, 0x2966, 0x2166, 0x2166, 0x2987, 0x29A7, 
        0x31C8, 0x3A09, 0x3A2A, 0x3A2A, 0x29A8, 0x2987, 0x2967, 0x2166, 0x2146, 0x2967, 0x2946, 0x2966, 0x2966, 0x2946, 0x2146, 0x2146, 0x2946, 0x2987, 0x39E8, 0x424A, 0x422A, 0x39E9, 0x29A7, 0x2967, 0x2146, 0x2966, 0x2966, 0x2966, 0x2146, 0x2147, 
        0x29A8, 0x31E9, 0x3A09, 0x3A2A, 0x4229, 0x424A, 0x4A4A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x426A, 0x426A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x3A2A, 
        0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A0A, 0x3A09, 0x3A0A, 0x3A0A, 0x3A0A, 0x3A0A, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29A9, 0x29A8, 0x2988, 0x2167, 0x2146, 0x2146, 0x2146, 0x2146, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2145, 0x2146, 0x2146, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2147, 0x2167, 0x2167, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2167, 0x2187, 0x29A7, 0x29C8, 0x31E9, 0x3209, 0x3A29, 0x3A29, 0x4249, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 
        0x4A6A, 0x4A6A, 0x4A8A, 0x528A, 0x52AA, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x4A8A, 0x4A6A, 
        0x4A6A, 0x424A, 0x422A, 0x3A29, 0x3A09, 0x3209, 0x31E9, 0x31C9, 0x31C9, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x2187, 0x2187, 
        0x2187, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2987, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C9, 0x29C9, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C8, 0x29A8, 0x29A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2967, 0x2967, 0x2967, 
        0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2988, 0x2988, 0x29A8, 0x2988, 0x2988, 0x2988, 0x2988,
  0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A4A, 0x3A2A, 0x3A2A, 0x3A29, 0x3A29, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A2A, 0x3A2A, 0x424A, 0x4A6A, 
        0x4A6A, 0x4A8A, 0x4A8A, 0x528A, 0x528A, 0x528A, 0x528A, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x4A8A, 0x424A, 0x3A09, 
        0x31E9, 0x31C9, 0x29C8, 0x29C8, 0x29C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x39E9, 0x3A09, 0x4229, 0x4229, 0x422A, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x31E9, 0x31C8, 0x31C8, 
        0x29A8, 0x2987, 0x2987, 0x2987, 0x2967, 0x2166, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2146, 0x2946, 0x2946, 0x2946, 0x2946, 0x2946, 0x2946, 0x2946, 0x2946, 0x2946, 0x2946, 0x2946, 0x2946, 0x2946, 0x2946, 0x2946, 0x2966, 0x2967, 
        0x2967, 0x2987, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2967, 0x2167, 0x2167, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2946, 0x2946, 0x2946, 0x2945, 0x2945, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2146, 0x2167, 0x2967, 0x29A8, 0x29A8, 0x2187, 0x2187, 0x2187, 0x21A8, 0x21A8, 
        0x2187, 0x2167, 0x2167, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2146, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2167, 0x2167, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2166, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x21A8, 0x29A8, 0x29C9, 0x29C9, 0x31E9, 0x3A0A, 0x3A0A, 0x3A0A, 0x3A0A, 0x320A, 0x320A, 0x31E9, 0x320A, 0x320A, 0x320A, 0x320A, 0x29E9, 0x29C9, 0x29A8, 0x2187, 0x2167, 0x2146, 
        0x2146, 0x2166, 0x2167, 0x2187, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x3209, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A09, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31C9, 0x31E9, 0x3A0A, 0x3A2A, 0x424A, 0x422A, 0x31C8, 0x2967, 0x2146, 0x2146, 0x2167, 0x2146, 
        0x2146, 0x2966, 0x29A7, 0x31C8, 0x3A09, 0x3A09, 0x31E9, 0x31C8, 0x2987, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2946, 0x2146, 0x2146, 0x2146, 0x2146, 0x2967, 0x31C8, 0x4229, 0x424A, 0x424A, 0x39C8, 0x31A7, 0x31C8, 0x31A7, 0x2946, 0x2146, 
        0x2146, 0x2966, 0x29A7, 0x31C8, 0x422A, 0x424A, 0x4A6A, 0x4A6A, 0x424A, 0x424A, 0x424A, 0x422A, 0x422A, 0x424A, 0x424A, 0x424A, 0x422A, 0x422A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 
        0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x422A, 0x422A, 0x422A, 0x424A, 0x422A, 0x422A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A09, 0x31C9, 0x2988, 0x2167, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2167, 0x2967, 0x2987, 0x29A8, 0x29A8, 0x29C8, 0x3209, 0x3A29, 0x422A, 0x424A, 0x424A, 0x4A4A, 
        0x4A6A, 0x4A8A, 0x4A8A, 0x528A, 0x52AA, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x4A8A, 0x4A6A, 
        0x4A4A, 0x424A, 0x4229, 0x3A29, 0x3A09, 0x3A09, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 
        0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 
        0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 
        0x2187, 0x2987, 0x2987, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 
        0x29C9, 0x29C9, 0x29A9, 0x29A9, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A8, 0x21A8, 0x21A8, 0x2188, 0x2987, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2966, 0x2966, 0x2966, 0x2966, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 
        0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2987, 0x2987, 0x2987, 0x2987, 0x2988, 0x2988, 0x2988, 0x2988, 0x29A8, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988,
  0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3229, 0x3229, 0x3229, 0x3229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A2A, 0x3A2A, 0x3A29, 0x3A4A, 0x424A, 
        0x424A, 0x4A6A, 0x4A6A, 0x4A8A, 0x528A, 0x528A, 0x528A, 0x528A, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x528A, 0x4A8A, 0x424A, 0x3A09, 
        0x31E9, 0x31C9, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x31C8, 0x31C8, 0x39E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x39E9, 0x39E9, 0x31E9, 0x31E9, 0x31C8, 0x31C8, 0x31C8, 0x29A8, 0x29A7, 
        0x2987, 0x2967, 0x2967, 0x2967, 0x2966, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2946, 0x2946, 0x2946, 0x2946, 0x2946, 0x2146, 
        0x2966, 0x2966, 0x2967, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2967, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2946, 0x2946, 0x2966, 0x2967, 
        0x2967, 0x2967, 0x2987, 0x31A7, 0x31A7, 0x31A7, 0x3187, 0x2966, 0x2966, 0x2946, 0x2946, 0x2946, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2146, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x21A8, 0x29C8, 
        0x29A8, 0x29A8, 0x2967, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2146, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2167, 0x2167, 0x2167, 0x2188, 0x29A8, 0x29C9, 0x29C9, 0x31E9, 0x3A09, 0x3A09, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29C9, 0x29C9, 0x29A8, 0x2988, 0x2967, 0x2167, 
        0x2147, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x29A7, 0x29A8, 0x31C8, 0x29A8, 0x2987, 0x2967, 0x2167, 0x2147, 0x2147, 0x2967, 0x2987, 0x29A8, 0x29A8, 0x29A7, 0x2987, 0x2966, 0x2146, 0x2146, 0x2146, 0x2166, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2987, 0x31C8, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A09, 0x39E9, 0x31C8, 0x2987, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2987, 0x31C7, 0x3A09, 0x4A8A, 0x4A8A, 0x39E9, 0x2987, 0x2946, 0x2946, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2967, 0x29A7, 0x3A09, 0x422A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 0x4A6A, 0x4A6A, 0x4A6A, 0x424A, 0x424A, 0x422A, 0x424A, 0x422A, 0x424A, 0x4A4A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 
        0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x422A, 0x3A2A, 0x3209, 0x29C9, 0x2988, 0x2167, 0x2147, 0x2146, 
        0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2167, 0x2167, 0x2187, 0x29A8, 0x31E9, 0x3A09, 0x424A, 0x424A, 0x426A, 
        0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x528A, 0x52AA, 0x52AA, 0x52AA, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x4A8A, 0x4A6A, 
        0x4A6A, 0x424A, 0x4229, 0x3A29, 0x3A09, 0x3A09, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A7, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 
        0x2187, 0x2187, 0x2187, 0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 
        0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29A9, 0x29A9, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2188, 0x2988, 0x29A8, 0x29A8, 0x29A7, 0x2987, 0x2987, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 
        0x2967, 0x2967, 0x2967, 0x2967, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2988, 0x2988, 0x2988, 0x29A8, 0x29A8, 0x29A8, 0x2988, 0x2988, 0x2988, 0x2988,
  0x4229, 0x4229, 0x3A29, 0x3A2A, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A2A, 0x3A29, 0x3A29, 0x3A29, 0x3A2A, 0x422A, 
        0x424A, 0x424A, 0x4A4A, 0x4A6A, 0x4A8A, 0x4A8A, 0x528A, 0x528A, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x4A8A, 0x4A4A, 0x422A, 0x3A09, 
        0x31E9, 0x31C9, 0x31C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x31A8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x2987, 0x2987, 0x2967, 
        0x2967, 0x2966, 0x2966, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2946, 0x2946, 0x2946, 0x2146, 0x2966, 0x2966, 0x2966, 0x2966, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2966, 0x2967, 0x2987, 0x29A8, 0x31A8, 
        0x31C8, 0x31C9, 0x31C9, 0x39E9, 0x3A09, 0x3A29, 0x3A29, 0x3A09, 0x39E8, 0x31A7, 0x2987, 0x2966, 0x2966, 0x2966, 0x2946, 0x2146, 0x2146, 0x2146, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2167, 0x2187, 0x21A7, 0x21A8, 0x29C9, 
        0x29C9, 0x29C9, 0x29C8, 0x2987, 0x2966, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2146, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 
        0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2167, 0x2187, 0x2188, 0x29A9, 0x29C9, 0x31E9, 0x3A0A, 0x3A0A, 0x320A, 0x31E9, 0x31C9, 0x29A9, 0x29A9, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x2188, 0x2188, 0x2188, 0x2987, 0x2167, 
        0x2188, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2166, 0x2166, 0x2146, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2147, 0x2146, 0x2146, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2146, 0x2146, 0x2146, 0x2167, 0x2987, 0x29C8, 0x31C8, 
        0x2987, 0x2967, 0x2966, 0x2146, 0x2146, 0x2146, 0x2146, 0x2966, 0x2967, 0x29A7, 0x31C8, 0x31C9, 0x31E9, 0x31E8, 0x3A2A, 0x424A, 0x426A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A6A, 0x4A8A, 0x426A, 0x3A09, 0x2987, 0x2946, 0x2146, 0x2946, 
        0x2146, 0x2146, 0x2946, 0x2967, 0x2146, 0x2146, 0x2967, 0x31C8, 0x422A, 0x422A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A8A, 0x4A8A, 0x424A, 0x3A29, 0x3A09, 0x422A, 0x422A, 0x422A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 0x424A, 
        0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x422A, 0x424A, 0x422A, 0x422A, 0x422A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x3A2A, 0x31E9, 0x29C9, 0x2988, 0x2167, 
        0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2167, 0x2167, 0x2987, 0x29A8, 0x31E9, 0x3A2A, 0x424A, 
        0x424A, 0x424A, 0x424A, 0x4A6A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x528A, 0x528A, 0x528A, 0x528A, 0x4A8A, 
        0x4A6A, 0x4A6A, 0x424A, 0x424A, 0x3A29, 0x3A09, 0x3209, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x29C8, 0x29C8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2186, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2167, 0x2167, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29A9, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2987, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 
        0x2967, 0x2967, 0x2967, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2988, 0x2988, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2988, 0x2988, 0x2988,
  0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A2A, 0x424A, 
        0x4249, 0x424A, 0x424A, 0x424A, 0x4A6A, 0x4A6A, 0x4A8A, 0x528A, 0x528A, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x528A, 0x4A6A, 0x424A, 0x4229, 0x3A09, 
        0x31E9, 0x31C9, 0x31C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2967, 0x2967, 0x2966, 0x2966, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2946, 0x2946, 0x2946, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2967, 0x2967, 0x2967, 0x2966, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2967, 0x2987, 0x31A8, 0x31C8, 0x31C9, 
        0x39E9, 0x3A09, 0x3A29, 0x4229, 0x424A, 0x424A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4229, 0x3A08, 0x39E8, 0x31C7, 0x29A7, 0x2987, 0x2967, 0x2967, 0x2967, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2187, 0x2987, 0x29A8, 0x29C8, 0x29E9, 
        0x31E9, 0x31E9, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x29A7, 0x2987, 0x2987, 0x2967, 0x2966, 0x2966, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2966, 0x2966, 0x2987, 0x2987, 
        0x2167, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 
        0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2167, 0x2188, 0x21A8, 0x29A9, 0x29C9, 0x31E9, 0x320A, 0x3A0A, 0x3A0A, 0x3209, 0x31E9, 0x29C9, 0x29A8, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x21A8, 0x2188, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x29A8, 0x21A8, 0x2188, 0x2187, 0x2187, 0x2167, 0x2167, 0x2967, 0x29A8, 0x3209, 0x3A0A, 
        0x3209, 0x31E9, 0x31C8, 0x29A7, 0x2146, 0x2146, 0x2146, 0x2146, 0x2966, 0x2167, 0x2167, 0x2146, 0x2146, 0x2146, 0x2966, 0x2987, 0x29A7, 0x31C8, 0x31A8, 0x2987, 0x29A7, 0x31A7, 0x31A7, 0x31C8, 0x29C8, 0x2987, 0x2166, 0x2146, 0x2146, 0x2125, 
        0x2125, 0x2146, 0x2966, 0x2967, 0x2146, 0x2146, 0x2146, 0x2146, 0x2987, 0x3A09, 0x424A, 0x424A, 0x424A, 0x3A29, 0x3A29, 0x424A, 0x424A, 0x422A, 0x3A09, 0x422A, 0x424A, 0x424A, 0x424A, 0x422A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 
        0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x422A, 0x422A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x3A2A, 0x3209, 0x29A8, 
        0x2988, 0x2167, 0x2147, 0x2146, 0x2126, 0x2125, 0x2125, 0x2145, 0x2145, 0x2126, 0x2126, 0x2126, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2126, 0x2126, 0x2126, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 
        0x2146, 0x2146, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2167, 0x2167, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2167, 0x2967, 0x2988, 0x29C8, 
        0x31C9, 0x31E9, 0x3209, 0x3A2A, 0x4A6A, 0x4A8A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x528A, 0x528A, 0x528A, 0x528A, 
        0x4A8A, 0x4A8A, 0x4A6A, 0x4A4A, 0x424A, 0x3A29, 0x3A09, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x31C8, 0x31C9, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x29C8, 0x29C8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x29A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2167, 
        0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2987, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x2188, 0x2188, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2987, 0x2987, 0x29A8, 0x29A8, 0x2988, 0x2988, 0x2988, 0x2987, 0x2987, 0x2987, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 
        0x2967, 0x2967, 0x2967, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2988, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2988, 0x2988, 0x2988, 0x2988,
  0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A29, 0x3A49, 
        0x4249, 0x4249, 0x4249, 0x424A, 0x424A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x528A, 0x52AA, 0x52AA, 0x52AA, 0x528A, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x4A8A, 0x4A6A, 0x424A, 0x3A29, 0x3A09, 
        0x31E9, 0x31C9, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2967, 0x2967, 0x2967, 0x2967, 0x2966, 0x2966, 0x2166, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2946, 0x2946, 0x2946, 0x2946, 0x2946, 0x2946, 0x2946, 0x2946, 0x2946, 0x2966, 0x2966, 0x2966, 0x2966, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2987, 0x29A7, 0x29A8, 0x31C8, 0x31E9, 0x3A09, 
        0x422A, 0x422A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x528A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4229, 0x3A09, 0x31C8, 0x29A8, 0x29A7, 0x29A7, 0x2187, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x29A7, 0x29C8, 0x31C8, 0x31E9, 
        0x31E9, 0x31E9, 0x31E9, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x39E8, 0x31C8, 0x31C8, 0x31C7, 0x31A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2986, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2987, 
        0x2987, 0x2986, 0x2986, 0x2966, 0x2966, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2147, 0x2167, 0x2188, 0x29A8, 0x29C9, 0x29E9, 0x3209, 0x3209, 0x31E9, 0x29C9, 0x29C9, 0x29A8, 0x2188, 0x2188, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2188, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A9, 0x21A9, 0x29A9, 0x29A9, 0x29A9, 0x29A8, 0x29A8, 0x2988, 0x2188, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A9, 0x29A9, 0x29A9, 0x29A9, 0x21A9, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 
        0x31E9, 0x320A, 0x3A2A, 0x3A0A, 0x31C8, 0x2987, 0x2966, 0x2146, 0x2166, 0x2967, 0x2967, 0x2946, 0x2146, 0x2146, 0x2146, 0x2146, 0x2967, 0x2987, 0x29A8, 0x29A8, 0x29A7, 0x2967, 0x2967, 0x2167, 0x2987, 0x2967, 0x2967, 0x2146, 0x2145, 0x2125, 
        0x2126, 0x2966, 0x2987, 0x29A7, 0x2146, 0x2126, 0x2125, 0x2946, 0x2967, 0x31C8, 0x31C8, 0x39E9, 0x3A09, 0x3A09, 0x3A29, 0x3A2A, 0x422A, 0x424A, 0x424A, 0x424A, 0x422A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x422A, 0x422A, 0x424A, 0x424A, 
        0x424A, 0x424A, 0x4A6A, 0x4A4A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x424A, 0x424A, 0x424A, 0x424A, 0x422A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x422A, 0x3A0A, 
        0x31E9, 0x29C9, 0x2988, 0x2967, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2126, 0x2126, 0x2126, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2145, 0x2125, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2167, 0x2167, 
        0x2187, 0x29A8, 0x29C9, 0x31E9, 0x3A29, 0x424A, 0x4A8A, 0x528A, 0x52AA, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x528A, 0x528A, 0x528A, 0x528A, 
        0x528A, 0x528A, 0x4A8A, 0x4A8A, 0x4A6A, 0x424A, 0x3A2A, 0x3A09, 0x3209, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x21A7, 0x21A7, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 
        0x2166, 0x2166, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29A9, 0x29A9, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x2188, 
        0x2188, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2987, 0x2988, 0x2988, 0x2988, 0x2988, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 
        0x2967, 0x2967, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2988, 0x2988, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2988, 0x2988, 0x2988, 0x2988,
  0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A2A, 0x3A2A, 0x3A29, 0x3A29, 
        0x3A29, 0x3A29, 0x4249, 0x424A, 0x4249, 0x424A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x528A, 0x528A, 0x52AA, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x528A, 0x4A6A, 0x424A, 0x422A, 0x3A2A, 0x3A09, 0x31E9, 
        0x31C9, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2967, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2966, 0x2967, 0x2967, 0x2987, 0x29A7, 0x29C8, 0x31C9, 0x39E9, 0x3A09, 0x422A, 
        0x424A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x528A, 0x528A, 0x52AA, 0x52AA, 0x52AA, 0x528A, 0x528A, 0x4A8A, 0x4A6A, 0x3A29, 0x39E8, 0x31C8, 0x29A8, 0x29A8, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x29A7, 0x29A8, 0x29C8, 0x31C9, 
        0x31E9, 0x3A09, 0x3A29, 0x3A29, 0x422A, 0x424A, 0x424A, 0x424A, 0x4A6A, 0x424A, 0x4249, 0x4229, 0x3A29, 0x3A29, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 
        0x31C7, 0x31C7, 0x31C7, 0x29C7, 0x29A7, 0x2987, 0x2966, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2167, 0x2187, 0x21A8, 0x21A8, 0x29C9, 0x29C9, 0x29C9, 0x29A9, 0x29A8, 0x21A8, 0x2188, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 
        0x2188, 0x21A8, 0x21A8, 0x21A8, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x31E9, 0x31E9, 0x31C9, 0x29C9, 0x29A8, 0x2188, 0x2187, 0x2187, 0x2188, 0x2188, 0x21A8, 0x21A8, 0x29A8, 0x29A9, 0x29A9, 0x21C9, 0x29C9, 0x21C9, 0x29C9, 0x29C9, 0x29C9, 0x29A8, 
        0x29C9, 0x31E9, 0x3A0A, 0x3A2A, 0x3A2A, 0x3A09, 0x31C9, 0x31A8, 0x2967, 0x2167, 0x2166, 0x2146, 0x2146, 0x2145, 0x2126, 0x2146, 0x2967, 0x31C8, 0x3A0A, 0x424A, 0x424A, 0x424A, 0x3A29, 0x31E9, 0x31C8, 0x29A8, 0x2967, 0x2946, 0x2146, 0x2146, 
        0x2146, 0x2967, 0x29A7, 0x31A8, 0x2967, 0x2946, 0x2126, 0x2126, 0x2146, 0x2967, 0x2946, 0x2966, 0x2967, 0x29A7, 0x3A2A, 0x422A, 0x422A, 0x422A, 0x422A, 0x424A, 0x422A, 0x422A, 0x424A, 0x424A, 0x424A, 0x4A6A, 0x424A, 0x424A, 0x424A, 0x424A, 
        0x424A, 0x424A, 0x424A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 
        0x422A, 0x3A0A, 0x31E9, 0x29C8, 0x2967, 0x2147, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2167, 
        0x2167, 0x2187, 0x29A8, 0x29A8, 0x31E9, 0x3A29, 0x424A, 0x4A8A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x528A, 0x528A, 0x528A, 0x528A, 
        0x528A, 0x528A, 0x528A, 0x528A, 0x4A8A, 0x4A8A, 0x4A6A, 0x424A, 0x3A29, 0x3A09, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 
        0x21A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2188, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29A9, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x2188, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 
        0x2967, 0x2967, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2988, 0x2988, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2988, 0x2988, 0x2988, 0x2988,
  0x4A49, 0x4A29, 0x4A29, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x4249, 0x4229, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 
        0x3A29, 0x3A29, 0x3A29, 0x4249, 0x4249, 0x424A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4249, 0x4229, 0x3A29, 0x3A09, 0x3209, 0x31E9, 
        0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2967, 0x2967, 0x2966, 0x2966, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2145, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2967, 0x2987, 0x2987, 0x29A8, 0x31C8, 0x31E9, 0x3A09, 0x422A, 0x424A, 
        0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x528A, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x528A, 0x528A, 0x528A, 0x4A6A, 0x4249, 0x3A09, 0x31C8, 0x29A8, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x29A8, 0x29A8, 0x29C8, 0x31C9, 
        0x39E9, 0x3A09, 0x3A29, 0x4229, 0x424A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 
        0x3A29, 0x3A29, 0x3A09, 0x3208, 0x29C8, 0x29A7, 0x2987, 0x2966, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2167, 0x2187, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x2188, 0x2188, 0x2188, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x21A8, 0x29A8, 0x29C9, 0x31E9, 0x320A, 0x3A0A, 0x3A2A, 0x3A0A, 0x3A0A, 0x31E9, 0x29C8, 0x2987, 0x2167, 0x2146, 0x2146, 0x2146, 0x2147, 0x2146, 0x2167, 0x2167, 0x2187, 0x2188, 0x29A8, 0x21A9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 
        0x29C9, 0x29C9, 0x31E9, 0x3A0A, 0x422A, 0x424A, 0x424A, 0x3A2A, 0x3A09, 0x31A8, 0x2967, 0x2166, 0x2146, 0x2145, 0x2125, 0x2146, 0x2146, 0x2166, 0x2987, 0x3A09, 0x424A, 0x424A, 0x422A, 0x3A09, 0x31E9, 0x3A29, 0x3A2A, 0x3A2A, 0x3A09, 0x31C8, 
        0x2987, 0x2967, 0x2167, 0x2967, 0x2946, 0x2146, 0x2125, 0x2125, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2987, 0x39E9, 0x422A, 0x422A, 0x422A, 0x424A, 0x424A, 0x424A, 0x4249, 0x4249, 0x424A, 0x4A4A, 0x422A, 0x3A09, 0x3A29, 0x422A, 
        0x4229, 0x422A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A6A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 
        0x424A, 0x424A, 0x424A, 0x3A2A, 0x31E9, 0x29A8, 0x2987, 0x2167, 0x2147, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2167, 0x2167, 0x2167, 0x2987, 0x29A8, 0x31E9, 0x3A29, 0x424A, 0x4A6A, 0x4A8A, 0x528A, 0x528A, 0x528A, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x528A, 0x528A, 0x528A, 0x528A, 
        0x528A, 0x528A, 0x528A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x424A, 0x3A29, 0x3A09, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 
        0x31C8, 0x31C8, 0x31C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 
        0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2188, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C9, 0x29C8, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2967, 0x2967, 0x2967, 0x2967, 
        0x2967, 0x2967, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2988, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2988, 0x2988, 0x2988,
  0x4A49, 0x4A49, 0x4A29, 0x4A29, 0x4A29, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4249, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x424A, 0x424A, 0x3A29, 0x3A29, 0x3A09, 0x3209, 0x31E9, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2967, 0x2966, 0x2966, 0x2966, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2967, 0x2987, 0x2987, 0x29A7, 0x29A8, 0x31C8, 0x31E9, 0x3A09, 0x3A29, 0x422A, 0x4A4A, 
        0x4A6A, 0x4A8A, 0x4A8A, 0x528A, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x528A, 0x528A, 0x528A, 0x4A8A, 0x4A6A, 0x422A, 0x3A09, 0x31C8, 0x2987, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2987, 0x29A8, 0x29A8, 0x31E9, 
        0x3A09, 0x3A29, 0x4229, 0x4229, 0x424A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A69, 0x4A69, 0x4249, 0x4249, 0x4249, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 
        0x3A28, 0x3208, 0x3208, 0x31E8, 0x29C7, 0x29A7, 0x2987, 0x2966, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2167, 0x2167, 0x2187, 0x2988, 0x2988, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 
        0x2188, 0x2188, 0x21A8, 0x21A8, 0x29A8, 0x31E9, 0x3209, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A0A, 0x320A, 0x31C9, 0x29A8, 0x2167, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2166, 0x2167, 0x2167, 0x2187, 0x21A8, 0x29A8, 
        0x29C8, 0x29C9, 0x31C9, 0x31E9, 0x3A09, 0x3A2A, 0x424A, 0x424A, 0x424A, 0x3A2A, 0x31C9, 0x2987, 0x2966, 0x2146, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2967, 0x31A8, 0x39E9, 0x422A, 0x424A, 0x3A09, 0x31C8, 0x29A8, 0x29A8, 0x31C8, 0x31E9, 
        0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x2987, 0x2966, 0x2966, 0x2966, 0x2946, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2146, 0x2946, 0x2967, 0x39C8, 0x422A, 0x424A, 0x424A, 0x4A6A, 0x4A6A, 0x424A, 0x424A, 0x4A4A, 0x424A, 0x422A, 0x422A, 0x424A, 
        0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A6A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x3A2A, 0x31E9, 0x31C9, 0x2988, 0x2167, 0x2147, 0x2146, 0x2146, 0x2125, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2167, 0x2967, 0x2167, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2166, 0x2167, 0x2167, 0x2187, 0x29A8, 0x29C9, 0x3209, 0x424A, 0x4A8A, 0x4A8A, 0x528A, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x528A, 0x528A, 0x528A, 0x528A, 
        0x528A, 0x528A, 0x528A, 0x528A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x424A, 0x3A2A, 0x3A09, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x29C8, 
        0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 
        0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2166, 0x2166, 0x2166, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x31C9, 0x29C9, 
        0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29A9, 0x29A9, 0x29A9, 0x29A9, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 
        0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2988, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988,
  0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x424A, 0x424A, 0x424A, 0x4249, 0x4249, 0x4249, 0x4249, 0x424A, 0x424A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x424A, 0x424A, 0x422A, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x31E9, 
        0x31C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2966, 0x2966, 0x2966, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2967, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29A8, 0x31C8, 0x31E9, 0x3A09, 0x3A29, 0x424A, 0x4A6A, 
        0x4A8A, 0x4A8A, 0x528A, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x528A, 0x528A, 0x528A, 0x4A8A, 0x4A8A, 0x4A6A, 0x422A, 0x3A09, 0x29A7, 0x2987, 0x2967, 0x2167, 0x2167, 0x2167, 0x2187, 0x2987, 0x29A7, 0x29A8, 0x31E9, 
        0x3A09, 0x3A29, 0x422A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A69, 0x4A49, 0x4249, 0x4249, 0x3A29, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3208, 0x3208, 0x3208, 0x31E8, 
        0x31E8, 0x31C8, 0x29C8, 0x29C7, 0x29A7, 0x21A7, 0x2187, 0x2167, 0x2167, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x21A8, 0x21A8, 0x21A8, 
        0x21A8, 0x21A9, 0x21A9, 0x29A9, 0x29C9, 0x31C9, 0x31E9, 0x3A0A, 0x3A2A, 0x3A2A, 0x3A0A, 0x31E9, 0x31C9, 0x29A8, 0x2167, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2166, 0x2167, 0x2987, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x31C9, 0x3A09, 0x3A29, 0x3A2A, 0x422A, 0x3A2A, 0x31E9, 0x29C8, 0x2987, 0x2146, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2967, 0x29A8, 0x31E9, 0x3A2A, 0x424A, 0x424A, 0x3A29, 0x31E9, 0x31A8, 0x31A8, 
        0x31C8, 0x31E9, 0x31E9, 0x31E9, 0x3A09, 0x4229, 0x4229, 0x3A29, 0x39E8, 0x2987, 0x2966, 0x2946, 0x2146, 0x2146, 0x2126, 0x2125, 0x2126, 0x2946, 0x2967, 0x39E8, 0x4229, 0x424A, 0x424A, 0x4A4A, 0x424A, 0x424A, 0x422A, 0x422A, 0x424A, 0x422A, 
        0x422A, 0x422A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x422A, 0x422A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 
        0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x3A2A, 0x3A0A, 0x29A8, 0x2967, 0x2167, 0x2146, 0x2126, 0x2126, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2167, 0x2167, 0x2987, 0x29C8, 0x3209, 0x424A, 0x4A6A, 0x4A8A, 0x528A, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 
        0x528A, 0x528A, 0x528A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A4A, 0x424A, 0x3A2A, 0x3A09, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 
        0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2166, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 
        0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x2188, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 
        0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2988, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988,
  0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A69, 0x4A69, 0x4A69, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A49, 0x4A49, 0x4249, 0x4249, 0x4249, 
        0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x424A, 0x424A, 0x424A, 0x4249, 0x4249, 0x4229, 0x4229, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 
        0x3209, 0x31E9, 0x31E9, 0x31C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2967, 0x2966, 0x2966, 0x2966, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2166, 0x2166, 0x2966, 0x2967, 0x2987, 0x2987, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x31C9, 0x31E9, 0x3A09, 0x3A29, 0x424A, 0x4A6A, 
        0x4A8A, 0x528A, 0x528A, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x528A, 0x528A, 0x528A, 0x528A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A4A, 0x422A, 0x31C8, 0x29A7, 0x2987, 0x2967, 0x2167, 0x2167, 0x2167, 0x2967, 0x2987, 0x29A7, 0x39E9, 
        0x3A09, 0x3A29, 0x422A, 0x424A, 0x424A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4269, 0x4249, 0x4249, 0x3A29, 0x3A29, 0x3A08, 0x31E8, 0x31E8, 0x31C8, 0x31C8, 0x31C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x21C8, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x2187, 0x2167, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2946, 0x2946, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2188, 0x2188, 0x2188, 0x21A8, 0x21A8, 0x21A9, 
        0x21A9, 0x21A9, 0x21A9, 0x29C9, 0x29C9, 0x31E9, 0x3209, 0x3A0A, 0x3A2A, 0x3A2A, 0x3A0A, 0x3209, 0x31E9, 0x29C9, 0x2987, 0x2167, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2146, 0x2146, 0x2167, 0x2167, 0x2987, 0x29A8, 
        0x29C8, 0x29C9, 0x29C9, 0x29A9, 0x29C9, 0x31C9, 0x31E9, 0x39E9, 0x3A0A, 0x3A0A, 0x31E9, 0x29C8, 0x2987, 0x2167, 0x2146, 0x2146, 0x2146, 0x2146, 0x2126, 0x2146, 0x2987, 0x29A8, 0x29C9, 0x320A, 0x3A2A, 0x422A, 0x424A, 0x424A, 0x4A4A, 0x424A, 
        0x424A, 0x3A2A, 0x31E9, 0x2988, 0x29A8, 0x3A09, 0x422A, 0x424A, 0x424A, 0x424A, 0x4229, 0x39E8, 0x2987, 0x2146, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2946, 0x31A7, 0x39E9, 0x4229, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x424A, 0x422A, 0x424A, 
        0x424A, 0x422A, 0x422A, 0x422A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x422A, 0x422A, 0x424A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x422A, 0x422A, 0x422A, 0x422A, 0x422A, 0x424A, 
        0x424A, 0x424A, 0x424A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x424A, 0x424A, 0x3A2A, 0x31E9, 0x29A8, 0x2967, 0x2147, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 
        0x2946, 0x2946, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2167, 0x2187, 0x29A8, 0x3209, 0x3A2A, 0x424A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 
        0x528A, 0x528A, 0x528A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x424A, 0x422A, 0x3A09, 0x3209, 0x31C9, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 
        0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 
        0x29C9, 0x29C9, 0x29C9, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x2188, 0x2188, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 
        0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2987, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988,
  0x4A29, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A69, 0x4A69, 0x4A69, 0x4A69, 0x4A69, 0x4A69, 0x4A69, 0x4A69, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 
        0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4229, 0x3A29, 0x3A29, 0x4229, 0x422A, 0x422A, 0x422A, 0x422A, 0x422A, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 
        0x3A09, 0x3209, 0x3209, 0x31E9, 0x31C9, 0x31C8, 0x29C8, 0x29A8, 0x29A8, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2966, 0x2966, 0x2966, 0x2966, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2967, 0x2987, 0x2987, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x31C9, 0x31C9, 0x39E9, 0x3A09, 0x4229, 0x4A6A, 
        0x4A8A, 0x528A, 0x528A, 0x528A, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x4A8A, 0x4A6A, 0x4A4A, 0x422A, 0x39E8, 0x29A7, 0x2987, 0x2967, 0x2166, 0x2166, 0x2166, 0x2166, 0x2966, 0x2967, 0x31C8, 
        0x39E9, 0x3A29, 0x422A, 0x422A, 0x424A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A49, 0x4A49, 0x4249, 0x4249, 0x4229, 0x3A29, 0x3A29, 0x3A09, 0x3209, 0x31C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29C8, 
        0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21A8, 0x21A7, 0x2987, 0x2987, 0x2167, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2167, 0x2167, 0x2167, 0x2187, 0x2188, 0x2188, 0x21A8, 0x21A8, 
        0x21A9, 0x21C9, 0x29C9, 0x29C9, 0x29C9, 0x31E9, 0x31E9, 0x3209, 0x3A0A, 0x3A0A, 0x31E9, 0x31E9, 0x29C9, 0x29A8, 0x21A8, 0x2188, 0x2988, 0x2988, 0x29A8, 0x29A8, 0x2187, 0x2167, 0x2167, 0x2146, 0x2166, 0x2167, 0x2187, 0x29A8, 0x29C9, 0x3209, 
        0x320A, 0x31E9, 0x29C9, 0x29C9, 0x29C9, 0x31C9, 0x31E9, 0x3209, 0x3209, 0x31E9, 0x29C9, 0x29C8, 0x29A8, 0x2988, 0x2167, 0x2167, 0x2167, 0x2146, 0x2146, 0x2146, 0x2167, 0x2967, 0x2988, 0x2988, 0x2987, 0x29A8, 0x31C9, 0x3A09, 0x424A, 0x424A, 
        0x424A, 0x3A2A, 0x31E9, 0x2988, 0x31E9, 0x3A2A, 0x3A2A, 0x3A09, 0x3A09, 0x422A, 0x422A, 0x424A, 0x3A29, 0x31E9, 0x2966, 0x2146, 0x2125, 0x2125, 0x2125, 0x2146, 0x2146, 0x2146, 0x2967, 0x31A7, 0x3A09, 0x422A, 0x424A, 0x424A, 0x422A, 0x424A, 
        0x4A6A, 0x4A6A, 0x424A, 0x424A, 0x3A09, 0x3A29, 0x3A2A, 0x422A, 0x422A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 0x422A, 0x422A, 0x422A, 0x422A, 0x422A, 
        0x424A, 0x422A, 0x422A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 0x3A2A, 0x3A09, 0x29C9, 0x2967, 0x2167, 0x2146, 0x2146, 0x2126, 0x2126, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2167, 0x2167, 0x29A8, 0x29C9, 0x31E9, 0x3A0A, 0x3A2A, 0x424A, 0x424A, 0x424A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x528A, 0x528A, 0x4A8A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 
        0x528A, 0x528A, 0x528A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x424A, 0x424A, 0x422A, 0x3A2A, 0x3A09, 0x31C9, 0x31C9, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x29C8, 0x29C8, 0x29C8, 0x29E9, 
        0x29E9, 0x29E9, 0x29E9, 0x31E9, 0x3209, 0x31E9, 0x29C9, 0x29C9, 0x29C9, 0x21A8, 0x21A8, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2187, 0x21A7, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 
        0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x2188, 0x2188, 0x2188, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2188, 0x2188, 0x2188, 0x2188, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 
        0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2988, 0x2988, 0x2988, 0x2988,
  0x4A29, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A69, 0x4A69, 0x4A69, 0x4A69, 0x4A69, 0x4A69, 0x4A69, 0x4A69, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 
        0x4A49, 0x4A49, 0x4A49, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x31E9, 0x31C8, 0x31C8, 0x29A8, 0x29A8, 0x2987, 0x2987, 0x2987, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2166, 0x2166, 0x2167, 0x2187, 0x2987, 0x29A7, 0x29A8, 0x29C8, 0x31C8, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x3A09, 0x3A09, 0x3A29, 0x424A, 
        0x4A6A, 0x4A8A, 0x4A8A, 0x528A, 0x52AA, 0x52AA, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x4A8A, 0x4A6A, 0x4249, 0x3A09, 0x31C8, 0x29A7, 0x2967, 0x2966, 0x2966, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2987, 
        0x31A7, 0x39E8, 0x3A29, 0x422A, 0x422A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x31E8, 0x29C8, 0x29C7, 0x29A7, 0x21A7, 
        0x21A7, 0x21A7, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2167, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2167, 0x2167, 0x2167, 0x2188, 0x2188, 0x21A8, 
        0x21A8, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x31C9, 0x31C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29A8, 0x2188, 0x2167, 0x2167, 0x2167, 0x2188, 0x29A9, 0x29E9, 0x320A, 
        0x3A2A, 0x3A0A, 0x320A, 0x31E9, 0x29C9, 0x31E9, 0x31E9, 0x3209, 0x320A, 0x320A, 0x3209, 0x31E9, 0x31E9, 0x29C9, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2987, 0x2967, 0x2967, 0x2167, 0x2146, 0x2146, 0x2946, 0x2967, 0x2987, 0x31C8, 0x3A09, 
        0x3A09, 0x31E9, 0x31C9, 0x29A8, 0x29A8, 0x29A8, 0x2987, 0x2967, 0x2966, 0x2967, 0x2967, 0x2967, 0x2987, 0x2967, 0x2146, 0x2146, 0x2966, 0x2966, 0x2146, 0x2146, 0x2146, 0x2146, 0x2966, 0x2146, 0x2966, 0x31A8, 0x3A09, 0x422A, 0x424A, 0x3A29, 
        0x424A, 0x4A4A, 0x4A6A, 0x424A, 0x424A, 0x422A, 0x424A, 0x424A, 0x424A, 0x422A, 0x424A, 0x4A6A, 0x424A, 0x422A, 0x422A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x422A, 
        0x424A, 0x424A, 0x422A, 0x422A, 0x422A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x424A, 0x31E9, 0x29A8, 0x2988, 0x2167, 0x2147, 0x2146, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2946, 0x2966, 0x2966, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2167, 0x2167, 0x2188, 0x29A8, 0x29C9, 0x31E9, 0x31E9, 0x3209, 0x3A09, 0x3A2A, 0x424A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 
        0x528A, 0x528A, 0x528A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x424A, 0x422A, 0x3A2A, 0x3A0A, 0x3209, 0x31C9, 0x29C9, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x21A8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x29C8, 0x29E9, 0x29E9, 0x3209, 0x3229, 0x3A29, 0x3A4A, 
        0x424A, 0x424A, 0x424A, 0x424A, 0x426A, 0x424A, 0x424A, 0x3A2A, 0x3A2A, 0x31E9, 0x29C9, 0x29A8, 0x29A8, 0x21A8, 0x2187, 0x2167, 0x2167, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x2188, 0x2188, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2987, 0x2988, 0x29A8, 0x29A8, 0x29A8, 0x2988, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 
        0x2987, 0x2987, 0x2987, 0x2187, 0x2187, 0x2987, 0x2967, 0x2967, 0x2967, 0x2967, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2988,
  0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A69, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A49, 0x4A49, 
        0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A09, 0x3A09, 0x31E9, 0x31C8, 0x29A8, 0x29A7, 0x2987, 0x2987, 0x2967, 0x2966, 0x2966, 0x2966, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2166, 0x2167, 0x2187, 0x2987, 0x2987, 0x29A8, 0x29C8, 0x31C8, 0x31C9, 0x31E9, 0x31E9, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x4229, 
        0x4229, 0x4A4A, 0x4A6A, 0x4A8A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x4A8A, 0x528A, 0x4A8A, 0x4A6A, 0x424A, 0x4229, 0x3A09, 0x31A8, 0x2987, 0x2967, 0x2966, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2966, 
        0x2967, 0x2987, 0x31C8, 0x3A09, 0x422A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x422A, 0x422A, 0x422A, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A08, 0x31E8, 0x31C7, 0x29A7, 0x2987, 
        0x2966, 0x2966, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2167, 0x2167, 0x2167, 0x2187, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x3209, 0x3209, 0x320A, 0x320A, 0x3209, 0x31E9, 0x29C9, 0x29C9, 0x29A8, 0x2188, 0x2187, 0x2187, 0x21A8, 0x29C9, 0x31E9, 0x320A, 
        0x3A0A, 0x320A, 0x31E9, 0x31E9, 0x29C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3A0A, 0x3A09, 0x3209, 0x29E9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29A8, 0x2987, 0x2167, 0x2166, 0x2166, 0x2146, 0x2146, 0x2166, 0x2987, 
        0x31C8, 0x3A09, 0x3A2A, 0x424A, 0x3A29, 0x39E9, 0x31A8, 0x2987, 0x2167, 0x2167, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2946, 0x2946, 0x2146, 0x2125, 0x2146, 0x2967, 0x2967, 0x2146, 0x2146, 0x2146, 0x2966, 0x31A7, 0x3A09, 0x422A, 
        0x424A, 0x424A, 0x4A6A, 0x4A6A, 0x424A, 0x3A09, 0x3A09, 0x422A, 0x422A, 0x424A, 0x424A, 0x4A4A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x422A, 0x422A, 0x424A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x422A, 
        0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x3A2A, 0x3A2A, 0x422A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A4A, 0x422A, 0x3A0A, 0x31C9, 0x2987, 0x2146, 0x2146, 0x2126, 0x2125, 0x2125, 0x2125, 0x2125, 0x2126, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2946, 0x2966, 0x2966, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2167, 0x2167, 0x2167, 0x2187, 0x21A8, 0x29A8, 0x29A8, 0x29C8, 0x29C9, 0x3209, 0x3A29, 0x424A, 0x4A4A, 0x4A6A, 0x4A8A, 0x4A8A, 0x528A, 0x528A, 0x528A, 0x528A, 
        0x528A, 0x528A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x424A, 0x4229, 0x3A29, 0x3A09, 0x31E9, 0x31C9, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x29A7, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x21C8, 0x21C8, 0x21C8, 0x29E9, 0x2A09, 0x3A29, 0x3A4A, 0x424A, 0x4A6A, 0x4A8A, 0x4A8A, 
        0x4A8A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x4A8A, 0x4A8A, 0x424A, 0x3A2A, 0x3209, 0x29E9, 0x29C9, 0x21A8, 0x2188, 0x2187, 0x2167, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2188, 0x2988, 0x29A8, 0x29A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x2188, 0x2188, 0x2188, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2188, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2188, 0x2188, 0x2188, 0x2187, 0x2967, 0x2967, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2967, 0x2967, 0x2967, 0x2967, 0x2987, 0x2987,
  0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A69, 
        0x4A4A, 0x4A4A, 0x4A49, 0x4A49, 0x4A49, 0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x422A, 0x422A, 0x3A29, 0x3A09, 0x31C8, 0x29A8, 0x2987, 0x2987, 0x2967, 0x2966, 0x2966, 0x2966, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2166, 0x2967, 0x2987, 0x2987, 0x29A7, 0x29A8, 0x29C8, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A2A, 0x3A29, 
        0x4229, 0x4229, 0x4249, 0x4A6A, 0x4A8A, 0x528A, 0x528A, 0x528A, 0x528A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x424A, 0x422A, 0x3A09, 0x31E9, 0x29A7, 0x2987, 0x2966, 0x2966, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2166, 
        0x2966, 0x2966, 0x2987, 0x29A7, 0x31C8, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A28, 0x3A28, 0x3A28, 0x3A08, 0x39E8, 0x31C7, 0x29A7, 
        0x2966, 0x2966, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2167, 0x2167, 0x2167, 0x2187, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29A9, 0x29C9, 0x29C9, 0x31E9, 0x31E9, 0x3209, 0x3A09, 0x3A0A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A0A, 0x3209, 0x31E9, 0x29C9, 0x29A9, 0x2188, 0x2187, 0x2187, 0x2188, 0x29A8, 0x29C9, 0x31E9, 
        0x31E9, 0x29C9, 0x29C9, 0x29A8, 0x29A8, 0x29A8, 0x29C9, 0x29C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x3A09, 0x3A0A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A0A, 0x3209, 0x31E9, 0x29E9, 0x29C9, 0x29C9, 0x29A8, 0x2187, 0x2167, 0x2146, 0x2146, 0x2146, 0x2166, 
        0x29A8, 0x3A09, 0x424A, 0x4A6A, 0x4A6A, 0x424A, 0x3A2A, 0x3A09, 0x29C9, 0x29C9, 0x29C9, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2987, 0x2967, 0x2166, 0x2146, 0x2146, 0x2967, 0x2987, 0x2987, 0x2146, 0x2946, 0x2926, 0x2126, 0x2146, 0x2946, 0x2987, 
        0x3A09, 0x422A, 0x424A, 0x424A, 0x4A6A, 0x3A29, 0x3A09, 0x422A, 0x422A, 0x424A, 0x424A, 0x4A4A, 0x424A, 0x422A, 0x4229, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x424A, 
        0x4A6A, 0x424A, 0x422A, 0x3A09, 0x424A, 0x3A2A, 0x3A2A, 0x424A, 0x424A, 0x4A6A, 0x4A4A, 0x4A4A, 0x424A, 0x4A4A, 0x4A6A, 0x4A4A, 0x426A, 0x424A, 0x3A2A, 0x29A8, 0x2167, 0x2146, 0x2146, 0x2145, 0x2145, 0x2146, 0x2126, 0x2126, 0x2126, 0x2146, 
        0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2167, 0x2146, 0x2146, 0x2146, 0x2146, 0x2126, 0x2146, 0x2125, 0x2126, 0x2146, 0x2146, 0x2146, 0x2946, 0x2966, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2188, 0x29A8, 0x31C9, 0x3A09, 0x3A29, 0x4249, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x528A, 0x528A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x422A, 0x4229, 0x3A09, 0x31E9, 0x31C9, 0x29C8, 0x29A8, 0x29A8, 0x29A7, 0x2987, 0x2987, 0x2967, 0x2967, 0x2967, 0x2967, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 
        0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x21C8, 0x29C8, 0x29C9, 0x29E9, 0x3229, 0x3A4A, 0x4A8A, 0x4A8A, 0x528A, 0x52AA, 0x52AA, 0x52AA, 
        0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x4A8A, 0x4A8A, 0x426A, 0x424A, 0x3A2A, 0x3209, 0x29C9, 0x2188, 0x2167, 0x2167, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2987, 0x29A8, 0x29A8, 0x29A8, 0x29C9, 0x29C9, 0x29C9, 0x31E9, 0x29C9, 0x29C9, 0x29A9, 0x21A8, 0x21A8, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967,
  0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x526A, 0x526A, 0x526A, 0x526A, 0x526A, 0x526A, 0x526A, 0x526A, 0x526A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 
        0x3A2A, 0x422A, 0x422A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4229, 0x3A09, 0x31C8, 0x31A8, 0x2987, 0x2987, 0x2966, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2166, 0x2967, 0x2987, 0x29A7, 0x29A8, 0x29C8, 0x31E9, 0x31E9, 0x3209, 0x3A09, 0x3A09, 0x3A29, 0x3A2A, 0x3A2A, 0x3A2A, 0x422A, 0x424A, 
        0x4229, 0x4229, 0x4229, 0x424A, 0x4A4A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x424A, 0x4229, 0x3A29, 0x3A09, 0x39E9, 0x31C8, 0x2987, 0x2967, 0x2966, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2966, 0x2966, 0x2966, 0x2966, 0x2987, 0x2987, 0x31A8, 0x31C8, 0x31C8, 0x31C8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A28, 0x3A28, 0x3A28, 0x3A28, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A08, 0x31E8, 
        0x31C7, 0x2986, 0x2966, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2187, 0x2187, 0x2188, 0x21A8, 0x21A8, 0x29A8, 0x29A9, 0x29C9, 0x31E9, 0x320A, 0x3A0A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A09, 0x31E9, 0x29C9, 0x29A8, 0x2188, 0x2167, 0x2187, 0x29A8, 0x29A8, 0x29C9, 
        0x29C9, 0x29C9, 0x29A8, 0x21A8, 0x21A8, 0x2188, 0x2188, 0x21A8, 0x29A8, 0x29A8, 0x29C9, 0x31E9, 0x3A0A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A0A, 0x3209, 0x31E9, 0x31E9, 0x31EA, 0x31EA, 0x320A, 0x31EA, 0x29C9, 0x2988, 0x2167, 0x2146, 0x2146, 0x2146, 
        0x2967, 0x31C8, 0x3A29, 0x4A6A, 0x4A8A, 0x4A6A, 0x424A, 0x3A2A, 0x31E9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x3209, 0x320A, 0x320A, 0x31E9, 0x29C9, 0x29A8, 0x2187, 0x2187, 0x2167, 0x2167, 0x2987, 0x2967, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2967, 0x29A7, 0x31C9, 0x31E9, 0x3A2A, 0x422A, 0x424A, 0x424A, 0x422A, 0x424A, 0x4A4A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x422A, 0x424A, 0x4A6A, 0x4A4A, 0x424A, 0x422A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x422A, 0x422A, 
        0x4A6A, 0x424A, 0x3A29, 0x31C8, 0x3A09, 0x422A, 0x424A, 0x424A, 0x4A4A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A6A, 0x424A, 0x426A, 0x426A, 0x426A, 0x3A2A, 0x31C9, 0x29A8, 0x2987, 0x2167, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2125, 
        0x2925, 0x2925, 0x2145, 0x2146, 0x2146, 0x2166, 0x2966, 0x2967, 0x2967, 0x2167, 0x2146, 0x2146, 0x2146, 0x2125, 0x2125, 0x2125, 0x2126, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2167, 0x2167, 0x2167, 0x2987, 0x29C8, 0x31E9, 0x3A29, 0x424A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x424A, 0x4229, 0x3A09, 0x39E9, 0x31C9, 0x29C8, 0x29A8, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2967, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2967, 0x2967, 0x2987, 0x2987, 0x2987, 
        0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x21C8, 0x29C9, 0x31E9, 0x3A29, 0x424A, 0x4A8A, 0x528A, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 
        0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x4A8A, 0x4A8A, 0x4A6A, 0x3A4A, 0x3209, 0x29C9, 0x29A8, 0x2187, 0x2167, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2188, 0x29A8, 0x29A8, 0x29C8, 0x29C9, 0x31E9, 0x31E9, 0x3209, 0x3A09, 0x3A09, 0x3209, 0x31E9, 0x29E9, 0x29C9, 0x29A8, 0x21A8, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2967, 0x2967, 0x2967, 0x2967,
  0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A69, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x526A, 0x526A, 0x526A, 0x526A, 0x526A, 0x526A, 0x526A, 0x526A, 0x526A, 0x4A6A, 0x4A6A, 0x4A6A, 0x526A, 0x526A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A2A, 0x422A, 0x424A, 0x424A, 
        0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x424A, 0x3A29, 0x39E9, 0x31C8, 0x2987, 0x2967, 0x2966, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2166, 0x2967, 0x2987, 0x29A7, 0x29A8, 0x29C8, 0x31E9, 0x31E9, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x4229, 0x422A, 0x422A, 0x424A, 0x424A, 
        0x424A, 0x424A, 0x422A, 0x4229, 0x3A09, 0x3A09, 0x4229, 0x4229, 0x424A, 0x422A, 0x4229, 0x3A29, 0x3A09, 0x3A09, 0x31E9, 0x31C8, 0x31C8, 0x29A8, 0x2987, 0x2967, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2967, 0x2967, 0x2987, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x31C8, 0x31C8, 0x31E8, 0x31E8, 0x39E8, 0x3A08, 0x3A08, 0x3A08, 0x3A28, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A28, 
        0x3A08, 0x31C7, 0x29A7, 0x2966, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2187, 0x2188, 0x21A8, 0x21A8, 0x29C9, 0x29C9, 0x31E9, 0x3209, 0x3A0A, 0x3A0A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A0A, 0x3209, 0x31E9, 0x29C9, 0x29A8, 0x2188, 0x2187, 0x2187, 0x2188, 0x21A8, 0x29A8, 
        0x29A9, 0x21A9, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29C9, 0x31E9, 0x3A2A, 0x3A2A, 0x3A2A, 0x320A, 0x31E9, 0x29C9, 0x29A9, 0x29C9, 0x31E9, 0x320A, 0x320A, 0x29C9, 0x29A8, 0x2967, 0x2146, 0x2146, 0x2146, 
        0x2946, 0x2987, 0x31E8, 0x4229, 0x424A, 0x424A, 0x422A, 0x3A09, 0x29A8, 0x2967, 0x2167, 0x2167, 0x2167, 0x2167, 0x2987, 0x29C8, 0x31C9, 0x31E9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29A8, 0x2987, 0x2967, 0x2987, 0x29A8, 0x29A8, 0x2147, 
        0x2146, 0x2966, 0x2987, 0x31C9, 0x3A09, 0x3A2A, 0x424A, 0x424A, 0x422A, 0x422A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A6A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A6A, 0x4A4A, 0x424A, 0x422A, 0x424A, 0x424A, 0x4A4A, 0x424A, 0x422A, 0x424A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A6A, 0x422A, 0x422A, 0x422A, 0x422A, 0x424A, 0x4A4A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x3A2A, 0x3209, 0x2988, 0x2967, 0x2147, 0x2146, 0x2146, 0x2145, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2146, 0x2146, 0x2146, 0x2166, 0x2966, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2125, 0x2125, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2946, 0x2946, 0x2146, 0x2146, 0x2167, 0x2167, 0x2187, 0x29A8, 0x29C8, 0x31E9, 0x3A29, 0x424A, 0x424A, 0x426A, 0x4A6A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x424A, 0x422A, 0x3A29, 0x3A09, 0x31E9, 0x31C8, 0x29A8, 0x29A8, 0x2987, 0x2967, 0x2967, 0x2967, 0x2966, 0x2166, 0x2166, 0x2146, 0x2966, 0x2966, 0x2967, 0x2967, 0x2987, 0x2987, 0x29A7, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C9, 0x29E9, 0x3A29, 0x424A, 0x4A8A, 0x528A, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 
        0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x4A8A, 0x4A6A, 0x424A, 0x3A09, 0x31C9, 0x29A8, 0x2167, 0x2167, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2187, 0x29A8, 0x29A8, 0x29C9, 0x31C9, 0x31E9, 0x3209, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x422A, 0x3A2A, 0x3A2A, 0x3A0A, 0x3209, 0x29C9, 0x29A8, 0x2188, 0x2187, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2967,
  0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x526A, 0x526A, 0x526A, 0x526A, 0x526A, 0x526A, 0x526A, 0x526A, 0x526A, 0x526A, 0x526A, 0x526A, 0x526A, 0x526A, 0x526A, 0x526A, 0x526A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A4A, 0x4229, 0x39E9, 0x31C8, 0x2987, 0x2967, 0x2966, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2166, 0x2967, 0x2987, 0x29A7, 0x29A8, 0x29C8, 0x31E9, 0x3209, 0x3A09, 0x3A09, 0x3A29, 0x4229, 0x4229, 0x424A, 0x424A, 0x424A, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 0x3A09, 0x31C8, 0x31A8, 0x31C8, 0x39C8, 0x39C8, 0x31C8, 0x31C8, 0x31C8, 0x31A7, 0x29A7, 0x2987, 0x2987, 0x2967, 0x2966, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2966, 0x2966, 0x2146, 0x2146, 0x2946, 0x2966, 0x2966, 0x2966, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x31A7, 0x31A7, 0x31C8, 0x31C8, 0x31E8, 0x39E8, 0x3A08, 0x3A28, 0x3A29, 0x3A29, 0x4229, 0x4249, 0x4249, 
        0x3A29, 0x3A08, 0x31E8, 0x31C7, 0x2966, 0x2945, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2166, 0x2167, 0x2187, 0x2187, 0x21A8, 0x21A8, 0x21C9, 0x29C9, 0x29E9, 0x31E9, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x31E9, 0x29C9, 0x29C9, 0x29A9, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29C9, 0x31E9, 0x320A, 0x320A, 0x31E9, 0x29C9, 0x29A8, 0x2187, 0x2987, 0x29A8, 0x29C9, 0x29C9, 0x29A9, 0x21A8, 0x2167, 0x2167, 0x2146, 0x2125, 
        0x2146, 0x2966, 0x29A7, 0x31C9, 0x3A09, 0x3A2A, 0x3209, 0x31E9, 0x29A8, 0x2988, 0x2967, 0x2967, 0x2166, 0x2146, 0x2146, 0x2166, 0x2166, 0x2167, 0x2147, 0x2167, 0x2167, 0x29A8, 0x29C9, 0x31E9, 0x3209, 0x3209, 0x31E9, 0x29C8, 0x2988, 0x2147, 
        0x2146, 0x2146, 0x2146, 0x2166, 0x2987, 0x31E9, 0x3A09, 0x422A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A6A, 0x424A, 0x424A, 0x424A, 0x4A6A, 0x4A6A, 0x424A, 0x4A4A, 0x4A4A, 0x424A, 0x422A, 0x424A, 0x4A6A, 0x4A4A, 0x422A, 0x422A, 0x422A, 
        0x4A6A, 0x424A, 0x4229, 0x3A09, 0x422A, 0x424A, 0x4A4A, 0x424A, 0x4A4A, 0x424A, 0x422A, 0x422A, 0x424A, 0x426A, 0x424A, 0x424A, 0x422A, 0x422A, 0x422A, 0x424A, 0x424A, 0x4A6A, 0x4A6A, 0x426A, 0x3A2A, 0x31C9, 0x2967, 0x2147, 0x2146, 0x2146, 
        0x2146, 0x2126, 0x2126, 0x2125, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2146, 0x2145, 0x2145, 0x2145, 0x2125, 0x2146, 0x2146, 0x2146, 0x2166, 0x2167, 0x2967, 0x2966, 0x2946, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2167, 0x2167, 0x2987, 0x29A7, 0x29C8, 0x31E9, 0x3209, 0x3A29, 0x424A, 
        0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A09, 0x31E9, 0x31C9, 0x29C8, 0x29A8, 0x2987, 0x2967, 0x2967, 0x2967, 0x2966, 0x2166, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2167, 0x2987, 0x2987, 0x29A7, 0x29A8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21C8, 0x21C8, 0x21C8, 0x29C9, 0x3209, 0x3A2A, 0x4A6A, 0x4A8A, 0x528A, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 
        0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x4A8A, 0x4A6A, 0x424A, 0x3A29, 0x31E9, 0x29A8, 0x2167, 0x2167, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2167, 0x2987, 0x29A8, 0x29C9, 0x31E9, 0x31E9, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A2A, 0x3A2A, 0x3A09, 0x3209, 0x29C9, 0x29A8, 0x2988, 0x2187, 0x2167, 0x2167, 
        0x2167, 0x2166, 0x2166, 0x2166, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167,
  0x4A49, 0x4A49, 0x4A69, 0x4A69, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x526A, 0x526A, 0x526A, 0x526A, 0x526A, 0x526A, 0x526A, 0x526A, 0x526A, 0x526A, 0x526A, 0x526A, 0x526A, 0x526A, 0x526A, 0x526A, 0x526A, 0x526A, 0x526A, 0x4A6A, 0x4A6A, 0x4A69, 
        0x4A69, 0x4A69, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4249, 0x424A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x528A, 0x528A, 0x528A, 0x528A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A4A, 0x4229, 0x3A09, 0x31A8, 0x2987, 0x2966, 0x2966, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2166, 0x2167, 0x2987, 0x29A7, 0x29A8, 0x29C8, 0x31E9, 0x3A09, 0x3A09, 0x3A29, 0x422A, 0x424A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A6A, 0x4A4A, 0x3A09, 0x31C8, 0x31A8, 0x2987, 0x2987, 0x2987, 0x2987, 0x2967, 0x2967, 0x2967, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2966, 0x2966, 0x2967, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x31A8, 0x31C8, 0x31C8, 0x39C8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x3A08, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 
        0x3A29, 0x3A29, 0x3A28, 0x3A08, 0x31C7, 0x2986, 0x2966, 0x2945, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2166, 0x2167, 0x2167, 0x2167, 0x2188, 0x21A8, 0x21A9, 0x29C9, 0x29C9, 0x31E9, 0x3209, 0x3209, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x21C9, 0x21A9, 0x21A9, 0x21A9, 0x21A9, 0x21A8, 0x21A8, 
        0x21A8, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2988, 0x29A8, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29A8, 0x2187, 0x2167, 0x2167, 0x2167, 0x2187, 0x2188, 0x2187, 0x2167, 0x2167, 0x2166, 0x2146, 0x2146, 
        0x2946, 0x2966, 0x2967, 0x2987, 0x29A8, 0x29C8, 0x29C9, 0x29A9, 0x21A9, 0x29A9, 0x21A8, 0x29A8, 0x2988, 0x2187, 0x2167, 0x2967, 0x2967, 0x2966, 0x2146, 0x2146, 0x2146, 0x2166, 0x2967, 0x2988, 0x31E9, 0x3A2A, 0x3A2A, 0x3A2A, 0x31E9, 0x2967, 
        0x2166, 0x2166, 0x2166, 0x2966, 0x2146, 0x2166, 0x2967, 0x29A8, 0x3A09, 0x424A, 0x424A, 0x422A, 0x422A, 0x422A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x3A29, 0x422A, 0x424A, 0x424A, 0x4229, 0x4A4A, 0x4A6A, 0x424A, 0x424A, 0x424A, 0x4A6A, 
        0x4A4A, 0x4A6A, 0x4A6A, 0x4A8A, 0x424A, 0x4229, 0x422A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4229, 0x4229, 0x422A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x424A, 0x426A, 0x424A, 0x3A09, 0x31A8, 0x2967, 0x2147, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2125, 0x2145, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2146, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2967, 0x2966, 0x2966, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2167, 0x2167, 0x2187, 0x29A7, 0x29A8, 0x31E9, 
        0x31E9, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x31E9, 0x31C9, 0x29A8, 0x29A8, 0x29A8, 0x2987, 0x2967, 0x2966, 0x2966, 0x2946, 0x2146, 0x2146, 0x2166, 0x2166, 0x2167, 0x29A7, 0x29A8, 0x31C8, 0x31E9, 0x3209, 0x3A29, 
        0x3A29, 0x3A29, 0x3A09, 0x31E9, 0x31C9, 0x29C9, 0x29C9, 0x29C9, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x29C8, 0x29C8, 0x29C9, 0x3209, 0x4229, 0x4A6A, 0x528A, 0x52AA, 0x52AA, 0x528A, 0x528A, 0x52AA, 0x52AA, 0x52AA, 
        0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x4A8A, 0x4A6A, 0x424A, 0x3A2A, 0x29C9, 0x29A8, 0x2167, 0x2167, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2166, 0x2167, 0x2987, 0x29A8, 0x29C9, 0x31E9, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x422A, 0x3A2A, 0x3A09, 0x31E9, 0x29C9, 0x29A8, 0x2988, 0x2187, 0x2167, 
        0x2167, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2167,
  0x4A49, 0x4A49, 0x4A69, 0x4A69, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x526A, 0x526A, 0x526A, 0x526A, 0x526A, 0x526A, 0x526A, 0x526A, 0x526A, 0x526A, 0x526A, 0x526A, 0x526A, 0x526A, 0x526A, 0x526A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A69, 
        0x4A69, 0x4A69, 0x4A69, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x424A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4249, 0x3A29, 0x31E8, 0x31C7, 0x2987, 0x2967, 0x2966, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2166, 0x2166, 0x2987, 0x29A7, 0x29C8, 0x31C8, 0x3A09, 0x3A09, 0x422A, 0x424A, 0x4A6A, 0x4A8A, 0x4A8A, 0x528A, 0x52AA, 0x52AA, 0x52AA, 
        0x52AA, 0x528A, 0x4A8A, 0x4A6A, 0x4229, 0x39E9, 0x31C8, 0x29A8, 0x2987, 0x2967, 0x2967, 0x2966, 0x2966, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2966, 0x2967, 0x2987, 0x2987, 0x31A8, 0x31C8, 0x39E9, 0x3A09, 0x3A29, 0x4229, 0x422A, 0x424A, 0x4229, 0x4229, 0x4229, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 
        0x4229, 0x3A29, 0x3A28, 0x3A28, 0x31E8, 0x31C7, 0x31A7, 0x2966, 0x2966, 0x2945, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 
        0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2188, 0x21A9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x21C9, 0x21C9, 0x21C9, 0x21C9, 0x21A9, 
        0x21A8, 0x21A8, 0x21A8, 0x2188, 0x2188, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x29A8, 0x29A8, 0x29A8, 0x2987, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2146, 0x2146, 0x2166, 
        0x2167, 0x2167, 0x2167, 0x2987, 0x2987, 0x2187, 0x2187, 0x2188, 0x29A8, 0x29A8, 0x21A9, 0x21A9, 0x21A9, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x2988, 0x2187, 0x2167, 0x2987, 0x2987, 0x29A8, 0x29A8, 0x31C9, 0x3A09, 0x422A, 0x424A, 0x424A, 0x31C9, 
        0x2987, 0x2166, 0x2146, 0x2946, 0x2146, 0x2146, 0x2146, 0x2166, 0x29A7, 0x3A09, 0x3A2A, 0x424A, 0x424A, 0x424A, 0x424A, 0x422A, 0x422A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x422A, 0x3A09, 0x3A09, 0x424A, 0x424A, 0x422A, 0x4229, 0x3A09, 
        0x39E9, 0x3A09, 0x422A, 0x424A, 0x424A, 0x3A09, 0x3A29, 0x424A, 0x424A, 0x422A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x424A, 0x422A, 0x422A, 0x422A, 0x424A, 0x424A, 0x422A, 0x4229, 0x422A, 0x424A, 0x4A4A, 0x424A, 0x424A, 0x422A, 0x3A0A, 0x31A8, 
        0x2967, 0x2167, 0x2146, 0x2146, 0x2146, 0x2126, 0x2126, 0x2126, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2125, 0x2146, 0x2946, 0x2946, 0x2946, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2167, 0x2987, 
        0x29A8, 0x29A8, 0x29C8, 0x29C9, 0x29C8, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C8, 0x29A8, 0x29A8, 0x29A7, 0x2987, 0x2167, 0x2166, 0x2966, 0x2946, 0x2146, 0x2146, 0x2166, 0x2167, 0x2987, 0x29A8, 0x31C9, 0x3209, 0x3A29, 0x422A, 0x424A, 0x424A, 
        0x424A, 0x424A, 0x424A, 0x422A, 0x3A0A, 0x31E9, 0x31C9, 0x31C9, 0x29C9, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x29C8, 0x29C8, 0x29E9, 0x3A2A, 0x4A6A, 0x4A8A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x52AA, 0x52AA, 
        0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x4A8A, 0x4A6A, 0x424A, 0x3209, 0x29C9, 0x2988, 0x2167, 0x2167, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2146, 0x2146, 0x2166, 0x2187, 0x29A8, 0x31C9, 0x31E9, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x422A, 0x422A, 0x3A29, 0x3A09, 0x31E9, 0x29C9, 0x29A8, 0x2188, 0x2167, 
        0x2167, 0x2167, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146,
  0x4A49, 0x4A69, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x526A, 0x526A, 0x526A, 0x526A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x526A, 0x526A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A69, 0x4A69, 0x4A69, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x422A, 0x424A, 0x424A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 
        0x4A8A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x4A8A, 0x4A8A, 0x4A6A, 0x424A, 0x3A29, 0x39E8, 0x31C7, 0x2987, 0x2966, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2166, 0x2987, 0x29A8, 0x31C8, 0x31E9, 0x3A09, 0x422A, 0x424A, 0x4A6A, 0x4A8A, 0x528A, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 
        0x52AA, 0x52AA, 0x528A, 0x4A8A, 0x424A, 0x3A29, 0x31C9, 0x31A8, 0x2987, 0x2967, 0x2966, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2966, 0x2966, 0x2966, 0x2987, 0x29A7, 0x31C8, 0x39E9, 0x3A09, 0x4229, 0x422A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 
        0x4229, 0x3A29, 0x3A29, 0x3A28, 0x3A08, 0x3A08, 0x31C7, 0x31C7, 0x29A7, 0x2966, 0x2966, 0x2966, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2167, 0x2167, 0x2167, 0x2187, 0x2188, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A9, 0x29A9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29E9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x21C9, 0x21C9, 0x21C9, 
        0x21A9, 0x21A8, 0x21A8, 0x21A8, 0x2188, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2188, 0x2188, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x2987, 0x2987, 0x2967, 0x2187, 0x2187, 0x21A8, 0x21A8, 0x21A8, 0x21A9, 0x21A9, 0x21A9, 0x21A9, 0x21A9, 0x21A9, 0x29A9, 0x29C9, 0x29E9, 0x31E9, 0x3209, 0x3A2A, 0x3A2A, 0x424A, 0x424A, 0x3A0A, 
        0x29A8, 0x2967, 0x2146, 0x2146, 0x2125, 0x2125, 0x2125, 0x2146, 0x2146, 0x2967, 0x2967, 0x31A8, 0x31C9, 0x3A09, 0x422A, 0x3A2A, 0x422A, 0x424A, 0x424A, 0x424A, 0x422A, 0x3A2A, 0x424A, 0x424A, 0x424A, 0x422A, 0x422A, 0x424A, 0x4A6A, 0x424A, 
        0x424A, 0x422A, 0x4229, 0x422A, 0x422A, 0x3A09, 0x3A09, 0x3A29, 0x4229, 0x3A09, 0x3A09, 0x4229, 0x422A, 0x424A, 0x422A, 0x424A, 0x422A, 0x422A, 0x4229, 0x424A, 0x424A, 0x422A, 0x3A29, 0x422A, 0x424A, 0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x424A, 
        0x3A29, 0x31C9, 0x2987, 0x2967, 0x2967, 0x2146, 0x2967, 0x2967, 0x2987, 0x2167, 0x2146, 0x2146, 0x2146, 0x2125, 0x2146, 0x2946, 0x2966, 0x2966, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2167, 0x2167, 0x2187, 0x2987, 0x2987, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2188, 0x2187, 0x2187, 0x2187, 0x2167, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2987, 0x31C8, 0x3A09, 0x3A29, 0x422A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x424A, 0x422A, 0x3A0A, 0x39E9, 0x31C9, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x29A8, 0x29C9, 0x29E9, 0x3A4A, 0x4A8A, 0x4A8A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x52AA, 0x52AA, 
        0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x4A8A, 0x4A6A, 0x3A2A, 0x31E9, 0x29A8, 0x2987, 0x2167, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2146, 0x2146, 0x2166, 0x2987, 0x29C8, 0x31E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x4229, 0x4229, 0x422A, 0x422A, 0x422A, 0x3A2A, 0x3A09, 0x31E9, 0x29C9, 0x29A8, 0x2187, 
        0x2167, 0x2167, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146,
  0x4A49, 0x4A49, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x526A, 0x526A, 0x526A, 0x526A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A69, 0x4A69, 0x4A69, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x424A, 0x424A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 
        0x4A8A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x4A8A, 0x4A6A, 0x424A, 0x3A29, 0x31E8, 0x31C7, 0x2987, 0x2966, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2166, 0x2987, 0x29A7, 0x31C8, 0x3A09, 0x422A, 0x424A, 0x4A6A, 0x4A8A, 0x528A, 0x528A, 0x528A, 0x528A, 0x52AA, 0x52AA, 0x52AA, 
        0x52AA, 0x52AA, 0x52AA, 0x528A, 0x4A6A, 0x4229, 0x39E9, 0x31C8, 0x29A7, 0x2967, 0x2966, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2946, 0x2966, 0x2966, 0x2967, 0x29A7, 0x31C8, 0x31E9, 0x3A09, 0x3A09, 0x4229, 0x422A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4249, 0x3A29, 0x3A09, 0x3A29, 0x3A29, 
        0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A08, 0x3A08, 0x31E8, 0x31C8, 0x31A7, 0x29A7, 0x2987, 0x2967, 0x2966, 0x2966, 0x2966, 0x2966, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2145, 0x2145, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2188, 0x21A8, 0x21A8, 0x21A9, 0x21A9, 0x21C9, 0x29C9, 0x29C9, 0x31E9, 0x31E9, 0x31E9, 0x29C9, 0x29C9, 0x29C9, 0x21C9, 0x21C9, 
        0x21A8, 0x21A8, 0x21A8, 0x2188, 0x2188, 0x2188, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x21A8, 
        0x29A9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29A8, 0x29A8, 0x2988, 0x2967, 0x2967, 0x2967, 0x2167, 0x2167, 0x2187, 0x2187, 0x21A8, 0x21A8, 0x21A9, 0x29C9, 0x29C9, 0x29C9, 0x29E9, 0x29E9, 0x31E9, 0x31E9, 0x31E9, 0x3A09, 0x3209, 0x29C8, 
        0x2987, 0x2166, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2967, 0x2967, 0x2987, 0x2987, 0x2987, 0x2967, 0x2987, 0x2987, 0x31A8, 0x31C8, 0x31C8, 0x39E9, 0x39E9, 0x3A09, 0x3A09, 0x31C8, 
        0x39E8, 0x39E9, 0x39E9, 0x39E9, 0x3A09, 0x39C8, 0x39C9, 0x39E9, 0x31C8, 0x39E9, 0x3A09, 0x3A09, 0x4229, 0x4229, 0x4229, 0x3A09, 0x3A2A, 0x424A, 0x424A, 0x424A, 0x422A, 0x4229, 0x3A09, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4A6A, 
        0x426A, 0x424A, 0x3A29, 0x29A8, 0x2167, 0x2967, 0x29A8, 0x31C9, 0x31C9, 0x2967, 0x2146, 0x2146, 0x2146, 0x2125, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2125, 0x2126, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2166, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2987, 0x29A8, 0x31E9, 0x3A09, 0x4229, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A8A, 0x4A6A, 0x4A6A, 0x424A, 0x3A29, 0x31E9, 0x31C9, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29C8, 0x29C9, 0x29E9, 0x3A2A, 0x426A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 
        0x528A, 0x528A, 0x52AA, 0x52AA, 0x528A, 0x528A, 0x528A, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x4A6A, 0x422A, 0x3A09, 0x31C9, 0x29A8, 0x2187, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2146, 0x2146, 0x2166, 0x29A7, 0x29C8, 0x31E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A2A, 0x3A09, 0x3209, 0x31E9, 0x29C8, 0x2988, 
        0x2167, 0x2167, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146,
  0x4A49, 0x4A49, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A69, 0x4A69, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x424A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 
        0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x4A8A, 0x4A6A, 0x424A, 0x3A09, 0x31C8, 0x29A7, 0x2967, 0x2166, 0x2166, 0x2146, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2167, 0x2967, 0x29A7, 0x31C8, 0x3A09, 0x424A, 0x4A6A, 0x4A8A, 0x528A, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 
        0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x4A8A, 0x424A, 0x3A09, 0x31C8, 0x29A7, 0x2987, 0x2967, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2946, 0x2966, 0x2967, 0x2987, 0x29A8, 0x31C9, 0x39E9, 0x3A09, 0x3A2A, 0x422A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A8A, 0x4A8A, 0x528A, 0x528A, 0x4A6A, 0x4249, 0x3A29, 0x3A09, 0x3A09, 
        0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A08, 0x3A08, 0x31E8, 0x31C8, 0x31A8, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2167, 0x2967, 0x2966, 0x2966, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2167, 0x2167, 0x2187, 0x21A8, 0x21A8, 0x21A9, 0x29A9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29A9, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2188, 0x2188, 0x2188, 0x2188, 0x2187, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x21A8, 
        0x29A8, 0x29C9, 0x29E9, 0x320A, 0x3209, 0x3209, 0x29E9, 0x29C9, 0x29C9, 0x29A8, 0x2987, 0x2967, 0x2166, 0x2146, 0x2146, 0x2166, 0x2167, 0x2187, 0x21A8, 0x29C9, 0x29E9, 0x29C9, 0x29C9, 0x29A8, 0x2987, 0x2967, 0x2967, 0x2987, 0x2187, 0x2187, 
        0x2167, 0x2967, 0x2967, 0x2967, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2967, 0x2987, 0x2967, 0x2946, 0x2946, 0x2967, 0x2966, 0x2946, 0x2946, 0x2946, 0x2946, 0x2966, 0x2967, 0x2987, 0x2987, 0x2987, 0x3187, 0x3187, 0x31A7, 0x31A8, 0x31A7, 0x31A8, 0x31C8, 0x31C8, 0x31A8, 0x31C8, 
        0x39E8, 0x31C8, 0x31C8, 0x31C8, 0x2967, 0x2967, 0x2967, 0x2987, 0x2967, 0x2146, 0x2146, 0x2146, 0x2145, 0x2125, 0x2146, 0x2146, 0x2146, 0x2146, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2146, 
        0x2125, 0x2126, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2167, 0x29A7, 0x31C8, 0x3A09, 0x4229, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A8A, 0x528A, 
        0x4A8A, 0x528A, 0x528A, 0x528A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A4A, 0x3A2A, 0x3A09, 0x31E9, 0x31C9, 0x29C8, 0x29C8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x3209, 0x3A29, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x528A, 0x528A, 0x528A, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x4A6A, 0x422A, 0x4229, 0x3A09, 0x31E9, 0x29A8, 0x2167, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2146, 0x2146, 0x2167, 0x29A8, 0x31C9, 0x31E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A09, 0x3A09, 0x3209, 0x29C9, 0x29A8, 
        0x2187, 0x2167, 0x2167, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146,
  0x4A49, 0x4A49, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x424A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x528A, 
        0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x528A, 0x528A, 0x528A, 0x52AA, 0x528A, 0x4A6A, 0x424A, 0x3A29, 0x31E9, 0x29A8, 0x2987, 0x2167, 0x2166, 0x2166, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2167, 0x2167, 0x2987, 0x29C8, 0x31E9, 0x424A, 0x4A8A, 0x528A, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 
        0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x528A, 0x4A6A, 0x4229, 0x39E9, 0x29C8, 0x29A7, 0x2187, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2946, 0x2966, 0x2987, 0x29A7, 0x31C8, 0x31E9, 0x3A09, 0x3A29, 0x3A29, 0x4229, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A8A, 0x4A8A, 0x528A, 0x528A, 0x4A8A, 0x4A6A, 0x4229, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x31E8, 0x31C8, 0x31C8, 0x29A8, 0x29A8, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2967, 0x2166, 0x2166, 0x2146, 0x2146, 0x2145, 0x2145, 0x2125, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2167, 0x2167, 0x2188, 0x2188, 0x21A8, 0x21A9, 0x21A9, 0x21A9, 0x29C9, 0x29C9, 0x29C9, 0x29A9, 0x29A8, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x2188, 0x2188, 0x2187, 0x2187, 0x2188, 0x21A8, 0x21A8, 0x2188, 0x2188, 0x2188, 0x2187, 0x2187, 0x2187, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 
        0x21A8, 0x29A8, 0x29C9, 0x29E9, 0x3209, 0x320A, 0x320A, 0x320A, 0x320A, 0x31E9, 0x29C9, 0x29A8, 0x2988, 0x2167, 0x2146, 0x2166, 0x2167, 0x2187, 0x29A8, 0x29E9, 0x320A, 0x31E9, 0x29C9, 0x29A8, 0x2167, 0x2166, 0x2167, 0x2167, 0x2167, 0x2188, 
        0x2988, 0x29A9, 0x29C9, 0x29C9, 0x29A8, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2167, 0x2146, 0x2146, 0x2145, 0x2125, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2946, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2946, 0x2146, 0x2146, 0x2146, 0x2126, 0x2126, 0x2146, 0x2946, 0x2946, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2966, 0x2946, 0x2146, 0x2126, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2126, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2146, 
        0x2126, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2987, 0x29C8, 0x31E9, 0x3A09, 0x422A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x528A, 
        0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x4A8A, 0x4A8A, 0x4A6A, 0x424A, 0x3A29, 0x39E9, 0x31E9, 0x29C9, 0x29C8, 0x29C8, 0x29A8, 0x29C8, 0x31C9, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 
        0x4229, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x528A, 0x528A, 0x528A, 0x528A, 0x52AA, 0x52AA, 0x52AA, 0x528A, 0x4A8A, 0x4A6A, 0x424A, 0x422A, 0x422A, 0x3A29, 0x29C9, 0x2167, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 
        0x2146, 0x2146, 0x2166, 0x2987, 0x31C8, 0x31E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x4229, 0x4229, 0x4229, 0x3A09, 0x3A09, 0x39E9, 0x31C9, 0x29A8, 
        0x29A8, 0x2187, 0x2167, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146,
  0x4A49, 0x4A49, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A49, 
        0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4249, 0x424A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x528A, 
        0x528A, 0x528A, 0x528A, 0x528A, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x528A, 0x528A, 0x52AA, 0x528A, 0x4A8A, 0x4A4A, 0x422A, 0x3A09, 0x29C8, 0x29A7, 0x2187, 0x2167, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2146, 0x2146, 0x2166, 0x2167, 0x2187, 0x29A7, 0x29C8, 0x31E9, 0x424A, 0x4A8A, 0x528A, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 
        0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x4A8A, 0x4A4A, 0x3A29, 0x31E8, 0x29A8, 0x29A7, 0x2187, 0x2187, 0x2187, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2966, 0x2966, 0x2987, 0x29A8, 0x31E9, 0x3A09, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x528A, 0x528A, 0x528A, 0x4A8A, 0x4A4A, 0x4229, 0x3A09, 
        0x3A09, 0x3A09, 0x3A08, 0x3A09, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x39E9, 0x31E8, 0x31C8, 0x31C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x2988, 0x2987, 0x2167, 0x2167, 0x2146, 0x2146, 0x2146, 0x2145, 0x2125, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2167, 0x2167, 0x2187, 0x2188, 0x21A8, 0x21A9, 0x21A9, 0x21A9, 0x21A9, 0x21C9, 0x21C9, 0x21C9, 0x21A8, 0x21A8, 0x21A9, 
        0x21A9, 0x21C9, 0x21C9, 0x21C9, 0x21C9, 0x21C9, 0x21C9, 0x21C9, 0x21A9, 0x21A8, 0x21A8, 0x2188, 0x2188, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x2188, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2188, 0x2188, 
        0x21A8, 0x21A8, 0x21A8, 0x29A9, 0x29C9, 0x31E9, 0x31E9, 0x3209, 0x320A, 0x3209, 0x31E9, 0x29C9, 0x29C9, 0x21A8, 0x2167, 0x2167, 0x2167, 0x2188, 0x29C8, 0x3209, 0x320A, 0x320A, 0x31E9, 0x29C9, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x21A8, 
        0x29C9, 0x29E9, 0x320A, 0x3A0A, 0x320A, 0x31E9, 0x29C9, 0x29C8, 0x29C9, 0x29C9, 0x29C9, 0x29A8, 0x2987, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2946, 0x2966, 0x2987, 0x2967, 0x2966, 0x2946, 0x2146, 0x2946, 0x2946, 
        0x2946, 0x2946, 0x2146, 0x2146, 0x2966, 0x2946, 0x2946, 0x2146, 0x2146, 0x2146, 0x2146, 0x2126, 0x2125, 0x2125, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2946, 0x2946, 0x2946, 0x2946, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 
        0x2126, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2126, 0x2125, 0x2145, 0x2146, 0x2146, 0x2146, 0x2946, 0x2966, 0x2966, 0x2946, 0x2146, 0x2146, 0x2146, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2146, 0x2946, 0x2946, 
        0x2946, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2166, 0x2987, 0x29C8, 0x3A09, 0x4229, 0x4A4A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x528A, 
        0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x424A, 0x422A, 0x3A09, 0x31E9, 0x31C9, 0x29C9, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x31C8, 0x31C8, 0x29C9, 0x31C9, 0x31E9, 0x31E9, 0x3209, 0x31E9, 0x3A09, 
        0x3A09, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4249, 0x424A, 0x424A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x528A, 0x528A, 0x528A, 0x528A, 0x4A6A, 0x4A6A, 0x4A49, 0x424A, 0x422A, 0x3A29, 0x29C9, 0x2187, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 
        0x2146, 0x2146, 0x2967, 0x29A7, 0x31E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x3A29, 0x3A09, 0x3A09, 0x39E9, 0x31E9, 0x29C8, 
        0x29A8, 0x2187, 0x2167, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145,
  0x4A49, 0x4A49, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A49, 
        0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x424A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x528A, 
        0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x528A, 0x4A8A, 0x4A6A, 0x424A, 0x3A09, 0x29C8, 0x29A7, 0x2187, 0x2187, 0x2167, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 
        0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2146, 0x2146, 0x2166, 0x2167, 0x2187, 0x29A8, 0x29C8, 0x39E9, 0x424A, 0x4A6A, 0x4A8A, 0x528A, 0x528A, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 
        0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x528A, 0x4A6A, 0x4249, 0x3A09, 0x29C8, 0x29A8, 0x29A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2966, 0x2966, 0x2987, 0x29A7, 0x31C8, 0x3A09, 0x3A09, 0x3A2A, 0x422A, 0x422A, 0x422A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x528A, 0x528A, 0x4A8A, 0x4A4A, 0x4229, 0x3A09, 
        0x39E9, 0x39E8, 0x39E8, 0x3A08, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x31E9, 0x31C9, 0x31C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x2987, 0x2987, 0x2167, 0x2166, 0x2166, 0x2146, 0x2145, 0x2145, 0x2125, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 
        0x2125, 0x2125, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2167, 0x2167, 0x2187, 0x2188, 0x21A8, 0x21A9, 0x21A9, 0x21A9, 0x21A9, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 
        0x21A9, 0x21C9, 0x21C9, 0x21C9, 0x21C9, 0x21C9, 0x21C9, 0x21C9, 0x21C9, 0x21C9, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x2188, 0x21A8, 0x21A8, 0x21A8, 0x2188, 0x2187, 0x2167, 0x2166, 0x2146, 0x2146, 0x2146, 0x2166, 0x2167, 0x2167, 0x2188, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29C9, 0x31C9, 0x31E9, 0x320A, 0x320A, 0x31E9, 0x31C9, 0x29C9, 0x29A9, 0x2187, 0x2167, 0x2167, 0x2187, 0x29A8, 0x29C9, 0x31E9, 0x31EA, 0x29C9, 0x29C9, 0x29A8, 0x2188, 0x2187, 0x2187, 0x2187, 0x2188, 
        0x29A8, 0x31E9, 0x3A0A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x320A, 0x320A, 0x320A, 0x320A, 0x320A, 0x31E9, 0x29C8, 0x2167, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2966, 0x2987, 0x29A7, 0x2966, 0x2146, 0x2146, 0x2146, 0x2146, 0x2946, 
        0x2966, 0x2966, 0x2946, 0x2946, 0x2946, 0x2946, 0x2946, 0x2146, 0x2146, 0x2946, 0x2946, 0x2946, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2146, 0x2966, 0x2966, 0x2967, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2946, 0x2146, 0x2146, 0x2146, 0x2946, 0x2146, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2946, 
        0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2146, 0x2146, 0x2946, 0x2966, 0x2946, 0x2146, 0x2146, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2987, 0x29C8, 0x3209, 0x4229, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x528A, 
        0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A4A, 0x424A, 0x3A2A, 0x3A09, 0x31E9, 0x31C9, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C9, 0x31C9, 0x31C9, 0x31E9, 
        0x31E9, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x424A, 0x4249, 0x424A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A4A, 0x424A, 0x422A, 0x3A09, 0x29C8, 0x2187, 0x2167, 0x2166, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2146, 0x2166, 0x2967, 0x29A8, 0x39E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A09, 0x3A09, 0x3A09, 0x39E9, 0x31E9, 0x29C8, 
        0x29A8, 0x2187, 0x2167, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145,
  0x4A49, 0x4A49, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A49, 
        0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4249, 0x424A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x528A, 0x528A, 
        0x528A, 0x528A, 0x528A, 0x528A, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x4A8A, 0x4A6A, 0x424A, 0x3A09, 0x29C8, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 
        0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2146, 0x2146, 0x2166, 0x2167, 0x2987, 0x29A8, 0x31C8, 0x39E9, 0x424A, 0x4A6A, 0x4A8A, 0x4A8A, 0x528A, 0x528A, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 
        0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x528A, 0x4A8A, 0x424A, 0x3A29, 0x3209, 0x31E8, 0x29C8, 0x29C8, 0x21A8, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2987, 0x29A7, 0x31C8, 0x39E9, 0x3A09, 0x3A09, 0x422A, 0x422A, 0x422A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x528A, 0x4A8A, 0x4A6A, 0x4249, 0x4229, 0x3A09, 
        0x39E9, 0x31E8, 0x31E8, 0x39E8, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x31E9, 0x31C9, 0x31C9, 0x31C8, 0x29C8, 0x29A8, 0x29A8, 0x29A7, 0x2987, 0x2987, 0x2966, 0x2166, 0x2146, 0x2146, 0x2145, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2167, 0x2167, 0x2188, 0x2188, 0x2188, 0x2188, 0x21A8, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x21A8, 
        0x21A8, 0x21A9, 0x21A9, 0x21A9, 0x21A9, 0x21A9, 0x21C9, 0x21C9, 0x21C9, 0x21C9, 0x21A9, 0x21A9, 0x21A9, 0x21A9, 0x21A9, 0x21A8, 0x21A8, 0x21A8, 0x2188, 0x2187, 0x2167, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2167, 0x2167, 0x2188, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x2188, 0x2988, 0x29A8, 0x29C9, 0x31E9, 0x320A, 0x320A, 0x31EA, 0x31E9, 0x29C9, 0x29A8, 0x29A8, 0x2187, 0x2187, 0x2187, 0x29A8, 0x29C9, 0x29C9, 0x29A9, 0x29A9, 0x21A8, 0x21A8, 0x2188, 0x2188, 0x2187, 0x2187, 
        0x29A8, 0x29C9, 0x31E9, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A09, 0x31E9, 0x31E9, 0x31E9, 0x320A, 0x320A, 0x320A, 0x29C9, 0x29A8, 0x2967, 0x2147, 0x2146, 0x2125, 0x2145, 0x2146, 0x2966, 0x2987, 0x2966, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2946, 0x2946, 0x2146, 0x2146, 0x2946, 0x2946, 0x2946, 0x2146, 0x2146, 0x2146, 0x2946, 0x2966, 0x2966, 0x2146, 0x2946, 0x2946, 0x2946, 0x2146, 0x2146, 0x2146, 0x2146, 0x2946, 0x2967, 0x29A8, 0x31C8, 0x2987, 0x2966, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2126, 0x2126, 0x2126, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2146, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2145, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2146, 0x2946, 0x2987, 0x29A7, 0x2987, 0x2966, 0x2146, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2167, 0x29A7, 0x31C8, 0x3A09, 0x4A6A, 0x4A8A, 0x4A8A, 0x528A, 0x528A, 0x4A8A, 0x528A, 
        0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x424A, 0x422A, 0x3A09, 0x3A09, 0x31C9, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x31C8, 0x31C8, 0x31C9, 
        0x31E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x424A, 0x3209, 0x29A8, 0x2167, 0x2167, 0x2166, 0x2166, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 
        0x2146, 0x2946, 0x2946, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 
        0x2166, 0x2967, 0x29A7, 0x31C8, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A2A, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4209, 0x4209, 0x4209, 0x4209, 0x3A09, 0x3A09, 0x3A09, 0x39E9, 0x31C9, 0x29C8, 
        0x29A8, 0x2187, 0x2167, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145,
  0x4A49, 0x4A49, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A49, 0x4A49, 0x4A49, 0x4A4A, 0x4A4A, 0x4A49, 0x4A49, 
        0x4A49, 0x4A49, 0x4249, 0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x424A, 0x424A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x528A, 0x528A, 
        0x528A, 0x528A, 0x528A, 0x528A, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x528A, 0x4A6A, 0x424A, 0x3209, 0x29C8, 0x21A8, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 
        0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2146, 0x2166, 0x2166, 0x2167, 0x2987, 0x29A8, 0x31C8, 0x3A09, 0x424A, 0x4A6A, 0x4A8A, 0x4A8A, 0x528A, 0x528A, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 
        0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x4A8A, 0x4A6A, 0x4A6A, 0x424A, 0x424A, 0x3A29, 0x31E9, 0x29C8, 0x29C8, 0x21C8, 0x21A8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x29A7, 0x29A8, 0x31C8, 0x3A09, 0x4229, 0x4229, 0x422A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A8A, 0x528A, 0x528A, 0x528A, 0x4A6A, 0x4A4A, 0x4229, 0x3A09, 0x3A09, 
        0x31E8, 0x31C8, 0x31C8, 0x31C8, 0x31E8, 0x39E9, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x39E9, 0x31E9, 0x31C9, 0x31C8, 0x31C8, 0x29A8, 0x29A8, 0x29A7, 0x2987, 0x2987, 0x2967, 0x2966, 0x2946, 0x2146, 0x2145, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2126, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 
        0x21A8, 0x21A8, 0x21A8, 0x21A9, 0x21A9, 0x21A9, 0x21A9, 0x21A8, 0x21A8, 0x21A8, 0x21A9, 0x21A9, 0x21A9, 0x21A9, 0x21A9, 0x21A8, 0x21A8, 0x21A8, 0x2188, 0x2187, 0x2167, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2167, 0x2167, 0x2188, 0x2188, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x2187, 0x2167, 0x2167, 0x2988, 0x29A8, 0x29C9, 0x31E9, 0x31EA, 0x31EA, 0x31E9, 0x29C9, 0x29C8, 0x29A8, 0x2988, 0x2188, 0x21A8, 0x21A8, 0x29A9, 0x29A9, 0x29A9, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x2188, 0x2188, 
        0x21A8, 0x29A8, 0x29C9, 0x3A09, 0x422A, 0x3A2A, 0x3A2A, 0x3A0A, 0x31C9, 0x29A8, 0x29A8, 0x29C9, 0x29C9, 0x29E9, 0x29C9, 0x29C9, 0x29A9, 0x2188, 0x2167, 0x2146, 0x2146, 0x2146, 0x2966, 0x2987, 0x2987, 0x2166, 0x2146, 0x2146, 0x2946, 0x2946, 
        0x2946, 0x2966, 0x2966, 0x2146, 0x2146, 0x2146, 0x2146, 0x2946, 0x2966, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2966, 0x2987, 0x2987, 0x2966, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2126, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2146, 0x2145, 0x2146, 0x2146, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2946, 0x2967, 0x2987, 0x2967, 0x2966, 0x2146, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2146, 0x2167, 0x2987, 0x31C8, 0x3A29, 0x4A6A, 0x4A8A, 0x4A8A, 0x528A, 0x528A, 0x528A, 
        0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A4A, 0x424A, 0x424A, 0x3A29, 0x3A09, 0x31C9, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x31C8, 0x31C9, 
        0x31E9, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x4209, 0x4229, 0x422A, 0x424A, 0x422A, 0x4229, 0x4229, 0x424A, 0x424A, 0x3A29, 0x31E9, 0x29A8, 0x2187, 0x2167, 0x2166, 0x2166, 0x2166, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2167, 
        0x2187, 0x29A7, 0x29C8, 0x3A09, 0x3A29, 0x4229, 0x4229, 0x4229, 0x422A, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x422A, 0x422A, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A09, 0x3A09, 0x3A09, 0x39E9, 0x31C8, 0x29C8, 
        0x29A8, 0x2987, 0x2167, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145,
  0x4A49, 0x4A49, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4249, 
        0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x424A, 0x424A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x528A, 0x528A, 0x528A, 0x528A, 
        0x528A, 0x528A, 0x528A, 0x528A, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x528A, 0x4A8A, 0x4A6A, 0x3A29, 0x3209, 0x29C8, 0x21C8, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2167, 0x2166, 0x2166, 0x2166, 
        0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2946, 0x2946, 0x2166, 0x2967, 0x2987, 0x2987, 0x29A8, 0x31A8, 0x31E9, 0x422A, 0x4A4A, 0x4A6A, 0x528A, 0x528A, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 
        0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x528A, 0x4A6A, 0x4A6A, 0x4A6A, 0x424A, 0x424A, 0x424A, 0x3A2A, 0x3209, 0x29C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 
        0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x29A8, 0x29C8, 0x31C8, 0x3A09, 0x422A, 0x422A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x528A, 0x528A, 0x528A, 0x528A, 0x4A8A, 0x4A4A, 0x4229, 0x4229, 0x3A09, 0x31E8, 
        0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31E8, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x39E9, 0x31E9, 0x31C9, 0x31C8, 0x31C8, 0x29A8, 0x29A8, 0x29A7, 0x2987, 0x2987, 0x2967, 0x2966, 0x2946, 0x2146, 0x2145, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2126, 0x2126, 0x2146, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2188, 0x2188, 
        0x21A8, 0x21A8, 0x21A8, 0x21A9, 0x21A9, 0x21A8, 0x21A8, 0x21A8, 0x2188, 0x2188, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x2188, 0x2188, 0x2188, 0x2188, 0x2167, 0x2167, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2167, 0x2167, 0x2188, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x2188, 0x2188, 0x2188, 0x2188, 0x29A8, 0x29A9, 0x31C9, 0x31E9, 0x31E9, 0x29E9, 0x29C9, 0x29C9, 0x29A9, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x2188, 0x2188, 
        0x21A8, 0x21A8, 0x29A8, 0x31C9, 0x3A09, 0x3A2A, 0x3A2A, 0x320A, 0x29C9, 0x2988, 0x2167, 0x2167, 0x2987, 0x29A8, 0x29C9, 0x29C9, 0x29C9, 0x21A9, 0x2988, 0x2167, 0x2146, 0x2966, 0x2987, 0x31C8, 0x31C8, 0x2987, 0x2966, 0x2146, 0x2946, 0x2966, 
        0x2946, 0x2146, 0x2966, 0x2967, 0x2966, 0x2946, 0x2146, 0x2146, 0x2966, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2966, 0x2966, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2125, 0x2145, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2946, 0x2966, 0x2146, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2146, 0x2146, 0x2166, 0x2167, 0x29A7, 0x31C8, 0x3A2A, 0x424A, 0x4A6A, 0x4A8A, 0x4A8A, 0x528A, 
        0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A4A, 0x424A, 0x422A, 0x422A, 0x3A09, 0x3209, 0x31C9, 0x29C8, 0x29A8, 0x29A8, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x31C8, 
        0x31E9, 0x31E9, 0x39E9, 0x39E9, 0x39E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x4209, 0x422A, 0x3A29, 0x3A09, 0x39E9, 0x31E9, 0x3A09, 0x3209, 0x31E9, 0x29A8, 0x2987, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 
        0x2146, 0x2946, 0x2946, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2166, 0x2167, 0x2167, 0x2167, 0x2987, 0x29A7, 
        0x29A8, 0x31C9, 0x3A09, 0x3A2A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x422A, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A09, 0x3A09, 0x39E9, 0x39E9, 0x31C8, 0x29C8, 
        0x29A7, 0x2967, 0x2167, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125,
  0x4A49, 0x4A49, 0x4A6A, 0x426A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 
        0x4249, 0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x424A, 0x424A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x528A, 0x528A, 0x528A, 0x528A, 
        0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x528A, 0x4A8A, 0x4A6A, 0x424A, 0x3A29, 0x3209, 0x29C8, 0x21C8, 0x21C8, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2167, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2946, 0x2946, 0x2966, 0x2967, 0x2987, 0x29A7, 0x29A8, 0x31A8, 0x31C8, 0x31C8, 0x4229, 0x4A4A, 0x4A6A, 0x528A, 0x528A, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 
        0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x4A8A, 0x4A6A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x3A2A, 0x29E9, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 
        0x21A8, 0x21C8, 0x21C8, 0x21C8, 0x21A8, 0x29C8, 0x29C8, 0x31C9, 0x31E9, 0x4229, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x4A6A, 0x424A, 0x4229, 0x3A09, 0x39E9, 0x31E8, 
        0x31C8, 0x31C8, 0x31C8, 0x31A8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x39E8, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x39E9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x31C8, 0x29A8, 0x29A8, 0x29A7, 0x2987, 0x2987, 0x2966, 0x2966, 0x2946, 0x2146, 0x2145, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2125, 0x2125, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2188, 
        0x21A8, 0x21A8, 0x21A8, 0x21A9, 0x21A9, 0x21A8, 0x2188, 0x2188, 0x2188, 0x2187, 0x2187, 0x2187, 0x2187, 0x2188, 0x2188, 0x2188, 0x2188, 0x2187, 0x2167, 0x2167, 0x2167, 0x2146, 0x2146, 0x2145, 0x2146, 0x2166, 0x2167, 0x2167, 0x2188, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x2188, 0x2188, 0x2188, 0x21A8, 0x21A9, 0x29C9, 0x29C9, 0x31E9, 0x31E9, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x29C9, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x29C9, 0x29A9, 0x29A8, 0x2188, 0x2188, 0x2188, 
        0x2188, 0x2988, 0x29A8, 0x29A8, 0x29C9, 0x29E9, 0x29E9, 0x29C9, 0x29A8, 0x2167, 0x2146, 0x2145, 0x2145, 0x2146, 0x2187, 0x21A8, 0x21A8, 0x21A8, 0x2988, 0x2167, 0x2146, 0x2146, 0x2146, 0x2966, 0x2967, 0x2967, 0x2966, 0x2946, 0x2146, 0x2946, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2966, 0x2966, 0x2966, 0x2967, 0x2967, 0x2966, 0x2946, 0x2146, 0x2146, 0x2146, 0x2146, 0x2966, 0x2966, 0x2146, 0x2146, 0x2966, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2966, 
        0x2946, 0x2946, 0x2146, 0x2146, 0x2146, 0x2146, 0x2126, 0x2126, 0x2126, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2946, 0x2946, 0x2146, 0x2145, 0x2145, 0x2146, 0x2146, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2946, 0x2966, 0x2946, 0x2146, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2146, 0x2146, 0x2146, 0x2167, 0x2987, 0x29C9, 0x3209, 0x3A2A, 0x426A, 0x4A8A, 0x4A8A, 
        0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x4A8A, 0x4A6A, 0x4A4A, 0x424A, 0x424A, 0x422A, 0x3A29, 0x3A09, 0x31E9, 0x31C9, 0x29C8, 0x29A8, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29A8, 
        0x31C9, 0x31C9, 0x31E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A09, 0x31E9, 0x31C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2945, 0x2946, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2187, 0x2987, 0x29A8, 0x29C8, 0x29C8, 0x31E9, 
        0x3209, 0x3A29, 0x3A2A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4209, 0x3A09, 0x39E9, 0x39E9, 0x31E9, 0x31C8, 0x29A8, 
        0x2987, 0x2167, 0x2166, 0x2146, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125,
  0x4A49, 0x4A49, 0x4A6A, 0x426A, 0x426A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x424A, 0x424A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x528A, 0x528A, 0x528A, 0x528A, 
        0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x528A, 0x4A8A, 0x4A6A, 0x424A, 0x3A29, 0x29E9, 0x29C8, 0x21C8, 0x21C8, 0x21C8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2946, 0x2946, 0x3187, 0x31A7, 0x39C8, 0x39C8, 0x39E8, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x4209, 0x422A, 0x4A4A, 0x528A, 0x528A, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 
        0x52AA, 0x528A, 0x528A, 0x4A8A, 0x4A6A, 0x4A4A, 0x424A, 0x424A, 0x424A, 0x422A, 0x424A, 0x3A2A, 0x3209, 0x29E9, 0x29E9, 0x29C9, 0x29C9, 0x21C9, 0x21C9, 0x21C9, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 
        0x21C8, 0x21C8, 0x21C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x31C8, 0x31E9, 0x3A09, 0x4229, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x4A8A, 0x4A4A, 0x4229, 0x3A09, 0x39E9, 0x31C8, 0x31C8, 
        0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31C8, 0x31C8, 0x31C8, 0x31C9, 0x31C9, 0x31C9, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x29A8, 0x29A8, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2966, 0x2966, 0x2966, 0x2946, 0x2945, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2187, 0x2188, 0x2188, 0x21A8, 0x21A8, 0x2188, 0x2188, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2146, 0x2146, 0x2146, 0x2145, 0x2146, 0x2146, 0x2167, 0x2167, 0x2188, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x2188, 0x2188, 0x2188, 0x21A8, 0x21A9, 0x29C9, 0x29E9, 0x3209, 0x320A, 0x320A, 0x320A, 0x320A, 0x3A0A, 0x320A, 0x31E9, 0x29C9, 0x29A9, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x2188, 0x2188, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2188, 0x2988, 0x2988, 0x2988, 0x2167, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2146, 0x2166, 0x2167, 0x2187, 0x2167, 0x2167, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2966, 0x2966, 0x2967, 0x2987, 0x2987, 
        0x2966, 0x2966, 0x2146, 0x2146, 0x2146, 0x2946, 0x2966, 0x2966, 0x2966, 0x2946, 0x2946, 0x2946, 0x2946, 0x2146, 0x2146, 0x2146, 0x2966, 0x2966, 0x2946, 0x2946, 0x2146, 0x2145, 0x2145, 0x2146, 0x2946, 0x2146, 0x2146, 0x2146, 0x2146, 0x2946, 
        0x2946, 0x2946, 0x2146, 0x2125, 0x2946, 0x2946, 0x2146, 0x2146, 0x2145, 0x2146, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2946, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2146, 0x2146, 0x2167, 0x2988, 0x29C8, 0x31E9, 0x3A2A, 0x426A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x424A, 0x424A, 0x422A, 0x3A29, 0x3A09, 0x31E9, 0x31C9, 0x31C8, 0x29C8, 0x29A8, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2987, 0x29A7, 
        0x29A8, 0x31C8, 0x31C9, 0x31C9, 0x31C9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A09, 0x31E9, 0x31C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2188, 0x2188, 0x2188, 0x2988, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x2987, 0x2167, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2945, 0x2945, 0x2945, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2945, 0x2945, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2167, 0x2987, 0x31C8, 0x31E9, 0x3209, 0x3209, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x4229, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x422A, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4209, 0x3A09, 0x39E9, 0x39E9, 0x31C9, 0x31C8, 0x29A7, 
        0x2987, 0x2166, 0x2146, 0x2146, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2126, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145,
  0x4249, 0x4A49, 0x426A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3229, 0x3209, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x424A, 0x424A, 0x4A4A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x528A, 0x528A, 0x528A, 0x528A, 
        0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x4A8A, 0x4A6A, 0x422A, 0x3229, 0x2A09, 0x29E9, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x2187, 
        0x2187, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2946, 0x2966, 0x2966, 0x31A7, 0x4229, 0x4A4A, 0x4A6A, 0x4A8A, 0x528A, 0x528A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x528A, 0x528A, 0x528A, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x528A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A6A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x3A2A, 0x3A29, 0x3A29, 0x3A09, 0x3209, 0x2A09, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x21E8, 0x21C8, 0x29C8, 
        0x29C9, 0x29C9, 0x29E9, 0x29E9, 0x31E9, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3A29, 0x422A, 0x4A4A, 0x4A8A, 0x4A8A, 0x528A, 0x528A, 0x528A, 0x52AA, 0x528A, 0x528A, 0x4A8A, 0x4A6A, 0x4A4A, 0x4229, 0x39E9, 0x31C8, 0x31C8, 0x31A8, 0x29A7, 
        0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 0x31A7, 0x31A7, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x29C8, 0x29A8, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2986, 0x2966, 0x2966, 0x2966, 0x2945, 0x2945, 
        0x2945, 0x2925, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2167, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2125, 0x2145, 0x2146, 0x2146, 0x2167, 0x2187, 0x2188, 
        0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2187, 0x2187, 0x2187, 0x2188, 0x21A8, 0x29C9, 0x29C9, 0x31E9, 0x320A, 0x3A0A, 0x3A0A, 0x320A, 0x3209, 0x3209, 0x3209, 0x29E9, 0x29C9, 0x29C9, 0x21A9, 0x21A8, 0x21A8, 0x2188, 0x2188, 0x2187, 0x2167, 
        0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2125, 0x2125, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2946, 0x2966, 0x2967, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2146, 0x2126, 0x2126, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2126, 0x2126, 0x2145, 0x2125, 0x2125, 0x2145, 0x2946, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2145, 0x2125, 0x2946, 0x2946, 0x2146, 0x2146, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2946, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2125, 0x2125, 0x2145, 0x2946, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2126, 0x2146, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2146, 0x2146, 0x2167, 0x2987, 0x29A8, 0x31E9, 
        0x3A09, 0x3A2A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x424A, 0x422A, 0x3A2A, 0x3A29, 0x3A09, 0x31E9, 0x31C9, 0x31C8, 0x29A8, 0x29A7, 0x2987, 0x2987, 0x2967, 0x2967, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2967, 
        0x2987, 0x2987, 0x29A8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x39E9, 0x39E9, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x31E8, 0x31C8, 0x29A8, 0x29A8, 0x29A7, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x31C9, 0x31E9, 0x31E9, 0x39E9, 0x39E9, 0x3A09, 
        0x31C9, 0x29A8, 0x2987, 0x2167, 0x2167, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2945, 
        0x2945, 0x2945, 0x2945, 0x2145, 0x2145, 0x2945, 0x2945, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 
        0x2146, 0x2946, 0x2946, 0x2946, 0x2946, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2966, 0x2966, 0x2966, 0x2967, 0x2987, 0x31C8, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A29, 0x4229, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x424A, 0x422A, 0x422A, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4209, 0x3A09, 0x39E9, 0x39C9, 0x31C8, 0x29C8, 0x2987, 
        0x2167, 0x2166, 0x2146, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166,
  0x4249, 0x4A49, 0x426A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4249, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 
        0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4249, 0x424A, 0x424A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x528A, 0x528A, 0x528A, 
        0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x52AA, 0x528A, 0x528A, 0x528A, 0x4A8A, 0x4A8A, 0x424A, 0x3A29, 0x3209, 0x29E9, 0x21E9, 0x21E9, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2966, 0x31A7, 0x39C8, 0x4229, 0x528A, 0x528A, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x528A, 0x528A, 0x4A8A, 0x528A, 0x528A, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x528A, 0x528A, 0x4A8A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x424A, 0x424A, 0x424A, 0x424A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A29, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 
        0x3209, 0x3209, 0x3209, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x422A, 0x4A4A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x424A, 0x4229, 0x3A09, 0x39E8, 0x31C8, 0x31A8, 0x31A7, 0x29A7, 0x2987, 0x2987, 
        0x2987, 0x2987, 0x2987, 0x2967, 0x2967, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2986, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 
        0x2945, 0x2945, 0x2945, 0x2945, 0x2125, 0x2125, 0x2125, 0x2124, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2146, 0x2146, 0x2166, 0x2167, 0x2167, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2188, 0x29A8, 0x29C8, 0x29C9, 0x31E9, 0x320A, 0x3209, 0x3209, 0x3209, 0x31E9, 0x31E9, 0x29E9, 0x29C9, 0x29C9, 0x21A8, 0x21A8, 0x2188, 0x2188, 0x2188, 0x2187, 0x2167, 
        0x2167, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2126, 0x2126, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2966, 0x2966, 0x2967, 0x2166, 0x2166, 
        0x2146, 0x2146, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2946, 0x2946, 0x2966, 0x2146, 0x2966, 0x2966, 0x2966, 0x2146, 0x2146, 0x2145, 0x2125, 0x2125, 0x2145, 0x2946, 0x2946, 0x2946, 0x2146, 0x2146, 0x2145, 
        0x2145, 0x2125, 0x2125, 0x2125, 0x2946, 0x2946, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2966, 0x2967, 0x2967, 0x2967, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2125, 
        0x2946, 0x2946, 0x2125, 0x2125, 0x2946, 0x2966, 0x2946, 0x2146, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2146, 0x2146, 0x2167, 
        0x29A8, 0x29C8, 0x31E9, 0x3209, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x31E9, 0x31C9, 0x31C8, 0x29A8, 0x29A7, 0x2987, 0x2987, 0x2967, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 
        0x2966, 0x2966, 0x2967, 0x29A7, 0x31A8, 0x31C8, 0x31C8, 0x31C8, 0x39E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x31C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x31E9, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x39E9, 0x39E9, 
        0x31C9, 0x31C8, 0x29C8, 0x29A8, 0x2987, 0x2167, 0x2166, 0x2166, 0x2146, 0x2946, 0x2946, 0x2946, 0x2946, 0x2946, 0x2945, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2946, 0x2946, 0x2946, 0x2946, 0x2946, 0x2946, 0x2946, 0x2946, 0x2946, 0x2946, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2967, 0x2987, 0x29A7, 0x31C8, 0x3A09, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A29, 0x4229, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 0x422A, 0x4229, 0x422A, 0x4229, 0x4229, 0x4229, 0x4209, 0x3A09, 0x3A09, 0x39E9, 0x31C8, 0x31C8, 0x29A8, 0x2187, 
        0x2166, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2966, 0x2967, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7,
  0x4A49, 0x4A49, 0x4A4A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x424A, 0x424A, 0x424A, 0x4249, 0x424A, 0x4249, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 
        0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A49, 0x424A, 0x424A, 0x426A, 0x4A6A, 0x4A8A, 0x4A8A, 0x528A, 0x528A, 0x528A, 0x52AA, 
        0x52AA, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x4A8A, 0x4A6A, 0x424A, 0x3A29, 0x3229, 0x2A09, 0x2A09, 0x21E9, 0x21E9, 0x21E8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21A8, 0x21A8, 0x21A7, 
        0x21A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2146, 0x2146, 0x2146, 0x2166, 0x2966, 0x2987, 0x39C8, 0x4229, 0x4A6A, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x528A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x528A, 0x528A, 0x528A, 0x528A, 0x52AA, 0x52AA, 0x528A, 0x528A, 0x4A8A, 0x4A6A, 0x424A, 
        0x424A, 0x424A, 0x3A2A, 0x3A29, 0x3A29, 0x3A29, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A29, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A29, 
        0x3A29, 0x3A29, 0x3A29, 0x422A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x422A, 0x4229, 0x3A29, 0x3A29, 0x4229, 0x422A, 0x424A, 0x422A, 0x4229, 0x3A29, 0x3A09, 0x31E8, 0x31C8, 0x31A7, 0x31A7, 0x2987, 0x2987, 0x2967, 0x2967, 0x2967, 0x2966, 
        0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2967, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2966, 
        0x2966, 0x2966, 0x2966, 0x2966, 0x2945, 0x2945, 0x2925, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2188, 0x29A8, 0x29C9, 0x31E9, 0x320A, 0x320A, 0x31EA, 0x31E9, 0x29E9, 0x29C9, 0x29C9, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x2188, 0x2188, 0x2188, 0x2188, 0x2167, 
        0x2167, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2946, 0x2946, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2966, 0x2166, 0x2966, 0x2966, 0x2946, 0x2946, 0x2946, 0x2946, 0x2146, 0x2146, 0x2146, 0x2966, 0x2966, 0x2146, 0x2146, 0x2145, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2946, 0x2946, 0x2946, 0x2946, 0x2146, 
        0x2946, 0x2945, 0x2925, 0x2125, 0x2146, 0x2946, 0x2946, 0x2146, 0x2146, 0x2146, 0x2146, 0x2966, 0x2967, 0x2967, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2145, 0x2146, 0x2946, 0x2146, 0x2145, 0x2125, 0x2125, 0x2125, 
        0x2926, 0x2946, 0x2145, 0x2125, 0x2946, 0x2946, 0x2946, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 
        0x2146, 0x2167, 0x2987, 0x29A8, 0x29C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x29C9, 0x29C8, 0x29A8, 0x29A7, 0x2987, 0x2987, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2946, 0x2946, 0x2946, 
        0x2946, 0x2966, 0x2966, 0x2966, 0x2987, 0x29A7, 0x31C8, 0x31C8, 0x31C8, 0x31E8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x29A7, 0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x31C9, 0x3A09, 0x3A09, 0x3A09, 0x4229, 0x4229, 0x3A09, 0x3A29, 0x3A29, 0x3A09, 0x39E9, 
        0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29A8, 0x2987, 0x2967, 0x2167, 0x2967, 0x2966, 0x2946, 0x2946, 0x2946, 0x2946, 0x2946, 0x2146, 0x2146, 0x2146, 0x2145, 0x2945, 0x2945, 0x2945, 0x2945, 0x2145, 0x2945, 0x2945, 0x2945, 0x2945, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2945, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2946, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2967, 0x2987, 0x2987, 0x29C8, 0x31E9, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x422A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 0x422A, 0x422A, 0x4229, 0x4229, 0x3A09, 0x3A09, 0x39E9, 0x31E9, 0x31C8, 0x29C8, 0x2987, 0x2167, 
        0x2166, 0x2146, 0x2145, 0x2145, 0x2146, 0x2146, 0x2166, 0x2987, 0x29A7, 0x31C8, 0x31C8, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9,
  0x4A49, 0x4A49, 0x4A6A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 
        0x3A29, 0x3229, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3229, 0x3229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A4A, 0x424A, 0x424A, 0x424A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x528A, 0x52AA, 
        0x528A, 0x528A, 0x528A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x424A, 0x3A29, 0x3229, 0x3209, 0x2A09, 0x2A09, 0x2209, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21A8, 
        0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2987, 0x31C7, 0x3A09, 0x4A4A, 0x528A, 0x528A, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x528A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x528A, 0x528A, 0x528A, 0x528A, 0x52AA, 0x52AA, 0x52AA, 0x528A, 0x4A6A, 0x4A4A, 0x424A, 
        0x424A, 0x422A, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3229, 0x3A29, 0x3A29, 0x3A4A, 
        0x424A, 0x424A, 0x424A, 0x424A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x424A, 0x424A, 0x422A, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x39E9, 0x31E8, 0x31C8, 0x31A7, 0x2987, 0x2987, 0x2967, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2946, 0x2946, 
        0x2946, 0x2946, 0x2946, 0x2946, 0x2946, 0x2946, 0x2946, 0x2946, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 
        0x29A6, 0x29A6, 0x29A6, 0x2986, 0x2986, 0x2966, 0x2965, 0x2945, 0x2945, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2188, 0x29A8, 0x29C9, 0x31E9, 0x31E9, 0x29E9, 0x29E9, 0x29C9, 0x29C9, 0x21A8, 0x2188, 0x2187, 0x2187, 0x2187, 0x2188, 0x2188, 0x2188, 0x2187, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2126, 0x2125, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2946, 0x2946, 0x2946, 0x2126, 0x2146, 0x2146, 0x2146, 0x2946, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2146, 0x2946, 0x2946, 0x2146, 0x2145, 0x2125, 0x2125, 0x2125, 0x2146, 0x2966, 0x2946, 0x2946, 0x2145, 0x2145, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2146, 0x2946, 0x2946, 0x2946, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2126, 0x2126, 0x2146, 0x2167, 0x2167, 0x2967, 0x2988, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2987, 0x2987, 0x2987, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2946, 0x2946, 0x2946, 0x2946, 0x2946, 0x2946, 
        0x2946, 0x2946, 0x2946, 0x2946, 0x2966, 0x2966, 0x2967, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29C8, 0x3A09, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A09, 0x39E9, 
        0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31C8, 0x29A8, 0x2987, 0x2987, 0x2967, 0x2966, 0x2966, 0x2966, 0x2966, 0x2946, 0x2946, 0x2946, 0x2946, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2946, 0x2966, 
        0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2967, 0x2967, 0x2986, 0x2986, 0x2987, 0x2987, 0x29A7, 0x29A8, 0x31E9, 0x3A09, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x4229, 0x422A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x424A, 0x422A, 0x4229, 0x3A29, 0x3A09, 0x31E9, 0x31C9, 0x31C8, 0x29A8, 0x2987, 0x2166, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2967, 0x29A7, 0x31C8, 0x31E8, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229,
  0x4A49, 0x4A49, 0x4A6A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x3A4A, 0x3A2A, 0x3A29, 0x3A29, 0x3A29, 
        0x3229, 0x3229, 0x3229, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3229, 0x3229, 0x3229, 0x3229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x424A, 0x424A, 0x424A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x426A, 0x424A, 0x3A4A, 0x3A29, 0x3A29, 0x3229, 0x2A09, 0x2A09, 0x2A09, 0x2209, 0x2209, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21C9, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2167, 0x2987, 0x29A7, 0x3A09, 0x4249, 0x4A8A, 0x528A, 0x528A, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x528A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x528A, 0x528A, 0x528A, 0x528A, 0x52AA, 0x52AA, 0x52AA, 0x528A, 0x4A8A, 0x4A6A, 0x4229, 
        0x422A, 0x3A2A, 0x3A29, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A29, 0x3A29, 0x3A29, 0x3A4A, 0x424A, 
        0x424A, 0x424A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x424A, 0x422A, 0x4229, 0x3A09, 0x39E9, 0x31E9, 0x31C8, 0x29A7, 0x2987, 0x2967, 0x2966, 0x2966, 0x2946, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2946, 0x2966, 0x2966, 0x2966, 0x2986, 0x2986, 0x2986, 0x2986, 0x29A6, 0x29A7, 0x29A7, 
        0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A6, 0x2966, 0x2966, 0x2945, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x21A8, 0x21A8, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x21A8, 0x2188, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2966, 0x2966, 0x2946, 0x2946, 0x2946, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2946, 
        0x2946, 0x2946, 0x2946, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2945, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2146, 0x2145, 0x2946, 0x2966, 0x2966, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2946, 0x2946, 0x2146, 0x2146, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2146, 0x2146, 0x2146, 0x2166, 0x2167, 0x2967, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2967, 0x2967, 0x2966, 0x2966, 0x2966, 0x2946, 0x2946, 0x2946, 0x2946, 0x2946, 0x2946, 0x2946, 0x2945, 0x2945, 0x2945, 
        0x2945, 0x2945, 0x2945, 0x2945, 0x2946, 0x2946, 0x2946, 0x2946, 0x2946, 0x2966, 0x2966, 0x2966, 0x2967, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 0x31C8, 0x3A29, 0x4229, 0x4229, 0x4249, 0x4229, 0x4249, 0x4229, 0x4229, 0x3A29, 0x3A09, 0x39E9, 
        0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x31E9, 0x31C8, 0x31A8, 0x29A7, 0x2987, 0x2987, 0x2967, 0x2967, 0x2966, 0x2966, 0x2966, 0x2966, 0x2946, 0x2946, 0x2946, 0x2946, 0x2946, 0x2945, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2946, 0x2946, 0x2966, 0x2966, 
        0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29A8, 0x31C8, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3A29, 0x3A29, 0x3A09, 0x3A29, 0x4229, 0x422A, 0x422A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x4229, 0x3A29, 0x3A09, 0x3A09, 0x31E9, 0x31C8, 0x29A8, 0x2988, 0x2167, 0x2166, 
        0x2146, 0x2146, 0x2146, 0x2167, 0x2987, 0x31A8, 0x31C8, 0x39E9, 0x3A09, 0x4229, 0x4229, 0x4229, 0x4249, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A,
  0x4A49, 0x4A4A, 0x4A6A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x3A4A, 0x3A2A, 0x3A29, 
        0x3A29, 0x3A29, 0x3A29, 0x3229, 0x3229, 0x3209, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A2A, 0x424A, 0x424A, 0x424A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x426A, 0x424A, 0x424A, 0x3A4A, 0x3A2A, 0x3A29, 0x3229, 0x2A29, 0x2A09, 0x2A09, 0x2A09, 0x2209, 0x2209, 0x2209, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21C9, 0x21C9, 0x21C8, 0x21C8, 
        0x21C8, 0x21C8, 0x21C8, 0x21A8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x29A7, 0x31C8, 0x4229, 0x4A6A, 0x528A, 0x528A, 0x528A, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x528A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x528A, 0x528A, 0x528A, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x528A, 0x4A8A, 0x4229, 
        0x3A29, 0x3A09, 0x3A09, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x29E9, 0x29E9, 0x29E9, 0x2A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3A29, 0x3A2A, 0x3A2A, 0x424A, 0x424A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x424A, 0x422A, 0x3A09, 0x3A09, 0x31E9, 0x31C8, 0x29A7, 0x2967, 0x2966, 0x2946, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2966, 0x2966, 0x2966, 0x2986, 0x29A6, 0x29A7, 0x29C7, 0x29C7, 0x31C7, 
        0x31C7, 0x31C7, 0x31C7, 0x31C7, 0x31E7, 0x31C7, 0x31C7, 0x31A7, 0x31A7, 0x2986, 0x2966, 0x2945, 0x2945, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2188, 0x21A8, 0x21A8, 0x21A9, 0x29A9, 0x29C9, 0x29C9, 0x21A9, 0x21A9, 0x21A8, 0x2188, 0x2188, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2188, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x2188, 0x2188, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2946, 0x2946, 0x2146, 0x2966, 0x2966, 0x2146, 0x2146, 0x2146, 0x2146, 0x2946, 0x2946, 0x2966, 0x2946, 0x2946, 0x2946, 0x2946, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2966, 0x2146, 
        0x2966, 0x2966, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2146, 0x2146, 0x2146, 0x2966, 0x2946, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2946, 0x2966, 0x2966, 0x2146, 0x2146, 0x2125, 0x2125, 0x2145, 0x2145, 0x2125, 
        0x2125, 0x2945, 0x2946, 0x2946, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2125, 0x2125, 0x2145, 0x2145, 0x2125, 0x2125, 0x2145, 0x2946, 0x2145, 0x2145, 0x2946, 0x2966, 0x2946, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2126, 0x2146, 0x2146, 0x2146, 0x2146, 0x2126, 0x2125, 0x2125, 0x2146, 0x2146, 0x2146, 0x2966, 0x2987, 0x2946, 0x2146, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2126, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2966, 0x2966, 0x2946, 0x2946, 0x2946, 0x2946, 0x2946, 0x2946, 0x2946, 0x2946, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 
        0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2946, 0x2946, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2986, 0x2987, 0x29A8, 0x31E9, 0x4229, 0x4229, 0x4A4A, 0x4A4A, 0x4A49, 0x4249, 0x4229, 0x4229, 0x4229, 0x3A09, 0x3A09, 
        0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x31E9, 0x31C8, 0x31C8, 0x29A8, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2967, 0x2966, 0x2966, 0x2966, 0x2946, 0x2946, 0x2946, 0x2946, 0x2946, 0x2945, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2146, 0x2966, 0x2966, 0x2966, 0x2966, 
        0x2966, 0x2966, 0x2966, 0x2967, 0x2967, 0x2967, 0x2967, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x31C8, 0x39E9, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 
        0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x4229, 0x422A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 0x422A, 0x3A29, 0x3A29, 0x3A09, 0x3209, 0x31E9, 0x29C8, 0x29A8, 0x2987, 0x2187, 0x2167, 
        0x2167, 0x2167, 0x2987, 0x29A7, 0x31E9, 0x3A09, 0x3A09, 0x3A29, 0x4229, 0x4249, 0x4A49, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A,
  0x4A49, 0x4A4A, 0x4A6A, 0x426A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x3A2A, 
        0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3229, 0x3229, 0x3229, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3229, 0x3229, 0x3229, 0x3229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A2A, 0x3A4A, 0x424A, 0x424A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x426A, 0x424A, 0x424A, 0x424A, 0x3A4A, 0x3A4A, 0x3A2A, 0x3A2A, 0x3229, 0x3229, 0x2A29, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2209, 0x2209, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21C9, 0x21C8, 
        0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x21A7, 0x21A7, 0x29A7, 0x29A8, 0x3A09, 0x424A, 0x4A8A, 0x528A, 0x528A, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x528A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x528A, 0x528A, 0x528A, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x4A8A, 0x424A, 
        0x3A29, 0x39E9, 0x31E9, 0x31C9, 0x29C9, 0x29E9, 0x29E9, 0x29E9, 0x29C9, 0x29C9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A2A, 0x422A, 0x424A, 0x424A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x422A, 0x3A09, 0x31E9, 0x31C8, 0x29A7, 0x2967, 0x2166, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2945, 0x2945, 0x2945, 0x2966, 0x2966, 0x29A6, 0x29A7, 0x31C7, 0x31C7, 0x31C7, 0x31E8, 
        0x31E8, 0x31E8, 0x3208, 0x3208, 0x3A08, 0x3208, 0x31E8, 0x31E7, 0x31C7, 0x31A7, 0x29A7, 0x2986, 0x2966, 0x2965, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2187, 0x2187, 0x2187, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2187, 0x2188, 0x2188, 0x2188, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x2188, 0x2168, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2188, 0x21A8, 0x21A8, 
        0x21A8, 0x21A9, 0x21A9, 0x21A9, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x2188, 0x2188, 0x2187, 0x2187, 0x2167, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2146, 0x2146, 0x2146, 0x2126, 0x2146, 0x2146, 0x2966, 0x2967, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2946, 0x2946, 0x2946, 0x2946, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2125, 0x2125, 0x2146, 0x2146, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2145, 0x2146, 0x2946, 0x2946, 0x2146, 0x2146, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2945, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2946, 0x2125, 0x2125, 0x2125, 0x2946, 0x2946, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2146, 0x2146, 0x2966, 0x2966, 0x2946, 0x2126, 0x2146, 0x2146, 0x2146, 0x2946, 0x2966, 0x2946, 0x2126, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2946, 0x2946, 0x2946, 0x2946, 0x2946, 0x2946, 0x2946, 0x2946, 0x2946, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 
        0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2946, 0x2946, 0x2946, 0x2966, 0x2966, 0x2966, 0x2987, 0x29A8, 0x39E9, 0x4229, 0x4229, 0x4A49, 0x4A4A, 0x4A4A, 0x4249, 0x4229, 0x4229, 0x3A29, 0x3A09, 0x3A09, 
        0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x31C9, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31A8, 0x29A7, 0x2987, 0x2987, 0x2967, 0x2967, 0x2966, 0x2966, 0x2946, 0x2946, 0x2946, 0x2946, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2946, 0x2966, 0x2966, 0x2966, 0x2966, 
        0x2966, 0x2966, 0x2967, 0x2967, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x31A8, 0x31E9, 0x3A09, 0x3A29, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 
        0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A29, 0x4229, 0x4229, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 0x422A, 0x3A2A, 0x3A29, 0x3A09, 0x3209, 0x3209, 0x29C9, 0x29C8, 0x29A8, 0x21A7, 0x2187, 0x2187, 
        0x2987, 0x2987, 0x29A7, 0x31C8, 0x3A2A, 0x422A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A,
  0x4A49, 0x4A4A, 0x4A6A, 0x426A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x426A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x3A2A, 
        0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A2A, 0x322A, 0x3229, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3229, 0x3229, 0x3229, 0x3229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A2A, 0x3A4A, 0x424A, 0x424A, 0x426A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x426A, 0x424A, 0x424A, 0x3A4A, 0x3A4A, 0x3A29, 0x3A29, 0x3A29, 0x3229, 0x3229, 0x3229, 0x2A29, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 
        0x21C9, 0x21C9, 0x21C9, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21A8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A8, 
        0x21A8, 0x21A8, 0x29C8, 0x31E8, 0x4249, 0x4A6A, 0x528A, 0x528A, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x528A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x528A, 0x528A, 0x528A, 0x528A, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x4A4A, 
        0x3A29, 0x31E9, 0x31C9, 0x29C8, 0x29C9, 0x29C9, 0x29C9, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C9, 0x29C9, 0x29E9, 0x29E9, 0x29E9, 0x31E9, 0x3209, 0x3209, 0x3209, 0x3209, 0x3229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A2A, 0x424A, 0x424A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4229, 0x39E9, 0x31C8, 0x2987, 0x2966, 0x2166, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2945, 0x2965, 0x2966, 0x2986, 0x29A7, 0x31C7, 0x31C7, 0x31E8, 0x3208, 
        0x3208, 0x3A08, 0x3A08, 0x3A08, 0x3A29, 0x3A08, 0x3A08, 0x3208, 0x3208, 0x31E7, 0x31C7, 0x31C7, 0x31A7, 0x29A6, 0x2966, 0x2965, 0x2945, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 
        0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2188, 
        0x2188, 0x2188, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x2188, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x2188, 0x2168, 0x2167, 0x2167, 0x2167, 0x2187, 0x2188, 0x21A8, 0x21A8, 0x21A9, 
        0x21C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x21C9, 0x21A9, 0x21A9, 0x21A8, 0x21A8, 0x2187, 0x2167, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2146, 0x2146, 0x2967, 0x2967, 0x2146, 0x2166, 0x2966, 0x2966, 0x2966, 0x2966, 0x2946, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2966, 0x2966, 0x2966, 0x2146, 0x2146, 0x2146, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2145, 0x2146, 0x2946, 0x2146, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2946, 0x2946, 0x2145, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2946, 0x2946, 0x2946, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2146, 0x2146, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2946, 0x2946, 0x2946, 0x2945, 0x2945, 0x2945, 0x2945, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2945, 0x2945, 0x2145, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2946, 0x2946, 0x2946, 0x2966, 0x2966, 0x2987, 0x29C8, 0x3A09, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x39E9, 0x39E9, 0x39E9, 0x39C9, 0x39C9, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31A8, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2967, 0x2966, 0x2966, 0x2946, 0x2946, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2946, 0x2966, 0x2966, 0x2966, 0x2966, 
        0x2967, 0x2967, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x29C8, 0x31C8, 0x3A09, 0x3A29, 0x422A, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 
        0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x4229, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x422A, 0x3A2A, 0x3209, 0x31E9, 0x29C9, 0x29C9, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2987, 0x29A8, 0x3A09, 0x422A, 0x424A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x528A, 0x528A, 0x528A,
  0x4A49, 0x4A6A, 0x4A6A, 0x4A6A, 0x426A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x426A, 0x424A, 0x426A, 0x426A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x3A29, 
        0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A2A, 0x322A, 0x3229, 0x3229, 0x3229, 0x3209, 0x3209, 0x3209, 0x3229, 0x3229, 0x3229, 0x3A29, 0x3A29, 0x3A2A, 0x3A2A, 0x3A4A, 0x3A4A, 0x3A4A, 0x424A, 0x424A, 0x426A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x426A, 0x424A, 0x424A, 0x3A4A, 0x3A4A, 0x3A29, 0x3A29, 0x3229, 0x3229, 0x3229, 0x3229, 0x2A29, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2209, 0x2209, 0x2209, 0x2209, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 
        0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21C9, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21C8, 
        0x29C8, 0x29C8, 0x31E9, 0x3A29, 0x4A6A, 0x4A8A, 0x528A, 0x528A, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x528A, 0x4A8A, 0x4A8A, 0x4A8A, 0x528A, 0x528A, 0x528A, 0x528A, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x4A8A, 0x424A, 
        0x3A09, 0x31E9, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C9, 0x29C9, 0x29E9, 0x29E9, 0x29E9, 0x2A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A29, 0x3A29, 0x3A2A, 0x424A, 0x424A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x528A, 0x528A, 0x528A, 0x528A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4249, 0x3A09, 0x31C8, 0x2987, 0x2166, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2966, 0x2966, 0x29A7, 0x31C7, 0x31C8, 0x31E8, 0x3208, 
        0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A08, 0x3208, 0x31E8, 0x31E7, 0x31C7, 0x31C7, 0x29A7, 0x29A6, 0x2986, 0x2966, 0x2945, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2188, 
        0x21A8, 0x21A8, 0x21A8, 0x21A9, 0x21A9, 0x21A9, 0x21A9, 0x21A9, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A9, 0x21C9, 0x21C9, 0x21A8, 0x21A8, 0x21A8, 0x2188, 0x2187, 0x2167, 0x2167, 0x2167, 0x2188, 0x21A8, 0x21A8, 0x21A9, 0x21C9, 
        0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29E9, 0x29EA, 0x29EA, 0x29E9, 0x29C9, 0x21C9, 0x21C9, 0x21C9, 0x21A9, 0x21A8, 0x21A8, 0x2187, 0x2167, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2166, 0x2987, 0x31C8, 0x31C8, 0x2987, 0x2166, 0x2166, 0x2966, 0x2966, 0x2966, 0x2987, 0x2987, 0x2966, 0x2966, 0x2146, 0x2146, 
        0x2146, 0x2145, 0x2145, 0x2146, 0x2946, 0x2966, 0x2967, 0x2966, 0x2946, 0x2146, 0x2125, 0x2125, 0x2146, 0x2946, 0x2125, 0x2125, 0x2946, 0x2946, 0x2966, 0x2145, 0x2125, 0x2125, 0x2145, 0x2146, 0x2146, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2945, 0x2946, 0x2946, 0x2966, 0x2146, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2946, 0x2946, 0x2946, 0x2966, 
        0x2946, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2925, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2146, 0x2146, 0x2146, 0x2145, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2945, 0x2945, 0x2945, 0x2946, 0x2946, 0x2946, 0x2966, 0x2966, 0x2987, 0x29A8, 0x3A09, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4229, 0x4229, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x39E9, 0x39E9, 0x39C8, 0x39E8, 0x39E8, 0x31E8, 0x31E8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x29A8, 0x2987, 0x2967, 0x2966, 0x2966, 0x2966, 0x2946, 0x2946, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2946, 0x2966, 0x2966, 0x2966, 0x2966, 
        0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A8, 0x29C8, 0x31C8, 0x31C8, 0x31E9, 0x3A09, 0x422A, 0x422A, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 
        0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x3A29, 0x3A09, 0x3A09, 0x3209, 0x31E9, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2987, 0x2987, 0x2187, 0x2187, 0x2187, 
        0x2987, 0x29A8, 0x31C8, 0x4229, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A,
  0x4A49, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x426A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x426A, 0x426A, 0x426A, 0x426A, 0x426A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x3A4A, 
        0x3A2A, 0x3A2A, 0x3A2A, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3A29, 0x3A29, 0x3A29, 0x3A4A, 0x3A4A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x426A, 0x426A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x424A, 0x424A, 0x424A, 0x424A, 0x3A4A, 0x3A29, 0x3A29, 0x3229, 0x3229, 0x3229, 0x3229, 0x2A29, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 
        0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E8, 0x21E8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 
        0x29C8, 0x29E9, 0x3209, 0x4229, 0x4A6A, 0x4A8A, 0x528A, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x528A, 0x4A8A, 0x4A8A, 0x4A8A, 0x528A, 0x528A, 0x528A, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x528A, 0x528A, 0x4A8A, 0x422A, 
        0x3A09, 0x31C9, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x29C8, 0x29C9, 0x29C9, 0x29C9, 0x29E9, 0x29E9, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A29, 0x3A29, 0x422A, 0x424A, 0x4A4A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x4A8A, 0x424A, 0x3A09, 0x31C8, 0x2987, 0x2166, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2966, 0x2986, 0x29A7, 0x31C7, 0x31E8, 0x3208, 
        0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3208, 0x3208, 0x3208, 0x31E7, 0x31C7, 0x31C7, 0x29A7, 0x29A6, 0x2986, 0x2965, 0x2945, 0x2945, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2188, 0x21A8, 
        0x21A9, 0x21A9, 0x21A9, 0x21A9, 0x21A9, 0x21C9, 0x21C9, 0x21C9, 0x21A9, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A9, 0x21A9, 0x21A8, 0x21A8, 0x21A8, 0x2188, 0x2187, 0x2187, 0x2187, 0x2187, 0x2188, 0x21A8, 0x21A8, 0x21C9, 0x21C9, 
        0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29C9, 0x29C9, 0x21C9, 0x21C9, 0x21A9, 0x21A9, 0x2188, 0x2167, 0x2167, 0x2167, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2987, 0x29C8, 0x29C9, 0x29A8, 0x2166, 0x2146, 0x2966, 0x2967, 0x2167, 0x2167, 0x2166, 0x2146, 0x2146, 0x2145, 0x2946, 
        0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2946, 0x2946, 0x2966, 0x2146, 0x2145, 0x2125, 0x2125, 0x2125, 0x2145, 0x2125, 0x2125, 0x2126, 0x2146, 0x2146, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2125, 0x2125, 0x2125, 0x2145, 0x2125, 0x2946, 0x2966, 0x2966, 0x2145, 0x2125, 0x2125, 0x2125, 0x2146, 0x2966, 0x2946, 0x2125, 0x2125, 0x2945, 0x2966, 0x2946, 0x2925, 0x2125, 0x2145, 0x2125, 0x2125, 0x2125, 0x2146, 0x2946, 0x31A8, 
        0x2966, 0x2146, 0x2125, 0x2125, 0x2125, 0x2945, 0x2946, 0x2966, 0x2945, 0x2125, 0x2145, 0x2125, 0x2125, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2945, 0x2945, 0x2945, 0x2945, 0x2145, 0x2146, 0x2966, 0x2966, 0x2987, 0x29A7, 0x31C8, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x39E8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x29A8, 0x2987, 0x2967, 0x2967, 0x2966, 0x2966, 0x2946, 0x2946, 0x2946, 0x2146, 0x2145, 0x2145, 
        0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2146, 0x2966, 0x2966, 0x2966, 0x2966, 0x2986, 
        0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x31A8, 0x31A8, 0x31C8, 0x31C8, 0x31C8, 0x31E9, 0x3A29, 0x422A, 0x422A, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x422A, 0x3A29, 
        0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x29C9, 0x29C9, 0x29A8, 0x2188, 0x29A8, 0x29A8, 0x29A8, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 
        0x29A7, 0x31C8, 0x3A09, 0x4229, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A,
  0x4A49, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x426A, 0x426A, 0x426A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x3A4A, 
        0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3A29, 0x3A2A, 0x3A2A, 0x3A4A, 0x3A4A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x426A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x424A, 0x424A, 0x424A, 0x3A4A, 0x3A49, 0x3A29, 0x3229, 0x3229, 0x3229, 0x3229, 0x2A29, 0x2A29, 0x2A29, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2209, 
        0x2209, 0x2209, 0x2209, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E8, 0x21E8, 0x21E8, 0x21E8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x29C8, 
        0x29E8, 0x31E9, 0x3A09, 0x4229, 0x4A8A, 0x528A, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x528A, 0x4A8A, 0x4A8A, 0x4A8A, 0x528A, 0x528A, 0x528A, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x528A, 0x528A, 0x4A8A, 0x4229, 
        0x39E9, 0x31C9, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29C8, 0x29C8, 0x29C8, 0x29C9, 0x29C9, 0x29E9, 0x29E9, 0x3209, 0x3209, 0x3209, 0x3A29, 0x3A29, 0x424A, 0x424A, 0x426A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x528A, 0x528A, 0x528A, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x4A8A, 0x4A4A, 0x3A29, 0x31C8, 0x2987, 0x2166, 0x2166, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2146, 0x2166, 0x2966, 0x2987, 0x29A7, 0x29C8, 0x3208, 
        0x3209, 0x3A29, 0x3A29, 0x3A49, 0x3A49, 0x3A49, 0x3A49, 0x3A49, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A08, 0x3208, 0x3208, 0x31E7, 0x31C7, 0x31C7, 0x31A7, 0x2986, 0x2966, 0x2965, 0x2945, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2147, 0x2167, 0x2167, 0x2167, 0x2167, 0x2188, 0x2188, 0x21A8, 
        0x21A9, 0x21A9, 0x21A9, 0x21A9, 0x21A9, 0x21C9, 0x21C9, 0x21C9, 0x21C9, 0x21A9, 0x21A9, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x2188, 0x2188, 0x2187, 0x2187, 0x2187, 0x2188, 0x21A8, 0x21A8, 0x21A9, 0x21C9, 0x21C9, 
        0x21C9, 0x21C9, 0x21C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x21C9, 0x21A9, 0x21A9, 0x21A8, 0x2188, 0x2167, 0x2167, 0x2146, 0x2146, 0x2146, 0x2146, 0x2126, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2167, 0x2187, 0x2987, 0x2987, 0x2967, 0x2967, 0x2967, 0x2167, 0x2167, 0x2166, 0x2146, 0x2146, 0x2125, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2946, 0x2966, 0x2146, 0x2145, 0x2945, 0x2925, 0x2125, 0x2145, 0x2145, 0x2125, 0x2126, 0x2126, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2146, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2945, 0x2125, 0x2946, 0x2946, 0x2966, 0x2946, 0x2145, 0x2146, 0x2146, 0x2145, 0x2145, 0x2125, 0x2945, 0x2946, 0x2945, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2125, 0x2125, 0x2125, 0x2126, 0x2146, 0x2146, 
        0x2126, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2945, 0x2145, 0x2125, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2145, 0x2945, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2945, 0x2145, 0x2146, 0x2146, 0x2146, 0x2966, 0x2967, 0x2987, 0x29A7, 0x29A8, 0x3A09, 0x422A, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x4229, 
        0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x39E9, 0x39E9, 0x39E9, 0x3A09, 0x39E9, 0x39E9, 0x39E9, 0x39E8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31A8, 0x29A7, 0x2987, 0x2967, 0x2967, 0x2966, 0x2966, 0x2946, 0x2946, 0x2146, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2146, 0x2966, 0x2966, 0x2966, 0x2966, 0x2987, 
        0x2987, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x31A8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x3A09, 0x422A, 0x422A, 0x424A, 0x424A, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x422A, 0x4229, 
        0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x39E9, 0x39E9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x31C8, 0x31C8, 0x31C9, 0x29C9, 0x29C8, 0x29A8, 0x2188, 0x2188, 0x29A8, 0x29A8, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 
        0x29A7, 0x31E8, 0x3A29, 0x424A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A,
  0x4A49, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x426A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x3A2A, 
        0x3A29, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A2A, 0x3A2A, 0x3A4A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 
        0x426A, 0x4A6A, 0x4A6A, 0x4A6A, 0x426A, 0x424A, 0x424A, 0x3A4A, 0x3A4A, 0x3A29, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 
        0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2209, 0x2209, 0x2209, 0x2209, 0x21E9, 0x21E8, 0x21E8, 0x21E8, 0x21E8, 0x21E8, 0x21E8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x29C8, 0x29C8, 0x29C8, 0x29E8, 
        0x29E9, 0x3209, 0x3A09, 0x4229, 0x4A6A, 0x528A, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x528A, 0x528A, 0x4A8A, 0x4A8A, 0x528A, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x528A, 0x4A8A, 0x4A6A, 0x3A29, 
        0x31E9, 0x31C8, 0x31C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29E9, 0x29E9, 0x29E9, 0x31E9, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A29, 0x3A2A, 0x424A, 0x424A, 0x424A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x528A, 0x528A, 0x528A, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x4A8A, 0x424A, 0x3A29, 0x31E9, 0x29A8, 0x2187, 0x2166, 0x2166, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2166, 0x2166, 0x2187, 0x29A7, 0x29C7, 0x29E8, 
        0x3208, 0x3209, 0x3A29, 0x3A29, 0x3A49, 0x3A49, 0x3A49, 0x3A49, 0x3A49, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A08, 0x3208, 0x31E8, 0x31E7, 0x31C7, 0x31C7, 0x29A7, 0x2986, 0x2966, 0x2965, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2167, 0x2167, 0x2167, 0x2187, 0x2188, 0x21A8, 
        0x21A8, 0x21A9, 0x21A9, 0x21A9, 0x21A9, 0x21C9, 0x21C9, 0x21C9, 0x21C9, 0x21C9, 0x21A9, 0x21A9, 0x21A8, 0x21A8, 0x21A8, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x21A8, 0x21A8, 0x21A8, 0x21A9, 0x21A9, 
        0x21A9, 0x21A9, 0x21A9, 0x21C9, 0x21A9, 0x21A9, 0x21A9, 0x21A9, 0x21A9, 0x21A9, 0x21A8, 0x21A8, 0x21A8, 0x2188, 0x2167, 0x2167, 0x2166, 0x2146, 0x2146, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2167, 0x2167, 0x2987, 0x2967, 0x2987, 0x2967, 0x2967, 0x2167, 0x2166, 0x2166, 0x2966, 0x2966, 0x2146, 0x2966, 
        0x2966, 0x2946, 0x2146, 0x2946, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2945, 0x2945, 0x2946, 0x2145, 0x2125, 0x2125, 0x2125, 0x2946, 0x2946, 0x2946, 0x2946, 0x2145, 0x2145, 0x2125, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 
        0x2946, 0x2145, 0x2125, 0x2125, 0x2946, 0x2946, 0x2945, 0x2125, 0x2125, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2125, 0x2125, 0x2945, 0x2945, 0x2145, 0x2125, 0x2125, 0x2125, 0x2145, 0x2125, 0x2125, 0x2125, 0x2145, 0x2946, 0x2967, 0x2146, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2166, 0x2167, 0x2967, 0x2987, 0x29A8, 0x29C8, 0x31E9, 0x3A29, 0x422A, 0x422A, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x3A09, 0x3A09, 0x39E9, 0x39E9, 0x3A09, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31A8, 0x31A8, 0x29A7, 0x2987, 0x2987, 0x2967, 0x2966, 0x2966, 0x2946, 0x2946, 0x2146, 0x2146, 0x2146, 
        0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2966, 0x2966, 0x2966, 0x2986, 0x2987, 
        0x2987, 0x2987, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x31A7, 0x31A7, 0x29A7, 0x29A7, 0x29A7, 0x31A7, 0x31A7, 0x31A8, 0x31C8, 0x31C8, 0x31C8, 0x31C9, 0x39E9, 0x3A29, 0x422A, 0x424A, 0x424A, 0x424A, 0x4229, 0x4229, 0x4229, 0x4229, 0x422A, 0x4229, 
        0x4229, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x39E9, 0x39E9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x31C8, 0x31C8, 0x29C8, 0x29C8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29A7, 
        0x31C8, 0x3A09, 0x4229, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x528A, 0x528A, 0x528A, 0x528A,
  0x4A49, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x3A4A, 
        0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A2A, 0x3A2A, 0x3A4A, 0x3A4A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 
        0x426A, 0x426A, 0x426A, 0x426A, 0x426A, 0x424A, 0x424A, 0x3A4A, 0x3A4A, 0x3A29, 0x3A29, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 
        0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x29E9, 0x29E9, 0x29E9, 0x29E8, 0x29E8, 0x21E8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C9, 0x29C8, 0x29C9, 0x29C9, 0x29C9, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E9, 0x29E9, 
        0x31E9, 0x3209, 0x3A09, 0x3A29, 0x4A4A, 0x4A8A, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x528A, 0x528A, 0x4A8A, 0x528A, 0x528A, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x528A, 0x528A, 0x4A8A, 0x424A, 0x3A09, 
        0x31E9, 0x31C8, 0x31C8, 0x31C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29E8, 0x29E8, 0x29E8, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3A29, 0x3A2A, 0x424A, 0x424A, 0x424A, 0x4A6A, 0x4A6A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x528A, 0x528A, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x528A, 0x4A6A, 0x424A, 0x3A29, 0x31E9, 0x29C8, 0x2987, 0x2167, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2166, 0x2166, 0x2187, 0x21A7, 0x21A7, 0x29C8, 
        0x29C8, 0x29E9, 0x3209, 0x3A29, 0x3A29, 0x3A49, 0x3A49, 0x3A49, 0x3A49, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3208, 0x3208, 0x3208, 0x31E7, 0x31C7, 0x31C7, 0x29A7, 0x2986, 0x2966, 0x2945, 0x2945, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2167, 0x2167, 0x2167, 0x2188, 0x2188, 
        0x21A8, 0x21A8, 0x21A8, 0x21A9, 0x21A9, 0x21C9, 0x21C9, 0x21C9, 0x21C9, 0x21C9, 0x21C9, 0x21C9, 0x21A9, 0x21A8, 0x21A8, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A9, 
        0x21A9, 0x21A9, 0x21A9, 0x21A8, 0x21A8, 0x21A8, 0x2188, 0x2188, 0x2188, 0x21A8, 0x21A8, 0x2188, 0x2188, 0x2187, 0x2167, 0x2167, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2167, 0x2167, 0x2987, 0x2167, 0x2146, 0x2166, 0x2966, 0x2967, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2966, 0x2967, 0x2987, 0x2967, 0x2166, 0x2146, 0x2966, 0x2966, 0x2146, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2145, 0x2145, 0x2146, 
        0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2146, 0x2146, 0x2146, 0x2146, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2126, 0x2946, 0x2146, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2125, 0x2145, 0x2946, 0x2946, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2945, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2166, 0x2166, 0x2987, 0x2987, 0x29A8, 0x29A8, 0x29C8, 0x31C8, 0x3209, 0x3A29, 0x422A, 0x4229, 0x4229, 0x4229, 0x422A, 0x424A, 0x424A, 0x424A, 
        0x422A, 0x422A, 0x3A29, 0x3A09, 0x3A09, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x39E8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31A8, 0x31A8, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2967, 0x2966, 0x2966, 0x2966, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2966, 0x2966, 0x2966, 0x2966, 0x2987, 0x2987, 
        0x2987, 0x2987, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A8, 0x31A8, 0x31C8, 0x31C8, 0x31C8, 0x31C9, 0x39E9, 0x3A09, 0x422A, 0x424A, 0x424A, 0x424A, 0x4249, 0x4229, 0x422A, 0x422A, 0x4229, 0x4229, 
        0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x39E9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x31C8, 0x31C8, 0x29C8, 0x29C8, 0x29A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29A8, 
        0x39E9, 0x3A29, 0x424A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x528A,
  0x4A49, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 
        0x3A4A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x426A, 
        0x426A, 0x426A, 0x426A, 0x426A, 0x424A, 0x424A, 0x424A, 0x3A4A, 0x3A4A, 0x3A4A, 0x3A29, 0x3A29, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x2A09, 0x2A09, 
        0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 
        0x3209, 0x3A09, 0x3A29, 0x3A29, 0x424A, 0x4A6A, 0x528A, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x528A, 0x4A8A, 0x4A6A, 0x3A29, 0x31E8, 
        0x31C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29E8, 0x31E8, 0x31E8, 0x31E8, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3A29, 0x3A29, 0x424A, 0x424A, 0x424A, 0x4A6A, 0x4A6A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x528A, 0x528A, 0x528A, 0x528A, 0x52AA, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x4A6A, 0x424A, 0x3A29, 0x31E9, 0x29C8, 0x21A7, 0x2187, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2145, 0x2145, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2166, 0x2166, 0x2187, 0x2187, 0x21A7, 0x21A8, 
        0x29C8, 0x29C8, 0x29E9, 0x3209, 0x3229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A28, 0x3A08, 0x3208, 0x3208, 0x31E8, 0x31E7, 0x31C7, 0x29C7, 0x29A6, 0x2986, 0x2965, 0x2945, 0x2145, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2167, 0x2167, 0x2167, 0x2187, 
        0x2188, 0x2188, 0x21A8, 0x21A8, 0x21A8, 0x21A9, 0x21A9, 0x21A9, 0x21C9, 0x21C9, 0x21C9, 0x21C9, 0x21A9, 0x21A8, 0x21A8, 0x21A8, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 
        0x21A8, 0x2188, 0x2188, 0x2188, 0x2188, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2125, 0x2125, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2167, 0x2167, 0x2167, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2167, 0x2987, 0x2167, 0x2146, 0x2146, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2946, 0x2946, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2946, 0x2946, 0x2946, 0x2946, 0x2146, 0x2946, 
        0x2146, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2945, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2126, 0x2146, 0x2145, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2945, 0x2946, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2166, 0x2166, 0x2167, 0x2987, 0x29A7, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x31E9, 0x3A09, 0x3A29, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4229, 
        0x3A29, 0x3A09, 0x3A09, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x39E8, 0x39C8, 0x39C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31A8, 0x31A8, 0x29A8, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2966, 0x2966, 0x2966, 0x2966, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2146, 0x2146, 0x2166, 0x2966, 0x2966, 0x2966, 0x2987, 0x2987, 0x2987, 
        0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x31A8, 0x31C8, 0x31C8, 0x31C8, 0x31C9, 0x39E9, 0x3A09, 0x4229, 0x422A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x422A, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A09, 0x3A09, 0x39E9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x31C8, 0x29C8, 0x29C8, 0x29C8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2988, 0x2988, 0x29A8, 0x29A8, 0x31C8, 
        0x3A09, 0x4229, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A,
  0x4A49, 0x4A6A, 0x4A8A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 
        0x424A, 0x3A4A, 0x3A4A, 0x3A4A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A29, 0x3A29, 0x3A2A, 0x3A4A, 0x3A4A, 0x3A4A, 0x3A2A, 0x3A2A, 0x3A4A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x426A, 0x426A, 0x426A, 0x426A, 0x4A6A, 
        0x426A, 0x426A, 0x426A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x3A4A, 0x3A2A, 0x3A29, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x2A09, 
        0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x4249, 0x4A4A, 0x4A8A, 0x528A, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x528A, 0x528A, 0x52AA, 0x52AA, 0x528A, 0x528A, 0x52AA, 0x52AA, 0x52AA, 0x528A, 0x4A6A, 0x4229, 0x39E8, 0x31C8, 
        0x29A8, 0x29A7, 0x29A7, 0x29A7, 0x29C8, 0x31C8, 0x31C8, 0x31C8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x3208, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x424A, 0x424A, 0x4A6A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x4A8A, 0x4A6A, 0x424A, 0x3A29, 0x3209, 0x29C8, 0x21A8, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 
        0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2166, 0x2167, 0x2187, 0x21A7, 0x21A7, 
        0x21C8, 0x29C8, 0x29C8, 0x29E9, 0x3209, 0x3209, 0x3229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A28, 0x3A08, 0x3A08, 0x3208, 0x31E8, 0x31E7, 0x31C7, 0x31C7, 0x29A6, 0x2986, 0x2966, 0x2945, 0x2145, 
        0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2187, 0x2188, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A9, 0x21A9, 0x21A9, 0x21A9, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 
        0x2188, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2167, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2145, 0x2145, 0x2146, 0x2987, 0x29A8, 0x2167, 0x2167, 0x2146, 0x2146, 0x2146, 0x2966, 0x2966, 0x2966, 0x2146, 0x2146, 0x2146, 0x2966, 0x2966, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2125, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2126, 
        0x2946, 0x2925, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2126, 0x2126, 0x2146, 0x2146, 0x2146, 
        0x2125, 0x2125, 0x2125, 0x2925, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2946, 0x2946, 0x2145, 0x2946, 0x2946, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2945, 0x2946, 0x2966, 0x2945, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2166, 0x2167, 0x2987, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x31C8, 0x31E9, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A2A, 0x422A, 0x3A2A, 0x3A29, 
        0x3A09, 0x3A09, 0x39E9, 0x31E8, 0x39E8, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x39E8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31A8, 0x29A8, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2966, 0x2966, 0x2966, 0x2966, 0x2987, 0x2987, 0x2987, 
        0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x31C8, 0x31C8, 0x31C8, 0x31C9, 0x31E9, 0x3A09, 0x3A29, 0x4229, 0x4229, 0x4249, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 
        0x424A, 0x424A, 0x424A, 0x424A, 0x422A, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x31E9, 0x31C9, 0x31C9, 0x31C8, 0x29C8, 0x29C8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x3A09, 
        0x4229, 0x424A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A,
  0x4A49, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 
        0x424A, 0x424A, 0x424A, 0x3A4A, 0x3A4A, 0x424A, 0x3A4A, 0x3A4A, 0x3A4A, 0x3A4A, 0x3A4A, 0x3A4A, 0x3A4A, 0x3A4A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x426A, 0x426A, 0x4A6A, 0x4A8A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x426A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x3A4A, 0x3A29, 0x3A29, 0x3A29, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 
        0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x424A, 0x4A6A, 0x4A8A, 0x528A, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x4A8A, 0x4A4A, 0x4229, 0x3A09, 0x31C8, 0x29A8, 
        0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29C7, 0x29C8, 0x31C8, 0x31C8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x3208, 0x3208, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x4229, 0x424A, 0x4A6A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x422A, 0x3A09, 0x29C8, 0x29A8, 0x21A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2167, 0x2166, 0x2166, 0x2166, 0x2146, 
        0x2146, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2166, 0x2166, 0x2167, 0x2187, 0x21A7, 
        0x21A7, 0x21A8, 0x21A8, 0x21C8, 0x29C8, 0x29C8, 0x31E9, 0x31E9, 0x3209, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A28, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3208, 0x31E7, 0x31C7, 0x31C7, 0x31A7, 0x2986, 0x2966, 
        0x2966, 0x2945, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2125, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2188, 0x2188, 0x21A8, 0x21A9, 0x21A9, 0x21A9, 0x21A9, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2187, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 
        0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2946, 0x2946, 0x2946, 0x2146, 0x2146, 
        0x2145, 0x2145, 0x2146, 0x2167, 0x29A8, 0x2167, 0x2147, 0x2146, 0x2125, 0x2146, 0x2146, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2946, 0x2146, 0x2146, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2925, 0x2125, 0x2125, 0x2925, 0x2946, 0x2946, 0x2125, 0x2126, 0x2126, 0x2146, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2946, 0x2966, 0x2966, 0x2146, 0x2966, 0x2146, 
        0x2146, 0x2925, 0x2925, 0x2925, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2146, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2946, 0x2946, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2166, 0x2166, 0x2187, 0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x31C8, 0x31E9, 0x31E9, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 
        0x3A09, 0x39E9, 0x39E9, 0x39E8, 0x31E8, 0x39E8, 0x39E9, 0x39E9, 0x39E9, 0x39E8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31A8, 0x31A8, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2966, 0x2966, 0x2966, 0x2966, 
        0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2146, 0x2966, 0x2966, 0x2966, 0x2966, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29A7, 
        0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31E9, 0x3A09, 0x3A2A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x424A, 0x424A, 0x424A, 
        0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x3A2A, 0x3A29, 0x3A09, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x29C8, 0x29C8, 0x21A8, 0x21A8, 0x21C8, 0x29C8, 0x31C9, 0x31C9, 0x31C8, 0x31C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x31C8, 0x31C8, 0x3A29, 
        0x424A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A,
  0x4A49, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 
        0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x426A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x424A, 0x424A, 0x424A, 0x424A, 0x3A4A, 0x3A4A, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 
        0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 
        0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4249, 0x4A4A, 0x4A6A, 0x4A6A, 0x528A, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x528A, 0x528A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4229, 0x3A29, 0x3A09, 0x31E8, 0x31C8, 0x29A7, 
        0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29C7, 0x31C8, 0x31C8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x3208, 0x3208, 0x3208, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x4229, 0x424A, 0x4A6A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x528A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x424A, 0x3A29, 0x31E9, 0x29C8, 0x21A8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x2187, 0x2167, 0x2167, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2166, 0x2166, 0x2166, 0x2167, 0x2187, 
        0x2187, 0x2187, 0x21A7, 0x21A8, 0x21C8, 0x29C8, 0x29C8, 0x29C8, 0x29E9, 0x3209, 0x3209, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A28, 0x3A28, 0x3A08, 0x3208, 0x3208, 0x31E8, 0x31E7, 0x31C7, 0x31C7, 0x29A7, 
        0x2986, 0x2966, 0x2966, 0x2945, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2145, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2166, 0x2167, 0x2167, 0x2167, 0x2187, 0x2188, 0x2188, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2187, 0x2187, 0x2187, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2167, 
        0x2167, 0x2167, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2146, 0x2146, 0x2146, 0x2145, 0x2125, 0x2966, 0x2967, 0x2987, 0x2167, 0x2146, 0x2146, 0x2146, 0x2967, 0x2987, 0x29A8, 0x29A7, 0x2967, 0x2146, 0x2145, 0x2145, 0x2126, 0x2126, 0x2145, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2946, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2966, 0x2946, 0x2146, 0x2125, 0x2125, 
        0x2945, 0x2146, 0x2146, 0x2146, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2945, 0x2125, 0x2125, 0x2145, 0x2946, 0x2146, 0x2126, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2945, 0x2945, 0x2925, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2166, 0x2967, 0x2987, 0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x31C9, 0x31C9, 0x31E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x31C9, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31A8, 0x31A8, 0x29A8, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2967, 0x2967, 0x2966, 0x2966, 
        0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2966, 0x2966, 0x2967, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 
        0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x31A8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31E8, 0x3A09, 0x3A29, 0x424A, 0x424A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 
        0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x422A, 0x422A, 0x3A29, 0x3A09, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x29C9, 0x29C8, 0x21A8, 0x21C8, 0x29C9, 0x29C9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31E9, 0x4229, 
        0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49,
  0x4A49, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x424A, 0x424A, 
        0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x426A, 
        0x426A, 0x426A, 0x424A, 0x424A, 0x424A, 0x424A, 0x3A4A, 0x3A4A, 0x3A4A, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 
        0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4A49, 0x4A4A, 0x4A6A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4249, 0x4229, 0x4229, 0x3A09, 0x3A08, 0x31E8, 0x31C8, 0x31C8, 0x29A7, 
        0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29C7, 0x29C8, 0x31C8, 0x31C8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x3208, 0x3208, 0x3208, 0x3208, 0x3208, 0x3208, 0x3208, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x424A, 0x424A, 
        0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x528A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x424A, 0x3A29, 0x3209, 0x29C8, 0x29C8, 0x21C8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2166, 0x2166, 0x2166, 0x2167, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x21A7, 0x21A8, 0x21C8, 0x21C8, 0x29C8, 0x29C8, 0x29E8, 0x31E9, 0x3209, 0x3209, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A08, 0x3208, 0x3208, 0x31E8, 0x31E8, 0x31C7, 0x31C7, 
        0x29A7, 0x29A7, 0x2986, 0x2966, 0x2966, 0x2965, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2166, 0x2166, 0x2167, 0x2167, 0x2187, 0x2187, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x21A8, 0x21A8, 0x21A8, 0x21A9, 0x21A9, 0x21A9, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x2188, 0x2188, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x21A8, 0x2188, 0x2188, 0x2188, 0x2187, 
        0x2167, 0x2167, 0x2167, 0x2166, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2125, 0x2125, 0x2146, 0x2967, 0x2967, 0x2146, 0x2146, 0x2145, 0x2146, 0x2967, 0x29A7, 0x31E9, 0x29C8, 0x2987, 0x2166, 0x2146, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2146, 0x2166, 0x2967, 0x2987, 0x2966, 0x2146, 0x2146, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2946, 0x2946, 0x2946, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2166, 0x2987, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x31C8, 0x31E9, 0x39E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x39E9, 0x39E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x39E9, 0x39E9, 0x31C9, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31A8, 0x29A8, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2967, 0x2966, 
        0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2966, 0x2966, 0x2967, 0x2987, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 
        0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x31A8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31E8, 0x3A09, 0x3A29, 0x4229, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 
        0x424A, 0x424A, 0x424A, 0x424A, 0x422A, 0x422A, 0x3A2A, 0x3A29, 0x3A29, 0x3209, 0x3209, 0x31E9, 0x29E9, 0x29C9, 0x21C9, 0x21C8, 0x29C9, 0x29C9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C8, 0x31C8, 0x31E9, 0x3A09, 0x424A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49,
  0x4A49, 0x4A8A, 0x4A8A, 0x4A8A, 0x528A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 
        0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x3A4A, 0x3A4A, 0x3A4A, 0x3A29, 0x3A29, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3209, 0x3209, 
        0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4A49, 0x4A49, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x3A09, 0x3A09, 0x3A09, 0x3A08, 0x39E8, 0x31C8, 0x31C8, 0x31C7, 
        0x29C7, 0x29C7, 0x29C7, 0x29C7, 0x31C8, 0x31C8, 0x31C8, 0x31E8, 0x31E8, 0x31E8, 0x3208, 0x3208, 0x3A08, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x4229, 0x424A, 
        0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x424A, 0x3A2A, 0x3209, 0x29E9, 0x29C8, 0x21C8, 0x21C8, 0x21C8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x2187, 0x2187, 
        0x2187, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 
        0x2187, 0x2187, 0x2187, 0x21A7, 0x21A7, 0x21A8, 0x21A8, 0x21C8, 0x21C8, 0x29C8, 0x29C8, 0x29E8, 0x31E8, 0x3209, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A28, 0x3208, 0x3208, 0x3208, 0x31E8, 0x31C8, 
        0x31C7, 0x31C7, 0x29C7, 0x29A7, 0x2986, 0x2966, 0x2966, 0x2945, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2188, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x2188, 0x2188, 0x2188, 0x2187, 0x2187, 0x2187, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x21A8, 0x21A8, 0x21A8, 0x2188, 0x2188, 0x2188, 0x2188, 
        0x2167, 0x2167, 0x2167, 0x2166, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2125, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2125, 0x2125, 0x2125, 0x2146, 0x2166, 0x29A7, 0x2987, 0x2167, 0x2146, 0x2146, 0x2146, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2146, 0x2145, 0x2125, 0x2125, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2146, 0x2987, 0x31C8, 0x3209, 0x29A8, 0x2967, 0x2146, 0x2146, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2945, 0x2966, 
        0x2966, 0x2946, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2945, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2146, 0x2166, 0x2987, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x31C9, 0x31E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x39E9, 0x31C9, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31A8, 0x31A8, 0x31A8, 0x29A8, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2966, 
        0x2966, 0x2966, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2966, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 
        0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x31C8, 0x31E9, 0x3A09, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x422A, 0x424A, 0x424A, 0x424A, 
        0x424A, 0x422A, 0x422A, 0x422A, 0x422A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3209, 0x3209, 0x29E9, 0x29C9, 0x29C9, 0x21C9, 0x21C8, 0x29C9, 0x29C9, 0x31E9, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x31E8, 0x31E9, 0x3A09, 0x424A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A49, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249,
  0x4A49, 0x4A8A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A4A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 
        0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x3A4A, 0x3A4A, 0x3A4A, 0x3A2A, 0x3A29, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3209, 0x3209, 
        0x3209, 0x3209, 0x3209, 0x3209, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 
        0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A09, 0x3A09, 0x3A08, 0x39E8, 0x31E8, 0x31E8, 0x31C8, 
        0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x3208, 0x3A08, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x4229, 0x424A, 
        0x424A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x424A, 0x3A2A, 0x3A29, 0x2A09, 0x29E9, 0x21C9, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21A8, 0x21A7, 0x21A7, 
        0x21A7, 0x2187, 0x2187, 0x2187, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x21A7, 0x21A7, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21C8, 0x29C8, 0x29C8, 0x29C8, 0x31E9, 0x3209, 0x3209, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3229, 0x3229, 0x3208, 0x3208, 0x3208, 
        0x31E8, 0x31C8, 0x29C7, 0x29C7, 0x29A7, 0x29A6, 0x2986, 0x2966, 0x2966, 0x2945, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2188, 0x2188, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x2188, 0x2188, 0x2188, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2187, 0x2187, 0x2167, 0x2167, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x2188, 0x2187, 
        0x2167, 0x2167, 0x2167, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 
        0x2166, 0x2166, 0x2167, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2125, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2146, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2966, 0x2166, 0x2146, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2125, 0x2125, 0x2145, 0x2125, 0x2125, 0x2146, 0x2146, 0x2146, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2145, 0x2146, 0x2966, 0x2987, 0x29C8, 0x2987, 0x2167, 0x2146, 0x2125, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2945, 0x2125, 0x2125, 0x2125, 0x2125, 0x2945, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2925, 0x2945, 0x2945, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2146, 0x2166, 0x2987, 0x29A7, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x31E9, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 
        0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x31E9, 0x31C9, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31A8, 0x31A8, 0x29A8, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2967, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 
        0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x31C8, 0x31E9, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A2A, 0x422A, 0x424A, 0x424A, 
        0x422A, 0x422A, 0x422A, 0x3A2A, 0x3A2A, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3209, 0x29E9, 0x29C9, 0x29C9, 0x21C9, 0x21C9, 0x21C8, 0x29C9, 0x29C9, 0x29C9, 0x3209, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3A09, 0x3A29, 0x424A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A49, 0x4A49, 0x4A49, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249,
  0x4A49, 0x4A8A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 
        0x424A, 0x3A4A, 0x3A4A, 0x3A4A, 0x3A4A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A29, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3209, 0x3209, 
        0x3209, 0x3209, 0x3209, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4A29, 0x4A49, 0x4A49, 0x4A49, 
        0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A09, 0x3A09, 0x3A08, 0x3A08, 0x3A08, 0x39E8, 0x39E8, 
        0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x3208, 0x3208, 0x3208, 0x3A08, 0x3A08, 0x3A08, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x4229, 0x424A, 
        0x424A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x424A, 0x424A, 0x3A2A, 0x3A29, 0x2A09, 0x29E9, 0x21E9, 0x21E9, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21A8, 0x21A8, 
        0x21A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x21A7, 0x21A7, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21C8, 0x21C8, 0x21C8, 0x29C8, 0x29E8, 0x2A09, 0x3209, 0x3229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3229, 0x3229, 0x3209, 0x3208, 
        0x3208, 0x31E8, 0x31E8, 0x31E8, 0x29C7, 0x29C7, 0x29A7, 0x29A6, 0x2986, 0x2966, 0x2966, 0x2945, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x21A8, 0x21A8, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2187, 0x2187, 
        0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2187, 0x2167, 0x2167, 0x2167, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2167, 
        0x2167, 0x2167, 0x2166, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2146, 0x2146, 0x2967, 
        0x2967, 0x2967, 0x2166, 0x2146, 0x2146, 0x2146, 0x2125, 0x2125, 0x2125, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2166, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2146, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2166, 0x2966, 0x2166, 0x2145, 0x2946, 0x2966, 0x2967, 0x2146, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2146, 0x2146, 0x2167, 0x2167, 0x2167, 0x2146, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2925, 0x2125, 0x2125, 0x2125, 0x2125, 0x2946, 0x2946, 0x2146, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2925, 0x2925, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2946, 0x2145, 
        0x2125, 0x2125, 0x2125, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2126, 0x2146, 0x2967, 0x2987, 0x29A7, 0x29C8, 0x29C8, 0x29C8, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x3A29, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x31E9, 0x31E9, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x29C8, 0x29C8, 0x31A8, 0x31A8, 0x31A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 
        0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2967, 0x2967, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 
        0x2987, 0x2987, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x31C9, 0x31E9, 0x39E9, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 
        0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x31E9, 0x29E9, 0x29C9, 0x29C9, 0x21C9, 0x21C9, 0x29C9, 0x29C8, 0x29C8, 0x29C8, 0x29C9, 0x31E9, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x4249, 0x4A6A, 0x4A6A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A49, 0x4A49, 0x4A49, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249,
  0x4A49, 0x4A8A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x426A, 0x426A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 
        0x3A4A, 0x3A4A, 0x3A4A, 0x3A4A, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3209, 0x3209, 
        0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 
        0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A09, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 
        0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A09, 0x3A08, 0x3A08, 0x3A08, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x4229, 0x424A, 
        0x424A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x424A, 0x3A2A, 0x3A29, 0x2A09, 0x29E9, 0x21E9, 0x21E9, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 
        0x21C8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 
        0x21A7, 0x21A7, 0x21A7, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x29E8, 0x2A09, 0x3209, 0x3229, 0x3229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3229, 
        0x3209, 0x3209, 0x3208, 0x3208, 0x31E8, 0x29C8, 0x29C7, 0x29C7, 0x29A7, 0x29A6, 0x2986, 0x2966, 0x2966, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 
        0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x2188, 0x2188, 0x2188, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2188, 0x2188, 0x2188, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2146, 0x2146, 0x2146, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2146, 0x2146, 0x2146, 0x2146, 0x2167, 
        0x2967, 0x2967, 0x2166, 0x2146, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2146, 0x2166, 0x2187, 0x2167, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2146, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2146, 0x2987, 0x2987, 0x2967, 0x2946, 0x2925, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2945, 0x2946, 0x2146, 0x2145, 0x2125, 0x2966, 0x2987, 0x2967, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2946, 0x2145, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2146, 0x2967, 0x29A7, 0x29C8, 0x29C8, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x3A29, 
        0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x31E9, 0x31E9, 0x31C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 
        0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A8, 0x29C8, 0x31E9, 0x31E9, 0x39E9, 0x39E9, 0x39E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3209, 0x3209, 0x3209, 0x31E9, 0x31E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29C9, 0x29C9, 0x29E9, 0x29C9, 0x29C9, 0x29C9, 0x29C8, 0x29C8, 0x29C9, 0x31E9, 0x3209, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x424A, 0x4A6A, 0x4A6A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A49, 0x4A49, 0x4A49, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249,
  0x4A49, 0x4A8A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x426A, 0x426A, 0x426A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x422A, 0x422A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x3A4A, 0x3A2A, 
        0x3A2A, 0x3A2A, 0x3A4A, 0x3A29, 0x3A29, 0x3A29, 0x3A2A, 0x3A2A, 0x3A29, 0x3A29, 0x3A29, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3209, 0x3209, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 
        0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A29, 0x4A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4209, 0x3A08, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A29, 0x3A29, 0x4229, 0x424A, 
        0x424A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x424A, 0x422A, 0x3A2A, 0x3209, 0x2A09, 0x29E9, 0x21E9, 0x21E9, 0x21E9, 0x21C9, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 
        0x21C8, 0x21C8, 0x21C8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x21A7, 0x21A7, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21C8, 0x21C8, 0x21A8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21E8, 0x29E9, 0x2A09, 0x3209, 0x3229, 0x3229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 
        0x3229, 0x3229, 0x3229, 0x3209, 0x3208, 0x31E8, 0x31E8, 0x29C7, 0x29C7, 0x29C7, 0x29A7, 0x29A6, 0x2986, 0x2966, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 
        0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2187, 0x2187, 0x2187, 0x2187, 0x2188, 0x2188, 0x2188, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A9, 0x21A9, 0x21A9, 0x21A9, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x2188, 0x2188, 0x2188, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2146, 0x2146, 0x2146, 0x2146, 0x2167, 
        0x2167, 0x2167, 0x2166, 0x2146, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2966, 0x2987, 0x29A8, 0x2187, 0x2146, 0x2146, 0x2125, 0x2125, 0x2926, 0x2125, 0x2125, 0x2126, 0x2126, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2145, 0x2167, 0x2167, 0x2167, 0x2146, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2946, 0x2967, 0x2987, 0x2166, 0x2125, 0x2145, 0x2146, 0x2146, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2945, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2126, 0x2967, 0x31C8, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x4229, 0x422A, 0x424A, 0x424A, 0x4229, 
        0x3A29, 0x3A29, 0x4229, 0x4229, 0x424A, 0x424A, 0x422A, 0x4229, 0x4229, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x31E9, 0x31C8, 0x31C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x29A7, 0x29A7, 0x29A8, 0x29A7, 0x29A7, 0x29A8, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 
        0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29C8, 0x31E9, 0x31E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x31E9, 
        0x31E9, 0x31E9, 0x31E9, 0x29E9, 0x29E9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29C9, 0x29C8, 0x29C8, 0x29C8, 0x29C9, 0x29C9, 0x3209, 0x3A29, 0x3A2A, 0x3A2A, 0x3A29, 0x422A, 0x424A, 0x4A6A, 0x4A6A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A49, 0x4A49, 0x4A49, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249,
  0x4A49, 0x4A8A, 0x528A, 0x528A, 0x528A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x3A4A, 0x3A4A, 
        0x3A2A, 0x3A2A, 0x3A4A, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 
        0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4209, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A29, 0x4229, 
        0x424A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x424A, 0x3A2A, 0x3A29, 0x3209, 0x29E9, 0x29E9, 0x29E9, 0x21E9, 0x21E9, 0x21E9, 0x21C9, 0x21C9, 0x21C9, 0x21C9, 0x21C8, 
        0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A8, 0x21A8, 0x21A8, 
        0x21A8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C9, 0x21C9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x29E9, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3229, 0x3229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 
        0x3A29, 0x3A29, 0x3A29, 0x3229, 0x3209, 0x3208, 0x3208, 0x31E8, 0x29E8, 0x29C7, 0x29C7, 0x29A7, 0x29A7, 0x2986, 0x2986, 0x2966, 0x2965, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2125, 0x2125, 0x2145, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2188, 0x2188, 
        0x21A8, 0x21A9, 0x21A9, 0x21A9, 0x21C9, 0x21C9, 0x21C9, 0x21A9, 0x21A9, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x2188, 0x2188, 0x2188, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2125, 0x2146, 0x2966, 0x2987, 0x29A8, 0x2187, 0x2146, 0x2146, 0x2125, 0x2125, 0x2125, 0x2146, 0x2146, 0x2146, 0x2146, 0x2946, 0x2946, 0x2146, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2146, 0x2145, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2166, 0x2187, 0x2187, 0x2166, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2966, 0x39E8, 0x424A, 0x424A, 0x29A8, 0x31C9, 0x3A09, 0x3A29, 0x3A29, 0x3A2A, 0x422A, 0x424A, 0x4249, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4249, 0x424A, 0x424A, 0x422A, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3209, 0x31E9, 0x31C9, 0x31C8, 0x31C8, 0x31C8, 0x29A8, 0x29A8, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 
        0x29A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29A8, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2967, 0x2967, 
        0x2967, 0x2967, 0x2967, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29A8, 0x31E9, 0x31E9, 0x31E9, 0x39E9, 0x39E9, 0x31E9, 0x3209, 0x31E9, 0x31E9, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 
        0x31E9, 0x31E9, 0x29E9, 0x29C9, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29E9, 0x29E9, 0x31E9, 0x29E9, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x31E9, 0x3209, 0x3A29, 0x3A2A, 0x3A29, 0x4229, 0x424A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A49, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4229,
  0x4A49, 0x4A8A, 0x528A, 0x528A, 0x528A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 
        0x3A4A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3209, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 
        0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 
        0x422A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x424A, 0x3A2A, 0x3A29, 0x3209, 0x3209, 0x29E9, 0x29E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21C9, 
        0x21C9, 0x21C9, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 
        0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C9, 0x21C9, 0x21C9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x2209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3229, 0x3229, 0x3229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 
        0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3229, 0x3209, 0x3209, 0x3208, 0x3208, 0x31E8, 0x31C7, 0x31C7, 0x29C7, 0x29A7, 0x29A7, 0x2986, 0x2966, 0x2966, 0x2965, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2125, 0x2125, 0x2145, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2188, 0x2188, 
        0x21A8, 0x21A8, 0x21A8, 0x21C9, 0x21C9, 0x21C9, 0x21C9, 0x21A9, 0x21A9, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x2188, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 
        0x2146, 0x2146, 0x2145, 0x2145, 0x2146, 0x2146, 0x2166, 0x2167, 0x2167, 0x2146, 0x2125, 0x2125, 0x2126, 0x2146, 0x2988, 0x2967, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2146, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2125, 0x2125, 0x2125, 0x2146, 0x2987, 0x29A8, 0x2988, 0x2167, 0x2146, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2145, 0x2146, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2966, 0x2987, 0x2966, 0x2146, 0x2146, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2966, 0x39C8, 0x4229, 0x3A29, 0x2967, 0x2967, 0x2987, 0x31C8, 0x3A09, 0x3A2A, 0x424A, 0x422A, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4249, 0x4249, 0x424A, 0x424A, 0x422A, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x31C8, 0x31A8, 0x29A8, 0x29A7, 0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2967, 
        0x2967, 0x2967, 0x2967, 0x2987, 0x2987, 0x2987, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2987, 0x29A8, 0x31C8, 0x31E8, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 
        0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29E9, 0x31E9, 0x31E9, 0x29E9, 0x29C9, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x31E9, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x4229, 0x424A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A49, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4229,
  0x4A49, 0x4A8A, 0x528A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x426A, 0x426A, 0x426A, 0x424A, 0x424A, 0x424A, 
        0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3209, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4A29, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 
        0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 
        0x4229, 0x422A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A6A, 0x4A6A, 0x424A, 0x3A29, 0x3229, 0x3209, 0x29E9, 0x29E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 
        0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 
        0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x2209, 0x2209, 0x2209, 0x2209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3229, 0x3229, 0x3229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 
        0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3229, 0x3229, 0x3229, 0x3229, 0x3208, 0x3208, 0x31E8, 0x31E8, 0x29C7, 0x29C7, 0x29C7, 0x29A7, 0x29A6, 0x2986, 0x2986, 0x2966, 0x2165, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 
        0x2145, 0x2125, 0x2125, 0x2145, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2188, 
        0x2188, 0x2188, 0x21A8, 0x21A8, 0x21A9, 0x21A9, 0x21A9, 0x21A9, 0x21A9, 0x21A8, 0x21A8, 0x21A9, 0x21A9, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x2188, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2126, 0x2146, 0x2146, 0x2988, 0x2167, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2945, 0x2146, 0x2146, 0x2126, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2146, 0x2146, 0x2145, 0x2125, 0x2146, 0x2166, 0x2167, 0x2167, 0x2167, 0x2145, 0x2125, 0x2125, 0x2145, 0x2146, 0x2166, 
        0x2146, 0x2146, 0x2145, 0x2146, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2146, 0x2966, 0x2987, 0x2987, 0x2146, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2925, 0x2925, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2146, 0x2946, 0x2966, 0x2967, 0x2146, 0x2126, 0x2146, 0x2966, 0x29A7, 0x3209, 0x3A2A, 0x424A, 0x424A, 0x422A, 0x4229, 
        0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x424A, 0x422A, 0x4229, 0x4229, 0x422A, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31C8, 0x31C8, 0x31A8, 0x31A8, 0x29A8, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A7, 0x29A7, 0x21A7, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 
        0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2966, 0x2966, 0x2966, 0x2966, 0x2967, 0x2967, 0x2987, 0x29A7, 0x29C8, 0x31C8, 0x31C8, 0x31C8, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x29C9, 
        0x29C8, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29E9, 0x31E9, 0x31E9, 0x31E9, 0x29E9, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29E9, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x4249, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A49, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4229,
  0x4A49, 0x4A8A, 0x528A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x426A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x426A, 0x426A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x424A, 
        0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x3A4A, 0x3A2A, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3209, 0x3209, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4A29, 0x4A29, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 
        0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4249, 0x4229, 0x4249, 
        0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 
        0x3A29, 0x3A29, 0x4229, 0x424A, 0x424A, 0x4229, 0x4229, 0x4229, 0x424A, 0x424A, 0x4229, 0x424A, 0x424A, 0x426A, 0x3A2A, 0x3209, 0x3209, 0x29E9, 0x29E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 
        0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21C9, 0x21C9, 0x21C9, 0x21C9, 0x21C9, 0x21C9, 0x21C9, 0x21C9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 
        0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3229, 0x3229, 0x3229, 0x3229, 0x3A29, 0x3A29, 0x3A29, 
        0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3229, 0x3229, 0x3229, 0x3229, 0x3208, 0x3208, 0x3208, 0x29E8, 0x29E8, 0x29C7, 0x29C7, 0x29C7, 0x29A7, 0x29A6, 0x2986, 0x2966, 0x2966, 0x2966, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2187, 0x2188, 0x2188, 0x21A8, 0x21A8, 0x21A8, 0x21A9, 0x21A9, 0x21A9, 0x21C9, 0x21C9, 0x21C9, 0x21C9, 0x21C9, 0x21C9, 0x21A9, 0x21A9, 0x21A8, 0x21A8, 0x2188, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2126, 0x2126, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2146, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2125, 0x2125, 0x2125, 0x2125, 0x2146, 0x2166, 0x2146, 0x2146, 0x2125, 0x2125, 0x2145, 0x2146, 0x2146, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2125, 0x2125, 0x2125, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2125, 0x2125, 0x2146, 0x2967, 0x2988, 
        0x2967, 0x2146, 0x2125, 0x2125, 0x2125, 0x2146, 0x2146, 0x2145, 0x2145, 0x2925, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2125, 0x2125, 0x2146, 0x2146, 0x2967, 0x31C8, 0x3A09, 0x422A, 0x424A, 
        0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x422A, 0x422A, 0x4229, 0x422A, 0x422A, 0x3A2A, 0x3A29, 0x3A09, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x31C8, 0x31C8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 
        0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2967, 0x2967, 0x2987, 0x29A8, 0x29C8, 0x31C8, 0x31C8, 0x31C8, 0x31E9, 0x31E9, 0x31E9, 0x31E8, 0x31E8, 0x31C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C9, 0x29C9, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29E9, 0x31E9, 0x31E9, 0x31E9, 0x29E9, 0x29C9, 0x29C8, 0x29C8, 0x29C9, 0x31E9, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x4249, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A49, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4229,
  0x4A49, 0x4A8A, 0x528A, 0x528A, 0x528A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x424A, 
        0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x3A4A, 0x3A2A, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A09, 
        0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A49, 0x4A49, 0x4A49, 
        0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4249, 
        0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 
        0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x424A, 0x424A, 0x424A, 0x424A, 0x3A29, 0x3A29, 0x3209, 0x3209, 0x29E9, 0x29E9, 0x21C9, 0x21C9, 0x21C9, 0x21C9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 
        0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 
        0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3209, 0x3229, 0x3229, 0x3229, 0x3A29, 0x3A29, 
        0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3229, 0x3229, 0x3208, 0x3208, 0x3208, 0x2A08, 0x29E8, 0x29C7, 0x29C7, 0x29C7, 0x29A7, 0x29A7, 0x29A6, 0x2986, 0x2966, 0x2966, 0x2146, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2187, 0x2187, 0x2187, 0x2188, 0x21A8, 0x21A8, 0x21A9, 0x21A9, 0x21A9, 0x21C9, 0x21C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x21C9, 0x21A9, 0x21A9, 0x21A8, 0x21A8, 0x2188, 0x2188, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2166, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2146, 0x2146, 0x2145, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2966, 0x2967, 0x2166, 0x2146, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2125, 0x2125, 0x2146, 0x2146, 0x2967, 
        0x2146, 0x2146, 0x2125, 0x2125, 0x2125, 0x2946, 0x2946, 0x2946, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2945, 0x2966, 0x2967, 0x2146, 0x2146, 0x2966, 0x29A7, 0x3A29, 
        0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x422A, 0x422A, 0x422A, 0x422A, 0x422A, 0x3A2A, 0x3A29, 0x3A09, 0x3A09, 0x3209, 0x31E9, 0x31C9, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A8, 0x21A8, 
        0x21A7, 0x21A7, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21C8, 0x21C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 
        0x2967, 0x2967, 0x2967, 0x2966, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2167, 0x2187, 0x29A7, 0x29A8, 0x29C8, 0x31C8, 0x31C8, 0x31C9, 0x31C8, 0x31C8, 0x31C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C9, 0x31E9, 0x3209, 0x31E9, 0x29E9, 0x29E9, 0x29E9, 0x29C8, 0x29C9, 0x29E9, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x424A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A49, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249,
  0x4A49, 0x4A8A, 0x528A, 0x528A, 0x528A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x424A, 
        0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x3A4A, 0x3A4A, 0x3A2A, 0x3A2A, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3209, 0x3209, 0x3A09, 
        0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A49, 0x4A49, 0x4A49, 
        0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 
        0x4A49, 0x4A49, 0x4A49, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 
        0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x424A, 0x424A, 0x4A6A, 0x424A, 0x3A09, 0x29E9, 0x29C8, 0x29C8, 0x29C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C9, 0x21C9, 0x21C9, 0x21E9, 0x21E9, 0x21E9, 
        0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 
        0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3229, 0x3229, 0x3229, 0x3229, 0x3A29, 0x3A29, 
        0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3229, 0x3229, 0x3229, 0x3209, 0x3208, 0x2A08, 0x29E8, 0x29E8, 0x29C8, 0x29C7, 0x29C7, 0x29A7, 0x29A7, 0x29A6, 0x2986, 0x2966, 0x2966, 0x2966, 0x2145, 0x2145, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2187, 0x2188, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A9, 0x21C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29A9, 0x21A9, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 
        0x2146, 0x2146, 0x2146, 0x2167, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2146, 0x2967, 0x2987, 0x2166, 0x2146, 
        0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2126, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2146, 0x2145, 0x2145, 0x2146, 0x2966, 0x2966, 0x2146, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2946, 0x2946, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2945, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2946, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2946, 
        0x31A7, 0x39E9, 0x4229, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x422A, 0x422A, 0x3A29, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x31E9, 0x29C8, 0x29A8, 0x29A8, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x21A7, 0x21A7, 
        0x21A7, 0x21A7, 0x21A8, 0x21A8, 0x21A8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 
        0x2987, 0x2967, 0x2167, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2187, 0x29A7, 0x29A8, 0x29C8, 0x31C8, 0x31C9, 0x31C8, 0x31C8, 0x31C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C9, 0x29C9, 0x29E9, 0x29E9, 0x3209, 0x3209, 0x31E9, 0x29E9, 0x29C8, 0x29C8, 0x29C8, 0x29C9, 0x29E9, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x4229, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A49, 0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249,
  0x4A49, 0x4A8A, 0x528A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x424A, 
        0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x3A4A, 0x3A4A, 0x3A4A, 0x3A2A, 0x3A2A, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3A29, 0x3A29, 
        0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 
        0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A69, 0x4A69, 0x4A69, 0x4A69, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 
        0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x424A, 0x424A, 0x3A09, 0x29C8, 0x29C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C9, 0x21C9, 0x21E9, 0x21E9, 
        0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 
        0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A29, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3A29, 
        0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3229, 0x3229, 0x3229, 0x3209, 0x3208, 0x3208, 0x31E8, 0x31E8, 0x29C8, 0x29C8, 0x29C7, 0x29C7, 0x29A7, 0x29A7, 0x29A6, 0x2986, 0x2966, 0x2966, 0x2145, 0x2145, 
        0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2187, 0x2188, 0x21A8, 0x21A8, 0x21A8, 0x21A9, 0x21C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x21A9, 0x21A9, 0x21A9, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x2188, 0x2188, 0x2187, 0x2167, 0x2167, 
        0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2125, 
        0x2125, 0x2126, 0x2146, 0x2146, 0x2146, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2146, 
        0x2146, 0x2966, 0x2967, 0x2967, 0x2167, 0x2146, 0x2146, 0x2145, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2166, 0x2166, 0x2146, 0x2146, 
        0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2966, 0x2987, 0x2987, 0x2166, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2126, 0x2125, 0x2125, 0x2125, 0x2146, 0x2945, 0x2945, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2945, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 
        0x2146, 0x2946, 0x2967, 0x31C8, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4249, 0x4229, 0x4229, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x31E9, 0x31E8, 0x29C8, 0x29A8, 0x29A7, 0x29A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 
        0x21A7, 0x21A7, 0x21A8, 0x21A8, 0x21A8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x21A8, 0x21A8, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x2987, 
        0x2987, 0x2967, 0x2167, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2167, 0x2187, 0x29A7, 0x29C8, 0x31C8, 0x31C9, 0x31C9, 0x31C9, 0x31C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C9, 0x29E9, 0x29E9, 0x31E9, 0x31E9, 0x29E9, 0x29E9, 0x29C8, 0x29C8, 0x29C8, 0x29E9, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x424A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249,
  0x4A49, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x424A, 
        0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x3A4A, 0x3A4A, 0x424A, 0x3A4A, 0x3A4A, 0x3A4A, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 
        0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4A29, 0x4A29, 0x4A29, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 
        0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 
        0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 
        0x3A09, 0x3209, 0x3209, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x39E9, 0x31C9, 0x29C8, 0x29C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21E9, 0x21E9, 
        0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 
        0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3229, 0x3229, 0x3229, 0x3229, 0x2A09, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 
        0x3229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3229, 0x3229, 0x3229, 0x3229, 0x3209, 0x3209, 0x3209, 0x3208, 0x31E8, 0x29E8, 0x29E8, 0x29C8, 0x29C7, 0x29C7, 0x29A7, 0x29A7, 0x2986, 0x2986, 0x2966, 0x2965, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2187, 0x2188, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21C9, 0x21C9, 0x21C9, 0x21C9, 0x21C9, 0x21C9, 0x21C9, 0x21C9, 0x21C9, 0x21C9, 0x21C9, 0x21C9, 0x21C9, 0x21A9, 0x21A9, 0x21A8, 0x21A8, 0x2188, 0x2188, 0x2167, 
        0x2167, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2126, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 
        0x2146, 0x2166, 0x2167, 0x2167, 0x2966, 0x2146, 0x2146, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2126, 0x2125, 0x2125, 0x2145, 0x2146, 0x2146, 0x2146, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2126, 0x2146, 0x2146, 0x2167, 0x2167, 0x2987, 0x2987, 0x2167, 0x2146, 0x2146, 0x2146, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2946, 0x2966, 0x2966, 0x2146, 0x2145, 0x2125, 0x2125, 0x2125, 0x2946, 0x2946, 0x2126, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2925, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2925, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2126, 0x2146, 0x31A7, 0x39E9, 0x422A, 0x424A, 0x424A, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x31E9, 0x31E9, 0x31C9, 0x29C8, 0x29A8, 0x29A8, 0x29A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x29C8, 0x29C8, 0x29C8, 0x29E8, 0x29C9, 0x29C9, 0x29C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 
        0x2187, 0x2167, 0x2167, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2187, 0x2187, 0x29A8, 0x29C8, 0x31C9, 0x31E9, 0x31E9, 0x31C9, 0x31C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C9, 0x29C9, 0x29E9, 0x29E9, 0x29E9, 0x29C9, 0x29C9, 0x29C8, 0x29C8, 0x29C8, 0x29E9, 0x31E9, 0x3209, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x424A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249,
  0x4A49, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x424A, 
        0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x3A4A, 0x3A4A, 0x3A49, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 
        0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4A29, 0x4A29, 0x4A29, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 
        0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 
        0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x3209, 
        0x3209, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x29C8, 0x31E9, 0x3209, 0x3A2A, 0x3A2A, 0x3A09, 0x3A09, 0x31E9, 0x29C8, 0x21C8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C9, 0x21C9, 0x21E9, 0x21E9, 
        0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 
        0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x2A29, 0x3229, 0x3209, 0x3209, 0x3209, 0x3209, 0x3229, 
        0x3229, 0x3229, 0x3229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3229, 0x3229, 0x3229, 0x3229, 0x3209, 0x3209, 0x3209, 0x3209, 0x3208, 0x31E8, 0x31E8, 0x29E8, 0x29C8, 0x29C7, 0x29C7, 0x29A7, 0x29A6, 0x2986, 0x2986, 
        0x2966, 0x2966, 0x2165, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2147, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2188, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A9, 0x21A9, 0x21C9, 0x21C9, 0x21C9, 0x21C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x21C9, 0x21A9, 0x21A9, 0x21A8, 0x21A8, 0x2187, 
        0x2167, 0x2167, 0x2167, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2126, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 
        0x2146, 0x2146, 0x2147, 0x2147, 0x2146, 0x2146, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2146, 0x2167, 0x2967, 0x2187, 0x2167, 0x2167, 0x2967, 0x2166, 0x2146, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2946, 0x2966, 0x2146, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2945, 
        0x2945, 0x2145, 0x2125, 0x2125, 0x2125, 0x2146, 0x2967, 0x31A8, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x31E9, 0x31E9, 0x31C9, 0x31C8, 0x29C8, 0x29A8, 0x29A8, 0x29A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A8, 0x21A8, 
        0x29C9, 0x31E9, 0x3209, 0x3A2A, 0x3A4A, 0x3A4A, 0x3A2A, 0x3A29, 0x3209, 0x29C9, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x21C8, 0x21A8, 0x21A8, 0x21A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A7, 
        0x2187, 0x2187, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2187, 0x29A8, 0x29C8, 0x31C9, 0x31C9, 0x31C9, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C9, 0x29E9, 0x29C9, 0x29C9, 0x29C9, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29E9, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A29, 0x424A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249,
  0x4A49, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x3A4A, 0x3A4A, 0x3A4A, 0x3A49, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 
        0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4A29, 0x4A29, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 
        0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 
        0x4A49, 0x4A49, 0x4A49, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x3209, 0x31E9, 0x31E9, 
        0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x29C9, 0x29C8, 0x29C8, 0x31C9, 0x3A09, 0x424A, 0x3A2A, 0x3209, 0x29C9, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C9, 0x21C9, 0x21C9, 0x21E9, 0x21E9, 
        0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 
        0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3229, 0x3209, 0x3209, 0x3209, 0x3209, 0x3229, 0x3229, 0x3229, 0x3229, 0x3209, 0x3209, 0x3209, 
        0x3209, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3229, 0x3229, 0x3229, 0x3229, 0x3209, 0x3209, 0x3209, 0x3208, 0x3208, 0x29E8, 0x29C8, 0x29C7, 0x29C7, 0x29C7, 0x29A7, 0x29A6, 
        0x2986, 0x2986, 0x2966, 0x2966, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A9, 0x21C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x21A9, 0x21A8, 0x2188, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2126, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2167, 0x2167, 0x2166, 0x2146, 0x2146, 0x2146, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2146, 0x2146, 0x2967, 0x2987, 0x2167, 0x2167, 0x2167, 0x2146, 0x2146, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2125, 0x2125, 0x2145, 0x2125, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2146, 0x2146, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2966, 0x2987, 0x2146, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2146, 0x2146, 0x2987, 0x31C8, 0x3A09, 0x3A09, 0x3A09, 0x31E9, 0x31C9, 0x31C9, 0x31C8, 0x31C8, 0x29A8, 0x29A8, 0x29A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A8, 0x29A8, 0x31E9, 
        0x322A, 0x3A2A, 0x3A2A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x3A29, 0x3209, 0x31E9, 0x29C9, 0x29C8, 0x29C8, 0x21C8, 0x21C8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x21A7, 0x2187, 0x2187, 0x2187, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2187, 0x2187, 0x29A8, 0x29C8, 0x31C8, 0x31C8, 0x31C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C9, 0x29E9, 0x29E9, 0x29C8, 0x21C8, 0x21C8, 0x21C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x31E9, 0x3209, 0x3A09, 0x3A29, 0x3A29, 0x424A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49,
  0x4A49, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x3A4A, 0x3A4A, 0x3A49, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3229, 0x3229, 
        0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4A29, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 
        0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 
        0x4A49, 0x4A49, 0x4A49, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x31E9, 0x31E9, 
        0x31E9, 0x31E9, 0x31E9, 0x29C9, 0x29C9, 0x29C8, 0x29C8, 0x31C8, 0x3A09, 0x3A09, 0x31E9, 0x29C8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x29C9, 0x29C9, 0x21C9, 0x21E9, 0x29E9, 
        0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x2A09, 0x2A09, 0x2A09, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 
        0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A29, 0x2A09, 0x2A09, 0x3209, 0x3209, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 
        0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3229, 0x3209, 0x3209, 0x3209, 0x3209, 0x3208, 0x31E8, 0x29E8, 0x29C7, 0x29C7, 0x29C7, 0x29A7, 
        0x29A7, 0x29A6, 0x2986, 0x2986, 0x2966, 0x2165, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2188, 0x2188, 0x21A8, 0x21A8, 0x21A9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29E9, 0x29E9, 0x29E9, 0x29C9, 0x29C9, 0x29C9, 0x21C9, 0x21A9, 0x21A8, 0x21A8, 
        0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2146, 0x2146, 0x2146, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2125, 0x2125, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2146, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2966, 
        0x2987, 0x2987, 0x2967, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2946, 0x2946, 0x2967, 0x31A7, 0x31C8, 0x31C9, 0x31C8, 0x31C8, 0x31C8, 0x29A8, 0x29A7, 0x29A7, 0x29A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21C8, 0x29C8, 0x3A2A, 
        0x3A2A, 0x3A2A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x422A, 0x3A29, 0x3209, 0x29E9, 0x29C8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2187, 0x21A7, 0x29A8, 0x29C8, 0x31C9, 0x31C9, 0x31C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29E9, 0x29E9, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x21A8, 0x21A8, 0x21C8, 0x21C8, 0x21C8, 0x29C8, 0x29C8, 0x29C8, 0x29E9, 0x3209, 0x3A29, 0x3A29, 0x4229, 0x424A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A49, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49,
  0x4A49, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x426A, 0x426A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x3A49, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3229, 0x3229, 
        0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4A29, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 
        0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 
        0x4A49, 0x4A49, 0x4A49, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x31E9, 0x29E9, 
        0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29C8, 0x29C8, 0x29A7, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21C8, 0x21C8, 0x29C8, 0x29C8, 0x29C8, 0x29C9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 
        0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 
        0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2209, 0x2209, 0x2209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A29, 0x2A09, 0x2A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3229, 0x3229, 0x3229, 0x3209, 0x3229, 
        0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3229, 0x3229, 0x3229, 0x3209, 0x3209, 0x3208, 0x3208, 0x31E8, 0x29E8, 0x29C7, 0x29C7, 
        0x29C7, 0x29C7, 0x29A7, 0x29A6, 0x2986, 0x2986, 0x2966, 0x2966, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2188, 0x21A8, 0x21A9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x21C9, 0x21A9, 0x21A8, 0x21A8, 
        0x2188, 0x2188, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2167, 0x2167, 0x2146, 0x2146, 0x2146, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2146, 
        0x2987, 0x2987, 0x2967, 0x2946, 0x2946, 0x2967, 0x2967, 0x2966, 0x2946, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2126, 0x2125, 0x2125, 0x2945, 0x2925, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2146, 0x2987, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x29A7, 0x29A7, 0x21A7, 0x21A7, 0x21A7, 0x21A8, 0x21A8, 0x29C8, 0x3209, 0x3A2A, 
        0x422A, 0x422A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x426A, 0x424A, 0x3A29, 0x3209, 0x29C9, 0x29C8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2967, 0x2967, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x29A7, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29C8, 0x29C8, 0x29C8, 0x31E9, 0x3A09, 0x3A29, 0x424A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249,
  0x4A49, 0x4A6A, 0x4A8A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x426A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x3A4A, 0x3A2A, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 
        0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 
        0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A6A, 0x4A6A, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 
        0x4A49, 0x4A49, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A09, 0x3209, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x29E9, 
        0x29C9, 0x29C9, 0x29C9, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x21A7, 0x21A7, 0x21A7, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21C8, 0x29C8, 0x29C8, 0x29C9, 0x29E9, 0x29E9, 0x29E9, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 
        0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x2A09, 0x2A09, 0x2A09, 0x21E9, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3209, 0x3209, 0x3209, 
        0x3209, 0x3229, 0x3229, 0x3229, 0x3209, 0x3209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A29, 0x2A09, 0x3209, 0x3209, 0x3209, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3209, 
        0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3229, 0x3229, 0x3229, 0x3229, 0x3209, 0x3209, 0x3208, 0x31E8, 0x31E8, 0x29C8, 
        0x29C7, 0x29C7, 0x29C7, 0x29A7, 0x29A7, 0x29A6, 0x2986, 0x2986, 0x2966, 0x2965, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2188, 0x21A8, 0x21A9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29A9, 0x29A9, 0x21A9, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x2188, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2146, 0x2146, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 
        0x2146, 0x2146, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2125, 0x2145, 
        0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2987, 0x2987, 0x2166, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2146, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2146, 0x2966, 0x2967, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x29A7, 0x21A7, 0x21A7, 0x21A7, 0x21A8, 0x29C8, 0x29E9, 0x3A29, 0x424A, 
        0x424A, 0x424A, 0x424A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x426A, 0x424A, 0x3A29, 0x3209, 0x29C8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x29A7, 0x29A8, 0x29A7, 0x21A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 
        0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x3209, 0x3A29, 0x424A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249,
  0x4A49, 0x4A6A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x426A, 0x424A, 0x424A, 0x426A, 0x426A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x3A4A, 0x3A4A, 0x3A2A, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 
        0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 
        0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 
        0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x29E9, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A8, 0x21C8, 0x29C8, 0x29C8, 0x29C9, 0x29E9, 0x31E9, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3A09, 
        0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3209, 0x3209, 0x2A09, 0x2A09, 0x2A09, 0x21E9, 0x21E9, 0x2209, 0x2209, 0x2209, 0x2209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3209, 0x3209, 0x3229, 0x3229, 0x3229, 0x3229, 
        0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A29, 0x2A29, 0x3229, 0x3209, 0x3209, 0x3229, 0x3209, 0x3209, 0x3209, 0x3229, 0x3229, 
        0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3209, 0x3209, 0x3229, 0x3229, 0x3229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3229, 0x3229, 0x3229, 0x3229, 0x3209, 0x3209, 0x3209, 0x3208, 0x29E8, 
        0x29E8, 0x29C8, 0x29C7, 0x29C7, 0x29A7, 0x29A7, 0x29A7, 0x29A6, 0x2986, 0x2986, 0x2966, 0x2966, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 
        0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2167, 0x2167, 0x2167, 0x2167, 0x2188, 0x21A8, 0x21A8, 0x21A9, 0x21A9, 0x21C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29A9, 0x21A9, 0x21A9, 0x21A9, 0x21A8, 0x21A9, 0x21A9, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x2188, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2146, 0x2146, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2125, 
        0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2146, 0x2145, 0x2125, 0x2125, 
        0x2925, 0x2925, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2146, 0x2167, 0x2187, 0x2167, 0x2146, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2946, 0x31A7, 0x2966, 0x2946, 0x2145, 0x2125, 0x2125, 0x2145, 0x2146, 0x2146, 0x2146, 0x2987, 0x29A7, 0x29A7, 0x21A7, 0x21A7, 0x21A7, 0x29A8, 0x29C8, 0x3209, 0x3A4A, 0x424A, 
        0x426A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x528A, 0x528A, 0x528A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x426A, 0x3A29, 0x29E9, 0x29A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x31C8, 
        0x31C8, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x29C8, 0x29C8, 0x29A8, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x21A7, 0x21A8, 0x29A8, 0x29C8, 0x29C8, 0x3209, 0x4229, 0x424A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A49, 0x4A49, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249,
  0x4A49, 0x4A6A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x426A, 0x426A, 0x426A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x3A4A, 0x3A4A, 0x3A4A, 0x3A4A, 0x3A2A, 0x3A2A, 0x3A29, 0x3A29, 0x3A29, 
        0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 
        0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A4A, 0x4A4A, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4249, 0x4249, 
        0x4249, 0x4249, 0x4249, 0x4229, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x424A, 0x424A, 0x424A, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x31E9, 0x31E9, 0x29E9, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x21A7, 0x2187, 0x2187, 0x2187, 0x21A7, 0x21A7, 0x21A7, 0x21A8, 0x21A8, 0x29C8, 0x29C8, 0x29C9, 0x29E9, 0x31E9, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 
        0x3A29, 0x3A29, 0x3A29, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A29, 0x3209, 0x3209, 0x2A09, 0x29E9, 0x29E9, 0x21E9, 0x2209, 0x2209, 0x2209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3209, 0x3209, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 
        0x3229, 0x3229, 0x3229, 0x3229, 0x3A29, 0x3A29, 0x3229, 0x3229, 0x3229, 0x3209, 0x3209, 0x3209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3209, 0x3209, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 
        0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x2A09, 0x2A09, 0x3209, 0x3209, 0x3229, 0x3229, 0x3229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3229, 0x3229, 0x3209, 0x3208, 0x3208, 
        0x31E8, 0x31E8, 0x29E8, 0x29C8, 0x29C7, 0x29C7, 0x29C7, 0x29A7, 0x29A7, 0x2986, 0x2966, 0x2966, 0x2966, 0x2945, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2167, 0x2167, 0x2167, 0x2187, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A9, 0x21A9, 0x21A9, 0x21A9, 0x21A9, 0x21A9, 0x21A9, 0x21A9, 0x21A9, 
        0x21A9, 0x21A9, 0x21A8, 0x21A8, 0x21A8, 0x2188, 0x2188, 0x2188, 0x2188, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2147, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2146, 0x2146, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2946, 0x2966, 0x2966, 0x2946, 0x2145, 0x2125, 0x2125, 0x2946, 0x2966, 0x2966, 0x2146, 0x2146, 0x2966, 0x2967, 0x2987, 0x21A7, 0x21A8, 0x29C8, 0x29C9, 0x3A09, 0x424A, 0x4A6A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x528A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x424A, 0x424A, 0x3A2A, 0x31C9, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x31C9, 0x31E9, 0x31E9, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E8, 0x31C8, 0x31C8, 0x29C8, 0x29C8, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2187, 0x2187, 
        0x2987, 0x2987, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x21A7, 0x29A7, 0x29C8, 0x3A09, 0x4229, 0x424A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A4A, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249,
  0x4A49, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x426A, 0x426A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x3A4A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A29, 0x3A29, 0x3A29, 
        0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3209, 0x3229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4A29, 0x4A49, 0x4A49, 0x4A49, 
        0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x31E9, 0x31E9, 0x29E9, 0x29C8, 0x29C8, 0x29C8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x21A7, 0x21A7, 0x21A7, 0x21A8, 0x21A8, 0x29C8, 0x29C8, 0x29C9, 0x29E9, 0x31E9, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A2A, 0x3A2A, 
        0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3229, 0x3209, 0x2A09, 0x29E9, 0x29E9, 0x21E9, 0x2209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3209, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3A29, 0x3229, 0x3A29, 
        0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3229, 0x3229, 0x3209, 0x3209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3209, 0x3209, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 
        0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x2A29, 0x2A09, 0x2A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3229, 0x3229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3209, 0x3209, 
        0x3208, 0x3208, 0x3208, 0x31E8, 0x29C8, 0x29C7, 0x29C7, 0x29C7, 0x29C7, 0x29A7, 0x29A7, 0x2986, 0x2986, 0x2966, 0x2966, 0x2945, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2126, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2167, 0x2167, 0x2187, 0x2188, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A9, 0x21A9, 0x21A9, 0x21C9, 
        0x21C9, 0x21C9, 0x21C9, 0x21A9, 0x21A9, 0x21A8, 0x21A8, 0x21A8, 0x2188, 0x2188, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2167, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2946, 0x2126, 0x2125, 0x2145, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2187, 0x29A8, 0x31E9, 0x3A29, 0x424A, 0x4A8A, 0x528A, 
        0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x528A, 0x528A, 0x528A, 0x528A, 0x52AA, 0x528A, 0x528A, 0x528A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A4A, 0x424A, 0x422A, 0x3A2A, 0x3209, 0x29C9, 0x29C8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x31C9, 
        0x31E9, 0x31E9, 0x3209, 0x3A09, 0x39E9, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x29A8, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2187, 0x2187, 0x2187, 0x21A7, 0x29C8, 0x3A29, 0x4229, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A4A, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249,
  0x4A49, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x426A, 0x426A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A29, 0x3A29, 
        0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4A49, 
        0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A49, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x31E9, 0x29E8, 0x29C8, 0x29C8, 0x29C8, 0x21C8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29C8, 0x29C8, 0x29C9, 0x29E9, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 
        0x3A2A, 0x3A2A, 0x3A29, 0x3A29, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3229, 0x3209, 0x3209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3209, 0x3229, 0x3229, 0x3229, 0x3229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 
        0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x322A, 0x3229, 0x3209, 0x3209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3229, 0x3229, 0x3229, 0x3229, 
        0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3209, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3209, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3209, 
        0x3209, 0x3209, 0x3208, 0x3208, 0x31E8, 0x29E8, 0x29C7, 0x29C7, 0x29C7, 0x29C7, 0x29A7, 0x29A7, 0x29A7, 0x2986, 0x2966, 0x2966, 0x2966, 0x2966, 0x2945, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2167, 0x2167, 0x2187, 0x2188, 0x2188, 0x2188, 0x2188, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A9, 0x21A9, 0x21A9, 0x21C9, 
        0x21C9, 0x21C9, 0x21C9, 0x21A9, 0x21A9, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x2188, 0x2188, 0x2188, 0x2188, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2946, 0x2966, 0x2946, 0x2945, 0x2945, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2987, 0x3A09, 0x4A6A, 0x528A, 0x52AA, 0x52AA, 
        0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x528A, 0x528A, 0x528A, 0x4A8A, 0x4A6A, 0x4A4A, 0x4A4A, 0x424A, 0x4229, 0x3A29, 0x3209, 0x29E9, 0x29C8, 0x21A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x31C8, 0x31C9, 
        0x31E9, 0x31E9, 0x3A09, 0x3A09, 0x31E9, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E9, 0x31E9, 0x3A09, 0x39E8, 0x39E8, 0x39E8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x29C8, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 
        0x2987, 0x2987, 0x2187, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2187, 0x2187, 0x29A7, 0x29C8, 0x3A29, 0x424A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249,
  0x4A49, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x426A, 0x426A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A29, 0x3A29, 
        0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 
        0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x31E9, 0x31E9, 0x29E9, 0x29E9, 0x29E8, 0x29C8, 0x29C8, 0x21C8, 0x21C8, 0x21C8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29C8, 0x29C8, 0x29C9, 0x29E9, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A4A, 
        0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x422A, 0x422A, 0x422A, 0x3A4A, 0x3A2A, 0x3A29, 0x3229, 0x3209, 0x3209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A2A, 0x3A2A, 
        0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A29, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3229, 0x3229, 0x3229, 0x3229, 
        0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3209, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A49, 0x3A49, 0x3A49, 0x3A49, 0x3A49, 0x3A49, 0x3A49, 0x3A29, 0x3A29, 0x3A29, 
        0x3229, 0x3229, 0x3209, 0x3208, 0x3208, 0x31E8, 0x31E8, 0x29E8, 0x29E8, 0x29C7, 0x29C7, 0x29C7, 0x29A7, 0x29A7, 0x2986, 0x2986, 0x2966, 0x2966, 0x2966, 0x2945, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2188, 0x2188, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A9, 0x21A9, 0x21C9, 
        0x21C9, 0x21C9, 0x21C9, 0x21A9, 0x21A9, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2146, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2126, 0x2146, 0x2946, 0x2146, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2966, 0x39C7, 0x4A49, 0x528A, 0x52AA, 
        0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x528A, 0x528A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4229, 0x4229, 0x3A29, 0x3209, 0x29C9, 0x29C8, 0x21A8, 0x29A8, 0x29A8, 0x29C8, 0x31C8, 0x31C8, 0x31C9, 0x31E9, 
        0x31E9, 0x3A09, 0x3A09, 0x3A09, 0x31E9, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A08, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x31E8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x29C7, 0x29C7, 0x29A7, 0x29A7, 0x29A7, 
        0x29A7, 0x2987, 0x2987, 0x2987, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2966, 0x2966, 0x2966, 0x2167, 0x2187, 0x2987, 0x29A7, 0x31E8, 0x4229, 0x424A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A4A, 0x4A4A, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249,
  0x4A49, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x426A, 0x426A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x3A4A, 0x3A4A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A29, 0x3A29, 
        0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3229, 0x3229, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 
        0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x31E9, 0x31E9, 0x29E9, 0x29E9, 0x29E8, 0x29E8, 0x29E8, 0x29C8, 0x29C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29C8, 0x29C8, 0x29C9, 0x29E9, 0x31E9, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x422A, 0x422A, 0x422A, 0x422A, 0x424A, 
        0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x422A, 0x422A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A29, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A29, 0x3A29, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 
        0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A4A, 0x3A4A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A29, 0x3229, 0x3229, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3229, 0x3229, 0x3229, 0x3229, 
        0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3209, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3229, 0x3229, 0x3229, 0x3229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A2A, 0x3A4A, 0x3A4A, 0x3A4A, 0x424A, 0x424A, 0x424A, 0x3A4A, 0x3A4A, 0x3A49, 0x3A29, 
        0x3A29, 0x3A29, 0x3A29, 0x3209, 0x3209, 0x3208, 0x3208, 0x3208, 0x31E8, 0x29E8, 0x29C7, 0x29C7, 0x29C7, 0x29C7, 0x29A7, 0x29A7, 0x2987, 0x2986, 0x2986, 0x2966, 0x2166, 0x2146, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2188, 0x2188, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A9, 0x21A9, 
        0x21A9, 0x21A9, 0x21A9, 0x21A9, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2146, 0x2146, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2126, 0x2146, 0x2946, 0x2146, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2945, 0x2966, 0x39A7, 0x4A49, 
        0x528A, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x528A, 0x528A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A4A, 0x4A4A, 0x424A, 0x4229, 0x3A09, 0x31E9, 0x29A8, 0x29A8, 0x21A7, 0x29A7, 0x29A8, 0x29C8, 0x31C8, 0x31C8, 0x31C9, 0x31E9, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x31E9, 0x31E9, 0x31E9, 0x31E8, 0x31E8, 0x39E8, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A08, 0x39E8, 0x39E8, 0x39E8, 0x31E8, 0x31C8, 0x31C8, 0x31C7, 0x31C7, 0x29A7, 0x29A7, 
        0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2186, 0x2166, 0x2166, 0x2166, 0x2166, 0x2966, 0x2966, 0x2966, 0x2966, 0x2166, 0x2167, 0x2987, 0x29A8, 0x3A09, 0x4249, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249,
  0x4A49, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x426A, 0x426A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A29, 0x3A29, 
        0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3229, 0x3229, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4249, 0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x31E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21A8, 
        0x21A8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21A8, 0x21C8, 0x29C8, 0x29C9, 0x29E9, 0x31E9, 0x3209, 0x3209, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 
        0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3229, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3229, 0x3229, 0x3A29, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 
        0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A4A, 0x424A, 0x424A, 0x424A, 0x3A4A, 0x3A2A, 0x3A29, 0x3A29, 0x3229, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x2A29, 0x2A29, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 
        0x3229, 0x3229, 0x3209, 0x3229, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3229, 0x3A29, 0x3A29, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A29, 0x3A2A, 0x3A2A, 0x3A4A, 0x3A4A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x3A49, 
        0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3209, 0x3209, 0x3209, 0x3209, 0x3208, 0x31E8, 0x29E8, 0x29C8, 0x29C8, 0x29C7, 0x29C7, 0x29A7, 0x29A7, 0x29A7, 0x2986, 0x2986, 0x2966, 0x2966, 0x2966, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2188, 0x2188, 0x2188, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x2188, 0x21A8, 0x2188, 0x2188, 0x2188, 0x2188, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x2188, 0x2188, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2167, 0x2167, 0x2187, 0x2188, 0x2187, 0x2167, 0x2167, 0x2167, 0x2146, 0x2146, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2966, 0x2966, 0x2966, 0x2146, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2945, 0x2945, 0x2945, 0x2946, 
        0x31A7, 0x4209, 0x4A6A, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x52AA, 0x528A, 0x528A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x424A, 0x3A2A, 0x3A09, 0x29C9, 0x29A8, 0x2987, 0x2187, 0x2987, 0x29A7, 0x29A7, 0x29C8, 0x31C8, 0x31C8, 0x31E9, 
        0x3209, 0x3A09, 0x3A09, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x39E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A08, 0x3A08, 0x39E8, 0x31E8, 0x31C8, 0x31C8, 0x31C7, 0x31C7, 
        0x29C7, 0x29C7, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2986, 0x2986, 0x2166, 0x2966, 0x2966, 0x2966, 0x2966, 0x2166, 0x2166, 0x2167, 0x2987, 0x31C8, 0x3A29, 0x4249, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 
        0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249,
  0x4A49, 0x4A4A, 0x4A6A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x426A, 0x426A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A29, 0x3A29, 
        0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3229, 0x3229, 0x3229, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4209, 0x4209, 0x4209, 0x4209, 0x4209, 0x4209, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 
        0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x3209, 0x31E9, 0x31E9, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21A8, 0x21A8, 0x21C8, 
        0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x29C8, 0x29C8, 0x29E9, 0x31E9, 0x31E9, 0x3209, 0x3A09, 0x3A09, 0x3A29, 0x3A2A, 0x3A2A, 0x3A2A, 0x422A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 
        0x424A, 0x422A, 0x422A, 0x422A, 0x422A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3229, 0x3229, 0x3209, 0x3209, 0x3209, 0x3229, 0x3229, 0x3A29, 0x3A29, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A29, 0x3A29, 0x3A29, 
        0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A4A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x3A4A, 0x3A2A, 0x3A2A, 0x3A29, 0x3229, 0x3209, 0x3209, 0x3209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 
        0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3229, 0x3229, 0x3A29, 0x3A29, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A29, 0x3A2A, 0x3A2A, 0x3A49, 0x3A4A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 
        0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3208, 0x31E8, 0x29E8, 0x29E8, 0x29C8, 0x29C7, 0x29C7, 0x29A7, 0x29A7, 0x29A7, 0x29A6, 0x2986, 0x2986, 0x2966, 0x2966, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2188, 0x2188, 0x2188, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x2188, 0x2188, 0x2188, 0x2188, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2167, 0x2167, 0x2188, 0x2188, 0x2188, 0x2188, 0x2187, 0x2167, 0x2167, 0x2146, 0x2146, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2967, 0x29A8, 0x2987, 0x2166, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2126, 
        0x2946, 0x2946, 0x3166, 0x3A08, 0x4A8A, 0x528A, 0x52AA, 0x52AA, 0x528A, 0x528A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x424A, 0x422A, 0x3A09, 0x29A8, 0x29A8, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x29C8, 0x31C8, 0x31C8, 
        0x31E9, 0x31E9, 0x31E9, 0x31E8, 0x31E8, 0x31E8, 0x31E9, 0x31E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x4209, 0x4209, 0x4209, 0x4209, 0x4229, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A08, 0x39E8, 0x39E8, 0x31E8, 0x31E8, 0x31C8, 
        0x31C8, 0x31C7, 0x31C7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2966, 0x2966, 0x2966, 0x2966, 0x2166, 0x2166, 0x2167, 0x29A7, 0x3208, 0x4229, 0x4249, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 
        0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249,
  0x4A49, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x424A, 0x424A, 0x426A, 0x426A, 0x426A, 0x426A, 0x426A, 0x426A, 0x424A, 0x424A, 0x424A, 0x424A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 
        0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x31E9, 0x31E9, 0x29E8, 0x29E8, 0x29E8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21A8, 0x21A8, 0x21A8, 0x21C8, 0x21C8, 
        0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x29C8, 0x29C8, 0x29C8, 0x29E9, 0x31E9, 0x3209, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A2A, 0x3A2A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 
        0x424A, 0x422A, 0x422A, 0x422A, 0x422A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 
        0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A4A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x3A4A, 0x3A2A, 0x3A2A, 0x3A29, 0x3229, 0x3209, 0x3209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 
        0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3229, 0x3229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A2A, 0x3A29, 0x3A2A, 0x3A4A, 0x3A4A, 0x3A4A, 0x3A4A, 0x3A4A, 0x424A, 0x424A, 0x424A, 
        0x3A4A, 0x3A2A, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3209, 0x3209, 0x3208, 0x3208, 0x31E8, 0x31E8, 0x29E8, 0x29C8, 0x29C7, 0x29C7, 0x29C7, 0x29A7, 0x29A7, 0x29A7, 0x2986, 0x2986, 0x2986, 0x2966, 0x2966, 0x2966, 0x2145, 0x2145, 0x2145, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2188, 0x2188, 
        0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2187, 0x2187, 0x2187, 0x2188, 0x2188, 0x2188, 0x2188, 0x21A8, 0x21A8, 0x2188, 0x2188, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2166, 0x2167, 0x2167, 0x2187, 0x2188, 0x2188, 0x2188, 0x2167, 0x2167, 0x2167, 0x2146, 0x2146, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2146, 0x2946, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2946, 0x2987, 0x3A08, 0x4249, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x3A2A, 0x31E9, 0x29A8, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x29A8, 0x29C8, 
        0x31C8, 0x31C9, 0x31E9, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x39E8, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x31E8, 
        0x31E8, 0x31C7, 0x31C7, 0x31C7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2966, 0x2966, 0x2966, 0x2966, 0x2166, 0x2166, 0x2987, 0x31C8, 0x3A09, 0x4249, 0x4A49, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 
        0x4A49, 0x4A49, 0x4A49, 0x4A4A, 0x4A4A, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249,
  0x4A49, 0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x424A, 0x4A6A, 0x4A6A, 0x4A6A, 0x426A, 0x426A, 0x426A, 0x424A, 0x424A, 0x424A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 
        0x3A29, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 
        0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x29E8, 0x29E8, 0x29E8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 
        0x21C8, 0x21C8, 0x21C8, 0x29C9, 0x29C9, 0x29E9, 0x29E9, 0x31E9, 0x3209, 0x3A09, 0x3A29, 0x3A2A, 0x3A2A, 0x422A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 
        0x424A, 0x422A, 0x422A, 0x4229, 0x4229, 0x3A29, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 
        0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x3A4A, 0x3A4A, 0x3A2A, 0x3A29, 0x3A29, 0x3209, 0x3209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 
        0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3229, 0x3229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A4A, 0x3A4A, 0x3A4A, 0x3A4A, 0x424A, 0x424A, 
        0x3A4A, 0x3A4A, 0x3A49, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3209, 0x3208, 0x3208, 0x3208, 0x3208, 0x31E8, 0x29E8, 0x29C8, 0x29C7, 0x29C7, 0x29C7, 0x29A7, 0x29A7, 0x29A7, 0x29A6, 0x2986, 0x2986, 0x2966, 0x2966, 0x2966, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 
        0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2147, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2188, 0x2188, 0x2188, 0x21A8, 0x21A8, 0x2188, 0x2188, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2146, 0x2146, 0x2166, 0x2167, 0x2187, 0x2188, 0x2188, 0x2168, 0x2167, 0x2167, 0x2167, 0x2146, 0x2146, 0x2146, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2945, 0x2945, 0x2146, 0x2146, 0x2966, 0x2987, 0x2987, 0x29A7, 0x31C8, 0x3A29, 0x3A29, 0x424A, 0x3A2A, 0x3A29, 0x3A09, 0x31E9, 0x31E9, 0x31C8, 0x29A8, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29A7, 
        0x29A7, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31E8, 0x39E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A08, 0x3A08, 0x3A08, 
        0x31E8, 0x31E8, 0x31C8, 0x31C7, 0x29C7, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2967, 0x2966, 0x2966, 0x2166, 0x2166, 0x29A7, 0x31E8, 0x3A29, 0x4249, 0x4A49, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A49, 
        0x4A49, 0x4A49, 0x4A49, 0x4A4A, 0x4A49, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249,
  0x4A49, 0x4A49, 0x4A4A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x426A, 0x426A, 0x424A, 0x424A, 0x424A, 0x424A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 
        0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3229, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 
        0x3209, 0x3209, 0x3209, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29C8, 0x29C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 
        0x29C8, 0x29C9, 0x29C9, 0x29E9, 0x29E9, 0x3209, 0x3209, 0x3209, 0x3A29, 0x3A29, 0x3A2A, 0x3A2A, 0x422A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x424A, 
        0x424A, 0x424A, 0x424A, 0x422A, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 
        0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x422A, 0x422A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x3A4A, 0x3A2A, 0x3A2A, 0x3A29, 0x3229, 0x3209, 0x2A09, 0x2A09, 0x29E9, 0x29E9, 0x21E9, 0x2209, 0x2209, 
        0x2209, 0x2209, 0x2209, 0x2209, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3209, 0x3229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A49, 
        0x424A, 0x424A, 0x424A, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3209, 0x3209, 0x3209, 0x3209, 0x3208, 0x3208, 0x29E8, 0x29E8, 0x29C8, 0x29C8, 0x29C7, 0x29C7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x2986, 0x2986, 0x2966, 0x2966, 0x2966, 0x2966, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2188, 0x2188, 0x2188, 0x2188, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2147, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2146, 0x2146, 0x2146, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2146, 0x2146, 0x2146, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2945, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2145, 0x2125, 0x2125, 0x2125, 0x2145, 0x2125, 0x2126, 0x2146, 0x2146, 0x2967, 0x29A7, 0x31C8, 0x31E9, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 
        0x2987, 0x2987, 0x29A7, 0x29A7, 0x29A7, 0x31C8, 0x31C8, 0x31C8, 0x31E8, 0x39E8, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A09, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A28, 0x3A08, 0x3A08, 
        0x3A08, 0x31E8, 0x31E8, 0x31C8, 0x31C7, 0x29C7, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2966, 0x2166, 0x2166, 0x2187, 0x29C8, 0x3A09, 0x4229, 0x4249, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A49, 
        0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249,
  0x4A49, 0x4249, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x426A, 0x426A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x3A4A, 0x3A4A, 0x3A4A, 0x424A, 0x424A, 
        0x424A, 0x424A, 0x424A, 0x3A4A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3229, 0x3229, 0x3229, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 
        0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 
        0x29C8, 0x29C9, 0x29E9, 0x29E9, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3A29, 0x3A2A, 0x3A2A, 0x422A, 0x422A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 
        0x424A, 0x424A, 0x424A, 0x424A, 0x422A, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 
        0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x422A, 0x422A, 0x422A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3209, 0x3209, 0x2A09, 0x2A09, 0x29E9, 0x29E9, 0x21E9, 0x2209, 
        0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x2A09, 0x2A09, 0x3209, 0x3209, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A2A, 0x3A2A, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 
        0x3A49, 0x3A49, 0x4249, 0x4249, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3209, 0x3209, 0x3209, 0x3208, 0x3208, 0x31E8, 0x29E8, 0x29E8, 0x29E8, 0x29C8, 0x29C7, 0x29C7, 0x29C7, 0x29C7, 0x29A7, 0x29A7, 0x29A6, 0x2986, 0x2986, 0x2986, 0x2966, 
        0x2966, 0x2966, 0x2965, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2147, 0x2147, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2146, 0x2146, 0x2146, 0x2146, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2146, 0x2146, 0x2146, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2145, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2987, 0x29A7, 0x2987, 0x2166, 0x2146, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2166, 0x2987, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2967, 0x2966, 0x2966, 0x2966, 0x2987, 0x2987, 0x2986, 0x2986, 0x2986, 0x2987, 0x2987, 
        0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x31C7, 0x31C8, 0x31C8, 0x39E8, 0x39E8, 0x39E8, 0x3A08, 0x3A08, 0x3A09, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A08, 0x3A08, 0x3A08, 
        0x31E8, 0x31E8, 0x31E8, 0x31C8, 0x31C8, 0x29C7, 0x29C7, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2967, 0x2167, 0x2187, 0x29A7, 0x31E8, 0x3A29, 0x4229, 0x4A49, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A49, 0x4A49, 
        0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249,
  0x4249, 0x4249, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x426A, 0x426A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 
        0x424A, 0x424A, 0x424A, 0x424A, 0x3A4A, 0x3A4A, 0x3A2A, 0x3A2A, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3229, 0x3229, 0x3229, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 
        0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x31E9, 
        0x31E9, 0x31E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E8, 0x29E8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x29C8, 
        0x29E9, 0x29E9, 0x31E9, 0x31E9, 0x3209, 0x3A09, 0x3A09, 0x3A29, 0x3A2A, 0x3A2A, 0x422A, 0x422A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x424A, 
        0x424A, 0x424A, 0x424A, 0x424A, 0x422A, 0x3A2A, 0x3A2A, 0x3A29, 0x3A29, 0x3A29, 0x3A2A, 0x3A2A, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 
        0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x422A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x422A, 0x422A, 0x422A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A29, 0x3209, 0x3209, 0x2A09, 0x2A09, 0x2A09, 0x29E9, 0x21E9, 
        0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x29E9, 0x29E9, 0x3209, 0x3209, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 
        0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3208, 0x3208, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29C8, 0x29C7, 0x29C7, 0x29C7, 0x29C7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x2986, 0x2986, 
        0x2986, 0x2966, 0x2966, 0x2966, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2125, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2146, 0x2967, 0x3209, 0x3209, 0x29C9, 0x2987, 0x2166, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2966, 0x2966, 0x2967, 0x2987, 0x2967, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 
        0x2966, 0x2966, 0x2966, 0x2966, 0x2967, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x31C8, 0x31C8, 0x31C8, 0x31E8, 0x39E8, 0x3A08, 0x3A08, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A08, 0x3A08, 0x3A08, 
        0x31E8, 0x31E8, 0x31E8, 0x31C8, 0x31C8, 0x29C8, 0x29C8, 0x29C7, 0x29A7, 0x29A7, 0x2987, 0x2187, 0x2187, 0x2187, 0x29C8, 0x3A09, 0x3A29, 0x4249, 0x4A49, 0x4A69, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A49, 0x4A49, 
        0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249,
  0x4249, 0x4229, 0x422A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 
        0x424A, 0x424A, 0x424A, 0x3A4A, 0x3A4A, 0x3A49, 0x3A2A, 0x3A2A, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3229, 0x3229, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 
        0x3209, 0x3209, 0x2A09, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 
        0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E8, 0x21E8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x29E9, 
        0x29E9, 0x31E9, 0x3209, 0x3209, 0x3A09, 0x3A29, 0x3A29, 0x3A2A, 0x3A2A, 0x422A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 
        0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x422A, 0x3A2A, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A29, 0x3A2A, 0x3A2A, 
        0x3A2A, 0x3A2A, 0x3A2A, 0x422A, 0x422A, 0x422A, 0x422A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x422A, 0x422A, 0x422A, 0x3A2A, 0x3A2A, 0x3A29, 0x3A29, 0x3A29, 0x3209, 0x3209, 0x3209, 0x3209, 0x2A09, 0x2A09, 0x29E9, 
        0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x29E9, 0x29E9, 0x3209, 0x3209, 0x3209, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 
        0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3208, 0x31E8, 0x31E8, 0x29E8, 0x29E8, 0x29C8, 0x29C8, 0x29C7, 0x29C7, 0x29C7, 0x29C7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x2986, 
        0x2986, 0x2986, 0x2986, 0x2966, 0x2966, 0x2966, 0x2946, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 
        0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2146, 0x2966, 0x29C9, 0x29C9, 0x29C8, 0x2987, 0x2166, 0x2145, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2146, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 
        0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2987, 0x29A7, 0x29A7, 0x31C7, 0x31C8, 0x31C8, 0x31E8, 0x39E8, 0x3A08, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A08, 0x3A08, 
        0x3208, 0x31E8, 0x31E8, 0x31E8, 0x31C8, 0x29C8, 0x29C8, 0x29C8, 0x29C7, 0x29A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x31E8, 0x3A29, 0x4249, 0x4A49, 0x4A49, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A49, 0x4A49, 0x4A49, 
        0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249,
  0x4229, 0x4229, 0x422A, 0x422A, 0x422A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 
        0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 
        0x424A, 0x424A, 0x424A, 0x3A4A, 0x3A49, 0x3A49, 0x3A4A, 0x3A4A, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x2A09, 
        0x2A09, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 
        0x29E8, 0x29E8, 0x29E8, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29C9, 0x21C8, 0x21C9, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x29C9, 0x29E9, 
        0x29E9, 0x3209, 0x3209, 0x3A09, 0x3A29, 0x3A29, 0x3A2A, 0x3A2A, 0x3A2A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 
        0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x422A, 0x3A2A, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A2A, 
        0x3A2A, 0x3A2A, 0x3A2A, 0x422A, 0x422A, 0x422A, 0x422A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x422A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3209, 0x3209, 0x3209, 0x2A09, 0x2A09, 
        0x29E9, 0x29E9, 0x21E9, 0x21E9, 0x21E9, 0x29E9, 0x29E9, 0x3209, 0x3209, 0x3209, 0x3229, 0x3229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A29, 
        0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3208, 0x3208, 0x3208, 0x31E8, 0x31E8, 0x29E8, 0x29E8, 0x29C8, 0x29C8, 0x29C8, 0x29C7, 0x29C7, 0x29C7, 0x29C7, 0x29A7, 0x29A7, 0x29A7, 
        0x29A7, 0x2986, 0x2986, 0x2986, 0x2986, 0x2966, 0x2966, 0x2966, 0x2945, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2146, 0x2967, 0x2987, 0x2987, 0x2966, 0x2946, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 
        0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2986, 0x2987, 0x29A7, 0x29A7, 0x31C7, 0x31C8, 0x31C8, 0x31E8, 0x39E8, 0x39E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A08, 0x3A08, 
        0x3209, 0x31E9, 0x31E8, 0x31E8, 0x31C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A7, 0x21A7, 0x21A7, 0x21A7, 0x29A8, 0x3209, 0x3A29, 0x4249, 0x4A4A, 0x4A49, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 
        0x4A49, 0x4A49, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249,
  0x4229, 0x4229, 0x4229, 0x3A29, 0x422A, 0x422A, 0x422A, 0x422A, 0x422A, 0x422A, 0x422A, 0x422A, 0x422A, 0x422A, 0x422A, 0x422A, 0x422A, 0x422A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 
        0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 
        0x424A, 0x424A, 0x424A, 0x424A, 0x3A4A, 0x3A4A, 0x3A4A, 0x3A4A, 0x3A2A, 0x3A2A, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x2A09, 0x2A09, 
        0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x21E9, 0x21E9, 0x21E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 
        0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x21E9, 0x21E9, 0x21C9, 0x21C9, 0x21C9, 0x21C9, 0x21C9, 0x21C8, 0x21C9, 0x29C9, 0x29E9, 0x29E9, 
        0x3209, 0x3209, 0x3209, 0x3A09, 0x3A29, 0x3A29, 0x3A2A, 0x3A2A, 0x422A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 
        0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x422A, 0x3A2A, 0x3A2A, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 
        0x3A2A, 0x3A2A, 0x3A2A, 0x422A, 0x422A, 0x422A, 0x422A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A29, 0x3A29, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x2A09, 
        0x2A09, 0x29E9, 0x29E9, 0x21C8, 0x29E8, 0x29E9, 0x29E9, 0x31E9, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x31E8, 0x31E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29C8, 0x29C8, 0x29C8, 0x29C7, 0x29C7, 0x29C7, 0x29C7, 0x29A7, 0x29A7, 
        0x29A7, 0x29A7, 0x29A7, 0x2986, 0x2986, 0x2986, 0x2966, 0x2966, 0x2966, 0x2966, 0x2945, 0x2945, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2126, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2966, 0x29A7, 0x29C8, 0x2987, 0x2146, 0x2125, 0x2125, 0x2145, 0x2125, 0x2146, 0x2946, 0x2946, 0x2146, 0x2166, 0x2166, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 
        0x2966, 0x2966, 0x2166, 0x2166, 0x2166, 0x2166, 0x2966, 0x2966, 0x2987, 0x29A7, 0x29A7, 0x29C7, 0x29C8, 0x31C8, 0x31C8, 0x31E8, 0x31E8, 0x31E8, 0x3208, 0x3208, 0x3A08, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A08, 0x3A08, 0x3A08, 
        0x3209, 0x31E9, 0x31E9, 0x31E8, 0x31E8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x21A8, 0x21A7, 0x21A7, 0x21A8, 0x29A8, 0x3209, 0x3A29, 0x4249, 0x4A49, 0x4A49, 0x4A69, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4249, 
        0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249,
  0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x422A, 0x422A, 0x422A, 0x422A, 0x422A, 0x4229, 0x422A, 0x422A, 0x422A, 0x422A, 0x422A, 0x422A, 0x422A, 0x422A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 
        0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 
        0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x3A4A, 0x3A4A, 0x3A2A, 0x3A2A, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3229, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x2A09, 0x2A09, 0x2A09, 
        0x2A09, 0x29E9, 0x29E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 
        0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x2A09, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x21E9, 0x21E9, 0x21E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x3209, 
        0x3209, 0x3209, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A2A, 0x422A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 
        0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x422A, 0x422A, 0x3A2A, 0x3A29, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 
        0x3A29, 0x3A2A, 0x3A2A, 0x422A, 0x422A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A29, 0x3A29, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x2A09, 
        0x2A09, 0x29E9, 0x29E9, 0x29E9, 0x29C8, 0x29E9, 0x29E9, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x31E8, 0x31E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29C8, 0x29C8, 0x29C7, 0x29C7, 0x29C7, 0x29C7, 0x29A7, 
        0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x2986, 0x2986, 0x2986, 0x2986, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2166, 0x2166, 0x2166, 0x2166, 0x2966, 0x2966, 0x2966, 0x2967, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2166, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2966, 0x2987, 0x29A8, 0x2167, 0x2146, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2166, 0x2966, 0x2966, 0x2966, 0x2986, 0x2986, 
        0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x29A7, 0x29A7, 0x29A7, 0x29C7, 0x29C8, 0x29C8, 0x29C8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x3208, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A08, 0x3208, 0x3208, 
        0x3209, 0x3209, 0x3209, 0x31E9, 0x31E8, 0x29E8, 0x29C8, 0x29C8, 0x29C8, 0x21A8, 0x21A8, 0x21A8, 0x21C8, 0x29C8, 0x3A29, 0x4229, 0x4249, 0x4A49, 0x4A49, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A49, 0x4A49, 0x4A49, 0x4249, 0x4249, 
        0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249,
  0x4229, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A2A, 0x3A2A, 0x422A, 0x422A, 0x422A, 0x422A, 0x422A, 0x422A, 0x422A, 0x422A, 0x422A, 0x424A, 0x424A, 0x424A, 
        0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 
        0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x3A4A, 0x3A4A, 0x3A2A, 0x3A2A, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3229, 0x3229, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x2A09, 0x2A09, 0x2A09, 
        0x29E9, 0x29E9, 0x29E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21C9, 0x21C9, 0x21C9, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C9, 0x21C9, 0x21C9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 
        0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x2A09, 0x2A09, 0x29E9, 0x29E9, 0x2A09, 0x2A09, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x2A09, 0x3209, 
        0x3209, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x422A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x424A, 0x422A, 0x422A, 0x3A2A, 0x3A29, 0x3A09, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 
        0x3A2A, 0x3A2A, 0x3A2A, 0x422A, 0x422A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x422A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A29, 0x3A29, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x29E9, 
        0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29C9, 0x29C9, 0x29E9, 0x31E9, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A09, 
        0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x31E9, 0x31E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x31E9, 0x31E9, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29C8, 0x29C8, 0x29C7, 0x29C7, 0x29C7, 0x29C7, 
        0x29C7, 0x29C7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A6, 0x29A6, 0x29A6, 0x29A7, 0x2987, 0x2986, 0x2986, 0x2986, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 
        0x2987, 0x2987, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2946, 0x2966, 0x2167, 0x2146, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2966, 0x2986, 0x2987, 0x29A7, 
        0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29C7, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29E8, 0x29E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x3208, 0x3208, 0x3209, 0x3209, 0x3209, 0x3208, 0x3208, 
        0x3208, 0x3209, 0x3209, 0x31E9, 0x31E8, 0x29E8, 0x29E8, 0x29C8, 0x29C8, 0x21C8, 0x21C8, 0x21C8, 0x29C8, 0x29E8, 0x3A29, 0x4229, 0x4249, 0x4A49, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A49, 0x4A4A, 0x4A4A, 0x4A49, 0x4249, 
        0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49,
  0x4229, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x422A, 0x422A, 0x422A, 0x422A, 0x424A, 
        0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 
        0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 
        0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x3A4A, 0x3A4A, 0x3A4A, 0x3A2A, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3229, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x2A09, 0x2A09, 0x2A09, 
        0x29E9, 0x29E9, 0x29E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21C9, 0x21C9, 0x21C9, 0x21C9, 0x21C9, 0x21C9, 0x21C9, 0x21C9, 0x21C9, 0x21C9, 0x21C9, 0x21C9, 0x21C9, 0x21C9, 0x21C9, 0x21C9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 
        0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x2A09, 0x29E9, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x2A09, 0x2A09, 0x3209, 0x3209, 0x3209, 
        0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x422A, 0x4229, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x424A, 0x422A, 0x422A, 0x3A2A, 0x3A29, 0x3209, 0x31E9, 0x31E9, 0x31C9, 0x29C9, 0x29C9, 0x31C9, 0x31E9, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 
        0x3A2A, 0x3A2A, 0x3A2A, 0x422A, 0x422A, 0x422A, 0x422A, 0x422A, 0x422A, 0x422A, 0x422A, 0x422A, 0x422A, 0x3A2A, 0x3A29, 0x3A2A, 0x3A2A, 0x3A29, 0x3A2A, 0x3A29, 0x3A09, 0x3209, 0x3209, 0x3209, 0x31E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 
        0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29C9, 0x29C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A09, 
        0x3209, 0x3209, 0x3209, 0x3209, 0x29E9, 0x29C9, 0x29C9, 0x29C9, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29C8, 0x29C8, 0x29C8, 0x29C7, 
        0x29C7, 0x29C7, 0x29C7, 0x29C7, 0x29A7, 0x29C7, 0x29C7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2146, 0x2146, 0x2166, 0x2166, 0x2966, 0x2966, 0x2966, 0x2146, 0x2145, 0x2146, 0x2966, 0x2986, 0x29A7, 
        0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x29A7, 0x29C7, 0x29C7, 0x29C8, 0x29C8, 0x29C8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x31E8, 0x31E8, 0x3208, 0x3208, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 
        0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3208, 0x2A08, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x3209, 0x4249, 0x4249, 0x4A49, 0x4A49, 0x4A49, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 
        0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4249, 0x4249, 0x4249, 0x4249, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49,
  0x4229, 0x3A09, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x422A, 0x422A, 0x422A, 0x422A, 0x422A, 
        0x422A, 0x422A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 
        0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x2A09, 0x2A09, 
        0x2A09, 0x29E9, 0x29E9, 0x29E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21C9, 0x21C9, 0x21C9, 0x21C9, 0x21C9, 0x21C9, 0x21C9, 0x21C9, 0x21C9, 0x21C9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 
        0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x2A09, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3209, 0x3209, 0x3A29, 
        0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x424A, 0x422A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x424A, 0x422A, 0x3A2A, 0x3A29, 0x3A09, 0x3209, 0x31E9, 0x31C9, 0x29C9, 0x29C8, 0x29C8, 0x29C8, 0x31C9, 0x31E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3A29, 0x3A2A, 0x3A2A, 0x3A2A, 0x422A, 0x422A, 0x422A, 0x422A, 0x422A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3209, 0x31E9, 0x31E9, 0x29E9, 0x29E9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29E9, 
        0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 
        0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x29C9, 0x29C9, 0x29C9, 0x21C8, 0x21C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29C8, 0x29C8, 
        0x29C7, 0x29C7, 0x29C7, 0x29C7, 0x29C7, 0x29C7, 0x29C7, 0x29C7, 0x29C7, 0x29C7, 0x29C7, 0x29C7, 0x29C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 
        0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2126, 0x2146, 0x2166, 0x2146, 0x2146, 0x2146, 0x2946, 0x2145, 0x2125, 0x2125, 0x2145, 0x2946, 0x2966, 
        0x2987, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29C7, 0x29C7, 0x29C7, 0x29C8, 0x29C8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x3208, 0x3208, 0x3208, 0x3208, 0x3208, 0x3209, 0x3229, 0x3229, 0x3A29, 0x3A29, 0x3A29, 
        0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3208, 0x3208, 0x3209, 0x3A29, 0x424A, 0x4249, 0x4A49, 0x4A49, 0x4A49, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4249, 
        0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4A49,
  0x4229, 0x3A09, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x422A, 
        0x422A, 0x422A, 0x422A, 0x422A, 0x422A, 0x422A, 0x422A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 
        0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A2A, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3229, 0x3209, 0x3209, 0x3209, 
        0x3209, 0x2A09, 0x2A09, 0x29E9, 0x29E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21C9, 0x21C9, 0x21C9, 0x21C9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 
        0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x2A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A29, 0x3A29, 
        0x3A29, 0x3A29, 0x3A29, 0x3A4A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x424A, 0x422A, 0x3A2A, 0x3A29, 0x3A09, 0x31E9, 0x31C9, 0x29C9, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x31C8, 0x31C8, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A2A, 0x422A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x31E9, 0x31E9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 
        0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x31E9, 
        0x31E9, 0x31E9, 0x31E9, 0x29C9, 0x29C8, 0x29C8, 0x21C8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C7, 0x29C7, 0x29C7, 0x29C7, 0x29C7, 0x29C8, 0x29C8, 0x31C8, 0x31C8, 0x31E8, 0x31E8, 0x31E8, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 
        0x31E9, 0x31C9, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2146, 0x2146, 0x2145, 0x2125, 0x2925, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 
        0x2966, 0x2987, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29C7, 0x29C7, 0x29C7, 0x29C8, 0x29C8, 0x29C8, 0x29E8, 0x31E8, 0x3208, 0x3208, 0x3208, 0x3208, 0x3209, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 
        0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x4249, 0x3A29, 0x3A09, 0x3209, 0x3208, 0x3208, 0x3209, 0x3A09, 0x3A09, 0x4229, 0x4229, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4249, 0x4249, 
        0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249,
  0x4229, 0x31E8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 
        0x3A2A, 0x3A2A, 0x422A, 0x422A, 0x422A, 0x422A, 0x422A, 0x422A, 0x422A, 0x422A, 0x422A, 0x422A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 
        0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A4A, 0x3A4A, 0x424A, 0x424A, 0x424A, 0x424A, 0x3A4A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3229, 
        0x3209, 0x3209, 0x3209, 0x2A09, 0x2A09, 0x29E9, 0x29E9, 0x29E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 
        0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3229, 0x3229, 0x3A29, 0x3A29, 
        0x3A29, 0x3A2A, 0x3A4A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x422A, 0x3A2A, 0x3A29, 0x3A09, 0x31E9, 0x31C9, 0x29C9, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x31C9, 0x39E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x31E9, 0x31E9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x21C9, 0x21C9, 0x21C9, 0x21C9, 0x21C9, 0x21C9, 
        0x21C9, 0x21C9, 0x21C9, 0x21C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29C8, 0x29C8, 0x29C9, 0x29C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 
        0x31E9, 0x31C9, 0x31C9, 0x29C9, 0x29C8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29E8, 0x31E8, 0x31E8, 0x31E8, 0x31E9, 0x3209, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 
        0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x2188, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2126, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2145, 0x2146, 0x2966, 0x2987, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x31C7, 0x31C7, 0x31C7, 0x31C8, 0x31C8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x3208, 0x3208, 0x3208, 0x3208, 0x3A08, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 
        0x3A29, 0x3A29, 0x3A09, 0x31C8, 0x2987, 0x2987, 0x2987, 0x2967, 0x2967, 0x2967, 0x2967, 0x29A7, 0x31A7, 0x2987, 0x31A7, 0x31A8, 0x31A8, 0x2987, 0x2987, 0x2987, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31C8, 0x31C8, 0x4229, 
        0x39E9, 0x31C8, 0x31A8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x39C8, 0x39C8, 0x39C8, 0x39E8, 0x39E8, 0x39E9, 0x39E9, 0x39E9, 0x39E9,
  0x4229, 0x31E8, 0x29C8, 0x29C8, 0x29C8, 0x29C9, 0x29C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 
        0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A2A, 0x3A2A, 0x3A2A, 0x422A, 0x422A, 0x422A, 0x422A, 0x422A, 0x422A, 0x422A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 
        0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 
        0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x3A4A, 0x3A4A, 0x3A4A, 0x3A4A, 0x3A4A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x3A4A, 0x3A4A, 0x3A2A, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 
        0x3229, 0x3229, 0x3209, 0x3209, 0x2A09, 0x2A09, 0x29E9, 0x29E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 
        0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3229, 0x3229, 0x3A29, 0x3A29, 0x3A29, 
        0x3A29, 0x3A2A, 0x3A4A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A4A, 0x424A, 0x424A, 0x4229, 0x3A29, 0x3A09, 0x31E9, 0x31C9, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x2987, 0x2987, 0x29A8, 0x29A8, 0x29C8, 0x31C9, 0x31E9, 0x3A09, 0x3A09, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x29C9, 0x29C9, 0x29C9, 0x29C8, 0x21C8, 0x21A8, 0x21C8, 0x21C8, 0x21C8, 0x21C9, 0x21C9, 
        0x21C9, 0x21C9, 0x21C9, 0x21C8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29C9, 0x29C9, 0x29C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 
        0x31C9, 0x29C9, 0x29C8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A8, 0x21A8, 0x21C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 
        0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x31E8, 0x31E8, 0x31E8, 0x3208, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x31E9, 0x3209, 
        0x3A09, 0x3A09, 0x3209, 0x31E9, 0x31C9, 0x31C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2988, 0x2188, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2966, 0x2966, 0x2987, 0x31A7, 0x31C7, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x3208, 0x3208, 0x3208, 0x3A08, 0x3A08, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 
        0x3A49, 0x3A29, 0x3A29, 0x31C8, 0x2967, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2987, 0x2987, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2987, 0x2987, 0x31A8, 
        0x31A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987,
  0x4228, 0x31C8, 0x29C8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C9, 0x29C9, 0x29C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x422A, 0x422A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 
        0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 
        0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x3A4A, 0x3A4A, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 
        0x3229, 0x3229, 0x3209, 0x3209, 0x3209, 0x2A09, 0x2A09, 0x2A09, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x21E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 
        0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 
        0x3A29, 0x3A29, 0x3A29, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 0x4229, 0x3A29, 0x3A09, 0x3A09, 0x31E9, 0x31C9, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x31C8, 0x31E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x29C9, 0x29C8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21C8, 
        0x21C9, 0x21C9, 0x21A9, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x29C8, 
        0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x21A7, 0x21A8, 0x21A8, 0x21A8, 0x21C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 
        0x29E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x3208, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x31E9, 0x31C9, 0x31C9, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2188, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2945, 0x2946, 0x2966, 0x2986, 0x31A7, 0x31C7, 0x39C8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x3A29, 
        0x3A29, 0x3A09, 0x3209, 0x3A09, 0x29A8, 0x2987, 0x2967, 0x2967, 0x2966, 0x2966, 0x2966, 0x2966, 0x2967, 0x2987, 0x2987, 0x2967, 0x2967, 0x2967, 0x2967, 0x2987, 0x2987, 0x2987, 0x2987, 0x2967, 0x2967, 0x2967, 0x2967, 0x2987, 0x2987, 0x2987, 
        0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2967, 0x2987, 0x31A7, 0x31A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987,
  0x4228, 0x31C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A2A, 0x422A, 0x422A, 0x422A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 
        0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 
        0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 
        0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 
        0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 
        0x3A29, 0x3A29, 0x3A49, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x4229, 0x3A29, 0x3A09, 0x31E9, 0x31E9, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x31C8, 0x31C9, 0x31E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x29C9, 0x29C8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x29C9, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A7, 0x2987, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x21A7, 0x21A7, 0x21A8, 0x21A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x31E8, 0x31E8, 
        0x31E8, 0x31E8, 0x3208, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x31E9, 0x31E9, 0x31C9, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2945, 0x2966, 0x31A7, 0x31C7, 0x39C8, 0x39E8, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A09, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x3A29, 0x31E8, 0x31C8, 0x39E9, 0x422A, 0x39E9, 0x31A8, 0x2987, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2966, 0x2966, 
        0x2967, 0x2967, 0x2967, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2967, 0x2967, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987,
  0x3A28, 0x29C7, 0x29A7, 0x21A8, 0x29A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x422A, 0x422A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 
        0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 
        0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x3A49, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 
        0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x2A09, 0x2A09, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x2A09, 0x2A09, 0x2A09, 0x29E9, 0x29E9, 0x2A09, 0x2A09, 0x29E9, 0x2A09, 0x29E9, 0x29E9, 0x2A09, 0x2A09, 
        0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 
        0x3A4A, 0x3A4A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x424A, 0x422A, 0x3A29, 0x3A09, 0x3209, 0x31E9, 0x29C9, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x31A8, 0x31C8, 0x31C8, 0x31C9, 0x31E9, 0x3A09, 0x3A0A, 0x3A2A, 0x3A2A, 0x3A29, 0x3A29, 
        0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A7, 0x29A7, 0x2987, 0x2987, 
        0x2987, 0x2987, 0x2987, 0x2967, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x21A7, 0x21A7, 0x29A7, 0x29C8, 0x29C8, 0x29C8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x3209, 
        0x3209, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x39E9, 0x39E9, 0x31E9, 0x31C9, 0x31C9, 0x29C9, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2945, 0x2966, 0x3186, 0x31A7, 0x39C7, 0x39E8, 0x39E8, 0x39E8, 0x3A08, 0x4208, 0x4208, 0x4208, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x3A08, 0x31C8, 0x29A7, 0x2987, 0x31C8, 0x3A29, 0x3A29, 0x3A09, 0x31A8, 0x2967, 0x2966, 0x2966, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 
        0x2967, 0x2967, 0x2967, 0x2987, 0x2987, 0x2967, 0x2967, 0x2967, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987,
  0x3A28, 0x29C7, 0x29A7, 0x21A7, 0x21A7, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C9, 0x29C9, 0x29C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 
        0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x422A, 0x422A, 0x422A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 
        0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 
        0x424A, 0x426A, 0x426A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x3A4A, 0x3A2A, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 
        0x3229, 0x3229, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 
        0x29E9, 0x29E9, 0x29E9, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A29, 0x3A29, 0x3A29, 0x3A2A, 
        0x3A2A, 0x3A2A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 
        0x424A, 0x424A, 0x424A, 0x422A, 0x3A09, 0x3A09, 0x31E9, 0x31E9, 0x31C9, 0x29C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x39E9, 0x39E9, 0x39E9, 0x3A09, 0x3A09, 0x4229, 0x422A, 0x422A, 0x422A, 0x4229, 0x4229, 
        0x4229, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x39E9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2987, 0x2987, 0x2987, 0x2987, 0x2967, 0x2967, 
        0x2967, 0x2967, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x21A7, 0x21A7, 0x29A7, 0x29C8, 0x29C8, 0x31E8, 0x31E9, 0x31E9, 0x3209, 0x3209, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x39E9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2945, 0x2945, 0x2966, 0x3166, 0x31A7, 0x39C7, 0x39E8, 0x39E8, 0x4208, 0x4208, 0x4209, 0x4229, 0x4229, 0x4229, 0x4249, 0x4229, 0x4229, 0x4249, 0x4249, 0x3A29, 
        0x39E8, 0x31C7, 0x2987, 0x2987, 0x2967, 0x2987, 0x31A7, 0x39E8, 0x3A09, 0x31C8, 0x2987, 0x2967, 0x2967, 0x2967, 0x2966, 0x2966, 0x2966, 0x2966, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2987, 
        0x2987, 0x2987, 0x29A8, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2967, 0x2967, 0x2987, 0x2987,
  0x4228, 0x29C7, 0x2187, 0x2187, 0x2187, 0x21A8, 0x21A7, 0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C9, 0x29C9, 0x29C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 
        0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 
        0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x426A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x3A4A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A29, 0x3A29, 0x3A29, 
        0x3229, 0x3229, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 
        0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A29, 0x3A29, 0x3A29, 0x3A2A, 
        0x3A2A, 0x3A2A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 
        0x424A, 0x424A, 0x422A, 0x4229, 0x3A09, 0x3A09, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x39E9, 0x39E9, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x422A, 0x422A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x424A, 0x424A, 
        0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x39E9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x29C9, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x21A7, 0x21A7, 0x29A7, 0x29C8, 0x29C8, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x424A, 0x424A, 0x424A, 0x422A, 0x422A, 0x422A, 0x4229, 0x4229, 0x3A29, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 
        0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2125, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2945, 0x2966, 0x3187, 0x39C7, 0x39C8, 0x39E8, 0x4208, 0x4229, 0x4229, 0x4229, 0x4A29, 0x4A49, 0x4249, 0x4249, 0x4249, 0x4249, 0x3A09, 
        0x31C8, 0x31A7, 0x2987, 0x2967, 0x2966, 0x2946, 0x2946, 0x2966, 0x2987, 0x31C8, 0x31C8, 0x29A8, 0x2987, 0x2967, 0x2967, 0x2966, 0x2966, 0x2966, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2987, 0x2987, 0x29A7, 
        0x29A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31C8, 0x31C8, 0x31A8, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2967, 0x2967, 0x2987, 0x2987,
  0x4228, 0x29A7, 0x2987, 0x2187, 0x2187, 0x2187, 0x2187, 0x2987, 0x2987, 0x2187, 0x2188, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C9, 0x29C9, 0x29C9, 0x31C9, 0x31C9, 
        0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 
        0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x3A4A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A29, 0x3A29, 0x3A29, 
        0x3A29, 0x3229, 0x3229, 0x3229, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 
        0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3A29, 0x3A29, 0x3A2A, 
        0x3A2A, 0x3A2A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 
        0x424A, 0x424A, 0x422A, 0x4229, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x4229, 0x4229, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 
        0x424A, 0x422A, 0x422A, 0x3A29, 0x3A09, 0x3A09, 0x39E9, 0x31C9, 0x31C9, 0x31C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x2188, 0x2188, 0x2188, 0x2188, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A7, 0x2187, 0x2187, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x21A7, 0x21A7, 0x29A7, 0x29C8, 0x29C8, 0x31C9, 0x31E9, 0x31E9, 0x3209, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4249, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4249, 0x4249, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x422A, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x39E9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2125, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2945, 0x2946, 0x2966, 0x3187, 0x31A7, 0x39E8, 0x4208, 0x4209, 0x4209, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4229, 0x39E8, 
        0x31C8, 0x29A7, 0x2987, 0x2967, 0x2966, 0x2146, 0x2146, 0x2146, 0x2146, 0x2946, 0x2967, 0x2987, 0x29A7, 0x2987, 0x2167, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2987, 0x2987, 
        0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x31C8, 0x3A09, 0x3A09, 0x31C8, 0x29A8, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987,
  0x4208, 0x29A7, 0x2987, 0x2187, 0x2187, 0x2187, 0x2187, 0x2987, 0x2987, 0x2187, 0x2187, 0x21A7, 0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C9, 0x31C9, 
        0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x422A, 0x422A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 
        0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x3A4A, 0x3A4A, 0x3A2A, 0x3A2A, 0x3A29, 0x3A29, 0x3A29, 
        0x3A29, 0x3229, 0x3209, 0x3229, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 
        0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3A29, 0x3A29, 0x3A2A, 
        0x3A2A, 0x422A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x424A, 
        0x424A, 0x424A, 0x424A, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x422A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 
        0x4A4A, 0x424A, 0x422A, 0x422A, 0x3A09, 0x3A09, 0x39E9, 0x31C9, 0x31C9, 0x31C8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2188, 0x2188, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x2988, 0x2187, 0x2167, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2187, 0x2187, 0x29A7, 0x29A7, 0x29A8, 0x29C8, 0x31C8, 0x31C9, 0x31E9, 0x3209, 0x3A09, 
        0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4249, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4249, 0x4249, 0x4249, 0x4249, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x39E9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x29C9, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x2987, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 
        0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2946, 0x2946, 0x2946, 0x3187, 0x31A7, 0x39C8, 0x39E8, 0x4208, 0x4209, 0x4229, 0x4229, 0x4229, 0x3A29, 0x31C8, 
        0x29A8, 0x29A7, 0x2987, 0x2967, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2166, 0x2967, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2987, 
        0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2967, 0x2967, 0x2967, 0x2967, 0x2987, 0x31C8, 0x31C9, 0x31C8, 0x31C8, 0x31A8, 0x31C8, 0x31C8, 0x31A8, 0x2987,
  0x4228, 0x29A7, 0x2987, 0x2187, 0x2187, 0x2187, 0x2987, 0x2987, 0x2987, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C9, 
        0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x422A, 0x422A, 0x422A, 0x422A, 0x424A, 0x424A, 0x424A, 
        0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x3A4A, 0x3A2A, 0x3A2A, 0x3A29, 0x3A29, 0x3A29, 
        0x3A29, 0x3A29, 0x3A29, 0x3229, 0x3229, 0x3229, 0x3229, 0x3229, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 
        0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A29, 0x3A29, 0x3A2A, 
        0x3A4A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 
        0x424A, 0x424A, 0x424A, 0x4249, 0x4249, 0x4249, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x424A, 0x422A, 0x3A2A, 0x3A09, 0x3A09, 0x31E9, 0x31C9, 0x31C9, 0x29C8, 0x29C8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x2188, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2188, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29C8, 0x29C9, 0x29C9, 0x29C9, 0x21A8, 0x29A9, 0x29A8, 0x29A8, 0x29A8, 0x2987, 0x2167, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2187, 0x2987, 0x29A7, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x31C9, 0x31E9, 0x31E9, 0x3209, 
        0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x422A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 
        0x4249, 0x422A, 0x422A, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x39E9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x29C9, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x2987, 0x2987, 0x2987, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2946, 0x2966, 0x2966, 0x3187, 0x31A7, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x31E8, 0x31A8, 
        0x29A8, 0x2987, 0x2967, 0x2967, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2966, 0x2967, 0x2987, 0x2988, 0x29A8, 0x2987, 0x2967, 0x2967, 0x2967, 0x2966, 0x2967, 0x2967, 0x2966, 0x2966, 0x2967, 0x2967, 
        0x2967, 0x2967, 0x2987, 0x2987, 0x2987, 0x2987, 0x2967, 0x2967, 0x2967, 0x2967, 0x2987, 0x29A7, 0x31C8, 0x3A09, 0x31C8, 0x29A8, 0x2988, 0x29A8, 0x2987,
  0x4228, 0x29C7, 0x2987, 0x2187, 0x2187, 0x2187, 0x2987, 0x2987, 0x2987, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x21A7, 0x29A7, 0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x422A, 0x422A, 0x422A, 0x422A, 0x424A, 0x424A, 
        0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x3A4A, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 
        0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3229, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x2A09, 
        0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 
        0x3A4A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 
        0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x422A, 0x3A29, 0x3A09, 0x3A09, 0x31E9, 0x31C9, 0x31C9, 0x29C8, 0x29C8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x2188, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x21A8, 0x29A8, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C8, 0x29A8, 0x2987, 0x2967, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2187, 0x2987, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x31C9, 0x31E9, 0x31E9, 
        0x3209, 0x3A09, 0x3A09, 0x3A29, 0x4229, 0x4229, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x424A, 0x424A, 
        0x424A, 0x424A, 0x424A, 0x424A, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x39E9, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2187, 0x2187, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 
        0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2946, 0x2966, 0x2967, 0x2987, 0x2987, 0x2987, 0x31A7, 0x31C8, 0x31A8, 
        0x29A8, 0x2987, 0x2967, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2125, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2166, 0x2967, 0x2987, 0x29A8, 0x29A8, 0x2987, 0x2987, 0x2967, 0x2967, 0x2966, 0x2966, 0x2967, 0x2967, 0x2967, 
        0x2967, 0x2967, 0x2967, 0x2967, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988,
  0x4228, 0x31C7, 0x2987, 0x2187, 0x2987, 0x2187, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C9, 0x29C9, 0x29C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x422A, 0x424A, 
        0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x3A4A, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 
        0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 
        0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 
        0x3A2A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A4A, 0x424A, 0x424A, 0x422A, 0x3A29, 0x3A29, 0x3A09, 0x31E9, 0x31C9, 0x31C9, 0x29C9, 0x29A8, 0x29A8, 0x21A8, 0x2188, 0x2188, 0x2188, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2987, 0x29A8, 0x29C9, 0x31C9, 0x31E9, 0x31C9, 0x29C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31C9, 0x31C8, 0x29A8, 0x29A8, 0x2987, 0x2967, 0x2967, 0x2966, 0x2966, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2167, 0x2187, 0x2987, 0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x31E9, 0x31E9, 
        0x3209, 0x3A09, 0x3A09, 0x3A29, 0x4229, 0x4229, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 
        0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2946, 0x2966, 0x2966, 0x2966, 0x2987, 0x39C8, 
        0x31C8, 0x2987, 0x2966, 0x2946, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2146, 0x2146, 0x2967, 0x2987, 0x29A7, 0x29A7, 0x2987, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 
        0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8,
  0x4228, 0x31C8, 0x29A7, 0x29A7, 0x29A7, 0x21A8, 0x21A7, 0x2987, 0x2987, 0x21A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x424A, 
        0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4249, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 
        0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 
        0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 
        0x3A2A, 0x3A2A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 
        0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x424A, 0x424A, 0x422A, 0x3A29, 0x3A09, 0x3A09, 0x31E9, 0x31C9, 0x31C9, 0x29C8, 0x29A8, 0x29A8, 0x2188, 0x2188, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2987, 0x29A8, 0x31C9, 0x31E9, 0x3A09, 0x3A09, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x29C8, 0x29A8, 0x29A7, 0x2987, 0x2987, 0x2967, 0x2966, 0x2966, 0x2946, 0x2946, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2167, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x31C9, 0x31E9, 
        0x31E9, 0x31E9, 0x3A09, 0x3A09, 0x4229, 0x4229, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x422A, 0x422A, 0x4229, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x31C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 
        0x2987, 0x2967, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x2188, 0x2188, 
        0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2925, 0x2925, 0x2945, 0x2966, 0x4A49, 
        0x4A8A, 0x4A6A, 0x4209, 0x31A7, 0x2946, 0x2946, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2145, 0x2125, 0x2145, 0x2946, 0x2967, 0x2967, 0x2987, 0x2987, 0x2987, 0x2967, 0x2967, 0x2967, 0x2967, 
        0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2987, 0x2987, 0x2987, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987,
  0x4228, 0x31C8, 0x29A7, 0x29A8, 0x29A7, 0x21A8, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C9, 0x29C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x424A, 
        0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x422A, 0x4229, 0x3A29, 0x3A2A, 
        0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3229, 0x3229, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 
        0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 
        0x3A2A, 0x3A2A, 0x3A29, 0x4249, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x422A, 0x422A, 0x4229, 0x4229, 0x4229, 0x424A, 0x4A4A, 
        0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x424A, 0x424A, 0x422A, 0x4229, 0x3A09, 0x3A09, 0x31E9, 0x31C9, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x2188, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2987, 0x29A7, 0x29A8, 0x31C8, 0x31C8, 0x31C8, 0x31A8, 0x29A8, 0x2987, 0x2987, 0x2967, 0x2967, 0x2967, 0x2967, 0x2966, 0x2946, 0x2946, 0x2946, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2967, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C9, 0x31E9, 
        0x31E9, 0x31E9, 0x3A09, 0x3A09, 0x3A29, 0x4229, 0x422A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 
        0x4A4A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x31E9, 0x31E9, 0x31E9, 0x31C8, 0x31C9, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2987, 0x2987, 0x2987, 0x2987, 
        0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x2188, 0x21A8, 0x2188, 0x2188, 0x2188, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2925, 0x2946, 0x4229, 
        0x4A6A, 0x528A, 0x4A8A, 0x4A6A, 0x39E9, 0x2987, 0x2946, 0x2146, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2125, 0x2125, 0x2926, 0x2946, 0x2967, 0x2987, 0x2987, 0x2987, 0x2987, 0x2967, 0x2967, 
        0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2987, 0x2987, 0x2987, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967,
  0x4228, 0x31C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x29A7, 0x29A8, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C9, 0x29C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x422A, 0x422A, 
        0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3229, 0x3229, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 
        0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A2A, 0x3A2A, 
        0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4249, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x422A, 0x422A, 0x422A, 0x422A, 0x4229, 0x422A, 0x424A, 0x424A, 0x4A4A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 0x422A, 0x4229, 0x3A09, 0x3A09, 0x31E9, 0x31C9, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2188, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2967, 0x2967, 0x2987, 0x2987, 0x2967, 0x2967, 0x2967, 0x2967, 0x2167, 0x2167, 0x2166, 0x2166, 0x2146, 0x2946, 0x2946, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2966, 0x2966, 0x2967, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C9, 0x31E9, 
        0x31E9, 0x31E9, 0x3209, 0x3A09, 0x3A29, 0x4229, 0x422A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2988, 0x2987, 
        0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2188, 0x2188, 0x2188, 0x2188, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x2188, 0x2188, 0x2188, 0x2187, 0x2187, 0x2187, 0x2188, 0x2188, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 
        0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2945, 0x2966, 0x3A09, 
        0x4229, 0x422A, 0x4229, 0x4229, 0x422A, 0x39E9, 0x31A8, 0x2967, 0x2146, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2966, 0x2967, 0x2987, 0x2987, 0x2987, 
        0x2987, 0x2967, 0x2967, 0x2967, 0x2967, 0x2987, 0x2987, 0x2987, 0x2987, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2987, 0x2987, 0x2987,
  0x4228, 0x31C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C9, 0x29C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 
        0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4229, 0x3A2A, 
        0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3229, 0x3229, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 
        0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A2A, 
        0x3A2A, 0x3A2A, 0x3A2A, 0x3A4A, 0x4249, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x422A, 0x422A, 0x424A, 0x424A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 0x4229, 0x3A29, 0x3A09, 0x39E9, 0x31E9, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x2188, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2966, 0x2966, 0x2967, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x31C9, 
        0x31E9, 0x31E9, 0x3209, 0x3A09, 0x3A29, 0x4229, 0x422A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x422A, 0x422A, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x31C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x2988, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2188, 0x2188, 0x2188, 0x2188, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 
        0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 
        0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2105, 
        0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 
        0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2105, 0x2125, 0x2945, 0x31A7, 0x4249, 0x4A4A, 
        0x3A09, 0x31C8, 0x3187, 0x2987, 0x31A7, 0x31C8, 0x31C8, 0x2987, 0x2967, 0x2946, 0x2946, 0x2946, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2945, 0x2946, 0x2946, 0x2967, 0x2987, 
        0x2987, 0x2987, 0x2987, 0x2967, 0x2967, 0x2967, 0x2967, 0x2987, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2966, 0x2966, 0x2967, 0x2967, 0x2987, 0x2987,
  0x4228, 0x31C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C9, 0x29C9, 0x29C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 
        0x422A, 0x422A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x422A, 0x4229, 0x4229, 0x3A2A, 
        0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3229, 0x3229, 0x3209, 0x3209, 0x3209, 
        0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A2A, 0x3A2A, 
        0x3A2A, 0x3A2A, 0x422A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4249, 0x4249, 0x4249, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x422A, 0x4229, 0x3A29, 0x3A09, 0x31E9, 0x31C8, 0x29C8, 0x29A8, 0x29A8, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2966, 0x2966, 0x2967, 0x2967, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x31C8, 
        0x31E9, 0x31E9, 0x3209, 0x3A09, 0x3A29, 0x4229, 0x4229, 0x4229, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x422A, 0x4229, 0x4229, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x31C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2188, 0x2188, 0x2188, 0x2188, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 
        0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 
        0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2105, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2105, 0x2125, 0x2125, 0x2125, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2125, 0x2125, 0x2125, 0x2125, 0x2124, 0x2124, 0x2104, 0x2125, 0x2925, 0x2966, 0x4209, 0x52AA, 
        0x4A6A, 0x3A09, 0x31A7, 0x2966, 0x2986, 0x31C7, 0x31C8, 0x31C8, 0x3A09, 0x39E9, 0x31A8, 0x2967, 0x2946, 0x2145, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2925, 0x2925, 0x2946, 0x2966, 
        0x2967, 0x2967, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2967, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2967, 0x2967, 0x2967, 0x2987,
  0x4228, 0x31C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C9, 0x29C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 
        0x422A, 0x422A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4249, 0x4229, 0x422A, 
        0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x3A4A, 0x3A4A, 0x3A2A, 0x3A2A, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3229, 0x3229, 0x3209, 0x3209, 0x3209, 
        0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x424A, 0x424A, 
        0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x424A, 0x422A, 0x422A, 0x3A09, 0x3A09, 0x31C8, 0x29C8, 0x29A8, 0x2987, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2966, 0x2966, 0x2967, 0x2967, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x31C8, 
        0x31E9, 0x31E9, 0x3209, 0x3A09, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 0x422A, 0x4229, 0x4229, 0x3A29, 0x3A09, 0x3A09, 0x39E9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x31C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2188, 0x2188, 0x2188, 0x2188, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 
        0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 
        0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2105, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2125, 0x2125, 0x2125, 0x2105, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2105, 0x2125, 0x2125, 0x2125, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2125, 0x2125, 0x2124, 0x2124, 0x2124, 0x2124, 0x2105, 0x2125, 0x2945, 0x2966, 0x31A7, 0x4229, 
        0x424A, 0x422A, 0x4229, 0x39E9, 0x2987, 0x2966, 0x2966, 0x2987, 0x31A7, 0x3A09, 0x3A2A, 0x3A09, 0x31C8, 0x2987, 0x2946, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2125, 0x2125, 0x2125, 0x2145, 
        0x2146, 0x2966, 0x2966, 0x2967, 0x2987, 0x2987, 0x2987, 0x2987, 0x2967, 0x2967, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2967,
  0x4228, 0x31C8, 0x29C8, 0x29A8, 0x29A8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C9, 0x29C9, 0x29C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 
        0x422A, 0x422A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4249, 0x4249, 0x424A, 
        0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3229, 0x3229, 0x3209, 0x3209, 
        0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A29, 0x3A29, 0x3A29, 0x3A4A, 0x424A, 0x424A, 0x424A, 0x424A, 
        0x424A, 0x422A, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x424A, 0x424A, 0x424A, 0x424A, 0x4229, 0x424A, 0x424A, 0x424A, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x4249, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x424A, 0x422A, 0x422A, 0x3A29, 0x3A09, 0x31C8, 0x29A8, 0x29A8, 0x2987, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2966, 0x2966, 0x2966, 0x2967, 0x2967, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x31C8, 
        0x31E9, 0x31E9, 0x31E9, 0x3A09, 0x3A09, 0x3A09, 0x4229, 0x4229, 0x422A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 0x422A, 0x4229, 0x4229, 0x3A09, 0x3A09, 0x3A09, 0x39E9, 0x39E9, 0x31C9, 0x31C8, 0x31C8, 0x31C8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2188, 0x2188, 0x2188, 0x2188, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x2188, 0x2188, 0x2188, 0x2188, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 
        0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2105, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2125, 0x2125, 0x2124, 0x2124, 0x2124, 0x2124, 0x2105, 0x2125, 0x2925, 0x2966, 0x31A7, 0x4209, 
        0x422A, 0x422A, 0x422A, 0x3A09, 0x31A8, 0x2987, 0x2966, 0x2966, 0x2966, 0x2986, 0x31C7, 0x3A09, 0x3A2A, 0x3A0A, 0x2987, 0x2966, 0x2166, 0x2146, 0x2146, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 
        0x2145, 0x2145, 0x2146, 0x2946, 0x2967, 0x2967, 0x2987, 0x2987, 0x2967, 0x2967, 0x2967, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966,
  0x4229, 0x31C8, 0x29C8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x422A, 
        0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 
        0x424A, 0x424A, 0x424A, 0x424A, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3209, 
        0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A29, 0x3A29, 0x3A2A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x3A29, 
        0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x422A, 0x422A, 0x422A, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x424A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 
        0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x424A, 0x422A, 0x422A, 0x3A09, 0x31E9, 0x29C8, 0x29A8, 0x29A8, 0x2987, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2966, 0x2966, 0x2967, 0x2967, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x31C8, 
        0x31E9, 0x31E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x4229, 0x422A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4229, 0x4229, 0x4229, 0x3A09, 0x3A09, 0x39E9, 0x31C9, 0x31C9, 0x31C8, 0x31C8, 0x31A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2188, 0x2188, 0x2188, 0x2188, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2124, 0x2104, 0x2105, 0x2105, 0x2125, 0x2946, 0x2967, 0x39C9, 
        0x3A09, 0x422A, 0x422A, 0x4209, 0x3A09, 0x31C8, 0x3187, 0x2966, 0x2966, 0x2965, 0x2966, 0x2987, 0x31C8, 0x31C8, 0x29A7, 0x29A7, 0x31C7, 0x31C8, 0x29A7, 0x2146, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2946, 0x2966, 0x2966, 0x2966, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2966, 0x2966, 0x2966, 0x2966,
  0x4229, 0x31E8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C9, 0x29C9, 0x31C9, 0x31C9, 0x31C8, 0x31C9, 0x31C9, 
        0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x422A, 0x422A, 
        0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4249, 0x424A, 0x424A, 
        0x424A, 0x424A, 0x424A, 0x424A, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 
        0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3A29, 0x3A29, 0x3A4A, 0x424A, 0x424A, 0x3A2A, 0x3A2A, 0x3A29, 0x3A29, 
        0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x424A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x424A, 0x422A, 0x3A29, 0x3A09, 0x31E9, 0x29A8, 0x29A8, 0x2987, 0x2987, 0x2167, 0x2167, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2966, 0x2966, 0x2967, 0x2967, 0x2967, 0x2967, 0x2987, 0x2987, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x31C8, 
        0x31E9, 0x39E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x4229, 0x4229, 0x422A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x422A, 0x4229, 0x4229, 0x3A09, 0x39E9, 0x31C9, 0x31C8, 0x31C8, 
        0x31A8, 0x31A8, 0x31A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2988, 0x2988, 0x2988, 0x2988, 0x2988, 0x2987, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2188, 0x21A8, 0x21A8, 0x2188, 0x2188, 0x2188, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x2188, 0x2188, 0x2188, 0x2188, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2124, 0x2124, 0x2125, 0x2125, 0x2125, 0x2146, 0x2946, 0x2967, 
        0x31A8, 0x31C9, 0x3A09, 0x3A09, 0x424A, 0x422A, 0x39E9, 0x31C8, 0x31A7, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x2987, 0x2967, 0x2166, 0x2146, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2146, 0x2946, 0x2946, 0x2966, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967,
  0x4229, 0x31E8, 0x31C8, 0x29C8, 0x29C8, 0x29C9, 0x29C8, 0x29C8, 0x29C8, 0x29C9, 0x31C9, 0x29C9, 0x29C9, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C9, 0x29C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 
        0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x422A, 0x422A, 
        0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 
        0x424A, 0x424A, 0x424A, 0x424A, 0x4249, 0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 
        0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3A29, 0x3A29, 0x3A2A, 0x424A, 0x424A, 0x3A29, 0x3A2A, 0x3A2A, 0x3A29, 0x3A29, 
        0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x422A, 0x4229, 0x3A29, 0x3A09, 0x31C8, 0x29A8, 0x2987, 0x2987, 0x2967, 0x2167, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2966, 0x2966, 0x2966, 0x2967, 0x2967, 0x2967, 0x2967, 0x2987, 0x2987, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x31C8, 0x31C9, 
        0x31E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x422A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x424A, 0x4229, 0x3A09, 0x39E9, 0x39E9, 0x31C9, 
        0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2988, 0x2988, 0x2188, 0x21A8, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2188, 
        0x2187, 0x2187, 0x2187, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A9, 
        0x29A9, 0x29A9, 0x29A9, 0x29A9, 0x29A9, 0x21C8, 0x21C8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x2188, 0x2188, 0x2188, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2124, 0x2125, 0x2125, 0x2125, 0x2125, 0x2146, 0x2146, 0x2947, 
        0x2967, 0x2967, 0x2988, 0x31C9, 0x422A, 0x424A, 0x424A, 0x422A, 0x4229, 0x39C8, 0x31C8, 0x31A7, 0x3167, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2986, 0x29A7, 0x2987, 0x2967, 0x2966, 0x2146, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2146, 0x2946, 0x2966, 0x2966, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967,
  0x4229, 0x39E8, 0x31C9, 0x31C9, 0x31C8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 
        0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x424A, 0x424A, 0x4249, 0x4249, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 
        0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 
        0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A29, 0x3A29, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 
        0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 0x4229, 0x4229, 0x3A09, 0x39E9, 0x31C8, 0x29A8, 0x2987, 0x2967, 0x2967, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2966, 0x2966, 0x2966, 0x2967, 0x2967, 0x2967, 0x2967, 0x2987, 0x2987, 0x29A7, 0x29A8, 0x29A8, 0x31C8, 0x31C8, 0x31E9, 
        0x31E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x422A, 0x424A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 
        0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4229, 0x4229, 0x3A09, 0x39E9, 
        0x31C9, 0x31C9, 0x31C8, 0x31C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2188, 0x2188, 
        0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29C9, 0x29C9, 0x29A9, 0x29A9, 0x29C9, 0x29C9, 0x29C9, 0x21C8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x2188, 0x2188, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2124, 0x2125, 0x2125, 0x2125, 0x2946, 0x2946, 0x2146, 0x2967, 
        0x2967, 0x2967, 0x2967, 0x2967, 0x31A8, 0x39C9, 0x4229, 0x424A, 0x424A, 0x422A, 0x422A, 0x4229, 0x39E9, 0x3187, 0x2966, 0x2946, 0x2945, 0x2945, 0x2965, 0x2966, 0x2987, 0x2987, 0x2967, 0x2966, 0x2946, 0x2146, 0x2145, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2146, 0x2946, 0x2946, 0x2966, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967,
  0x4229, 0x39E8, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3209, 
        0x3209, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 
        0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 
        0x4249, 0x4229, 0x4229, 0x4229, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4249, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 
        0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x424A, 0x4249, 0x4229, 0x3A29, 0x3A09, 0x31E8, 0x29A8, 0x29A8, 0x2987, 0x2967, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2966, 0x2966, 0x2966, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2987, 0x2987, 0x29A7, 0x29A8, 0x29A8, 0x31C8, 0x31C8, 0x31E9, 
        0x31E9, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x422A, 0x424A, 0x424A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A49, 0x4229, 0x4229, 0x3A09, 
        0x3A09, 0x39E9, 0x31E9, 0x31C8, 0x31C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 
        0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x2188, 0x2188, 0x2188, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2105, 0x2125, 0x2125, 0x2946, 0x2966, 0x2167, 0x2167, 
        0x2167, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x31A8, 0x39C9, 0x3A09, 0x4229, 0x422A, 0x422A, 0x3A29, 0x39E9, 0x31A7, 0x2966, 0x2966, 0x2966, 0x2945, 0x2965, 0x2966, 0x2966, 0x2967, 0x2987, 0x2987, 0x2967, 0x2146, 0x2146, 0x2145, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2925, 0x2945, 0x2946, 0x2946, 0x2966, 0x2966, 0x2966, 0x2966,
  0x4229, 0x3A09, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 
        0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 
        0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 
        0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x3A2A, 0x3A2A, 0x3A2A, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A09, 
        0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4249, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x4229, 0x3A29, 0x3A09, 0x39E9, 0x31C8, 0x29A8, 0x2987, 0x2967, 0x2967, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2966, 0x2966, 0x2966, 0x2966, 0x2967, 0x2967, 0x2967, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A8, 0x29A8, 0x31A8, 0x31C8, 0x31C8, 0x31E9, 
        0x39E9, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 0x4229, 
        0x3A29, 0x3A09, 0x39E9, 0x31E9, 0x31C9, 0x31C8, 0x31C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x2188, 
        0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C9, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x2188, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2124, 0x2124, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2125, 0x2125, 0x2145, 0x2146, 0x2146, 0x2167, 0x2967, 
        0x2167, 0x2167, 0x2167, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x3188, 0x39C9, 0x3A09, 0x3A0A, 0x422A, 0x420A, 0x39E9, 0x39C8, 0x31A7, 0x3187, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2987, 0x2966, 0x2166, 0x2146, 0x2946, 0x2146, 
        0x2126, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2946, 0x2946, 0x2966,
  0x4229, 0x3A09, 0x39E9, 0x31E9, 0x3209, 0x3A09, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 
        0x4249, 0x4249, 0x4249, 0x4249, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 
        0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4249, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3A29, 
        0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x422A, 0x422A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 
        0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x424A, 0x424A, 0x4229, 0x4229, 0x3A09, 0x3A09, 0x31C8, 0x29C8, 0x29A8, 0x2987, 0x2167, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2966, 0x2966, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A8, 0x29A8, 0x31C8, 0x31C8, 0x31C9, 0x39E9, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A8A, 0x4A8A, 0x4A8A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 
        0x4229, 0x3A29, 0x3A09, 0x3A09, 0x31E9, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x2188, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2124, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2105, 0x2125, 0x2125, 0x2145, 0x2146, 0x2146, 0x2146, 0x2147, 
        0x2167, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x3188, 0x31A9, 0x39C9, 0x3A0A, 0x3A0A, 0x422A, 0x3A09, 0x39E9, 0x39E9, 0x31A7, 0x3187, 0x2966, 0x2966, 0x2946, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 
        0x2146, 0x2146, 0x2146, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2146, 0x2146,
  0x4229, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 
        0x4249, 0x4249, 0x4249, 0x4249, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 
        0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4249, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4249, 0x4249, 0x4249, 0x424A, 0x424A, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x422A, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A29, 0x3A29, 
        0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A2A, 0x422A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4249, 0x424A, 0x424A, 
        0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x424A, 0x422A, 0x4229, 0x3A29, 0x3A09, 0x31E9, 0x31C8, 0x29A8, 0x29A7, 0x2987, 0x2167, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2966, 0x2966, 0x2967, 0x2967, 0x2967, 0x2967, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29A8, 0x31C8, 0x31C8, 0x31C8, 0x31E9, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 
        0x4229, 0x4229, 0x3A29, 0x3A09, 0x3A09, 0x31E9, 0x31C8, 0x31C8, 0x31C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x2188, 0x2188, 0x2188, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x2188, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2105, 0x2105, 0x2125, 0x2125, 0x2946, 0x2946, 0x2946, 0x2146, 0x2146, 
        0x2147, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2947, 0x2967, 0x2967, 0x2967, 0x3188, 0x31A8, 0x39C9, 0x3A09, 0x422A, 0x422A, 0x422A, 0x3A09, 0x39E9, 0x31C8, 0x3187, 0x2966, 0x2945, 0x2945, 0x2965, 0x2966, 0x2966, 0x2966, 
        0x2966, 0x2966, 0x2146, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145,
  0x4229, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 
        0x4249, 0x4249, 0x4249, 0x4249, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 
        0x424A, 0x424A, 0x424A, 0x4249, 0x4249, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3A29, 0x3A29, 
        0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x422A, 0x424A, 0x424A, 0x4249, 0x424A, 0x424A, 
        0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x424A, 0x4249, 0x4229, 0x3A29, 0x3A09, 0x31E9, 0x31C8, 0x29C8, 0x29A8, 0x2987, 0x2187, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2966, 0x2966, 0x2967, 0x2967, 0x2967, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29A8, 0x31A8, 0x31C8, 0x31C8, 0x31C9, 0x39E9, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 
        0x4A49, 0x4229, 0x4229, 0x3A29, 0x3A09, 0x39E9, 0x31E9, 0x31E9, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x2188, 0x2188, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2105, 0x2105, 0x2125, 0x2125, 0x2946, 0x2966, 0x2966, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2167, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2987, 0x31A8, 0x31C9, 0x39E9, 0x4209, 0x4209, 0x422A, 0x3A09, 0x39C8, 0x31A7, 0x31A7, 0x3187, 0x2966, 0x2966, 0x2946, 0x2966, 
        0x2966, 0x2966, 0x2946, 0x2946, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125,
  0x4229, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 
        0x4249, 0x4249, 0x4249, 0x4249, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4249, 0x424A, 
        0x424A, 0x424A, 0x424A, 0x4249, 0x4249, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A49, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x424A, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 
        0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x424A, 
        0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x424A, 0x4229, 0x4229, 0x3A29, 0x3A09, 0x31E9, 0x29C8, 0x29A8, 0x29A7, 0x2187, 0x2167, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2966, 0x2966, 0x2967, 0x2967, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29A8, 0x31A8, 0x31C8, 0x31C8, 0x31C9, 0x39E9, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A49, 0x4A49, 
        0x4A49, 0x4249, 0x4229, 0x4229, 0x3A29, 0x3A09, 0x3A09, 0x31E9, 0x31E9, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x2188, 0x2188, 0x2188, 0x2187, 0x2187, 0x2187, 0x2188, 0x2188, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29A9, 0x29A9, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x2188, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2105, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2146, 0x2946, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2946, 0x2947, 0x2967, 0x2967, 0x2967, 0x2167, 0x2967, 0x2967, 0x2947, 0x2967, 0x2947, 0x2967, 0x2967, 0x31A8, 0x39C8, 0x39E9, 0x3A0A, 0x3A0A, 0x3A09, 0x3A09, 0x422A, 0x39E9, 0x31C8, 0x2987, 0x2966, 0x2946, 
        0x2946, 0x2946, 0x2946, 0x2946, 0x2946, 0x2945, 0x2945, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125,
  0x4229, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 
        0x4249, 0x4249, 0x4249, 0x4249, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 
        0x424A, 0x424A, 0x424A, 0x4249, 0x4A49, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 
        0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 
        0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4249, 
        0x4249, 0x4249, 0x4249, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A6A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 0x4249, 0x4229, 0x3A29, 0x3A09, 0x3A09, 0x31C9, 0x29C8, 0x29A8, 0x2987, 0x2187, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2966, 0x2966, 0x2967, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x31A8, 0x31C8, 0x31C9, 0x31E9, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x424A, 0x4229, 0x4229, 0x3A29, 0x3A09, 0x39E9, 0x31E9, 0x31C9, 0x31C8, 0x31C8, 0x31C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x2188, 0x2188, 0x2188, 0x2187, 0x2187, 0x2187, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x2188, 0x2188, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 
        0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2126, 0x2126, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2167, 0x2167, 0x2167, 0x2967, 0x2967, 0x2967, 0x2967, 0x2947, 0x2967, 0x2967, 0x2967, 0x2988, 0x31A9, 0x31C9, 0x39E9, 0x39E9, 0x3A09, 0x422A, 0x3A0A, 0x39C9, 0x31A8, 0x2987, 0x2967, 
        0x2966, 0x2966, 0x2966, 0x2946, 0x2946, 0x2945, 0x2945, 0x2945, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125,
  0x4229, 0x4229, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 
        0x4249, 0x4249, 0x4249, 0x4249, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4249, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 
        0x4249, 0x4249, 0x4249, 0x4A49, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4229, 0x4229, 
        0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 
        0x3A29, 0x3A29, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4249, 0x4249, 0x4229, 0x3A29, 0x3A09, 0x3209, 0x29C9, 0x29C8, 0x29A8, 0x2187, 0x2187, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2966, 0x2966, 0x2967, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A8, 0x31A8, 0x31C8, 0x31C8, 0x31E9, 0x39E9, 0x3A09, 0x3A09, 
        0x3A09, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4249, 0x4229, 0x4229, 0x3A09, 0x3A09, 0x39E9, 0x31E9, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x2188, 0x21A8, 0x21A8, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2188, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x2188, 
        0x2188, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2104, 0x2105, 0x2105, 0x2105, 0x2105, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2126, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2167, 0x2967, 0x2988, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2968, 0x2988, 0x31A8, 0x31A9, 0x39C9, 0x3A09, 0x3A09, 0x3A09, 0x39E9, 0x31C9, 0x31C8, 
        0x31A8, 0x31A7, 0x3187, 0x2966, 0x2946, 0x2945, 0x2945, 0x2945, 0x2945, 0x2145, 0x2125, 0x2125, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125,
  0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 
        0x4249, 0x4249, 0x4249, 0x4249, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4249, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 
        0x4249, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4249, 0x4249, 0x424A, 0x424A, 0x4249, 0x4229, 0x4229, 
        0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 
        0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 
        0x4A49, 0x4A49, 0x4249, 0x424A, 0x4229, 0x3A29, 0x3A09, 0x3209, 0x31E9, 0x29C8, 0x29A8, 0x2987, 0x2187, 0x2187, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2966, 0x2967, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x31A8, 0x31C8, 0x31C8, 0x31C8, 0x39E9, 0x39E9, 0x3A09, 0x3A09, 
        0x3A09, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4A49, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4249, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A09, 0x39E9, 0x31C9, 0x31C9, 0x31C8, 0x31C8, 0x31C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 
        0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2188, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x2188, 
        0x2188, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2126, 0x2126, 0x2146, 0x2146, 
        0x2946, 0x2926, 0x2126, 0x2126, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2968, 0x31A8, 0x31C9, 0x39E9, 0x39E9, 0x3A09, 0x39E9, 0x3A09, 
        0x3A09, 0x39C9, 0x31A8, 0x3187, 0x2966, 0x2966, 0x2945, 0x2945, 0x2945, 0x2945, 0x2145, 0x2945, 0x2945, 0x2946, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125,
  0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 
        0x4249, 0x4249, 0x4249, 0x4249, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4249, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4249, 
        0x4249, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x3A29, 
        0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 
        0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 
        0x4A49, 0x4249, 0x4249, 0x4229, 0x3A29, 0x3A09, 0x31E9, 0x29C8, 0x29C8, 0x29A8, 0x21A7, 0x2187, 0x2187, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2966, 0x2966, 0x2967, 0x2987, 0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x31A8, 0x31C8, 0x31C8, 0x31C9, 0x39E9, 0x39E9, 0x3A09, 0x3A09, 
        0x3A09, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x3A09, 0x3A09, 0x39E9, 0x31E9, 0x31C9, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2188, 0x2188, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x2188, 
        0x2188, 0x2188, 0x2188, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 
        0x2105, 0x2105, 0x2105, 0x2105, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2145, 0x2125, 0x2126, 0x2126, 0x2126, 0x2146, 
        0x2126, 0x2146, 0x2146, 0x2967, 0x2147, 0x2167, 0x2167, 0x2146, 0x2146, 0x2146, 0x2167, 0x2167, 0x2167, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2988, 0x3188, 0x31A9, 0x31C9, 0x39C9, 0x39E9, 
        0x3A09, 0x3A09, 0x39E9, 0x39C8, 0x31A8, 0x3187, 0x2966, 0x2966, 0x2946, 0x2945, 0x2945, 0x2945, 0x2945, 0x2946, 0x2945, 0x2145, 0x2145, 0x2145, 0x2125,
  0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 
        0x4249, 0x4249, 0x4249, 0x4249, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x424A, 0x4249, 0x4249, 0x4249, 
        0x4A49, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A49, 0x4A4A, 0x4A4A, 0x424A, 0x424A, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 
        0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3209, 0x3209, 
        0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3A29, 0x3A29, 
        0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x4249, 0x424A, 0x4249, 0x424A, 0x424A, 0x424A, 0x4249, 0x4249, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A49, 
        0x4249, 0x4249, 0x3A29, 0x3A29, 0x3209, 0x31E9, 0x29C8, 0x29C8, 0x21A8, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2966, 0x2967, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31E9, 0x39E9, 0x3A09, 0x3A09, 0x3A09, 
        0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A09, 0x3A09, 0x39E9, 0x31C9, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2188, 0x2188, 0x2188, 0x2188, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x2188, 
        0x2188, 0x2188, 0x2188, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 
        0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2146, 0x2126, 
        0x2126, 0x2146, 0x2967, 0x2987, 0x2167, 0x2167, 0x2967, 0x2967, 0x2146, 0x2167, 0x2967, 0x2988, 0x2988, 0x2988, 0x2988, 0x2987, 0x2987, 0x2187, 0x2988, 0x2988, 0x2988, 0x2968, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x3188, 0x31A9, 0x39C9, 
        0x39E9, 0x3A09, 0x3A09, 0x3A09, 0x39E9, 0x39C9, 0x31A8, 0x3187, 0x2967, 0x2966, 0x2966, 0x2946, 0x2946, 0x2945, 0x2945, 0x2145, 0x2145, 0x2145, 0x2125,
  0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 
        0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 
        0x4249, 0x4249, 0x4249, 0x4249, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4A49, 
        0x4A49, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A49, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 
        0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3209, 0x3209, 0x3209, 
        0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3A29, 
        0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A49, 0x4249, 0x4229, 
        0x3A29, 0x3A29, 0x3A09, 0x31E9, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x21A8, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2966, 0x2966, 0x2967, 0x2987, 0x29A7, 0x29A7, 0x31C8, 0x31C8, 0x31C8, 0x31E8, 0x39E9, 0x39E9, 0x3A09, 0x3A09, 0x3A09, 
        0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 
        0x4A49, 0x4A49, 0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A09, 0x3A09, 0x3A09, 0x39E9, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2188, 0x2188, 0x2188, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x2188, 
        0x2188, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 
        0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2126, 0x2146, 0x2146, 0x2146, 
        0x2125, 0x2126, 0x2146, 0x2167, 0x2167, 0x2147, 0x2146, 0x2146, 0x2146, 0x2967, 0x29A8, 0x31C9, 0x29C9, 0x2988, 0x2167, 0x2167, 0x2167, 0x2167, 0x2188, 0x2988, 0x2988, 0x2968, 0x2167, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2968, 0x3188, 
        0x31A9, 0x31C9, 0x39C9, 0x39E9, 0x39E9, 0x39E9, 0x39C9, 0x31C8, 0x31A8, 0x3187, 0x2967, 0x2966, 0x2966, 0x2966, 0x2945, 0x2945, 0x2945, 0x2945, 0x2145,
  0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 
        0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 
        0x4249, 0x4249, 0x4249, 0x4249, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A49, 0x4A49, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4A49, 
        0x4A49, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A49, 0x4A49, 0x4A49, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 
        0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 
        0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A09, 
        0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A09, 
        0x3A09, 0x31E9, 0x29C9, 0x29C8, 0x29C8, 0x21C8, 0x21C8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2966, 0x2967, 0x2987, 0x29A7, 0x29A7, 0x29C8, 0x31C8, 0x31C8, 0x31E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 
        0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A49, 0x4A49, 0x4A49, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A49, 0x4A49, 0x4A49, 
        0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A09, 0x3A09, 0x39E9, 0x39E9, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x29A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x2188, 
        0x2188, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2145, 
        0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2967, 0x29A8, 0x29A8, 0x29A8, 0x2967, 0x2967, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2968, 0x2968, 0x2968, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 
        0x2968, 0x3188, 0x31A9, 0x31C9, 0x39C9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x31C9, 0x31A8, 0x3187, 0x2967, 0x2966, 0x2966, 0x2945, 0x2945, 0x2945, 0x2145,
  0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 
        0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 
        0x4249, 0x4249, 0x4249, 0x4249, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x424A, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A49, 0x4A49, 0x4A49, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A49, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4A49, 
        0x4A49, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A49, 0x4A49, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 
        0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 
        0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x2A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3209, 
        0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3209, 0x31E9, 
        0x31E9, 0x29C9, 0x29C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2967, 0x2987, 0x29A7, 0x29C8, 0x31C8, 0x31C8, 0x31E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A49, 0x4A49, 0x4249, 
        0x4249, 0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A09, 0x3A09, 0x3A09, 0x39E9, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x29A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x2188, 0x2188, 
        0x2188, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2147, 0x2167, 0x2967, 0x2967, 0x2967, 0x2946, 0x2146, 0x2146, 0x2146, 0x2146, 0x2167, 0x2167, 0x2167, 0x2167, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 
        0x2967, 0x2967, 0x2968, 0x2988, 0x31A8, 0x31C9, 0x31C9, 0x39E9, 0x39E9, 0x39E9, 0x39C9, 0x31C9, 0x31C8, 0x31A8, 0x2987, 0x2966, 0x2966, 0x2946, 0x2945,
  0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x424A, 0x424A, 0x424A, 0x424A, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x424A, 0x424A, 0x424A, 0x424A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4A49, 
        0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 
        0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 
        0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x2A09, 0x3209, 0x3209, 0x3209, 0x31E9, 0x29E9, 0x29E9, 0x2A09, 0x3209, 0x3209, 
        0x3209, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x29E9, 
        0x29C9, 0x29C8, 0x21C8, 0x21C8, 0x21C8, 0x21A8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2966, 0x2987, 0x29A7, 0x29A8, 0x29C8, 0x31C8, 0x31E9, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x4249, 0x4A49, 0x4A49, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A49, 
        0x4A49, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A69, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 
        0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x39E8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 0x2188, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2124, 0x2124, 0x2124, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2126, 0x2146, 0x2146, 0x2166, 
        0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2946, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2147, 0x2967, 0x2967, 0x2947, 0x2947, 0x2147, 0x2147, 0x2967, 
        0x2167, 0x2967, 0x2967, 0x2967, 0x2988, 0x3188, 0x31A8, 0x31C9, 0x31C9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x31C9, 0x31A8, 0x3188, 0x2967, 0x2966, 0x2966,
  0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x424A, 0x424A, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x424A, 0x424A, 0x424A, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 
        0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A4A, 0x4A4A, 0x4A49, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4A49, 
        0x4A4A, 0x4A4A, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 
        0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 
        0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x3209, 
        0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x29C9, 0x29C8, 
        0x29C8, 0x29C8, 0x21C8, 0x21C8, 0x21C8, 0x21A8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2987, 0x2987, 0x29A7, 0x29A8, 0x31C8, 0x31E9, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x4A49, 0x4A49, 0x4A49, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A49, 
        0x4A49, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A69, 0x4A6A, 0x4A6A, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4249, 0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x39E9, 0x31C9, 0x31C9, 0x31C8, 0x31C8, 0x31C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2124, 0x2124, 0x2124, 0x2124, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2146, 0x2146, 0x2146, 0x2966, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2126, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2147, 0x2147, 0x2147, 0x2147, 0x2147, 0x2147, 0x2167, 
        0x2167, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2987, 0x2988, 0x31A8, 0x31C9, 0x39C9, 0x39E9, 0x39E9, 0x39C9, 0x31C9, 0x31C9, 0x31A8, 0x3187, 0x2987,
  0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 
        0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4A49, 
        0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 
        0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 
        0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x31E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x3209, 
        0x3209, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29C8, 0x29C8, 
        0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2987, 0x2987, 0x29A7, 0x29C8, 0x31C8, 0x31E9, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A69, 0x4A49, 
        0x4A49, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x39E9, 0x31E9, 0x31C9, 0x31C9, 0x31C8, 0x31C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2124, 0x2124, 0x2124, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2126, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2147, 0x2167, 0x2167, 
        0x2167, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2968, 0x31A8, 0x31A9, 0x31C9, 0x31C9, 0x31C9, 0x39C9, 0x31C9, 0x31C9, 0x31C9, 0x31A8,
  0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 
        0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4A49, 
        0x4A49, 0x4A49, 0x4A49, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 
        0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 
        0x3209, 0x31E9, 0x29E9, 0x2A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x31E9, 0x31E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x31E9, 
        0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x31E9, 0x31E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29C9, 0x29C8, 0x29C8, 0x21C8, 
        0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2187, 0x2987, 0x2987, 0x29A8, 0x31C8, 0x31C8, 0x31E9, 0x3A09, 0x3A09, 0x3A29, 
        0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A69, 0x4A69, 0x4A49, 
        0x4A49, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x39E9, 0x31E9, 0x31C9, 0x31C9, 0x31C8, 0x31C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2124, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2145, 0x2125, 0x2125, 0x2125, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2988, 0x2988, 0x31A8, 0x31A8, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9,
  0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 
        0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4A49, 
        0x4A49, 0x4A49, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 
        0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 
        0x3209, 0x31E9, 0x29E9, 0x2A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 
        0x31E9, 0x31E9, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x2A09, 0x2A09, 0x2A09, 0x2A09, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E8, 0x29C8, 0x29C8, 0x21C8, 0x21C8, 
        0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2187, 0x2987, 0x2987, 0x29A7, 0x29C8, 0x31C8, 0x31E9, 0x39E9, 0x3A09, 0x3A09, 
        0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A49, 
        0x4A49, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x39E9, 0x31C9, 0x31C9, 0x31C9, 0x31C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x29A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2124, 0x2104, 0x2104, 0x2104, 0x2124, 0x2124, 0x2124, 0x2104, 0x2104, 0x2124, 0x2124, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2925, 0x2925, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2126, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2146, 0x2146, 0x2146, 0x2146, 0x2967, 0x2967, 0x2967, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2988, 0x31A8, 0x31A8, 0x31C9, 0x31C9, 0x39C9,
  0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 
        0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 
        0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 
        0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x29E9, 
        0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x2A09, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 
        0x31E9, 0x31E9, 0x3209, 0x3209, 0x3209, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E8, 0x29E8, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E8, 0x29E8, 0x29E8, 0x21C8, 0x21C8, 
        0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21A8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2187, 0x2187, 0x2987, 0x29A7, 0x29A7, 0x29C8, 0x31C8, 0x31C9, 0x39E9, 0x3A09, 
        0x3A09, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A49, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A49, 
        0x4A49, 0x4A4A, 0x4A4A, 0x4A4A, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4249, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4209, 0x4209, 0x3A09, 0x3A09, 0x39E9, 0x39E9, 0x39E9, 0x31C9, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x2987, 0x2987, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 
        0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2125, 0x2125, 0x2125, 0x2126, 0x2146, 0x2146, 0x2146, 0x2146, 0x2167, 0x2967, 0x2167, 0x2147, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2988, 0x31A8, 0x31C9,
  0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 
        0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 
        0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 
        0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x29E9, 0x29E9, 0x29E9, 
        0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E8, 0x29E8, 0x29C8, 0x29E8, 0x29E8, 0x29E8, 0x29E9, 0x29E8, 0x21E8, 0x21E8, 0x21E8, 0x29E8, 0x29E8, 0x29E8, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 
        0x31E9, 0x31E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x21C8, 0x21C8, 
        0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21A8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2187, 0x2187, 0x2187, 0x29A7, 0x29A7, 0x29A8, 0x31C8, 0x31C8, 0x31E9, 0x3A09, 
        0x3A09, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 
        0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4209, 0x4209, 0x4209, 0x4209, 0x4209, 0x4209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x39E9, 0x39E9, 0x39E9, 0x31E9, 0x31C8, 0x31C8, 0x31C8, 0x31A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x2987, 0x2987, 0x2987, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2145, 0x2966, 0x2966, 0x2946, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2946, 0x2146, 0x2147, 0x2147, 0x2147, 0x2147, 0x2167, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2147, 0x2147, 0x2147, 0x2146, 0x2146, 0x2166, 0x2166, 0x2167, 0x2147, 0x2147, 0x2947, 0x2947, 0x2947, 0x2947, 0x2947, 0x2967, 0x2967, 0x2967, 0x2988,
  0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 
        0x4249, 0x4229, 0x4229, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x31E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 
        0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29C8, 0x29C8, 0x29C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21E8, 0x21E8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x29C9, 0x29E9, 0x29E9, 0x29E9, 
        0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E8, 0x29C8, 0x29C8, 0x21C8, 0x21C8, 
        0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21A8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x29A7, 0x29A8, 0x29A8, 0x31C8, 0x31C8, 0x31E9, 
        0x3A09, 0x3A09, 0x3A09, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A4A, 0x4A4A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A6A, 0x4A4A, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 
        0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4209, 0x4209, 
        0x4209, 0x3A09, 0x3A09, 0x4209, 0x4209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x39E9, 0x39E9, 0x31E9, 0x31C9, 0x31C8, 0x31C8, 0x31A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x29A7, 0x29A7, 0x2987, 
        0x2987, 0x2987, 0x2987, 0x2987, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2104, 0x2104, 0x2124, 0x2124, 0x2124, 0x2124, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 
        0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2166, 0x2987, 0x31C8, 0x29A7, 0x2966, 0x2146, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2167, 0x2167, 0x2167, 0x2167, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2147, 0x2147, 0x2147, 0x2167, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967,
  0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x31E9, 0x31E9, 0x29E9, 0x29E9, 0x29E9, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x29C8, 0x29E9, 
        0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E8, 0x21C8, 0x21C8, 
        0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21A8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x31C8, 0x31C8, 
        0x31E9, 0x39E9, 0x3A09, 0x3A09, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x4249, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 
        0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4209, 0x4209, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x39E9, 0x39E9, 0x31E9, 0x31C8, 0x31C8, 0x31C8, 0x31A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 
        0x2987, 0x2987, 0x2987, 0x2987, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2104, 0x2104, 0x2124, 0x2124, 0x2124, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2146, 0x2166, 0x2166, 0x2166, 0x2167, 0x29A7, 0x2987, 0x2166, 0x2146, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2167, 0x2167, 0x2167, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2147, 0x2167, 0x2167, 0x2147, 0x2947, 0x2947, 0x2947,
  0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x31E9, 0x29E9, 0x29E8, 0x29E8, 0x29E8, 0x21C8, 0x21C8, 
        0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x29C8, 
        0x29E9, 0x29E9, 0x29E9, 0x29C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x29C8, 0x29C8, 0x29E8, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E8, 0x29E8, 0x29E8, 0x29C8, 0x29C8, 0x21C8, 0x21C8, 
        0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x31C8, 
        0x31C8, 0x31C8, 0x39E9, 0x3A09, 0x3A09, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x4249, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 
        0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x39E9, 0x31E8, 0x31C8, 0x31C8, 0x31C8, 0x31A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 
        0x2987, 0x2987, 0x2987, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2124, 0x2124, 0x2124, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2105, 0x2105, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2145, 
        0x2146, 0x2146, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2146, 0x2166, 0x2166, 0x2167, 0x2187, 0x2166, 0x2166, 0x2146, 0x2145, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2147, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2125, 0x2126, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2147, 0x2147, 0x2147, 0x2147, 0x2147, 0x2947,
  0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 
        0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x31E9, 0x3209, 0x31E9, 0x31E9, 0x29E9, 0x29E8, 0x29C8, 0x29C8, 0x21C8, 0x21C8, 0x21C8, 
        0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 
        0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21E8, 0x21E8, 0x21E8, 0x21E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x21C8, 0x21C8, 
        0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x21A7, 0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 
        0x31C8, 0x31C8, 0x31C8, 0x31E9, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 
        0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x39E9, 0x39E9, 0x39E8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x29A8, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 
        0x2987, 0x2987, 0x2987, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2145, 0x2146, 
        0x2146, 0x2126, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2146, 0x2146, 0x2166, 0x2167, 0x2166, 0x2166, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2125, 0x2125, 0x2125, 0x2126, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2147, 0x2147, 0x2147, 0x2147, 0x2147, 0x2967,
  0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 
        0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x29E9, 0x29E8, 0x29C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 
        0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 
        0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21E8, 0x21E8, 0x21E8, 0x21E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x29E8, 0x21C8, 0x21C8, 
        0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x21A7, 0x21A7, 0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29C8, 0x31C8, 0x31C8, 0x31E9, 0x39E9, 0x3A09, 0x3A09, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 
        0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x39E9, 0x39E9, 0x39E9, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31A8, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 
        0x2967, 0x2967, 0x2967, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2145, 0x2946, 0x2146, 
        0x2146, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2946, 0x2946, 0x2946, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2125, 0x2125, 0x2125, 0x2126, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2147, 0x2967,
  0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 
        0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 
        0x3209, 0x3209, 0x3209, 0x31E9, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x29E9, 0x29E9, 0x29E9, 0x29C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 
        0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 
        0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21E8, 0x21E8, 0x21E8, 0x21E8, 0x21E8, 0x21E8, 0x21E8, 0x21E8, 0x21E8, 0x21C8, 0x21C8, 
        0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21A8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29C8, 0x31C8, 0x31C8, 0x31E9, 0x39E9, 0x3A09, 0x3A09, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 
        0x4A49, 0x4A49, 0x4A49, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x39E9, 0x39E9, 0x31C8, 0x31C8, 0x31C8, 0x31A8, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2967, 0x2967, 0x2967, 0x2967, 0x2987, 0x2987, 0x2967, 0x2967, 0x2967, 0x2967, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2946, 0x2946, 
        0x2946, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2125, 0x2125, 0x2126, 0x2126, 0x2126, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2126, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2147, 0x2967,
  0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 
        0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x3209, 
        0x3209, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x3209, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x29E9, 0x29E9, 0x29E9, 0x29C9, 0x29C8, 0x29C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 
        0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 
        0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21E8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 
        0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21A8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x31C8, 0x31C8, 0x31C9, 0x39E9, 0x3A09, 0x3A09, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 
        0x4A49, 0x4A49, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x39E8, 0x31C8, 0x31C8, 0x31C8, 0x31A8, 0x31A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2126, 0x2146, 0x2146, 
        0x2146, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2946, 0x2946, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2126, 0x2126, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2126, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2167,
  0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 
        0x3A29, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A09, 0x3A29, 0x3A29, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x3209, 
        0x3209, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 
        0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 
        0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 
        0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21A8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x31C8, 0x31C8, 0x31C8, 0x39E9, 0x3A09, 0x3A09, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 
        0x4A49, 0x4A49, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x39E8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31A8, 0x2987, 0x2987, 0x2987, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2967, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2124, 
        0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2126, 0x2146, 0x2146, 
        0x2126, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2147,
  0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x31E9, 0x31E9, 
        0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29C8, 0x29C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 
        0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 
        0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 
        0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 
        0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x21A7, 0x21A7, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x31C8, 0x31C8, 0x31C8, 0x39E9, 0x3A09, 0x3A09, 0x3A09, 0x4229, 0x4229, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 
        0x4A49, 0x4A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x39E9, 0x39C8, 0x31C8, 0x31C8, 0x31C8, 0x31A8, 0x31A8, 0x2987, 0x2987, 0x2967, 0x2967, 0x2967, 0x2966, 0x2966, 0x2966, 0x2166, 0x2166, 0x2966, 0x2966, 0x2966, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2125, 
        0x2125, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2146, 0x2126, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2125, 0x2126, 0x2126, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2966, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146,
  0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 
        0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x29E9, 0x29E8, 0x29E8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C9, 0x29C8, 0x29C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 
        0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 
        0x21A8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 
        0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 
        0x21A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x21A7, 0x21A7, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x31C8, 0x31C8, 0x31C8, 0x31E9, 0x3A09, 0x3A09, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4249, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4249, 0x4249, 0x4249, 
        0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x39E9, 0x39E8, 0x31C8, 0x31C8, 0x31C8, 0x31A8, 0x31A8, 0x2987, 0x2987, 0x2967, 0x2967, 0x2967, 0x2966, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2105, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2125, 0x2125, 0x2125, 0x2126, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2167, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146,
  0x4229, 0x4229, 0x3A29, 0x3A09, 0x3A29, 0x3A29, 0x3A09, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 
        0x31E9, 0x31E9, 0x31E9, 0x29E8, 0x29E9, 0x29E9, 0x29E9, 0x29E9, 0x29E8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 
        0x21C8, 0x21C8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 
        0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 
        0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x21A7, 0x21A7, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x31C8, 0x31C8, 0x31E9, 0x39E9, 0x3A09, 0x4209, 0x4229, 0x4229, 0x4229, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 
        0x3A09, 0x39E9, 0x39E9, 0x31C8, 0x31C8, 0x31A8, 0x31A8, 0x31A8, 0x29A7, 0x2987, 0x2967, 0x2967, 0x2967, 0x2966, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2124, 0x2124, 0x2124, 0x2124, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 
        0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146,
  0x4229, 0x4229, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 
        0x31E9, 0x31C9, 0x29C9, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29E8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 
        0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 
        0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x31C8, 0x31C8, 0x31C9, 0x39E9, 0x3A09, 0x3A09, 0x4229, 0x4229, 0x4249, 0x4249, 0x4A49, 0x4A49, 0x4A49, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 
        0x3A09, 0x39E9, 0x39E8, 0x31C8, 0x31C8, 0x31A8, 0x31A8, 0x29A7, 0x2987, 0x2967, 0x2967, 0x2967, 0x2966, 0x2966, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 
        0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146,
  0x4229, 0x4229, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E8, 0x31C9, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 
        0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 
        0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x31C8, 0x31C8, 0x31C8, 0x39E9, 0x3A09, 0x3A09, 0x3A29, 0x4229, 0x4229, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 
        0x3A09, 0x39E8, 0x31C8, 0x31C8, 0x31A8, 0x29A8, 0x29A7, 0x2987, 0x2987, 0x2967, 0x2967, 0x2966, 0x2966, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 
        0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146,
  0x4229, 0x4229, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x39E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 
        0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E8, 0x31E8, 0x31E9, 0x31E9, 0x31E9, 0x31C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x21C8, 0x21C8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21C8, 0x21C8, 
        0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A7, 0x21A8, 
        0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29C8, 0x29C8, 0x31C8, 0x31C8, 0x31C8, 0x31E9, 0x39E9, 0x3A09, 0x3A09, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 
        0x3A08, 0x39E8, 0x31C8, 0x31C8, 0x31A8, 0x29A8, 0x2987, 0x2987, 0x2967, 0x2967, 0x2966, 0x2966, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 
        0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2146, 
        0x2145, 0x2125, 0x2125, 0x2125, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146,
  0x4229, 0x4229, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 
        0x39E9, 0x39E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x39E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x31E9, 0x31E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3209, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31C8, 0x31C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x21C8, 0x21C8, 0x21C8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21C8, 
        0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 
        0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x21A7, 0x21A7, 0x29A7, 0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x31C8, 0x31C8, 0x31C8, 0x31E8, 0x3A09, 0x3A09, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x39E9, 0x39C8, 0x31C8, 0x31A8, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2967, 0x2966, 0x2966, 0x2966, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2105, 0x2105, 0x2105, 0x2105, 
        0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2104, 0x2104, 0x2104, 0x2104, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2104, 0x2104, 0x2104, 0x2104, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2124, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146,
  0x4229, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 
        0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x3209, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 
        0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E9, 0x31E8, 0x31C9, 0x31C9, 0x31C8, 0x31C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x21C8, 0x21C8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 
        0x21A7, 0x21A7, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 
        0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 
        0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x31C8, 0x31C8, 0x31C8, 0x39E8, 0x3A09, 0x3A09, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x39E8, 0x31C8, 0x31C8, 0x31A8, 0x29A7, 0x2987, 0x2967, 0x2967, 0x2966, 0x2166, 0x2166, 0x2166, 0x2146, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 
        0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2104, 0x2104, 0x2104, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146,
  0x4229, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 
        0x3209, 0x3209, 0x3209, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E8, 0x31E8, 0x31E8, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 
        0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 
        0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E8, 0x31E8, 0x31E8, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 
        0x31E9, 0x31E9, 0x31E9, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x21C8, 0x21C8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 
        0x21A7, 0x21A7, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 
        0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x31C8, 0x31C8, 0x31E8, 0x39E8, 0x3A09, 0x3A09, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A29, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A08, 0x31E8, 
        0x31C8, 0x31C8, 0x31C8, 0x29A8, 0x29A7, 0x2987, 0x2967, 0x2966, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146,
  0x4229, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 
        0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E9, 0x31E9, 
        0x31E9, 0x31E9, 0x31E8, 0x31E8, 0x31E8, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31C8, 0x31C8, 0x31C8, 0x31E8, 0x31E9, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 
        0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E8, 0x31E8, 0x31E8, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31C8, 
        0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31E8, 0x31E8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 
        0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 
        0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 
        0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x31C8, 0x31C8, 0x39E8, 0x3A09, 0x3A09, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x39E8, 0x31E8, 0x31E8, 0x31E8, 0x31C8, 
        0x31C8, 0x31C8, 0x29A8, 0x29A7, 0x2987, 0x2967, 0x2966, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2946, 0x2946, 0x2946, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2946, 0x2946, 0x2946, 0x2946, 0x2946, 0x2945, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2966, 0x2967, 0x2967, 0x2967, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146,
  0x4229, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3209, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 
        0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E8, 0x31E8, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31E8, 0x31E8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31E9, 
        0x31E8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31E9, 0x31E9, 0x31E9, 0x31E8, 0x31E8, 0x31E8, 0x31E9, 0x31E9, 0x31E9, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31E8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31E8, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 
        0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E8, 0x31E8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31E8, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C9, 0x31C8, 
        0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x21C8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 
        0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 
        0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A7, 
        0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x21A7, 0x21A7, 
        0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x21A7, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x31C8, 0x31C8, 0x39E8, 0x3A09, 0x3A09, 0x3A09, 0x4229, 0x4229, 
        0x4229, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x31E8, 0x31E8, 0x31E8, 0x31C8, 0x31C8, 0x31C8, 0x29C8, 
        0x29A7, 0x29A7, 0x2987, 0x2987, 0x2167, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2946, 0x2946, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 
        0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2946, 0x2946, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2946, 0x2946, 0x2946, 0x2946, 0x2946, 
        0x2946, 0x2966, 0x2966, 0x2966, 0x2946, 0x2946, 0x2966, 0x2966, 0x2966, 0x2967, 0x2967, 0x2967, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2967, 0x2966, 0x2966, 0x2966, 0x2946, 0x2946, 0x2946, 
        0x2946, 0x2946, 0x2946, 0x2946, 0x2946, 0x2946, 0x2946, 0x2946, 0x2966, 0x2966, 0x2966, 0x2966, 0x2967, 0x2987, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x29A7, 0x2987, 0x2967, 0x2966, 0x2946, 0x2146, 0x2146, 0x2145, 0x2145, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146,
  0x4229, 0x3A09, 0x3A09, 0x3209, 0x3A09, 0x3A09, 0x3209, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E8, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 
        0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x31C8, 0x31C8, 
        0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31E8, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 
        0x31E9, 0x31E9, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 
        0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 
        0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A7, 
        0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 
        0x21A7, 0x21A7, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x31C8, 0x31C8, 0x39E9, 0x3A09, 0x3A09, 0x3A09, 
        0x4209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x29C8, 0x29C8, 0x29C8, 0x29A7, 0x29A7, 
        0x2987, 0x2987, 0x2967, 0x2967, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2946, 0x2166, 0x2966, 0x2966, 0x2966, 0x2966, 0x2967, 0x2967, 0x2967, 0x2967, 0x2987, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 
        0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2946, 0x2946, 0x2966, 0x2966, 0x2967, 0x2967, 0x2967, 0x2987, 0x2987, 
        0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2967, 0x2967, 0x2967, 0x2966, 0x2966, 
        0x2966, 0x2966, 0x2966, 0x2966, 0x2967, 0x2967, 0x2967, 0x2967, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x31A7, 0x31C8, 0x31C8, 0x31C8, 0x31E8, 0x31E8, 0x31E8, 0x31C8, 0x31C8, 0x29A8, 0x29A7, 0x2987, 0x2967, 0x2966, 0x2946, 0x2146, 0x2146, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146,
  0x4229, 0x3A08, 0x39E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E9, 0x31E9, 
        0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 
        0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 
        0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 
        0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 
        0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 
        0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x2187, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A8, 0x31C8, 0x31C8, 0x31E8, 0x39E8, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A08, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x31E9, 0x31E9, 0x31E8, 0x31E8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2967, 
        0x2967, 0x2967, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 
        0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2146, 0x2146, 0x2146, 0x2966, 0x2166, 0x2166, 0x2166, 0x2167, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2966, 0x2966, 0x2966, 0x2966, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2966, 0x2966, 0x2966, 0x2966, 
        0x2966, 0x2966, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2967, 0x2967, 0x2967, 0x2966, 0x2166, 
        0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2966, 0x2966, 0x2967, 0x2987, 0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x31A8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31A8, 0x31A8, 0x31A8, 0x29A8, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2967, 0x2967, 
        0x2967, 0x2967, 0x2967, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 0x31A8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31E8, 0x39E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x39E8, 0x31E8, 0x31C8, 0x31C8, 0x29A8, 0x2987, 0x2967, 0x2966, 0x2966, 0x2946, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2146, 0x2146, 0x2146, 0x2146,
  0x4229, 0x3A08, 0x31E8, 0x31E9, 0x31E9, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31C9, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31E8, 0x31E8, 0x31E8, 
        0x31E8, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31E9, 0x31C9, 0x31C9, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x31C8, 0x31C8, 
        0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x21A7, 0x21A7, 
        0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 
        0x21A7, 0x21A7, 0x21A7, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 
        0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 
        0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x29A7, 0x29A8, 0x29A8, 0x31C8, 0x31C8, 0x31C8, 
        0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x2987, 0x2987, 0x2987, 0x2187, 0x2187, 0x2167, 0x2167, 0x2966, 0x2966, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 
        0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 
        0x2146, 0x2966, 0x2966, 0x2966, 0x2966, 0x2967, 0x2967, 0x2967, 0x2967, 0x2987, 0x2987, 0x2987, 0x2987, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2167, 0x2967, 0x2967, 0x2987, 0x2987, 
        0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 
        0x2967, 0x2966, 0x2966, 0x2966, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2967, 0x2967, 0x2987, 0x2987, 0x29A8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 
        0x31C8, 0x31C8, 0x31C8, 0x39E8, 0x39E8, 0x39E9, 0x39E9, 0x39E9, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31A8, 0x29A8, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 
        0x29A7, 0x29A7, 0x29A7, 0x31A8, 0x31A8, 0x31A8, 0x31C8, 0x31C8, 0x31C8, 0x39C8, 0x39E8, 0x39E8, 0x39E8, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x39E9, 0x31C8, 0x31C8, 0x31C8, 0x31A8, 0x31A8, 0x29A7, 
        0x2987, 0x2967, 0x2967, 0x2966, 0x2946, 0x2146, 0x2146, 0x2146, 0x2126, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2126,
  0x4229, 0x39E8, 0x31E8, 0x31E9, 0x31E8, 0x31E8, 0x31E8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 
        0x31C8, 0x31C8, 0x31E8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A7, 
        0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 
        0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 
        0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A8, 
        0x31A8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x29A7, 0x2987, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 
        0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2166, 0x2966, 0x2966, 0x2966, 0x2967, 0x2967, 0x2967, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29A7, 
        0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x31A8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x29A7, 
        0x2987, 0x2987, 0x2987, 0x2967, 0x2966, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2166, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2966, 0x2967, 0x2987, 0x29A7, 0x31C8, 0x31C8, 0x31C8, 0x39C8, 0x39C9, 0x39E9, 0x39E9, 0x39E8, 
        0x39E8, 0x39E8, 0x39E8, 0x39E9, 0x39E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x39E8, 0x39E8, 0x39E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31A8, 0x31A8, 0x31C8, 
        0x31C8, 0x31C8, 0x31C8, 0x39C8, 0x39E8, 0x39E8, 0x39E9, 0x3A09, 0x3A09, 0x3A08, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x4209, 0x4229, 0x4229, 0x4229, 0x4209, 0x4209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x39E9, 0x39E9, 0x39C8, 
        0x31C8, 0x31A8, 0x31A7, 0x2987, 0x2967, 0x2967, 0x2966, 0x2146, 0x2146, 0x2146, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2146,
  0x4229, 0x39E8, 0x31E8, 0x31E8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 
        0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 
        0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 
        0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 
        0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31E8, 0x31E8, 0x39E8, 0x39E8, 0x31E8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x29A7, 0x29A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2987, 0x2987, 
        0x29A7, 0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2967, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 
        0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 
        0x2966, 0x2966, 0x2967, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 
        0x31A8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31A8, 0x29A8, 
        0x29A8, 0x2987, 0x2987, 0x2987, 0x2967, 0x2967, 0x2967, 0x2967, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2187, 0x2167, 
        0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2966, 0x2966, 0x2967, 0x2987, 0x29A7, 0x31C8, 0x31C8, 0x31E8, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 
        0x39E9, 0x39E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x39E9, 0x39E9, 0x39E8, 0x39E8, 0x31E8, 0x31E8, 0x31E8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x39E8, 
        0x39E9, 0x39E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x4209, 0x4209, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4209, 0x4209, 0x4209, 0x3A09, 0x3A09, 
        0x39E9, 0x39E9, 0x31C8, 0x31C8, 0x31A8, 0x2987, 0x2987, 0x2967, 0x2967, 0x2146, 0x2146, 0x2146, 0x2146, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146,
  0x4229, 0x39E8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x21A7, 
        0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 
        0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31E8, 0x31E8, 0x31E8, 0x39E8, 0x39E8, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x39E9, 0x39E8, 0x31E8, 0x31C8, 0x31C8, 0x31C8, 0x29C8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 0x2987, 0x2987, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2104, 0x2104, 0x2104, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 
        0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2104, 0x2104, 0x2104, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2967, 
        0x2967, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 
        0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31E8, 0x39E8, 0x39E8, 0x39E8, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x3A09, 0x3A09, 0x3A09, 0x39E9, 0x39E9, 0x39E9, 0x3A09, 0x3A09, 0x39E9, 0x39E9, 0x39E9, 0x39E9, 0x31E8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 
        0x31A8, 0x31A8, 0x29A8, 0x29A8, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2967, 0x2167, 0x2967, 0x2967, 0x2967, 0x2967, 0x2167, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x29A7, 0x2987, 0x2987, 
        0x2167, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2966, 0x2966, 0x2967, 0x2987, 0x31A8, 0x31C8, 0x31C8, 0x39E8, 0x39E9, 0x39E9, 0x39E9, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39C8, 0x39C8, 0x39E8, 0x3A09, 
        0x3A09, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4209, 0x4209, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x31C8, 0x31C8, 0x31C8, 0x29A8, 0x2987, 0x2967, 0x2966, 0x2946, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146,
  0x4229, 0x39E8, 0x31C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21C8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 
        0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A8, 0x21A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31E8, 0x31E8, 0x39E8, 0x39E8, 0x39E8, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x39E8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x29C8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x29A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2124, 0x2124, 0x2124, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2967, 0x2987, 
        0x2987, 0x2987, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x31A8, 0x31A8, 0x31A8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31A8, 0x31A8, 0x31A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 
        0x31E8, 0x31E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E9, 0x39E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x39E9, 0x39E9, 0x39E9, 0x39E8, 0x39C8, 
        0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x29A8, 0x29A8, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x31C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 
        0x2987, 0x2167, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2966, 0x2967, 0x2987, 0x29A7, 0x31A8, 0x31C8, 0x39C8, 0x39E8, 0x39E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x4209, 0x4209, 0x4209, 0x4209, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A08, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x3A09, 0x3A09, 
        0x4209, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4A29, 0x4A29, 0x4A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x3A09, 0x3A09, 0x3A09, 0x39E9, 0x31C8, 0x31C8, 0x29A7, 0x2987, 0x2967, 0x2967, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146,
  0x4229, 0x31E8, 0x31C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 
        0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x21C8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 
        0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x31C8, 0x31C8, 
        0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31E8, 0x31E8, 0x39E8, 0x39E8, 0x39E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A09, 0x39E8, 0x39E8, 0x31C8, 0x31C8, 0x31C8, 
        0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x29A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2124, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2146, 0x2146, 0x2166, 0x2966, 0x2966, 0x2967, 0x2967, 0x2987, 0x29A7, 
        0x29A7, 0x29A8, 0x29A8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31E8, 0x39E8, 
        0x39E8, 0x39E8, 0x39E8, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x4209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x39E9, 0x39E9, 
        0x39E9, 0x39E9, 0x39E8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31A8, 0x29A8, 0x29A8, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x29A8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x29A8, 0x29A8, 
        0x2987, 0x2967, 0x2167, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2966, 0x2966, 0x2967, 0x2987, 0x29A8, 0x31A8, 0x31C8, 0x39C8, 0x39E8, 0x39E8, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x4209, 0x4209, 0x4209, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A09, 0x3A09, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A09, 0x3A09, 0x39E8, 0x31C8, 0x31C8, 0x29A7, 0x2987, 0x2967, 0x2967, 0x2146, 0x2146, 0x2146, 0x2146,
  0x4229, 0x31C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 
        0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 
        0x31E8, 0x31E8, 0x31E8, 0x31E8, 0x39E8, 0x39E9, 0x39E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x4209, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A09, 0x3A09, 0x3A09, 0x39E8, 0x31E8, 0x31C8, 
        0x31C8, 0x29C8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x29A7, 0x29A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2124, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2146, 0x2146, 0x2966, 0x2967, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29A8, 
        0x29A8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x4209, 0x4209, 0x4209, 0x4209, 0x4209, 0x4209, 0x4209, 0x4209, 0x4209, 0x4209, 0x4209, 0x4209, 0x4209, 0x4209, 0x4209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x39E9, 0x39E9, 0x39E9, 0x39E8, 0x39C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x31A8, 0x31C8, 0x31C8, 0x31C8, 0x31E8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31A8, 0x29A8, 
        0x2988, 0x2987, 0x2967, 0x2167, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2966, 0x2967, 0x2967, 0x2987, 0x31A8, 0x31A8, 0x31C8, 0x39C8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x3A08, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x4209, 0x4209, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4209, 0x4209, 0x4209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4249, 0x4249, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A09, 0x3A09, 0x39E8, 0x31C8, 0x31A8, 0x29A8, 0x2987, 0x2967, 0x2967, 0x2146, 0x2146,
  0x4229, 0x31E8, 0x29C8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 
        0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31E8, 0x31E8, 
        0x31E8, 0x31E8, 0x39E8, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x3A29, 0x3A09, 0x4209, 0x4229, 0x4229, 0x3A29, 0x3A09, 0x3A08, 0x39E8, 
        0x31C8, 0x31C8, 0x31C8, 0x29C8, 0x29A8, 0x29A7, 0x29A7, 0x29A7, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2124, 0x2124, 0x2124, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2146, 0x2146, 0x2166, 0x2166, 0x2967, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29A8, 
        0x31A8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x39C8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x3A08, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x4209, 0x4209, 0x4209, 0x4209, 0x4209, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4209, 0x4209, 0x4209, 0x4209, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x39E8, 0x39E8, 0x39C8, 0x31C8, 0x31C8, 0x31C8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31C8, 0x31C8, 0x31C8, 0x31E8, 0x39E8, 0x39E8, 0x39E8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x29A8, 
        0x29A8, 0x29A7, 0x2987, 0x2167, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2966, 0x2967, 0x2987, 0x29A8, 0x31A8, 0x31C8, 0x31C8, 0x39C8, 0x39E9, 0x39E9, 0x39E9, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x4209, 0x4209, 0x4209, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A09, 0x3A09, 0x3A08, 0x3A08, 0x4209, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A29, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4209, 0x3A09, 0x39E9, 0x39C9, 0x31C8, 0x29A8, 0x2987, 0x2967, 0x2967, 0x2146,
  0x4228, 0x31C8, 0x29C8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 
        0x21A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 
        0x21A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x31C8, 0x31C8, 0x31C8, 0x31E8, 0x39E8, 0x39E8, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4209, 0x4209, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A09, 
        0x39E8, 0x31E8, 0x31C8, 0x31C8, 0x29A8, 0x29A8, 0x29A7, 0x29A7, 0x21A8, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2967, 0x2987, 0x2987, 0x29A7, 0x29A8, 0x31A8, 
        0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E9, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x3A08, 0x3A08, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x4209, 0x4209, 0x4209, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4209, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A08, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31E8, 0x39E8, 0x39E8, 0x3A08, 0x39E8, 0x39E8, 0x31E8, 0x31E8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31A8, 
        0x29A8, 0x29A8, 0x2987, 0x2987, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2966, 0x2967, 0x2987, 0x29A7, 0x31A8, 0x31C8, 0x31C8, 0x39C8, 0x39E8, 0x39E9, 0x39E9, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x4209, 0x4209, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4209, 0x4209, 0x4209, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A29, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A09, 0x3A09, 0x39E9, 0x31C8, 0x31A8, 0x29A7, 0x2987, 0x2967,
  0x3A28, 0x29C8, 0x29A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 
        0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 
        0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 
        0x21A8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A8, 0x29C8, 0x29C8, 0x29C8, 0x29C8, 0x31C8, 0x31C8, 0x31E8, 0x31E8, 0x39E8, 0x3A08, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x3A09, 0x3A09, 0x39E8, 0x31C8, 0x29C8, 0x29A8, 0x29A7, 0x29A7, 0x29A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2104, 0x2104, 0x2124, 0x2124, 0x2124, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2146, 0x2166, 0x2166, 0x2967, 0x2987, 0x2987, 0x29A7, 0x29A8, 0x31A8, 0x31C8, 
        0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E9, 0x39E9, 0x39E9, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x4209, 0x4209, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4209, 0x4209, 0x4209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A08, 0x39E8, 0x39E8, 0x31C8, 0x31C8, 0x31C8, 0x39E8, 0x39E9, 0x3A09, 0x3A09, 0x3A09, 0x3A08, 0x39E8, 0x39E8, 0x39E8, 0x31E8, 0x31E8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 
        0x31A8, 0x29A8, 0x29A7, 0x2987, 0x2967, 0x2166, 0x2166, 0x2146, 0x2146, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2966, 0x2967, 0x2987, 0x29A7, 0x29A7, 0x31C8, 0x31C8, 0x39C8, 0x39E8, 0x39E8, 0x39E9, 0x39E9, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x4209, 0x4209, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x3A09, 0x3A09, 0x39E9, 0x31C8, 0x31C8, 0x31A8, 0x29A7,
  0x3A28, 0x29C8, 0x29A7, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 
        0x21A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 
        0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 
        0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x31C8, 0x31C8, 0x31E8, 0x39E8, 0x39E8, 0x3A08, 0x3A08, 0x3A08, 
        0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 
        0x4229, 0x4229, 0x3A09, 0x39E8, 0x31C8, 0x29C8, 0x29A7, 0x29A7, 0x29A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2105, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2146, 0x2966, 0x2966, 0x2966, 0x2967, 0x2987, 0x2987, 0x29A7, 0x29A8, 0x31A8, 0x31C8, 
        0x31C8, 0x31C8, 0x31C8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x3A08, 0x3A08, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x4209, 
        0x4209, 0x4209, 0x4209, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4209, 0x4209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A08, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A08, 0x3A08, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 
        0x31C8, 0x29A8, 0x29A7, 0x29A7, 0x2987, 0x2166, 0x2166, 0x2146, 0x2146, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2966, 0x2966, 0x2987, 0x2987, 0x29A7, 0x31C8, 0x31C8, 0x31C8, 0x39C8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x4209, 0x4209, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4209, 0x3A09, 0x3A09, 0x39E9, 0x39C8, 0x31C8,
  0x3A28, 0x29C8, 0x29A7, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 
        0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x21A7, 
        0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x29A7, 0x29A8, 0x29C8, 0x29C8, 0x31C8, 0x31C8, 0x31C8, 0x39E8, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 
        0x3A08, 0x3A08, 0x3A08, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x4209, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4A49, 
        0x4229, 0x4229, 0x4229, 0x3A08, 0x31C8, 0x31C8, 0x29A7, 0x29A7, 0x29A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 
        0x2105, 0x2105, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2946, 0x2966, 0x2966, 0x2967, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x31A8, 0x31A8, 0x31C8, 
        0x31C8, 0x31C8, 0x31C8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x3A08, 0x3A08, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x4209, 0x4229, 0x4229, 0x4209, 0x4209, 0x4209, 
        0x4209, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4209, 0x4209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x39E9, 0x39E8, 0x39E8, 0x3A08, 0x3A08, 0x3A09, 0x3A09, 0x3A09, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x39E8, 0x39E8, 0x39E8, 0x39C8, 0x31C8, 0x31C8, 0x31C8, 
        0x31C8, 0x31A8, 0x29A8, 0x29A7, 0x2987, 0x2967, 0x2166, 0x2146, 0x2146, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2967, 0x2987, 0x29A7, 0x31A8, 0x31C8, 0x31C8, 0x39C8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x3A08, 
        0x3A09, 0x3A09, 0x3A09, 0x4209, 0x4209, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 
        0x4A49, 0x4A29, 0x4A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4209, 0x3A09, 0x3A09, 0x3A09, 0x39E9,
  0x4228, 0x29C8, 0x29A7, 0x21A7, 0x21A7, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A8, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x31C8, 0x31C8, 0x31C8, 0x39E8, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x4209, 0x4209, 0x4209, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4A49, 
        0x4A49, 0x4229, 0x4229, 0x4229, 0x39E8, 0x31C8, 0x31A8, 0x29A8, 0x29A7, 0x29A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2105, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2946, 0x2966, 0x2966, 0x2967, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x31A8, 0x31A8, 0x31C8, 
        0x31C8, 0x31C8, 0x31C8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x3A08, 0x39E8, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x4209, 0x4209, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4209, 0x4209, 0x4209, 0x4209, 0x4209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A08, 0x3A08, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x39E9, 0x39E9, 0x39E8, 0x39E8, 0x31C8, 
        0x31C8, 0x31C8, 0x31A8, 0x29A8, 0x2987, 0x2967, 0x2166, 0x2146, 0x2146, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2167, 0x2987, 0x2987, 0x29A7, 0x31C8, 0x31C8, 0x39C8, 0x39C8, 0x39C8, 0x39E8, 0x39E8, 0x39E8, 
        0x3A09, 0x3A09, 0x3A09, 0x4209, 0x4209, 0x4209, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 
        0x4A49, 0x4A49, 0x4A49, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4209, 0x4209, 0x3A09, 0x3A09,
  0x4228, 0x29C7, 0x2987, 0x2187, 0x2187, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A8, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x2187, 0x21A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A8, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x31C8, 0x31C8, 0x31E8, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A08, 0x3A08, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x4209, 0x4209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x4209, 0x4209, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4249, 0x4249, 
        0x4A49, 0x4A29, 0x4229, 0x4229, 0x3A08, 0x31E8, 0x31C8, 0x29A8, 0x29A8, 0x29A7, 0x29A7, 0x2987, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2946, 0x2966, 0x2966, 0x2967, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x31A8, 0x31A8, 0x31C8, 
        0x31C8, 0x31C8, 0x31C8, 0x39C8, 0x39E8, 0x39E8, 0x39E9, 0x3A09, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x4209, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4209, 0x4209, 0x4209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A08, 0x3A09, 0x3A09, 0x4209, 0x4209, 0x4209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x39E9, 0x39E8, 0x39E8, 0x39C8, 
        0x31C8, 0x31C8, 0x31A8, 0x29A8, 0x2987, 0x2967, 0x2166, 0x2146, 0x2146, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2167, 0x2987, 0x2987, 0x2987, 0x29A7, 0x31A8, 0x31C8, 0x31C8, 0x39C8, 0x39E8, 0x39E8, 0x39E8, 
        0x3A08, 0x3A09, 0x3A09, 0x3A09, 0x4209, 0x4209, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 
        0x4A49, 0x4A29, 0x4A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4209, 0x4209,
  0x4228, 0x29C7, 0x2987, 0x2187, 0x2187, 0x2188, 0x2187, 0x2187, 0x2187, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x29A8, 0x29A8, 0x29A8, 0x29C8, 0x31C8, 0x31C8, 0x31C8, 0x39E8, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A08, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x4209, 0x4209, 0x4209, 0x4209, 0x4209, 0x4209, 0x4209, 0x4209, 0x4209, 0x4209, 0x4209, 0x4209, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x3A08, 0x39E8, 0x31C8, 0x31C8, 0x29A8, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2946, 0x2966, 0x2966, 0x2967, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x31A8, 0x31A8, 0x31C8, 
        0x31C8, 0x31C8, 0x31C8, 0x39C8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x4209, 0x4209, 0x4209, 0x4209, 0x4209, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4209, 0x4209, 0x4209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x4209, 0x4209, 0x4209, 0x4209, 0x4209, 0x4209, 0x3A09, 0x3A08, 0x3A08, 0x3A08, 0x39E8, 0x39E8, 
        0x31C8, 0x31C8, 0x31C8, 0x29A8, 0x2987, 0x2967, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2967, 0x2987, 0x2987, 0x2987, 0x29A7, 0x31C8, 0x31C8, 0x31C8, 0x39E8, 0x39E8, 0x39E8, 
        0x39E8, 0x39E8, 0x3A08, 0x3A08, 0x3A08, 0x4209, 0x4209, 0x4209, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 
        0x4A49, 0x4A29, 0x4A29, 0x4A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229,
  0x4228, 0x29A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x29A8, 0x29C8, 0x29C8, 0x29C8, 0x31C8, 0x31E8, 0x39E8, 0x39E8, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x4209, 0x4209, 0x4209, 0x4209, 0x4209, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4209, 0x4209, 0x4209, 0x4209, 0x4209, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x3A09, 0x3A08, 0x39E8, 0x31C8, 0x31C8, 0x29A8, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2946, 0x2966, 0x2966, 0x2967, 0x2987, 0x2987, 0x29A7, 0x31A7, 0x31A8, 0x31A8, 0x31C8, 
        0x31C8, 0x31C8, 0x31C8, 0x39C8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x4209, 0x4209, 0x4209, 0x4209, 0x4209, 0x4209, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4209, 0x4209, 0x4209, 0x4209, 0x4209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x4209, 0x4209, 0x4209, 0x4209, 0x4209, 0x3A09, 0x3A08, 0x3A08, 0x3A08, 0x39E8, 0x39E8, 
        0x31C8, 0x31C8, 0x31C8, 0x29A8, 0x2987, 0x2967, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x31A8, 0x31C8, 0x31C8, 0x31C8, 0x39E8, 0x39E8, 
        0x39E8, 0x39E8, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A09, 0x4209, 0x4209, 0x4209, 0x4209, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A49, 0x4A29, 
        0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229,
  0x4228, 0x29A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x29A7, 0x29A8, 0x29C8, 0x29C8, 0x31C8, 0x31E8, 0x39E9, 0x39E9, 0x3A09, 0x3A09, 0x3A08, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x4209, 0x4209, 0x4209, 0x4209, 0x4209, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4209, 0x3A09, 0x3A08, 0x39E8, 0x31E8, 0x31C8, 0x31C8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x2987, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2946, 0x2966, 0x2966, 0x2967, 0x2967, 0x2987, 0x2987, 0x29A7, 0x31A8, 0x31A8, 0x31C8, 
        0x31C8, 0x31C8, 0x31C8, 0x39C8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x4209, 0x4209, 0x4209, 0x4209, 0x4209, 0x4209, 0x4209, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4209, 0x4209, 0x4209, 0x4209, 0x4209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x4209, 0x4209, 0x4209, 0x4209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A08, 0x39E8, 0x39E8, 
        0x39E8, 0x31C8, 0x31C8, 0x31A8, 0x2987, 0x2987, 0x2167, 0x2166, 0x2166, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x29A8, 0x31A8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 
        0x39E8, 0x39E8, 0x39E8, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A09, 0x4209, 0x4209, 0x4209, 0x4208, 0x4209, 0x4209, 0x4209, 0x4209, 0x4209, 0x4209, 0x4209, 0x4209, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4209, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A49, 0x4A29, 0x4A29, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229,
  0x4208, 0x29A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x29A8, 0x29A8, 0x29C8, 0x29C8, 0x31C8, 0x31E8, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A08, 0x3A08, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x4209, 
        0x4209, 0x4209, 0x4209, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4A29, 0x4A29, 0x4A29, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x39E8, 0x31E8, 0x31C8, 0x31C8, 0x29C8, 0x29A8, 0x29A7, 0x2987, 0x2987, 0x2187, 0x2187, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 
        0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2946, 0x2966, 0x2966, 0x2967, 0x2967, 0x2987, 0x2987, 0x29A7, 0x29A8, 0x31A8, 0x31C8, 
        0x31C8, 0x31C8, 0x31C8, 0x39C8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x4209, 0x4209, 0x4209, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4209, 0x4209, 0x4209, 0x4209, 0x4209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x4209, 0x4209, 0x4209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A08, 0x39E8, 0x39E8, 
        0x39E8, 0x31C8, 0x31C8, 0x31A8, 0x29A7, 0x2987, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x31A8, 0x31A8, 0x31C8, 
        0x31C8, 0x39C8, 0x39E8, 0x39E8, 0x39E8, 0x3A08, 0x3A08, 0x3A08, 0x3A09, 0x3A09, 0x4209, 0x4209, 0x4208, 0x4208, 0x4208, 0x4209, 0x4209, 0x4209, 0x4209, 0x4209, 0x4209, 0x4209, 0x4209, 0x4209, 0x4209, 0x4209, 0x4209, 0x4209, 0x4209, 0x4209, 
        0x4209, 0x4209, 0x4209, 0x4209, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229,
  0x4208, 0x29A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x21A7, 0x21A7, 0x21A7, 0x29A8, 0x29C8, 0x31C8, 0x31C8, 0x39E8, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A08, 0x3A08, 0x3A09, 0x3A09, 0x3A09, 0x4209, 0x4209, 
        0x4209, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4A29, 0x4A29, 0x4A49, 0x4A49, 0x4A29, 0x4A29, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4209, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x39E8, 0x31C8, 0x31C8, 0x31C8, 0x29A8, 0x29A8, 0x29A7, 0x29A7, 0x2987, 0x2187, 0x2187, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 
        0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2946, 0x2966, 0x2966, 0x2967, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A8, 0x31A8, 0x31C8, 
        0x31C8, 0x31C8, 0x31C8, 0x39C8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x4208, 0x4209, 0x4209, 0x4209, 0x4209, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4209, 0x4209, 0x4209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x39E8, 0x39E8, 
        0x39C8, 0x31C8, 0x31C8, 0x31A8, 0x29A7, 0x2987, 0x2987, 0x2187, 0x2167, 0x2166, 0x2166, 0x2166, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x31C8, 
        0x31C8, 0x31C8, 0x31C8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x4209, 0x4209, 0x4209, 0x4209, 0x4209, 0x4209, 0x4209, 0x4209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 
        0x3A09, 0x3A09, 0x3A09, 0x4209, 0x4209, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4209,
  0x4208, 0x29A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x29A8, 0x29A8, 0x31C8, 0x31C8, 0x39E8, 0x3A09, 0x4209, 0x4229, 0x3A29, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x4209, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4A29, 0x4A29, 0x4A49, 0x4A49, 0x4A29, 0x4A29, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4209, 0x3A08, 0x3A08, 0x3A08, 0x3A09, 0x3A09, 0x39E8, 0x39E8, 0x31C8, 0x31C8, 0x31A8, 0x29A8, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2187, 0x2187, 0x2167, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2946, 0x2966, 0x2966, 0x2967, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A8, 0x31A8, 0x31C8, 
        0x31C8, 0x31C8, 0x31C8, 0x39C8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A08, 0x4208, 0x4209, 0x4209, 0x4209, 0x4209, 0x4209, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4209, 0x4209, 0x4209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A09, 0x3A09, 0x3A09, 0x39E9, 0x39E8, 0x39E8, 0x39E8, 
        0x39C8, 0x31C8, 0x31C8, 0x31A8, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x31A8, 0x31C8, 0x31C8, 0x31C8, 0x39C8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A09, 0x4209, 0x4209, 0x4209, 0x4209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A08, 0x3A08, 0x3A08, 
        0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A09, 0x3A09, 0x4209, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4209, 0x4209,
  0x4208, 0x29A7, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x29A7, 0x29A8, 0x29C8, 0x31C8, 0x39E8, 0x3A09, 0x4209, 0x4229, 0x4229, 0x4229, 0x4209, 0x4209, 0x4209, 0x4208, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4229, 0x4229, 0x4229, 
        0x4209, 0x4209, 0x4209, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x39E8, 0x31C8, 0x31C8, 0x31C8, 0x31A8, 0x29A8, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2187, 0x2187, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2966, 0x2966, 0x2966, 0x2967, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A8, 0x31A8, 0x31C8, 
        0x31C8, 0x31C8, 0x31C8, 0x39C8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A09, 0x3A09, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x4208, 0x4208, 0x4209, 0x4209, 0x4209, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4209, 0x4209, 0x4209, 0x3A09, 0x3A09, 0x3A09, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x3A08, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39C8, 
        0x31C8, 0x31C8, 0x31C8, 0x29A8, 0x29A8, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2187, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x31A8, 0x31A8, 0x31A8, 0x31C8, 0x31C8, 0x31C8, 0x39C8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x4209, 0x4209, 0x4209, 0x3A09, 0x3A09, 0x3A09, 0x3A09, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x39E8, 
        0x39E8, 0x39E8, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x4209, 0x4209, 0x4209, 0x4209, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4209, 0x4209, 0x4209, 0x4209, 0x4209, 0x3A09,
  0x4208, 0x29A7, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x29A7, 0x29A8, 0x31C8, 0x39E8, 0x3A08, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4228, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4209, 0x4208, 0x3A08, 0x3A08, 0x3A08, 0x39E8, 0x39E8, 0x31C8, 0x31C8, 0x31C8, 0x29C8, 0x29A8, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2187, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2946, 0x2966, 0x2966, 0x2967, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 0x31A8, 0x31C8, 
        0x31C8, 0x31C8, 0x31C8, 0x39C8, 0x39E8, 0x39E8, 0x39E8, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A09, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x4208, 0x4209, 0x4209, 0x4209, 0x4209, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4209, 0x4209, 0x4209, 0x4209, 0x4209, 0x3A09, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39C8, 0x31C8, 
        0x31C8, 0x31C8, 0x31C8, 0x29A8, 0x29A8, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x31A8, 0x31A8, 0x31A8, 0x31C8, 0x31C8, 0x31C8, 0x39C8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x39E8, 0x39E8, 
        0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x3A08, 0x3A08, 0x3A08, 0x3A09, 0x3A08, 0x3A08, 0x3A08, 0x4208, 0x4208, 0x4208, 0x4208, 0x4228, 0x4228, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4209, 0x4209, 0x4209, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4209, 0x4209, 0x4209, 0x4209, 0x4209, 0x4209, 0x3A08,
  0x3A08, 0x29A7, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x29A7, 0x29A8, 0x29C8, 0x31E8, 0x3A08, 0x3A09, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4A29, 0x4A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4209, 0x4208, 0x4208, 0x3A08, 0x3A08, 0x39E8, 0x39E8, 0x31C8, 0x31C8, 0x31C8, 0x29C8, 0x29A8, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2187, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2946, 0x2966, 0x2966, 0x2967, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 0x31A8, 0x31A8, 
        0x31C8, 0x31C8, 0x31C8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x4208, 0x4209, 
        0x4209, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4209, 0x4209, 0x4209, 0x4209, 0x4209, 0x3A08, 0x3A08, 0x3A08, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x31C8, 0x31C8, 
        0x31C8, 0x31C8, 0x31C8, 0x29A8, 0x29A8, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x31A8, 0x31A8, 0x31C8, 0x31C8, 0x39C8, 0x39C8, 0x39E8, 0x39E8, 0x39E8, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 
        0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 
        0x4208, 0x4209, 0x4209, 0x4209, 0x4209, 0x4209, 0x4209, 0x4209, 0x4209, 0x4209, 0x4209, 0x4209, 0x4209, 0x4209, 0x4208, 0x4209, 0x3A09, 0x3A08, 0x3A08,
  0x3A08, 0x29A7, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x21A7, 0x29A7, 0x29A8, 0x29C8, 0x31E8, 0x3A09, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4A29, 0x4A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4209, 0x4208, 0x3A08, 0x3A08, 0x39E8, 0x39E8, 0x31C8, 0x31C8, 0x31C8, 0x29A8, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2187, 0x2187, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2946, 0x2966, 0x2966, 0x2967, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 0x31A8, 0x31A8, 
        0x31C8, 0x31C8, 0x31C8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x4208, 
        0x4209, 0x4209, 0x4209, 0x4209, 0x4209, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4209, 0x4209, 0x4209, 0x4209, 0x4209, 0x4209, 0x3A08, 0x3A08, 0x3A08, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39C8, 0x39C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 
        0x31C8, 0x31C8, 0x31C8, 0x29A8, 0x29A8, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x31A8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 
        0x31A8, 0x31A8, 0x31A8, 0x29A8, 0x29A8, 0x29A7, 0x29A7, 0x29A7, 0x31A8, 0x31A8, 0x31C8, 0x31C8, 0x39C8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39C8, 
        0x39C8, 0x39C8, 0x39C8, 0x39C8, 0x31C8, 0x39C8, 0x39C8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 
        0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x39E8,
  0x4208, 0x29A7, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x21A7, 0x29A7, 0x29A8, 0x31C8, 0x39E8, 0x3A09, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4A29, 0x4A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4228, 0x4228, 
        0x4229, 0x4229, 0x4229, 0x4209, 0x4209, 0x4209, 0x3A09, 0x39E8, 0x39E8, 0x31C8, 0x31C8, 0x29C8, 0x29A8, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2187, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2146, 0x2966, 0x2966, 0x2967, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29A8, 0x31A8, 
        0x31A8, 0x31C8, 0x31C8, 0x31C8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 
        0x4208, 0x4208, 0x4208, 0x4208, 0x4209, 0x4209, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4209, 0x4209, 0x4209, 0x4209, 0x3A09, 0x3A09, 0x3A08, 0x3A08, 0x3A08, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39C8, 0x39C8, 0x39C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 
        0x31C8, 0x31C8, 0x31C8, 0x29A8, 0x29A8, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x31A8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x39C8, 0x39C8, 0x39C8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x31C8, 0x31C8, 
        0x31C8, 0x31C8, 0x31A8, 0x29A8, 0x29A8, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A8, 0x31A8, 0x31C8, 0x31C8, 0x31C8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x31C8, 
        0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x39C8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x3A08, 0x3A08, 0x3A08, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 
        0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x39E8, 0x39E8, 0x39E8,
  0x4208, 0x29A7, 0x2966, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x29A7, 0x29A7, 0x29C8, 0x31C8, 0x3A08, 0x4209, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4A29, 0x4A29, 0x4A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4228, 0x4228, 0x4228, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4209, 0x3A09, 0x39E8, 0x39E8, 0x31C8, 0x31C8, 0x31C8, 0x29A8, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2187, 0x2187, 0x2187, 0x2187, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 
        0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2104, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2966, 0x2966, 0x2967, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x31A8, 
        0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A09, 
        0x3A08, 0x3A08, 0x4208, 0x4208, 0x4208, 0x4209, 0x4209, 0x4209, 0x4209, 0x4209, 0x4209, 0x4209, 0x4209, 0x4209, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4208, 0x4208, 0x4208, 0x4208, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4209, 0x4209, 0x4209, 0x4209, 0x4208, 0x4208, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39C8, 0x39C8, 0x39C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 
        0x31C8, 0x31C8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A8, 0x31A8, 0x31C8, 0x31C8, 0x31C8, 0x39C8, 0x39E8, 0x39E8, 0x3A08, 0x3A08, 0x3A08, 0x4209, 0x4208, 0x3A08, 0x3A08, 0x3A08, 0x39E8, 0x39E8, 
        0x39C8, 0x31C8, 0x31C8, 0x31A7, 0x29A8, 0x29A7, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x29A8, 0x31A8, 0x31A8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x39C8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39C8, 0x39C8, 0x31C8, 0x31C8, 
        0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x39C8, 0x39C8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 
        0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8,
  0x4208, 0x29A7, 0x2966, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2187, 0x2187, 0x29A7, 0x29A7, 0x29C8, 0x31C8, 0x3A08, 0x4209, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4228, 0x4208, 0x4208, 
        0x4208, 0x4209, 0x4209, 0x4209, 0x4209, 0x4209, 0x3A09, 0x39E8, 0x39E8, 0x31C8, 0x31C8, 0x29C8, 0x29A8, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 
        0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2104, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2966, 0x2967, 0x2967, 0x2967, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x29A8, 0x31A8, 0x31A8, 
        0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 
        0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4209, 0x4209, 0x4209, 0x4209, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4209, 0x4209, 0x4209, 0x4209, 
        0x4209, 0x4229, 0x4228, 0x4228, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31A8, 
        0x29A8, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x31A7, 0x31A7, 0x31C8, 0x39C8, 0x39E8, 0x39E8, 0x3A08, 0x4208, 0x4208, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4208, 0x3A08, 
        0x39E8, 0x39C8, 0x31C8, 0x31A8, 0x29A8, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x29A8, 0x31A8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x39C8, 0x39E8, 0x39C8, 0x39C8, 0x39C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 
        0x31C8, 0x31C8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 
        0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8,
  0x4208, 0x2987, 0x2966, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2187, 0x2187, 0x29A7, 0x29A7, 0x31C8, 0x31C8, 0x3A08, 0x4229, 0x4229, 0x4228, 0x4228, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4228, 0x4228, 0x4228, 0x4208, 0x4208, 0x4208, 
        0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4209, 0x3A09, 0x39E8, 0x39E8, 0x31C8, 0x31C8, 0x29C7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 
        0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2104, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2146, 0x2166, 0x2166, 0x2166, 0x2966, 0x2966, 0x2966, 0x2966, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29A8, 0x29A8, 
        0x31A8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39C8, 0x39C8, 0x39C8, 0x39C8, 0x39C8, 0x39C8, 0x39C8, 0x39C8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x3A08, 0x3A08, 
        0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 
        0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39C8, 0x39C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31A8, 0x29A8, 
        0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x31A7, 0x31C7, 0x31C7, 0x39E8, 0x3A08, 0x4208, 0x4228, 0x4228, 0x4229, 0x4229, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4229, 0x4229, 0x4209, 
        0x3A08, 0x39E8, 0x39C8, 0x31C8, 0x31A8, 0x31A7, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x31A8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31A8, 
        0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31A8, 0x31A8, 0x31A8, 
        0x31A8, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A8, 0x31A8, 0x31A8, 0x31C8, 0x31C8, 0x31C8, 0x31C8,
  0x4208, 0x2987, 0x2966, 0x2166, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 
        0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2187, 0x2987, 0x29A7, 0x31C8, 0x39E8, 0x3A09, 0x4209, 0x4209, 0x4208, 0x4228, 0x4229, 0x4229, 0x4229, 0x4228, 0x4228, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4228, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 
        0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x3A08, 0x3A08, 0x39E8, 0x31C8, 0x31C8, 0x31C7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2104, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2945, 0x2946, 0x2966, 0x2966, 0x2966, 0x2967, 0x2987, 0x2987, 0x2987, 0x2987, 0x2967, 0x2967, 0x2967, 0x2167, 0x2167, 0x2167, 0x2167, 0x2967, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29A7, 
        0x31A8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x39C8, 0x39C8, 0x39C8, 0x39C8, 0x39C8, 0x39C8, 0x39C8, 0x39C8, 0x39C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x39C8, 0x39C8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x3A08, 
        0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 
        0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31A8, 0x29A8, 
        0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x31A7, 0x31C7, 0x31C7, 0x39E8, 0x3A08, 0x4229, 0x4229, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4229, 
        0x4228, 0x3A08, 0x39E8, 0x39C8, 0x31C8, 0x31A7, 0x31A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 0x31A7, 0x31A8, 0x31A8, 0x31A8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 
        0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7,
  0x4208, 0x2987, 0x2966, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2167, 0x2187, 0x2987, 0x29A7, 0x31C8, 0x39E8, 0x3A09, 0x3A08, 0x4208, 0x4208, 0x4208, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4228, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4208, 0x4208, 0x4209, 0x4209, 0x4208, 0x4208, 
        0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x3A08, 0x3A08, 0x39E8, 0x31C8, 0x31C8, 0x31C8, 0x29A8, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2945, 0x2946, 0x2966, 0x2966, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2967, 0x2167, 0x2167, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 
        0x29A7, 0x31A8, 0x31A8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x39C8, 0x39C8, 0x39C8, 0x39C8, 0x39C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x39C8, 0x39C8, 0x39E8, 0x39E8, 0x39E8, 
        0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 
        0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31A8, 0x29A8, 
        0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x31C7, 0x31C8, 0x39E8, 0x4208, 0x4228, 0x4229, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4229, 
        0x4229, 0x4209, 0x3A08, 0x39E8, 0x31C8, 0x31C8, 0x31A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x29A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 
        0x2987, 0x2967, 0x2967, 0x2967, 0x2966, 0x2966, 0x2966, 0x2966, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987,
  0x4208, 0x2987, 0x2966, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2187, 0x2987, 0x29A7, 0x31C8, 0x39E8, 0x3A08, 0x3A08, 0x4208, 0x4208, 0x4208, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4228, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4229, 0x4229, 0x4228, 0x4228, 0x4228, 0x4228, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 
        0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x3A09, 0x3A09, 0x3A08, 0x39E8, 0x31C8, 0x31C8, 0x29A8, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2966, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 
        0x2125, 0x2125, 0x2125, 0x2945, 0x2966, 0x2966, 0x2987, 0x31A7, 0x31A7, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2167, 0x2167, 0x2967, 0x2967, 0x2967, 0x2987, 0x2987, 
        0x29A7, 0x29A7, 0x29A7, 0x31A8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x39C8, 0x39E8, 
        0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x3A08, 0x3A08, 0x3A08, 
        0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39C8, 0x39C8, 0x39C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31A8, 0x31A8, 0x29A8, 
        0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x31A7, 0x31C8, 0x39E8, 0x3A08, 0x4229, 0x4229, 0x4229, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4229, 
        0x4229, 0x4229, 0x4209, 0x3A08, 0x39E8, 0x39C8, 0x31C8, 0x31A8, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A7, 0x29A7, 
        0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2967, 
        0x2967, 0x2966, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2966, 0x2966, 0x2966, 0x2966, 0x2967, 0x2967,
  0x4208, 0x2987, 0x2966, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2167, 0x2987, 0x29A7, 0x31C8, 0x39E8, 0x3A08, 0x3A08, 0x4208, 0x4208, 0x4208, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4228, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4229, 0x4229, 0x4228, 0x4228, 0x4228, 0x4228, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 
        0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x3A08, 0x3A08, 0x3A08, 0x39E8, 0x39E8, 0x31C8, 0x31C8, 0x29A8, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2966, 0x2966, 0x2966, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 
        0x2125, 0x2945, 0x2966, 0x2966, 0x31A7, 0x31C7, 0x31C8, 0x39C8, 0x39E8, 0x39E8, 0x39E8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31A8, 0x31A8, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2967, 0x2987, 
        0x2987, 0x2987, 0x29A7, 0x29A7, 0x31A8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 
        0x39C8, 0x39C8, 0x39C8, 0x39C8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 
        0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39C8, 0x39C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31A8, 0x31A8, 0x31A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A7, 0x29A7, 0x29A7, 0x29A8, 0x29C8, 0x31C8, 0x31C8, 0x31C8, 0x39E8, 0x3A08, 0x4229, 0x4229, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4229, 
        0x4229, 0x4229, 0x4229, 0x4209, 0x3A08, 0x39E8, 0x31C8, 0x31C8, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 
        0x2987, 0x2987, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2987, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2987, 0x2987, 0x2987, 0x2987, 0x2967, 0x2967, 0x2967, 0x2967, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2946, 0x2946, 0x2966,
  0x4208, 0x2987, 0x2966, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2167, 0x2987, 0x29A7, 0x31C8, 0x39E8, 0x3A08, 0x3A08, 0x3A08, 0x4208, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4229, 0x4229, 0x4228, 0x4228, 0x4228, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 
        0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x3A08, 0x3A08, 0x3A08, 0x39E8, 0x31C8, 0x31C8, 0x31C8, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2945, 0x2966, 0x31A7, 0x39C7, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x39E8, 0x39E8, 0x39E8, 0x31C8, 0x31C8, 0x31A8, 0x31A8, 0x29A8, 0x29A7, 0x2987, 0x2987, 0x2967, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2967, 
        0x2987, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x31A8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 
        0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x39C8, 0x39C8, 0x39C8, 0x39C8, 0x39C8, 0x39C8, 0x39C8, 0x39C8, 0x39C8, 0x39C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x39C8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 
        0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31A8, 0x31A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A8, 0x29A7, 0x29A7, 0x29A7, 0x31C7, 0x31C8, 0x31C8, 0x31C8, 0x39C8, 0x3A08, 0x4208, 0x4229, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4228, 0x4228, 
        0x4229, 0x4229, 0x4229, 0x4229, 0x4208, 0x39E8, 0x39C8, 0x31C8, 0x31A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2966, 0x2966, 0x2967, 0x2967, 0x2967, 0x2966, 0x2966, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145,
  0x4208, 0x2987, 0x2966, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2167, 0x29A7, 0x31C8, 0x39E8, 0x3A08, 0x3A08, 0x4208, 0x4208, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4229, 0x4229, 0x4229, 0x4229, 
        0x4228, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4228, 0x4229, 0x4229, 0x4229, 0x4228, 0x4228, 0x4228, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 
        0x4208, 0x4208, 0x4208, 0x4208, 0x3A08, 0x3A08, 0x39E8, 0x39E8, 0x39E8, 0x31C8, 0x31C8, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2945, 
        0x2966, 0x31A7, 0x39E8, 0x3A08, 0x4208, 0x4208, 0x3A08, 0x3A08, 0x3A08, 0x39E8, 0x39E8, 0x39C8, 0x39C8, 0x31C8, 0x31C8, 0x31A8, 0x31A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2967, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2966, 
        0x2967, 0x2967, 0x2987, 0x29A7, 0x29A7, 0x29A7, 0x31A7, 0x31A8, 0x31A8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31A8, 0x31A8, 0x31A8, 0x31C8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 
        0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 
        0x31C8, 0x31C8, 0x39C8, 0x39C8, 0x39C8, 0x39C8, 0x39C8, 0x39C8, 0x39C8, 0x39C8, 0x39C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31A8, 0x31A8, 0x31A7, 0x31A7, 0x31A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 0x29A8, 
        0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x31C7, 0x31C8, 0x31C8, 0x39C8, 0x39E8, 0x4208, 0x4229, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4228, 0x4228, 
        0x4228, 0x4229, 0x4229, 0x4229, 0x4208, 0x4208, 0x39E8, 0x39C8, 0x31A8, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2966, 0x2966, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125,
  0x4208, 0x2987, 0x2966, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2167, 0x2987, 0x31A7, 0x31C8, 0x3A08, 0x3A09, 0x4209, 0x4208, 0x4208, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4229, 0x4228, 
        0x4228, 0x4228, 0x4228, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 
        0x4208, 0x4208, 0x4208, 0x3A08, 0x3A08, 0x3A08, 0x39E8, 0x39E8, 0x39C8, 0x31C8, 0x31C7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2946, 0x2946, 0x2946, 0x2966, 0x2966, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2945, 0x2946, 
        0x3186, 0x39C7, 0x3A08, 0x4208, 0x4208, 0x4208, 0x3A08, 0x3A08, 0x3A08, 0x39E8, 0x39E8, 0x31C8, 0x31C8, 0x31C8, 0x31A8, 0x31A7, 0x29A7, 0x29A7, 0x2987, 0x2187, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2166, 
        0x2166, 0x2966, 0x2967, 0x2987, 0x2987, 0x29A7, 0x31A7, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 0x31A8, 
        0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31A8, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31C7, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 
        0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31A8, 0x31A8, 0x31A8, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 
        0x29A7, 0x29A7, 0x29A7, 0x31A7, 0x31C7, 0x31C8, 0x31C8, 0x39C8, 0x39E8, 0x4208, 0x4229, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4228, 0x4228, 0x4228, 0x4228, 0x4229, 0x4229, 0x4229, 0x4228, 0x4228, 0x4228, 
        0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4208, 0x3A08, 0x39E8, 0x31C8, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125,
  0x4208, 0x2987, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2987, 0x29A7, 0x31C8, 0x39E8, 0x3A08, 0x4208, 0x4208, 0x4208, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 
        0x4228, 0x4228, 0x4228, 0x4228, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A28, 0x4228, 0x4228, 0x4229, 0x4229, 0x4229, 0x4229, 0x4228, 0x4228, 0x4228, 0x4228, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 
        0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x31C8, 0x31C8, 0x31A8, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2187, 0x2187, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2945, 0x2966, 
        0x31A7, 0x39E8, 0x3A08, 0x4208, 0x4208, 0x3A08, 0x3A08, 0x3A08, 0x39E8, 0x39E8, 0x39C8, 0x31C8, 0x31C8, 0x31C8, 0x31A8, 0x31A7, 0x29A7, 0x2987, 0x2987, 0x2967, 0x2167, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2166, 0x2166, 0x2967, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x31A7, 0x31A7, 0x31A7, 0x31A8, 0x31A8, 0x31A8, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 
        0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A8, 
        0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31A8, 0x31A8, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 
        0x29A7, 0x29A7, 0x29A8, 0x31A8, 0x31C8, 0x31C8, 0x31C8, 0x39E8, 0x4208, 0x4228, 0x4229, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4228, 0x4228, 0x4228, 0x4228, 0x4229, 0x4229, 0x4229, 0x4228, 0x4228, 0x4228, 
        0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4208, 0x39E8, 0x31C8, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125,
  0x4208, 0x2986, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2167, 0x2987, 0x29A8, 0x31E8, 0x3A08, 0x4208, 0x4208, 0x4208, 0x4228, 0x4208, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 
        0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4A28, 0x4A28, 0x4A28, 0x4A28, 0x4228, 0x4228, 0x4229, 0x4229, 0x4229, 0x4229, 0x4228, 0x4228, 0x4228, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x3A08, 
        0x3A08, 0x3A08, 0x3A08, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39C8, 0x31C8, 0x31C8, 0x31A8, 0x29A7, 0x29A7, 0x29A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2187, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2945, 0x2946, 0x31A7, 
        0x39C8, 0x39E8, 0x3A08, 0x4208, 0x3A08, 0x3A08, 0x39E8, 0x39E8, 0x39E8, 0x39C8, 0x39C8, 0x31C8, 0x31C8, 0x31C8, 0x31A8, 0x29A7, 0x2987, 0x2987, 0x2967, 0x2967, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2166, 0x2966, 0x2967, 0x2967, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 
        0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 
        0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 
        0x29A7, 0x29A7, 0x31A8, 0x31A8, 0x31A8, 0x31C8, 0x39C8, 0x39E8, 0x4208, 0x4228, 0x4228, 0x4A28, 0x4A28, 0x4A29, 0x4A29, 0x4A29, 0x4A29, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 
        0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4208, 0x39E8, 0x31C8, 0x31A7, 0x2987, 0x2987, 0x2987, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125,
  0x4208, 0x2986, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2167, 0x2987, 0x29A7, 0x31C8, 0x39E8, 0x3A08, 0x4208, 0x4208, 0x4228, 0x4208, 0x4208, 0x4208, 0x4208, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 
        0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x3A08, 
        0x3A08, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39C8, 0x31C8, 0x31C8, 0x31A8, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2187, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2945, 0x2946, 0x2966, 0x31C7, 
        0x39E8, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39C8, 0x31C8, 0x31C8, 0x31C8, 0x31A8, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2967, 0x2167, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2966, 0x2966, 0x2966, 0x2967, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 
        0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 
        0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x29A7, 
        0x29A7, 0x29A7, 0x29A7, 0x31A8, 0x31C8, 0x31C8, 0x39E8, 0x39E8, 0x4208, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4A29, 0x4A29, 0x4A29, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 
        0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4208, 0x39E8, 0x31C8, 0x31A7, 0x2987, 0x2987, 0x2987, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125,
  0x4208, 0x2986, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2167, 0x2987, 0x2987, 0x31C8, 0x39E8, 0x39E8, 0x3A08, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4228, 0x4228, 0x4228, 0x4228, 
        0x4228, 0x4228, 0x4228, 0x4228, 0x4229, 0x4229, 0x4229, 0x4229, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x3A08, 0x3A08, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x3A08, 
        0x3A08, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39C8, 0x39C8, 0x31C8, 0x31C8, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2187, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2945, 0x2966, 0x3187, 0x39E8, 
        0x39E8, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x39E8, 0x39E8, 0x39E8, 0x39C8, 0x39C8, 0x31C8, 0x31C8, 0x31C8, 0x31A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2967, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2966, 0x2966, 0x2966, 0x2967, 0x2967, 0x2967, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 
        0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 
        0x2967, 0x2967, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29A7, 
        0x29A7, 0x29A7, 0x29A7, 0x31A7, 0x31C8, 0x39C8, 0x39E8, 0x3A08, 0x4208, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 
        0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4208, 0x3A08, 0x39E8, 0x31C8, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125,
  0x4208, 0x2986, 0x2966, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2167, 0x2987, 0x31C8, 0x39C8, 0x39E8, 0x3A08, 0x3A08, 0x3A08, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4228, 
        0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x3A08, 
        0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39C8, 0x31C8, 0x31C8, 0x31C7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2187, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2966, 0x2966, 0x2966, 0x2966, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2945, 0x2946, 0x2966, 0x31A7, 0x39E8, 
        0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39C8, 0x31C8, 0x31C8, 0x31C8, 0x31A8, 0x29A7, 0x2987, 0x2987, 0x2967, 0x2967, 0x2167, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2946, 0x2966, 0x2966, 0x2966, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2987, 0x2987, 
        0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 
        0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 
        0x29A7, 0x29A7, 0x31A7, 0x31A7, 0x31C8, 0x39C8, 0x39E8, 0x3A08, 0x4208, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 
        0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4208, 0x39E8, 0x39C8, 0x31A8, 0x29A7, 0x2987, 0x2987, 0x2967, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125,
  0x4208, 0x2986, 0x2966, 0x2146, 0x2146, 0x2146, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2167, 0x2987, 0x31A7, 0x31C8, 0x39E8, 0x39E8, 0x3A08, 0x3A08, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 
        0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x3A08, 0x3A08, 0x3A08, 0x4208, 0x4208, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 
        0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39C8, 0x31C8, 0x31C8, 0x31A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2966, 0x2966, 0x2966, 0x2966, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2945, 0x2966, 0x3187, 0x39C7, 0x39E8, 
        0x3A08, 0x3A08, 0x3A08, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x31C8, 0x31C8, 0x31C8, 0x31A7, 0x31A7, 0x29A7, 0x2987, 0x2987, 0x2967, 0x2967, 0x2167, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2946, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2966, 0x2966, 0x2966, 0x2967, 
        0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2166, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 
        0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2187, 0x2987, 0x2987, 0x2987, 0x2987, 
        0x29A7, 0x29A7, 0x31A7, 0x31A7, 0x31C8, 0x39C8, 0x39E8, 0x3A08, 0x4208, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 
        0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4208, 0x39E8, 0x31C8, 0x31A7, 0x29A7, 0x2987, 0x2967, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125,
  0x4208, 0x2986, 0x2966, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2167, 0x2187, 0x29A7, 0x31C8, 0x39E8, 0x39E8, 0x3A08, 0x3A08, 0x3A08, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 
        0x4208, 0x4208, 0x4208, 0x4208, 0x4228, 0x4228, 0x4228, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x39E8, 
        0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x31C8, 0x31C8, 0x31A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2966, 0x2966, 0x2966, 0x2966, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2945, 0x2966, 0x31A7, 0x39C8, 0x39E8, 
        0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39C8, 0x39C8, 0x31C8, 0x31C8, 0x31A8, 0x31A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2967, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2966, 0x2966, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2966, 
        0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2187, 0x2987, 0x29A7, 
        0x29A7, 0x29A7, 0x31A7, 0x31C8, 0x39C8, 0x39C8, 0x39E8, 0x39E8, 0x4208, 0x4208, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 
        0x4228, 0x4228, 0x4228, 0x4228, 0x4208, 0x3A08, 0x39C8, 0x31C8, 0x31A7, 0x2987, 0x2987, 0x2967, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125,
  0x4208, 0x2986, 0x2946, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2167, 0x29A7, 0x31C8, 0x39C8, 0x39E8, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 
        0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 
        0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39C8, 0x31C8, 0x31C7, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2966, 0x3187, 0x39C7, 0x39E8, 0x39E8, 
        0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31A8, 0x31A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2967, 0x2967, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2946, 0x2946, 0x2946, 0x2946, 0x2946, 0x2946, 0x2946, 0x2946, 0x2946, 0x2946, 0x2946, 0x2946, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2187, 0x2987, 0x29A7, 
        0x29A7, 0x31A7, 0x31A8, 0x31C8, 0x39C8, 0x39E8, 0x39E8, 0x39E8, 0x4208, 0x4208, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 
        0x4228, 0x4228, 0x4228, 0x4228, 0x4208, 0x39E8, 0x31C8, 0x31A7, 0x29A7, 0x2987, 0x2987, 0x2967, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125,
  0x4208, 0x2986, 0x2946, 0x2145, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2167, 0x2987, 0x31A8, 0x39C8, 0x39E8, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x4208, 0x4208, 0x4208, 
        0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x39E8, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 
        0x39E8, 0x39E8, 0x3A08, 0x3A08, 0x39E8, 0x39C8, 0x31C7, 0x31C7, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2946, 0x2966, 0x31A7, 0x39C7, 0x39E8, 0x39E8, 
        0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39C8, 0x31C8, 0x31C8, 0x31C8, 0x31A8, 0x31A8, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2967, 0x2967, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2967, 0x2987, 0x2987, 0x29A7, 
        0x29A7, 0x31A7, 0x31C8, 0x39C8, 0x39C8, 0x39E8, 0x39E8, 0x3A08, 0x4208, 0x4208, 0x4208, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 
        0x4228, 0x4228, 0x4228, 0x4208, 0x3A08, 0x39E8, 0x31C7, 0x31A7, 0x29A7, 0x2987, 0x2967, 0x2967, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125,
  0x4208, 0x2986, 0x2945, 0x2145, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2167, 0x2987, 0x31A7, 0x31C8, 0x39E8, 0x39E8, 0x39E8, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x4208, 0x4208, 
        0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 
        0x39E8, 0x39E8, 0x3A08, 0x3A08, 0x39E8, 0x39C7, 0x31C7, 0x31A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2946, 0x3187, 0x31A7, 0x39C8, 0x39E8, 0x39E8, 
        0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31A8, 0x31A7, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2967, 0x2967, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2987, 0x2987, 0x29A7, 0x29A7, 
        0x31A7, 0x31C7, 0x31C8, 0x39C8, 0x39E8, 0x39E8, 0x3A08, 0x3A08, 0x4208, 0x4208, 0x4208, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 
        0x4228, 0x4228, 0x4228, 0x4208, 0x39E8, 0x39C7, 0x31A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2967, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125,
  0x4208, 0x2986, 0x2945, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2987, 0x31A8, 0x39C8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 
        0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 
        0x3A08, 0x3A08, 0x3A08, 0x39E8, 0x39E8, 0x31C7, 0x31A7, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2966, 0x3187, 0x31C7, 0x39C8, 0x39E8, 0x39E8, 
        0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31A8, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2987, 0x2987, 0x29A7, 0x29A7, 
        0x31C8, 0x31C8, 0x31C8, 0x39E8, 0x39E8, 0x3A08, 0x3A08, 0x3A08, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 
        0x4228, 0x4228, 0x4208, 0x3A08, 0x39C8, 0x31C7, 0x31A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2967, 0x2967, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125,
  0x4208, 0x2986, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2167, 0x2167, 0x2987, 0x31A7, 0x31C8, 0x39C8, 0x39E8, 0x39E8, 0x39C8, 0x39C8, 0x39C8, 0x39C8, 0x39E8, 0x39E8, 0x39E8, 0x3A08, 0x3A08, 
        0x39E8, 0x39E8, 0x39E8, 0x3A08, 0x3A08, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39C8, 0x39C8, 0x39C8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39C8, 0x39C8, 0x39C8, 0x39E8, 0x39E8, 0x39E8, 
        0x3A08, 0x3A08, 0x3A08, 0x39E8, 0x31C8, 0x31C7, 0x31A7, 0x29A7, 0x29A7, 0x29A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2945, 0x2966, 0x31A7, 0x39C8, 0x39E8, 0x39E8, 0x39E8, 
        0x39E8, 0x39E8, 0x39E8, 0x39C8, 0x39C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31A8, 0x31A7, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2145, 0x2145, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x31C7, 
        0x31C7, 0x31C7, 0x31C8, 0x39C8, 0x39E8, 0x39E8, 0x3A08, 0x3A08, 0x3A08, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 
        0x4208, 0x4208, 0x3A08, 0x39E8, 0x31C8, 0x31C7, 0x31A7, 0x29A7, 0x2987, 0x2987, 0x2967, 0x2967, 0x2966, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 
        0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2105, 0x2105, 0x2125,
  0x4208, 0x2966, 0x2945, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2167, 0x2987, 0x2987, 0x31A7, 0x31C8, 0x39C8, 0x39C8, 0x39C8, 0x31C8, 0x31C8, 0x31C8, 0x39C8, 0x39C8, 0x39E8, 0x39E8, 0x39E8, 
        0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39C8, 0x39C8, 0x39C8, 0x39C8, 0x39C8, 0x39C8, 0x39C8, 0x39C8, 0x39C8, 0x39C8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 
        0x39E8, 0x39E8, 0x39E8, 0x31C8, 0x31C8, 0x31C7, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2967, 0x2967, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2945, 0x2946, 0x2966, 0x31A7, 0x39C8, 0x39E8, 0x39E8, 0x39E8, 
        0x39E8, 0x39C8, 0x39C8, 0x39C8, 0x39C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31A8, 0x31A7, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2145, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29A7, 
        0x31A7, 0x31C7, 0x31C8, 0x39C8, 0x39E8, 0x39E8, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x4208, 0x4208, 0x4208, 0x4208, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4208, 0x4208, 
        0x4208, 0x39E8, 0x39E8, 0x39C8, 0x31C8, 0x31A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2967, 0x2966, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 
        0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2105, 0x2105, 0x2125,
  0x4208, 0x2966, 0x2945, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2167, 0x2987, 0x2987, 0x29A7, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31A8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x39C8, 0x39E8, 
        0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39C8, 0x39C8, 0x39C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x39C8, 0x39C8, 0x39C8, 0x39C8, 0x39C8, 0x39C8, 0x39C8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 
        0x39E8, 0x39C8, 0x31C8, 0x31C8, 0x31A7, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2945, 0x2946, 0x2986, 0x31A7, 0x39C7, 0x39C8, 0x39E8, 0x39E8, 
        0x39C8, 0x39C8, 0x39C8, 0x39C8, 0x39C8, 0x31C8, 0x31C8, 0x31C8, 0x31A8, 0x31A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2145, 0x2145, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2967, 0x2987, 0x29A7, 
        0x29A7, 0x31A7, 0x31C8, 0x39C8, 0x39E8, 0x39E8, 0x39E8, 0x3A08, 0x3A08, 0x3A08, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4228, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x3A08, 
        0x39E8, 0x39E8, 0x39C8, 0x31A8, 0x31A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2967, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 
        0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105,
  0x4208, 0x2986, 0x2945, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2967, 0x29A7, 0x29A7, 0x29A8, 0x29A8, 0x31A7, 0x31A7, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 
        0x39C8, 0x39C8, 0x39C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x39C8, 0x39C8, 0x39C8, 0x39C8, 0x39C8, 0x39C8, 0x39C8, 0x39C8, 0x39E8, 0x39E8, 0x39C8, 
        0x39C8, 0x31C8, 0x31C8, 0x31A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2987, 0x2987, 0x2987, 0x2987, 0x2167, 0x2967, 0x2967, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2104, 0x2104, 0x2104, 0x2104, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2945, 0x2946, 0x2966, 0x31A7, 0x31C7, 0x39C8, 0x39E8, 0x39E8, 
        0x39C8, 0x39C8, 0x39C8, 0x39C8, 0x31C8, 0x31C7, 0x31C7, 0x31A7, 0x31A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2967, 0x2987, 0x2987, 
        0x29A7, 0x31A7, 0x31C8, 0x39C8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x3A08, 0x3A08, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x3A08, 0x39E8, 0x39E8, 
        0x39C8, 0x39C8, 0x31C8, 0x31A8, 0x31A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2167, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2104, 0x2104, 0x2105, 0x2105, 0x2105,
  0x4208, 0x2986, 0x2945, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x31A7, 0x31A7, 0x31A7, 0x31A8, 0x31C8, 0x31C8, 
        0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x39C8, 0x39C8, 0x39C8, 0x39C8, 0x39C8, 0x39C8, 0x39C8, 0x39C8, 0x39E8, 0x39C8, 0x31C8, 
        0x31C8, 0x31C8, 0x31A8, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2987, 0x2187, 0x2187, 0x2187, 0x2187, 0x2987, 
        0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2967, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2946, 0x2946, 0x2966, 0x31A7, 0x31A7, 0x31C7, 0x39C8, 0x39C8, 
        0x39C8, 0x39C8, 0x39C8, 0x31C8, 0x31C8, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2967, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2967, 0x2987, 0x2987, 
        0x29A7, 0x31C7, 0x31C8, 0x39C8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x3A08, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x3A08, 0x39E8, 0x39E8, 0x39C8, 
        0x39C8, 0x31C8, 0x31C8, 0x31A8, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2167, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2124, 0x2125,
  0x4208, 0x2966, 0x2945, 0x2125, 0x2145, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2187, 0x2987, 0x29A7, 0x31A7, 0x31A7, 0x31A7, 0x31A8, 0x31C8, 0x31A8, 
        0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31A7, 0x31A7, 0x31C7, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x39C8, 0x39C8, 0x39C8, 0x39C8, 0x39C8, 0x39C8, 0x39C8, 0x39C8, 0x31C8, 0x31C8, 0x31C7, 0x31C7, 
        0x31A7, 0x31A7, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 
        0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2967, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2946, 0x2946, 0x2967, 0x2987, 0x31A7, 0x31A7, 0x31C7, 0x31C8, 
        0x31C8, 0x31C7, 0x31C7, 0x31C7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2967, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2987, 0x2987, 0x2987, 
        0x29A7, 0x31A7, 0x31C8, 0x39C8, 0x39C8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x3A08, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x3A08, 0x39E8, 0x39E8, 0x39C8, 0x39C8, 
        0x31C8, 0x31C8, 0x31C8, 0x31A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2167, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2124, 0x2125,
  0x4208, 0x2966, 0x2945, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2167, 0x2167, 0x2987, 0x29A7, 0x29A7, 0x31C8, 0x31C8, 0x31C8, 0x31A8, 0x31A8, 
        0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31C7, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C7, 0x31C7, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x39C8, 0x39C8, 0x39C8, 0x39C8, 0x39C8, 0x31C8, 0x31C8, 0x31C7, 0x31C7, 0x31C7, 0x31A7, 
        0x31A7, 0x29A7, 0x29A7, 0x29A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 
        0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2967, 0x2967, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2946, 0x2966, 0x2987, 0x2987, 0x29A7, 0x31A7, 0x31A7, 0x31C7, 
        0x31C7, 0x31C7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2967, 0x2987, 0x2987, 0x29A7, 
        0x31A7, 0x31C7, 0x31C8, 0x31C8, 0x39C8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x3A08, 0x3A08, 0x3A08, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x3A08, 0x39E8, 0x39E8, 0x39E8, 0x39C8, 0x39C8, 
        0x31C8, 0x31C8, 0x31C8, 0x31A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2124, 0x2125,
  0x4208, 0x2966, 0x2945, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 
        0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 
        0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2167, 0x2987, 0x29A7, 0x31C8, 0x31C8, 0x31C8, 0x31A8, 0x31A7, 
        0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31A7, 0x29A7, 
        0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2187, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 
        0x2987, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2967, 0x2967, 0x2967, 0x2967, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2945, 0x2946, 0x2966, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 0x31A7, 
        0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2967, 0x2967, 0x2987, 0x29A7, 
        0x31A7, 0x31C7, 0x31C7, 0x31C8, 0x39C7, 0x39C8, 0x39C8, 0x39E8, 0x39E8, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x39E8, 0x39E8, 0x39E8, 0x39C8, 0x39C8, 
        0x31C8, 0x31C8, 0x31C8, 0x31A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2187, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2124, 0x2125,
  0x4208, 0x2966, 0x2925, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 
        0x2105, 0x2105, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 
        0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2167, 0x2967, 0x29A7, 0x29A7, 0x31C8, 0x31C8, 0x31A8, 0x31A8, 
        0x31A8, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C7, 0x31C7, 0x31C7, 0x31C7, 0x31C7, 0x31C7, 0x31C8, 0x31C8, 0x31C8, 0x31C8, 0x31C7, 0x31A7, 0x31A7, 0x31A7, 0x29A7, 0x29A7, 
        0x29A7, 0x29A7, 0x29A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x29A7, 
        0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2967, 0x2967, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2104, 0x2104, 0x2104, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2946, 0x2966, 0x2966, 0x2967, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 
        0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2966, 0x2967, 0x2987, 0x29A7, 
        0x31A7, 0x31A7, 0x31A7, 0x31C7, 0x39C7, 0x39C8, 0x39C8, 0x39E8, 0x39E8, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x4208, 0x4208, 0x4208, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39C8, 0x39C8, 
        0x31C7, 0x31C7, 0x31C7, 0x31A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2187, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2124, 0x2125,
  0x4208, 0x2966, 0x2925, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 
        0x2104, 0x2104, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 
        0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2167, 0x2987, 0x2987, 0x29A7, 0x31A7, 0x31A7, 0x31A7, 
        0x31A8, 0x31A7, 0x31A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31C7, 0x31C7, 0x31C7, 0x31A7, 0x31A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 
        0x2987, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x29A7, 
        0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2967, 0x2967, 0x2966, 0x2966, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2946, 0x2966, 0x2966, 0x2967, 0x2967, 0x2967, 0x2987, 0x2987, 0x2987, 
        0x2987, 0x2987, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2966, 0x2967, 0x2987, 0x29A7, 
        0x31A7, 0x31A7, 0x31A7, 0x31C7, 0x39C7, 0x39C8, 0x39C8, 0x39E8, 0x39E8, 0x39E8, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39C8, 0x31C8, 
        0x31C7, 0x31C7, 0x31C7, 0x31A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2187, 0x2187, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2124, 0x2125,
  0x4208, 0x2966, 0x2925, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2124, 0x2124, 0x2124, 0x2124, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 
        0x2104, 0x2104, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2105, 0x2105, 
        0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2167, 0x2967, 0x2967, 0x2987, 0x2987, 0x29A7, 
        0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 0x2987, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29A7, 
        0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x31A7, 0x31A7, 0x31A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2967, 0x2967, 0x2967, 0x2967, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2946, 0x2966, 0x2966, 0x2967, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 
        0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2967, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2966, 0x2967, 0x2987, 0x29A7, 
        0x29A7, 0x31A7, 0x31A7, 0x31C7, 0x39C7, 0x39C8, 0x39C8, 0x39E8, 0x39E8, 0x39E8, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39C8, 0x31C8, 
        0x31C7, 0x31C7, 0x31A7, 0x31A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2187, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2105, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2105,
  0x4208, 0x2966, 0x2925, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2167, 0x2967, 0x2987, 
        0x2987, 0x2987, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29A7, 
        0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x31A7, 0x31A7, 0x31A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2967, 0x2967, 0x2967, 0x2967, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2146, 0x2966, 0x2966, 0x2967, 0x2987, 0x2987, 0x2987, 0x2987, 
        0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2967, 0x2967, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2967, 0x2987, 0x29A7, 
        0x29A7, 0x31A7, 0x31A7, 0x31A7, 0x39C8, 0x39C8, 0x39C8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39C8, 0x39C8, 0x39C8, 0x31C8, 
        0x31C7, 0x31C7, 0x31A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2187, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104,
  0x4208, 0x2966, 0x2925, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 
        0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 0x31A7, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2146, 0x2146, 0x2166, 0x2166, 0x2966, 0x2967, 0x2967, 0x2967, 
        0x2967, 0x2967, 0x2967, 0x2967, 0x2987, 0x2987, 0x2967, 0x2967, 0x2967, 0x2967, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2966, 0x2987, 0x2987, 
        0x29A7, 0x29A7, 0x31A7, 0x31A7, 0x31C7, 0x39C8, 0x39C8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39C8, 0x39C8, 0x39C8, 0x31C7, 0x31C7, 
        0x31C7, 0x31C7, 0x31A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2187, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104,
  0x4208, 0x2966, 0x2925, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2987, 0x2187, 0x2187, 0x2187, 0x2187, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 
        0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2146, 0x2166, 0x2166, 0x2966, 0x2966, 0x2967, 0x2967, 
        0x2967, 0x2967, 0x2167, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2966, 0x2987, 
        0x2987, 0x29A7, 0x31A7, 0x31A7, 0x31A7, 0x31C7, 0x39C7, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39C8, 0x39C8, 0x39C7, 0x39C7, 0x31C7, 0x31C7, 
        0x31C7, 0x31C7, 0x31A7, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2187, 0x2187, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104,
  0x4208, 0x2966, 0x2925, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2125, 0x2125, 0x2125, 0x2105, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2125, 0x2125, 0x2125, 0x2125, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 
        0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2967, 0x2967, 0x2967, 0x2967, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2104, 0x2104, 0x2104, 0x2104, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2967, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2967, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2987, 
        0x2987, 0x2987, 0x31A7, 0x31A7, 0x31A7, 0x31C7, 0x39C7, 0x39C8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39C8, 0x39C8, 0x39C8, 0x39C8, 0x39C7, 0x31C7, 0x31C7, 0x31C7, 0x31C7, 
        0x31C7, 0x31C7, 0x31A7, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2105, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2124, 0x2104, 0x2104, 0x2105,
  0x4208, 0x2966, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2124, 0x2124, 
        0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 
        0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2105, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 
        0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2104, 0x2104, 0x2104, 0x2104, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2967, 
        0x2987, 0x2987, 0x29A7, 0x31A7, 0x31A7, 0x31C7, 0x39C7, 0x39C8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39C8, 0x39C8, 0x39C8, 0x39C8, 0x39C8, 0x39C7, 0x31C7, 0x31C7, 0x31C7, 0x31C7, 
        0x31C7, 0x31C7, 0x31A7, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2187, 0x2187, 0x2187, 0x2187, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2124, 0x2124, 0x2124, 0x2124, 0x2125,
  0x4208, 0x2966, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 
        0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2124, 0x2124, 
        0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 
        0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2125, 0x2125, 0x2125, 0x2105, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2105, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 
        0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x29A7, 0x31A7, 0x31A7, 0x31A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2967, 0x2967, 0x2967, 0x2967, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 
        0x2967, 0x2987, 0x2987, 0x29A7, 0x31A7, 0x31C7, 0x31C7, 0x39C8, 0x39C8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39C8, 0x39E8, 0x39E8, 0x39E8, 0x39C8, 0x39C8, 0x39C8, 0x39C8, 0x39C8, 0x39C8, 0x39C7, 0x31C7, 0x31C7, 0x31C7, 0x31C7, 0x31C7, 
        0x31C7, 0x31C7, 0x31A7, 0x31A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2124, 0x2124, 0x2124, 0x2124, 0x2125,
  0x4208, 0x2966, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 
        0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 
        0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2124, 0x2124, 
        0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 
        0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 
        0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x31A7, 0x31A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2967, 0x2967, 0x2967, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 
        0x2967, 0x2967, 0x2987, 0x2987, 0x31A7, 0x31A7, 0x31C7, 0x39C8, 0x39C8, 0x39C8, 0x39E8, 0x39C8, 0x39C8, 0x39C8, 0x39C8, 0x39C8, 0x39C8, 0x39C8, 0x39C8, 0x39C8, 0x39C8, 0x39C8, 0x39C8, 0x39C7, 0x31C7, 0x31C7, 0x31C7, 0x31C7, 0x31C7, 0x31C7, 
        0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2186, 0x2186, 0x2186, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2124, 0x2124, 0x2124, 0x2124, 0x2125,
  0x4208, 0x2966, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 
        0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x29A7, 0x2987, 0x2987, 0x2967, 0x2966, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 
        0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2166, 
        0x2966, 0x2967, 0x2967, 0x2987, 0x31A7, 0x31A7, 0x31A7, 0x31C7, 0x39C8, 0x39C8, 0x39C8, 0x39C8, 0x39C8, 0x39C7, 0x39C7, 0x39C8, 0x39C8, 0x39C8, 0x39C8, 0x39C8, 0x39C8, 0x39C7, 0x39C7, 0x31C7, 0x31C7, 0x31C7, 0x31C7, 0x31C7, 0x31C7, 0x31C7, 
        0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2187, 0x2187, 0x2187, 0x2186, 0x2186, 0x2186, 0x2186, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2104, 0x2104, 0x2104, 0x2104, 0x2124, 0x2125, 0x2125, 0x2125, 0x2125,
  0x4208, 0x2966, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2187, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 
        0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x29A7, 0x31A7, 0x31A7, 0x31A7, 0x2987, 0x2987, 0x2967, 0x2967, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 
        0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 
        0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2967, 0x2967, 0x2967, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2166, 0x2966, 0x2967, 0x2987, 0x29A7, 0x31A7, 0x31A7, 0x31C7, 0x31C7, 0x31C7, 0x39C8, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C8, 0x39C8, 0x39C7, 0x31C7, 0x31C7, 0x31C7, 0x31C7, 0x31C7, 0x31C7, 0x31C7, 0x31C7, 0x31C7, 0x31C7, 
        0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2187, 0x2187, 0x2186, 0x2186, 0x2186, 0x2186, 0x2186, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125,
  0x4208, 0x2965, 0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2104, 0x2104, 0x2104, 0x2104, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 
        0x2167, 0x2167, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 
        0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2967, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 
        0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2967, 0x2987, 0x2987, 0x2987, 
        0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 
        0x2166, 0x2966, 0x2966, 0x2967, 0x2987, 0x29A7, 0x31A7, 0x31A7, 0x31C7, 0x31C7, 0x31C8, 0x31C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x31C7, 0x31C7, 0x31C7, 0x31C7, 0x31C7, 0x31C7, 0x31C7, 0x31C7, 0x31C7, 0x31C7, 0x31C7, 0x31C7, 0x31C7, 0x31C7, 
        0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x2187, 0x2187, 0x2186, 0x2186, 0x2187, 0x2186, 0x2186, 0x2186, 0x2186, 0x2186, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125,
  0x4208, 0x2965, 0x2125, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2945, 0x2125, 0x2125, 0x2125, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 
        0x2167, 0x2967, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2187, 0x2187, 0x2987, 0x2987, 0x2987, 0x2987, 
        0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2966, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2124, 0x2124, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2967, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29A7, 
        0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31C7, 0x31C7, 0x31C7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2187, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 
        0x2166, 0x2166, 0x2166, 0x2967, 0x2987, 0x2987, 0x2987, 0x31A7, 0x31A7, 0x31C7, 0x31C7, 0x31C7, 0x31C7, 0x31C7, 0x31C7, 0x31C7, 0x31C7, 0x31C7, 0x31C7, 0x31C7, 0x31C7, 0x31C7, 0x31C7, 0x31C7, 0x31C7, 0x31C7, 0x31C7, 0x31C7, 0x31C7, 0x31A7, 
        0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2186, 0x2186, 0x2186, 0x2186, 0x2186, 0x2186, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125,
  0x4208, 0x2965, 0x2125, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2124, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2925, 0x2125, 0x2125, 0x2125, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 
        0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2987, 0x2987, 
        0x2987, 0x2987, 0x2987, 0x2167, 0x2167, 0x2167, 0x2967, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2967, 0x2966, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2124, 0x2124, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2967, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x31A7, 0x31A7, 0x31A7, 
        0x31C7, 0x31C7, 0x31C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C8, 0x39C8, 0x39C8, 0x39C8, 0x39C8, 0x39C8, 0x39C8, 0x39C8, 0x39C8, 0x39C8, 0x31C7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 
        0x2146, 0x2166, 0x2166, 0x2167, 0x2967, 0x2987, 0x2987, 0x2987, 0x31A7, 0x31A7, 0x31C7, 0x31C7, 0x31C7, 0x31C7, 0x31C7, 0x31C7, 0x31C7, 0x31C7, 0x31C7, 0x31C7, 0x31C7, 0x31C7, 0x31C7, 0x31C7, 0x31C7, 0x31C7, 0x31C7, 0x31C7, 0x31C7, 0x31A7, 
        0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2187, 0x2187, 0x2187, 0x2186, 0x2186, 0x2186, 0x2186, 0x2186, 0x2186, 0x2186, 0x2186, 0x2186, 0x2186, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125,
  0x4208, 0x2965, 0x2125, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2124, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2187, 
        0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2967, 0x2967, 0x2967, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2967, 0x2967, 0x2967, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2124, 0x2124, 0x2124, 0x2124, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31C7, 0x39C7, 
        0x39C7, 0x39C7, 0x39C7, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39C8, 0x39C8, 0x39C7, 0x39C7, 0x31C7, 0x31C7, 0x31A7, 0x31A7, 0x31A7, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 
        0x2987, 0x2987, 0x2987, 0x2187, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 
        0x2146, 0x2166, 0x2166, 0x2166, 0x2167, 0x2967, 0x2967, 0x2987, 0x2987, 0x31A7, 0x31A7, 0x31C7, 0x31C7, 0x31C7, 0x31C7, 0x31C7, 0x31C7, 0x31C7, 0x31C7, 0x31C7, 0x31C7, 0x31C7, 0x31C7, 0x31C7, 0x31C7, 0x31C7, 0x31C7, 0x31C7, 0x31A7, 0x31A7, 
        0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2187, 0x2187, 0x2186, 0x2186, 0x2186, 0x2186, 0x2186, 0x2186, 0x2186, 0x2186, 0x2186, 0x2186, 0x2186, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125,
  0x4208, 0x2965, 0x2125, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2124, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2124, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2987, 
        0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2967, 0x2967, 0x2967, 0x2187, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2124, 0x2124, 0x2124, 0x2124, 0x2104, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2105, 0x2105, 0x2105, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2967, 0x2967, 0x2967, 0x2967, 0x2967, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 0x31A7, 0x31A7, 0x31A7, 0x31C7, 0x39C7, 0x39C7, 0x39C7, 0x39E8, 0x39E8, 
        0x39E8, 0x39E8, 0x39E8, 0x3A08, 0x3A08, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x39E8, 0x39E8, 0x39E8, 0x39E7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x31C7, 0x31A7, 0x31A7, 0x31A7, 0x29A7, 0x29A7, 0x29A7, 
        0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2146, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2967, 0x2987, 0x2987, 0x29A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31C7, 0x31C7, 0x31C7, 0x31C7, 0x31C7, 0x31C7, 0x31C7, 0x31C7, 0x31A7, 0x31A7, 
        0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2187, 0x2187, 0x2187, 0x2186, 0x2186, 0x2186, 0x2186, 0x2186, 0x2186, 0x2186, 0x2186, 0x2186, 0x2186, 
        0x2186, 0x2186, 0x2186, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125,
  0x4208, 0x2965, 0x2925, 0x2124, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2187, 0x2987, 
        0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2187, 0x2167, 0x2167, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2967, 0x2967, 0x2967, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x3187, 0x31A7, 0x31A7, 0x31C7, 0x39C7, 0x39C7, 0x39C7, 0x39E7, 0x39E7, 0x39E7, 0x39E8, 0x39E8, 
        0x41E8, 0x41E8, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A07, 0x39E7, 0x39E7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x29A7, 
        0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2966, 0x2967, 0x2987, 0x2987, 0x29A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31C7, 0x31C7, 0x31C7, 0x31C7, 0x31C7, 0x31C7, 0x31C7, 0x31C7, 0x31C7, 0x31A7, 
        0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 
        0x2186, 0x2186, 0x2186, 0x2186, 0x2186, 0x2186, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125,
  0x4208, 0x2965, 0x2925, 0x2124, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2187, 0x2987, 
        0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2967, 0x2967, 0x2967, 0x2987, 0x2987, 0x2987, 0x29A7, 0x31A7, 0x31A7, 0x31A7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x3A08, 0x3A08, 
        0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x3A08, 0x3A08, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39C7, 0x39C7, 0x39C7, 0x31C7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 
        0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2187, 0x2187, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2966, 0x2967, 0x2967, 0x2987, 0x2987, 0x29A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31C7, 0x31C7, 0x31C7, 0x31C7, 0x31C7, 0x31C7, 0x31C7, 0x31A7, 0x31A7, 0x31A7, 
        0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2187, 0x2187, 0x2186, 0x2186, 0x2187, 0x2187, 0x2187, 0x2187, 0x2186, 0x2186, 0x2186, 0x2186, 
        0x2186, 0x2186, 0x2186, 0x2186, 0x2186, 0x2186, 0x2186, 0x2186, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125,
  0x4208, 0x2965, 0x2925, 0x2124, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2187, 0x2987, 
        0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2967, 0x2987, 0x2987, 0x2987, 0x2987, 0x31A7, 0x31A7, 0x31C7, 0x39C7, 0x39C7, 0x39C7, 0x39E7, 0x39E7, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x3A08, 0x39E8, 
        0x39E8, 0x39E8, 0x3A08, 0x4208, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39C8, 0x39C7, 0x31C7, 0x31C7, 0x31C7, 0x31A7, 0x31A7, 
        0x31A7, 0x31A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2187, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2966, 0x2966, 0x2966, 0x2987, 0x2987, 0x2987, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31C7, 0x31C7, 0x31C7, 0x31C7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 
        0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2186, 0x2186, 0x2186, 0x2186, 0x2186, 
        0x2186, 0x2186, 0x2186, 0x2186, 0x2186, 0x2186, 0x2186, 0x2186, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125,
  0x4208, 0x2965, 0x2925, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2187, 0x2187, 0x2187, 
        0x2987, 0x2987, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2987, 0x2987, 0x2987, 0x2987, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2105, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2967, 0x2987, 0x2987, 0x2987, 0x31A7, 0x31A7, 0x31C7, 0x39C7, 0x39C7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 
        0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E8, 0x39E8, 0x39C7, 0x39C7, 0x39C7, 0x31C7, 0x31C7, 0x31A7, 
        0x31A7, 0x31A7, 0x31A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2187, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2966, 0x2966, 0x2966, 0x2966, 0x2986, 0x2987, 0x2987, 0x29A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 
        0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2187, 0x2187, 0x2187, 0x2186, 0x2186, 0x2186, 0x2186, 0x2186, 
        0x2186, 0x2186, 0x2186, 0x2186, 0x2186, 0x2186, 0x2186, 0x2186, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125,
  0x4208, 0x2965, 0x2125, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2187, 0x2187, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2967, 0x2967, 0x2987, 0x2987, 0x3187, 0x31A7, 0x31C7, 0x39C7, 0x39C7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 
        0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x3A08, 0x3A08, 0x3A08, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E8, 0x39E8, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x31C7, 0x31C7, 
        0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2986, 0x2986, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 
        0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x2187, 0x2187, 0x2186, 0x2186, 0x2186, 0x2186, 
        0x2186, 0x2186, 0x2186, 0x2186, 0x2186, 0x2186, 0x2186, 0x2186, 0x2166, 0x2186, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145,
  0x4208, 0x2965, 0x2125, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 
        0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2987, 0x2987, 0x2987, 0x2987, 0x2187, 0x2187, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2967, 0x2987, 0x2987, 0x3187, 0x31A7, 0x31A7, 0x39C7, 0x39C7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 
        0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E8, 0x39E7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x31C7, 
        0x31C7, 0x31C7, 0x31A7, 0x31A7, 0x31A7, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2967, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2986, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x29A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 
        0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2986, 0x2186, 
        0x2186, 0x2186, 0x2186, 0x2186, 0x2186, 0x2186, 0x2186, 0x2186, 0x2166, 0x2186, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2145, 0x2146, 0x2146, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145,
  0x4208, 0x2965, 0x2125, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2987, 0x2987, 0x2987, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2966, 0x2967, 0x2987, 0x2987, 0x31A7, 0x31C7, 0x39C7, 0x39C7, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E7, 0x39E7, 0x39E7, 0x39E8, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 
        0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 
        0x31C7, 0x31C7, 0x31C7, 0x31A7, 0x31A7, 0x31A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2967, 0x2967, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2986, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x29A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 
        0x31A7, 0x31A7, 0x31A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 
        0x2187, 0x2186, 0x2186, 0x2186, 0x2186, 0x2186, 0x2186, 0x2186, 0x2166, 0x2186, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145,
  0x4208, 0x2965, 0x2125, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2966, 0x2967, 0x2967, 0x2987, 0x31A7, 0x31A7, 0x39C7, 0x39C7, 0x39C7, 0x39E7, 0x39E7, 0x39E8, 0x39E8, 0x39E8, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 
        0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E8, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39C7, 
        0x39C7, 0x39C7, 0x31C7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2986, 0x2986, 0x2987, 0x2986, 0x2986, 0x2986, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x29A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 
        0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A6, 0x2986, 0x2986, 0x29A6, 0x29A7, 0x29A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 
        0x2986, 0x2986, 0x2986, 0x2186, 0x2186, 0x2186, 0x2186, 0x2186, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145,
  0x4208, 0x2965, 0x2124, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2966, 0x2966, 0x2967, 0x2987, 0x31A7, 0x31A7, 0x39C7, 0x39C7, 0x39C7, 0x39E7, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 
        0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 
        0x39C7, 0x39C7, 0x39C7, 0x31C7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2967, 0x2167, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2987, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 
        0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A6, 0x29A6, 0x2986, 0x2986, 0x29A6, 0x29A6, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 
        0x2986, 0x2986, 0x2986, 0x2186, 0x2186, 0x2186, 0x2186, 0x2186, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145,
  0x4208, 0x2965, 0x2124, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2966, 0x2967, 0x2987, 0x2987, 0x31A7, 0x31C7, 0x39C7, 0x39C7, 0x39C7, 0x39E7, 0x39E8, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 
        0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 
        0x39E7, 0x39C7, 0x39C7, 0x39C7, 0x31C7, 0x31A7, 0x31A7, 0x31A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2187, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2987, 0x2987, 0x29A7, 0x29A7, 0x29A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 
        0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A6, 0x29A6, 0x29A6, 0x2986, 0x2986, 0x2986, 0x2986, 0x29A6, 0x29A6, 0x2986, 0x2986, 0x2987, 0x2987, 0x2986, 
        0x2986, 0x2986, 0x2986, 0x2186, 0x2186, 0x2186, 0x2186, 0x2186, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145,
  0x4208, 0x2965, 0x2124, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2125, 0x2125, 0x2125, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2967, 0x2967, 0x2987, 0x31A7, 0x31A7, 0x31C7, 0x39C7, 0x39C7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 
        0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 
        0x39E7, 0x39E7, 0x39E7, 0x39C7, 0x39C7, 0x31C7, 0x31A7, 0x31A7, 0x31A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x29A6, 0x29A7, 0x29A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 
        0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A6, 0x29A6, 0x29A6, 0x29A6, 0x29A6, 0x29A6, 0x29A6, 0x2986, 0x2986, 0x29A6, 0x29A6, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 
        0x2986, 0x2986, 0x2986, 0x2186, 0x2186, 0x2186, 0x2186, 0x2186, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145,
  0x4208, 0x2965, 0x2124, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2125, 0x2125, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2967, 0x2967, 0x2987, 0x31A7, 0x31A7, 0x39C7, 0x39C7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 
        0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 
        0x39E7, 0x39E7, 0x39E7, 0x39C7, 0x39C7, 0x39C7, 0x31C7, 0x31A7, 0x31A7, 0x31A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2967, 0x2967, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x29A6, 0x29A7, 0x29A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 
        0x29A7, 0x29A7, 0x29A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x29A7, 0x29A7, 0x29A7, 0x29A6, 0x29A6, 0x29A6, 0x29A6, 0x29A6, 0x29A6, 0x29A6, 0x29A6, 0x29A6, 0x29A6, 0x2986, 0x2986, 0x29A6, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 
        0x2986, 0x2986, 0x2986, 0x2186, 0x2186, 0x2186, 0x2186, 0x2186, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145,
  0x4208, 0x2965, 0x2124, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2125, 0x2125, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 
        0x2146, 0x2146, 0x2146, 0x2166, 0x2966, 0x2967, 0x2987, 0x3187, 0x31A7, 0x39C7, 0x39C7, 0x39C7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 
        0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 
        0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39C7, 0x39C7, 0x39C7, 0x31C7, 0x31A7, 0x31A7, 0x31A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2967, 0x2967, 0x2967, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x29A6, 0x29A6, 0x29A6, 0x29A7, 0x29A7, 0x29A7, 
        0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x31A7, 0x31A7, 0x31A7, 0x29A7, 0x29A7, 0x29A7, 0x29A6, 0x29A6, 0x29A6, 0x2986, 0x2986, 0x29A6, 0x29A6, 0x29A6, 0x29A6, 0x29A6, 0x2986, 0x2986, 0x29A6, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 
        0x2986, 0x2986, 0x2986, 0x2186, 0x2186, 0x2186, 0x2186, 0x2186, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145,
  0x4208, 0x2965, 0x2124, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2125, 0x2125, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 
        0x2146, 0x2166, 0x2166, 0x2166, 0x2967, 0x2987, 0x2987, 0x31A7, 0x31A7, 0x39C7, 0x39C7, 0x39C7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 
        0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 
        0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39C7, 0x39C7, 0x39C7, 0x31C7, 0x31A7, 0x31A7, 0x31A7, 0x29A7, 0x2987, 0x2987, 0x2987, 0x2967, 0x2967, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x29A6, 0x29A6, 0x29A6, 
        0x29A6, 0x29A6, 0x29A6, 0x29A6, 0x31A6, 0x29A6, 0x29A6, 0x29A6, 0x29A7, 0x29A6, 0x29A6, 0x29A6, 0x29A6, 0x2986, 0x29A6, 0x29A6, 0x29A6, 0x29A6, 0x29A6, 0x29A6, 0x2986, 0x2986, 0x29A6, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 
        0x2986, 0x2986, 0x2986, 0x2186, 0x2186, 0x2186, 0x2186, 0x2186, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145,
  0x4208, 0x2965, 0x2124, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2187, 0x2187, 0x2187, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2966, 0x2987, 0x3187, 0x31A7, 0x31A7, 0x39C7, 0x39C7, 0x39C7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 
        0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 
        0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x2987, 0x2987, 0x2987, 0x2967, 0x2967, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2966, 
        0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x29A6, 0x29A6, 
        0x29A6, 0x29A6, 0x29A6, 0x29A6, 0x29A6, 0x29A6, 0x29A6, 0x29A6, 0x29A6, 0x29A6, 0x29A6, 0x29A6, 0x29A6, 0x29A6, 0x29A6, 0x29A6, 0x29A6, 0x29A6, 0x2986, 0x2986, 0x2986, 0x2986, 0x29A6, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 
        0x2986, 0x2986, 0x2186, 0x2186, 0x2186, 0x2186, 0x2186, 0x2186, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145,
  0x4208, 0x2965, 0x2124, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2167, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2966, 0x2987, 0x2987, 0x31A7, 0x31A7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 
        0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 
        0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39C7, 0x39C7, 0x39C7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x2987, 0x2987, 0x2987, 0x2967, 0x2967, 0x2967, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2966, 0x2966, 0x2966, 0x2966, 
        0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x29A6, 0x29A6, 
        0x29A6, 0x29A6, 0x29A6, 0x29A6, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A7, 0x29A6, 0x29A6, 0x29A6, 0x29A6, 0x29A6, 0x29A6, 0x29A6, 0x29A6, 0x29A6, 0x29A6, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 
        0x2986, 0x2986, 0x2186, 0x2186, 0x2186, 0x2186, 0x2186, 0x2186, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145,
  0x4208, 0x2965, 0x2124, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2966, 0x2966, 0x2987, 0x2987, 0x31A7, 0x31A7, 0x39C7, 0x39C7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 
        0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 
        0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39C7, 0x39C7, 0x31A7, 0x31A7, 0x31A7, 0x2987, 0x2987, 0x2987, 0x2967, 0x2967, 0x2967, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2946, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2166, 0x2966, 0x2966, 0x2966, 0x2966, 
        0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x29A6, 
        0x29A6, 0x29A6, 0x29A6, 0x29A6, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x29A7, 0x29A7, 0x29A7, 0x29A6, 0x29A6, 0x29A6, 0x29A6, 0x29A6, 0x29A6, 0x29A6, 0x29A6, 0x29A6, 0x29A6, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 
        0x2986, 0x2986, 0x2186, 0x2186, 0x2186, 0x2186, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145,
  0x4208, 0x2965, 0x2124, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 
        0x2166, 0x2966, 0x2966, 0x2967, 0x2987, 0x31A7, 0x31A7, 0x31C7, 0x39C7, 0x39C7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 
        0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 
        0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39C7, 0x39C7, 0x31A7, 0x31A7, 0x31A7, 0x2987, 0x2987, 0x2967, 0x2967, 0x2967, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2946, 0x2966, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2166, 0x2966, 0x2966, 0x2966, 0x2966, 
        0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x31A6, 
        0x31A6, 0x31A6, 0x31A6, 0x31A6, 0x31A6, 0x31A6, 0x31A6, 0x31A6, 0x31A7, 0x31A6, 0x31A6, 0x31A6, 0x31A7, 0x29A7, 0x29A7, 0x29A7, 0x29A6, 0x29A6, 0x29A6, 0x29A6, 0x29A6, 0x29A6, 0x29A6, 0x29A6, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 
        0x2986, 0x2986, 0x2986, 0x2186, 0x2186, 0x2186, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145,
  0x4208, 0x2965, 0x2124, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2966, 0x2966, 0x2966, 0x2987, 0x2987, 0x31A7, 0x31A7, 0x39C7, 0x39C7, 0x39C7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 
        0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 
        0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39C7, 0x39C7, 0x31C7, 0x31A7, 0x31A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2967, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2946, 0x2966, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2966, 0x2966, 
        0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x31A6, 0x31A6, 
        0x31A6, 0x31A6, 0x31A6, 0x31A6, 0x31A6, 0x31A6, 0x31A6, 0x31A6, 0x31A6, 0x31A6, 0x31A6, 0x31A6, 0x31A6, 0x29A7, 0x29A7, 0x29A7, 0x29A6, 0x29A6, 0x29A6, 0x29A6, 0x2986, 0x2986, 0x29A6, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 
        0x2986, 0x2986, 0x2986, 0x2186, 0x2186, 0x2186, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145,
  0x4208, 0x2965, 0x2124, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2966, 0x2966, 0x2987, 0x2987, 0x31A7, 0x31A7, 0x31A7, 0x39C7, 0x39C7, 0x39C7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 
        0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 
        0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39C7, 0x39C7, 0x31C7, 0x31A7, 0x31A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2967, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2946, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2966, 0x2966, 
        0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x3186, 0x3186, 0x31A6, 0x31A6, 
        0x31A6, 0x31A6, 0x31A6, 0x31A6, 0x31A6, 0x31A6, 0x31A6, 0x31A6, 0x31A6, 0x31A6, 0x31A6, 0x31A6, 0x31A6, 0x29A6, 0x29A6, 0x29A6, 0x29A6, 0x29A6, 0x29A6, 0x29A6, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 
        0x2986, 0x2986, 0x2986, 0x2186, 0x2186, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145,
  0x4208, 0x2965, 0x2124, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2967, 
        0x2967, 0x2987, 0x2987, 0x31A7, 0x31A7, 0x31A7, 0x39C7, 0x39C7, 0x39C7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 
        0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 
        0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39C7, 0x39C7, 0x31A7, 0x31A7, 0x31A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2967, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2966, 0x2966, 
        0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x3186, 0x3186, 0x31A6, 0x31A6, 
        0x31A6, 0x31A6, 0x31A6, 0x31A6, 0x31A6, 0x31A6, 0x31A6, 0x31A6, 0x31A6, 0x31A6, 0x31A6, 0x3186, 0x2986, 0x29A6, 0x29A6, 0x29A6, 0x29A6, 0x29A6, 0x29A6, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 
        0x2986, 0x2986, 0x2986, 0x2986, 0x2186, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145,
  0x4208, 0x2965, 0x2124, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2124, 0x2124, 
        0x2124, 0x2124, 0x2124, 0x2124, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2966, 0x2966, 0x2966, 
        0x2987, 0x3187, 0x31A7, 0x31A7, 0x31A7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 
        0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 
        0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39C7, 0x39C7, 0x39C7, 0x31C7, 0x31A7, 0x31A7, 0x2987, 0x2987, 0x2987, 0x2987, 0x2967, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2945, 0x2945, 0x2945, 0x2945, 0x2145, 0x2145, 0x2945, 0x2945, 0x2965, 0x2965, 0x2965, 0x2965, 0x2965, 0x2965, 0x2966, 
        0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x29A6, 0x29A6, 0x31A6, 
        0x31A6, 0x31A6, 0x31A6, 0x31A6, 0x31A6, 0x31A6, 0x31A6, 0x31A6, 0x31A6, 0x31A6, 0x31A6, 0x31A6, 0x29A6, 0x2986, 0x2986, 0x2986, 0x2986, 0x29A6, 0x29A6, 0x29A6, 0x29A6, 0x29A6, 0x29A6, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 
        0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145,
  0x4208, 0x2965, 0x2124, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2124, 0x2124, 
        0x2124, 0x2125, 0x2125, 0x2125, 0x2124, 0x2124, 0x2124, 0x2124, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2966, 0x2966, 0x2987, 
        0x3187, 0x31A7, 0x31A7, 0x31A7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 
        0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 
        0x39C7, 0x39C7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39C7, 0x39C7, 0x39C7, 0x31C7, 0x31A7, 0x31A7, 0x2987, 0x2987, 0x2967, 0x2967, 0x2167, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2945, 0x2945, 0x2945, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2945, 0x2965, 0x2965, 0x2965, 0x2965, 0x2965, 0x2966, 
        0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x29A6, 0x29A6, 
        0x31A6, 0x31A6, 0x31A6, 0x31A6, 0x31A6, 0x31A6, 0x31A6, 0x31A6, 0x29A6, 0x29A6, 0x29A6, 0x29A6, 0x29A6, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 
        0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2186, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145,
  0x4208, 0x2965, 0x2124, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2124, 
        0x2124, 0x2124, 0x2124, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2124, 0x2124, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2966, 0x2966, 0x2987, 0x31A7, 
        0x31A7, 0x31A7, 0x31A7, 0x31C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 
        0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 
        0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39E7, 0x39E7, 0x39E7, 0x39C7, 0x39C7, 0x31C7, 0x31A7, 0x31A7, 0x31A7, 0x2987, 0x2967, 0x2967, 0x2967, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 
        0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x29A6, 
        0x29A6, 0x29A6, 0x29A6, 0x29A6, 0x29A6, 0x29A6, 0x29A6, 0x29A6, 0x29A6, 0x29A6, 0x29A6, 0x29A6, 0x29A6, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 
        0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2966, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145,
  0x4208, 0x2965, 0x2124, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2125, 0x2125, 0x2125, 0x2125, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2966, 0x2986, 0x2987, 0x31A7, 
        0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39E7, 0x39C7, 0x39C7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 
        0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 
        0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39E7, 0x39E7, 0x39E7, 0x39C7, 0x39C7, 0x31A7, 0x31A7, 0x31A7, 0x2987, 0x2987, 0x2967, 0x2967, 0x2967, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 
        0x2945, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 
        0x2986, 0x2986, 0x2986, 0x29A6, 0x29A6, 0x29A6, 0x29A6, 0x29A6, 0x29A6, 0x29A6, 0x29A6, 0x29A6, 0x29A6, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 
        0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2966, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145,
  0x4208, 0x2965, 0x2124, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2125, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2966, 0x2966, 0x2987, 0x2987, 0x31A7, 
        0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39E7, 0x39E7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 
        0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 
        0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39E7, 0x39E7, 0x39C7, 0x39C7, 0x39C7, 0x31A7, 0x31A7, 0x31A7, 0x2987, 0x2987, 0x2987, 0x2967, 0x2967, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 
        0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 
        0x2986, 0x2986, 0x2986, 0x2986, 0x29A6, 0x29A6, 0x29A6, 0x29A6, 0x29A6, 0x29A6, 0x29A6, 0x29A6, 0x29A6, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 
        0x2986, 0x2986, 0x2986, 0x2986, 0x2966, 0x2966, 0x2966, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145,
  0x4208, 0x2965, 0x2124, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2124, 0x2124, 0x2124, 0x2125, 0x2125, 0x2125, 0x2125, 0x2124, 0x2124, 0x2124, 0x2124, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2966, 0x2966, 0x2987, 0x3187, 0x31A7, 
        0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39E7, 0x39E7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 
        0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 
        0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39E7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x31A7, 0x31A7, 0x31A7, 0x2987, 0x2987, 0x2987, 0x2967, 0x2967, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 
        0x2946, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 
        0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 
        0x2986, 0x2986, 0x2986, 0x2986, 0x2966, 0x2966, 0x2966, 0x2966, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145,
  0x4208, 0x2965, 0x2124, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2966, 0x2986, 0x2987, 0x31A7, 0x31A7, 
        0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39E7, 0x39E7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 
        0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 
        0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x31C7, 0x31A7, 0x31A7, 0x31A7, 0x2987, 0x2987, 0x2987, 0x2967, 0x2967, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 
        0x2946, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 
        0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 
        0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2966, 0x2966, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145,
  0x4208, 0x2965, 0x2124, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 
        0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2966, 0x2966, 0x2966, 0x2987, 0x3187, 0x31A7, 
        0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 
        0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 
        0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x31A7, 0x31A7, 0x3187, 0x2987, 0x2987, 0x2987, 0x2967, 0x2966, 0x2966, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 
        0x2945, 0x2965, 0x2965, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 
        0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 
        0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2966, 0x2966, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145,
  0x4208, 0x2965, 0x2124, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2966, 0x2966, 0x2966, 0x2987, 0x2987, 0x31A7, 
        0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 
        0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 
        0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39A7, 0x31A7, 0x31A7, 0x31A7, 0x3187, 0x2987, 0x2987, 0x2967, 0x2967, 0x2966, 0x2966, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 
        0x2945, 0x2945, 0x2945, 0x2965, 0x2965, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 
        0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 
        0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2966, 0x2966, 0x2966, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145,
  0x4208, 0x2965, 0x2124, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2966, 0x2966, 0x2966, 0x2987, 0x2987, 0x3187, 
        0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 
        0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 
        0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x31A7, 0x31A7, 0x31A7, 0x3187, 0x2987, 0x2987, 0x2987, 0x2967, 0x2966, 0x2966, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 
        0x2945, 0x2945, 0x2945, 0x2965, 0x2965, 0x2965, 0x2965, 0x2965, 0x2965, 0x2965, 0x2965, 0x2965, 0x2965, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 
        0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 
        0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2966, 0x2966, 0x2966, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145,
  0x4208, 0x2965, 0x2124, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2966, 0x2966, 0x2986, 0x2986, 0x2987, 0x2987, 0x3187, 
        0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 
        0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 
        0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x31C7, 0x31A7, 0x31A7, 0x3187, 0x2987, 0x2987, 0x2987, 0x2967, 0x2966, 0x2966, 0x2966, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 
        0x2945, 0x2945, 0x2945, 0x2945, 0x2965, 0x2965, 0x2965, 0x2965, 0x2965, 0x2965, 0x2965, 0x2965, 0x2965, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 
        0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 
        0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145,
  0x4208, 0x2965, 0x2124, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2966, 0x2966, 0x2986, 0x2986, 0x2987, 0x2987, 0x2987, 
        0x3187, 0x3187, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 
        0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 
        0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x31A7, 0x31A7, 0x31A7, 0x2987, 0x2987, 0x2967, 0x2967, 0x2967, 0x2966, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 
        0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2965, 0x2965, 0x2965, 0x2965, 0x2965, 0x2965, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2986, 0x2986, 0x2986, 
        0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 
        0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145,
  0x4208, 0x2965, 0x2124, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2987, 0x2987, 0x2987, 
        0x3187, 0x3187, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 
        0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 
        0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x31A7, 0x31A7, 0x31A7, 0x3187, 0x2987, 0x2967, 0x2967, 0x2967, 0x2967, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 
        0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2965, 0x2965, 0x2965, 0x2965, 0x2965, 0x2965, 0x2965, 0x2965, 0x2965, 0x2965, 0x2965, 0x2965, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2986, 0x2966, 
        0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 
        0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145,
  0x4208, 0x2965, 0x2124, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2124, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2966, 0x2966, 0x2987, 0x2966, 0x2966, 0x2966, 0x2986, 0x2987, 0x2987, 
        0x2987, 0x3187, 0x3187, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 
        0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 
        0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x31A7, 0x31A7, 0x31A7, 0x3187, 0x2987, 0x2967, 0x2967, 0x2967, 0x2966, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 
        0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2965, 0x2965, 0x2965, 0x2965, 0x2965, 0x2965, 0x2965, 0x2965, 0x2965, 0x2965, 0x2965, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 
        0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2986, 0x2986, 0x2966, 0x2966, 0x2966, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 
        0x2966, 0x2966, 0x2966, 0x2966, 0x2986, 0x2986, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145,
  0x4208, 0x2965, 0x2124, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2105, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2966, 0x2966, 0x2987, 0x2966, 0x2966, 0x2966, 0x2987, 0x2987, 0x2987, 
        0x2987, 0x3187, 0x3187, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 
        0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 
        0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x31C7, 0x31A7, 0x31A7, 0x31A7, 0x2987, 0x2987, 0x2967, 0x2966, 0x2966, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 
        0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2965, 0x2965, 0x2965, 0x2965, 0x2965, 0x2965, 0x2965, 0x2965, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 
        0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 
        0x2986, 0x2986, 0x2986, 0x2986, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145,
  0x4208, 0x2965, 0x2124, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2105, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2166, 0x2166, 0x2166, 0x2966, 0x2966, 0x2986, 0x2967, 0x2967, 0x2967, 0x2987, 0x2987, 0x2987, 
        0x2987, 0x3187, 0x3187, 0x3187, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x39A7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 
        0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 
        0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x31C7, 0x31A7, 0x31A7, 0x3187, 0x2987, 0x2967, 0x2967, 0x2966, 0x2966, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 
        0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2965, 0x2965, 0x2965, 0x2965, 0x2965, 0x2965, 0x2965, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 
        0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 
        0x2986, 0x2986, 0x2986, 0x2986, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145,
  0x4208, 0x2965, 0x2124, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2105, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2966, 0x2966, 0x2966, 0x2966, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 
        0x2987, 0x2987, 0x2987, 0x3187, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 
        0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 
        0x39C7, 0x39C7, 0x39C7, 0x31C7, 0x31A7, 0x31A7, 0x3187, 0x2987, 0x2967, 0x2966, 0x2966, 0x2966, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 
        0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2965, 0x2965, 0x2965, 0x2965, 0x2965, 0x2965, 0x2965, 0x2965, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 
        0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 
        0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145,
  0x4208, 0x2965, 0x2124, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2105, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2966, 0x2986, 0x2966, 0x2966, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 
        0x2987, 0x2987, 0x2987, 0x3187, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 
        0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 
        0x39C7, 0x39C7, 0x39C7, 0x31A7, 0x31A7, 0x3187, 0x3187, 0x2987, 0x2966, 0x2966, 0x2966, 0x2966, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2145, 0x2145, 
        0x2145, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2965, 0x2965, 0x2965, 0x2965, 0x2965, 0x2965, 0x2965, 0x2965, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 
        0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 
        0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145,
  0x4208, 0x2965, 0x2124, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2186, 0x2986, 0x2986, 0x2966, 0x2966, 0x2966, 0x2966, 0x2986, 0x2986, 0x2966, 
        0x2986, 0x2986, 0x2987, 0x2987, 0x2987, 0x3187, 0x3187, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 
        0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 
        0x39C7, 0x39C7, 0x31C7, 0x31A7, 0x31A7, 0x3187, 0x2986, 0x2966, 0x2966, 0x2966, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2945, 0x2945, 0x2945, 0x2945, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2965, 0x2965, 0x2965, 0x2965, 0x2965, 0x2965, 0x2965, 0x2965, 0x2965, 0x2966, 0x2966, 
        0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 
        0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145,
  0x4208, 0x2965, 0x2124, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2186, 0x2166, 0x2166, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 
        0x2986, 0x2986, 0x2986, 0x2987, 0x2987, 0x2987, 0x3187, 0x3187, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 
        0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 
        0x39C7, 0x39C7, 0x31A7, 0x31A7, 0x3187, 0x2987, 0x2966, 0x2966, 0x2966, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2945, 0x2945, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2965, 0x2965, 0x2965, 0x2965, 0x2965, 0x2965, 0x2965, 0x2965, 0x2965, 
        0x2965, 0x2965, 0x2965, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 
        0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145,
  0x4208, 0x2965, 0x2124, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2186, 0x2166, 0x2166, 0x2166, 0x2166, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 
        0x2966, 0x2966, 0x2986, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x3187, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 
        0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 
        0x39A7, 0x31A7, 0x31A7, 0x31A7, 0x2987, 0x2967, 0x2966, 0x2966, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2965, 0x2965, 0x2965, 0x2965, 0x2965, 0x2965, 0x2965, 
        0x2965, 0x2965, 0x2965, 0x2965, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 
        0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145,
  0x4208, 0x2965, 0x2124, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2986, 0x2166, 0x2166, 0x2166, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 
        0x2966, 0x2966, 0x2966, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x3187, 0x3187, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x39A7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 
        0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39A7, 0x39A7, 0x39A7, 0x39A7, 0x39A7, 0x39A7, 0x39A7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 
        0x39A7, 0x31A7, 0x31A7, 0x31A7, 0x2986, 0x2966, 0x2966, 0x2966, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2965, 0x2965, 0x2965, 0x2965, 
        0x2965, 0x2965, 0x2965, 0x2965, 0x2965, 0x2965, 0x2965, 0x2965, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 
        0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145,
  0x4208, 0x2965, 0x2124, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2966, 0x2986, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 
        0x2966, 0x2966, 0x2966, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x3187, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 
        0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39A7, 0x39A7, 0x39A7, 0x39A7, 0x39A7, 0x39A7, 0x39A7, 0x39A7, 0x39A7, 0x39A7, 0x39A7, 0x39A7, 0x39A7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 
        0x31A7, 0x31A7, 0x31A7, 0x2986, 0x2966, 0x2966, 0x2966, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2965, 0x2965, 
        0x2965, 0x2965, 0x2965, 0x2965, 0x2965, 0x2965, 0x2965, 0x2965, 0x2965, 0x2965, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 
        0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145,
  0x4208, 0x2965, 0x2124, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2966, 0x2966, 0x2986, 0x2986, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 
        0x2966, 0x2966, 0x2966, 0x2986, 0x2986, 0x2986, 0x2986, 0x2987, 0x2987, 0x3187, 0x3187, 0x3187, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x39A7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 
        0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39A7, 0x39A7, 0x39A7, 0x39A7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 
        0x31A7, 0x31A7, 0x2987, 0x2986, 0x2966, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 
        0x2945, 0x2945, 0x2945, 0x2945, 0x2965, 0x2965, 0x2965, 0x2965, 0x2965, 0x2965, 0x2965, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 
        0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145,
  0x4208, 0x2965, 0x2124, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2966, 0x2966, 0x2986, 0x2986, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2966, 0x2966, 
        0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2986, 0x2986, 0x2986, 0x2987, 0x2987, 0x3187, 0x3187, 0x3187, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x39A7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 
        0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39A7, 0x39A7, 0x39A7, 0x39A7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39A7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 
        0x3187, 0x2986, 0x2966, 0x2966, 0x2166, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2945, 0x2945, 0x2945, 0x2945, 0x2145, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 
        0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2965, 0x2965, 0x2965, 0x2965, 0x2965, 0x2965, 0x2965, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 
        0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145,
  0x4208, 0x2965, 0x2124, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2966, 0x2986, 0x2987, 0x2166, 0x2166, 0x2966, 0x2966, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2966, 
        0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2986, 0x2986, 0x2987, 0x2987, 0x3187, 0x3187, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 
        0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39A7, 0x39A7, 0x31C7, 0x31C7, 0x31C7, 0x31C7, 0x31C7, 0x31C7, 0x31A7, 0x31A7, 0x31A7, 0x39A7, 0x39A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x3187, 0x3187, 0x3187, 0x2987, 
        0x2966, 0x2966, 0x2966, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2945, 0x2945, 0x2945, 0x2945, 0x2145, 0x2145, 0x2145, 0x2145, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 
        0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2965, 0x2965, 0x2965, 0x2965, 0x2965, 0x2965, 0x2965, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 
        0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145,
  0x4208, 0x2965, 0x2124, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2966, 0x2966, 0x2987, 0x2987, 0x2966, 0x2966, 0x2966, 0x2966, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2986, 0x2986, 0x2987, 0x2987, 0x2987, 0x3187, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 
        0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39A7, 0x39A7, 0x39A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x2987, 0x2987, 0x2966, 0x2966, 0x2966, 0x2966, 
        0x2966, 0x2966, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 
        0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2965, 0x2965, 0x2965, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 
        0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145,
  0x4208, 0x2965, 0x2124, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2966, 0x2966, 0x2987, 0x2987, 0x2966, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2986, 0x2987, 0x2987, 0x2987, 0x2986, 0x3187, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 
        0x39A7, 0x39A7, 0x39A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x3187, 0x3187, 0x2987, 0x2987, 0x2967, 0x2966, 0x2966, 0x2966, 0x2966, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 
        0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2965, 0x2965, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 
        0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145,
  0x4208, 0x2965, 0x2124, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2966, 0x2986, 0x2986, 0x2966, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2986, 0x2986, 0x2987, 0x2987, 0x2987, 0x3187, 0x3187, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 
        0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x3187, 0x3187, 0x3187, 0x3187, 0x3187, 0x2987, 0x2987, 0x2967, 0x2967, 0x2966, 0x2966, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 
        0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2965, 0x2965, 0x2965, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 
        0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146,
  0x4208, 0x2965, 0x2124, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2966, 0x2966, 0x2986, 0x2966, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2986, 0x2986, 0x2987, 0x2987, 0x2987, 0x2987, 0x3187, 0x3187, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 
        0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x3187, 0x3187, 0x3187, 0x3187, 0x2987, 0x2987, 0x2987, 0x2987, 0x2986, 0x2986, 0x2986, 0x2966, 0x2966, 0x2967, 0x2967, 0x2966, 0x2966, 0x2966, 0x2946, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 
        0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2965, 0x2965, 0x2965, 0x2965, 0x2965, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 
        0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146,
  0x4208, 0x2965, 0x2124, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2966, 0x2986, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2986, 0x2987, 0x2987, 0x2987, 0x3187, 0x3187, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 0x31A7, 
        0x3187, 0x3187, 0x3187, 0x3187, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2986, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2945, 0x2945, 0x2945, 0x2945, 0x2145, 0x2945, 0x2945, 0x2945, 0x2945, 
        0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2965, 0x2965, 0x2965, 0x2965, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 
        0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146,
  0x4208, 0x2965, 0x2124, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2966, 0x2966, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2987, 0x3187, 0x31A7, 0x31A7, 0x3187, 0x3187, 0x3187, 0x3187, 0x3186, 0x3186, 0x3186, 0x3186, 0x3186, 
        0x3187, 0x3187, 0x2987, 0x2987, 0x2986, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2945, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2965, 0x2965, 0x2965, 0x2965, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 
        0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146,
  0x4208, 0x2965, 0x2124, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2986, 0x2986, 0x2986, 0x2986, 0x2987, 0x2987, 0x3187, 0x3187, 0x3187, 0x2987, 0x2987, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 
        0x2986, 0x2986, 0x2986, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2965, 0x2965, 0x2965, 0x2965, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 
        0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146,
  0x4208, 0x2965, 0x2124, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2986, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2987, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 
        0x2986, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2965, 0x2965, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 
        0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146,
  0x4208, 0x2965, 0x2124, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2986, 0x2987, 0x2987, 0x2987, 0x2986, 0x2986, 0x2987, 0x2987, 0x2987, 0x2987, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 
        0x2986, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2965, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 
        0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146,
  0x4208, 0x2965, 0x2124, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2124, 0x2124, 0x2124, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2986, 0x2987, 0x2987, 0x2987, 0x2987, 0x2986, 0x2987, 0x2987, 0x2987, 0x2987, 0x2986, 0x2986, 0x2986, 0x2986, 0x2986, 0x2966, 
        0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 
        0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 
        0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146,
  0x4208, 0x2965, 0x2124, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2986, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2986, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 
        0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 
        0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2965, 0x2965, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 
        0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146,
  0x4208, 0x2965, 0x2124, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2146, 0x2146, 
        0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 
        0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 
        0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2965, 0x2965, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 
        0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145,
  0x4208, 0x2965, 0x2124, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 
        0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2104, 0x2105, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 
        0x2145, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2146, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 
        0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2166, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 
        0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2166, 0x2166, 0x2966, 0x2146, 0x2146, 0x2146, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 
        0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2124, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 0x2125, 
        0x2125, 0x2125, 0x2125, 0x2125, 0x2145, 0x2145, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2965, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 
        0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2946, 0x2946, 0x2946, 0x2946, 0x2965, 0x2965, 0x2965, 0x2965, 0x2965, 0x2965, 0x2965, 0x2965, 0x2965, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 
        0x2966, 0x2966, 0x2166, 0x2165, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145, 0x2145,
  0x4228, 0x39E7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 
        0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 
        0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 
        0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 
        0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 
        0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 
        0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 
        0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 
        0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 
        0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 
        0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 
        0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 
        0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 
        0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 
        0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 
        0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 
        0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 
        0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 
        0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x39E8, 
        0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x3A08, 0x3A08, 0x39E8, 0x39E8, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 
        0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 
        0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 
        0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 
        0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39C7, 0x39E7, 
        0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E7, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x3A08, 0x3A08, 0x3A08, 
        0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x3A08, 0x39E8, 0x39E8, 0x39E8, 0x3A08, 
        0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8, 0x39E8,
  0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 
        0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 
        0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 
        0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 
        0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 
        0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 
        0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 
        0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 
        0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 
        0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 
        0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 
        0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 
        0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 
        0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 
        0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 
        0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 
        0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 
        0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 
        0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 
        0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 
        0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 
        0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 
        0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 
        0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 
        0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 
        0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 
        0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945, 0x2945
};

GUI_CONST_STORAGE GUI_BITMAP bmbkc_16bit = {
  800, /* xSize */
  480, /* ySize */
  1600, /* BytesPerLine */
  16, /* BitsPerPixel */
  (unsigned char *)_acbkc_16bit,  /* Pointer to picture data */
  NULL,  /* Pointer to palette */
  GUI_DRAW_BMPM565
};

#if defined ( __ICCARM__ )
#pragma location="ExtQSPIFlashSection" 
#else
__attribute__((section(".ExtQSPIFlashSection")))  
#endif
static GUI_CONST_STORAGE unsigned char _acinfo[] = {
  0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 
        0xFE,0x3D,0x5A, 0xFA,0x3D,0x5B, 0xF5,0x3D,0x5B, 0xE0,0x3D,0x7B, 0xAC,0x3D,0x5B, 0x80,0x3D,0x5B, 0x60,0x3D,0x5B, 0x45,0x3D,0x5B, 0x37,0x3D,0x5B, 0x2D,0x3D,0x5B, 0x2D,0x3D,0x5B, 0x37,0x3D,0x5B, 0x45,0x3D,0x5B, 0x60,0x3D,0x5B, 0x80,0x3D,0x5B, 
        0xAC,0x3D,0x5B, 0xE0,0x3D,0x3B, 0xF5,0x3D,0x5B, 0xFA,0x3D,0x5B, 0xFE,0x3D,0x3B, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 
        0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00,
  0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFC,0x3D,0x5B, 0xF1,0x3D,0x5B, 
        0xD9,0x3D,0x5A, 0x96,0x3D,0x5B, 0x4E,0x3D,0x5B, 0x29,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 
        0x27,0x3D,0x5B, 0x29,0x3D,0x5B, 0x4E,0x3D,0x5B, 0x97,0x3D,0x5B, 0xDA,0x3D,0x5B, 0xF2,0x3D,0x5B, 0xFC,0x3D,0x3B, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 
        0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00,
  0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFD,0x3D,0x1A, 0xED,0x3D,0x5B, 0xC8,0x3D,0x5B, 0x77,0x3D,0x5B, 
        0x30,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 
        0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x31,0x3D,0x5B, 0x78,0x3D,0x5B, 0xC8,0x3D,0x5B, 0xEE,0x3D,0x5B, 0xFD,0x3D,0x5A, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 
        0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00,
  0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xF3,0x3D,0x5B, 0xD0,0x3D,0x3B, 0x7F,0x3D,0x5B, 0x35,0x3D,0x5B, 0x27,0x3D,0x5B, 
        0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 
        0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x35,0x3D,0x5B, 0x80,0x3D,0x5B, 0xD1,0x3D,0x5B, 0xF4,0x3D,0x5B, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 
        0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00,
  0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFD,0x35,0x1C, 0xE7,0x3D,0x5B, 0xA5,0x3D,0x5B, 0x4D,0x3D,0x5B, 0x2A,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 
        0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 
        0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x2A,0x3D,0x5B, 0x4D,0x3D,0x5B, 0xA6,0x3D,0x5B, 0xE8,0x3D,0x5B, 0xFE,0x35,0x9C, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 
        0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00,
  0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFC,0x3D,0x7B, 0xD9,0x3D,0x5B, 0x84,0x3D,0x5B, 0x3A,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 
        0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x2C,0x3D,0x5B, 0x3A,0x3D,0x5B, 0x46,0x3D,0x5B, 0x4E,0x3D,0x5B, 0x52,0x3D,0x5B, 0x52,0x3D,0x5B, 0x4E,0x3D,0x5B, 0x46,0x3D,0x5B, 0x3A,0x3D,0x5B, 0x2C,0x3D,0x5B, 
        0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x3A,0x3D,0x5B, 0x85,0x3D,0x5B, 0xDA,0x3D,0x5B, 0xFC,0x45,0x3C, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 
        0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00,
  0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFA,0x3D,0x5B, 0xD1,0x3D,0x5B, 0x72,0x3D,0x5B, 0x31,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 
        0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x2C,0x3D,0x5B, 0x4A,0x3D,0x5B, 0x68,0x3D,0x5B, 0x83,0x3D,0x5B, 0x9F,0x3D,0x5B, 0xB4,0x3D,0x5B, 0xC3,0x3D,0x5B, 0xC9,0x3D,0x5B, 0xC9,0x3D,0x5B, 0xC3,0x3D,0x5B, 0xB4,0x3D,0x5B, 0x9F,0x3D,0x5B, 0x83,0x3D,0x5B, 
        0x68,0x3D,0x5B, 0x49,0x3D,0x5B, 0x2C,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x32,0x3D,0x5B, 0x73,0x3D,0x5B, 0xD1,0x3D,0x5B, 0xFA,0x3D,0x5B, 0xFF,0x00,0x00, 
        0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00,
  0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFC,0x3D,0x7B, 0xD1,0x3D,0x5B, 0x6D,0x3D,0x5B, 0x2F,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 
        0x2C,0x3D,0x5B, 0x56,0x3D,0x5B, 0x89,0x3D,0x5B, 0xB9,0x3D,0x5B, 0xE2,0x3D,0x3B, 0xFB,0x3D,0x5C, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFB,0x3D,0x5C, 
        0xE2,0x3D,0x3B, 0xB8,0x3D,0x5B, 0x89,0x3D,0x5B, 0x56,0x3D,0x5B, 0x2C,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x2F,0x3D,0x5B, 0x6D,0x3D,0x5B, 0xD1,0x3D,0x5B, 0xFC,0x45,0x3C, 
        0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00,
  0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFD,0x35,0x1C, 0xD9,0x3D,0x5B, 0x72,0x3D,0x5B, 0x2F,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x48,0x3D,0x5B, 
        0x8A,0x3D,0x5B, 0xC8,0x3D,0x5B, 0xF8,0x45,0x7B, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 
        0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xF7,0x3D,0x3B, 0xC7,0x3D,0x5B, 0x89,0x3D,0x5B, 0x47,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x2F,0x3D,0x5B, 0x73,0x3D,0x5B, 0xDA,0x3D,0x5B, 
        0xFE,0x3D,0x5C, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00,
  0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xE7,0x3D,0x5B, 0x84,0x3D,0x5B, 0x31,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x2C,0x3D,0x5B, 0x67,0x3D,0x5B, 0xB7,0x3D,0x5B, 
        0xF1,0x3D,0x3B, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 
        0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xF1,0x3D,0x5B, 0xB6,0x3D,0x5B, 0x66,0x3D,0x5B, 0x2B,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x32,0x3D,0x5B, 0x86,0x3D,0x5B, 
        0xE8,0x3D,0x5B, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00,
  0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xF3,0x3D,0x5B, 0xA5,0x3D,0x5B, 0x3A,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x2F,0x3D,0x5B, 0x7D,0x3D,0x5B, 0xD3,0x3D,0x5B, 0xFB,0x3D,0x5B, 
        0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 
        0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFB,0x3D,0x5B, 0xD2,0x3D,0x5B, 0x7D,0x3D,0x5B, 0x2F,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x3B,0x3D,0x5B, 
        0xA7,0x3D,0x5B, 0xF4,0x3D,0x5B, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00,
  0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFD,0x3D,0x1A, 0xD0,0x3D,0x3B, 0x4D,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x2F,0x3D,0x5B, 0x85,0x3D,0x5B, 0xDF,0x3D,0x5B, 0xFC,0x3D,0x5B, 0xFF,0x00,0x00, 
        0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 
        0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFC,0x3D,0x5B, 0xDF,0x3D,0x5B, 0x85,0x3D,0x5B, 0x2F,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 
        0x4E,0x3D,0x5B, 0xD2,0x3D,0x5B, 0xFD,0x3D,0x3B, 0xFF,0x00,0x00, 0xFF,0x00,0x00,
  0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xED,0x3D,0x5B, 0x7F,0x3D,0x5B, 0x2A,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x2C,0x3D,0x5B, 0x7D,0x3D,0x5B, 0xDF,0x3D,0x5B, 0xFD,0x3D,0x7B, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 
        0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xE6,0x3D,0x5B, 0xAF,0x3D,0x5B, 0xA8,0x3D,0x5B, 0xDC,0x3D,0x5B, 0xFD,0x44,0xFB, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 
        0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFD,0x3D,0x7B, 0xDF,0x3D,0x5B, 0x7C,0x3D,0x5B, 0x2B,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 
        0x2A,0x3D,0x5B, 0x81,0x3D,0x5B, 0xEE,0x3D,0x5B, 0xFF,0x00,0x00, 0xFF,0x00,0x00,
  0xFF,0x00,0x00, 0xFC,0x3D,0x5B, 0xC8,0x3D,0x5B, 0x35,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x66,0x3D,0x5B, 0xD2,0x3D,0x5B, 0xFC,0x3D,0x5B, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 
        0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xDD,0x3D,0x5B, 0x79,0x3D,0x5B, 0x3D,0x3D,0x5B, 0x3B,0x3D,0x5B, 0x5E,0x3D,0x5B, 0xCA,0x3D,0x5B, 0xFE,0x2D,0x5A, 0xFF,0x00,0x00, 
        0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFC,0x3D,0x5B, 0xD3,0x3D,0x5B, 0x67,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 
        0x27,0x3D,0x5B, 0x36,0x3D,0x5B, 0xC9,0x3D,0x5B, 0xFC,0x3D,0x3B, 0xFF,0x00,0x00,
  0xFF,0x00,0x00, 0xF1,0x3D,0x5B, 0x77,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x48,0x3D,0x5B, 0xB7,0x3D,0x5B, 0xFB,0x3D,0x5B, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 
        0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFB,0x3D,0x3B, 0xB0,0x3D,0x5B, 0x31,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x2B,0x3D,0x5B, 0x90,0x3D,0x5B, 0xEE,0x3D,0x3B, 0xFF,0x00,0x00, 
        0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFB,0x3D,0x3B, 0xB6,0x3D,0x5B, 0x47,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 
        0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x79,0x3D,0x5B, 0xF2,0x3D,0x5B, 0xFF,0x00,0x00,
  0xFE,0x3D,0x5A, 0xD9,0x3D,0x5A, 0x30,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x2C,0x3D,0x5B, 0x8A,0x3D,0x5B, 0xF1,0x3D,0x3B, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 
        0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xF6,0x3D,0x5B, 0xA0,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x81,0x3D,0x5B, 0xE8,0x3D,0x5B, 0xFF,0x00,0x00, 
        0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xF0,0x3D,0x5B, 0x89,0x3D,0x5B, 0x2C,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 
        0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x31,0x3D,0x5B, 0xDB,0x3D,0x5B, 0xFE,0x45,0x7B,
  0xFA,0x3D,0x5B, 0x95,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x57,0x3D,0x5B, 0xC8,0x3D,0x5B, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 
        0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFE,0x1C,0x94, 0xBC,0x3D,0x5B, 0x3B,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x2F,0x3D,0x5B, 0xA7,0x3D,0x5B, 0xF8,0x3D,0x7B, 0xFF,0x00,0x00, 
        0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xC7,0x3D,0x5B, 0x55,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 
        0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x98,0x3D,0x5B, 0xFA,0x3D,0x3B,
  0xF5,0x3D,0x5B, 0x4E,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x2C,0x3D,0x5B, 0x89,0x3D,0x5B, 0xF8,0x45,0x7B, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 
        0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xF3,0x3D,0x5B, 0xA7,0x3D,0x5B, 0x48,0x3D,0x5B, 0x40,0x3D,0x5B, 0x91,0x3D,0x5B, 0xEA,0x3D,0x3B, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 
        0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xF7,0x3D,0x5A, 0x89,0x3D,0x5B, 0x2C,0x3D,0x5B, 0x27,0x3D,0x5B, 
        0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x50,0x3D,0x5B, 0xF5,0x3D,0x5B,
  0xDF,0x3D,0x3B, 0x29,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x4A,0x3D,0x5B, 0xB9,0x3D,0x5B, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 
        0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFD,0x3D,0x3B, 0xF7,0x3D,0x3B, 0xF4,0x3D,0x5B, 0xF0,0x3D,0x3B, 0xF5,0x34,0xF9, 0xFE,0x04,0x10, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 
        0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xB7,0x3D,0x5B, 0x48,0x3D,0x5B, 0x27,0x3D,0x5B, 
        0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x29,0x3D,0x5B, 0xE0,0x3D,0x5B,
  0xAC,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x68,0x3D,0x5B, 0xE2,0x3D,0x3B, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 
        0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFD,0x3D,0x5B, 0xEF,0x3D,0x5B, 0xD2,0x3D,0x5B, 0xA7,0x3D,0x3B, 0x93,0x3D,0x5B, 0xAD,0x3D,0x5B, 0xDE,0x3D,0x5B, 0xFA,0x3D,0x5B, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 
        0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xE1,0x3D,0x5B, 0x67,0x3D,0x5B, 0x27,0x3D,0x5B, 
        0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0xAE,0x3D,0x5B,
  0x81,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x2C,0x3D,0x5B, 0x83,0x3D,0x5B, 0xFB,0x3D,0x5C, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 
        0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xF2,0x3D,0x5B, 0xA2,0x3D,0x5B, 0x4A,0x3D,0x5B, 0x2A,0x3D,0x5B, 0x27,0x3D,0x5B, 0x2B,0x3D,0x5B, 0x6E,0x3D,0x5B, 0xDA,0x3D,0x5B, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 
        0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFA,0x35,0x1C, 0x81,0x3D,0x5B, 0x2C,0x3D,0x5B, 
        0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x83,0x3D,0x5B,
  0x60,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x3A,0x3D,0x5B, 0x9F,0x3D,0x5B, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 
        0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xF3,0x3D,0x5B, 0xB1,0x3D,0x5B, 0x85,0x3D,0x5B, 0x55,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x36,0x3D,0x5B, 0xB1,0x3D,0x5B, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 
        0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0x9E,0x3D,0x5B, 0x3A,0x3D,0x5B, 
        0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x62,0x3D,0x5B,
  0x45,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x46,0x3D,0x5B, 0xB4,0x3D,0x5B, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 
        0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xF9,0x3D,0x3B, 0xA6,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x2C,0x3D,0x5B, 0xA9,0x3D,0x5B, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 
        0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xB3,0x3D,0x5B, 0x46,0x3D,0x5B, 
        0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x47,0x3D,0x5B,
  0x37,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x4E,0x3D,0x5B, 0xC3,0x3D,0x5B, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 
        0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFA,0x3D,0x3B, 0xA8,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x37,0x3D,0x5B, 0xB2,0x3D,0x5B, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 
        0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xC2,0x3D,0x5B, 0x4E,0x3D,0x5B, 
        0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x37,0x3D,0x5B,
  0x2D,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x52,0x3D,0x5B, 0xC9,0x3D,0x5B, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 
        0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xF0,0x3D,0x5B, 0x93,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x4C,0x3D,0x5B, 0xC3,0x3D,0x5B, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 
        0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xC9,0x3D,0x5B, 0x52,0x3D,0x5B, 
        0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x2E,0x3D,0x5B,
  0x2D,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x52,0x3D,0x5B, 0xC9,0x3D,0x5B, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 
        0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xE2,0x3D,0x5B, 0x74,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x68,0x3D,0x5B, 0xD8,0x3D,0x5B, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 
        0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xC9,0x3D,0x5B, 0x52,0x3D,0x5B, 
        0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x2E,0x3D,0x5B,
  0x37,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x4E,0x3D,0x5B, 0xC3,0x3D,0x5B, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 
        0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xD1,0x3D,0x5B, 0x50,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x85,0x3D,0x5B, 0xEF,0x3D,0x5B, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 
        0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xC2,0x3D,0x5B, 0x4E,0x3D,0x5B, 
        0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x37,0x3D,0x5B,
  0x45,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x46,0x3D,0x5B, 0xB4,0x3D,0x5B, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 
        0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFD,0x45,0x5A, 0xBE,0x3D,0x5B, 0x32,0x3D,0x5B, 0x27,0x3D,0x5B, 0x32,0x3D,0x5B, 0xA1,0x3D,0x5B, 0xFC,0x3D,0x3B, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 
        0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xB3,0x3D,0x5B, 0x46,0x3D,0x5B, 
        0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x47,0x3D,0x5B,
  0x60,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x3A,0x3D,0x5B, 0x9F,0x3D,0x5B, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 
        0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xF3,0x3D,0x3B, 0x9D,0x3D,0x5B, 0x28,0x3D,0x5B, 0x27,0x3D,0x5B, 0x49,0x3D,0x5B, 0xBB,0x3D,0x5B, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 
        0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0x9E,0x3D,0x5B, 0x3A,0x3D,0x5B, 
        0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x62,0x3D,0x5B,
  0x81,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x2C,0x3D,0x5B, 0x82,0x3D,0x5B, 0xFB,0x35,0x9C, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 
        0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xE8,0x3D,0x5B, 0x7C,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x5E,0x3D,0x5B, 0xD0,0x3D,0x5B, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 
        0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFA,0x45,0x5A, 0x81,0x3D,0x5B, 0x2B,0x3D,0x5B, 
        0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x83,0x3D,0x5B,
  0xAC,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x68,0x3D,0x5B, 0xE2,0x3D,0x3B, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 
        0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xDF,0x3D,0x5B, 0x62,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x6B,0x3D,0x5B, 0xDD,0x3D,0x5B, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 
        0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xE0,0x3D,0x3B, 0x67,0x3D,0x5B, 0x27,0x3D,0x5B, 
        0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0xAE,0x3D,0x5B,
  0xE0,0x3D,0x3B, 0x29,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x49,0x3D,0x5B, 0xB8,0x3D,0x5B, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 
        0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xDC,0x3D,0x5B, 0x59,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x5F,0x3D,0x5B, 0xD1,0x3D,0x5B, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 
        0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xB7,0x3D,0x5B, 0x48,0x3D,0x5B, 0x27,0x3D,0x5B, 
        0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x29,0x3D,0x5B, 0xE1,0x3D,0x5B,
  0xF5,0x3D,0x5B, 0x4E,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x2C,0x3D,0x5B, 0x89,0x3D,0x5B, 0xF7,0x3D,0x3B, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 
        0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xE6,0x3D,0x5B, 0x76,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x2B,0x3D,0x5B, 0x43,0x3D,0x5B, 0x55,0x3D,0x5B, 0xBD,0x3D,0x5B, 0xFC,0x3D,0x5C, 0xFF,0x00,0x00, 
        0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xF7,0x3D,0x5A, 0x89,0x3D,0x5B, 0x2C,0x3D,0x5B, 0x27,0x3D,0x5B, 
        0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x51,0x3D,0x5B, 0xF5,0x3D,0x5B,
  0xFA,0x3D,0x5B, 0x96,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x56,0x3D,0x5B, 0xC7,0x3D,0x5B, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 
        0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFD,0x45,0xDB, 0xC8,0x3D,0x5B, 0x4B,0x3D,0x5B, 0x2C,0x3D,0x5B, 0x2C,0x3D,0x5B, 0x33,0x3D,0x5B, 0x66,0x3D,0x5B, 0xCC,0x3D,0x5B, 0xFC,0x45,0x5A, 0xFF,0x00,0x00, 
        0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xC6,0x3D,0x5B, 0x55,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 
        0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x99,0x3D,0x5B, 0xFA,0x3D,0x5B,
  0xFE,0x3D,0x3B, 0xDA,0x3D,0x5B, 0x31,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x2C,0x3D,0x5B, 0x89,0x3D,0x5B, 0xF1,0x3D,0x5B, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 
        0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFE,0x04,0x10, 0xEC,0x35,0x3A, 0xC0,0x3D,0x3B, 0xB5,0x3D,0x5B, 0xDA,0x3D,0x5B, 0xFA,0x3C,0xFA, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 
        0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xF0,0x3D,0x3B, 0x88,0x3D,0x5B, 0x2B,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 
        0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x32,0x3D,0x5B, 0xDB,0x3D,0x5B, 0xFE,0x45,0x7B,
  0xFF,0x00,0x00, 0xF2,0x3D,0x5B, 0x78,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x47,0x3D,0x5B, 0xB6,0x3D,0x5B, 0xFA,0x3D,0x5B, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 
        0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 
        0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFA,0x3D,0x5B, 0xB5,0x3D,0x5B, 0x46,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 
        0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x7A,0x3D,0x5B, 0xF2,0x3D,0x5B, 0xFF,0x00,0x00,
  0xFF,0x00,0x00, 0xFC,0x3D,0x5B, 0xCA,0x3D,0x5B, 0x36,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x65,0x3D,0x5B, 0xD2,0x3D,0x5B, 0xFC,0x3D,0x5B, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 
        0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 
        0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFC,0x3D,0x5B, 0xD1,0x3D,0x5B, 0x64,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 
        0x27,0x3D,0x5B, 0x36,0x3D,0x5B, 0xC9,0x3D,0x5B, 0xFC,0x3D,0x7B, 0xFF,0x00,0x00,
  0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xEE,0x3D,0x5B, 0x80,0x3D,0x5B, 0x2A,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x2B,0x3D,0x5B, 0x7D,0x3D,0x5B, 0xDF,0x3D,0x5B, 0xFD,0x3D,0x7B, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 
        0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 
        0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFD,0x3D,0x3B, 0xDE,0x3D,0x5B, 0x7C,0x3D,0x5B, 0x2B,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 
        0x2A,0x3D,0x5B, 0x82,0x3D,0x5B, 0xEE,0x3D,0x5B, 0xFF,0x00,0x00, 0xFF,0x00,0x00,
  0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFD,0x3D,0x5A, 0xD1,0x3D,0x5B, 0x4D,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x2F,0x3D,0x5B, 0x85,0x3D,0x5B, 0xDF,0x3D,0x5B, 0xFC,0x3D,0x5B, 0xFF,0x00,0x00, 
        0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 
        0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFC,0x3D,0x5B, 0xDE,0x3D,0x5B, 0x84,0x3D,0x5B, 0x2F,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 
        0x4E,0x3D,0x5B, 0xD2,0x3D,0x5B, 0xFD,0x45,0x7B, 0xFF,0x00,0x00, 0xFF,0x00,0x00,
  0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xF4,0x3D,0x5B, 0xA6,0x3D,0x5B, 0x3B,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x2F,0x3D,0x5B, 0x7C,0x3D,0x5B, 0xD0,0x3D,0x5B, 0xFA,0x3D,0x5B, 
        0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 
        0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFA,0x3D,0x5B, 0xD2,0x3D,0x5B, 0x7C,0x3D,0x5B, 0x2F,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x3B,0x3D,0x5B, 
        0xA7,0x3D,0x5B, 0xF4,0x3D,0x5B, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00,
  0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xE8,0x3D,0x5B, 0x86,0x3D,0x5B, 0x32,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x2A,0x3D,0x5B, 0x62,0x3D,0x5B, 0xB5,0x3D,0x5B, 
        0xF0,0x3D,0x5B, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 
        0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xF0,0x3D,0x3B, 0xB5,0x3D,0x5B, 0x65,0x3D,0x5B, 0x2B,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x32,0x3D,0x5B, 0x87,0x3D,0x5B, 
        0xE9,0x3D,0x5B, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00,
  0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFE,0x35,0x9C, 0xDA,0x3D,0x5B, 0x73,0x3D,0x5B, 0x2F,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x47,0x3D,0x5B, 
        0x89,0x3D,0x5B, 0xC7,0x3D,0x5B, 0xF7,0x3D,0x5A, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 
        0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xF7,0x3D,0x5A, 0xC6,0x3D,0x5B, 0x88,0x3D,0x5B, 0x46,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x2F,0x3D,0x5B, 0x74,0x3D,0x5B, 0xDB,0x3D,0x5B, 
        0xFE,0x45,0xFB, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00,
  0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFC,0x3D,0x5B, 0xD1,0x3D,0x5B, 0x6D,0x3D,0x5B, 0x2F,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 
        0x2C,0x3D,0x5B, 0x56,0x3D,0x5B, 0x89,0x3D,0x5B, 0xB8,0x3D,0x5B, 0xE1,0x3D,0x5B, 0xFA,0x35,0x1C, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFA,0x35,0x1C, 
        0xE0,0x3D,0x3B, 0xB7,0x3D,0x5B, 0x89,0x3D,0x5B, 0x55,0x3D,0x5B, 0x2B,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x2F,0x3D,0x5B, 0x6D,0x3D,0x5B, 0xD2,0x3D,0x5B, 0xFC,0x3D,0x7C, 
        0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00,
  0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFA,0x3D,0x5B, 0xD1,0x3D,0x5B, 0x73,0x3D,0x5B, 0x32,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 
        0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x2C,0x3D,0x5B, 0x49,0x3D,0x5B, 0x67,0x3D,0x5B, 0x81,0x3D,0x5B, 0x9E,0x3D,0x5B, 0xB3,0x3D,0x5B, 0xC2,0x3D,0x5B, 0xC9,0x3D,0x5B, 0xC9,0x3D,0x5B, 0xC2,0x3D,0x5B, 0xB3,0x3D,0x5B, 0x9E,0x3D,0x5B, 0x81,0x3D,0x5B, 
        0x67,0x3D,0x5B, 0x48,0x3D,0x5B, 0x2C,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x32,0x3D,0x5B, 0x74,0x3D,0x5B, 0xD2,0x3D,0x5B, 0xFA,0x35,0x3B, 0xFF,0x00,0x00, 
        0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00,
  0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFC,0x45,0x3C, 0xDB,0x3D,0x5B, 0x89,0x3D,0x5B, 0x3C,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 
        0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x2C,0x3D,0x5B, 0x3A,0x3D,0x5B, 0x46,0x3D,0x5B, 0x4E,0x3D,0x5B, 0x52,0x3D,0x5B, 0x52,0x3D,0x5B, 0x4E,0x3D,0x5B, 0x46,0x3D,0x5B, 0x3A,0x3D,0x5B, 0x2B,0x3D,0x5B, 
        0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x3B,0x3D,0x5B, 0x86,0x3D,0x5B, 0xDB,0x3D,0x5B, 0xFC,0x3D,0x7C, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 
        0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00,
  0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFE,0x44,0xFB, 0xE9,0x3D,0x5B, 0xA7,0x3D,0x5B, 0x4E,0x3D,0x5B, 0x2A,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 
        0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 
        0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x2A,0x3D,0x5B, 0x4E,0x3D,0x5B, 0xA7,0x3D,0x5B, 0xE8,0x3D,0x5B, 0xFE,0x3D,0x5C, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 
        0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00,
  0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xF4,0x3D,0x5B, 0xD1,0x3D,0x5B, 0x81,0x3D,0x5B, 0x36,0x3D,0x5B, 0x27,0x3D,0x5B, 
        0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 
        0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x36,0x3D,0x5B, 0x82,0x3D,0x5B, 0xD2,0x3D,0x5B, 0xF4,0x3D,0x5B, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 
        0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00,
  0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFD,0x3D,0x3B, 0xEE,0x3D,0x5B, 0xC9,0x3D,0x5B, 0x79,0x3D,0x5B, 
        0x31,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 
        0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x31,0x3D,0x5B, 0x7A,0x3D,0x5B, 0xCA,0x3D,0x5B, 0xEE,0x3D,0x5B, 0xFD,0x45,0x7B, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 
        0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00,
  0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFC,0x3D,0x7B, 0xF2,0x3D,0x5B, 
        0xDB,0x3D,0x5B, 0x97,0x3D,0x5B, 0x50,0x3D,0x5B, 0x29,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 0x27,0x3D,0x5B, 
        0x27,0x3D,0x5B, 0x29,0x3D,0x5B, 0x51,0x3D,0x5B, 0x99,0x3D,0x5B, 0xDC,0x3D,0x5B, 0xF2,0x3D,0x5B, 0xFC,0x3D,0x5B, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 
        0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00,
  0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 
        0xFE,0x45,0x7B, 0xFA,0x3D,0x5B, 0xF5,0x3D,0x5B, 0xE1,0x3D,0x5B, 0xAE,0x3D,0x5B, 0x82,0x3D,0x5B, 0x62,0x3D,0x5B, 0x47,0x3D,0x5B, 0x39,0x3D,0x5B, 0x2E,0x3D,0x5B, 0x2D,0x3D,0x5B, 0x39,0x3D,0x5B, 0x47,0x3D,0x5B, 0x62,0x3D,0x5B, 0x83,0x3D,0x5B, 
        0xAE,0x3D,0x5B, 0xE1,0x3D,0x5B, 0xF5,0x3D,0x5B, 0xFA,0x3D,0x5B, 0xFE,0x35,0x5B, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 
        0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00, 0xFF,0x00,0x00
};
GUI_CONST_STORAGE GUI_BITMAP bminfo = {
  50, /* xSize */
  50, /* ySize */
  150, /* BytesPerLine */
  24, /* BitsPerPixel */
  (unsigned char *)_acinfo,  /* Pointer to picture data */
  NULL,  /* Pointer to palette */
  GUI_DRAW_BMPAM565
};

#if defined ( __ICCARM__ )
#pragma location="ExtQSPIFlashSection" 
#else
__attribute__((section(".ExtQSPIFlashSection")))  
#endif
static GUI_CONST_STORAGE unsigned long _acmenu[] = {
  0xD0FFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xCFFFFFFF,
  0x5DFFFFFF, 0x88FFFFFF, 0x88FFFFFF, 0x88FFFFFF, 0x88FFFFFF, 0x88FFFFFF, 0x88FFFFFF, 0x88FFFFFF, 0x88FFFFFF, 0x88FFFFFF, 0x88FFFFFF, 0x88FFFFFF, 0x88FFFFFF, 0x88FFFFFF, 0x88FFFFFF, 0x88FFFFFF, 0x88FFFFFF, 0x88FFFFFF, 0x88FFFFFF, 0x88FFFFFF, 0x88FFFFFF, 
        0x88FFFFFF, 0x5CFFFFFF,
  0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 
        0x00000000, 0x00000000,
  0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 
        0x00000000, 0x00000000,
  0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 
        0x00000000, 0x00000000,
  0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 
        0x00000000, 0x00000000,
  0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 
        0x00000000, 0x00000000,
  0x78FFFFFF, 0xAAFFFFFF, 0xAAFFFFFF, 0xAAFFFFFF, 0xAAFFFFFF, 0xAAFFFFFF, 0xAAFFFFFF, 0xAAFFFFFF, 0xAAFFFFFF, 0xAAFFFFFF, 0xAAFFFFFF, 0xAAFFFFFF, 0xAAFFFFFF, 0xAAFFFFFF, 0xAAFFFFFF, 0xAAFFFFFF, 0xAAFFFFFF, 0xAAFFFFFF, 0xAAFFFFFF, 0xAAFFFFFF, 0xAAFFFFFF, 
        0xAAFFFFFF, 0x78FFFFFF,
  0xB4FFFFFF, 0xDDFFFFFF, 0xDDFFFFFF, 0xDDFFFFFF, 0xDDFFFFFF, 0xDDFFFFFF, 0xDDFFFFFF, 0xDDFFFFFF, 0xDDFFFFFF, 0xDDFFFFFF, 0xDDFFFFFF, 0xDDFFFFFF, 0xDDFFFFFF, 0xDDFFFFFF, 0xDDFFFFFF, 0xDDFFFFFF, 0xDDFFFFFF, 0xDDFFFFFF, 0xDDFFFFFF, 0xDDFFFFFF, 0xDDFFFFFF, 
        0xDDFFFFFF, 0xB3FFFFFF,
  0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 
        0x00000000, 0x00000000,
  0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 
        0x00000000, 0x00000000,
  0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 
        0x00000000, 0x00000000,
  0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 
        0x00000000, 0x00000000,
  0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 0x00000000, 
        0x00000000, 0x00000000,
  0x5DFFFFFF, 0x88FFFFFF, 0x88FFFFFF, 0x88FFFFFF, 0x88FFFFFF, 0x88FFFFFF, 0x88FFFFFF, 0x88FFFFFF, 0x88FFFFFF, 0x88FFFFFF, 0x88FFFFFF, 0x88FFFFFF, 0x88FFFFFF, 0x88FFFFFF, 0x88FFFFFF, 0x88FFFFFF, 0x88FFFFFF, 0x88FFFFFF, 0x88FFFFFF, 0x88FFFFFF, 0x88FFFFFF, 
        0x88FFFFFF, 0x5DFFFFFF,
  0xCFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 0xFFFFFFFF, 
        0xFFFFFFFF, 0xCFFFFFFF
};

GUI_CONST_STORAGE GUI_BITMAP bmmenu = {
  23, /* xSize */
  16, /* ySize */
  92, /* BytesPerLine */
  32, /* BitsPerPixel */
  (unsigned char *)_acmenu,  /* Pointer to picture data */
  NULL,  /* Pointer to palette */
  GUI_DRAW_BMPM8888I
};

/* GUI_FontRounded22 font definition */
#if defined ( __ICCARM__ )
#pragma location="ExtQSPIFlashSection"
#else
__attribute__((section(".ExtQSPIFlashSection")))
#endif
GUI_CONST_STORAGE unsigned char acGUI_FontRounded22_0020[  1] = { /* Code 0020, SPACE */
  0x00
};

#if defined ( __ICCARM__ )
#pragma location="ExtQSPIFlashSection"
#else
__attribute__((section(".ExtQSPIFlashSection")))
#endif
GUI_CONST_STORAGE unsigned char acGUI_FontRounded22_0021[ 30] = { /* Code 0021, EXCLAMATION MARK */
  0x02, 0x10,
  0x6F, 0xE2,
  0x9F, 0xF4,
  0x9F, 0xF4,
  0x9F, 0xF4,
  0x7F, 0xF2,
  0x5F, 0xF0,
  0x3F, 0xD0,
  0x1F, 0xB0,
  0x0D, 0x80,
  0x00, 0x00,
  0x2B, 0xA0,
  0x9F, 0xF4,
  0x5F, 0xE1,
  0x01, 0x00
};

#if defined ( __ICCARM__ )
#pragma location="ExtQSPIFlashSection"
#else
__attribute__((section(".ExtQSPIFlashSection")))
#endif
GUI_CONST_STORAGE unsigned char acGUI_FontRounded22_0022[ 28] = { /* Code 0022, QUOTATION MARK */
  0x01, 0x10, 0x02, 0x00,
  0x0E, 0xF2, 0x7F, 0x90,
  0x2F, 0xF4, 0x9F, 0xB0,
  0x2F, 0xF4, 0x9F, 0xB0,
  0x2F, 0xF4, 0x9F, 0xB0,
  0x1E, 0xF2, 0x8F, 0xA0,
  0x02, 0x20, 0x03, 0x00
};

#if defined ( __ICCARM__ )
#pragma location="ExtQSPIFlashSection"
#else
__attribute__((section(".ExtQSPIFlashSection")))
#endif
GUI_CONST_STORAGE unsigned char acGUI_FontRounded22_0023[ 84] = { /* Code 0023, NUMBER SIGN */
  0x00, 0x02, 0xB4, 0x08, 0x90, 0x00,
  0x00, 0x06, 0xF7, 0x0F, 0xD0, 0x00,
  0x00, 0x08, 0xF5, 0x2F, 0xB0, 0x00,
  0x00, 0x2B, 0xF4, 0x5F, 0xA1, 0x00,
  0x07, 0xFF, 0xFF, 0xFF, 0xFE, 0x10,
  0x03, 0x9F, 0xE9, 0xDF, 0xB8, 0x00,
  0x00, 0x1F, 0xB0, 0xAF, 0x30, 0x00,
  0x02, 0x6F, 0xB4, 0xDF, 0x40, 0x00,
  0x0F, 0xFF, 0xFF, 0xFF, 0xF7, 0x00,
  0x06, 0xBF, 0x98, 0xFD, 0x72, 0x00,
  0x00, 0xAF, 0x33, 0xF9, 0x00, 0x00,
  0x00, 0xCF, 0x15, 0xF7, 0x00, 0x00,
  0x00, 0xDD, 0x07, 0xF4, 0x00, 0x00,
  0x00, 0x22, 0x00, 0x30, 0x00, 0x00
};

#if defined ( __ICCARM__ )
#pragma location="ExtQSPIFlashSection"
#else
__attribute__((section(".ExtQSPIFlashSection")))
#endif
GUI_CONST_STORAGE unsigned char acGUI_FontRounded22_0024[ 96] = { /* Code 0024, DOLLAR SIGN */
  0x00, 0x00, 0x0B, 0x10, 0x00, 0x00,
  0x00, 0x28, 0xBF, 0xC8, 0x30, 0x00,
  0x05, 0xFF, 0xFF, 0xFF, 0xF9, 0x00,
  0x1E, 0xF9, 0x2F, 0x39, 0xFF, 0x50,
  0x3F, 0xF0, 0x0F, 0x20, 0x9E, 0x30,
  0x3F, 0xF6, 0x0F, 0x20, 0x00, 0x00,
  0x0D, 0xFF, 0xDF, 0x73, 0x00, 0x00,
  0x02, 0xCF, 0xFF, 0xFF, 0xC3, 0x00,
  0x00, 0x04, 0x8F, 0xEF, 0xFE, 0x10,
  0x03, 0x00, 0x0F, 0x25, 0xFF, 0x70,
  0x7F, 0xA0, 0x0F, 0x20, 0xBF, 0x80,
  0x7F, 0xF3, 0x0F, 0x21, 0xEF, 0x60,
  0x1D, 0xFE, 0xAF, 0xBE, 0xFD, 0x10,
  0x01, 0xAF, 0xFF, 0xFF, 0xA2, 0x00,
  0x00, 0x01, 0x3F, 0x41, 0x00, 0x00,
  0x00, 0x00, 0x0D, 0x10, 0x00, 0x00
};

#if defined ( __ICCARM__ )
#pragma location="ExtQSPIFlashSection"
#else
__attribute__((section(".ExtQSPIFlashSection")))
#endif
GUI_CONST_STORAGE unsigned char acGUI_FontRounded22_0025[120] = { /* Code 0025, PERCENT SIGN */
  0x00, 0x00, 0x00, 0x00, 0x00, 0x03, 0x00, 0x00,
  0x03, 0xAB, 0xA2, 0x00, 0x00, 0x7F, 0x00, 0x00,
  0x2E, 0xEA, 0xFE, 0x10, 0x01, 0xE8, 0x00, 0x00,
  0x7F, 0x70, 0x9F, 0x50, 0x08, 0xE1, 0x00, 0x00,
  0x9F, 0x60, 0x7F, 0x70, 0x2F, 0x70, 0x00, 0x00,
  0x7F, 0x60, 0x8F, 0x60, 0x9E, 0x10, 0x00, 0x00,
  0x3F, 0xD6, 0xEF, 0x22, 0xF7, 0x00, 0x00, 0x00,
  0x07, 0xEF, 0xE6, 0x0A, 0xE0, 0x17, 0x98, 0x20,
  0x00, 0x01, 0x00, 0x3F, 0x60, 0xCF, 0xCF, 0xE1,
  0x00, 0x00, 0x00, 0xBD, 0x04, 0xFA, 0x09, 0xF6,
  0x00, 0x00, 0x04, 0xF5, 0x07, 0xF7, 0x06, 0xF9,
  0x00, 0x00, 0x0C, 0xC0, 0x06, 0xF8, 0x06, 0xF8,
  0x00, 0x00, 0x5F, 0x40, 0x03, 0xFC, 0x3B, 0xF4,
  0x00, 0x00, 0xCB, 0x00, 0x00, 0x8F, 0xFF, 0x90,
  0x00, 0x00, 0x93, 0x00, 0x00, 0x01, 0x42, 0x00
};

#if defined ( __ICCARM__ )
#pragma location="ExtQSPIFlashSection"
#else
__attribute__((section(".ExtQSPIFlashSection")))
#endif
GUI_CONST_STORAGE unsigned char acGUI_FontRounded22_0026[105] = { /* Code 0026, AMPERSAND */
  0x00, 0x00, 0x01, 0x10, 0x00, 0x00, 0x00,
  0x00, 0x04, 0xDF, 0xFD, 0x50, 0x00, 0x00,
  0x00, 0x3F, 0xFD, 0xCF, 0xF4, 0x00, 0x00,
  0x00, 0x9F, 0xD0, 0x0B, 0xFA, 0x00, 0x00,
  0x00, 0x9F, 0xD0, 0x0B, 0xFA, 0x00, 0x00,
  0x00, 0x4F, 0xF9, 0x8F, 0xF5, 0x00, 0x00,
  0x00, 0x0A, 0xFF, 0xFF, 0x80, 0x00, 0x00,
  0x00, 0x9F, 0xFF, 0xFB, 0x00, 0x54, 0x00,
  0x09, 0xFF, 0xBA, 0xFF, 0x74, 0xFF, 0x00,
  0x1F, 0xFB, 0x00, 0xBF, 0xFE, 0xFC, 0x00,
  0x3F, 0xF7, 0x00, 0x1D, 0xFF, 0xE3, 0x00,
  0x1F, 0xFB, 0x00, 0x2C, 0xFF, 0xE3, 0x00,
  0x0A, 0xFF, 0xED, 0xFF, 0xEE, 0xFD, 0x00,
  0x01, 0xAF, 0xFF, 0xFB, 0x24, 0xFD, 0x00,
  0x00, 0x01, 0x43, 0x10, 0x00, 0x10, 0x00
};

#if defined ( __ICCARM__ )
#pragma location="ExtQSPIFlashSection"
#else
__attribute__((section(".ExtQSPIFlashSection")))
#endif
GUI_CONST_STORAGE unsigned char acGUI_FontRounded22_0027[ 14] = { /* Code 0027, APOSTROPHE */
  0x01, 0x10,
  0x3F, 0xD0,
  0x6F, 0xF0,
  0x6F, 0xF0,
  0x6F, 0xF0,
  0x3F, 0xE0,
  0x03, 0x10
};

#if defined ( __ICCARM__ )
#pragma location="ExtQSPIFlashSection"
#else
__attribute__((section(".ExtQSPIFlashSection")))
#endif
GUI_CONST_STORAGE unsigned char acGUI_FontRounded22_0028[ 54] = { /* Code 0028, LEFT PARENTHESIS */
  0x00, 0x03, 0x00,
  0x00, 0x9F, 0x40,
  0x02, 0xFF, 0x20,
  0x08, 0xFB, 0x00,
  0x0E, 0xF7, 0x00,
  0x4F, 0xF3, 0x00,
  0x7F, 0xE0, 0x00,
  0xAF, 0xC0, 0x00,
  0xBF, 0xB0, 0x00,
  0xBF, 0xB0, 0x00,
  0xBF, 0xB0, 0x00,
  0x8F, 0xE0, 0x00,
  0x5F, 0xF2, 0x00,
  0x1F, 0xF5, 0x00,
  0x0A, 0xFA, 0x00,
  0x04, 0xFE, 0x10,
  0x00, 0xCF, 0x50,
  0x00, 0x29, 0x10
};

#if defined ( __ICCARM__ )
#pragma location="ExtQSPIFlashSection"
#else
__attribute__((section(".ExtQSPIFlashSection")))
#endif
GUI_CONST_STORAGE unsigned char acGUI_FontRounded22_0029[ 54] = { /* Code 0029, RIGHT PARENTHESIS */
  0x03, 0x00, 0x00,
  0x5F, 0x90, 0x00,
  0x2F, 0xF2, 0x00,
  0x0B, 0xF8, 0x00,
  0x07, 0xFE, 0x00,
  0x03, 0xFF, 0x30,
  0x00, 0xFF, 0x70,
  0x00, 0xCF, 0xA0,
  0x00, 0xBF, 0xB0,
  0x00, 0xBF, 0xB0,
  0x00, 0xCF, 0xB0,
  0x00, 0xEF, 0x80,
  0x02, 0xFF, 0x50,
  0x05, 0xFF, 0x10,
  0x0A, 0xFA, 0x00,
  0x1E, 0xF4, 0x00,
  0x5F, 0xC0, 0x00,
  0x19, 0x20, 0x00
};

#if defined ( __ICCARM__ )
#pragma location="ExtQSPIFlashSection"
#else
__attribute__((section(".ExtQSPIFlashSection")))
#endif
GUI_CONST_STORAGE unsigned char acGUI_FontRounded22_002A[ 32] = { /* Code 002A, ASTERISK */
  0x00, 0x00, 0x10, 0x00,
  0x00, 0x08, 0xE0, 0x00,
  0x05, 0x29, 0xF0, 0x51,
  0x2F, 0xFE, 0xFE, 0xF7,
  0x02, 0x7F, 0xFB, 0x40,
  0x00, 0xAF, 0xCE, 0x20,
  0x03, 0xF7, 0x2F, 0x90,
  0x00, 0x30, 0x03, 0x10
};

#if defined ( __ICCARM__ )
#pragma location="ExtQSPIFlashSection"
#else
__attribute__((section(".ExtQSPIFlashSection")))
#endif
GUI_CONST_STORAGE unsigned char acGUI_FontRounded22_002B[ 66] = { /* Code 002B, PLUS SIGN */
  0x00, 0x00, 0x02, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x8F, 0x50, 0x00, 0x00,
  0x00, 0x00, 0xBF, 0x70, 0x00, 0x00,
  0x00, 0x00, 0xBF, 0x70, 0x00, 0x00,
  0x02, 0x22, 0xCF, 0x82, 0x22, 0x00,
  0x8F, 0xFF, 0xFF, 0xFF, 0xFF, 0x60,
  0x6F, 0xFF, 0xFF, 0xFF, 0xFE, 0x40,
  0x00, 0x00, 0xBF, 0x70, 0x00, 0x00,
  0x00, 0x00, 0xBF, 0x70, 0x00, 0x00,
  0x00, 0x00, 0xBF, 0x70, 0x00, 0x00,
  0x00, 0x00, 0x7F, 0x40, 0x00, 0x00
};

#if defined ( __ICCARM__ )
#pragma location="ExtQSPIFlashSection"
#else
__attribute__((section(".ExtQSPIFlashSection")))
#endif
GUI_CONST_STORAGE unsigned char acGUI_FontRounded22_002C[ 12] = { /* Code 002C, COMMA */
  0x3C, 0x90,
  0xBF, 0xF5,
  0x6F, 0xF7,
  0x01, 0xE5,
  0x4C, 0xC0,
  0x67, 0x10
};

#if defined ( __ICCARM__ )
#pragma location="ExtQSPIFlashSection"
#else
__attribute__((section(".ExtQSPIFlashSection")))
#endif
GUI_CONST_STORAGE unsigned char acGUI_FontRounded22_002D[ 16] = { /* Code 002D, HYPHEN-MINUS */
  0x01, 0x44, 0x42, 0x00,
  0x2F, 0xFF, 0xFF, 0x70,
  0x3F, 0xFF, 0xFF, 0x80,
  0x02, 0x44, 0x43, 0x00
};

#if defined ( __ICCARM__ )
#pragma location="ExtQSPIFlashSection"
#else
__attribute__((section(".ExtQSPIFlashSection")))
#endif
GUI_CONST_STORAGE unsigned char acGUI_FontRounded22_002E[  8] = { /* Code 002E, FULL STOP */
  0x3C, 0x90,
  0xBF, 0xF3,
  0x6F, 0xD1,
  0x01, 0x00
};

#if defined ( __ICCARM__ )
#pragma location="ExtQSPIFlashSection"
#else
__attribute__((section(".ExtQSPIFlashSection")))
#endif
GUI_CONST_STORAGE unsigned char acGUI_FontRounded22_002F[ 60] = { /* Code 002F, SOLIDUS */
  0x00, 0x00, 0x03, 0x00,
  0x00, 0x00, 0x6F, 0x70,
  0x00, 0x00, 0xCF, 0x40,
  0x00, 0x03, 0xFD, 0x00,
  0x00, 0x08, 0xF8, 0x00,
  0x00, 0x0E, 0xF2, 0x00,
  0x00, 0x5F, 0xB0, 0x00,
  0x00, 0xBF, 0x60, 0x00,
  0x01, 0xFE, 0x10, 0x00,
  0x07, 0xF9, 0x00, 0x00,
  0x0D, 0xF3, 0x00, 0x00,
  0x3F, 0xD0, 0x00, 0x00,
  0x9F, 0x70, 0x00, 0x00,
  0xCF, 0x20, 0x00, 0x00,
  0x23, 0x00, 0x00, 0x00
};

#if defined ( __ICCARM__ )
#pragma location="ExtQSPIFlashSection"
#else
__attribute__((section(".ExtQSPIFlashSection")))
#endif
GUI_CONST_STORAGE unsigned char acGUI_FontRounded22_0030[ 84] = { /* Code 0030, DIGIT ZERO */
  0x00, 0x05, 0xBB, 0xB6, 0x00, 0x00,
  0x00, 0xAF, 0xFF, 0xFF, 0xA0, 0x00,
  0x06, 0xFF, 0xA6, 0xAF, 0xF7, 0x00,
  0x0D, 0xFC, 0x00, 0x0C, 0xFD, 0x00,
  0x2F, 0xF8, 0x00, 0x08, 0xFF, 0x20,
  0x4F, 0xF6, 0x00, 0x06, 0xFF, 0x40,
  0x4F, 0xF6, 0x00, 0x06, 0xFF, 0x40,
  0x4F, 0xF6, 0x00, 0x06, 0xFF, 0x40,
  0x2F, 0xF7, 0x00, 0x06, 0xFF, 0x30,
  0x0E, 0xFA, 0x00, 0x0A, 0xFE, 0x00,
  0x09, 0xFF, 0x40, 0x4F, 0xF9, 0x00,
  0x02, 0xEF, 0xFE, 0xFF, 0xE2, 0x00,
  0x00, 0x3C, 0xFF, 0xFC, 0x30, 0x00,
  0x00, 0x00, 0x24, 0x20, 0x00, 0x00
};

#if defined ( __ICCARM__ )
#pragma location="ExtQSPIFlashSection"
#else
__attribute__((section(".ExtQSPIFlashSection")))
#endif
GUI_CONST_STORAGE unsigned char acGUI_FontRounded22_0031[ 56] = { /* Code 0031, DIGIT ONE */
  0x00, 0x00, 0x2B, 0x70,
  0x00, 0x00, 0xAF, 0xC0,
  0x01, 0x49, 0xFF, 0xD0,
  0x1E, 0xFF, 0xFF, 0xD0,
  0x1B, 0xDD, 0xFF, 0xD0,
  0x00, 0x00, 0xDF, 0xD0,
  0x00, 0x00, 0xDF, 0xD0,
  0x00, 0x00, 0xDF, 0xD0,
  0x00, 0x00, 0xDF, 0xD0,
  0x00, 0x00, 0xDF, 0xD0,
  0x00, 0x00, 0xDF, 0xD0,
  0x00, 0x00, 0xDF, 0xC0,
  0x00, 0x00, 0xBF, 0xA0,
  0x00, 0x00, 0x13, 0x00
};

#if defined ( __ICCARM__ )
#pragma location="ExtQSPIFlashSection"
#else
__attribute__((section(".ExtQSPIFlashSection")))
#endif
GUI_CONST_STORAGE unsigned char acGUI_FontRounded22_0032[ 78] = { /* Code 0032, DIGIT TWO */
  0x00, 0x17, 0xBB, 0xB6, 0x00, 0x00,
  0x03, 0xEF, 0xFF, 0xFF, 0xD1, 0x00,
  0x0D, 0xFE, 0x86, 0xAF, 0xFB, 0x00,
  0x5F, 0xF6, 0x00, 0x0D, 0xFF, 0x00,
  0x4F, 0xE1, 0x00, 0x0B, 0xFF, 0x00,
  0x03, 0x20, 0x00, 0x3F, 0xFB, 0x00,
  0x00, 0x00, 0x07, 0xEF, 0xF3, 0x00,
  0x00, 0x03, 0xCF, 0xFD, 0x30, 0x00,
  0x00, 0x6F, 0xFE, 0x70, 0x00, 0x00,
  0x06, 0xFF, 0xA2, 0x00, 0x00, 0x00,
  0x2F, 0xFC, 0x44, 0x44, 0x42, 0x00,
  0x6F, 0xFF, 0xFF, 0xFF, 0xFF, 0x10,
  0x3E, 0xFF, 0xFF, 0xFF, 0xFD, 0x00
};

#if defined ( __ICCARM__ )
#pragma location="ExtQSPIFlashSection"
#else
__attribute__((section(".ExtQSPIFlashSection")))
#endif
GUI_CONST_STORAGE unsigned char acGUI_FontRounded22_0033[ 70] = { /* Code 0033, DIGIT THREE */
  0x00, 0x28, 0xBB, 0xA5, 0x00,
  0x05, 0xFF, 0xFF, 0xFF, 0xA0,
  0x1F, 0xFE, 0x76, 0xCF, 0xF4,
  0x2F, 0xF4, 0x00, 0x2F, 0xF7,
  0x04, 0x40, 0x00, 0x2F, 0xF5,
  0x00, 0x00, 0x5A, 0xEF, 0xB0,
  0x00, 0x00, 0xFF, 0xFF, 0x90,
  0x00, 0x00, 0x38, 0xCF, 0xF8,
  0x01, 0x00, 0x00, 0x1E, 0xFC,
  0x3F, 0xC0, 0x00, 0x0E, 0xFD,
  0x5F, 0xF8, 0x00, 0x7F, 0xF9,
  0x1D, 0xFF, 0xFE, 0xFF, 0xE2,
  0x02, 0xBF, 0xFF, 0xFB, 0x30,
  0x00, 0x01, 0x33, 0x10, 0x00
};

#if defined ( __ICCARM__ )
#pragma location="ExtQSPIFlashSection"
#else
__attribute__((section(".ExtQSPIFlashSection")))
#endif
GUI_CONST_STORAGE unsigned char acGUI_FontRounded22_0034[ 84] = { /* Code 0034, DIGIT FOUR */
  0x00, 0x00, 0x00, 0x9B, 0x40, 0x00,
  0x00, 0x00, 0x07, 0xFF, 0x90, 0x00,
  0x00, 0x00, 0x4F, 0xFF, 0x90, 0x00,
  0x00, 0x02, 0xEE, 0xEF, 0x90, 0x00,
  0x00, 0x0C, 0xF4, 0xDF, 0x90, 0x00,
  0x00, 0x9F, 0x80, 0xDF, 0x90, 0x00,
  0x06, 0xFB, 0x00, 0xDF, 0x90, 0x00,
  0x3F, 0xE2, 0x00, 0xDF, 0x90, 0x00,
  0xBF, 0xFF, 0xFF, 0xFF, 0xFE, 0x50,
  0x8F, 0xFF, 0xFF, 0xFF, 0xFF, 0x60,
  0x02, 0x22, 0x22, 0xDF, 0xA2, 0x00,
  0x00, 0x00, 0x00, 0xDF, 0x90, 0x00,
  0x00, 0x00, 0x00, 0xBF, 0x80, 0x00,
  0x00, 0x00, 0x00, 0x13, 0x00, 0x00
};

#if defined ( __ICCARM__ )
#pragma location="ExtQSPIFlashSection"
#else
__attribute__((section(".ExtQSPIFlashSection")))
#endif
GUI_CONST_STORAGE unsigned char acGUI_FontRounded22_0035[ 70] = { /* Code 0035, DIGIT FIVE */
  0x01, 0x89, 0x99, 0x99, 0x70,
  0x07, 0xFF, 0xFF, 0xFF, 0xF3,
  0x0A, 0xFD, 0xBB, 0xBB, 0x90,
  0x0C, 0xF5, 0x00, 0x00, 0x00,
  0x0F, 0xF3, 0x46, 0x51, 0x00,
  0x3F, 0xFD, 0xFF, 0xFE, 0x60,
  0x3F, 0xFE, 0xAB, 0xFF, 0xF3,
  0x06, 0x60, 0x00, 0x4F, 0xFA,
  0x00, 0x00, 0x00, 0x0D, 0xFB,
  0x17, 0x40, 0x00, 0x0E, 0xFB,
  0x5F, 0xF4, 0x00, 0x8F, 0xF7,
  0x3F, 0xFF, 0xDE, 0xFF, 0xD1,
  0x04, 0xCF, 0xFF, 0xFA, 0x10,
  0x00, 0x02, 0x43, 0x10, 0x00
};

#if defined ( __ICCARM__ )
#pragma location="ExtQSPIFlashSection"
#else
__attribute__((section(".ExtQSPIFlashSection")))
#endif
GUI_CONST_STORAGE unsigned char acGUI_FontRounded22_0036[ 84] = { /* Code 0036, DIGIT SIX */
  0x00, 0x04, 0x9B, 0xB9, 0x30, 0x00,
  0x00, 0x8F, 0xFF, 0xFF, 0xF4, 0x00,
  0x04, 0xFF, 0x93, 0x4E, 0xFB, 0x00,
  0x0B, 0xFC, 0x00, 0x02, 0x93, 0x00,
  0x1F, 0xF7, 0x02, 0x31, 0x00, 0x00,
  0x3F, 0xF9, 0xDF, 0xFF, 0x91, 0x00,
  0x4F, 0xFF, 0xEB, 0xDF, 0xFA, 0x00,
  0x4F, 0xFD, 0x10, 0x0B, 0xFF, 0x20,
  0x3F, 0xF8, 0x00, 0x06, 0xFF, 0x40,
  0x1F, 0xF8, 0x00, 0x06, 0xFF, 0x40,
  0x0B, 0xFE, 0x20, 0x1C, 0xFF, 0x10,
  0x03, 0xEF, 0xFD, 0xEF, 0xF7, 0x00,
  0x00, 0x3C, 0xFF, 0xFE, 0x70, 0x00,
  0x00, 0x00, 0x24, 0x30, 0x00, 0x00
};

#if defined ( __ICCARM__ )
#pragma location="ExtQSPIFlashSection"
#else
__attribute__((section(".ExtQSPIFlashSection")))
#endif
GUI_CONST_STORAGE unsigned char acGUI_FontRounded22_0037[ 70] = { /* Code 0037, DIGIT SEVEN */
  0x49, 0x99, 0x99, 0x99, 0x94,
  0xBF, 0xFF, 0xFF, 0xFF, 0xFD,
  0x5B, 0xBB, 0xBB, 0xBF, 0xF9,
  0x00, 0x00, 0x00, 0x9F, 0xC0,
  0x00, 0x00, 0x05, 0xFE, 0x20,
  0x00, 0x00, 0x1E, 0xF6, 0x00,
  0x00, 0x00, 0x9F, 0xD0, 0x00,
  0x00, 0x02, 0xFF, 0x70, 0x00,
  0x00, 0x08, 0xFF, 0x10, 0x00,
  0x00, 0x0E, 0xFB, 0x00, 0x00,
  0x00, 0x4F, 0xF7, 0x00, 0x00,
  0x00, 0x7F, 0xF3, 0x00, 0x00,
  0x00, 0x6F, 0xD0, 0x00, 0x00,
  0x00, 0x03, 0x10, 0x00, 0x00
};

#if defined ( __ICCARM__ )
#pragma location="ExtQSPIFlashSection"
#else
__attribute__((section(".ExtQSPIFlashSection")))
#endif
GUI_CONST_STORAGE unsigned char acGUI_FontRounded22_0038[ 84] = { /* Code 0038, DIGIT EIGHT */
  0x00, 0x17, 0xBB, 0xB8, 0x10, 0x00,
  0x02, 0xEF, 0xFF, 0xFF, 0xE3, 0x00,
  0x0B, 0xFE, 0x62, 0x6E, 0xFB, 0x00,
  0x0D, 0xFA, 0x00, 0x0A, 0xFF, 0x00,
  0x0C, 0xFB, 0x00, 0x0B, 0xFC, 0x00,
  0x04, 0xFF, 0xB8, 0xBF, 0xF4, 0x00,
  0x02, 0xBF, 0xFF, 0xFF, 0xB2, 0x00,
  0x0C, 0xFE, 0x64, 0x6E, 0xFD, 0x00,
  0x3F, 0xF7, 0x00, 0x07, 0xFF, 0x30,
  0x4F, 0xF6, 0x00, 0x06, 0xFF, 0x40,
  0x2F, 0xFC, 0x10, 0x1B, 0xFF, 0x20,
  0x09, 0xFF, 0xED, 0xEF, 0xF9, 0x00,
  0x00, 0x7E, 0xFF, 0xFE, 0x80, 0x00,
  0x00, 0x00, 0x24, 0x30, 0x00, 0x00
};

#if defined ( __ICCARM__ )
#pragma location="ExtQSPIFlashSection"
#else
__attribute__((section(".ExtQSPIFlashSection")))
#endif
GUI_CONST_STORAGE unsigned char acGUI_FontRounded22_0039[ 84] = { /* Code 0039, DIGIT NINE */
  0x00, 0x17, 0xBB, 0xB6, 0x00, 0x00,
  0x03, 0xEF, 0xFF, 0xFF, 0xB0, 0x00,
  0x0C, 0xFE, 0x74, 0x8F, 0xF8, 0x00,
  0x3F, 0xF8, 0x00, 0x0A, 0xFE, 0x00,
  0x4F, 0xF6, 0x00, 0x07, 0xFF, 0x30,
  0x3F, 0xF7, 0x00, 0x0A, 0xFF, 0x40,
  0x0D, 0xFF, 0x74, 0x9F, 0xFF, 0x40,
  0x03, 0xEF, 0xFF, 0xFD, 0xFF, 0x40,
  0x00, 0x17, 0x99, 0x56, 0xFF, 0x20,
  0x00, 0x30, 0x00, 0x09, 0xFD, 0x00,
  0x09, 0xFA, 0x00, 0x3F, 0xF8, 0x00,
  0x08, 0xFF, 0xDB, 0xFF, 0xD1, 0x00,
  0x01, 0x9F, 0xFF, 0xFA, 0x20, 0x00,
  0x00, 0x01, 0x33, 0x10, 0x00, 0x00
};

#if defined ( __ICCARM__ )
#pragma location="ExtQSPIFlashSection"
#else
__attribute__((section(".ExtQSPIFlashSection")))
#endif
GUI_CONST_STORAGE unsigned char acGUI_FontRounded22_003A[ 22] = { /* Code 003A, COLON */
  0x05, 0x30,
  0x9F, 0xF2,
  0x9F, 0xF2,
  0x17, 0x40,
  0x00, 0x00,
  0x00, 0x00,
  0x00, 0x00,
  0x3C, 0x90,
  0xBF, 0xF3,
  0x6F, 0xD1,
  0x01, 0x00
};

#if defined ( __ICCARM__ )
#pragma location="ExtQSPIFlashSection"
#else
__attribute__((section(".ExtQSPIFlashSection")))
#endif
GUI_CONST_STORAGE unsigned char acGUI_FontRounded22_003B[ 26] = { /* Code 003B, SEMICOLON */
  0x05, 0x30,
  0x9F, 0xF2,
  0x9F, 0xF2,
  0x17, 0x40,
  0x00, 0x00,
  0x00, 0x00,
  0x00, 0x00,
  0x3C, 0x90,
  0xBF, 0xF5,
  0x6F, 0xF7,
  0x01, 0xE5,
  0x4C, 0xC0,
  0x67, 0x10
};

#if defined ( __ICCARM__ )
#pragma location="ExtQSPIFlashSection"
#else
__attribute__((section(".ExtQSPIFlashSection")))
#endif
GUI_CONST_STORAGE unsigned char acGUI_FontRounded22_003C[ 60] = { /* Code 003C, LESS-THAN SIGN */
  0x00, 0x00, 0x00, 0x01, 0x8B, 0x20,
  0x00, 0x00, 0x02, 0x9F, 0xFF, 0x50,
  0x00, 0x03, 0xAF, 0xFF, 0xC6, 0x00,
  0x05, 0xCF, 0xFF, 0xB4, 0x00, 0x00,
  0x7F, 0xFF, 0x92, 0x00, 0x00, 0x00,
  0x5F, 0xFF, 0xB5, 0x00, 0x00, 0x00,
  0x02, 0x9F, 0xFF, 0xD7, 0x10, 0x00,
  0x00, 0x01, 0x7E, 0xFF, 0xF8, 0x10,
  0x00, 0x00, 0x00, 0x7D, 0xFF, 0x50,
  0x00, 0x00, 0x00, 0x00, 0x57, 0x10
};

#if defined ( __ICCARM__ )
#pragma location="ExtQSPIFlashSection"
#else
__attribute__((section(".ExtQSPIFlashSection")))
#endif
GUI_CONST_STORAGE unsigned char acGUI_FontRounded22_003D[ 48] = { /* Code 003D, EQUALS SIGN */
  0x04, 0x44, 0x44, 0x44, 0x43, 0x00,
  0x9F, 0xFF, 0xFF, 0xFF, 0xFF, 0x70,
  0x5D, 0xDD, 0xDD, 0xDD, 0xDC, 0x30,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x7F, 0xFF, 0xFF, 0xFF, 0xFF, 0x50,
  0x7F, 0xFF, 0xFF, 0xFF, 0xFF, 0x50,
  0x02, 0x22, 0x22, 0x22, 0x21, 0x00
};

#if defined ( __ICCARM__ )
#pragma location="ExtQSPIFlashSection"
#else
__attribute__((section(".ExtQSPIFlashSection")))
#endif
GUI_CONST_STORAGE unsigned char acGUI_FontRounded22_003E[ 60] = { /* Code 003E, GREATER-THAN SIGN */
  0x4B, 0x70, 0x00, 0x00, 0x00, 0x00,
  0x8F, 0xFE, 0x81, 0x00, 0x00, 0x00,
  0x17, 0xEF, 0xFF, 0x92, 0x00, 0x00,
  0x00, 0x05, 0xCF, 0xFF, 0xA3, 0x00,
  0x00, 0x00, 0x03, 0xAF, 0xFF, 0x40,
  0x00, 0x00, 0x06, 0xDF, 0xFE, 0x30,
  0x00, 0x28, 0xEF, 0xFE, 0x71, 0x00,
  0x1A, 0xFF, 0xFD, 0x60, 0x00, 0x00,
  0x9F, 0xFC, 0x50, 0x00, 0x00, 0x00,
  0x27, 0x30, 0x00, 0x00, 0x00, 0x00
};

#if defined ( __ICCARM__ )
#pragma location="ExtQSPIFlashSection"
#else
__attribute__((section(".ExtQSPIFlashSection")))
#endif
GUI_CONST_STORAGE unsigned char acGUI_FontRounded22_003F[ 75] = { /* Code 003F, QUESTION MARK */
  0x00, 0x00, 0x22, 0x00, 0x00,
  0x00, 0x7E, 0xFF, 0xFA, 0x20,
  0x09, 0xFF, 0xEE, 0xFF, 0xE1,
  0x2F, 0xFA, 0x00, 0x7F, 0xF7,
  0x2F, 0xE2, 0x00, 0x3F, 0xF7,
  0x02, 0x20, 0x00, 0xAF, 0xF5,
  0x00, 0x00, 0x1B, 0xFF, 0xA0,
  0x00, 0x00, 0xCF, 0xF7, 0x00,
  0x00, 0x05, 0xFF, 0x50, 0x00,
  0x00, 0x02, 0xEC, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x02, 0xBA, 0x10, 0x00,
  0x00, 0x08, 0xFF, 0x50, 0x00,
  0x00, 0x04, 0xFE, 0x20, 0x00,
  0x00, 0x00, 0x11, 0x00, 0x00
};

#if defined ( __ICCARM__ )
#pragma location="ExtQSPIFlashSection"
#else
__attribute__((section(".ExtQSPIFlashSection")))
#endif
GUI_CONST_STORAGE unsigned char acGUI_FontRounded22_0040[105] = { /* Code 0040, COMMERCIAL AT */
  0x00, 0x00, 0x00, 0x34, 0x31, 0x00, 0x00,
  0x00, 0x02, 0x9E, 0xFF, 0xFF, 0xA2, 0x00,
  0x00, 0x3E, 0xFB, 0x76, 0x7A, 0xFE, 0x50,
  0x02, 0xEF, 0x50, 0x00, 0x00, 0x3E, 0xE2,
  0x0B, 0xF6, 0x07, 0xEE, 0x96, 0xB5, 0xF8,
  0x2F, 0xD0, 0x7F, 0xFF, 0xFF, 0xF0, 0xEC,
  0x5F, 0x91, 0xEF, 0x40, 0x8F, 0xC0, 0xBD,
  0x7F, 0x74, 0xFA, 0x00, 0x4F, 0x90, 0xCB,
  0x6F, 0x85, 0xFB, 0x00, 0x6F, 0x71, 0xF7,
  0x3F, 0xC2, 0xFF, 0x98, 0xEF, 0xAC, 0xD1,
  0x0C, 0xF4, 0x9F, 0xFF, 0xEF, 0xFB, 0x20,
  0x03, 0xFE, 0x45, 0x73, 0x37, 0x57, 0x00,
  0x00, 0x5E, 0xFB, 0x66, 0x69, 0xEE, 0x10,
  0x00, 0x02, 0x9F, 0xFF, 0xFF, 0xA2, 0x00,
  0x00, 0x00, 0x01, 0x34, 0x31, 0x00, 0x00
};

#if defined ( __ICCARM__ )
#pragma location="ExtQSPIFlashSection"
#else
__attribute__((section(".ExtQSPIFlashSection")))
#endif
GUI_CONST_STORAGE unsigned char acGUI_FontRounded22_0041[ 90] = { /* Code 0041, LATIN CAPITAL LETTER A */
  0x00, 0x00, 0x02, 0x30, 0x00, 0x00,
  0x00, 0x00, 0x9F, 0xFB, 0x00, 0x00,
  0x00, 0x01, 0xFF, 0xFF, 0x30, 0x00,
  0x00, 0x06, 0xFF, 0xFF, 0x80, 0x00,
  0x00, 0x0C, 0xFD, 0xCF, 0xE0, 0x00,
  0x00, 0x3F, 0xF8, 0x7F, 0xF4, 0x00,
  0x00, 0x8F, 0xF3, 0x2F, 0xFA, 0x00,
  0x00, 0xEF, 0xD0, 0x0D, 0xFF, 0x10,
  0x04, 0xFF, 0x80, 0x08, 0xFF, 0x60,
  0x0A, 0xFF, 0xCB, 0xBC, 0xFF, 0xB0,
  0x1F, 0xFF, 0xFF, 0xFF, 0xFF, 0xF2,
  0x7F, 0xF9, 0x44, 0x44, 0x9F, 0xF7,
  0xCF, 0xF3, 0x00, 0x00, 0x3F, 0xFC,
  0xAF, 0xC0, 0x00, 0x00, 0x0C, 0xFA,
  0x03, 0x10, 0x00, 0x00, 0x01, 0x30
};

#if defined ( __ICCARM__ )
#pragma location="ExtQSPIFlashSection"
#else
__attribute__((section(".ExtQSPIFlashSection")))
#endif
GUI_CONST_STORAGE unsigned char acGUI_FontRounded22_0042[ 78] = { /* Code 0042, LATIN CAPITAL LETTER B */
  0x3D, 0xFF, 0xFF, 0xED, 0xA3, 0x00,
  0x9F, 0xFF, 0xFF, 0xFF, 0xFF, 0x30,
  0x9F, 0xF8, 0x44, 0x4C, 0xFF, 0xA0,
  0x9F, 0xF6, 0x00, 0x04, 0xFF, 0xB0,
  0x9F, 0xF6, 0x00, 0x06, 0xFF, 0x70,
  0x9F, 0xFB, 0x99, 0xBF, 0xFB, 0x10,
  0x9F, 0xFF, 0xFF, 0xFF, 0xFB, 0x20,
  0x9F, 0xF8, 0x44, 0x4A, 0xFF, 0xD0,
  0x9F, 0xF6, 0x00, 0x00, 0xCF, 0xF2,
  0x9F, 0xF6, 0x00, 0x00, 0xCF, 0xF3,
  0x9F, 0xF8, 0x44, 0x5A, 0xFF, 0xE0,
  0x9F, 0xFF, 0xFF, 0xFF, 0xFF, 0x60,
  0x4E, 0xFF, 0xFF, 0xFE, 0xB4, 0x00
};

#if defined ( __ICCARM__ )
#pragma location="ExtQSPIFlashSection"
#else
__attribute__((section(".ExtQSPIFlashSection")))
#endif
GUI_CONST_STORAGE unsigned char acGUI_FontRounded22_0043[ 90] = { /* Code 0043, LATIN CAPITAL LETTER C */
  0x00, 0x00, 0x13, 0x43, 0x00, 0x00,
  0x00, 0x2A, 0xFF, 0xFF, 0xE7, 0x00,
  0x03, 0xEF, 0xFF, 0xFF, 0xFF, 0xB0,
  0x1E, 0xFF, 0xB3, 0x25, 0xEF, 0xF6,
  0x7F, 0xFB, 0x00, 0x00, 0x4F, 0xF7,
  0xCF, 0xF3, 0x00, 0x00, 0x03, 0x61,
  0xFF, 0xF0, 0x00, 0x00, 0x00, 0x00,
  0xFF, 0xD0, 0x00, 0x00, 0x00, 0x00,
  0xFF, 0xF0, 0x00, 0x00, 0x00, 0x00,
  0xDF, 0xF3, 0x00, 0x00, 0x05, 0x71,
  0x9F, 0xFA, 0x00, 0x00, 0x4F, 0xF7,
  0x3F, 0xFF, 0x93, 0x25, 0xEF, 0xF5,
  0x06, 0xFF, 0xFF, 0xFF, 0xFF, 0xA0,
  0x00, 0x4C, 0xFF, 0xFF, 0xE7, 0x00,
  0x00, 0x00, 0x24, 0x43, 0x00, 0x00
};

#if defined ( __ICCARM__ )
#pragma location="ExtQSPIFlashSection"
#else
__attribute__((section(".ExtQSPIFlashSection")))
#endif
GUI_CONST_STORAGE unsigned char acGUI_FontRounded22_0044[ 78] = { /* Code 0044, LATIN CAPITAL LETTER D */
  0x3D, 0xFF, 0xFF, 0xEC, 0x71, 0x00,
  0x9F, 0xFF, 0xFF, 0xFF, 0xFE, 0x30,
  0x9F, 0xF9, 0x66, 0x7D, 0xFF, 0xD0,
  0x9F, 0xF6, 0x00, 0x01, 0xCF, 0xF6,
  0x9F, 0xF6, 0x00, 0x00, 0x5F, 0xFA,
  0x9F, 0xF6, 0x00, 0x00, 0x2F, 0xFD,
  0x9F, 0xF6, 0x00, 0x00, 0x2F, 0xFD,
  0x9F, 0xF6, 0x00, 0x00, 0x2F, 0xFC,
  0x9F, 0xF6, 0x00, 0x00, 0x6F, 0xFA,
  0x9F, 0xF6, 0x00, 0x01, 0xDF, 0xF5,
  0x9F, 0xF9, 0x66, 0x7D, 0xFF, 0xC0,
  0x9F, 0xFF, 0xFF, 0xFF, 0xFD, 0x20,
  0x4E, 0xFF, 0xFF, 0xFC, 0x71, 0x00
};

#if defined ( __ICCARM__ )
#pragma location="ExtQSPIFlashSection"
#else
__attribute__((section(".ExtQSPIFlashSection")))
#endif
GUI_CONST_STORAGE unsigned char acGUI_FontRounded22_0045[ 78] = { /* Code 0045, LATIN CAPITAL LETTER E */
  0x3D, 0xFF, 0xFF, 0xFF, 0xFE, 0x50,
  0x8F, 0xFF, 0xFF, 0xFF, 0xFF, 0x80,
  0x9F, 0xF9, 0x66, 0x66, 0x65, 0x10,
  0x9F, 0xF6, 0x00, 0x00, 0x00, 0x00,
  0x9F, 0xF6, 0x00, 0x00, 0x00, 0x00,
  0x9F, 0xFD, 0xBB, 0xBB, 0xB6, 0x00,
  0x9F, 0xFF, 0xFF, 0xFF, 0xFB, 0x00,
  0x9F, 0xFA, 0x77, 0x77, 0x73, 0x00,
  0x9F, 0xF6, 0x00, 0x00, 0x00, 0x00,
  0x9F, 0xF6, 0x00, 0x00, 0x00, 0x00,
  0x9F, 0xF9, 0x66, 0x66, 0x65, 0x10,
  0x8F, 0xFF, 0xFF, 0xFF, 0xFF, 0xA0,
  0x3D, 0xFF, 0xFF, 0xFF, 0xFF, 0x70
};

#if defined ( __ICCARM__ )
#pragma location="ExtQSPIFlashSection"
#else
__attribute__((section(".ExtQSPIFlashSection")))
#endif
GUI_CONST_STORAGE unsigned char acGUI_FontRounded22_0046[ 84] = { /* Code 0046, LATIN CAPITAL LETTER F */
  0x3D, 0xFF, 0xFF, 0xFF, 0xFB, 0x10,
  0x8F, 0xFF, 0xFF, 0xFF, 0xFF, 0x10,
  0x9F, 0xF9, 0x66, 0x66, 0x64, 0x00,
  0x9F, 0xF6, 0x00, 0x00, 0x00, 0x00,
  0x9F, 0xF6, 0x00, 0x00, 0x00, 0x00,
  0x9F, 0xFB, 0x99, 0x99, 0x70, 0x00,
  0x9F, 0xFF, 0xFF, 0xFF, 0xF3, 0x00,
  0x9F, 0xFD, 0xBB, 0xBB, 0x90, 0x00,
  0x9F, 0xF6, 0x00, 0x00, 0x00, 0x00,
  0x9F, 0xF6, 0x00, 0x00, 0x00, 0x00,
  0x9F, 0xF6, 0x00, 0x00, 0x00, 0x00,
  0x9F, 0xF6, 0x00, 0x00, 0x00, 0x00,
  0x5F, 0xF3, 0x00, 0x00, 0x00, 0x00,
  0x03, 0x20, 0x00, 0x00, 0x00, 0x00
};

#if defined ( __ICCARM__ )
#pragma location="ExtQSPIFlashSection"
#else
__attribute__((section(".ExtQSPIFlashSection")))
#endif
GUI_CONST_STORAGE unsigned char acGUI_FontRounded22_0047[105] = { /* Code 0047, LATIN CAPITAL LETTER G */
  0x00, 0x00, 0x03, 0x43, 0x10, 0x00, 0x00,
  0x00, 0x2A, 0xFF, 0xFF, 0xFA, 0x20, 0x00,
  0x03, 0xEF, 0xFF, 0xFF, 0xFF, 0xE2, 0x00,
  0x1E, 0xFF, 0xB4, 0x23, 0xAF, 0xFA, 0x00,
  0x8F, 0xFB, 0x00, 0x00, 0x0B, 0xF8, 0x00,
  0xCF, 0xF3, 0x00, 0x00, 0x00, 0x20, 0x00,
  0xFF, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x00,
  0xFF, 0xD0, 0x00, 0x5D, 0xDD, 0xDD, 0x30,
  0xFF, 0xE0, 0x00, 0x8F, 0xFF, 0xFF, 0x60,
  0xDF, 0xF2, 0x00, 0x15, 0x69, 0xFF, 0x60,
  0x9F, 0xF9, 0x00, 0x00, 0x0B, 0xFF, 0x60,
  0x2F, 0xFF, 0x82, 0x02, 0x9F, 0xFF, 0x60,
  0x06, 0xFF, 0xFF, 0xFF, 0xFE, 0xEF, 0x60,
  0x00, 0x4C, 0xFF, 0xFF, 0xD3, 0x9F, 0x50,
  0x00, 0x00, 0x24, 0x43, 0x00, 0x03, 0x00
};

#if defined ( __ICCARM__ )
#pragma location="ExtQSPIFlashSection"
#else
__attribute__((section(".ExtQSPIFlashSection")))
#endif
GUI_CONST_STORAGE unsigned char acGUI_FontRounded22_0048[ 90] = { /* Code 0048, LATIN CAPITAL LETTER H */
  0x02, 0x10, 0x00, 0x00, 0x01, 0x20,
  0x6F, 0xE2, 0x00, 0x00, 0x2E, 0xF6,
  0x9F, 0xF5, 0x00, 0x00, 0x5F, 0xF9,
  0x9F, 0xF6, 0x00, 0x00, 0x6F, 0xF9,
  0x9F, 0xF6, 0x00, 0x00, 0x6F, 0xF9,
  0x9F, 0xF6, 0x00, 0x00, 0x6F, 0xF9,
  0x9F, 0xFF, 0xFF, 0xFF, 0xFF, 0xF9,
  0x9F, 0xFF, 0xFF, 0xFF, 0xFF, 0xF9,
  0x9F, 0xFA, 0x77, 0x77, 0xAF, 0xF9,
  0x9F, 0xF6, 0x00, 0x00, 0x6F, 0xF9,
  0x9F, 0xF6, 0x00, 0x00, 0x6F, 0xF9,
  0x9F, 0xF6, 0x00, 0x00, 0x6F, 0xF9,
  0x9F, 0xF5, 0x00, 0x00, 0x5F, 0xF9,
  0x6F, 0xE2, 0x00, 0x00, 0x2E, 0xF7,
  0x03, 0x20, 0x00, 0x00, 0x02, 0x30
};

#if defined ( __ICCARM__ )
#pragma location="ExtQSPIFlashSection"
#else
__attribute__((section(".ExtQSPIFlashSection")))
#endif
GUI_CONST_STORAGE unsigned char acGUI_FontRounded22_0049[ 30] = { /* Code 0049, LATIN CAPITAL LETTER I */
  0x02, 0x10,
  0x6F, 0xE2,
  0x9F, 0xF5,
  0x9F, 0xF6,
  0x9F, 0xF6,
  0x9F, 0xF6,
  0x9F, 0xF6,
  0x9F, 0xF6,
  0x9F, 0xF6,
  0x9F, 0xF6,
  0x9F, 0xF6,
  0x9F, 0xF6,
  0x9F, 0xF5,
  0x6F, 0xE2,
  0x03, 0x20
};

#if defined ( __ICCARM__ )
#pragma location="ExtQSPIFlashSection"
#else
__attribute__((section(".ExtQSPIFlashSection")))
#endif
GUI_CONST_STORAGE unsigned char acGUI_FontRounded22_004A[ 75] = { /* Code 004A, LATIN CAPITAL LETTER J */
  0x00, 0x00, 0x00, 0x02, 0x00,
  0x00, 0x00, 0x00, 0xBF, 0xB0,
  0x00, 0x00, 0x00, 0xFF, 0xF0,
  0x00, 0x00, 0x00, 0xFF, 0xF0,
  0x00, 0x00, 0x00, 0xFF, 0xF0,
  0x00, 0x00, 0x00, 0xFF, 0xF0,
  0x00, 0x00, 0x00, 0xFF, 0xF0,
  0x00, 0x00, 0x00, 0xFF, 0xF0,
  0x01, 0x00, 0x00, 0xFF, 0xF0,
  0x5F, 0xC0, 0x00, 0xFF, 0xF0,
  0x9F, 0xF1, 0x00, 0xFF, 0xE0,
  0x9F, 0xF6, 0x07, 0xFF, 0xB0,
  0x3F, 0xFF, 0xFF, 0xFF, 0x50,
  0x05, 0xEF, 0xFF, 0xF7, 0x00,
  0x00, 0x03, 0x43, 0x10, 0x00
};

#if defined ( __ICCARM__ )
#pragma location="ExtQSPIFlashSection"
#else
__attribute__((section(".ExtQSPIFlashSection")))
#endif
GUI_CONST_STORAGE unsigned char acGUI_FontRounded22_004B[ 90] = { /* Code 004B, LATIN CAPITAL LETTER K */
  0x02, 0x10, 0x00, 0x00, 0x11, 0x00,
  0x6F, 0xE2, 0x00, 0x02, 0xEF, 0x50,
  0x9F, 0xF5, 0x00, 0x1D, 0xFF, 0x60,
  0x9F, 0xF6, 0x01, 0xDF, 0xF8, 0x00,
  0x9F, 0xF6, 0x1B, 0xFF, 0x90, 0x00,
  0x9F, 0xF6, 0xAF, 0xFA, 0x00, 0x00,
  0x9F, 0xFE, 0xFF, 0xF4, 0x00, 0x00,
  0x9F, 0xFF, 0xFF, 0xFD, 0x00, 0x00,
  0x9F, 0xFF, 0xAD, 0xFF, 0x80, 0x00,
  0x9F, 0xFA, 0x03, 0xFF, 0xF3, 0x00,
  0x9F, 0xF6, 0x00, 0x9F, 0xFD, 0x00,
  0x9F, 0xF6, 0x00, 0x1D, 0xFF, 0x70,
  0x9F, 0xF5, 0x00, 0x04, 0xFF, 0xF1,
  0x6F, 0xE2, 0x00, 0x00, 0x9F, 0xE1,
  0x03, 0x20, 0x00, 0x00, 0x03, 0x10
};

#if defined ( __ICCARM__ )
#pragma location="ExtQSPIFlashSection"
#else
__attribute__((section(".ExtQSPIFlashSection")))
#endif
GUI_CONST_STORAGE unsigned char acGUI_FontRounded22_004C[ 70] = { /* Code 004C, LATIN CAPITAL LETTER L */
  0x02, 0x10, 0x00, 0x00, 0x00,
  0x6F, 0xE2, 0x00, 0x00, 0x00,
  0x9F, 0xF5, 0x00, 0x00, 0x00,
  0x9F, 0xF6, 0x00, 0x00, 0x00,
  0x9F, 0xF6, 0x00, 0x00, 0x00,
  0x9F, 0xF6, 0x00, 0x00, 0x00,
  0x9F, 0xF6, 0x00, 0x00, 0x00,
  0x9F, 0xF6, 0x00, 0x00, 0x00,
  0x9F, 0xF6, 0x00, 0x00, 0x00,
  0x9F, 0xF6, 0x00, 0x00, 0x00,
  0x9F, 0xF6, 0x00, 0x00, 0x00,
  0x9F, 0xFA, 0x77, 0x77, 0x72,
  0x9F, 0xFF, 0xFF, 0xFF, 0xFB,
  0x4E, 0xFF, 0xFF, 0xFF, 0xF7
};

#if defined ( __ICCARM__ )
#pragma location="ExtQSPIFlashSection"
#else
__attribute__((section(".ExtQSPIFlashSection")))
#endif
GUI_CONST_STORAGE unsigned char acGUI_FontRounded22_004D[105] = { /* Code 004D, LATIN CAPITAL LETTER M */
  0x02, 0x31, 0x00, 0x00, 0x00, 0x13, 0x20,
  0x7F, 0xFE, 0x30, 0x00, 0x02, 0xEF, 0xF7,
  0xBF, 0xFF, 0x80, 0x00, 0x08, 0xFF, 0xF9,
  0xBF, 0xFF, 0xD0, 0x00, 0x0C, 0xFF, 0xF9,
  0xBF, 0xFF, 0xF2, 0x00, 0x2F, 0xFF, 0xF9,
  0xBF, 0xFB, 0xF7, 0x00, 0x7F, 0xBF, 0xF9,
  0xBF, 0xF7, 0xFC, 0x00, 0xBF, 0x7F, 0xF9,
  0xBF, 0xF2, 0xFF, 0x21, 0xFF, 0x2F, 0xF9,
  0xBF, 0xF0, 0xCF, 0x65, 0xFC, 0x0F, 0xF9,
  0xBF, 0xF0, 0x8F, 0xBA, 0xF7, 0x0F, 0xF9,
  0xBF, 0xF0, 0x3F, 0xFE, 0xF3, 0x0F, 0xF9,
  0xBF, 0xF0, 0x0D, 0xFF, 0xD0, 0x0F, 0xF9,
  0xBF, 0xF0, 0x08, 0xFF, 0x80, 0x0F, 0xF9,
  0x8F, 0xB0, 0x03, 0xFF, 0x30, 0x0B, 0xF7,
  0x03, 0x10, 0x00, 0x22, 0x00, 0x01, 0x30
};

#if defined ( __ICCARM__ )
#pragma location="ExtQSPIFlashSection"
#else
__attribute__((section(".ExtQSPIFlashSection")))
#endif
GUI_CONST_STORAGE unsigned char acGUI_FontRounded22_004E[ 90] = { /* Code 004E, LATIN CAPITAL LETTER N */
  0x01, 0x20, 0x00, 0x00, 0x01, 0x20,
  0x6F, 0xF8, 0x00, 0x00, 0x1E, 0xF8,
  0xAF, 0xFF, 0x30, 0x00, 0x2F, 0xFB,
  0xBF, 0xFF, 0xC0, 0x00, 0x2F, 0xFB,
  0xBF, 0xFF, 0xF7, 0x00, 0x2F, 0xFB,
  0xBF, 0xFC, 0xFE, 0x20, 0x2F, 0xFB,
  0xBF, 0xF4, 0xEF, 0xB0, 0x2F, 0xFB,
  0xBF, 0xF2, 0x7F, 0xF5, 0x2F, 0xFB,
  0xBF, 0xF2, 0x0C, 0xFD, 0x3F, 0xFB,
  0xBF, 0xF2, 0x03, 0xFF, 0xAF, 0xFB,
  0xBF, 0xF2, 0x00, 0x8F, 0xFF, 0xFB,
  0xBF, 0xF2, 0x00, 0x0D, 0xFF, 0xFB,
  0xBF, 0xF2, 0x00, 0x04, 0xFF, 0xFA,
  0x8F, 0xE1, 0x00, 0x00, 0x9F, 0xF6,
  0x03, 0x10, 0x00, 0x00, 0x03, 0x30
};

#if defined ( __ICCARM__ )
#pragma location="ExtQSPIFlashSection"
#else
__attribute__((section(".ExtQSPIFlashSection")))
#endif
GUI_CONST_STORAGE unsigned char acGUI_FontRounded22_004F[105] = { /* Code 004F, LATIN CAPITAL LETTER O */
  0x00, 0x00, 0x01, 0x34, 0x30, 0x00, 0x00,
  0x00, 0x03, 0xBF, 0xFF, 0xFE, 0x91, 0x00,
  0x00, 0x6F, 0xFF, 0xFF, 0xFF, 0xFE, 0x20,
  0x03, 0xFF, 0xF9, 0x32, 0x4B, 0xFF, 0xD0,
  0x0B, 0xFF, 0x80, 0x00, 0x00, 0xCF, 0xF6,
  0x0F, 0xFF, 0x10, 0x00, 0x00, 0x5F, 0xFA,
  0x2F, 0xFC, 0x00, 0x00, 0x00, 0x2F, 0xFD,
  0x4F, 0xFB, 0x00, 0x00, 0x00, 0x2F, 0xFD,
  0x2F, 0xFC, 0x00, 0x00, 0x00, 0x2F, 0xFC,
  0x0F, 0xFF, 0x10, 0x00, 0x00, 0x5F, 0xF9,
  0x0A, 0xFF, 0x70, 0x00, 0x00, 0xCF, 0xF4,
  0x03, 0xFF, 0xF8, 0x22, 0x3B, 0xFF, 0xC0,
  0x00, 0x7F, 0xFF, 0xFF, 0xFF, 0xFD, 0x20,
  0x00, 0x05, 0xDF, 0xFF, 0xFF, 0x91, 0x00,
  0x00, 0x00, 0x02, 0x44, 0x31, 0x00, 0x00
};

#if defined ( __ICCARM__ )
#pragma location="ExtQSPIFlashSection"
#else
__attribute__((section(".ExtQSPIFlashSection")))
#endif
GUI_CONST_STORAGE unsigned char acGUI_FontRounded22_0050[ 84] = { /* Code 0050, LATIN CAPITAL LETTER P */
  0x3D, 0xFF, 0xFF, 0xFD, 0xA3, 0x00,
  0x9F, 0xFF, 0xFF, 0xFF, 0xFF, 0x40,
  0x9F, 0xF9, 0x66, 0x6B, 0xFF, 0xC0,
  0x9F, 0xF6, 0x00, 0x00, 0xEF, 0xF1,
  0x9F, 0xF6, 0x00, 0x00, 0xEF, 0xF1,
  0x9F, 0xF6, 0x00, 0x18, 0xFF, 0xD0,
  0x9F, 0xFF, 0xFF, 0xFF, 0xFF, 0x60,
  0x9F, 0xFF, 0xFF, 0xFF, 0xE6, 0x00,
  0x9F, 0xF8, 0x44, 0x43, 0x00, 0x00,
  0x9F, 0xF6, 0x00, 0x00, 0x00, 0x00,
  0x9F, 0xF6, 0x00, 0x00, 0x00, 0x00,
  0x9F, 0xF5, 0x00, 0x00, 0x00, 0x00,
  0x6F, 0xE2, 0x00, 0x00, 0x00, 0x00,
  0x03, 0x20, 0x00, 0x00, 0x00, 0x00
};

#if defined ( __ICCARM__ )
#pragma location="ExtQSPIFlashSection"
#else
__attribute__((section(".ExtQSPIFlashSection")))
#endif
GUI_CONST_STORAGE unsigned char acGUI_FontRounded22_0051[105] = { /* Code 0051, LATIN CAPITAL LETTER Q */
  0x00, 0x00, 0x01, 0x34, 0x30, 0x00, 0x00,
  0x00, 0x03, 0xBF, 0xFF, 0xFE, 0x91, 0x00,
  0x00, 0x6F, 0xFF, 0xFF, 0xFF, 0xFE, 0x20,
  0x03, 0xFF, 0xF9, 0x32, 0x4B, 0xFF, 0xD0,
  0x0B, 0xFF, 0x80, 0x00, 0x00, 0xCF, 0xF6,
  0x0F, 0xFF, 0x10, 0x00, 0x00, 0x5F, 0xFA,
  0x2F, 0xFC, 0x00, 0x00, 0x00, 0x2F, 0xFD,
  0x4F, 0xFB, 0x00, 0x00, 0x00, 0x2F, 0xFD,
  0x2F, 0xFC, 0x00, 0x00, 0x00, 0x2F, 0xFC,
  0x0F, 0xFF, 0x10, 0x04, 0xB2, 0x5F, 0xF9,
  0x0A, 0xFF, 0x70, 0x09, 0xFE, 0xCF, 0xF4,
  0x03, 0xFF, 0xF8, 0x23, 0xCF, 0xFF, 0xC0,
  0x00, 0x7F, 0xFF, 0xFF, 0xFF, 0xFF, 0x60,
  0x00, 0x05, 0xDF, 0xFF, 0xFF, 0xBF, 0xF4,
  0x00, 0x00, 0x02, 0x44, 0x30, 0x08, 0xF4
};

#if defined ( __ICCARM__ )
#pragma location="ExtQSPIFlashSection"
#else
__attribute__((section(".ExtQSPIFlashSection")))
#endif
GUI_CONST_STORAGE unsigned char acGUI_FontRounded22_0052[ 84] = { /* Code 0052, LATIN CAPITAL LETTER R */
  0x3D, 0xFF, 0xFF, 0xFE, 0xC7, 0x10,
  0x9F, 0xFF, 0xFF, 0xFF, 0xFF, 0xB0,
  0x9F, 0xF9, 0x66, 0x67, 0xEF, 0xF4,
  0x9F, 0xF6, 0x00, 0x00, 0x9F, 0xF7,
  0x9F, 0xF6, 0x00, 0x00, 0x8F, 0xF5,
  0x9F, 0xF8, 0x44, 0x46, 0xEF, 0xD0,
  0x9F, 0xFF, 0xFF, 0xFF, 0xFC, 0x20,
  0x9F, 0xFF, 0xFF, 0xFF, 0xFF, 0x70,
  0x9F, 0xF6, 0x00, 0x06, 0xFF, 0xE0,
  0x9F, 0xF6, 0x00, 0x00, 0xDF, 0xF0,
  0x9F, 0xF6, 0x00, 0x00, 0xBF, 0xF1,
  0x9F, 0xF5, 0x00, 0x00, 0xBF, 0xF5,
  0x6F, 0xE2, 0x00, 0x00, 0x5F, 0xF4,
  0x03, 0x20, 0x00, 0x00, 0x03, 0x20
};

#if defined ( __ICCARM__ )
#pragma location="ExtQSPIFlashSection"
#else
__attribute__((section(".ExtQSPIFlashSection")))
#endif
GUI_CONST_STORAGE unsigned char acGUI_FontRounded22_0053[ 90] = { /* Code 0053, LATIN CAPITAL LETTER S */
  0x00, 0x00, 0x24, 0x41, 0x00, 0x00,
  0x00, 0x5D, 0xFF, 0xFF, 0xC4, 0x00,
  0x07, 0xFF, 0xFF, 0xFF, 0xFF, 0x70,
  0x0E, 0xFE, 0x40, 0x16, 0xEF, 0xF0,
  0x2F, 0xFA, 0x00, 0x00, 0x4D, 0x90,
  0x1F, 0xFF, 0x72, 0x00, 0x00, 0x00,
  0x0B, 0xFF, 0xFF, 0xDA, 0x61, 0x00,
  0x01, 0xAF, 0xFF, 0xFF, 0xFE, 0x50,
  0x00, 0x01, 0x69, 0xDF, 0xFF, 0xF2,
  0x01, 0x10, 0x00, 0x02, 0xCF, 0xF7,
  0x2E, 0xF4, 0x00, 0x00, 0x6F, 0xF7,
  0x2F, 0xFE, 0x40, 0x02, 0xDF, 0xF5,
  0x09, 0xFF, 0xFE, 0xDF, 0xFF, 0xC0,
  0x00, 0x6D, 0xFF, 0xFF, 0xF9, 0x10,
  0x00, 0x00, 0x34, 0x43, 0x10, 0x00
};

#if defined ( __ICCARM__ )
#pragma location="ExtQSPIFlashSection"
#else
__attribute__((section(".ExtQSPIFlashSection")))
#endif
GUI_CONST_STORAGE unsigned char acGUI_FontRounded22_0054[ 84] = { /* Code 0054, LATIN CAPITAL LETTER T */
  0x6E, 0xFF, 0xFF, 0xFF, 0xFF, 0xE7,
  0xBF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFB,
  0x27, 0x77, 0xBF, 0xFB, 0x77, 0x72,
  0x00, 0x00, 0x7F, 0xF7, 0x00, 0x00,
  0x00, 0x00, 0x7F, 0xF7, 0x00, 0x00,
  0x00, 0x00, 0x7F, 0xF7, 0x00, 0x00,
  0x00, 0x00, 0x7F, 0xF7, 0x00, 0x00,
  0x00, 0x00, 0x7F, 0xF7, 0x00, 0x00,
  0x00, 0x00, 0x7F, 0xF7, 0x00, 0x00,
  0x00, 0x00, 0x7F, 0xF7, 0x00, 0x00,
  0x00, 0x00, 0x7F, 0xF7, 0x00, 0x00,
  0x00, 0x00, 0x7F, 0xF7, 0x00, 0x00,
  0x00, 0x00, 0x4F, 0xF4, 0x00, 0x00,
  0x00, 0x00, 0x02, 0x20, 0x00, 0x00
};

#if defined ( __ICCARM__ )
#pragma location="ExtQSPIFlashSection"
#else
__attribute__((section(".ExtQSPIFlashSection")))
#endif
GUI_CONST_STORAGE unsigned char acGUI_FontRounded22_0055[ 90] = { /* Code 0055, LATIN CAPITAL LETTER U */
  0x02, 0x10, 0x00, 0x00, 0x01, 0x20,
  0x6F, 0xE2, 0x00, 0x00, 0x2E, 0xF6,
  0x9F, 0xF5, 0x00, 0x00, 0x5F, 0xF9,
  0x9F, 0xF6, 0x00, 0x00, 0x6F, 0xF9,
  0x9F, 0xF6, 0x00, 0x00, 0x6F, 0xF9,
  0x9F, 0xF6, 0x00, 0x00, 0x6F, 0xF9,
  0x9F, 0xF6, 0x00, 0x00, 0x6F, 0xF9,
  0x9F, 0xF6, 0x00, 0x00, 0x6F, 0xF9,
  0x9F, 0xF6, 0x00, 0x00, 0x6F, 0xF9,
  0x9F, 0xF6, 0x00, 0x00, 0x6F, 0xF9,
  0x7F, 0xF7, 0x00, 0x00, 0x7F, 0xF8,
  0x3F, 0xFE, 0x62, 0x26, 0xEF, 0xF3,
  0x0A, 0xFF, 0xFF, 0xFF, 0xFF, 0xA0,
  0x00, 0x7E, 0xFF, 0xFF, 0xE7, 0x00,
  0x00, 0x00, 0x34, 0x43, 0x00, 0x00
};

#if defined ( __ICCARM__ )
#pragma location="ExtQSPIFlashSection"
#else
__attribute__((section(".ExtQSPIFlashSection")))
#endif
GUI_CONST_STORAGE unsigned char acGUI_FontRounded22_0056[ 90] = { /* Code 0056, LATIN CAPITAL LETTER V */
  0x02, 0x00, 0x00, 0x00, 0x01, 0x10,
  0xAF, 0xC0, 0x00, 0x00, 0x2E, 0xF5,
  0xCF, 0xF4, 0x00, 0x00, 0x7F, 0xF7,
  0x7F, 0xF9, 0x00, 0x00, 0xCF, 0xF2,
  0x2F, 0xFD, 0x00, 0x02, 0xFF, 0xB0,
  0x0B, 0xFF, 0x30, 0x07, 0xFF, 0x60,
  0x06, 0xFF, 0x70, 0x0B, 0xFF, 0x10,
  0x01, 0xFF, 0xB0, 0x1F, 0xFA, 0x00,
  0x00, 0xAF, 0xF1, 0x6F, 0xF5, 0x00,
  0x00, 0x5F, 0xF6, 0xBF, 0xE0, 0x00,
  0x00, 0x0E, 0xFB, 0xFF, 0x80, 0x00,
  0x00, 0x09, 0xFF, 0xFF, 0x30, 0x00,
  0x00, 0x04, 0xFF, 0xFD, 0x00, 0x00,
  0x00, 0x00, 0xCF, 0xF6, 0x00, 0x00,
  0x00, 0x00, 0x03, 0x20, 0x00, 0x00
};

#if defined ( __ICCARM__ )
#pragma location="ExtQSPIFlashSection"
#else
__attribute__((section(".ExtQSPIFlashSection")))
#endif
GUI_CONST_STORAGE unsigned char acGUI_FontRounded22_0057[135] = { /* Code 0057, LATIN CAPITAL LETTER W */
  0x02, 0x00, 0x00, 0x01, 0x20, 0x00, 0x00, 0x11, 0x00,
  0xAF, 0xC0, 0x00, 0x2E, 0xFB, 0x00, 0x01, 0xEF, 0x50,
  0xCF, 0xF1, 0x00, 0x6F, 0xFF, 0x10, 0x05, 0xFF, 0x70,
  0x8F, 0xF4, 0x00, 0x9F, 0xFF, 0x40, 0x08, 0xFF, 0x30,
  0x4F, 0xF7, 0x00, 0xCF, 0xFF, 0x80, 0x0B, 0xFE, 0x00,
  0x1F, 0xFA, 0x01, 0xFF, 0xAF, 0xB0, 0x0E, 0xFB, 0x00,
  0x0C, 0xFD, 0x05, 0xFE, 0x4F, 0xF0, 0x3F, 0xF7, 0x00,
  0x08, 0xFF, 0x18, 0xFA, 0x0F, 0xF3, 0x6F, 0xF3, 0x00,
  0x04, 0xFF, 0x4B, 0xF7, 0x0B, 0xF7, 0x9F, 0xE0, 0x00,
  0x00, 0xFF, 0x8F, 0xF3, 0x08, 0xFA, 0xCF, 0xA0, 0x00,
  0x00, 0xBF, 0xDF, 0xE0, 0x04, 0xFE, 0xFF, 0x70, 0x00,
  0x00, 0x7F, 0xFF, 0xA0, 0x01, 0xFF, 0xFF, 0x20, 0x00,
  0x00, 0x4F, 0xFF, 0x70, 0x00, 0xCF, 0xFE, 0x00, 0x00,
  0x00, 0x0C, 0xFE, 0x20, 0x00, 0x6F, 0xF8, 0x00, 0x00,
  0x00, 0x01, 0x41, 0x00, 0x00, 0x03, 0x30, 0x00, 0x00
};

#if defined ( __ICCARM__ )
#pragma location="ExtQSPIFlashSection"
#else
__attribute__((section(".ExtQSPIFlashSection")))
#endif
GUI_CONST_STORAGE unsigned char acGUI_FontRounded22_0058[ 90] = { /* Code 0058, LATIN CAPITAL LETTER X */
  0x01, 0x10, 0x00, 0x00, 0x11, 0x00,
  0x3F, 0xF3, 0x00, 0x04, 0xFF, 0x20,
  0x5F, 0xFC, 0x00, 0x0D, 0xFF, 0x30,
  0x0D, 0xFF, 0x60, 0x8F, 0xFA, 0x00,
  0x03, 0xFF, 0xE3, 0xFF, 0xD1, 0x00,
  0x00, 0x8F, 0xFF, 0xFF, 0x40, 0x00,
  0x00, 0x0D, 0xFF, 0xF9, 0x00, 0x00,
  0x00, 0x07, 0xFF, 0xF3, 0x00, 0x00,
  0x00, 0x2F, 0xFF, 0xFC, 0x00, 0x00,
  0x00, 0xCF, 0xFD, 0xFF, 0x70, 0x00,
  0x07, 0xFF, 0xB2, 0xFF, 0xF3, 0x00,
  0x3F, 0xFF, 0x20, 0x8F, 0xFC, 0x00,
  0xAF, 0xF7, 0x00, 0x0D, 0xFF, 0x60,
  0xAF, 0xC0, 0x00, 0x05, 0xFF, 0x40,
  0x03, 0x10, 0x00, 0x00, 0x32, 0x00
};

#if defined ( __ICCARM__ )
#pragma location="ExtQSPIFlashSection"
#else
__attribute__((section(".ExtQSPIFlashSection")))
#endif
GUI_CONST_STORAGE unsigned char acGUI_FontRounded22_0059[ 90] = { /* Code 0059, LATIN CAPITAL LETTER Y */
  0x02, 0x10, 0x00, 0x00, 0x02, 0x00,
  0x9F, 0xC0, 0x00, 0x00, 0xBF, 0x90,
  0xBF, 0xF7, 0x00, 0x05, 0xFF, 0xC0,
  0x4F, 0xFE, 0x10, 0x0D, 0xFF, 0x40,
  0x0A, 0xFF, 0x80, 0x6F, 0xFA, 0x00,
  0x01, 0xEF, 0xF2, 0xEF, 0xE2, 0x00,
  0x00, 0x7F, 0xFE, 0xFF, 0x70, 0x00,
  0x00, 0x0C, 0xFF, 0xFD, 0x00, 0x00,
  0x00, 0x03, 0xFF, 0xF4, 0x00, 0x00,
  0x00, 0x00, 0xFF, 0xF0, 0x00, 0x00,
  0x00, 0x00, 0xFF, 0xF0, 0x00, 0x00,
  0x00, 0x00, 0xFF, 0xF0, 0x00, 0x00,
  0x00, 0x00, 0xFF, 0xF0, 0x00, 0x00,
  0x00, 0x00, 0xCF, 0xC0, 0x00, 0x00,
  0x00, 0x00, 0x03, 0x00, 0x00, 0x00
};

#if defined ( __ICCARM__ )
#pragma location="ExtQSPIFlashSection"
#else
__attribute__((section(".ExtQSPIFlashSection")))
#endif
GUI_CONST_STORAGE unsigned char acGUI_FontRounded22_005A[ 78] = { /* Code 005A, LATIN CAPITAL LETTER Z */
  0x09, 0xFF, 0xFF, 0xFF, 0xFF, 0xE6,
  0x0E, 0xFF, 0xFF, 0xFF, 0xFF, 0xFA,
  0x03, 0x77, 0x77, 0x7B, 0xFF, 0xF4,
  0x00, 0x00, 0x00, 0x3E, 0xFF, 0x60,
  0x00, 0x00, 0x01, 0xDF, 0xF8, 0x00,
  0x00, 0x00, 0x0C, 0xFF, 0xB0, 0x00,
  0x00, 0x00, 0xAF, 0xFC, 0x10, 0x00,
  0x00, 0x07, 0xFF, 0xE2, 0x00, 0x00,
  0x00, 0x5F, 0xFF, 0x30, 0x00, 0x00,
  0x03, 0xFF, 0xF5, 0x00, 0x00, 0x00,
  0x2E, 0xFF, 0xD7, 0x77, 0x77, 0x72,
  0x7F, 0xFF, 0xFF, 0xFF, 0xFF, 0xFB,
  0x3D, 0xFF, 0xFF, 0xFF, 0xFF, 0xF7
};

#if defined ( __ICCARM__ )
#pragma location="ExtQSPIFlashSection"
#else
__attribute__((section(".ExtQSPIFlashSection")))
#endif
GUI_CONST_STORAGE unsigned char acGUI_FontRounded22_005B[ 51] = { /* Code 005B, LEFT SQUARE BRACKET */
  0x3D, 0xFF, 0xE2,
  0x7F, 0xFF, 0xE2,
  0x7F, 0xF0, 0x00,
  0x7F, 0xF0, 0x00,
  0x7F, 0xF0, 0x00,
  0x7F, 0xF0, 0x00,
  0x7F, 0xF0, 0x00,
  0x7F, 0xF0, 0x00,
  0x7F, 0xF0, 0x00,
  0x7F, 0xF0, 0x00,
  0x7F, 0xF0, 0x00,
  0x7F, 0xF0, 0x00,
  0x7F, 0xF0, 0x00,
  0x7F, 0xF0, 0x00,
  0x7F, 0xF9, 0x91,
  0x4F, 0xFF, 0xF3,
  0x03, 0x66, 0x40
};

#if defined ( __ICCARM__ )
#pragma location="ExtQSPIFlashSection"
#else
__attribute__((section(".ExtQSPIFlashSection")))
#endif
GUI_CONST_STORAGE unsigned char acGUI_FontRounded22_005C[ 60] = { /* Code 005C, REVERSE SOLIDUS */
  0x12, 0x00, 0x00, 0x00,
  0xCF, 0x10, 0x00, 0x00,
  0x9F, 0x70, 0x00, 0x00,
  0x4F, 0xC0, 0x00, 0x00,
  0x0D, 0xF3, 0x00, 0x00,
  0x07, 0xF9, 0x00, 0x00,
  0x02, 0xFE, 0x00, 0x00,
  0x00, 0xBF, 0x50, 0x00,
  0x00, 0x5F, 0xB0, 0x00,
  0x00, 0x0E, 0xF2, 0x00,
  0x00, 0x09, 0xF7, 0x00,
  0x00, 0x03, 0xFD, 0x00,
  0x00, 0x00, 0xCF, 0x40,
  0x00, 0x00, 0x6F, 0x70,
  0x00, 0x00, 0x04, 0x00
};

#if defined ( __ICCARM__ )
#pragma location="ExtQSPIFlashSection"
#else
__attribute__((section(".ExtQSPIFlashSection")))
#endif
GUI_CONST_STORAGE unsigned char acGUI_FontRounded22_005D[ 51] = { /* Code 005D, RIGHT SQUARE BRACKET */
  0xBF, 0xFE, 0x60,
  0xCF, 0xFF, 0xB0,
  0x00, 0x9F, 0xB0,
  0x00, 0x9F, 0xB0,
  0x00, 0x9F, 0xB0,
  0x00, 0x9F, 0xB0,
  0x00, 0x9F, 0xB0,
  0x00, 0x9F, 0xB0,
  0x00, 0x9F, 0xB0,
  0x00, 0x9F, 0xB0,
  0x00, 0x9F, 0xB0,
  0x00, 0x9F, 0xB0,
  0x00, 0x9F, 0xB0,
  0x00, 0x9F, 0xB0,
  0x79, 0xDF, 0xB0,
  0xEF, 0xFF, 0x90,
  0x25, 0x64, 0x00
};

#if defined ( __ICCARM__ )
#pragma location="ExtQSPIFlashSection"
#else
__attribute__((section(".ExtQSPIFlashSection")))
#endif
GUI_CONST_STORAGE unsigned char acGUI_FontRounded22_005E[ 40] = { /* Code 005E, CIRCUMFLEX ACCENT */
  0x00, 0x03, 0x72, 0x00, 0x00,
  0x00, 0x0E, 0xFB, 0x00, 0x00,
  0x00, 0x7F, 0xFF, 0x50, 0x00,
  0x01, 0xEF, 0xAF, 0xD0, 0x00,
  0x09, 0xFB, 0x0D, 0xF6, 0x00,
  0x2F, 0xF3, 0x06, 0xFE, 0x10,
  0xAF, 0x90, 0x00, 0xCF, 0x70,
  0x69, 0x10, 0x00, 0x39, 0x50
};

#if defined ( __ICCARM__ )
#pragma location="ExtQSPIFlashSection"
#else
__attribute__((section(".ExtQSPIFlashSection")))
#endif
GUI_CONST_STORAGE unsigned char acGUI_FontRounded22_005F[ 12] = { /* Code 005F, LOW LINE */
  0x49, 0x99, 0x99, 0x99, 0x99, 0x40,
  0x14, 0x44, 0x44, 0x44, 0x44, 0x10
};

#if defined ( __ICCARM__ )
#pragma location="ExtQSPIFlashSection"
#else
__attribute__((section(".ExtQSPIFlashSection")))
#endif
GUI_CONST_STORAGE unsigned char acGUI_FontRounded22_0060[  8] = { /* Code 0060, GRAVE ACCENT */
  0x78, 0x00,
  0xEF, 0xC2,
  0x3C, 0xFE,
  0x00, 0x78
};

#if defined ( __ICCARM__ )
#pragma location="ExtQSPIFlashSection"
#else
__attribute__((section(".ExtQSPIFlashSection")))
#endif
GUI_CONST_STORAGE unsigned char acGUI_FontRounded22_0061[ 55] = { /* Code 0061, LATIN SMALL LETTER A */
  0x00, 0x05, 0x99, 0x96, 0x10,
  0x02, 0xDF, 0xFF, 0xFF, 0xE3,
  0x09, 0xFE, 0x74, 0x8F, 0xFB,
  0x04, 0xB3, 0x00, 0x0E, 0xFB,
  0x00, 0x15, 0x79, 0xCF, 0xFB,
  0x06, 0xFF, 0xFF, 0xDE, 0xFB,
  0x2F, 0xFC, 0x41, 0x0D, 0xFB,
  0x4F, 0xF6, 0x00, 0x3F, 0xFB,
  0x2F, 0xFE, 0x89, 0xEE, 0xFD,
  0x05, 0xEF, 0xFE, 0x67, 0xFE,
  0x00, 0x13, 0x30, 0x00, 0x31
};

#if defined ( __ICCARM__ )
#pragma location="ExtQSPIFlashSection"
#else
__attribute__((section(".ExtQSPIFlashSection")))
#endif
GUI_CONST_STORAGE unsigned char acGUI_FontRounded22_0062[ 75] = { /* Code 0062, LATIN SMALL LETTER B */
  0x02, 0x00, 0x00, 0x00, 0x00,
  0xCF, 0x80, 0x00, 0x00, 0x00,
  0xFF, 0x90, 0x00, 0x00, 0x00,
  0xFF, 0x90, 0x00, 0x00, 0x00,
  0xFF, 0x92, 0x89, 0x71, 0x00,
  0xFF, 0xCE, 0xFF, 0xFE, 0x20,
  0xFF, 0xFB, 0x69, 0xFF, 0xB0,
  0xFF, 0xE0, 0x00, 0xAF, 0xF2,
  0xFF, 0x90, 0x00, 0x5F, 0xF4,
  0xFF, 0x80, 0x00, 0x4F, 0xF6,
  0xFF, 0xB0, 0x00, 0x7F, 0xF3,
  0xFF, 0xF3, 0x02, 0xDF, 0xE0,
  0xFF, 0xEF, 0xDF, 0xFF, 0x70,
  0xDF, 0x6C, 0xFF, 0xF7, 0x00,
  0x13, 0x00, 0x33, 0x10, 0x00
};

#if defined ( __ICCARM__ )
#pragma location="ExtQSPIFlashSection"
#else
__attribute__((section(".ExtQSPIFlashSection")))
#endif
GUI_CONST_STORAGE unsigned char acGUI_FontRounded22_0063[ 55] = { /* Code 0063, LATIN SMALL LETTER C */
  0x00, 0x05, 0x99, 0x83, 0x00,
  0x01, 0xCF, 0xFF, 0xFF, 0xA0,
  0x0B, 0xFF, 0xA6, 0xBF, 0xF3,
  0x3F, 0xF9, 0x00, 0x0B, 0xD2,
  0x6F, 0xF4, 0x00, 0x00, 0x00,
  0x7F, 0xF2, 0x00, 0x00, 0x00,
  0x5F, 0xF4, 0x00, 0x04, 0x70,
  0x2F, 0xFC, 0x10, 0x3F, 0xF4,
  0x09, 0xFF, 0xED, 0xFF, 0xE1,
  0x00, 0x8E, 0xFF, 0xFC, 0x30,
  0x00, 0x00, 0x34, 0x20, 0x00
};

#if defined ( __ICCARM__ )
#pragma location="ExtQSPIFlashSection"
#else
__attribute__((section(".ExtQSPIFlashSection")))
#endif
GUI_CONST_STORAGE unsigned char acGUI_FontRounded22_0064[ 75] = { /* Code 0064, LATIN SMALL LETTER D */
  0x00, 0x00, 0x00, 0x00, 0x20,
  0x00, 0x00, 0x00, 0x08, 0xFC,
  0x00, 0x00, 0x00, 0x09, 0xFF,
  0x00, 0x00, 0x00, 0x09, 0xFF,
  0x00, 0x17, 0x98, 0x29, 0xFF,
  0x02, 0xEF, 0xFF, 0xEC, 0xFF,
  0x0B, 0xFF, 0x96, 0xBF, 0xFF,
  0x2F, 0xFA, 0x00, 0x0E, 0xFF,
  0x5F, 0xF5, 0x00, 0x09, 0xFF,
  0x6F, 0xF4, 0x00, 0x08, 0xFF,
  0x4F, 0xF7, 0x00, 0x0B, 0xFF,
  0x1E, 0xFD, 0x20, 0x3F, 0xFF,
  0x07, 0xFF, 0xFD, 0xFE, 0xFF,
  0x00, 0x7F, 0xFF, 0xC6, 0xFD,
  0x00, 0x01, 0x32, 0x00, 0x31
};

#if defined ( __ICCARM__ )
#pragma location="ExtQSPIFlashSection"
#else
__attribute__((section(".ExtQSPIFlashSection")))
#endif
GUI_CONST_STORAGE unsigned char acGUI_FontRounded22_0065[ 66] = { /* Code 0065, LATIN SMALL LETTER E */
  0x00, 0x03, 0x89, 0x95, 0x00, 0x00,
  0x00, 0xAF, 0xFF, 0xFF, 0xC1, 0x00,
  0x09, 0xFF, 0x74, 0x6E, 0xFB, 0x00,
  0x1F, 0xF8, 0x00, 0x05, 0xFF, 0x30,
  0x4F, 0xFC, 0xBB, 0xBC, 0xFF, 0x60,
  0x6F, 0xFC, 0xBB, 0xBB, 0xBB, 0x30,
  0x4F, 0xF6, 0x00, 0x00, 0x10, 0x00,
  0x0E, 0xFD, 0x20, 0x06, 0xFA, 0x00,
  0x05, 0xFF, 0xFD, 0xEF, 0xFA, 0x00,
  0x00, 0x5D, 0xFF, 0xFE, 0x91, 0x00,
  0x00, 0x00, 0x24, 0x30, 0x00, 0x00
};

#if defined ( __ICCARM__ )
#pragma location="ExtQSPIFlashSection"
#else
__attribute__((section(".ExtQSPIFlashSection")))
#endif
GUI_CONST_STORAGE unsigned char acGUI_FontRounded22_0066[ 60] = { /* Code 0066, LATIN SMALL LETTER F */
  0x00, 0x01, 0x42, 0x00,
  0x00, 0x6F, 0xFF, 0x50,
  0x01, 0xFF, 0xFD, 0x40,
  0x02, 0xFF, 0x80, 0x00,
  0x37, 0xFF, 0xA6, 0x10,
  0xBF, 0xFF, 0xFF, 0x70,
  0x26, 0xFF, 0xA4, 0x10,
  0x02, 0xFF, 0x70, 0x00,
  0x02, 0xFF, 0x70, 0x00,
  0x02, 0xFF, 0x70, 0x00,
  0x02, 0xFF, 0x70, 0x00,
  0x02, 0xFF, 0x70, 0x00,
  0x02, 0xFF, 0x70, 0x00,
  0x01, 0xEF, 0x60, 0x00,
  0x00, 0x13, 0x00, 0x00
};

#if defined ( __ICCARM__ )
#pragma location="ExtQSPIFlashSection"
#else
__attribute__((section(".ExtQSPIFlashSection")))
#endif
GUI_CONST_STORAGE unsigned char acGUI_FontRounded22_0067[ 70] = { /* Code 0067, LATIN SMALL LETTER G */
  0x00, 0x16, 0x98, 0x31, 0x96,
  0x02, 0xDF, 0xFF, 0xFA, 0xFE,
  0x0B, 0xFF, 0xA6, 0xBF, 0xFF,
  0x2F, 0xF9, 0x00, 0x0C, 0xFF,
  0x5F, 0xF5, 0x00, 0x09, 0xFF,
  0x6F, 0xF4, 0x00, 0x09, 0xFF,
  0x3F, 0xF8, 0x00, 0x0C, 0xFF,
  0x0E, 0xFF, 0x64, 0x8F, 0xFF,
  0x04, 0xFF, 0xFF, 0xFE, 0xFF,
  0x00, 0x38, 0xBA, 0x49, 0xFF,
  0x01, 0x61, 0x00, 0x0B, 0xFC,
  0x09, 0xFD, 0x32, 0x6F, 0xF7,
  0x05, 0xFF, 0xFF, 0xFF, 0xB1,
  0x00, 0x39, 0xCD, 0xB7, 0x00
};

#if defined ( __ICCARM__ )
#pragma location="ExtQSPIFlashSection"
#else
__attribute__((section(".ExtQSPIFlashSection")))
#endif
GUI_CONST_STORAGE unsigned char acGUI_FontRounded22_0068[ 75] = { /* Code 0068, LATIN SMALL LETTER H */
  0x02, 0x00, 0x00, 0x00, 0x00,
  0xCF, 0x80, 0x00, 0x00, 0x00,
  0xFF, 0x90, 0x00, 0x00, 0x00,
  0xFF, 0x90, 0x00, 0x00, 0x00,
  0xFF, 0x91, 0x79, 0x83, 0x00,
  0xFF, 0xBE, 0xFF, 0xFF, 0x40,
  0xFF, 0xFD, 0x8B, 0xFF, 0xB0,
  0xFF, 0xE1, 0x00, 0xDF, 0xE0,
  0xFF, 0xA0, 0x00, 0x9F, 0xF0,
  0xFF, 0x90, 0x00, 0x9F, 0xF0,
  0xFF, 0x90, 0x00, 0x9F, 0xF0,
  0xFF, 0x90, 0x00, 0x9F, 0xF0,
  0xFF, 0x90, 0x00, 0x9F, 0xF0,
  0xCF, 0x80, 0x00, 0x8F, 0xC0,
  0x13, 0x00, 0x00, 0x03, 0x10
};

#if defined ( __ICCARM__ )
#pragma location="ExtQSPIFlashSection"
#else
__attribute__((section(".ExtQSPIFlashSection")))
#endif
GUI_CONST_STORAGE unsigned char acGUI_FontRounded22_0069[ 30] = { /* Code 0069, LATIN SMALL LETTER I */
  0x04, 0x00,
  0xAF, 0xB0,
  0xCF, 0xC0,
  0x27, 0x20,
  0x49, 0x40,
  0xCF, 0xC0,
  0xDF, 0xD0,
  0xDF, 0xD0,
  0xDF, 0xD0,
  0xDF, 0xD0,
  0xDF, 0xD0,
  0xDF, 0xD0,
  0xDF, 0xD0,
  0xAF, 0xA0,
  0x04, 0x00
};

#if defined ( __ICCARM__ )
#pragma location="ExtQSPIFlashSection"
#else
__attribute__((section(".ExtQSPIFlashSection")))
#endif
GUI_CONST_STORAGE unsigned char acGUI_FontRounded22_006A[ 54] = { /* Code 006A, LATIN SMALL LETTER J */
  0x00, 0x04, 0x00,
  0x00, 0xAF, 0xB0,
  0x00, 0xCF, 0xC0,
  0x00, 0x27, 0x20,
  0x00, 0x49, 0x40,
  0x00, 0xCF, 0xC0,
  0x00, 0xDF, 0xD0,
  0x00, 0xDF, 0xD0,
  0x00, 0xDF, 0xD0,
  0x00, 0xDF, 0xD0,
  0x00, 0xDF, 0xD0,
  0x00, 0xDF, 0xD0,
  0x00, 0xDF, 0xD0,
  0x00, 0xDF, 0xD0,
  0x00, 0xDF, 0xD0,
  0x05, 0xEF, 0xB0,
  0x4F, 0xFF, 0x80,
  0x1A, 0xB7, 0x00
};

#if defined ( __ICCARM__ )
#pragma location="ExtQSPIFlashSection"
#else
__attribute__((section(".ExtQSPIFlashSection")))
#endif
GUI_CONST_STORAGE unsigned char acGUI_FontRounded22_006B[ 75] = { /* Code 006B, LATIN SMALL LETTER K */
  0x02, 0x00, 0x00, 0x00, 0x00,
  0xCF, 0x80, 0x00, 0x00, 0x00,
  0xFF, 0x90, 0x00, 0x00, 0x00,
  0xFF, 0x90, 0x00, 0x00, 0x00,
  0xFF, 0x90, 0x02, 0x93, 0x00,
  0xFF, 0x90, 0x1D, 0xFC, 0x00,
  0xFF, 0x91, 0xDF, 0xF5, 0x00,
  0xFF, 0xAB, 0xFF, 0x60, 0x00,
  0xFF, 0xFF, 0xFB, 0x00, 0x00,
  0xFF, 0xFF, 0xFF, 0x40, 0x00,
  0xFF, 0xE6, 0xFF, 0xE2, 0x00,
  0xFF, 0x90, 0x6F, 0xFB, 0x00,
  0xFF, 0x90, 0x0B, 0xFF, 0x60,
  0xCF, 0x80, 0x01, 0xEF, 0x50,
  0x13, 0x00, 0x00, 0x13, 0x00
};

#if defined ( __ICCARM__ )
#pragma location="ExtQSPIFlashSection"
#else
__attribute__((section(".ExtQSPIFlashSection")))
#endif
GUI_CONST_STORAGE unsigned char acGUI_FontRounded22_006C[ 30] = { /* Code 006C, LATIN SMALL LETTER L */
  0x02, 0x00,
  0xAF, 0xA0,
  0xDF, 0xD0,
  0xDF, 0xD0,
  0xDF, 0xD0,
  0xDF, 0xD0,
  0xDF, 0xD0,
  0xDF, 0xD0,
  0xDF, 0xD0,
  0xDF, 0xD0,
  0xDF, 0xD0,
  0xDF, 0xD0,
  0xDF, 0xD0,
  0xAF, 0xA0,
  0x03, 0x00
};

#if defined ( __ICCARM__ )
#pragma location="ExtQSPIFlashSection"
#else
__attribute__((section(".ExtQSPIFlashSection")))
#endif
GUI_CONST_STORAGE unsigned char acGUI_FontRounded22_006D[ 88] = { /* Code 006D, LATIN SMALL LETTER M */
  0x59, 0x11, 0x79, 0x82, 0x03, 0x89, 0x72, 0x00,
  0xEF, 0x9D, 0xFF, 0xFE, 0x6F, 0xFF, 0xFE, 0x20,
  0xFF, 0xFC, 0x8C, 0xFF, 0xFC, 0x8C, 0xFF, 0x70,
  0xFF, 0xE1, 0x02, 0xFF, 0xD1, 0x02, 0xFF, 0x90,
  0xFF, 0xA0, 0x00, 0xFF, 0xA0, 0x00, 0xFF, 0x90,
  0xFF, 0x90, 0x00, 0xFF, 0x90, 0x00, 0xFF, 0x90,
  0xFF, 0x90, 0x00, 0xFF, 0x90, 0x00, 0xFF, 0x90,
  0xFF, 0x90, 0x00, 0xFF, 0x90, 0x00, 0xFF, 0x90,
  0xFF, 0x90, 0x00, 0xFF, 0x90, 0x00, 0xFF, 0x90,
  0xCF, 0x80, 0x00, 0xDF, 0x80, 0x00, 0xDF, 0x70,
  0x13, 0x00, 0x00, 0x13, 0x00, 0x00, 0x13, 0x00
};

#if defined ( __ICCARM__ )
#pragma location="ExtQSPIFlashSection"
#else
__attribute__((section(".ExtQSPIFlashSection")))
#endif
GUI_CONST_STORAGE unsigned char acGUI_FontRounded22_006E[ 55] = { /* Code 006E, LATIN SMALL LETTER N */
  0x59, 0x11, 0x79, 0x83, 0x00,
  0xEF, 0x8E, 0xFF, 0xFF, 0x40,
  0xFF, 0xFD, 0x8B, 0xFF, 0xB0,
  0xFF, 0xE1, 0x00, 0xDF, 0xE0,
  0xFF, 0xA0, 0x00, 0x9F, 0xF0,
  0xFF, 0x90, 0x00, 0x9F, 0xF0,
  0xFF, 0x90, 0x00, 0x9F, 0xF0,
  0xFF, 0x90, 0x00, 0x9F, 0xF0,
  0xFF, 0x90, 0x00, 0x9F, 0xF0,
  0xCF, 0x80, 0x00, 0x8F, 0xC0,
  0x13, 0x00, 0x00, 0x03, 0x10
};

#if defined ( __ICCARM__ )
#pragma location="ExtQSPIFlashSection"
#else
__attribute__((section(".ExtQSPIFlashSection")))
#endif
GUI_CONST_STORAGE unsigned char acGUI_FontRounded22_006F[ 66] = { /* Code 006F, LATIN SMALL LETTER O */
  0x00, 0x04, 0x89, 0x84, 0x00, 0x00,
  0x01, 0xBF, 0xFF, 0xFF, 0xB1, 0x00,
  0x0A, 0xFF, 0x95, 0x8F, 0xFA, 0x00,
  0x1F, 0xFA, 0x00, 0x0A, 0xFF, 0x20,
  0x5F, 0xF5, 0x00, 0x05, 0xFF, 0x50,
  0x6F, 0xF4, 0x00, 0x04, 0xFF, 0x60,
  0x4F, 0xF7, 0x00, 0x06, 0xFF, 0x40,
  0x0E, 0xFD, 0x10, 0x1D, 0xFE, 0x10,
  0x07, 0xFF, 0xEB, 0xEF, 0xF7, 0x00,
  0x00, 0x6E, 0xFF, 0xFE, 0x60, 0x00,
  0x00, 0x00, 0x34, 0x30, 0x00, 0x00
};

#if defined ( __ICCARM__ )
#pragma location="ExtQSPIFlashSection"
#else
__attribute__((section(".ExtQSPIFlashSection")))
#endif
GUI_CONST_STORAGE unsigned char acGUI_FontRounded22_0070[ 70] = { /* Code 0070, LATIN SMALL LETTER P */
  0x69, 0x13, 0x99, 0x61, 0x00,
  0xEF, 0xAF, 0xFF, 0xFD, 0x20,
  0xFF, 0xFB, 0x6A, 0xFF, 0xB0,
  0xFF, 0xD0, 0x00, 0xAF, 0xF2,
  0xFF, 0x90, 0x00, 0x5F, 0xF4,
  0xFF, 0x80, 0x00, 0x4F, 0xF6,
  0xFF, 0xB0, 0x00, 0x7F, 0xF3,
  0xFF, 0xF3, 0x01, 0xDF, 0xE1,
  0xFF, 0xFF, 0xDE, 0xFF, 0x80,
  0xFF, 0xAB, 0xFF, 0xF9, 0x00,
  0xFF, 0x90, 0x24, 0x10, 0x00,
  0xFF, 0x90, 0x00, 0x00, 0x00,
  0xEF, 0x90, 0x00, 0x00, 0x00,
  0x6B, 0x30, 0x00, 0x00, 0x00
};

#if defined ( __ICCARM__ )
#pragma location="ExtQSPIFlashSection"
#else
__attribute__((section(".ExtQSPIFlashSection")))
#endif
GUI_CONST_STORAGE unsigned char acGUI_FontRounded22_0071[ 70] = { /* Code 0071, LATIN SMALL LETTER Q */
  0x00, 0x16, 0x99, 0x31, 0x96,
  0x02, 0xDF, 0xFF, 0xFA, 0xFE,
  0x0B, 0xFF, 0xA6, 0xBF, 0xFF,
  0x2F, 0xFA, 0x00, 0x0D, 0xFF,
  0x5F, 0xF5, 0x00, 0x09, 0xFF,
  0x6F, 0xF4, 0x00, 0x08, 0xFF,
  0x4F, 0xF7, 0x00, 0x0B, 0xFF,
  0x1F, 0xFD, 0x10, 0x3F, 0xFF,
  0x08, 0xFF, 0xED, 0xFF, 0xFF,
  0x00, 0x9F, 0xFF, 0xBA, 0xFF,
  0x00, 0x01, 0x42, 0x09, 0xFF,
  0x00, 0x00, 0x00, 0x09, 0xFF,
  0x00, 0x00, 0x00, 0x09, 0xFE,
  0x00, 0x00, 0x00, 0x03, 0xB6
};

#if defined ( __ICCARM__ )
#pragma location="ExtQSPIFlashSection"
#else
__attribute__((section(".ExtQSPIFlashSection")))
#endif
GUI_CONST_STORAGE unsigned char acGUI_FontRounded22_0072[ 44] = { /* Code 0072, LATIN SMALL LETTER R */
  0x49, 0x22, 0x97, 0x00,
  0xCF, 0x9E, 0xFF, 0x30,
  0xDF, 0xFF, 0xFB, 0x10,
  0xDF, 0xF5, 0x00, 0x00,
  0xDF, 0xE0, 0x00, 0x00,
  0xDF, 0xD0, 0x00, 0x00,
  0xDF, 0xD0, 0x00, 0x00,
  0xDF, 0xD0, 0x00, 0x00,
  0xDF, 0xD0, 0x00, 0x00,
  0xAF, 0xA0, 0x00, 0x00,
  0x04, 0x00, 0x00, 0x00
};

#if defined ( __ICCARM__ )
#pragma location="ExtQSPIFlashSection"
#else
__attribute__((section(".ExtQSPIFlashSection")))
#endif
GUI_CONST_STORAGE unsigned char acGUI_FontRounded22_0073[ 55] = { /* Code 0073, LATIN SMALL LETTER S */
  0x00, 0x48, 0x99, 0x61, 0x00,
  0x0A, 0xFF, 0xFF, 0xFE, 0x30,
  0x4F, 0xFA, 0x46, 0xEF, 0x80,
  0x6F, 0xF7, 0x00, 0x27, 0x10,
  0x2F, 0xFF, 0xFB, 0x82, 0x00,
  0x04, 0xCF, 0xFF, 0xFF, 0x50,
  0x03, 0x01, 0x59, 0xEF, 0xE0,
  0x4F, 0xC1, 0x00, 0xAF, 0xF0,
  0x3F, 0xFE, 0xAB, 0xFF, 0xA0,
  0x04, 0xCF, 0xFF, 0xF9, 0x10,
  0x00, 0x01, 0x33, 0x10, 0x00
};

#if defined ( __ICCARM__ )
#pragma location="ExtQSPIFlashSection"
#else
__attribute__((section(".ExtQSPIFlashSection")))
#endif
GUI_CONST_STORAGE unsigned char acGUI_FontRounded22_0074[ 56] = { /* Code 0074, LATIN SMALL LETTER T */
  0x00, 0x33, 0x00, 0x00,
  0x02, 0xFF, 0x40, 0x00,
  0x04, 0xFF, 0x60, 0x00,
  0x38, 0xFF, 0x95, 0x10,
  0xBF, 0xFF, 0xFF, 0x50,
  0x27, 0xFF, 0x94, 0x00,
  0x04, 0xFF, 0x60, 0x00,
  0x04, 0xFF, 0x60, 0x00,
  0x04, 0xFF, 0x60, 0x00,
  0x04, 0xFF, 0x60, 0x00,
  0x04, 0xFF, 0x60, 0x00,
  0x03, 0xFF, 0xEC, 0x30,
  0x00, 0xBF, 0xFF, 0x30,
  0x00, 0x02, 0x41, 0x00
};

#if defined ( __ICCARM__ )
#pragma location="ExtQSPIFlashSection"
#else
__attribute__((section(".ExtQSPIFlashSection")))
#endif
GUI_CONST_STORAGE unsigned char acGUI_FontRounded22_0075[ 55] = { /* Code 0075, LATIN SMALL LETTER U */
  0x59, 0x30, 0x00, 0x39, 0x50,
  0xEF, 0x90, 0x00, 0x9F, 0xE0,
  0xFF, 0x90, 0x00, 0x9F, 0xF0,
  0xFF, 0x90, 0x00, 0x9F, 0xF0,
  0xFF, 0x90, 0x00, 0x9F, 0xF0,
  0xFF, 0x90, 0x00, 0x9F, 0xF0,
  0xFF, 0xA0, 0x00, 0xBF, 0xF0,
  0xEF, 0xE2, 0x06, 0xFF, 0xF0,
  0x9F, 0xFF, 0xEF, 0xEF, 0xF0,
  0x1C, 0xFF, 0xF9, 0x5F, 0xD0,
  0x00, 0x24, 0x10, 0x03, 0x10
};

#if defined ( __ICCARM__ )
#pragma location="ExtQSPIFlashSection"
#else
__attribute__((section(".ExtQSPIFlashSection")))
#endif
GUI_CONST_STORAGE unsigned char acGUI_FontRounded22_0076[ 55] = { /* Code 0076, LATIN SMALL LETTER V */
  0x49, 0x20, 0x00, 0x29, 0x40,
  0xDF, 0xB0, 0x00, 0xBF, 0xD0,
  0xAF, 0xF1, 0x01, 0xFF, 0xA0,
  0x5F, 0xF5, 0x05, 0xFF, 0x50,
  0x0E, 0xF9, 0x09, 0xFE, 0x00,
  0x09, 0xFE, 0x0E, 0xF9, 0x00,
  0x03, 0xFF, 0x7F, 0xF3, 0x00,
  0x00, 0xDF, 0xEF, 0xD0, 0x00,
  0x00, 0x8F, 0xFF, 0x80, 0x00,
  0x00, 0x2F, 0xFF, 0x20, 0x00,
  0x00, 0x02, 0x42, 0x00, 0x00
};

#if defined ( __ICCARM__ )
#pragma location="ExtQSPIFlashSection"
#else
__attribute__((section(".ExtQSPIFlashSection")))
#endif
GUI_CONST_STORAGE unsigned char acGUI_FontRounded22_0077[ 77] = { /* Code 0077, LATIN SMALL LETTER W */
  0x39, 0x40, 0x01, 0x89, 0x10, 0x04, 0x93,
  0xBF, 0xB0, 0x07, 0xFF, 0x80, 0x0B, 0xFB,
  0x9F, 0xF1, 0x0B, 0xFF, 0xC0, 0x0F, 0xF9,
  0x4F, 0xF4, 0x0E, 0xFF, 0xF1, 0x3F, 0xF4,
  0x0E, 0xF7, 0x2F, 0xCC, 0xF3, 0x7F, 0xE0,
  0x0A, 0xFB, 0x5F, 0x88, 0xF7, 0xAF, 0xA0,
  0x06, 0xFE, 0x9F, 0x44, 0xFA, 0xDF, 0x60,
  0x01, 0xFF, 0xEF, 0x11, 0xFE, 0xFF, 0x10,
  0x00, 0xBF, 0xFC, 0x00, 0xCF, 0xFB, 0x00,
  0x00, 0x6F, 0xF7, 0x00, 0x7F, 0xF6, 0x00,
  0x00, 0x03, 0x30, 0x00, 0x03, 0x30, 0x00
};

#if defined ( __ICCARM__ )
#pragma location="ExtQSPIFlashSection"
#else
__attribute__((section(".ExtQSPIFlashSection")))
#endif
GUI_CONST_STORAGE unsigned char acGUI_FontRounded22_0078[ 55] = { /* Code 0078, LATIN SMALL LETTER X */
  0x18, 0x70, 0x00, 0x78, 0x00,
  0x7F, 0xF4, 0x05, 0xFF, 0x30,
  0x2F, 0xFD, 0x1E, 0xFD, 0x00,
  0x07, 0xFF, 0xDF, 0xF3, 0x00,
  0x00, 0xCF, 0xFF, 0x80, 0x00,
  0x00, 0x8F, 0xFF, 0x50, 0x00,
  0x04, 0xFF, 0xFF, 0xD1, 0x00,
  0x1D, 0xFE, 0x6F, 0xF9, 0x00,
  0x8F, 0xF5, 0x0B, 0xFF, 0x30,
  0x8F, 0xB0, 0x02, 0xEF, 0x30,
  0x03, 0x00, 0x00, 0x22, 0x00
};

#if defined ( __ICCARM__ )
#pragma location="ExtQSPIFlashSection"
#else
__attribute__((section(".ExtQSPIFlashSection")))
#endif
GUI_CONST_STORAGE unsigned char acGUI_FontRounded22_0079[ 70] = { /* Code 0079, LATIN SMALL LETTER Y */
  0x39, 0x40, 0x00, 0x39, 0x30,
  0xBF, 0xD0, 0x00, 0xCF, 0xB0,
  0x8F, 0xF2, 0x01, 0xFF, 0x80,
  0x3F, 0xF7, 0x05, 0xFF, 0x30,
  0x0D, 0xFB, 0x09, 0xFD, 0x00,
  0x08, 0xFE, 0x0D, 0xF7, 0x00,
  0x03, 0xFF, 0x6F, 0xF2, 0x00,
  0x00, 0xCF, 0xEF, 0xB0, 0x00,
  0x00, 0x7F, 0xFF, 0x70, 0x00,
  0x00, 0x2F, 0xFF, 0x10, 0x00,
  0x00, 0x0C, 0xFB, 0x00, 0x00,
  0x06, 0x8F, 0xF5, 0x00, 0x00,
  0x1F, 0xFF, 0xC0, 0x00, 0x00,
  0x07, 0xB8, 0x10, 0x00, 0x00
};

#if defined ( __ICCARM__ )
#pragma location="ExtQSPIFlashSection"
#else
__attribute__((section(".ExtQSPIFlashSection")))
#endif
GUI_CONST_STORAGE unsigned char acGUI_FontRounded22_007A[ 50] = { /* Code 007A, LATIN SMALL LETTER Z */
  0x03, 0x66, 0x66, 0x66, 0x50,
  0x0F, 0xFF, 0xFF, 0xFF, 0xF5,
  0x07, 0x99, 0x9B, 0xFF, 0xE1,
  0x00, 0x00, 0x1D, 0xFE, 0x30,
  0x00, 0x01, 0xDF, 0xF4, 0x00,
  0x00, 0x1B, 0xFF, 0x50, 0x00,
  0x00, 0xBF, 0xF7, 0x00, 0x00,
  0x0A, 0xFF, 0x80, 0x00, 0x00,
  0x5F, 0xFF, 0xFF, 0xFF, 0xF5,
  0x4F, 0xFF, 0xFF, 0xFF, 0xF4
};

#if defined ( __ICCARM__ )
#pragma location="ExtQSPIFlashSection"
#else
__attribute__((section(".ExtQSPIFlashSection")))
#endif
GUI_CONST_STORAGE unsigned char acGUI_FontRounded22_007B[ 68] = { /* Code 007B, LEFT CURLY BRACKET */
  0x00, 0x6D, 0xFE, 0x30,
  0x01, 0xFF, 0xC9, 0x20,
  0x03, 0xFF, 0x40, 0x00,
  0x04, 0xFF, 0x40, 0x00,
  0x04, 0xFF, 0x40, 0x00,
  0x04, 0xFF, 0x40, 0x00,
  0x04, 0xFF, 0x30, 0x00,
  0x8D, 0xFB, 0x00, 0x00,
  0xDF, 0xE7, 0x00, 0x00,
  0x06, 0xFF, 0x10, 0x00,
  0x04, 0xFF, 0x40, 0x00,
  0x04, 0xFF, 0x40, 0x00,
  0x04, 0xFF, 0x40, 0x00,
  0x03, 0xFF, 0x40, 0x00,
  0x02, 0xFF, 0x95, 0x00,
  0x00, 0xBF, 0xFF, 0x40,
  0x00, 0x03, 0x55, 0x00
};

#if defined ( __ICCARM__ )
#pragma location="ExtQSPIFlashSection"
#else
__attribute__((section(".ExtQSPIFlashSection")))
#endif
GUI_CONST_STORAGE unsigned char acGUI_FontRounded22_007C[ 30] = { /* Code 007C, VERTICAL LINE */
  0x02, 0x20,
  0x1E, 0xE1,
  0x2F, 0xF2,
  0x2F, 0xF2,
  0x2F, 0xF2,
  0x2F, 0xF2,
  0x2F, 0xF2,
  0x2F, 0xF2,
  0x2F, 0xF2,
  0x2F, 0xF2,
  0x2F, 0xF2,
  0x2F, 0xF2,
  0x2F, 0xF2,
  0x1F, 0xF1,
  0x02, 0x20
};

#if defined ( __ICCARM__ )
#pragma location="ExtQSPIFlashSection"
#else
__attribute__((section(".ExtQSPIFlashSection")))
#endif
GUI_CONST_STORAGE unsigned char acGUI_FontRounded22_007D[ 68] = { /* Code 007D, RIGHT CURLY BRACKET */
  0xCF, 0xEA, 0x00, 0x00,
  0x8B, 0xFF, 0x60, 0x00,
  0x00, 0xDF, 0x70, 0x00,
  0x00, 0xDF, 0x70, 0x00,
  0x00, 0xDF, 0x70, 0x00,
  0x00, 0xDF, 0x70, 0x00,
  0x00, 0xDF, 0x80, 0x00,
  0x00, 0x7F, 0xEA, 0x10,
  0x00, 0x3C, 0xFF, 0x30,
  0x00, 0xCF, 0xA0, 0x00,
  0x00, 0xDF, 0x70, 0x00,
  0x00, 0xDF, 0x70, 0x00,
  0x00, 0xDF, 0x70, 0x00,
  0x00, 0xDF, 0x70, 0x00,
  0x36, 0xFF, 0x70, 0x00,
  0xEF, 0xFE, 0x20, 0x00,
  0x36, 0x41, 0x00, 0x00
};

#if defined ( __ICCARM__ )
#pragma location="ExtQSPIFlashSection"
#else
__attribute__((section(".ExtQSPIFlashSection")))
#endif
GUI_CONST_STORAGE unsigned char acGUI_FontRounded22_007E[ 24] = { /* Code 007E, TILDE */
  0x02, 0xAB, 0x83, 0x00, 0x38, 0x00,
  0x0D, 0xFF, 0xFF, 0xBA, 0xFF, 0x00,
  0x4F, 0xC6, 0xAF, 0xFF, 0xF9, 0x00,
  0x06, 0x10, 0x01, 0x79, 0x50, 0x00
};

GUI_CONST_STORAGE GUI_CHARINFO_EXT GUI_FontRounded22_CharInfo[95] = {
   {   1,   1,   0,  18,   6, acGUI_FontRounded22_0020 } /* Code 0020, SPACE */
  ,{   4,  15,   1,   4,   6, acGUI_FontRounded22_0021 } /* Code 0021, EXCLAMATION MARK */
  ,{   7,   7,   1,   4,  10, acGUI_FontRounded22_0022 } /* Code 0022, QUOTATION MARK */
  ,{  11,  14,   0,   5,  11, acGUI_FontRounded22_0023 } /* Code 0023, NUMBER SIGN */
  ,{  11,  16,   0,   4,  11, acGUI_FontRounded22_0024 } /* Code 0024, DOLLAR SIGN */
  ,{  16,  15,   1,   4,  18, acGUI_FontRounded22_0025 } /* Code 0025, PERCENT SIGN */
  ,{  13,  15,   0,   4,  13, acGUI_FontRounded22_0026 } /* Code 0026, AMPERSAND */
  ,{   3,   7,   1,   4,   6, acGUI_FontRounded22_0027 } /* Code 0027, APOSTROPHE */
  ,{   5,  18,   1,   4,   6, acGUI_FontRounded22_0028 } /* Code 0028, LEFT PARENTHESIS */
  ,{   5,  18,   0,   4,   6, acGUI_FontRounded22_0029 } /* Code 0029, RIGHT PARENTHESIS */
  ,{   8,   8,   0,   4,   8, acGUI_FontRounded22_002A } /* Code 002A, ASTERISK */
  ,{  11,  11,   0,   7,  11, acGUI_FontRounded22_002B } /* Code 002B, PLUS SIGN */
  ,{   4,   6,   1,  15,   6, acGUI_FontRounded22_002C } /* Code 002C, COMMA */
  ,{   7,   4,   0,  11,   7, acGUI_FontRounded22_002D } /* Code 002D, HYPHEN-MINUS */
  ,{   4,   4,   1,  15,   6, acGUI_FontRounded22_002E } /* Code 002E, FULL STOP */
  ,{   7,  15,   0,   4,   7, acGUI_FontRounded22_002F } /* Code 002F, SOLIDUS */
  ,{  11,  14,   0,   5,  11, acGUI_FontRounded22_0030 } /* Code 0030, DIGIT ZERO */
  ,{   7,  14,  -1,   5,   7, acGUI_FontRounded22_0031 } /* Code 0031, DIGIT ONE */
  ,{  11,  13,   0,   5,  11, acGUI_FontRounded22_0032 } /* Code 0032, DIGIT TWO */
  ,{  10,  14,   0,   5,  11, acGUI_FontRounded22_0033 } /* Code 0033, DIGIT THREE */
  ,{  11,  14,   0,   5,  11, acGUI_FontRounded22_0034 } /* Code 0034, DIGIT FOUR */
  ,{  10,  14,   0,   5,  11, acGUI_FontRounded22_0035 } /* Code 0035, DIGIT FIVE */
  ,{  11,  14,   0,   5,  11, acGUI_FontRounded22_0036 } /* Code 0036, DIGIT SIX */
  ,{  10,  14,   0,   5,  10, acGUI_FontRounded22_0037 } /* Code 0037, DIGIT SEVEN */
  ,{  11,  14,   0,   5,  11, acGUI_FontRounded22_0038 } /* Code 0038, DIGIT EIGHT */
  ,{  11,  14,   0,   5,  11, acGUI_FontRounded22_0039 } /* Code 0039, DIGIT NINE */
  ,{   4,  11,   1,   8,   6, acGUI_FontRounded22_003A } /* Code 003A, COLON */
  ,{   4,  13,   1,   8,   6, acGUI_FontRounded22_003B } /* Code 003B, SEMICOLON */
  ,{  11,  10,   0,   8,  11, acGUI_FontRounded22_003C } /* Code 003C, LESS-THAN SIGN */
  ,{  11,   8,   0,   9,  11, acGUI_FontRounded22_003D } /* Code 003D, EQUALS SIGN */
  ,{  11,  10,   0,   8,  11, acGUI_FontRounded22_003E } /* Code 003E, GREATER-THAN SIGN */
  ,{  10,  15,   0,   4,  10, acGUI_FontRounded22_003F } /* Code 003F, QUESTION MARK */
  ,{  14,  15,   0,   4,  14, acGUI_FontRounded22_0040 } /* Code 0040, COMMERCIAL AT */
  ,{  12,  15,   0,   4,  12, acGUI_FontRounded22_0041 } /* Code 0041, LATIN CAPITAL LETTER A */
  ,{  12,  13,   1,   5,  13, acGUI_FontRounded22_0042 } /* Code 0042, LATIN CAPITAL LETTER B */
  ,{  12,  15,   1,   4,  13, acGUI_FontRounded22_0043 } /* Code 0043, LATIN CAPITAL LETTER C */
  ,{  12,  13,   1,   5,  14, acGUI_FontRounded22_0044 } /* Code 0044, LATIN CAPITAL LETTER D */
  ,{  11,  13,   1,   5,  12, acGUI_FontRounded22_0045 } /* Code 0045, LATIN CAPITAL LETTER E */
  ,{  11,  14,   1,   5,  11, acGUI_FontRounded22_0046 } /* Code 0046, LATIN CAPITAL LETTER F */
  ,{  13,  15,   1,   4,  15, acGUI_FontRounded22_0047 } /* Code 0047, LATIN CAPITAL LETTER G */
  ,{  12,  15,   1,   4,  14, acGUI_FontRounded22_0048 } /* Code 0048, LATIN CAPITAL LETTER H */
  ,{   4,  15,   1,   4,   6, acGUI_FontRounded22_0049 } /* Code 0049, LATIN CAPITAL LETTER I */
  ,{   9,  15,   0,   4,  10, acGUI_FontRounded22_004A } /* Code 004A, LATIN CAPITAL LETTER J */
  ,{  12,  15,   1,   4,  12, acGUI_FontRounded22_004B } /* Code 004B, LATIN CAPITAL LETTER K */
  ,{  10,  14,   1,   4,  11, acGUI_FontRounded22_004C } /* Code 004C, LATIN CAPITAL LETTER L */
  ,{  14,  15,   1,   4,  16, acGUI_FontRounded22_004D } /* Code 004D, LATIN CAPITAL LETTER M */
  ,{  12,  15,   1,   4,  14, acGUI_FontRounded22_004E } /* Code 004E, LATIN CAPITAL LETTER N */
  ,{  14,  15,   0,   4,  15, acGUI_FontRounded22_004F } /* Code 004F, LATIN CAPITAL LETTER O */
  ,{  12,  14,   1,   5,  13, acGUI_FontRounded22_0050 } /* Code 0050, LATIN CAPITAL LETTER P */
  ,{  14,  15,   0,   4,  15, acGUI_FontRounded22_0051 } /* Code 0051, LATIN CAPITAL LETTER Q */
  ,{  12,  14,   1,   5,  13, acGUI_FontRounded22_0052 } /* Code 0052, LATIN CAPITAL LETTER R */
  ,{  12,  15,   0,   4,  12, acGUI_FontRounded22_0053 } /* Code 0053, LATIN CAPITAL LETTER S */
  ,{  12,  14,   0,   5,  12, acGUI_FontRounded22_0054 } /* Code 0054, LATIN CAPITAL LETTER T */
  ,{  12,  15,   1,   4,  14, acGUI_FontRounded22_0055 } /* Code 0055, LATIN CAPITAL LETTER U */
  ,{  12,  15,   0,   4,  12, acGUI_FontRounded22_0056 } /* Code 0056, LATIN CAPITAL LETTER V */
  ,{  17,  15,   0,   4,  17, acGUI_FontRounded22_0057 } /* Code 0057, LATIN CAPITAL LETTER W */
  ,{  11,  15,   0,   4,  11, acGUI_FontRounded22_0058 } /* Code 0058, LATIN CAPITAL LETTER X */
  ,{  11,  15,   0,   4,  11, acGUI_FontRounded22_0059 } /* Code 0059, LATIN CAPITAL LETTER Y */
  ,{  12,  13,   0,   5,  12, acGUI_FontRounded22_005A } /* Code 005A, LATIN CAPITAL LETTER Z */
  ,{   6,  17,   1,   5,   6, acGUI_FontRounded22_005B } /* Code 005B, LEFT SQUARE BRACKET */
  ,{   7,  15,   0,   4,   7, acGUI_FontRounded22_005C } /* Code 005C, REVERSE SOLIDUS */
  ,{   5,  17,   0,   5,   6, acGUI_FontRounded22_005D } /* Code 005D, RIGHT SQUARE BRACKET */
  ,{   9,   8,   1,   5,  11, acGUI_FontRounded22_005E } /* Code 005E, CIRCUMFLEX ACCENT */
  ,{  11,   2,  -1,  19,   9, acGUI_FontRounded22_005F } /* Code 005F, LOW LINE */
  ,{   4,   4,   0,   4,   5, acGUI_FontRounded22_0060 } /* Code 0060, GRAVE ACCENT */
  ,{  10,  11,   0,   8,  11, acGUI_FontRounded22_0061 } /* Code 0061, LATIN SMALL LETTER A */
  ,{  10,  15,   1,   4,  11, acGUI_FontRounded22_0062 } /* Code 0062, LATIN SMALL LETTER B */
  ,{  10,  11,   0,   8,  10, acGUI_FontRounded22_0063 } /* Code 0063, LATIN SMALL LETTER C */
  ,{  10,  15,   0,   4,  11, acGUI_FontRounded22_0064 } /* Code 0064, LATIN SMALL LETTER D */
  ,{  11,  11,   0,   8,  11, acGUI_FontRounded22_0065 } /* Code 0065, LATIN SMALL LETTER E */
  ,{   7,  15,   0,   4,   7, acGUI_FontRounded22_0066 } /* Code 0066, LATIN SMALL LETTER F */
  ,{  10,  14,   0,   8,  11, acGUI_FontRounded22_0067 } /* Code 0067, LATIN SMALL LETTER G */
  ,{   9,  15,   1,   4,  11, acGUI_FontRounded22_0068 } /* Code 0068, LATIN SMALL LETTER H */
  ,{   3,  15,   1,   4,   5, acGUI_FontRounded22_0069 } /* Code 0069, LATIN SMALL LETTER I */
  ,{   5,  18,  -1,   4,   5, acGUI_FontRounded22_006A } /* Code 006A, LATIN SMALL LETTER J */
  ,{   9,  15,   1,   4,  10, acGUI_FontRounded22_006B } /* Code 006B, LATIN SMALL LETTER K */
  ,{   3,  15,   1,   4,   5, acGUI_FontRounded22_006C } /* Code 006C, LATIN SMALL LETTER L */
  ,{  15,  11,   1,   8,  17, acGUI_FontRounded22_006D } /* Code 006D, LATIN SMALL LETTER M */
  ,{   9,  11,   1,   8,  11, acGUI_FontRounded22_006E } /* Code 006E, LATIN SMALL LETTER N */
  ,{  11,  11,   0,   8,  11, acGUI_FontRounded22_006F } /* Code 006F, LATIN SMALL LETTER O */
  ,{  10,  14,   1,   8,  11, acGUI_FontRounded22_0070 } /* Code 0070, LATIN SMALL LETTER P */
  ,{  10,  14,   0,   8,  11, acGUI_FontRounded22_0071 } /* Code 0071, LATIN SMALL LETTER Q */
  ,{   7,  11,   1,   8,   7, acGUI_FontRounded22_0072 } /* Code 0072, LATIN SMALL LETTER R */
  ,{   9,  11,   0,   8,  10, acGUI_FontRounded22_0073 } /* Code 0073, LATIN SMALL LETTER S */
  ,{   7,  14,   0,   5,   7, acGUI_FontRounded22_0074 } /* Code 0074, LATIN SMALL LETTER T */
  ,{   9,  11,   1,   8,  11, acGUI_FontRounded22_0075 } /* Code 0075, LATIN SMALL LETTER U */
  ,{   9,  11,   0,   8,   9, acGUI_FontRounded22_0076 } /* Code 0076, LATIN SMALL LETTER V */
  ,{  14,  11,   0,   8,  14, acGUI_FontRounded22_0077 } /* Code 0077, LATIN SMALL LETTER W */
  ,{   9,  11,   0,   8,   9, acGUI_FontRounded22_0078 } /* Code 0078, LATIN SMALL LETTER X */
  ,{   9,  14,   0,   8,   9, acGUI_FontRounded22_0079 } /* Code 0079, LATIN SMALL LETTER Y */
  ,{  10,  10,   0,   8,  10, acGUI_FontRounded22_007A } /* Code 007A, LATIN SMALL LETTER Z */
  ,{   7,  17,   0,   5,   6, acGUI_FontRounded22_007B } /* Code 007B, LEFT CURLY BRACKET */
  ,{   4,  15,   0,   4,   4, acGUI_FontRounded22_007C } /* Code 007C, VERTICAL LINE */
  ,{   7,  17,   0,   5,   6, acGUI_FontRounded22_007D } /* Code 007D, RIGHT CURLY BRACKET */
  ,{  11,   4,   0,  11,  11, acGUI_FontRounded22_007E } /* Code 007E, TILDE */
};

GUI_CONST_STORAGE GUI_FONT_PROP_EXT GUI_FontRounded22_Prop1 = {
   0x0020                                   /* first character */
  ,0x007E                                   /* last character */
  ,&GUI_FontRounded22_CharInfo[  0]         /* address of first character */
  ,(GUI_CONST_STORAGE GUI_FONT_PROP_EXT *)0 /* pointer to next GUI_FONT_PROP_EXT */
};

GUI_CONST_STORAGE GUI_FONT GUI_FontRounded22 = {
   GUI_FONTTYPE_PROP_AA4_EXT /* type of font   */
  ,22                        /* height of font  */
  ,22                        /* space of font y */
  ,1                         /* magnification x */
  ,1                         /* magnification y */
  ,{&GUI_FontRounded22_Prop1}
  ,22                        /* Baseline */
  ,11                        /* Height of lowercase characters */
  ,15                        /* Height of capital characters */
};

/**
  * @}
  */

/**
  * @}
  */


